/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var be=["exports","require","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/path","vs/base/common/types","vs/nls","vs/nls!vs/server/node/server.main","vs/base/common/errors","vs/platform/log/common/log","vs/base/common/network","vs/base/common/async","vs/base/common/buffer","vs/platform/files/common/files","vs/base/common/strings","vs/base/common/arrays","vs/base/common/resources","vs/base/common/cancellation","vs/base/common/objects","vs/base/common/uuid","vs/base/node/pfs","vs/platform/configuration/common/configuration","vs/platform/environment/common/environment","vs/platform/product/common/productService","vs/base/common/map","fs","os","vs/base/common/process","vs/platform/extensionManagement/common/extensionManagement","vs/platform/telemetry/common/telemetry","vs/platform/userDataProfile/common/userDataProfile","vs/platform/uriIdentity/common/uriIdentity","vs/platform/registry/common/platform","vs/platform/telemetry/common/telemetryUtils","vs/platform/extensionManagement/common/extensionManagementUtil","vs/base/common/errorMessage","vs/base/common/extpath","vs/platform/extensions/common/extensions","vs/base/common/performance","vs/base/parts/ipc/common/ipc","vs/platform/request/common/request","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/server/node/serverEnvironmentService","vs/base/common/iterator","vs/base/common/stream","vs/base/common/codicons","vs/editor/common/core/range","vs/base/common/marshalling","vs/base/common/uriIpc","child_process","vs/base/common/semver/semver","vs/platform/product/common/product","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionsScannerService","vs/base/common/severity","vs/base/common/ternarySearchTree","vs/base/common/mime","vs/base/common/processes","vs/platform/environment/node/argv","vs/platform/instantiation/common/descriptors","vs/platform/contextkey/common/contextkey","vs/platform/files/common/watcher","vs/platform/files/node/diskFileSystemProvider","vs/platform/policy/common/policy","vs/workbench/api/node/uriTransformer","vs/workbench/contrib/testing/common/testId","vs/base/parts/ipc/node/ipc.net","vs/base/common/functional","vs/base/common/json","vs/base/common/hash","path","net","vs/base/common/glob","vs/platform/extensions/common/extensionValidator","vs/platform/credentials/common/credentials","vs/platform/download/common/download","vs/platform/extensionManagement/node/extensionSignatureVerificationService","vs/platform/instantiation/common/serviceCollection","vs/platform/languagePacks/common/languagePacks","url","vs/platform/shell/node/shellEnv","crypto","vs/platform/terminal/common/environmentVariableShared","vs/platform/terminal/common/terminal","vs/platform/workspace/common/workspace","vs/workbench/common/editor","vs/workbench/contrib/testing/common/testTypes","vs/base/node/zip","vs/base/common/decorators","vs/base/common/assert","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/normalization","vs/base/common/stopwatch","vs/base/common/themables","vs/base/node/id","vs/editor/common/core/position","vs/base/common/htmlContent","vs/base/node/powershell","vs/base/node/processes","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/node/ipc.cp","vs/platform/environment/node/environmentService","vs/platform/files/common/io","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/fileService","vs/platform/log/common/logIpc","vs/platform/log/common/logService","vs/platform/log/node/loggerService","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/extensionManagementCLI","vs/platform/languagePacks/node/languagePacks","vs/platform/terminal/common/environmentVariable","vs/platform/terminal/common/environmentVariableCollection","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/extensionManagement/node/extensionsProfileScannerService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/userDataProfile/node/userDataProfile","vs/server/node/extensionHostStatusService","vs/server/node/remoteLanguagePacks","vs/server/node/extensionsScannerService","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostTypes","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostTypeConverters","vs/workbench/services/extensions/common/proxyIdentifier","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","vs/server/node/extensionHostConnection","vs/base/common/amd","vs/base/common/marked/marked","vs/base/common/numbers","vs/base/common/skipList","vs/base/common/cache","vs/base/common/filters","vs/base/common/symbols","vs/base/common/iconLabels","vs/base/common/dataTransfer","vs/base/node/languagePacks","vs/base/node/macAddress","vs/base/node/ports","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/common/actions","vs/base/common/actions","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/common/platform","vs/base/common/console","vs/base/common/labels","vs/base/node/osReleaseInfo","vs/base/node/extpath","vs/base/node/shell","vs/base/parts/storage/common/storage","vs/editor/common/languages","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/contextkey/common/contextkey","vs/nls!vs/platform/contextkey/common/scanner","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLI","vs/nls!vs/platform/extensionManagement/common/extensionNls","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/terminal/common/terminalProfiles","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/server/node/remoteExtensionHostAgentCli","vs/nls!vs/server/node/serverEnvironmentService","vs/nls!vs/server/node/serverServices","vs/nls!vs/workbench/api/common/extHostTelemetry","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionsUtil","vs/platform/contextkey/common/scanner","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/download/common/downloadIpc","vs/platform/environment/common/environmentService","vs/platform/environment/node/argvHelper","vs/platform/environment/node/userDataPath","vs/platform/extensionManagement/common/extensionNls","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/diagnostics/common/diagnostics","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/label/common/label","vs/platform/credentials/common/credentialsMainService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/log/node/spdlogLog","vs/platform/markers/common/markers","vs/platform/credentials/node/credentialsMainService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/remote/common/remoteExtensionsScanner","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/download/common/downloadService","vs/platform/request/common/requestIpc","vs/platform/request/node/proxy","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/telemetry/common/errorTelemetry","vs/platform/telemetry/common/remoteTelemetryChannel","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/common/serverTelemetryService","vs/platform/telemetry/node/1dsAppender","vs/platform/telemetry/node/errorTelemetry","vs/platform/terminal/common/requestStore","vs/platform/terminal/common/terminalEnvironment","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/nodePtyHostStarter","vs/platform/terminal/node/terminalEnvironment","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/storage/common/storage","vs/platform/userDataProfile/common/userDataProfileIpc","vs/server/node/remoteExtensionManagement","vs/server/node/serverConnectionToken","cookie","vs/server/node/webClientServer","vs/workbench/api/common/extHostInitDataService","vs/workbench/api/common/extHostRpcService","vs/server/node/remoteAgentEnvironmentImpl","vs/server/node/remoteFileSystemProviderServer","vs/workbench/contrib/terminal/common/environmentVariable","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/services/configuration/common/configuration","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostTestItem","vs/workbench/contrib/terminal/common/remoteTerminalChannel","vs/workbench/services/extensions/common/extensionHostEnv","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostTelemetry","vs/workbench/services/extensions/common/extensionsUtil","vs/server/node/remoteExtensionsScanner","vs/workbench/api/common/extHost.protocol","vs/workbench/api/common/extHostCommands","vs/workbench/services/remote/common/remoteFileSystemProviderClient","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionManagementUtil","zlib","vs/server/node/remoteExtensionHostAgentCli","vs/base/node/unc","vs/workbench/api/node/extHostCLIServer","vs/server/node/remoteTerminalChannel","vs/server/node/serverServices","vs/server/node/remoteExtensionHostAgentServer","perf_hooks","fs/promises","readline","util","minimist","assert","graceful-fs","https","yauzl","yazl","http","vs/server/node/server.main"],pe=function(ae){for(var e=[],E=0,O=ae.length;E<O;E++)e[E]=be[ae[E]];return e};define(be[140],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$R=void 0;class E{static get(){const o=new Map,A=new Map,R=new Map,L=new Map;function b(h,m){h.has(m.detail)||h.set(m.detail,-m.timestamp)}function d(h,m){const g=h.get(m.detail);g&&(g>=0||h.set(m.detail,g+m.timestamp))}let I=[];typeof ae.getStats=="function"&&(I=ae.getStats().slice(0).sort((h,m)=>h.timestamp-m.timestamp));for(const h of I)switch(h.type){case 10:b(o,h);break;case 11:case 12:d(o,h);break;case 21:b(A,h);break;case 22:d(A,h);break;case 33:b(R,h);break;case 34:d(R,h);break;case 31:b(L,h);break;case 32:d(L,h);break}let v=0;R.forEach(h=>v+=h);function p(h){const m=[];return h.forEach((g,a)=>m.push([a,g])),m}return{amdLoad:p(o),amdInvoke:p(A),nodeRequire:p(R),nodeEval:p(L),nodeRequireTotal:v}}static toMarkdownTable(o,A){let R="";const L=[];return o.forEach((b,d)=>{L[d]=b.length}),A.forEach(b=>{b.forEach((d,I)=>{typeof d>"u"&&(d=b[I]="-");const v=d.toString().length;L[I]=Math.max(v,L[I])})}),o.forEach((b,d)=>{R+=`| ${b+" ".repeat(L[d]-b.toString().length)} `}),R+=`|
`,o.forEach((b,d)=>{R+=`| ${"-".repeat(L[d])} `}),R+=`|
`,A.forEach(b=>{b.forEach((d,I)=>{typeof d<"u"&&(R+=`| ${d+" ".repeat(L[I]-d.toString().length)} `)}),R+=`|
`}),R}}e.$R=E}),define(be[92],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rg=e.$Qg=e.$Pg=void 0;function E(R){return(L,b,d)=>{let I=null,v=null;if(typeof d.value=="function"?(I="value",v=d.value):typeof d.get=="function"&&(I="get",v=d.get),!v)throw new Error("not supported");d[I]=R(v,b)}}function O(R,L,b){let d=null,I=null;if(typeof b.value=="function"?(d="value",I=b.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof b.get=="function"&&(d="get",I=b.get),!I)throw new Error("not supported");const v=`$memoize$${L}`;b[d]=function(...p){return this.hasOwnProperty(v)||Object.defineProperty(this,v,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,p)}),this[v]}}e.$Pg=O;function o(R,L,b){return E((d,I)=>{const v=`$debounce$${I}`,p=`$debounce$result$${I}`;return function(...h){this[p]||(this[p]=b?b():void 0),clearTimeout(this[v]),L&&(this[p]=L(this[p],...h),h=[this[p]]),this[v]=setTimeout(()=>{d.apply(this,h),this[p]=b?b():void 0},R)}})}e.$Qg=o;function A(R,L,b){return E((d,I)=>{const v=`$throttle$timer$${I}`,p=`$throttle$result$${I}`,h=`$throttle$lastRun$${I}`,m=`$throttle$pending$${I}`;return function(...g){if(this[p]||(this[p]=b?b():void 0),(this[h]===null||this[h]===void 0)&&(this[h]=-Number.MAX_VALUE),L&&(this[p]=L(this[p],...g)),this[m])return;const a=this[h]+R;a<=Date.now()?(this[h]=Date.now(),d.apply(this,[this[p]]),this[p]=b?b():void 0):(this[m]=!0,this[v]=setTimeout(()=>{this[m]=!1,this[h]=Date.now(),d.apply(this,[this[p]]),this[p]=b?b():void 0},a-Date.now()))}})}e.$Rg=A}),define(be[11],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ab=e.$_=e.$$=e.$0=e.$9=e.$8=e.$7=e.$6=e.$5=e.$4=e.$3=e.$2=e.$1=e.$Z=e.$Y=e.$X=e.$W=e.setUnexpectedErrorHandler=e.$U=e.$T=void 0;class E{constructor(){this.b=[],this.a=function(i){setTimeout(()=>{throw i.stack?P.isErrorNoTelemetry(i)?new P(i.message+`

`+i.stack):new Error(i.message+`

`+i.stack):i},0)}}addListener(i){return this.b.push(i),()=>{this.d(i)}}c(i){this.b.forEach(r=>{r(i)})}d(i){this.b.splice(this.b.indexOf(i),1)}setUnexpectedErrorHandler(i){this.a=i}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(i){this.a(i),this.c(i)}onUnexpectedExternalError(i){this.a(i)}}e.$T=E,e.$U=new E;function O(t){e.$U.setUnexpectedErrorHandler(t)}e.setUnexpectedErrorHandler=O;function o(t){if(!t||typeof t!="object")return!1;const i=t;return i.code==="EPIPE"&&i.syscall?.toUpperCase()==="WRITE"}e.$W=o;function A(t){d(t)||e.$U.onUnexpectedError(t)}e.$X=A;function R(t){d(t)||e.$U.onUnexpectedExternalError(t)}e.$Y=R;function L(t){if(t instanceof Error){const{name:i,message:r}=t,n=t.stacktrace||t.stack;return{$isError:!0,name:i,message:r,stack:n,noTelemetry:P.isErrorNoTelemetry(t)}}return t}e.$Z=L;const b="Canceled";function d(t){return t instanceof I?!0:t instanceof Error&&t.name===b&&t.message===b}e.$1=d;class I extends Error{constructor(){super(b),this.name=this.message}}e.$2=I;function v(){const t=new Error(b);return t.name=t.message,t}e.$3=v;function p(t){return t?new Error(`Illegal argument: ${t}`):new Error("Illegal argument")}e.$4=p;function h(t){return t?new Error(`Illegal state: ${t}`):new Error("Illegal state")}e.$5=h;function m(t){return t?new Error(`readonly property '${t} cannot be changed'`):new Error("readonly property cannot be changed")}e.$6=m;function g(t){const i=new Error(`${t} has been disposed`);return i.name="DISPOSED",i}e.$7=g;function a(t){return t?t.message?t.message:t.stack?t.stack.split(`
`)[0]:String(t):"Error"}e.$8=a;class u extends Error{constructor(i){super("NotImplemented"),i&&(this.message=i)}}e.$9=u;class l extends Error{constructor(i){super("NotSupported"),i&&(this.message=i)}}e.$0=l;class $ extends Error{constructor(){super(...arguments),this.isExpected=!0}}e.$$=$;class P extends Error{constructor(i){super(i),this.name="CodeExpectedError"}static fromError(i){if(i instanceof P)return i;const r=new P;return r.message=i.message,r.stack=i.stack,r}static isErrorNoTelemetry(i){return i.name==="CodeExpectedError"}}e.$_=P;class k extends Error{constructor(i){super(i||"An unexpected bug occurred."),Object.setPrototypeOf(this,k.prototype)}}e.$ab=k}),define(be[18],pe([1,0,11]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sf=e.$Rf=e.$Qf=e.$Pf=e.$Of=e.$Nf=e.$Mf=e.$Lf=e.CompareResult=e.$Kf=e.$Jf=e.$If=e.$Hf=e.$Gf=e.$Ff=e.$Ef=e.$Df=e.$Cf=e.$Bf=e.$Af=e.$zf=e.$yf=e.$xf=e.$wf=e.$vf=e.$uf=e.$tf=e.$sf=e.$rf=e.$qf=e.$pf=e.$of=e.$nf=e.$mf=e.$lf=e.$kf=e.$jf=e.$if=e.top=e.$gf=e.$ff=e.$ef=e.$df=e.$cf=e.$bf=e.$af=e.$_e=e.$$e=e.$0e=e.$9e=void 0;function O(z,q=0){return z[z.length-(1+q)]}e.$9e=O;function o(z){if(z.length===0)throw new Error("Invalid tail call");return[z.slice(0,z.length-1),z[z.length-1]]}e.$0e=o;function A(z,q,W=(U,G)=>U===G){if(z===q)return!0;if(!z||!q||z.length!==q.length)return!1;for(let U=0,G=z.length;U<G;U++)if(!W(z[U],q[U]))return!1;return!0}e.$$e=A;function R(z,q){const W=z.length-1;q<W&&(z[q]=z[W]),z.pop()}e.$_e=R;function L(z,q,W){return b(z.length,U=>W(z[U],q))}e.$af=L;function b(z,q){let W=0,U=z-1;for(;W<=U;){const G=(W+U)/2|0,K=q(G);if(K<0)W=G+1;else if(K>0)U=G-1;else return G}return-(W+1)}e.$bf=b;function d(z,q){let W=0,U=z.length;if(U===0)return 0;for(;W<U;){const G=Math.floor((W+U)/2);q(z[G])?U=G:W=G+1}return W}e.$cf=d;function I(z,q,W){if(z=z|0,z>=q.length)throw new TypeError("invalid index");const U=q[Math.floor(q.length*Math.random())],G=[],K=[],Q=[];for(const ce of q){const we=W(ce,U);we<0?G.push(ce):we>0?K.push(ce):Q.push(ce)}return z<G.length?I(z,G,W):z<G.length+Q.length?Q[0]:I(z-(G.length+Q.length),K,W)}e.$df=I;function v(z,q){const W=[];let U;for(const G of z.slice(0).sort(q))!U||q(U[0],G)!==0?(U=[G],W.push(U)):U.push(G);return W}e.$ef=v;function p(z,q,W){const U=[];function G(ce,we,Pe){if(we===0&&Pe.length===0)return;const Ce=U[U.length-1];Ce&&Ce.start+Ce.deleteCount===ce?(Ce.deleteCount+=we,Ce.toInsert.push(...Pe)):U.push({start:ce,deleteCount:we,toInsert:Pe})}let K=0,Q=0;for(;;){if(K===z.length){G(K,0,q.slice(Q));break}if(Q===q.length){G(K,z.length-K,[]);break}const ce=z[K],we=q[Q],Pe=W(ce,we);Pe===0?(K+=1,Q+=1):Pe<0?(G(K,1,[]),K+=1):Pe>0&&(G(K,0,[we]),Q+=1)}return U}e.$ff=p;function h(z,q,W){const U=p(z,q,W),G=[],K=[];for(const Q of U)G.push(...z.slice(Q.start,Q.start+Q.deleteCount)),K.push(...Q.toInsert);return{removed:G,added:K}}e.$gf=h;function m(z,q,W){if(W===0)return[];const U=z.slice(0,W).sort(q);return a(z,q,U,W,z.length),U}e.top=m;function g(z,q,W,U,G){return W===0?Promise.resolve([]):new Promise((K,Q)=>{(async()=>{const ce=z.length,we=z.slice(0,W).sort(q);for(let Pe=W,Ce=Math.min(W+U,ce);Pe<ce;Pe=Ce,Ce=Math.min(Ce+U,ce)){if(Pe>W&&await new Promise(Fe=>setTimeout(Fe)),G&&G.isCancellationRequested)throw new E.$2;a(z,q,we,Pe,Ce)}return we})().then(K,Q)})}e.$if=g;function a(z,q,W,U,G){for(const K=W.length;U<G;U++){const Q=z[U];if(q(Q,W[K-1])<0){W.pop();const ce=d(W,we=>q(Q,we)<0);W.splice(ce,0,Q)}}}function u(z){return z.filter(q=>!!q)}e.$jf=u;function l(z){let q=0;for(let W=0;W<z.length;W++)z[W]&&(z[q]=z[W],q+=1);z.length=q}e.$kf=l;function $(z,q,W){z.splice(W,0,z.splice(q,1)[0])}e.$lf=$;function P(z){return!Array.isArray(z)||z.length===0}e.$mf=P;function k(z){return Array.isArray(z)&&z.length>0}e.$nf=k;function t(z,q=W=>W){const W=new Set;return z.filter(U=>{const G=q(U);return W.has(G)?!1:(W.add(G),!0)})}e.$of=t;function i(z){const q=new Set;return W=>{const U=z(W);return q.has(U)?!1:(q.add(U),!0)}}e.$pf=i;function r(z,q){const W=n(z,q);if(W!==-1)return z[W]}e.$qf=r;function n(z,q){for(let W=z.length-1;W>=0;W--){const U=z[W];if(q(U))return W}return-1}e.$rf=n;function s(z,q){return z.length>0?z[0]:q}e.$sf=s;function c(z,q){return z.length>0?z[z.length-1]:q}e.$tf=c;function f(z,q,W=(U,G)=>U===G){let U=0;for(let G=0,K=Math.min(z.length,q.length);G<K&&W(z[G],q[G]);G++)U++;return U}e.$uf=f;function y(z){return[].concat(...z)}e.$vf=y;function w(z,q){let W=typeof q=="number"?z:0;typeof q=="number"?W=z:(W=0,q=z);const U=[];if(W<=q)for(let G=W;G<q;G++)U.push(G);else for(let G=W;G>q;G--)U.push(G);return U}e.$wf=w;function D(z,q,W){return z.reduce((U,G)=>(U[q(G)]=W?W(G):G,U),Object.create(null))}e.$xf=D;function C(z,q){return z.push(q),()=>M(z,q)}e.$yf=C;function M(z,q){const W=z.indexOf(q);if(W>-1)return z.splice(W,1),q}e.$zf=M;function X(z,q,W){const U=z.slice(0,q),G=z.slice(q);return U.concat(W,G)}e.$Af=X;function ne(z,q){let W;if(typeof q=="number"){let U=q;W=()=>{const G=Math.sin(U++)*179426549;return G-Math.floor(G)}}else W=Math.random;for(let U=z.length-1;U>0;U-=1){const G=Math.floor(W()*(U+1)),K=z[U];z[U]=z[G],z[G]=K}}e.$Bf=ne;function he(z,q){const W=z.indexOf(q);W>-1&&(z.splice(W,1),z.unshift(q))}e.$Cf=he;function ue(z,q){const W=z.indexOf(q);W>-1&&(z.splice(W,1),z.push(q))}e.$Df=ue;function le(z,q){for(const W of q)z.push(W)}e.$Ef=le;function ge(z,q){return Array.isArray(z)?z.map(q):q(z)}e.$Ff=ge;function se(z){return Array.isArray(z)?z:[z]}e.$Gf=se;function J(z){return z[Math.floor(Math.random()*z.length)]}e.$Hf=J;function te(z,q){for(const W of z){const U=q(W);if(U!==void 0)return U}}e.$If=te;function V(z,q,W){const U=H(z,q),G=z.length,K=W.length;z.length=G+K;for(let Q=G-1;Q>=U;Q--)z[Q+K]=z[Q];for(let Q=0;Q<K;Q++)z[Q+U]=W[Q]}e.$Jf=V;function Z(z,q,W,U){const G=H(z,q),K=z.splice(G,W);return V(z,G,U),K}e.$Kf=Z;function H(z,q){return q<0?Math.max(q+z.length,0):Math.min(q,z.length)}var B;(function(z){function q(G){return G<0}z.isLessThan=q;function W(G){return G>0}z.isGreaterThan=W;function U(G){return G===0}z.isNeitherLessOrGreaterThan=U,z.greaterThan=1,z.lessThan=-1,z.neitherLessOrGreaterThan=0})(B||(e.CompareResult=B={}));function ie(z,q){return(W,U)=>q(z(W),z(U))}e.$Lf=ie;function Y(...z){return(q,W)=>{for(const U of z){const G=U(q,W);if(!B.isNeitherLessOrGreaterThan(G))return G}return B.neitherLessOrGreaterThan}}e.$Mf=Y;const _=(z,q)=>z-q;e.$Nf=_;function T(z,q){if(z.length===0)return;let W=z[0];for(let U=1;U<z.length;U++){const G=z[U];q(G,W)>0&&(W=G)}return W}e.$Of=T;function S(z,q){if(z.length===0)return;let W=z[0];for(let U=1;U<z.length;U++){const G=z[U];q(G,W)>=0&&(W=G)}return W}e.$Pf=S;function N(z,q){return T(z,(W,U)=>-q(W,U))}e.$Qf=N;class ee{constructor(q){this.f=q,this.c=0,this.d=this.f.length-1}get length(){return this.d-this.c+1}takeWhile(q){let W=this.c;for(;W<this.f.length&&q(this.f[W]);)W++;const U=W===this.c?null:this.f.slice(this.c,W);return this.c=W,U}takeFromEndWhile(q){let W=this.d;for(;W>=0&&q(this.f[W]);)W--;const U=W===this.d?null:this.f.slice(W+1,this.d+1);return this.d=W,U}peek(){if(this.length!==0)return this.f[this.c]}peekLast(){if(this.length!==0)return this.f[this.d]}dequeue(){const q=this.f[this.c];return this.c++,q}removeLast(){const q=this.f[this.d];return this.d--,q}takeCount(q){const W=this.f.slice(this.c,this.c+q);return this.c+=q,W}}e.$Rf=ee;class oe{constructor(q){this.iterate=q}forEach(q){this.iterate(W=>(q(W),!0))}toArray(){const q=[];return this.iterate(W=>(q.push(W),!0)),q}filter(q){return new oe(W=>this.iterate(U=>q(U)?W(U):!0))}map(q){return new oe(W=>this.iterate(U=>W(q(U))))}some(q){let W=!1;return this.iterate(U=>(W=q(U),!W)),W}findFirst(q){let W;return this.iterate(U=>q(U)?(W=U,!1):!0),W}findLast(q){let W;return this.iterate(U=>(q(U)&&(W=U),!0)),W}findLastMaxBy(q){let W,U=!0;return this.iterate(G=>((U||B.isGreaterThan(q(G,W)))&&(U=!1,W=G),!0)),W}}e.$Sf=oe,oe.empty=new oe(z=>{})}),define(be[93],pe([1,0,11]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oc=e.$nc=e.$mc=e.$lc=e.ok=void 0;function O(b,d){if(!b)throw new Error(d?`Assertion failed (${d})`:"Assertion Failed")}e.ok=O;function o(b,d="Unreachable"){throw new Error(d)}e.$lc=o;function A(b){if(!b)throw new E.$ab("Assertion Failed")}e.$mc=A;function R(b){if(!b()){debugger;b(),(0,E.$X)(new E.$ab("Assertion Failed"))}}e.$nc=R;function L(b,d){let I=0;for(;I<b.length-1;){const v=b[I],p=b[I+1];if(!d(v,p))return!1;I++}return!0}e.$oc=L}),define(be[71],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bb=void 0;function E(O){const o=this;let A=!1,R;return function(){return A||(A=!0,R=O.apply(o,arguments)),R}}e.$bb=E}),define(be[46],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var E;(function(O){function o(P){return P&&typeof P=="object"&&typeof P[Symbol.iterator]=="function"}O.is=o;const A=Object.freeze([]);function R(){return A}O.empty=R;function*L(P){yield P}O.single=L;function b(P){return o(P)?P:L(P)}O.wrap=b;function d(P){return P||A}O.from=d;function I(P){return!P||P[Symbol.iterator]().next().done===!0}O.isEmpty=I;function v(P){return P[Symbol.iterator]().next().value}O.first=v;function p(P,k){for(const t of P)if(k(t))return!0;return!1}O.some=p;function h(P,k){for(const t of P)if(k(t))return t}O.find=h;function*m(P,k){for(const t of P)k(t)&&(yield t)}O.filter=m;function*g(P,k){let t=0;for(const i of P)yield k(i,t++)}O.map=g;function*a(...P){for(const k of P)for(const t of k)yield t}O.concat=a;function u(P,k,t){let i=t;for(const r of P)i=k(i,r);return i}O.reduce=u;function*l(P,k,t=P.length){for(k<0&&(k+=P.length),t<0?t+=P.length:t>P.length&&(t=P.length);k<t;k++)yield P[k]}O.slice=l;function $(P,k=Number.POSITIVE_INFINITY){const t=[];if(k===0)return[t,P];const i=P[Symbol.iterator]();for(let r=0;r<k;r++){const n=i.next();if(n.done)return[t,O.empty()];t.push(n.value)}return[t,{[Symbol.iterator](){return i}}]}O.consume=$})(E||(e.Iterable=E={}))}),define(be[72],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cm=e.$Bm=e.$Am=e.$zm=e.$ym=e.$xm=e.$wm=e.$vm=e.$um=e.$tm=e.$sm=e.$rm=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var E;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(E||(e.ScanError=E={}));var O;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(O||(e.SyntaxKind=O={}));var o;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(o||(e.ParseErrorCode=o={}));var A;(function(t){t.DEFAULT={allowTrailingComma:!0}})(A||(e.ParseOptions=A={}));function R(t,i=!1){let r=0;const n=t.length;let s="",c=0,f=16,y=0;function w(ue){let le=0,ge=0;for(;le<ue;){const se=t.charCodeAt(r);if(se>=48&&se<=57)ge=ge*16+se-48;else if(se>=65&&se<=70)ge=ge*16+se-65+10;else if(se>=97&&se<=102)ge=ge*16+se-97+10;else break;r++,le++}return le<ue&&(ge=-1),ge}function D(ue){r=ue,s="",c=0,f=16,y=0}function C(){const ue=r;if(t.charCodeAt(r)===48)r++;else for(r++;r<t.length&&d(t.charCodeAt(r));)r++;if(r<t.length&&t.charCodeAt(r)===46)if(r++,r<t.length&&d(t.charCodeAt(r)))for(r++;r<t.length&&d(t.charCodeAt(r));)r++;else return y=3,t.substring(ue,r);let le=r;if(r<t.length&&(t.charCodeAt(r)===69||t.charCodeAt(r)===101))if(r++,(r<t.length&&t.charCodeAt(r)===43||t.charCodeAt(r)===45)&&r++,r<t.length&&d(t.charCodeAt(r))){for(r++;r<t.length&&d(t.charCodeAt(r));)r++;le=r}else y=3;return t.substring(ue,le)}function M(){let ue="",le=r;for(;;){if(r>=n){ue+=t.substring(le,r),y=2;break}const ge=t.charCodeAt(r);if(ge===34){ue+=t.substring(le,r),r++;break}if(ge===92){if(ue+=t.substring(le,r),r++,r>=n){y=2;break}switch(t.charCodeAt(r++)){case 34:ue+='"';break;case 92:ue+="\\";break;case 47:ue+="/";break;case 98:ue+="\b";break;case 102:ue+="\f";break;case 110:ue+=`
`;break;case 114:ue+="\r";break;case 116:ue+="	";break;case 117:{const J=w(4);J>=0?ue+=String.fromCharCode(J):y=4;break}default:y=5}le=r;continue}if(ge>=0&&ge<=31)if(b(ge)){ue+=t.substring(le,r),y=2;break}else y=6;r++}return ue}function X(){if(s="",y=0,c=r,r>=n)return c=n,f=17;let ue=t.charCodeAt(r);if(L(ue)){do r++,s+=String.fromCharCode(ue),ue=t.charCodeAt(r);while(L(ue));return f=15}if(b(ue))return r++,s+=String.fromCharCode(ue),ue===13&&t.charCodeAt(r)===10&&(r++,s+=`
`),f=14;switch(ue){case 123:return r++,f=1;case 125:return r++,f=2;case 91:return r++,f=3;case 93:return r++,f=4;case 58:return r++,f=6;case 44:return r++,f=5;case 34:return r++,s=M(),f=10;case 47:{const le=r-1;if(t.charCodeAt(r+1)===47){for(r+=2;r<n&&!b(t.charCodeAt(r));)r++;return s=t.substring(le,r),f=12}if(t.charCodeAt(r+1)===42){r+=2;const ge=n-1;let se=!1;for(;r<ge;){if(t.charCodeAt(r)===42&&t.charCodeAt(r+1)===47){r+=2,se=!0;break}r++}return se||(r++,y=1),s=t.substring(le,r),f=13}return s+=String.fromCharCode(ue),r++,f=16}case 45:if(s+=String.fromCharCode(ue),r++,r===n||!d(t.charCodeAt(r)))return f=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=C(),f=11;default:for(;r<n&&ne(ue);)r++,ue=t.charCodeAt(r);if(c!==r){switch(s=t.substring(c,r),s){case"true":return f=8;case"false":return f=9;case"null":return f=7}return f=16}return s+=String.fromCharCode(ue),r++,f=16}}function ne(ue){if(L(ue)||b(ue))return!1;switch(ue){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function he(){let ue;do ue=X();while(ue>=12&&ue<=15);return ue}return{setPosition:D,getPosition:()=>r,scan:i?he:X,getToken:()=>f,getTokenValue:()=>s,getTokenOffset:()=>c,getTokenLength:()=>r-c,getTokenError:()=>y}}e.$rm=R;function L(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function b(t){return t===10||t===13||t===8232||t===8233}function d(t){return t>=48&&t<=57}var I;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(I||(I={}));function v(t,i){const r=[],n=new Object;let s;const c={value:{},offset:0,length:0,type:"object",parent:void 0};let f=!1;function y(w,D,C,M){c.value=w,c.offset=D,c.length=C,c.type=M,c.colonOffset=void 0,s=c}try{$(t,{onObjectBegin:(w,D)=>{if(i<=w)throw n;s=void 0,f=i>w,r.push("")},onObjectProperty:(w,D,C)=>{if(i<D||(y(w,D,C,"property"),r[r.length-1]=w,i<=D+C))throw n},onObjectEnd:(w,D)=>{if(i<=w)throw n;s=void 0,r.pop()},onArrayBegin:(w,D)=>{if(i<=w)throw n;s=void 0,r.push(0)},onArrayEnd:(w,D)=>{if(i<=w)throw n;s=void 0,r.pop()},onLiteralValue:(w,D,C)=>{if(i<D||(y(w,D,C,k(w)),i<=D+C))throw n},onSeparator:(w,D,C)=>{if(i<=D)throw n;if(w===":"&&s&&s.type==="property")s.colonOffset=D,f=!1,s=void 0;else if(w===","){const M=r[r.length-1];typeof M=="number"?r[r.length-1]=M+1:(f=!0,r[r.length-1]=""),s=void 0}}})}catch(w){if(w!==n)throw w}return{path:r,previousNode:s,isAtPropertyKey:f,matches:w=>{let D=0;for(let C=0;D<w.length&&C<r.length;C++)if(w[D]===r[C]||w[D]==="*")D++;else if(w[D]!=="**")return!1;return D===w.length}}}e.$sm=v;function p(t,i=[],r=A.DEFAULT){let n=null,s=[];const c=[];function f(w){Array.isArray(s)?s.push(w):n!==null&&(s[n]=w)}return $(t,{onObjectBegin:()=>{const w={};f(w),c.push(s),s=w,n=null},onObjectProperty:w=>{n=w},onObjectEnd:()=>{s=c.pop()},onArrayBegin:()=>{const w=[];f(w),c.push(s),s=w,n=null},onArrayEnd:()=>{s=c.pop()},onLiteralValue:f,onError:(w,D,C)=>{i.push({error:w,offset:D,length:C})}},r),s[0]}e.$tm=p;function h(t,i=[],r=A.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(w){n.type==="property"&&(n.length=w-n.offset,n=n.parent)}function c(w){return n.children.push(w),w}$(t,{onObjectBegin:w=>{n=c({type:"object",offset:w,length:-1,parent:n,children:[]})},onObjectProperty:(w,D,C)=>{n=c({type:"property",offset:D,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:w,offset:D,length:C,parent:n})},onObjectEnd:(w,D)=>{n.length=w+D-n.offset,n=n.parent,s(w+D)},onArrayBegin:(w,D)=>{n=c({type:"array",offset:w,length:-1,parent:n,children:[]})},onArrayEnd:(w,D)=>{n.length=w+D-n.offset,n=n.parent,s(w+D)},onLiteralValue:(w,D,C)=>{c({type:k(w),offset:D,length:C,parent:n,value:w}),s(D+C)},onSeparator:(w,D,C)=>{n.type==="property"&&(w===":"?n.colonOffset=D:w===","&&s(D))},onError:(w,D,C)=>{i.push({error:w,offset:D,length:C})}},r);const y=n.children[0];return y&&delete y.parent,y}e.$um=h;function m(t,i){if(!t)return;let r=t;for(const n of i)if(typeof n=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let s=!1;for(const c of r.children)if(Array.isArray(c.children)&&c.children[0].value===n){r=c.children[1],s=!0;break}if(!s)return}else{const s=n;if(r.type!=="array"||s<0||!Array.isArray(r.children)||s>=r.children.length)return;r=r.children[s]}return r}e.$vm=m;function g(t){if(!t.parent||!t.parent.children)return[];const i=g(t.parent);if(t.parent.type==="property"){const r=t.parent.children[0].value;i.push(r)}else if(t.parent.type==="array"){const r=t.parent.children.indexOf(t);r!==-1&&i.push(r)}return i}e.$wm=g;function a(t){switch(t.type){case"array":return t.children.map(a);case"object":{const i=Object.create(null);for(const r of t.children){const n=r.children[1];n&&(i[r.children[0].value]=a(n))}return i}case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.$xm=a;function u(t,i,r=!1){return i>=t.offset&&i<t.offset+t.length||r&&i===t.offset+t.length}e.$ym=u;function l(t,i,r=!1){if(u(t,i,r)){const n=t.children;if(Array.isArray(n))for(let s=0;s<n.length&&n[s].offset<=i;s++){const c=l(n[s],i,r);if(c)return c}return t}}e.$zm=l;function $(t,i,r=A.DEFAULT){const n=R(t,!1);function s(ie){return ie?()=>ie(n.getTokenOffset(),n.getTokenLength()):()=>!0}function c(ie){return ie?Y=>ie(Y,n.getTokenOffset(),n.getTokenLength()):()=>!0}const f=s(i.onObjectBegin),y=c(i.onObjectProperty),w=s(i.onObjectEnd),D=s(i.onArrayBegin),C=s(i.onArrayEnd),M=c(i.onLiteralValue),X=c(i.onSeparator),ne=s(i.onComment),he=c(i.onError),ue=r&&r.disallowComments,le=r&&r.allowTrailingComma;function ge(){for(;;){const ie=n.scan();switch(n.getTokenError()){case 4:se(14);break;case 5:se(15);break;case 3:se(13);break;case 1:ue||se(11);break;case 2:se(12);break;case 6:se(16);break}switch(ie){case 12:case 13:ue?se(10):ne();break;case 16:se(1);break;case 15:case 14:break;default:return ie}}}function se(ie,Y=[],_=[]){if(he(ie),Y.length+_.length>0){let T=n.getToken();for(;T!==17;){if(Y.indexOf(T)!==-1){ge();break}else if(_.indexOf(T)!==-1)break;T=ge()}}}function J(ie){const Y=n.getTokenValue();return ie?M(Y):y(Y),ge(),!0}function te(){switch(n.getToken()){case 11:{let ie=0;try{ie=JSON.parse(n.getTokenValue()),typeof ie!="number"&&(se(2),ie=0)}catch{se(2)}M(ie);break}case 7:M(null);break;case 8:M(!0);break;case 9:M(!1);break;default:return!1}return ge(),!0}function V(){return n.getToken()!==10?(se(3,[],[2,5]),!1):(J(!1),n.getToken()===6?(X(":"),ge(),B()||se(4,[],[2,5])):se(5,[],[2,5]),!0)}function Z(){f(),ge();let ie=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(ie||se(4,[],[]),X(","),ge(),n.getToken()===2&&le)break}else ie&&se(6,[],[]);V()||se(4,[],[2,5]),ie=!0}return w(),n.getToken()!==2?se(7,[2],[]):ge(),!0}function H(){D(),ge();let ie=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(ie||se(4,[],[]),X(","),ge(),n.getToken()===4&&le)break}else ie&&se(6,[],[]);B()||se(4,[],[4,5]),ie=!0}return C(),n.getToken()!==4?se(8,[4],[]):ge(),!0}function B(){switch(n.getToken()){case 3:return H();case 1:return Z();case 10:return J(!0);default:return te()}}return ge(),n.getToken()===17?r.allowEmptyContent?!0:(se(4,[],[]),!1):B()?(n.getToken()!==17&&se(9,[],[]),!0):(se(4,[],[]),!1)}e.$Am=$;function P(t,i){const r=R(t),n=[];let s,c=0,f;do switch(f=r.getPosition(),s=r.scan(),s){case 12:case 13:case 17:c!==f&&n.push(t.substring(c,f)),i!==void 0&&n.push(r.getTokenValue().replace(/[^\r\n]/g,i)),c=r.getPosition();break}while(s!==17);return n.join("")}e.$Bm=P;function k(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.$Cm=k}),define(be[94],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$S=void 0;class E{constructor(o){this.d=o,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(o){this.c=o}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}e.$S=E}),define(be[2],pe([1,0,71,46]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sb=e.$rb=e.$qb=e.$pb=e.$ob=e.$nb=e.$mb=e.$lb=e.$kb=e.$jb=e.$ib=e.$hb=e.$gb=e.$fb=e.$eb=e.$db=e.$cb=void 0;const o=!1;let A=null;function R(c){A=c}if(e.$cb=R,o){const c="__is_disposable_tracked__";R(new class{trackDisposable(f){const y=new Error("Potentially leaked disposable").stack;setTimeout(()=>{f[c]||console.log(y)},3e3)}setParent(f,y){if(f&&f!==l.None)try{f[c]=!0}catch{}}markAsDisposed(f){if(f&&f!==l.None)try{f[c]=!0}catch{}}markAsSingleton(f){}})}function L(c){return A?.trackDisposable(c),c}function b(c){A?.markAsDisposed(c)}function d(c,f){A?.setParent(c,f)}function I(c,f){if(A)for(const y of c)A.setParent(y,f)}function v(c){return A?.markAsSingleton(c),c}e.$db=v;function p(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.$eb=p;function h(c){if(O.Iterable.is(c)){const f=[];for(const y of c)if(y)try{y.dispose()}catch(w){f.push(w)}if(f.length===1)throw f[0];if(f.length>1)throw new AggregateError(f,"Encountered errors while disposing of store");return Array.isArray(c)?[]:c}else if(c)return c.dispose(),c}e.$fb=h;function m(c){for(const f of c)p(f)&&f.dispose();return[]}e.$gb=m;function g(...c){const f=a(()=>h(c));return I(c,f),f}e.$hb=g;function a(c){const f=L({dispose:(0,E.$bb)(()=>{b(f),c()})});return f}e.$ib=a;class u{constructor(){this.f=new Set,this.g=!1,L(this)}dispose(){this.g||(b(this),this.g=!0,this.clear())}get isDisposed(){return this.g}clear(){if(this.f.size!==0)try{h(this.f)}finally{this.f.clear()}}add(f){if(!f)return f;if(f===this)throw new Error("Cannot register a disposable on itself!");return d(f,this),this.g?u.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.f.add(f),f}}e.$jb=u,u.DISABLE_DISPOSED_WARNING=!1;class l{constructor(){this.q=new u,L(this),d(this.q,this)}dispose(){b(this),this.q.dispose()}B(f){if(f===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(f)}}e.$kb=l,l.None=Object.freeze({dispose(){}});class ${constructor(){this.b=!1,L(this)}get value(){return this.b?void 0:this.a}set value(f){this.b||f===this.a||(this.a?.dispose(),f&&d(f,this),this.a=f)}clear(){this.value=void 0}dispose(){this.b=!0,b(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const f=this.a;return this.a=void 0,f&&d(f,null),f}}e.$lb=$;class P{constructor(f){this.b=f,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}e.$mb=P;class k{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,L(this)}set(f){let y=f;return this.unset=()=>y=void 0,this.isset=()=>y!==void 0,this.dispose=()=>{y&&(y(),y=void 0,b(this))},this}}e.$nb=k;class t{constructor(){this.a=new Map}acquire(f,...y){let w=this.a.get(f);w||(w={counter:0,object:this.b(f,...y)},this.a.set(f,w));const{object:D}=w,C=(0,E.$bb)(()=>{--w.counter===0&&(this.c(f,w.object),this.a.delete(f))});return w.counter++,{object:D,dispose:C}}}e.$ob=t;class i{constructor(f){this.a=f}async acquire(f,...y){const w=this.a.acquire(f,...y);try{return{object:await w.object,dispose:()=>w.dispose()}}catch(D){throw w.dispose(),D}}}e.$pb=i;class r{constructor(f){this.object=f}dispose(){}}e.$qb=r;function n(c){const f=new u;try{c(f)}finally{f.dispose()}}e.$rb=n;class s{constructor(){this.a=new Map,this.b=!1,L(this)}dispose(){b(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this.a.size)try{h(this.a.values())}finally{this.a.clear()}}has(f){return this.a.has(f)}get(f){return this.a.get(f)}set(f,y,w=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),w||this.a.get(f)?.dispose(),this.a.set(f,y)}deleteAndDispose(f){this.a.get(f)?.dispose(),this.a.delete(f)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}e.$sb=s}),define(be[95],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jc=void 0;class E{constructor(A){this.element=A,this.next=E.Undefined,this.prev=E.Undefined}}E.Undefined=new E(void 0);class O{constructor(){this.a=E.Undefined,this.b=E.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===E.Undefined}clear(){let A=this.a;for(;A!==E.Undefined;){const R=A.next;A.prev=E.Undefined,A.next=E.Undefined,A=R}this.a=E.Undefined,this.b=E.Undefined,this.c=0}unshift(A){return this.d(A,!1)}push(A){return this.d(A,!0)}d(A,R){const L=new E(A);if(this.a===E.Undefined)this.a=L,this.b=L;else if(R){const d=this.b;this.b=L,L.prev=d,d.next=L}else{const d=this.a;this.a=L,L.next=d,d.prev=L}this.c+=1;let b=!1;return()=>{b||(b=!0,this.e(L))}}shift(){if(this.a!==E.Undefined){const A=this.a.element;return this.e(this.a),A}}pop(){if(this.b!==E.Undefined){const A=this.b.element;return this.e(this.b),A}}e(A){if(A.prev!==E.Undefined&&A.next!==E.Undefined){const R=A.prev;R.next=A.next,A.next.prev=R}else A.prev===E.Undefined&&A.next===E.Undefined?(this.a=E.Undefined,this.b=E.Undefined):A.next===E.Undefined?(this.b=this.b.prev,this.b.next=E.Undefined):A.prev===E.Undefined&&(this.a=this.a.next,this.a.prev=E.Undefined);this.c-=1}*[Symbol.iterator](){let A=this.a;for(;A!==E.Undefined;)yield A.element,A=A.next}}e.$jc=O}),define(be[27],pe([1,0]),function(ae,e){"use strict";var E,O,o;Object.defineProperty(e,"__esModule",{value:!0}),e.$ni=e.$mi=e.$li=e.Touch=e.$ki=e.$ji=e.$ii=e.$hi=e.$gi=void 0;function A(g,a,u){let l=g.get(a);return l===void 0&&(l=u,g.set(a,l)),l}e.$gi=A;function R(g){const a=[];return g.forEach((u,l)=>{a.push(`${l} => ${u}`)}),`Map(${g.size}) {${a.join(", ")}}`}e.$hi=R;function L(g){const a=[];return g.forEach(u=>{a.push(u)}),`Set(${g.size}) {${a.join(", ")}}`}e.$ii=L;class b{constructor(a,u){this.uri=a,this.value=u}}class d{constructor(a,u){this[E]="ResourceMap",a instanceof d?(this.b=new Map(a.b),this.c=u??d.a):(this.b=new Map,this.c=a??d.a)}set(a,u){return this.b.set(this.c(a),new b(a,u)),this}get(a){return this.b.get(this.c(a))?.value}has(a){return this.b.has(this.c(a))}get size(){return this.b.size}clear(){this.b.clear()}delete(a){return this.b.delete(this.c(a))}forEach(a,u){typeof u<"u"&&(a=a.bind(u));for(const[l,$]of this.b)a($.value,$.uri,this)}*values(){for(const a of this.b.values())yield a.value}*keys(){for(const a of this.b.values())yield a.uri}*entries(){for(const a of this.b.values())yield[a.uri,a.value]}*[(E=Symbol.toStringTag,Symbol.iterator)](){for(const[,a]of this.b)yield[a.uri,a.value]}}e.$ji=d,d.a=g=>g.toString();class I{constructor(a,u){this[O]="ResourceSet",!a||typeof a=="function"?this.a=new d(a):(this.a=new d(u),a.forEach(this.add,this))}get size(){return this.a.size}add(a){return this.a.set(a,a),this}clear(){this.a.clear()}delete(a){return this.a.delete(a)}forEach(a,u){this.a.forEach((l,$)=>a.call(u,$,$,this))}has(a){return this.a.has(a)}entries(){return this.a.entries()}keys(){return this.a.keys()}values(){return this.a.keys()}[(O=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.$ki=I;var v;(function(g){g[g.None=0]="None",g[g.AsOld=1]="AsOld",g[g.AsNew=2]="AsNew"})(v||(e.Touch=v={}));class p{constructor(){this[o]="LinkedMap",this.a=new Map,this.b=void 0,this.c=void 0,this.d=0,this.e=0}clear(){this.a.clear(),this.b=void 0,this.c=void 0,this.d=0,this.e++}isEmpty(){return!this.b&&!this.c}get size(){return this.d}get first(){return this.b?.value}get last(){return this.c?.value}has(a){return this.a.has(a)}get(a,u=0){const l=this.a.get(a);if(l)return u!==0&&this.j(l,u),l.value}set(a,u,l=0){let $=this.a.get(a);if($)$.value=u,l!==0&&this.j($,l);else{switch($={key:a,value:u,next:void 0,previous:void 0},l){case 0:this.h($);break;case 1:this.g($);break;case 2:this.h($);break;default:this.h($);break}this.a.set(a,$),this.d++}return this}delete(a){return!!this.remove(a)}remove(a){const u=this.a.get(a);if(u)return this.a.delete(a),this.i(u),this.d--,u.value}shift(){if(!this.b&&!this.c)return;if(!this.b||!this.c)throw new Error("Invalid list");const a=this.b;return this.a.delete(a.key),this.i(a),this.d--,a.value}forEach(a,u){const l=this.e;let $=this.b;for(;$;){if(u?a.bind(u)($.value,$.key,this):a($.value,$.key,this),this.e!==l)throw new Error("LinkedMap got modified during iteration.");$=$.next}}keys(){const a=this,u=this.e;let l=this.b;const $={[Symbol.iterator](){return $},next(){if(a.e!==u)throw new Error("LinkedMap got modified during iteration.");if(l){const P={value:l.key,done:!1};return l=l.next,P}else return{value:void 0,done:!0}}};return $}values(){const a=this,u=this.e;let l=this.b;const $={[Symbol.iterator](){return $},next(){if(a.e!==u)throw new Error("LinkedMap got modified during iteration.");if(l){const P={value:l.value,done:!1};return l=l.next,P}else return{value:void 0,done:!0}}};return $}entries(){const a=this,u=this.e;let l=this.b;const $={[Symbol.iterator](){return $},next(){if(a.e!==u)throw new Error("LinkedMap got modified during iteration.");if(l){const P={value:[l.key,l.value],done:!1};return l=l.next,P}else return{value:void 0,done:!0}}};return $}[(o=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}f(a){if(a>=this.size)return;if(a===0){this.clear();return}let u=this.b,l=this.size;for(;u&&l>a;)this.a.delete(u.key),u=u.next,l--;this.b=u,this.d=l,u&&(u.previous=void 0),this.e++}g(a){if(!this.b&&!this.c)this.c=a;else if(this.b)a.next=this.b,this.b.previous=a;else throw new Error("Invalid list");this.b=a,this.e++}h(a){if(!this.b&&!this.c)this.b=a;else if(this.c)a.previous=this.c,this.c.next=a;else throw new Error("Invalid list");this.c=a,this.e++}i(a){if(a===this.b&&a===this.c)this.b=void 0,this.c=void 0;else if(a===this.b){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this.b=a.next}else if(a===this.c){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this.c=a.previous}else{const u=a.next,l=a.previous;if(!u||!l)throw new Error("Invalid list");u.previous=l,l.next=u}a.next=void 0,a.previous=void 0,this.e++}j(a,u){if(!this.b||!this.c)throw new Error("Invalid list");if(!(u!==1&&u!==2)){if(u===1){if(a===this.b)return;const l=a.next,$=a.previous;a===this.c?($.next=void 0,this.c=$):(l.previous=$,$.next=l),a.previous=void 0,a.next=this.b,this.b.previous=a,this.b=a,this.e++}else if(u===2){if(a===this.c)return;const l=a.next,$=a.previous;a===this.b?(l.previous=void 0,this.b=l):(l.previous=$,$.next=l),a.next=void 0,a.previous=this.c,this.c.next=a,this.c=a,this.e++}}}toJSON(){const a=[];return this.forEach((u,l)=>{a.push([l,u])}),a}fromJSON(a){this.clear();for(const[u,l]of a)this.set(u,l)}}e.$li=p;class h extends p{constructor(a,u=1){super(),this.k=a,this.l=Math.min(Math.max(0,u),1)}get limit(){return this.k}set limit(a){this.k=a,this.m()}get ratio(){return this.l}set ratio(a){this.l=Math.min(Math.max(0,a),1),this.m()}get(a,u=2){return super.get(a,u)}peek(a){return super.get(a,0)}set(a,u){return super.set(a,u,2),this.m(),this}m(){this.size>this.k&&this.f(Math.round(this.k*this.l))}}e.$mi=h;class m{constructor(){this.a=new Map}add(a){return this.a.set(a,(this.a.get(a)||0)+1),this}delete(a){let u=this.a.get(a)||0;return u===0?!1:(u--,u===0?this.a.delete(a):this.a.set(a,u),!0)}has(a){return this.a.has(a)}}e.$ni=m}),function(ae,e){typeof define=="function"&&define.amd?define(be[141],pe([0]),e):typeof exports=="object"&&typeof module<"u"?e(exports):(ae=typeof globalThis<"u"?globalThis:ae||self,e(ae.marked={}))}(this,function(ae){"use strict";function e(z,q){for(var W=0;W<q.length;W++){var U=q[W];U.enumerable=U.enumerable||!1,U.configurable=!0,"value"in U&&(U.writable=!0),Object.defineProperty(z,U.key,U)}}function E(z,q,W){return q&&e(z.prototype,q),W&&e(z,W),Object.defineProperty(z,"prototype",{writable:!1}),z}function O(z,q){if(z){if(typeof z=="string")return o(z,q);var W=Object.prototype.toString.call(z).slice(8,-1);if(W==="Object"&&z.constructor&&(W=z.constructor.name),W==="Map"||W==="Set")return Array.from(z);if(W==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(W))return o(z,q)}}function o(z,q){(q==null||q>z.length)&&(q=z.length);for(var W=0,U=new Array(q);W<q;W++)U[W]=z[W];return U}function A(z,q){var W=typeof Symbol<"u"&&z[Symbol.iterator]||z["@@iterator"];if(W)return(W=W.call(z)).next.bind(W);if(Array.isArray(z)||(W=O(z))||q&&z&&typeof z.length=="number"){W&&(z=W);var U=0;return function(){return U>=z.length?{done:!0}:{done:!1,value:z[U++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function R(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}ae.defaults=R();function L(z){ae.defaults=z}var b=/[&<>"']/,d=/[&<>"']/g,I=/[<>"']|&(?!#?\w+;)/,v=/[<>"']|&(?!#?\w+;)/g,p={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},h=function(q){return p[q]};function m(z,q){if(q){if(b.test(z))return z.replace(d,h)}else if(I.test(z))return z.replace(v,h);return z}var g=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function a(z){return z.replace(g,function(q,W){return W=W.toLowerCase(),W==="colon"?":":W.charAt(0)==="#"?W.charAt(1)==="x"?String.fromCharCode(parseInt(W.substring(2),16)):String.fromCharCode(+W.substring(1)):""})}var u=/(^|[^\[])\^/g;function l(z,q){z=typeof z=="string"?z:z.source,q=q||"";var W={replace:function(G,K){return K=K.source||K,K=K.replace(u,"$1"),z=z.replace(G,K),W},getRegex:function(){return new RegExp(z,q)}};return W}var $=/[^\w:]/g,P=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function k(z,q,W){if(z){var U;try{U=decodeURIComponent(a(W)).replace($,"").toLowerCase()}catch{return null}if(U.indexOf("javascript:")===0||U.indexOf("vbscript:")===0||U.indexOf("data:")===0)return null}q&&!P.test(W)&&(W=s(q,W));try{W=encodeURI(W).replace(/%25/g,"%")}catch{return null}return W}var t={},i=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,n=/^([^:]+:\/*[^/]*)[\s\S]*$/;function s(z,q){t[" "+z]||(i.test(z)?t[" "+z]=z+"/":t[" "+z]=w(z,"/",!0)),z=t[" "+z];var W=z.indexOf(":")===-1;return q.substring(0,2)==="//"?W?q:z.replace(r,"$1")+q:q.charAt(0)==="/"?W?q:z.replace(n,"$1")+q:z+q}var c={exec:function(){}};function f(z){for(var q=1,W,U;q<arguments.length;q++){W=arguments[q];for(U in W)Object.prototype.hasOwnProperty.call(W,U)&&(z[U]=W[U])}return z}function y(z,q){var W=z.replace(/\|/g,function(K,Q,ce){for(var we=!1,Pe=Q;--Pe>=0&&ce[Pe]==="\\";)we=!we;return we?"|":" |"}),U=W.split(/ \|/),G=0;if(U[0].trim()||U.shift(),U.length>0&&!U[U.length-1].trim()&&U.pop(),U.length>q)U.splice(q);else for(;U.length<q;)U.push("");for(;G<U.length;G++)U[G]=U[G].trim().replace(/\\\|/g,"|");return U}function w(z,q,W){var U=z.length;if(U===0)return"";for(var G=0;G<U;){var K=z.charAt(U-G-1);if(K===q&&!W)G++;else if(K!==q&&W)G++;else break}return z.slice(0,U-G)}function D(z,q){if(z.indexOf(q[1])===-1)return-1;for(var W=z.length,U=0,G=0;G<W;G++)if(z[G]==="\\")G++;else if(z[G]===q[0])U++;else if(z[G]===q[1]&&(U--,U<0))return G;return-1}function C(z){z&&z.sanitize&&!z.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function M(z,q){if(q<1)return"";for(var W="";q>1;)q&1&&(W+=z),q>>=1,z+=z;return W+z}function X(z,q,W,U){var G=q.href,K=q.title?m(q.title):null,Q=z[1].replace(/\\([\[\]])/g,"$1");if(z[0].charAt(0)!=="!"){U.state.inLink=!0;var ce={type:"link",raw:W,href:G,title:K,text:Q,tokens:U.inlineTokens(Q)};return U.state.inLink=!1,ce}return{type:"image",raw:W,href:G,title:K,text:m(Q)}}function ne(z,q){var W=z.match(/^(\s+)(?:```)/);if(W===null)return q;var U=W[1];return q.split(`
`).map(function(G){var K=G.match(/^\s+/);if(K===null)return G;var Q=K[0];return Q.length>=U.length?G.slice(U.length):G}).join(`
`)}var he=function(){function z(W){this.options=W||ae.defaults}var q=z.prototype;return q.space=function(U){var G=this.rules.block.newline.exec(U);if(G&&G[0].length>0)return{type:"space",raw:G[0]}},q.code=function(U){var G=this.rules.block.code.exec(U);if(G){var K=G[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:G[0],codeBlockStyle:"indented",text:this.options.pedantic?K:w(K,`
`)}}},q.fences=function(U){var G=this.rules.block.fences.exec(U);if(G){var K=G[0],Q=ne(K,G[3]||"");return{type:"code",raw:K,lang:G[2]?G[2].trim():G[2],text:Q}}},q.heading=function(U){var G=this.rules.block.heading.exec(U);if(G){var K=G[2].trim();if(/#$/.test(K)){var Q=w(K,"#");(this.options.pedantic||!Q||/ $/.test(Q))&&(K=Q.trim())}return{type:"heading",raw:G[0],depth:G[1].length,text:K,tokens:this.lexer.inline(K)}}},q.hr=function(U){var G=this.rules.block.hr.exec(U);if(G)return{type:"hr",raw:G[0]}},q.blockquote=function(U){var G=this.rules.block.blockquote.exec(U);if(G){var K=G[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:G[0],tokens:this.lexer.blockTokens(K,[]),text:K}}},q.list=function(U){var G=this.rules.block.list.exec(U);if(G){var K,Q,ce,we,Pe,Ce,Fe,ze,me,Ee,ve,Me,Te=G[1].trim(),_e=Te.length>1,qe={type:"list",raw:"",ordered:_e,start:_e?+Te.slice(0,-1):"",loose:!1,items:[]};Te=_e?"\\d{1,9}\\"+Te.slice(-1):"\\"+Te,this.options.pedantic&&(Te=_e?Te:"[*+-]");for(var Ge=new RegExp("^( {0,3}"+Te+")((?:[	 ][^\\n]*)?(?:\\n|$))");U&&(Me=!1,!(!(G=Ge.exec(U))||this.rules.block.hr.test(U)));){if(K=G[0],U=U.substring(K.length),ze=G[2].split(`
`,1)[0],me=U.split(`
`,1)[0],this.options.pedantic?(we=2,ve=ze.trimLeft()):(we=G[2].search(/[^ ]/),we=we>4?1:we,ve=ze.slice(we),we+=G[1].length),Ce=!1,!ze&&/^ *$/.test(me)&&(K+=me+`
`,U=U.substring(me.length+1),Me=!0),!Me)for(var Qe=new RegExp("^ {0,"+Math.min(3,we-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),st=new RegExp("^ {0,"+Math.min(3,we-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)"),Je=new RegExp("^ {0,"+Math.min(3,we-1)+"}(?:```|~~~)"),Xe=new RegExp("^ {0,"+Math.min(3,we-1)+"}#");U&&(Ee=U.split(`
`,1)[0],ze=Ee,this.options.pedantic&&(ze=ze.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(Je.test(ze)||Xe.test(ze)||Qe.test(ze)||st.test(U)));){if(ze.search(/[^ ]/)>=we||!ze.trim())ve+=`
`+ze.slice(we);else if(!Ce)ve+=`
`+ze;else break;!Ce&&!ze.trim()&&(Ce=!0),K+=Ee+`
`,U=U.substring(Ee.length+1)}qe.loose||(Fe?qe.loose=!0:/\n *\n *$/.test(K)&&(Fe=!0)),this.options.gfm&&(Q=/^\[[ xX]\] /.exec(ve),Q&&(ce=Q[0]!=="[ ] ",ve=ve.replace(/^\[[ xX]\] +/,""))),qe.items.push({type:"list_item",raw:K,task:!!Q,checked:ce,loose:!1,text:ve}),qe.raw+=K}qe.items[qe.items.length-1].raw=K.trimRight(),qe.items[qe.items.length-1].text=ve.trimRight(),qe.raw=qe.raw.trimRight();var fe=qe.items.length;for(Pe=0;Pe<fe;Pe++){this.lexer.state.top=!1,qe.items[Pe].tokens=this.lexer.blockTokens(qe.items[Pe].text,[]);var ke=qe.items[Pe].tokens.filter(function(Ae){return Ae.type==="space"}),Ie=ke.every(function(Ae){for(var Ne=Ae.raw.split(""),Be=0,He=A(Ne),Ke;!(Ke=He()).done;){var Ze=Ke.value;if(Ze===`
`&&(Be+=1),Be>1)return!0}return!1});!qe.loose&&ke.length&&Ie&&(qe.loose=!0,qe.items[Pe].loose=!0)}return qe}},q.html=function(U){var G=this.rules.block.html.exec(U);if(G){var K={type:"html",raw:G[0],pre:!this.options.sanitizer&&(G[1]==="pre"||G[1]==="script"||G[1]==="style"),text:G[0]};if(this.options.sanitize){var Q=this.options.sanitizer?this.options.sanitizer(G[0]):m(G[0]);K.type="paragraph",K.text=Q,K.tokens=this.lexer.inline(Q)}return K}},q.def=function(U){var G=this.rules.block.def.exec(U);if(G){G[3]&&(G[3]=G[3].substring(1,G[3].length-1));var K=G[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:K,raw:G[0],href:G[2],title:G[3]}}},q.table=function(U){var G=this.rules.block.table.exec(U);if(G){var K={type:"table",header:y(G[1]).map(function(Fe){return{text:Fe}}),align:G[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:G[3]&&G[3].trim()?G[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(K.header.length===K.align.length){K.raw=G[0];var Q=K.align.length,ce,we,Pe,Ce;for(ce=0;ce<Q;ce++)/^ *-+: *$/.test(K.align[ce])?K.align[ce]="right":/^ *:-+: *$/.test(K.align[ce])?K.align[ce]="center":/^ *:-+ *$/.test(K.align[ce])?K.align[ce]="left":K.align[ce]=null;for(Q=K.rows.length,ce=0;ce<Q;ce++)K.rows[ce]=y(K.rows[ce],K.header.length).map(function(Fe){return{text:Fe}});for(Q=K.header.length,we=0;we<Q;we++)K.header[we].tokens=this.lexer.inline(K.header[we].text);for(Q=K.rows.length,we=0;we<Q;we++)for(Ce=K.rows[we],Pe=0;Pe<Ce.length;Pe++)Ce[Pe].tokens=this.lexer.inline(Ce[Pe].text);return K}}},q.lheading=function(U){var G=this.rules.block.lheading.exec(U);if(G)return{type:"heading",raw:G[0],depth:G[2].charAt(0)==="="?1:2,text:G[1],tokens:this.lexer.inline(G[1])}},q.paragraph=function(U){var G=this.rules.block.paragraph.exec(U);if(G){var K=G[1].charAt(G[1].length-1)===`
`?G[1].slice(0,-1):G[1];return{type:"paragraph",raw:G[0],text:K,tokens:this.lexer.inline(K)}}},q.text=function(U){var G=this.rules.block.text.exec(U);if(G)return{type:"text",raw:G[0],text:G[0],tokens:this.lexer.inline(G[0])}},q.escape=function(U){var G=this.rules.inline.escape.exec(U);if(G)return{type:"escape",raw:G[0],text:m(G[1])}},q.tag=function(U){var G=this.rules.inline.tag.exec(U);if(G)return!this.lexer.state.inLink&&/^<a /i.test(G[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(G[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(G[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(G[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:G[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(G[0]):m(G[0]):G[0]}},q.link=function(U){var G=this.rules.inline.link.exec(U);if(G){var K=G[2].trim();if(!this.options.pedantic&&/^</.test(K)){if(!/>$/.test(K))return;var Q=w(K.slice(0,-1),"\\");if((K.length-Q.length)%2===0)return}else{var ce=D(G[2],"()");if(ce>-1){var we=G[0].indexOf("!")===0?5:4,Pe=we+G[1].length+ce;G[2]=G[2].substring(0,ce),G[0]=G[0].substring(0,Pe).trim(),G[3]=""}}var Ce=G[2],Fe="";if(this.options.pedantic){var ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ce);ze&&(Ce=ze[1],Fe=ze[3])}else Fe=G[3]?G[3].slice(1,-1):"";return Ce=Ce.trim(),/^</.test(Ce)&&(this.options.pedantic&&!/>$/.test(K)?Ce=Ce.slice(1):Ce=Ce.slice(1,-1)),X(G,{href:Ce&&Ce.replace(this.rules.inline._escapes,"$1"),title:Fe&&Fe.replace(this.rules.inline._escapes,"$1")},G[0],this.lexer)}},q.reflink=function(U,G){var K;if((K=this.rules.inline.reflink.exec(U))||(K=this.rules.inline.nolink.exec(U))){var Q=(K[2]||K[1]).replace(/\s+/g," ");if(Q=G[Q.toLowerCase()],!Q||!Q.href){var ce=K[0].charAt(0);return{type:"text",raw:ce,text:ce}}return X(K,Q,K[0],this.lexer)}},q.emStrong=function(U,G,K){K===void 0&&(K="");var Q=this.rules.inline.emStrong.lDelim.exec(U);if(Q&&!(Q[3]&&K.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var ce=Q[1]||Q[2]||"";if(!ce||ce&&(K===""||this.rules.inline.punctuation.exec(K))){var we=Q[0].length-1,Pe,Ce,Fe=we,ze=0,me=Q[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(me.lastIndex=0,G=G.slice(-1*U.length+we);(Q=me.exec(G))!=null;)if(Pe=Q[1]||Q[2]||Q[3]||Q[4]||Q[5]||Q[6],!!Pe){if(Ce=Pe.length,Q[3]||Q[4]){Fe+=Ce;continue}else if((Q[5]||Q[6])&&we%3&&!((we+Ce)%3)){ze+=Ce;continue}if(Fe-=Ce,!(Fe>0)){if(Ce=Math.min(Ce,Ce+Fe+ze),Math.min(we,Ce)%2){var Ee=U.slice(1,we+Q.index+Ce);return{type:"em",raw:U.slice(0,we+Q.index+Ce+1),text:Ee,tokens:this.lexer.inlineTokens(Ee)}}var ve=U.slice(2,we+Q.index+Ce-1);return{type:"strong",raw:U.slice(0,we+Q.index+Ce+1),text:ve,tokens:this.lexer.inlineTokens(ve)}}}}}},q.codespan=function(U){var G=this.rules.inline.code.exec(U);if(G){var K=G[2].replace(/\n/g," "),Q=/[^ ]/.test(K),ce=/^ /.test(K)&&/ $/.test(K);return Q&&ce&&(K=K.substring(1,K.length-1)),K=m(K,!0),{type:"codespan",raw:G[0],text:K}}},q.br=function(U){var G=this.rules.inline.br.exec(U);if(G)return{type:"br",raw:G[0]}},q.del=function(U){var G=this.rules.inline.del.exec(U);if(G)return{type:"del",raw:G[0],text:G[2],tokens:this.lexer.inlineTokens(G[2])}},q.autolink=function(U,G){var K=this.rules.inline.autolink.exec(U);if(K){var Q,ce;return K[2]==="@"?(Q=m(this.options.mangle?G(K[1]):K[1]),ce="mailto:"+Q):(Q=m(K[1]),ce=Q),{type:"link",raw:K[0],text:Q,href:ce,tokens:[{type:"text",raw:Q,text:Q}]}}},q.url=function(U,G){var K;if(K=this.rules.inline.url.exec(U)){var Q,ce;if(K[2]==="@")Q=m(this.options.mangle?G(K[0]):K[0]),ce="mailto:"+Q;else{var we;do we=K[0],K[0]=this.rules.inline._backpedal.exec(K[0])[0];while(we!==K[0]);Q=m(K[0]),K[1]==="www."?ce="http://"+Q:ce=Q}return{type:"link",raw:K[0],text:Q,href:ce,tokens:[{type:"text",raw:Q,text:Q}]}}},q.inlineText=function(U,G){var K=this.rules.inline.text.exec(U);if(K){var Q;return this.lexer.state.inRawBlock?Q=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(K[0]):m(K[0]):K[0]:Q=m(this.options.smartypants?G(K[0]):K[0]),{type:"text",raw:K[0],text:Q}}},z}(),ue={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:c,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};ue._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,ue._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,ue.def=l(ue.def).replace("label",ue._label).replace("title",ue._title).getRegex(),ue.bullet=/(?:[*+-]|\d{1,9}[.)])/,ue.listItemStart=l(/^( *)(bull) */).replace("bull",ue.bullet).getRegex(),ue.list=l(ue.list).replace(/bull/g,ue.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+ue.def.source+")").getRegex(),ue._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",ue._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,ue.html=l(ue.html,"i").replace("comment",ue._comment).replace("tag",ue._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),ue.paragraph=l(ue._paragraph).replace("hr",ue.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",ue._tag).getRegex(),ue.blockquote=l(ue.blockquote).replace("paragraph",ue.paragraph).getRegex(),ue.normal=f({},ue),ue.gfm=f({},ue.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),ue.gfm.table=l(ue.gfm.table).replace("hr",ue.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",ue._tag).getRegex(),ue.gfm.paragraph=l(ue._paragraph).replace("hr",ue.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",ue.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",ue._tag).getRegex(),ue.pedantic=f({},ue.normal,{html:l(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",ue._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:c,paragraph:l(ue.normal._paragraph).replace("hr",ue.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",ue.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var le={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:c,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:c,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};le._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",le.punctuation=l(le.punctuation).replace(/punctuation/g,le._punctuation).getRegex(),le.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,le.escapedEmSt=/\\\*|\\_/g,le._comment=l(ue._comment).replace("(?:-->|$)","-->").getRegex(),le.emStrong.lDelim=l(le.emStrong.lDelim).replace(/punct/g,le._punctuation).getRegex(),le.emStrong.rDelimAst=l(le.emStrong.rDelimAst,"g").replace(/punct/g,le._punctuation).getRegex(),le.emStrong.rDelimUnd=l(le.emStrong.rDelimUnd,"g").replace(/punct/g,le._punctuation).getRegex(),le._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,le._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,le._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,le.autolink=l(le.autolink).replace("scheme",le._scheme).replace("email",le._email).getRegex(),le._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,le.tag=l(le.tag).replace("comment",le._comment).replace("attribute",le._attribute).getRegex(),le._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,le._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,le._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,le.link=l(le.link).replace("label",le._label).replace("href",le._href).replace("title",le._title).getRegex(),le.reflink=l(le.reflink).replace("label",le._label).replace("ref",ue._label).getRegex(),le.nolink=l(le.nolink).replace("ref",ue._label).getRegex(),le.reflinkSearch=l(le.reflinkSearch,"g").replace("reflink",le.reflink).replace("nolink",le.nolink).getRegex(),le.normal=f({},le),le.pedantic=f({},le.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:l(/^!?\[(label)\]\((.*?)\)/).replace("label",le._label).getRegex(),reflink:l(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",le._label).getRegex()}),le.gfm=f({},le.normal,{escape:l(le.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),le.gfm.url=l(le.gfm.url,"i").replace("email",le.gfm._extended_email).getRegex(),le.breaks=f({},le.gfm,{br:l(le.br).replace("{2,}","*").getRegex(),text:l(le.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function ge(z){return z.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function se(z){var q="",W,U,G=z.length;for(W=0;W<G;W++)U=z.charCodeAt(W),Math.random()>.5&&(U="x"+U.toString(16)),q+="&#"+U+";";return q}var J=function(){function z(W){this.tokens=[],this.tokens.links=Object.create(null),this.options=W||ae.defaults,this.options.tokenizer=this.options.tokenizer||new he,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var U={block:ue.normal,inline:le.normal};this.options.pedantic?(U.block=ue.pedantic,U.inline=le.pedantic):this.options.gfm&&(U.block=ue.gfm,this.options.breaks?U.inline=le.breaks:U.inline=le.gfm),this.tokenizer.rules=U}z.lex=function(U,G){var K=new z(G);return K.lex(U)},z.lexInline=function(U,G){var K=new z(G);return K.inlineTokens(U)};var q=z.prototype;return q.lex=function(U){U=U.replace(/\r\n|\r/g,`
`),this.blockTokens(U,this.tokens);for(var G;G=this.inlineQueue.shift();)this.inlineTokens(G.src,G.tokens);return this.tokens},q.blockTokens=function(U,G){var K=this;G===void 0&&(G=[]),this.options.pedantic?U=U.replace(/\t/g,"    ").replace(/^ +$/gm,""):U=U.replace(/^( *)(\t+)/gm,function(Fe,ze,me){return ze+"    ".repeat(me.length)});for(var Q,ce,we,Pe;U;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(Fe){return(Q=Fe.call({lexer:K},U,G))?(U=U.substring(Q.raw.length),G.push(Q),!0):!1}))){if(Q=this.tokenizer.space(U)){U=U.substring(Q.raw.length),Q.raw.length===1&&G.length>0?G[G.length-1].raw+=`
`:G.push(Q);continue}if(Q=this.tokenizer.code(U)){U=U.substring(Q.raw.length),ce=G[G.length-1],ce&&(ce.type==="paragraph"||ce.type==="text")?(ce.raw+=`
`+Q.raw,ce.text+=`
`+Q.text,this.inlineQueue[this.inlineQueue.length-1].src=ce.text):G.push(Q);continue}if(Q=this.tokenizer.fences(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.heading(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.hr(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.blockquote(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.list(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.html(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.def(U)){U=U.substring(Q.raw.length),ce=G[G.length-1],ce&&(ce.type==="paragraph"||ce.type==="text")?(ce.raw+=`
`+Q.raw,ce.text+=`
`+Q.raw,this.inlineQueue[this.inlineQueue.length-1].src=ce.text):this.tokens.links[Q.tag]||(this.tokens.links[Q.tag]={href:Q.href,title:Q.title});continue}if(Q=this.tokenizer.table(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.lheading(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(we=U,this.options.extensions&&this.options.extensions.startBlock&&function(){var Fe=1/0,ze=U.slice(1),me=void 0;K.options.extensions.startBlock.forEach(function(Ee){me=Ee.call({lexer:this},ze),typeof me=="number"&&me>=0&&(Fe=Math.min(Fe,me))}),Fe<1/0&&Fe>=0&&(we=U.substring(0,Fe+1))}(),this.state.top&&(Q=this.tokenizer.paragraph(we))){ce=G[G.length-1],Pe&&ce.type==="paragraph"?(ce.raw+=`
`+Q.raw,ce.text+=`
`+Q.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=ce.text):G.push(Q),Pe=we.length!==U.length,U=U.substring(Q.raw.length);continue}if(Q=this.tokenizer.text(U)){U=U.substring(Q.raw.length),ce=G[G.length-1],ce&&ce.type==="text"?(ce.raw+=`
`+Q.raw,ce.text+=`
`+Q.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=ce.text):G.push(Q);continue}if(U){var Ce="Infinite loop on byte: "+U.charCodeAt(0);if(this.options.silent){console.error(Ce);break}else throw new Error(Ce)}}return this.state.top=!0,G},q.inline=function(U,G){return G===void 0&&(G=[]),this.inlineQueue.push({src:U,tokens:G}),G},q.inlineTokens=function(U,G){var K=this;G===void 0&&(G=[]);var Q,ce,we,Pe=U,Ce,Fe,ze;if(this.tokens.links){var me=Object.keys(this.tokens.links);if(me.length>0)for(;(Ce=this.tokenizer.rules.inline.reflinkSearch.exec(Pe))!=null;)me.includes(Ce[0].slice(Ce[0].lastIndexOf("[")+1,-1))&&(Pe=Pe.slice(0,Ce.index)+"["+M("a",Ce[0].length-2)+"]"+Pe.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ce=this.tokenizer.rules.inline.blockSkip.exec(Pe))!=null;)Pe=Pe.slice(0,Ce.index)+"["+M("a",Ce[0].length-2)+"]"+Pe.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ce=this.tokenizer.rules.inline.escapedEmSt.exec(Pe))!=null;)Pe=Pe.slice(0,Ce.index)+"++"+Pe.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;U;)if(Fe||(ze=""),Fe=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(ve){return(Q=ve.call({lexer:K},U,G))?(U=U.substring(Q.raw.length),G.push(Q),!0):!1}))){if(Q=this.tokenizer.escape(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.tag(U)){U=U.substring(Q.raw.length),ce=G[G.length-1],ce&&Q.type==="text"&&ce.type==="text"?(ce.raw+=Q.raw,ce.text+=Q.text):G.push(Q);continue}if(Q=this.tokenizer.link(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.reflink(U,this.tokens.links)){U=U.substring(Q.raw.length),ce=G[G.length-1],ce&&Q.type==="text"&&ce.type==="text"?(ce.raw+=Q.raw,ce.text+=Q.text):G.push(Q);continue}if(Q=this.tokenizer.emStrong(U,Pe,ze)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.codespan(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.br(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.del(U)){U=U.substring(Q.raw.length),G.push(Q);continue}if(Q=this.tokenizer.autolink(U,se)){U=U.substring(Q.raw.length),G.push(Q);continue}if(!this.state.inLink&&(Q=this.tokenizer.url(U,se))){U=U.substring(Q.raw.length),G.push(Q);continue}if(we=U,this.options.extensions&&this.options.extensions.startInline&&function(){var ve=1/0,Me=U.slice(1),Te=void 0;K.options.extensions.startInline.forEach(function(_e){Te=_e.call({lexer:this},Me),typeof Te=="number"&&Te>=0&&(ve=Math.min(ve,Te))}),ve<1/0&&ve>=0&&(we=U.substring(0,ve+1))}(),Q=this.tokenizer.inlineText(we,ge)){U=U.substring(Q.raw.length),Q.raw.slice(-1)!=="_"&&(ze=Q.raw.slice(-1)),Fe=!0,ce=G[G.length-1],ce&&ce.type==="text"?(ce.raw+=Q.raw,ce.text+=Q.text):G.push(Q);continue}if(U){var Ee="Infinite loop on byte: "+U.charCodeAt(0);if(this.options.silent){console.error(Ee);break}else throw new Error(Ee)}}return G},E(z,null,[{key:"rules",get:function(){return{block:ue,inline:le}}}]),z}(),te=function(){function z(W){this.options=W||ae.defaults}var q=z.prototype;return q.code=function(U,G,K){var Q=(G||"").match(/\S*/)[0];if(this.options.highlight){var ce=this.options.highlight(U,Q);ce!=null&&ce!==U&&(K=!0,U=ce)}return U=U.replace(/\n$/,"")+`
`,Q?'<pre><code class="'+this.options.langPrefix+m(Q,!0)+'">'+(K?U:m(U,!0))+`</code></pre>
`:"<pre><code>"+(K?U:m(U,!0))+`</code></pre>
`},q.blockquote=function(U){return`<blockquote>
`+U+`</blockquote>
`},q.html=function(U){return U},q.heading=function(U,G,K,Q){if(this.options.headerIds){var ce=this.options.headerPrefix+Q.slug(K);return"<h"+G+' id="'+ce+'">'+U+"</h"+G+`>
`}return"<h"+G+">"+U+"</h"+G+`>
`},q.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},q.list=function(U,G,K){var Q=G?"ol":"ul",ce=G&&K!==1?' start="'+K+'"':"";return"<"+Q+ce+`>
`+U+"</"+Q+`>
`},q.listitem=function(U){return"<li>"+U+`</li>
`},q.checkbox=function(U){return"<input "+(U?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},q.paragraph=function(U){return"<p>"+U+`</p>
`},q.table=function(U,G){return G&&(G="<tbody>"+G+"</tbody>"),`<table>
<thead>
`+U+`</thead>
`+G+`</table>
`},q.tablerow=function(U){return`<tr>
`+U+`</tr>
`},q.tablecell=function(U,G){var K=G.header?"th":"td",Q=G.align?"<"+K+' align="'+G.align+'">':"<"+K+">";return Q+U+("</"+K+`>
`)},q.strong=function(U){return"<strong>"+U+"</strong>"},q.em=function(U){return"<em>"+U+"</em>"},q.codespan=function(U){return"<code>"+U+"</code>"},q.br=function(){return this.options.xhtml?"<br/>":"<br>"},q.del=function(U){return"<del>"+U+"</del>"},q.link=function(U,G,K){if(U=k(this.options.sanitize,this.options.baseUrl,U),U===null)return K;var Q='<a href="'+m(U)+'"';return G&&(Q+=' title="'+G+'"'),Q+=">"+K+"</a>",Q},q.image=function(U,G,K){if(U=k(this.options.sanitize,this.options.baseUrl,U),U===null)return K;var Q='<img src="'+U+'" alt="'+K+'"';return G&&(Q+=' title="'+G+'"'),Q+=this.options.xhtml?"/>":">",Q},q.text=function(U){return U},z}(),V=function(){function z(){}var q=z.prototype;return q.strong=function(U){return U},q.em=function(U){return U},q.codespan=function(U){return U},q.del=function(U){return U},q.html=function(U){return U},q.text=function(U){return U},q.link=function(U,G,K){return""+K},q.image=function(U,G,K){return""+K},q.br=function(){return""},z}(),Z=function(){function z(){this.seen={}}var q=z.prototype;return q.serialize=function(U){return U.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},q.getNextSafeSlug=function(U,G){var K=U,Q=0;if(this.seen.hasOwnProperty(K)){Q=this.seen[U];do Q++,K=U+"-"+Q;while(this.seen.hasOwnProperty(K))}return G||(this.seen[U]=Q,this.seen[K]=0),K},q.slug=function(U,G){G===void 0&&(G={});var K=this.serialize(U);return this.getNextSafeSlug(K,G.dryrun)},z}(),H=function(){function z(W){this.options=W||ae.defaults,this.options.renderer=this.options.renderer||new te,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new V,this.slugger=new Z}z.parse=function(U,G){var K=new z(G);return K.parse(U)},z.parseInline=function(U,G){var K=new z(G);return K.parseInline(U)};var q=z.prototype;return q.parse=function(U,G){G===void 0&&(G=!0);var K="",Q,ce,we,Pe,Ce,Fe,ze,me,Ee,ve,Me,Te,_e,qe,Ge,Qe,st,Je,Xe,fe=U.length;for(Q=0;Q<fe;Q++){if(ve=U[Q],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[ve.type]&&(Xe=this.options.extensions.renderers[ve.type].call({parser:this},ve),Xe!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(ve.type))){K+=Xe||"";continue}switch(ve.type){case"space":continue;case"hr":{K+=this.renderer.hr();continue}case"heading":{K+=this.renderer.heading(this.parseInline(ve.tokens),ve.depth,a(this.parseInline(ve.tokens,this.textRenderer)),this.slugger);continue}case"code":{K+=this.renderer.code(ve.text,ve.lang,ve.escaped);continue}case"table":{for(me="",ze="",Pe=ve.header.length,ce=0;ce<Pe;ce++)ze+=this.renderer.tablecell(this.parseInline(ve.header[ce].tokens),{header:!0,align:ve.align[ce]});for(me+=this.renderer.tablerow(ze),Ee="",Pe=ve.rows.length,ce=0;ce<Pe;ce++){for(Fe=ve.rows[ce],ze="",Ce=Fe.length,we=0;we<Ce;we++)ze+=this.renderer.tablecell(this.parseInline(Fe[we].tokens),{header:!1,align:ve.align[we]});Ee+=this.renderer.tablerow(ze)}K+=this.renderer.table(me,Ee);continue}case"blockquote":{Ee=this.parse(ve.tokens),K+=this.renderer.blockquote(Ee);continue}case"list":{for(Me=ve.ordered,Te=ve.start,_e=ve.loose,Pe=ve.items.length,Ee="",ce=0;ce<Pe;ce++)Ge=ve.items[ce],Qe=Ge.checked,st=Ge.task,qe="",Ge.task&&(Je=this.renderer.checkbox(Qe),_e?Ge.tokens.length>0&&Ge.tokens[0].type==="paragraph"?(Ge.tokens[0].text=Je+" "+Ge.tokens[0].text,Ge.tokens[0].tokens&&Ge.tokens[0].tokens.length>0&&Ge.tokens[0].tokens[0].type==="text"&&(Ge.tokens[0].tokens[0].text=Je+" "+Ge.tokens[0].tokens[0].text)):Ge.tokens.unshift({type:"text",text:Je}):qe+=Je),qe+=this.parse(Ge.tokens,_e),Ee+=this.renderer.listitem(qe,st,Qe);K+=this.renderer.list(Ee,Me,Te);continue}case"html":{K+=this.renderer.html(ve.text);continue}case"paragraph":{K+=this.renderer.paragraph(this.parseInline(ve.tokens));continue}case"text":{for(Ee=ve.tokens?this.parseInline(ve.tokens):ve.text;Q+1<fe&&U[Q+1].type==="text";)ve=U[++Q],Ee+=`
`+(ve.tokens?this.parseInline(ve.tokens):ve.text);K+=G?this.renderer.paragraph(Ee):Ee;continue}default:{var ke='Token with "'+ve.type+'" type was not found.';if(this.options.silent){console.error(ke);return}else throw new Error(ke)}}}return K},q.parseInline=function(U,G){G=G||this.renderer;var K="",Q,ce,we,Pe=U.length;for(Q=0;Q<Pe;Q++){if(ce=U[Q],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[ce.type]&&(we=this.options.extensions.renderers[ce.type].call({parser:this},ce),we!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(ce.type))){K+=we||"";continue}switch(ce.type){case"escape":{K+=G.text(ce.text);break}case"html":{K+=G.html(ce.text);break}case"link":{K+=G.link(ce.href,ce.title,this.parseInline(ce.tokens,G));break}case"image":{K+=G.image(ce.href,ce.title,ce.text);break}case"strong":{K+=G.strong(this.parseInline(ce.tokens,G));break}case"em":{K+=G.em(this.parseInline(ce.tokens,G));break}case"codespan":{K+=G.codespan(ce.text);break}case"br":{K+=G.br();break}case"del":{K+=G.del(this.parseInline(ce.tokens,G));break}case"text":{K+=G.text(ce.text);break}default:{var Ce='Token with "'+ce.type+'" type was not found.';if(this.options.silent){console.error(Ce);return}else throw new Error(Ce)}}}return K},z}();function B(z,q,W){if(typeof z>"u"||z===null)throw new Error("marked(): input parameter is undefined or null");if(typeof z!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(z)+", string expected");if(typeof q=="function"&&(W=q,q=null),q=f({},B.defaults,q||{}),C(q),W){var U=q.highlight,G;try{G=J.lex(z,q)}catch(Pe){return W(Pe)}var K=function(Ce){var Fe;if(!Ce)try{q.walkTokens&&B.walkTokens(G,q.walkTokens),Fe=H.parse(G,q)}catch(ze){Ce=ze}return q.highlight=U,Ce?W(Ce):W(null,Fe)};if(!U||U.length<3||(delete q.highlight,!G.length))return K();var Q=0;B.walkTokens(G,function(Pe){Pe.type==="code"&&(Q++,setTimeout(function(){U(Pe.text,Pe.lang,function(Ce,Fe){if(Ce)return K(Ce);Fe!=null&&Fe!==Pe.text&&(Pe.text=Fe,Pe.escaped=!0),Q--,Q===0&&K()})},0))}),Q===0&&K();return}function ce(Pe){if(Pe.message+=`
Please report this to https://github.com/markedjs/marked.`,q.silent)return"<p>An error occurred:</p><pre>"+m(Pe.message+"",!0)+"</pre>";throw Pe}try{var we=J.lex(z,q);if(q.walkTokens){if(q.async)return Promise.all(B.walkTokens(we,q.walkTokens)).then(function(){return H.parse(we,q)}).catch(ce);B.walkTokens(we,q.walkTokens)}return H.parse(we,q)}catch(Pe){ce(Pe)}}B.options=B.setOptions=function(z){return f(B.defaults,z),L(B.defaults),B},B.getDefaults=R,B.defaults=ae.defaults,B.use=function(){for(var z=arguments.length,q=new Array(z),W=0;W<z;W++)q[W]=arguments[W];var U=f.apply(void 0,[{}].concat(q)),G=B.defaults.extensions||{renderers:{},childTokens:{}},K;q.forEach(function(Q){if(Q.extensions&&(K=!0,Q.extensions.forEach(function(we){if(!we.name)throw new Error("extension name required");if(we.renderer){var Pe=G.renderers?G.renderers[we.name]:null;Pe?G.renderers[we.name]=function(){for(var Ce=arguments.length,Fe=new Array(Ce),ze=0;ze<Ce;ze++)Fe[ze]=arguments[ze];var me=we.renderer.apply(this,Fe);return me===!1&&(me=Pe.apply(this,Fe)),me}:G.renderers[we.name]=we.renderer}if(we.tokenizer){if(!we.level||we.level!=="block"&&we.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");G[we.level]?G[we.level].unshift(we.tokenizer):G[we.level]=[we.tokenizer],we.start&&(we.level==="block"?G.startBlock?G.startBlock.push(we.start):G.startBlock=[we.start]:we.level==="inline"&&(G.startInline?G.startInline.push(we.start):G.startInline=[we.start]))}we.childTokens&&(G.childTokens[we.name]=we.childTokens)})),Q.renderer&&function(){var we=B.defaults.renderer||new te,Pe=function(ze){var me=we[ze];we[ze]=function(){for(var Ee=arguments.length,ve=new Array(Ee),Me=0;Me<Ee;Me++)ve[Me]=arguments[Me];var Te=Q.renderer[ze].apply(we,ve);return Te===!1&&(Te=me.apply(we,ve)),Te}};for(var Ce in Q.renderer)Pe(Ce);U.renderer=we}(),Q.tokenizer&&function(){var we=B.defaults.tokenizer||new he,Pe=function(ze){var me=we[ze];we[ze]=function(){for(var Ee=arguments.length,ve=new Array(Ee),Me=0;Me<Ee;Me++)ve[Me]=arguments[Me];var Te=Q.tokenizer[ze].apply(we,ve);return Te===!1&&(Te=me.apply(we,ve)),Te}};for(var Ce in Q.tokenizer)Pe(Ce);U.tokenizer=we}(),Q.walkTokens){var ce=B.defaults.walkTokens;U.walkTokens=function(we){var Pe=[];return Pe.push(Q.walkTokens.call(this,we)),ce&&(Pe=Pe.concat(ce.call(this,we))),Pe}}K&&(U.extensions=G),B.setOptions(U)})},B.walkTokens=function(z,q){for(var W=[],U=function(){var ce=K.value;switch(W=W.concat(q.call(B,ce)),ce.type){case"table":{for(var we=A(ce.header),Pe;!(Pe=we()).done;){var Ce=Pe.value;W=W.concat(B.walkTokens(Ce.tokens,q))}for(var Fe=A(ce.rows),ze;!(ze=Fe()).done;)for(var me=ze.value,Ee=A(me),ve;!(ve=Ee()).done;){var Me=ve.value;W=W.concat(B.walkTokens(Me.tokens,q))}break}case"list":{W=W.concat(B.walkTokens(ce.items,q));break}default:B.defaults.extensions&&B.defaults.extensions.childTokens&&B.defaults.extensions.childTokens[ce.type]?B.defaults.extensions.childTokens[ce.type].forEach(function(Te){W=W.concat(B.walkTokens(ce[Te],q))}):ce.tokens&&(W=W.concat(B.walkTokens(ce.tokens,q)))}},G=A(z),K;!(K=G()).done;)U();return W},B.parseInline=function(z,q){if(typeof z>"u"||z===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof z!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(z)+", string expected");q=f({},B.defaults,q||{}),C(q);try{var W=J.lexInline(z,q);return q.walkTokens&&B.walkTokens(W,q.walkTokens),H.parseInline(W,q)}catch(U){if(U.message+=`
Please report this to https://github.com/markedjs/marked.`,q.silent)return"<p>An error occurred:</p><pre>"+m(U.message+"",!0)+"</pre>";throw U}},B.Parser=H,B.parser=H.parse,B.Renderer=te,B.TextRenderer=V,B.Lexer=J,B.lexer=J.lex,B.Tokenizer=he,B.Slugger=Z,B.parse=B;var ie=B.options,Y=B.setOptions,_=B.use,T=B.walkTokens,S=B.parseInline,N=B,ee=H.parse,oe=J.lex;ae.Lexer=J,ae.Parser=H,ae.Renderer=te,ae.Slugger=Z,ae.TextRenderer=V,ae.Tokenizer=he,ae.getDefaults=R,ae.lexer=oe,ae.marked=B,ae.options=ie,ae.parse=N,ae.parseInline=S,ae.parser=ee,ae.setOptions=Y,ae.use=_,ae.walkTokens=T,Object.defineProperty(ae,"__esModule",{value:!0})}),define(be[96],pe([1,0,27]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5k=e.$4k=e.$3k=void 0;const O=new E.$mi(1e4);function o(d){return b(d,"NFC",O)}e.$3k=o;const A=new E.$mi(1e4);function R(d){return b(d,"NFD",A)}e.$4k=R;const L=/[^\u0000-\u0080]/;function b(d,I,v){if(!d)return d;const p=v.get(d);if(p)return p;let h;return L.test(d)?h=d.normalize(I):h=d,v.set(d,h),h}e.$5k=function(){const d=/[\u0300-\u036f]/g;return function(I){return R(I).replace(d,"")}}()}),define(be[142],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tl=e.$sl=e.$rl=e.rot=e.$pl=void 0;function E(L,b,d){return Math.min(Math.max(L,b),d)}e.$pl=E;function O(L,b){return(b+L%b)%b}e.rot=O;class o{constructor(){this.a=0}getNext(){return this.a++}}e.$rl=o;class A{constructor(){this.a=1,this.b=0}update(b){return this.b=this.b+(b-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}e.$sl=A;class R{constructor(b){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(b),this.c.fill(0,0,b)}update(b){const d=this.c[this.d];return this.c[this.d]=b,this.d=(this.d+1)%this.c.length,this.e-=d,this.e+=b,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}e.$tl=R}),function(){function ae(o){const A=[];typeof o=="number"&&A.push("code/timeOrigin",o);function R(b){A.push(b,Date.now())}function L(){const b=[];for(let d=0;d<A.length;d+=2)b.push({name:A[d],startTime:A[d+1]});return b}return{mark:R,getMarks:L}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?ae():{mark(o){performance.mark(o)},getMarks(){let o=performance.timeOrigin;typeof o!="number"&&(o=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const A=[{name:"code/timeOrigin",startTime:Math.round(o)}];for(const R of performance.getEntriesByType("mark"))A.push({name:R.name,startTime:Math.round(o+R.startTime)});return A}};if(typeof process=="object"){const o=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return ae(o)}else return console.trace("perf-util loaded in UNKNOWN environment"),ae()}function E(o){return o.MonacoPerformanceMarks||(o.MonacoPerformanceMarks=e()),o.MonacoPerformanceMarks}var O;typeof global=="object"?O=global:typeof self=="object"?O=self:O={},typeof define=="function"?define("vs/base/common/performance",[],function(){return E(O)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=E(O):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),O.perf=E(O))}(),function(ae,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var E=e();for(var O in E)(typeof exports=="object"?exports:ae)[O]=E[O]}}(typeof self<"u"?self:this,function(){return function(ae){var e={};function E(O){if(e[O])return e[O].exports;var o=e[O]={i:O,l:!1,exports:{}};return ae[O].call(o.exports,o,o.exports,E),o.l=!0,o.exports}return E.m=ae,E.c=e,E.d=function(O,o,A){E.o(O,o)||Object.defineProperty(O,o,{enumerable:!0,get:A})},E.r=function(O){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(O,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(O,"__esModule",{value:!0})},E.t=function(O,o){if(1&o&&(O=E(O)),8&o||4&o&&typeof O=="object"&&O&&O.__esModule)return O;var A=Object.create(null);if(E.r(A),Object.defineProperty(A,"default",{enumerable:!0,value:O}),2&o&&typeof O!="string")for(var R in O)E.d(A,R,function(L){return O[L]}.bind(null,R));return A},E.n=function(O){var o=O&&O.__esModule?function(){return O.default}:function(){return O};return E.d(o,"a",o),o},E.o=function(O,o){return Object.prototype.hasOwnProperty.call(O,o)},E.p="",E(E.s=0)}([function(ae,e,E){(function(O){var o;e=ae.exports=_,o=typeof O=="object"&&O.env&&O.env.NODE_DEBUG&&/\bsemver\b/i.test(O.env.NODE_DEBUG)?function(){var me=Array.prototype.slice.call(arguments,0);me.unshift("SEMVER"),console.log.apply(console,me)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var A=256,R=Number.MAX_SAFE_INTEGER||9007199254740991,L=e.re=[],b=e.src=[],d=0,I=d++;b[I]="0|[1-9]\\d*";var v=d++;b[v]="[0-9]+";var p=d++;b[p]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var h=d++;b[h]="("+b[I]+")\\.("+b[I]+")\\.("+b[I]+")";var m=d++;b[m]="("+b[v]+")\\.("+b[v]+")\\.("+b[v]+")";var g=d++;b[g]="(?:"+b[I]+"|"+b[p]+")";var a=d++;b[a]="(?:"+b[v]+"|"+b[p]+")";var u=d++;b[u]="(?:-("+b[g]+"(?:\\."+b[g]+")*))";var l=d++;b[l]="(?:-?("+b[a]+"(?:\\."+b[a]+")*))";var $=d++;b[$]="[0-9A-Za-z-]+";var P=d++;b[P]="(?:\\+("+b[$]+"(?:\\."+b[$]+")*))";var k=d++,t="v?"+b[h]+b[u]+"?"+b[P]+"?";b[k]="^"+t+"$";var i="[v=\\s]*"+b[m]+b[l]+"?"+b[P]+"?",r=d++;b[r]="^"+i+"$";var n=d++;b[n]="((?:<|>)?=?)";var s=d++;b[s]=b[v]+"|x|X|\\*";var c=d++;b[c]=b[I]+"|x|X|\\*";var f=d++;b[f]="[v=\\s]*("+b[c]+")(?:\\.("+b[c]+")(?:\\.("+b[c]+")(?:"+b[u]+")?"+b[P]+"?)?)?";var y=d++;b[y]="[v=\\s]*("+b[s]+")(?:\\.("+b[s]+")(?:\\.("+b[s]+")(?:"+b[l]+")?"+b[P]+"?)?)?";var w=d++;b[w]="^"+b[n]+"\\s*"+b[f]+"$";var D=d++;b[D]="^"+b[n]+"\\s*"+b[y]+"$";var C=d++;b[C]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var M=d++;b[M]="(?:~>?)";var X=d++;b[X]="(\\s*)"+b[M]+"\\s+",L[X]=new RegExp(b[X],"g");var ne=d++;b[ne]="^"+b[M]+b[f]+"$";var he=d++;b[he]="^"+b[M]+b[y]+"$";var ue=d++;b[ue]="(?:\\^)";var le=d++;b[le]="(\\s*)"+b[ue]+"\\s+",L[le]=new RegExp(b[le],"g");var ge=d++;b[ge]="^"+b[ue]+b[f]+"$";var se=d++;b[se]="^"+b[ue]+b[y]+"$";var J=d++;b[J]="^"+b[n]+"\\s*("+i+")$|^$";var te=d++;b[te]="^"+b[n]+"\\s*("+t+")$|^$";var V=d++;b[V]="(\\s*)"+b[n]+"\\s*("+i+"|"+b[f]+")",L[V]=new RegExp(b[V],"g");var Z=d++;b[Z]="^\\s*("+b[f]+")\\s+-\\s+("+b[f]+")\\s*$";var H=d++;b[H]="^\\s*("+b[y]+")\\s+-\\s+("+b[y]+")\\s*$";var B=d++;b[B]="(<|>)?=?\\s*\\*";for(var ie=0;ie<35;ie++)o(ie,b[ie]),L[ie]||(L[ie]=new RegExp(b[ie]));function Y(me,Ee){if(me instanceof _)return me;if(typeof me!="string"||me.length>A||!(Ee?L[r]:L[k]).test(me))return null;try{return new _(me,Ee)}catch{return null}}function _(me,Ee){if(me instanceof _){if(me.loose===Ee)return me;me=me.version}else if(typeof me!="string")throw new TypeError("Invalid Version: "+me);if(me.length>A)throw new TypeError("version is longer than "+A+" characters");if(!(this instanceof _))return new _(me,Ee);o("SemVer",me,Ee),this.loose=Ee;var ve=me.trim().match(Ee?L[r]:L[k]);if(!ve)throw new TypeError("Invalid Version: "+me);if(this.raw=me,this.major=+ve[1],this.minor=+ve[2],this.patch=+ve[3],this.major>R||this.major<0)throw new TypeError("Invalid major version");if(this.minor>R||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>R||this.patch<0)throw new TypeError("Invalid patch version");ve[4]?this.prerelease=ve[4].split(".").map(function(Me){if(/^[0-9]+$/.test(Me)){var Te=+Me;if(Te>=0&&Te<R)return Te}return Me}):this.prerelease=[],this.build=ve[5]?ve[5].split("."):[],this.format()}e.parse=Y,e.valid=function(me,Ee){var ve=Y(me,Ee);return ve?ve.version:null},e.clean=function(me,Ee){var ve=Y(me.trim().replace(/^[=v]+/,""),Ee);return ve?ve.version:null},e.SemVer=_,_.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},_.prototype.toString=function(){return this.version},_.prototype.compare=function(me){return o("SemVer.compare",this.version,this.loose,me),me instanceof _||(me=new _(me,this.loose)),this.compareMain(me)||this.comparePre(me)},_.prototype.compareMain=function(me){return me instanceof _||(me=new _(me,this.loose)),S(this.major,me.major)||S(this.minor,me.minor)||S(this.patch,me.patch)},_.prototype.comparePre=function(me){if(me instanceof _||(me=new _(me,this.loose)),this.prerelease.length&&!me.prerelease.length)return-1;if(!this.prerelease.length&&me.prerelease.length)return 1;if(!this.prerelease.length&&!me.prerelease.length)return 0;var Ee=0;do{var ve=this.prerelease[Ee],Me=me.prerelease[Ee];if(o("prerelease compare",Ee,ve,Me),ve===void 0&&Me===void 0)return 0;if(Me===void 0)return 1;if(ve===void 0)return-1;if(ve!==Me)return S(ve,Me)}while(++Ee)},_.prototype.inc=function(me,Ee){switch(me){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",Ee);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",Ee);break;case"prepatch":this.prerelease.length=0,this.inc("patch",Ee),this.inc("pre",Ee);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",Ee),this.inc("pre",Ee);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var ve=this.prerelease.length;--ve>=0;)typeof this.prerelease[ve]=="number"&&(this.prerelease[ve]++,ve=-2);ve===-1&&this.prerelease.push(0)}Ee&&(this.prerelease[0]===Ee?isNaN(this.prerelease[1])&&(this.prerelease=[Ee,0]):this.prerelease=[Ee,0]);break;default:throw new Error("invalid increment argument: "+me)}return this.format(),this.raw=this.version,this},e.inc=function(me,Ee,ve,Me){typeof ve=="string"&&(Me=ve,ve=void 0);try{return new _(me,ve).inc(Ee,Me).version}catch{return null}},e.diff=function(me,Ee){if(z(me,Ee))return null;var ve=Y(me),Me=Y(Ee);if(ve.prerelease.length||Me.prerelease.length){for(var Te in ve)if((Te==="major"||Te==="minor"||Te==="patch")&&ve[Te]!==Me[Te])return"pre"+Te;return"prerelease"}for(var Te in ve)if((Te==="major"||Te==="minor"||Te==="patch")&&ve[Te]!==Me[Te])return Te},e.compareIdentifiers=S;var T=/^[0-9]+$/;function S(me,Ee){var ve=T.test(me),Me=T.test(Ee);return ve&&Me&&(me=+me,Ee=+Ee),ve&&!Me?-1:Me&&!ve?1:me<Ee?-1:me>Ee?1:0}function N(me,Ee,ve){return new _(me,ve).compare(new _(Ee,ve))}function ee(me,Ee,ve){return N(me,Ee,ve)>0}function oe(me,Ee,ve){return N(me,Ee,ve)<0}function z(me,Ee,ve){return N(me,Ee,ve)===0}function q(me,Ee,ve){return N(me,Ee,ve)!==0}function W(me,Ee,ve){return N(me,Ee,ve)>=0}function U(me,Ee,ve){return N(me,Ee,ve)<=0}function G(me,Ee,ve,Me){var Te;switch(Ee){case"===":typeof me=="object"&&(me=me.version),typeof ve=="object"&&(ve=ve.version),Te=me===ve;break;case"!==":typeof me=="object"&&(me=me.version),typeof ve=="object"&&(ve=ve.version),Te=me!==ve;break;case"":case"=":case"==":Te=z(me,ve,Me);break;case"!=":Te=q(me,ve,Me);break;case">":Te=ee(me,ve,Me);break;case">=":Te=W(me,ve,Me);break;case"<":Te=oe(me,ve,Me);break;case"<=":Te=U(me,ve,Me);break;default:throw new TypeError("Invalid operator: "+Ee)}return Te}function K(me,Ee){if(me instanceof K){if(me.loose===Ee)return me;me=me.value}if(!(this instanceof K))return new K(me,Ee);o("comparator",me,Ee),this.loose=Ee,this.parse(me),this.semver===Q?this.value="":this.value=this.operator+this.semver.version,o("comp",this)}e.rcompareIdentifiers=function(me,Ee){return S(Ee,me)},e.major=function(me,Ee){return new _(me,Ee).major},e.minor=function(me,Ee){return new _(me,Ee).minor},e.patch=function(me,Ee){return new _(me,Ee).patch},e.compare=N,e.compareLoose=function(me,Ee){return N(me,Ee,!0)},e.rcompare=function(me,Ee,ve){return N(Ee,me,ve)},e.sort=function(me,Ee){return me.sort(function(ve,Me){return e.compare(ve,Me,Ee)})},e.rsort=function(me,Ee){return me.sort(function(ve,Me){return e.rcompare(ve,Me,Ee)})},e.gt=ee,e.lt=oe,e.eq=z,e.neq=q,e.gte=W,e.lte=U,e.cmp=G,e.Comparator=K;var Q={};function ce(me,Ee){if(me instanceof ce)return me.loose===Ee?me:new ce(me.raw,Ee);if(me instanceof K)return new ce(me.value,Ee);if(!(this instanceof ce))return new ce(me,Ee);if(this.loose=Ee,this.raw=me,this.set=me.split(/\s*\|\|\s*/).map(function(ve){return this.parseRange(ve.trim())},this).filter(function(ve){return ve.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+me);this.format()}function we(me){return!me||me.toLowerCase()==="x"||me==="*"}function Pe(me,Ee,ve,Me,Te,_e,qe,Ge,Qe,st,Je,Xe,fe){return((Ee=we(ve)?"":we(Me)?">="+ve+".0.0":we(Te)?">="+ve+"."+Me+".0":">="+Ee)+" "+(Ge=we(Qe)?"":we(st)?"<"+(+Qe+1)+".0.0":we(Je)?"<"+Qe+"."+(+st+1)+".0":Xe?"<="+Qe+"."+st+"."+Je+"-"+Xe:"<="+Ge)).trim()}function Ce(me,Ee){for(var ve=0;ve<me.length;ve++)if(!me[ve].test(Ee))return!1;if(Ee.prerelease.length){for(ve=0;ve<me.length;ve++)if(o(me[ve].semver),me[ve].semver!==Q&&me[ve].semver.prerelease.length>0){var Me=me[ve].semver;if(Me.major===Ee.major&&Me.minor===Ee.minor&&Me.patch===Ee.patch)return!0}return!1}return!0}function Fe(me,Ee,ve){try{Ee=new ce(Ee,ve)}catch{return!1}return Ee.test(me)}function ze(me,Ee,ve,Me){var Te,_e,qe,Ge,Qe;switch(me=new _(me,Me),Ee=new ce(Ee,Me),ve){case">":Te=ee,_e=U,qe=oe,Ge=">",Qe=">=";break;case"<":Te=oe,_e=W,qe=ee,Ge="<",Qe="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Fe(me,Ee,Me))return!1;for(var st=0;st<Ee.set.length;++st){var Je=Ee.set[st],Xe=null,fe=null;if(Je.forEach(function(ke){ke.semver===Q&&(ke=new K(">=0.0.0")),Xe=Xe||ke,fe=fe||ke,Te(ke.semver,Xe.semver,Me)?Xe=ke:qe(ke.semver,fe.semver,Me)&&(fe=ke)}),Xe.operator===Ge||Xe.operator===Qe||(!fe.operator||fe.operator===Ge)&&_e(me,fe.semver)||fe.operator===Qe&&qe(me,fe.semver))return!1}return!0}K.prototype.parse=function(me){var Ee=this.loose?L[J]:L[te],ve=me.match(Ee);if(!ve)throw new TypeError("Invalid comparator: "+me);this.operator=ve[1],this.operator==="="&&(this.operator=""),ve[2]?this.semver=new _(ve[2],this.loose):this.semver=Q},K.prototype.toString=function(){return this.value},K.prototype.test=function(me){return o("Comparator.test",me,this.loose),this.semver===Q||(typeof me=="string"&&(me=new _(me,this.loose)),G(me,this.operator,this.semver,this.loose))},K.prototype.intersects=function(me,Ee){if(!(me instanceof K))throw new TypeError("a Comparator is required");var ve;if(this.operator==="")return ve=new ce(me.value,Ee),Fe(this.value,ve,Ee);if(me.operator==="")return ve=new ce(this.value,Ee),Fe(me.semver,ve,Ee);var Me=!(this.operator!==">="&&this.operator!==">"||me.operator!==">="&&me.operator!==">"),Te=!(this.operator!=="<="&&this.operator!=="<"||me.operator!=="<="&&me.operator!=="<"),_e=this.semver.version===me.semver.version,qe=!(this.operator!==">="&&this.operator!=="<="||me.operator!==">="&&me.operator!=="<="),Ge=G(this.semver,"<",me.semver,Ee)&&(this.operator===">="||this.operator===">")&&(me.operator==="<="||me.operator==="<"),Qe=G(this.semver,">",me.semver,Ee)&&(this.operator==="<="||this.operator==="<")&&(me.operator===">="||me.operator===">");return Me||Te||_e&&qe||Ge||Qe},e.Range=ce,ce.prototype.format=function(){return this.range=this.set.map(function(me){return me.join(" ").trim()}).join("||").trim(),this.range},ce.prototype.toString=function(){return this.range},ce.prototype.parseRange=function(me){var Ee=this.loose;me=me.trim(),o("range",me,Ee);var ve=Ee?L[H]:L[Z];me=me.replace(ve,Pe),o("hyphen replace",me),me=me.replace(L[V],"$1$2$3"),o("comparator trim",me,L[V]),me=(me=(me=me.replace(L[X],"$1~")).replace(L[le],"$1^")).split(/\s+/).join(" ");var Me=Ee?L[J]:L[te],Te=me.split(" ").map(function(_e){return function(qe,Ge){return o("comp",qe),qe=function(Qe,st){return Qe.trim().split(/\s+/).map(function(Je){return function(Xe,fe){o("caret",Xe,fe);var ke=fe?L[se]:L[ge];return Xe.replace(ke,function(Ie,Ae,Ne,Be,He){var Ke;return o("caret",Xe,Ie,Ae,Ne,Be,He),we(Ae)?Ke="":we(Ne)?Ke=">="+Ae+".0.0 <"+(+Ae+1)+".0.0":we(Be)?Ke=Ae==="0"?">="+Ae+"."+Ne+".0 <"+Ae+"."+(+Ne+1)+".0":">="+Ae+"."+Ne+".0 <"+(+Ae+1)+".0.0":He?(o("replaceCaret pr",He),He.charAt(0)!=="-"&&(He="-"+He),Ke=Ae==="0"?Ne==="0"?">="+Ae+"."+Ne+"."+Be+He+" <"+Ae+"."+Ne+"."+(+Be+1):">="+Ae+"."+Ne+"."+Be+He+" <"+Ae+"."+(+Ne+1)+".0":">="+Ae+"."+Ne+"."+Be+He+" <"+(+Ae+1)+".0.0"):(o("no pr"),Ke=Ae==="0"?Ne==="0"?">="+Ae+"."+Ne+"."+Be+" <"+Ae+"."+Ne+"."+(+Be+1):">="+Ae+"."+Ne+"."+Be+" <"+Ae+"."+(+Ne+1)+".0":">="+Ae+"."+Ne+"."+Be+" <"+(+Ae+1)+".0.0"),o("caret return",Ke),Ke})}(Je,st)}).join(" ")}(qe,Ge),o("caret",qe),qe=function(Qe,st){return Qe.trim().split(/\s+/).map(function(Je){return function(Xe,fe){var ke=fe?L[he]:L[ne];return Xe.replace(ke,function(Ie,Ae,Ne,Be,He){var Ke;return o("tilde",Xe,Ie,Ae,Ne,Be,He),we(Ae)?Ke="":we(Ne)?Ke=">="+Ae+".0.0 <"+(+Ae+1)+".0.0":we(Be)?Ke=">="+Ae+"."+Ne+".0 <"+Ae+"."+(+Ne+1)+".0":He?(o("replaceTilde pr",He),He.charAt(0)!=="-"&&(He="-"+He),Ke=">="+Ae+"."+Ne+"."+Be+He+" <"+Ae+"."+(+Ne+1)+".0"):Ke=">="+Ae+"."+Ne+"."+Be+" <"+Ae+"."+(+Ne+1)+".0",o("tilde return",Ke),Ke})}(Je,st)}).join(" ")}(qe,Ge),o("tildes",qe),qe=function(Qe,st){return o("replaceXRanges",Qe,st),Qe.split(/\s+/).map(function(Je){return function(Xe,fe){Xe=Xe.trim();var ke=fe?L[D]:L[w];return Xe.replace(ke,function(Ie,Ae,Ne,Be,He,Ke){o("xRange",Xe,Ie,Ae,Ne,Be,He,Ke);var Ze=we(Ne),et=Ze||we(Be),rt=et||we(He);return Ae==="="&&rt&&(Ae=""),Ze?Ie=Ae===">"||Ae==="<"?"<0.0.0":"*":Ae&&rt?(et&&(Be=0),rt&&(He=0),Ae===">"?(Ae=">=",et?(Ne=+Ne+1,Be=0,He=0):rt&&(Be=+Be+1,He=0)):Ae==="<="&&(Ae="<",et?Ne=+Ne+1:Be=+Be+1),Ie=Ae+Ne+"."+Be+"."+He):et?Ie=">="+Ne+".0.0 <"+(+Ne+1)+".0.0":rt&&(Ie=">="+Ne+"."+Be+".0 <"+Ne+"."+(+Be+1)+".0"),o("xRange return",Ie),Ie})}(Je,st)}).join(" ")}(qe,Ge),o("xrange",qe),qe=function(Qe,st){return o("replaceStars",Qe,st),Qe.trim().replace(L[B],"")}(qe,Ge),o("stars",qe),qe}(_e,Ee)}).join(" ").split(/\s+/);return this.loose&&(Te=Te.filter(function(_e){return!!_e.match(Me)})),Te=Te.map(function(_e){return new K(_e,Ee)})},ce.prototype.intersects=function(me,Ee){if(!(me instanceof ce))throw new TypeError("a Range is required");return this.set.some(function(ve){return ve.every(function(Me){return me.set.some(function(Te){return Te.every(function(_e){return Me.intersects(_e,Ee)})})})})},e.toComparators=function(me,Ee){return new ce(me,Ee).set.map(function(ve){return ve.map(function(Me){return Me.value}).join(" ").trim().split(" ")})},ce.prototype.test=function(me){if(!me)return!1;typeof me=="string"&&(me=new _(me,this.loose));for(var Ee=0;Ee<this.set.length;Ee++)if(Ce(this.set[Ee],me))return!0;return!1},e.satisfies=Fe,e.maxSatisfying=function(me,Ee,ve){var Me=null,Te=null;try{var _e=new ce(Ee,ve)}catch{return null}return me.forEach(function(qe){_e.test(qe)&&(Me&&Te.compare(qe)!==-1||(Te=new _(Me=qe,ve)))}),Me},e.minSatisfying=function(me,Ee,ve){var Me=null,Te=null;try{var _e=new ce(Ee,ve)}catch{return null}return me.forEach(function(qe){_e.test(qe)&&(Me&&Te.compare(qe)!==1||(Te=new _(Me=qe,ve)))}),Me},e.validRange=function(me,Ee){try{return new ce(me,Ee).range||"*"}catch{return null}},e.ltr=function(me,Ee,ve){return ze(me,Ee,"<",ve)},e.gtr=function(me,Ee,ve){return ze(me,Ee,">",ve)},e.outside=ze,e.prerelease=function(me,Ee){var ve=Y(me,Ee);return ve&&ve.prerelease.length?ve.prerelease:null},e.intersects=function(me,Ee,ve){return me=new ce(me,ve),Ee=new ce(Ee,ve),me.intersects(Ee)},e.coerce=function(me){if(me instanceof _)return me;if(typeof me!="string")return null;var Ee=me.match(L[C]);return Ee==null?null:Y((Ee[1]||"0")+"."+(Ee[2]||"0")+"."+(Ee[3]||"0"))}}).call(this,E(1))},function(ae,e){var E,O,o=ae.exports={};function A(){throw new Error("setTimeout has not been defined")}function R(){throw new Error("clearTimeout has not been defined")}function L(a){if(E===setTimeout)return setTimeout(a,0);if((E===A||!E)&&setTimeout)return E=setTimeout,setTimeout(a,0);try{return E(a,0)}catch{try{return E.call(null,a,0)}catch{return E.call(this,a,0)}}}(function(){try{E=typeof setTimeout=="function"?setTimeout:A}catch{E=A}try{O=typeof clearTimeout=="function"?clearTimeout:R}catch{O=R}})();var b,d=[],I=!1,v=-1;function p(){I&&b&&(I=!1,b.length?d=b.concat(d):v=-1,d.length&&h())}function h(){if(!I){var a=L(p);I=!0;for(var u=d.length;u;){for(b=d,d=[];++v<u;)b&&b[v].run();v=-1,u=d.length}b=null,I=!1,function(l){if(O===clearTimeout)return clearTimeout(l);if((O===R||!O)&&clearTimeout)return O=clearTimeout,clearTimeout(l);try{O(l)}catch{try{return O.call(null,l)}catch{return O.call(this,l)}}}(a)}}function m(a,u){this.fun=a,this.array=u}function g(){}o.nextTick=function(a){var u=new Array(arguments.length-1);if(arguments.length>1)for(var l=1;l<arguments.length;l++)u[l-1]=arguments[l];d.push(new m(a,u)),d.length!==1||I||L(h)},m.prototype.run=function(){this.fun.apply(null,this.array)},o.title="browser",o.browser=!0,o.env={},o.argv=[],o.version="",o.versions={},o.on=g,o.addListener=g,o.once=g,o.off=g,o.removeListener=g,o.removeAllListeners=g,o.emit=g,o.prependListener=g,o.prependOnceListener=g,o.listeners=function(a){return[]},o.binding=function(a){throw new Error("process.binding is not supported")},o.cwd=function(){return"/"},o.chdir=function(a){throw new Error("process.chdir is not supported")},o.umask=function(){return 0}}])}),define(be[143],pe([1,0]),function(ae,e){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$0q=void 0;class O{constructor(L,b,d){this.level=L,this.key=b,this.value=d,this.forward=[]}}const o=void 0;class A{constructor(L,b=2**16){this.comparator=L,this[E]="SkipList",this.d=0,this.f=0,this.c=Math.max(1,Math.log2(b)|0),this.e=new O(this.c,o,o)}get size(){return this.f}clear(){this.e=new O(this.c,o,o)}has(L){return!!A.g(this,L,this.comparator)}get(L){return A.g(this,L,this.comparator)?.value}set(L,b){return A.h(this,L,b,this.comparator)&&(this.f+=1),this}delete(L){const b=A.k(this,L,this.comparator);return b&&(this.f-=1),b}forEach(L,b){let d=this.e.forward[0];for(;d;)L.call(b,d.value,d.key,this),d=d.forward[0]}[(E=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let L=this.e.forward[0];for(;L;)yield[L.key,L.value],L=L.forward[0]}*keys(){let L=this.e.forward[0];for(;L;)yield L.key,L=L.forward[0]}*values(){let L=this.e.forward[0];for(;L;)yield L.value,L=L.forward[0]}toString(){let L="[SkipList]:",b=this.e.forward[0];for(;b;)L+=`node(${b.key}, ${b.value}, lvl:${b.level})`,b=b.forward[0];return L}static g(L,b,d){let I=L.e;for(let v=L.d-1;v>=0;v--)for(;I.forward[v]&&d(I.forward[v].key,b)<0;)I=I.forward[v];if(I=I.forward[0],I&&d(I.key,b)===0)return I}static h(L,b,d,I){const v=[];let p=L.e;for(let h=L.d-1;h>=0;h--){for(;p.forward[h]&&I(p.forward[h].key,b)<0;)p=p.forward[h];v[h]=p}if(p=p.forward[0],p&&I(p.key,b)===0)return p.value=d,!1;{const h=A.j(L);if(h>L.d){for(let m=L.d;m<h;m++)v[m]=L.e;L.d=h}p=new O(h,b,d);for(let m=0;m<h;m++)p.forward[m]=v[m].forward[m],v[m].forward[m]=p;return!0}}static j(L,b=.5){let d=1;for(;Math.random()<b&&d<L.c;)d+=1;return d}static k(L,b,d){const I=[];let v=L.e;for(let p=L.d-1;p>=0;p--){for(;v.forward[p]&&d(v.forward[p].key,b)<0;)v=v.forward[p];I[p]=v}if(v=v.forward[0],!v||d(v.key,b)!==0)return!1;for(let p=0;p<L.d&&I[p].forward[p]===v;p++)I[p].forward[p]=v.forward[p];for(;L.d>0&&L.e.forward[L.d-1]===o;)L.d-=1;return!0}}e.$0q=A}),define(be[97],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1c=void 0;const E=globalThis.performance&&typeof globalThis.performance.now=="function";class O{static create(A){return new O(A)}constructor(A){this.c=E&&A===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this.a=this.c(),this.b=-1}stop(){this.b=this.c()}reset(){this.a=this.c(),this.b=-1}elapsed(){return this.b!==-1?this.b-this.a:this.c()-this.a}}e.$1c=O}),define(be[5],pe([1,0,11,71,2,95,97]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ad=e.$_c=e.$$c=e.$0c=e.$9c=e.$8c=e.$7c=e.$6c=e.$5c=e.$4c=e.$3c=e.Event=void 0;const L=!1,b=!1;var d;(function(y){y.None=()=>o.$kb.None;function w(z){if(b){const{onDidAddListener:q}=z,W=m.create();let U=0;z.onDidAddListener=()=>{++U===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),W.print()),q?.()}}}function D(z,q){return se(z,()=>{},0,void 0,!0,void 0,q)}y.defer=D;function C(z){return(q,W=null,U)=>{let G=!1,K;return K=z(Q=>{if(!G)return K?K.dispose():G=!0,q.call(W,Q)},null,U),G&&K.dispose(),K}}y.once=C;function M(z,q,W){return ge((U,G=null,K)=>z(Q=>U.call(G,q(Q)),null,K),W)}y.map=M;function X(z,q,W){return ge((U,G=null,K)=>z(Q=>{q(Q),U.call(G,Q)},null,K),W)}y.forEach=X;function ne(z,q,W){return ge((U,G=null,K)=>z(Q=>q(Q)&&U.call(G,Q),null,K),W)}y.filter=ne;function he(z){return z}y.signal=he;function ue(...z){return(q,W=null,U)=>(0,o.$hb)(...z.map(G=>G(K=>q.call(W,K),null,U)))}y.any=ue;function le(z,q,W,U){let G=W;return M(z,K=>(G=q(G,K),G),U)}y.reduce=le;function ge(z,q){let W;const U={onWillAddFirstListener(){W=z(G.fire,G)},onDidRemoveLastListener(){W?.dispose()}};q||w(U);const G=new $(U);return q?.add(G),G.event}function se(z,q,W=100,U=!1,G=!1,K,Q){let ce,we,Pe,Ce=0,Fe;const ze={leakWarningThreshold:K,onWillAddFirstListener(){ce=z(Ee=>{Ce++,we=q(we,Ee),U&&!Pe&&(me.fire(we),we=void 0),Fe=()=>{const ve=we;we=void 0,Pe=void 0,(!U||Ce>1)&&me.fire(ve),Ce=0},typeof W=="number"?(clearTimeout(Pe),Pe=setTimeout(Fe,W)):Pe===void 0&&(Pe=0,queueMicrotask(Fe))})},onWillRemoveListener(){G&&Ce>0&&Fe?.()},onDidRemoveLastListener(){Fe=void 0,ce.dispose()}};Q||w(ze);const me=new $(ze);return Q?.add(me),me.event}y.debounce=se;function J(z,q=0,W){return y.debounce(z,(U,G)=>U?(U.push(G),U):[G],q,void 0,!0,void 0,W)}y.accumulate=J;function te(z,q=(U,G)=>U===G,W){let U=!0,G;return ne(z,K=>{const Q=U||!q(K,G);return U=!1,G=K,Q},W)}y.latch=te;function V(z,q,W){return[y.filter(z,q,W),y.filter(z,U=>!q(U),W)]}y.split=V;function Z(z,q=!1,W=[]){let U=W.slice(),G=z(ce=>{U?U.push(ce):Q.fire(ce)});const K=()=>{U?.forEach(ce=>Q.fire(ce)),U=null},Q=new $({onWillAddFirstListener(){G||(G=z(ce=>Q.fire(ce)))},onDidAddFirstListener(){U&&(q?setTimeout(K):K())},onDidRemoveLastListener(){G&&G.dispose(),G=null}});return Q.event}y.buffer=Z;class H{constructor(q){this.event=q,this.d=new o.$jb}map(q){return new H(M(this.event,q,this.d))}forEach(q){return new H(X(this.event,q,this.d))}filter(q){return new H(ne(this.event,q,this.d))}reduce(q,W){return new H(le(this.event,q,W,this.d))}latch(){return new H(te(this.event,void 0,this.d))}debounce(q,W=100,U=!1,G=!1,K){return new H(se(this.event,q,W,U,G,K,this.d))}on(q,W,U){return this.event(q,W,U)}once(q,W,U){return C(this.event)(q,W,U)}dispose(){this.d.dispose()}}function B(z){return new H(z)}y.chain=B;function ie(z,q,W=U=>U){const U=(...ce)=>Q.fire(W(...ce)),G=()=>z.on(q,U),K=()=>z.removeListener(q,U),Q=new $({onWillAddFirstListener:G,onDidRemoveLastListener:K});return Q.event}y.fromNodeEventEmitter=ie;function Y(z,q,W=U=>U){const U=(...ce)=>Q.fire(W(...ce)),G=()=>z.addEventListener(q,U),K=()=>z.removeEventListener(q,U),Q=new $({onWillAddFirstListener:G,onDidRemoveLastListener:K});return Q.event}y.fromDOMEventEmitter=Y;function _(z){return new Promise(q=>C(z)(q))}y.toPromise=_;function T(z,q){return q(void 0),z(W=>q(W))}y.runAndSubscribe=T;function S(z,q){let W=null;function U(K){W?.dispose(),W=new o.$jb,q(K,W)}U(void 0);const G=z(K=>U(K));return(0,o.$ib)(()=>{G.dispose(),W?.dispose()})}y.runAndSubscribeWithStore=S;class N{constructor(q,W){this._observable=q,this.d=0,this.f=!1;const U={onWillAddFirstListener:()=>{q.addObserver(this)},onDidRemoveLastListener:()=>{q.removeObserver(this)}};W||w(U),this.emitter=new $(U),W&&W.add(this.emitter)}beginUpdate(q){this.d++}handlePossibleChange(q){}handleChange(q,W){this.f=!0}endUpdate(q){this.d--,this.d===0&&(this._observable.reportChanges(),this.f&&(this.f=!1,this.emitter.fire(this._observable.get())))}}function ee(z,q){return new N(z,q).emitter.event}y.fromObservable=ee;function oe(z){return q=>{let W=0,U=!1;const G={beginUpdate(){W++},endUpdate(){W--,W===0&&(z.reportChanges(),U&&(U=!1,q()))},handlePossibleChange(){},handleChange(){U=!0}};return z.addObserver(G),{dispose(){z.removeObserver(G)}}}}y.fromObservableLight=oe})(d||(e.Event=d={}));class I{constructor(w){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${w}_${I.d++}`,I.all.add(this)}start(w){this.f=new R.$1c,this.listenerCount=w}stop(){if(this.f){const w=this.f.elapsed();this.durations.push(w),this.elapsedOverall+=w,this.invocationCount+=1,this.f=void 0}}}e.$3c=I,I.all=new Set,I.d=0;let v=-1;function p(y){const w=v;return v=y,{dispose(){v=w}}}e.$4c=p;class h{constructor(w,D=Math.random().toString(18).slice(2,5)){this.threshold=w,this.name=D,this.f=0}dispose(){this.d?.clear()}check(w,D){const C=this.threshold;if(C<=0||D<C)return;this.d||(this.d=new Map);const M=this.d.get(w.value)||0;if(this.d.set(w.value,M+1),this.f-=1,this.f<=0){this.f=C*.5;let X,ne=0;for(const[he,ue]of this.d)(!X||ne<ue)&&(X=he,ne=ue);console.warn(`[${this.name}] potential listener LEAK detected, having ${D} listeners already. MOST frequent listener (${ne}):`),console.warn(X)}return()=>{const X=this.d.get(w.value)||0;this.d.set(w.value,X-1)}}}class m{static create(){return new m(new Error().stack??"")}constructor(w){this.value=w}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}let g=0;class a{constructor(w){this.value=w,this.id=g++}}const u=2,l=(y,w)=>{if(y instanceof a)w(y);else for(let D=0;D<y.length;D++){const C=y[D];C&&w(C)}};class ${constructor(w){this.u=0,this.d=w,this.f=v>0||this.d?.leakWarningThreshold?new h(this.d?.leakWarningThreshold??v):void 0,this.g=this.d?._profName?new I(this.d._profName):void 0,this.t=this.d?.deliveryQueue}dispose(){if(!this.j){if(this.j=!0,this.t?.current===this&&this.t.reset(),this.q){if(L){const w=this.q;queueMicrotask(()=>{l(w,D=>D.stack?.print())})}this.q=void 0,this.u=0}this.d?.onDidRemoveLastListener?.(),this.f?.dispose()}}get event(){return this.m??=(w,D,C)=>{if(this.f&&this.u>this.f.threshold*3)return console.warn(`[${this.f.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),o.$kb.None;if(this.j)return o.$kb.None;D&&(w=w.bind(D));const M=new a(w);let X,ne;this.f&&this.u>=Math.ceil(this.f.threshold*.2)&&(M.stack=m.create(),X=this.f.check(M.stack,this.u+1)),L&&(M.stack=ne??m.create()),this.q?this.q instanceof a?(this.t??=new k,this.q=[this.q,M]):this.q.push(M):(this.d?.onWillAddFirstListener?.(this),this.q=M,this.d?.onDidAddFirstListener?.(this)),this.u++;const he=(0,o.$ib)(()=>{X?.(),this.v(M)});return C instanceof o.$jb?C.add(he):Array.isArray(C)&&C.push(he),he},this.m}v(w){if(this.d?.onWillRemoveListener?.(this),!this.q)return;if(this.u===1){this.q=void 0,this.d?.onDidRemoveLastListener?.(this),this.u=0;return}const D=this.q,C=D.indexOf(w);if(C===-1)throw console.log("disposed?",this.j),console.log("size?",this.u),console.log("arr?",JSON.stringify(this.q)),new Error("Attempted to dispose unknown listener");this.u--,D[C]=void 0;const M=this.t.current===this;if(this.u*u<=D.length){let X=0;for(let ne=0;ne<D.length;ne++)D[ne]?D[X++]=D[ne]:M&&(this.t.end--,X<this.t.i&&this.t.i--);D.length=X}}w(w,D){if(!w)return;const C=this.d?.onListenerError||E.$X;if(!C){w.value(D);return}try{w.value(D)}catch(M){C(M)}}x(w){const D=w.current.q;for(;w.i<w.end;)this.w(D[w.i++],w.value);w.reset()}fire(w){if(this.t?.current&&(this.x(this.t),this.g?.stop()),this.g?.start(this.u),this.q)if(this.q instanceof a)this.w(this.q,w);else{const D=this.t;D.enqueue(this,w,this.q.length),this.x(D)}this.g?.stop()}hasListeners(){return this.u>0}}e.$5c=$;const P=()=>new k;e.$6c=P;class k{constructor(){this.i=-1,this.end=0}enqueue(w,D,C){this.i=0,this.end=C,this.current=w,this.value=D}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class t extends ${async fireAsync(w,D,C){if(this.q)for(this.h||(this.h=new A.$jc),l(this.q,M=>this.h.push([M.value,w]));this.h.size>0&&!D.isCancellationRequested;){const[M,X]=this.h.shift(),ne=[],he={...X,token:D,waitUntil:ue=>{if(Object.isFrozen(ne))throw new Error("waitUntil can NOT be called asynchronous");C&&(ue=C(ue,M)),ne.push(ue)}};try{M(he)}catch(ue){(0,E.$X)(ue);continue}Object.freeze(ne),await Promise.allSettled(ne).then(ue=>{for(const le of ue)le.status==="rejected"&&(0,E.$X)(le.reason)})}}}e.$7c=t;class i extends ${get isPaused(){return this.h!==0}constructor(w){super(w),this.h=0,this.s=new A.$jc,this.y=w?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.y){if(this.s.size>0){const w=Array.from(this.s);this.s.clear(),super.fire(this.y(w))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(w){this.u&&(this.h!==0?this.s.push(w):super.fire(w))}}e.$8c=i;class r extends i{constructor(w){super(w),this.k=w.delay??100}fire(w){this.o||(this.pause(),this.o=setTimeout(()=>{this.o=void 0,this.resume()},this.k)),super.fire(w)}}e.$9c=r;class n extends ${constructor(w){super(w),this.h=[],this.k=w?.merge}fire(w){this.hasListeners()&&(this.h.push(w),this.h.length===1&&queueMicrotask(()=>{this.k?super.fire(this.k(this.h)):this.h.forEach(D=>super.fire(D)),this.h=[]}))}}e.$0c=n;class s{constructor(){this.f=!1,this.g=[],this.d=new $({onWillAddFirstListener:()=>this.h(),onDidRemoveLastListener:()=>this.j()})}get event(){return this.d.event}add(w){const D={event:w,listener:null};this.g.push(D),this.f&&this.k(D);const C=()=>{this.f&&this.m(D);const M=this.g.indexOf(D);this.g.splice(M,1)};return(0,o.$ib)((0,O.$bb)(C))}h(){this.f=!0,this.g.forEach(w=>this.k(w))}j(){this.f=!1,this.g.forEach(w=>this.m(w))}k(w){w.listener=w.event(D=>this.d.fire(D))}m(w){w.listener&&w.listener.dispose(),w.listener=null}dispose(){this.d.dispose()}}e.$$c=s;class c{constructor(){this.d=[]}wrapEvent(w){return(D,C,M)=>w(X=>{const ne=this.d[this.d.length-1];ne?ne.push(()=>D.call(C,X)):D.call(C,X)},void 0,M)}bufferEvents(w){const D=[];this.d.push(D);const C=w();return this.d.pop(),D.forEach(M=>M()),C}}e.$_c=c;class f{constructor(){this.d=!1,this.f=d.None,this.g=o.$kb.None,this.h=new $({onDidAddFirstListener:()=>{this.d=!0,this.g=this.f(this.h.fire,this.h)},onDidRemoveLastListener:()=>{this.d=!1,this.g.dispose()}}),this.event=this.h.event}set input(w){this.f=w,this.d&&(this.g.dispose(),this.g=w(this.h.fire,this.h))}dispose(){this.g.dispose(),this.h.dispose()}}e.$ad=f}),define(be[20],pe([1,0,5]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bd=e.CancellationToken=void 0;const O=Object.freeze(function(L,b){const d=setTimeout(L.bind(b),0);return{dispose(){clearTimeout(d)}}});var o;(function(L){function b(d){return d===L.None||d===L.Cancelled||d instanceof A?!0:!d||typeof d!="object"?!1:typeof d.isCancellationRequested=="boolean"&&typeof d.onCancellationRequested=="function"}L.isCancellationToken=b,L.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:E.Event.None}),L.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:O})})(o||(e.CancellationToken=o={}));class A{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?O:(this.b||(this.b=new E.$5c),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class R{constructor(b){this.a=void 0,this.b=void 0,this.b=b&&b.onCancellationRequested(this.cancel,this)}get token(){return this.a||(this.a=new A),this.a}cancel(){this.a?this.a instanceof A&&this.a.cancel():this.a=o.Cancelled}dispose(b=!1){b&&this.cancel(),this.b?.dispose(),this.a?this.a instanceof A&&this.a.dispose():this.a=o.None}}e.$bd=R}),define(be[144],pe([1,0,20]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ed=e.$dd=e.$cd=void 0;class O{constructor(L){this.b=L,this.a=null}get(){if(this.a)return this.a;const L=new E.$bd,b=this.b(L.token);return this.a={promise:b,dispose:()=>{this.a=null,L.cancel(),L.dispose()}},this.a}}e.$cd=O;class o{constructor(L){this.c=L,this.a=void 0,this.b=void 0}get(L){const b=JSON.stringify(L);return this.b!==b&&(this.b=b,this.a=this.c(L)),this.a}}e.$dd=o;class A{get cachedValues(){return this.a}constructor(L){this.b=L,this.a=new Map}get(L){if(this.a.has(L))return this.a.get(L);const b=this.b(L);return this.a.set(L,b),b}}e.$ed=A}),define(be[47],pe([1,0,11,2]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hb=e.$Gb=e.$Fb=e.$Eb=e.$Db=e.$Cb=e.$Bb=e.$Ab=e.$zb=e.$yb=e.$xb=e.$wb=e.$vb=e.$ub=e.$tb=void 0;function o(P){const k=P;return k?typeof k.read=="function":!1}e.$tb=o;function A(P){const k=P;return k?[k.on,k.pause,k.resume,k.destroy].every(t=>typeof t=="function"):!1}e.$ub=A;function R(P){const k=P;return k?A(k.stream)&&Array.isArray(k.buffer)&&typeof k.ended=="boolean":!1}e.$vb=R;function L(P,k){return new b(P,k)}e.$wb=L;class b{constructor(k,t){this.e=k,this.f=t,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(k){if(!this.a.destroyed){if(this.a.flowing)this.g(k);else if(this.b.data.push(k),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(t=>this.d.push(t))}}error(k){this.a.destroyed||(this.a.flowing?this.h(k):this.b.error.push(k))}end(k){this.a.destroyed||(typeof k<"u"&&this.write(k),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(k){this.c.data.slice(0).forEach(t=>t(k))}h(k){this.c.error.length===0?(0,E.$X)(k):this.c.error.slice(0).forEach(t=>t(k))}i(){this.c.end.slice(0).forEach(k=>k())}on(k,t){if(!this.a.destroyed)switch(k){case"data":this.c.data.push(t),this.resume();break;case"end":this.c.end.push(t),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(t),this.a.flowing&&this.k();break}}removeListener(k,t){if(this.a.destroyed)return;let i;switch(k){case"data":i=this.c.data;break;case"end":i=this.c.end;break;case"error":i=this.c.error;break}if(i){const r=i.indexOf(t);r>=0&&i.splice(r,1)}}j(){if(this.b.data.length>0){const k=this.e(this.b.data);this.g(k),this.b.data.length=0;const t=[...this.d];this.d.length=0,t.forEach(i=>i())}}k(){if(this.c.error.length>0){for(const k of this.b.error)this.h(k);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function d(P,k){const t=[];let i;for(;(i=P.read())!==null;)t.push(i);return k(t)}e.$xb=d;function I(P,k,t){const i=[];let r;for(;(r=P.read())!==null&&i.length<t;)i.push(r);return r===null&&i.length>0?k(i):{read:()=>{if(i.length>0)return i.shift();if(typeof r<"u"){const n=r;return r=void 0,n}return P.read()}}}e.$yb=I;function v(P,k){return new Promise((t,i)=>{const r=[];p(P,{onData:n=>{k&&r.push(n)},onError:n=>{k?i(n):t(void 0)},onEnd:()=>{t(k?k(r):void 0)}})})}e.$zb=v;function p(P,k){let t=!1;return P.on("error",i=>{t||k.onError(i)}),P.on("end",()=>{t||k.onEnd()}),P.on("data",i=>{t||k.onData(i)}),(0,O.$ib)(()=>t=!0)}e.$Ab=p;function h(P,k){return new Promise((t,i)=>{const r=new O.$jb,n=[],s=y=>{if(n.push(y),n.length>k)return r.dispose(),P.pause(),t({stream:P,buffer:n,ended:!1})},c=y=>i(y),f=()=>t({stream:P,buffer:n,ended:!0});r.add((0,O.$ib)(()=>P.removeListener("error",c))),P.on("error",c),r.add((0,O.$ib)(()=>P.removeListener("end",f))),P.on("end",f),r.add((0,O.$ib)(()=>P.removeListener("data",s))),P.on("data",s)})}e.$Bb=h;function m(P,k){const t=L(k);return t.end(P),t}e.$Cb=m;function g(){const P=L(()=>{throw new Error("not supported")});return P.end(),P}e.$Db=g;function a(P){let k=!1;return{read:()=>k?null:(k=!0,P)}}e.$Eb=a;function u(P,k,t){const i=L(t);return p(P,{onData:r=>i.write(k.data(r)),onError:r=>i.error(k.error?k.error(r):r),onEnd:()=>i.end()}),i}e.$Fb=u;function l(P,k,t){let i=!1;return{read:()=>{const r=k.read();return i?r:(i=!0,r!==null?t([P,r]):P)}}}e.$Gb=l;function $(P,k,t){let i=!1;const r=L(t);return p(k,{onData:n=>i?r.write(n):(i=!0,r.write(t([P,n]))),onError:n=>r.error(n),onEnd:()=>{i||(i=!0,r.write(P)),r.end()}}),r}e.$Hb=$}),define(be[15],pe([1,0,94,47]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2b=e.$1b=e.$Zb=e.$Yb=e.$Xb=e.$Wb=e.$Vb=e.$Ub=e.$Tb=e.$Sb=e.$Rb=e.$Qb=e.$Pb=e.$Ob=e.$Nb=e.$Mb=e.$Lb=e.$Kb=e.$Jb=e.$Ib=void 0;const o=typeof Buffer<"u",A=new E.$S(()=>new Uint8Array(256));let R,L;class b{static alloc(D){return o?new b(Buffer.allocUnsafe(D)):new b(new Uint8Array(D))}static wrap(D){return o&&!Buffer.isBuffer(D)&&(D=Buffer.from(D.buffer,D.byteOffset,D.byteLength)),new b(D)}static fromString(D,C){return!(C?.dontUseNodeBuffer||!1)&&o?new b(Buffer.from(D)):(R||(R=new TextEncoder),new b(R.encode(D)))}static fromByteArray(D){const C=b.alloc(D.length);for(let M=0,X=D.length;M<X;M++)C.buffer[M]=D[M];return C}static concat(D,C){if(typeof C>"u"){C=0;for(let ne=0,he=D.length;ne<he;ne++)C+=D[ne].byteLength}const M=b.alloc(C);let X=0;for(let ne=0,he=D.length;ne<he;ne++){const ue=D[ne];M.set(ue,X),X+=ue.byteLength}return M}constructor(D){this.buffer=D,this.byteLength=this.buffer.byteLength}clone(){const D=b.alloc(this.byteLength);return D.set(this),D}toString(){return o?this.buffer.toString():(L||(L=new TextDecoder),L.decode(this.buffer))}slice(D,C){return new b(this.buffer.subarray(D,C))}set(D,C){if(D instanceof b)this.buffer.set(D.buffer,C);else if(D instanceof Uint8Array)this.buffer.set(D,C);else if(D instanceof ArrayBuffer)this.buffer.set(new Uint8Array(D),C);else if(ArrayBuffer.isView(D))this.buffer.set(new Uint8Array(D.buffer,D.byteOffset,D.byteLength),C);else throw new Error("Unknown argument 'array'")}readUInt32BE(D){return v(this.buffer,D)}writeUInt32BE(D,C){p(this.buffer,D,C)}readUInt32LE(D){return h(this.buffer,D)}writeUInt32LE(D,C){m(this.buffer,D,C)}readUInt8(D){return g(this.buffer,D)}writeUInt8(D,C){a(this.buffer,D,C)}indexOf(D){const C=D instanceof b?D.buffer:D,M=C.byteLength,X=this.buffer,ne=X.byteLength;if(M===0)return 0;if(M===1)return X.indexOf(C[0]);if(M>ne)return-1;const he=A.value;he.fill(C.length);for(let se=0;se<C.length;se++)he[C[se]]=C.length-se-1;let ue=C.length-1,le=ue,ge=-1;for(;ue<ne;)if(X[ue]===C[le]){if(le===0){ge=ue;break}ue--,le--}else ue+=Math.max(C.length-le,he[X[ue]]),le=C.length-1;return ge}}e.$Ib=b;function d(w,D){return w[D+0]<<0>>>0|w[D+1]<<8>>>0}e.$Jb=d;function I(w,D,C){w[C+0]=D&255,D=D>>>8,w[C+1]=D&255}e.$Kb=I;function v(w,D){return w[D]*2**24+w[D+1]*2**16+w[D+2]*2**8+w[D+3]}e.$Lb=v;function p(w,D,C){w[C+3]=D,D=D>>>8,w[C+2]=D,D=D>>>8,w[C+1]=D,D=D>>>8,w[C]=D}e.$Mb=p;function h(w,D){return w[D+0]<<0>>>0|w[D+1]<<8>>>0|w[D+2]<<16>>>0|w[D+3]<<24>>>0}e.$Nb=h;function m(w,D,C){w[C+0]=D&255,D=D>>>8,w[C+1]=D&255,D=D>>>8,w[C+2]=D&255,D=D>>>8,w[C+3]=D&255}e.$Ob=m;function g(w,D){return w[D]}e.$Pb=g;function a(w,D,C){w[C]=D}e.$Qb=a;function u(w){return O.$xb(w,D=>b.concat(D))}e.$Rb=u;function l(w){return O.$Eb(w)}e.$Sb=l;function $(w){return O.$zb(w,D=>b.concat(D))}e.$Tb=$;async function P(w){return w.ended?b.concat(w.buffer):b.concat([...w.buffer,await $(w.stream)])}e.$Ub=P;function k(w){return O.$Cb(w,D=>b.concat(D))}e.$Vb=k;function t(w){return O.$Fb(w,{data:D=>typeof D=="string"?b.fromString(D):b.wrap(D)},D=>b.concat(D))}e.$Wb=t;function i(w){return O.$wb(D=>b.concat(D),w)}e.$Xb=i;function r(w,D){return O.$Gb(w,D,C=>b.concat(C))}e.$Yb=r;function n(w,D){return O.$Hb(w,D,C=>b.concat(C))}e.$Zb=n;function s(w){let D=0,C=0,M=0;const X=new Uint8Array(Math.floor(w.length/4*3)),ne=ue=>{switch(C){case 3:X[M++]=D|ue,C=0;break;case 2:X[M++]=D|ue>>>2,D=ue<<6,C=3;break;case 1:X[M++]=D|ue>>>4,D=ue<<4,C=2;break;default:D=ue<<2,C=1}};for(let ue=0;ue<w.length;ue++){const le=w.charCodeAt(ue);if(le>=65&&le<=90)ne(le-65);else if(le>=97&&le<=122)ne(le-97+26);else if(le>=48&&le<=57)ne(le-48+52);else if(le===43||le===45)ne(62);else if(le===47||le===95)ne(63);else{if(le===61)break;throw new SyntaxError(`Unexpected base64 character ${w[ue]}`)}}const he=M;for(;C>0;)ne(0);return b.wrap(X).slice(0,he)}e.$1b=s;const c="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",f="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function y({buffer:w},D=!0,C=!1){const M=C?f:c;let X="";const ne=w.byteLength%3;let he=0;for(;he<w.byteLength-ne;he+=3){const ue=w[he+0],le=w[he+1],ge=w[he+2];X+=M[ue>>>2],X+=M[(ue<<4|le>>>4)&63],X+=M[(le<<2|ge>>>6)&63],X+=M[ge&63]}if(ne===1){const ue=w[he+0];X+=M[ue>>>2],X+=M[ue<<4&63],D&&(X+="==")}else if(ne===2){const ue=w[he+0],le=w[he+1];X+=M[ue>>>2],X+=M[(ue<<4|le>>>4)&63],X+=M[le<<2&63],D&&(X+="=")}return X}e.$2b=y}),define(be[17],pe([1,0,144,94]),function(ae,e,E,O){"use strict";var o;Object.defineProperty(e,"__esModule",{value:!0}),e.$fe=e.$ee=e.$de=e.$ce=e.GraphemeBreakType=e.$be=e.$ae=e.$_d=e.$$d=e.$0d=e.$9d=e.$8d=e.$7d=e.$6d=e.$5d=e.$4d=e.$3d=e.$2d=e.$1d=e.$Zd=e.$Yd=e.$Xd=e.$Wd=e.$Vd=e.$Ud=e.$Td=e.$Sd=e.$Rd=e.$Qd=e.$Pd=e.$Od=e.$Nd=e.$Md=e.$Ld=e.$Kd=e.$Jd=e.$Id=e.$Hd=e.$Gd=e.$Fd=e.$Ed=e.$Dd=e.$Cd=e.$Bd=e.$Ad=e.$zd=e.$yd=e.$xd=e.$wd=e.$vd=e.$ud=e.$td=e.$sd=e.$rd=e.$qd=e.$pd=e.$od=e.$nd=e.$md=e.$ld=e.$kd=e.$jd=e.$id=e.$hd=void 0;function A(fe){return!fe||typeof fe!="string"?!0:fe.trim().length===0}e.$hd=A;const R=/{(\d+)}/g;function L(fe,...ke){return ke.length===0?fe:fe.replace(R,function(Ie,Ae){const Ne=parseInt(Ae,10);return isNaN(Ne)||Ne<0||Ne>=ke.length?Ie:ke[Ne]})}e.$id=L;const b=/{([^}]+)}/g;function d(fe,ke){return fe.replace(b,(Ie,Ae)=>ke[Ae]??Ie)}e.$jd=d;function I(fe){return fe.replace(/[<>&]/g,function(ke){switch(ke){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ke}})}e.$kd=I;function v(fe){return fe.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.$ld=v;function p(fe,ke){let Ie=0;const Ae=ke.charCodeAt(0);for(let Ne=fe.length-1;Ne>=0;Ne--)fe.charCodeAt(Ne)===Ae&&Ie++;return Ie}e.$md=p;function h(fe,ke,Ie="\u2026"){return fe.length<=ke?fe:`${fe.substr(0,ke)}${Ie}`}e.$nd=h;function m(fe,ke=" "){const Ie=g(fe,ke);return a(Ie,ke)}e.$od=m;function g(fe,ke){if(!fe||!ke)return fe;const Ie=ke.length;if(Ie===0||fe.length===0)return fe;let Ae=0;for(;fe.indexOf(ke,Ae)===Ae;)Ae=Ae+Ie;return fe.substring(Ae)}e.$pd=g;function a(fe,ke){if(!fe||!ke)return fe;const Ie=ke.length,Ae=fe.length;if(Ie===0||Ae===0)return fe;let Ne=Ae,Be=-1;for(;Be=fe.lastIndexOf(ke,Ne-1),!(Be===-1||Be+Ie!==Ne);){if(Be===0)return"";Ne=Be}return fe.substring(0,Ne)}e.$qd=a;function u(fe){return fe.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.$rd=u;function l(fe){return fe.replace(/\*/g,"")}e.$sd=l;function $(fe,ke,Ie={}){if(!fe)throw new Error("Cannot create regex from empty string");ke||(fe=v(fe)),Ie.wholeWord&&(/\B/.test(fe.charAt(0))||(fe="\\b"+fe),/\B/.test(fe.charAt(fe.length-1))||(fe=fe+"\\b"));let Ae="";return Ie.global&&(Ae+="g"),Ie.matchCase||(Ae+="i"),Ie.multiline&&(Ae+="m"),Ie.unicode&&(Ae+="u"),new RegExp(fe,Ae)}e.$td=$;function P(fe){return fe.source==="^"||fe.source==="^$"||fe.source==="$"||fe.source==="^\\s*$"?!1:!!(fe.exec("")&&fe.lastIndex===0)}e.$ud=P;function k(fe){return!!fe.match(/([^\\]|^)(\\\\)*\\\d+/)}e.$vd=k;function t(fe){return(fe.global?"g":"")+(fe.ignoreCase?"i":"")+(fe.multiline?"m":"")+(fe.unicode?"u":"")}e.$wd=t;function i(fe){return fe.split(/\r\n|\r|\n/)}e.$xd=i;function r(fe){for(let ke=0,Ie=fe.length;ke<Ie;ke++){const Ae=fe.charCodeAt(ke);if(Ae!==32&&Ae!==9)return ke}return-1}e.$yd=r;function n(fe,ke=0,Ie=fe.length){for(let Ae=ke;Ae<Ie;Ae++){const Ne=fe.charCodeAt(Ae);if(Ne!==32&&Ne!==9)return fe.substring(ke,Ae)}return fe.substring(ke,Ie)}e.$zd=n;function s(fe,ke=fe.length-1){for(let Ie=ke;Ie>=0;Ie--){const Ae=fe.charCodeAt(Ie);if(Ae!==32&&Ae!==9)return Ie}return-1}e.$Ad=s;function c(fe,ke,Ie){const Ae=[];let Ne=0;for(const Be of fe.matchAll(ke)){if(Ae.push(fe.slice(Ne,Be.index)),Be.index===void 0)throw new Error("match.index should be defined");Ne=Be.index+Be[0].length,Ae.push(Ie(Be[0],...Be.slice(1),Be.index,fe,Be.groups))}return Ae.push(fe.slice(Ne)),Promise.all(Ae).then(Be=>Be.join(""))}e.$Bd=c;function f(fe,ke){return fe<ke?-1:fe>ke?1:0}e.$Cd=f;function y(fe,ke,Ie=0,Ae=fe.length,Ne=0,Be=ke.length){for(;Ie<Ae&&Ne<Be;Ie++,Ne++){const Ze=fe.charCodeAt(Ie),et=ke.charCodeAt(Ne);if(Ze<et)return-1;if(Ze>et)return 1}const He=Ae-Ie,Ke=Be-Ne;return He<Ke?-1:He>Ke?1:0}e.$Dd=y;function w(fe,ke){return D(fe,ke,0,fe.length,0,ke.length)}e.$Ed=w;function D(fe,ke,Ie=0,Ae=fe.length,Ne=0,Be=ke.length){for(;Ie<Ae&&Ne<Be;Ie++,Ne++){let Ze=fe.charCodeAt(Ie),et=ke.charCodeAt(Ne);if(Ze===et)continue;if(Ze>=128||et>=128)return y(fe.toLowerCase(),ke.toLowerCase(),Ie,Ae,Ne,Be);M(Ze)&&(Ze-=32),M(et)&&(et-=32);const rt=Ze-et;if(rt!==0)return rt}const He=Ae-Ie,Ke=Be-Ne;return He<Ke?-1:He>Ke?1:0}e.$Fd=D;function C(fe){return fe>=48&&fe<=57}e.$Gd=C;function M(fe){return fe>=97&&fe<=122}e.$Hd=M;function X(fe){return fe>=65&&fe<=90}e.$Id=X;function ne(fe,ke){return fe.length===ke.length&&D(fe,ke)===0}e.$Jd=ne;function he(fe,ke){const Ie=ke.length;return ke.length>fe.length?!1:D(fe,ke,0,Ie)===0}e.$Kd=he;function ue(fe,ke){const Ie=Math.min(fe.length,ke.length);let Ae;for(Ae=0;Ae<Ie;Ae++)if(fe.charCodeAt(Ae)!==ke.charCodeAt(Ae))return Ae;return Ie}e.$Ld=ue;function le(fe,ke){const Ie=Math.min(fe.length,ke.length);let Ae;const Ne=fe.length-1,Be=ke.length-1;for(Ae=0;Ae<Ie;Ae++)if(fe.charCodeAt(Ne-Ae)!==ke.charCodeAt(Be-Ae))return Ae;return Ie}e.$Md=le;function ge(fe){return 55296<=fe&&fe<=56319}e.$Nd=ge;function se(fe){return 56320<=fe&&fe<=57343}e.$Od=se;function J(fe,ke){return(fe-55296<<10)+(ke-56320)+65536}e.$Pd=J;function te(fe,ke,Ie){const Ae=fe.charCodeAt(Ie);if(ge(Ae)&&Ie+1<ke){const Ne=fe.charCodeAt(Ie+1);if(se(Ne))return J(Ae,Ne)}return Ae}e.$Qd=te;function V(fe,ke){const Ie=fe.charCodeAt(ke-1);if(se(Ie)&&ke>1){const Ae=fe.charCodeAt(ke-2);if(ge(Ae))return J(Ae,Ie)}return Ie}class Z{get offset(){return this.e}constructor(ke,Ie=0){this.c=ke,this.d=ke.length,this.e=Ie}setOffset(ke){this.e=ke}prevCodePoint(){const ke=V(this.c,this.e);return this.e-=ke>=65536?2:1,ke}nextCodePoint(){const ke=te(this.c,this.d,this.e);return this.e+=ke>=65536?2:1,ke}eol(){return this.e>=this.d}}e.$Rd=Z;class H{get offset(){return this.c.offset}constructor(ke,Ie=0){this.c=new Z(ke,Ie)}nextGraphemeLength(){const ke=Te.getInstance(),Ie=this.c,Ae=Ie.offset;let Ne=ke.getGraphemeBreakType(Ie.nextCodePoint());for(;!Ie.eol();){const Be=Ie.offset,He=ke.getGraphemeBreakType(Ie.nextCodePoint());if(ve(Ne,He)){Ie.setOffset(Be);break}Ne=He}return Ie.offset-Ae}prevGraphemeLength(){const ke=Te.getInstance(),Ie=this.c,Ae=Ie.offset;let Ne=ke.getGraphemeBreakType(Ie.prevCodePoint());for(;Ie.offset>0;){const Be=Ie.offset,He=ke.getGraphemeBreakType(Ie.prevCodePoint());if(ve(He,Ne)){Ie.setOffset(Be);break}Ne=He}return Ae-Ie.offset}eol(){return this.c.eol()}}e.$Sd=H;function B(fe,ke){return new H(fe,ke).nextGraphemeLength()}e.$Td=B;function ie(fe,ke){return new H(fe,ke).prevGraphemeLength()}e.$Ud=ie;function Y(fe,ke){ke>0&&se(fe.charCodeAt(ke))&&ke--;const Ie=ke+B(fe,ke);return[Ie-ie(fe,Ie),Ie]}e.$Vd=Y;function _(fe){const ke=new H(fe);let Ie=0;for(;!ke.eol();)Ie++,ke.nextGraphemeLength();return Ie}e.$Wd=_;let T;function S(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function N(fe){return T||(T=S()),T.test(fe)}e.$Xd=N;const ee=/^[\t\n\r\x20-\x7E]*$/;function oe(fe){return ee.test(fe)}e.$Yd=oe,e.$Zd=/[\u2028\u2029]/;function z(fe){return e.$Zd.test(fe)}e.$1d=z;function q(fe){return fe>=11904&&fe<=55215||fe>=63744&&fe<=64255||fe>=65281&&fe<=65374}e.$2d=q;function W(fe){return fe>=127462&&fe<=127487||fe===8986||fe===8987||fe===9200||fe===9203||fe>=9728&&fe<=10175||fe===11088||fe===11093||fe>=127744&&fe<=128591||fe>=128640&&fe<=128764||fe>=128992&&fe<=129008||fe>=129280&&fe<=129535||fe>=129648&&fe<=129782}e.$3d=W;function U(fe,ke){if(fe.length<ke)return fe;const Ie=/\b/g;let Ae=0;for(;Ie.test(fe)&&!(fe.length-Ie.lastIndex<ke);)Ae=Ie.lastIndex,Ie.lastIndex+=1;return fe.substring(Ae).replace(/^\s/,"")}e.$4d=U;const G=/(:?\x1b\[|\x9B)[=?>!]?[\d;:]*["$#'* ]?[a-zA-Z@^`{}|~]/g,K=/\x1b\].*?\x07/g;function Q(fe){return fe&&(fe=fe.replace(G,"").replace(K,"")),fe}e.$5d=Q,e.$6d=String.fromCharCode(65279);function ce(fe){return!!(fe&&fe.length>0&&fe.charCodeAt(0)===65279)}e.$7d=ce;function we(fe){return ce(fe)?fe.substr(1):fe}e.$8d=we;function Pe(fe,ke){if(!fe||!ke||fe.length<ke.length)return!1;const Ie=ke.length,Ae=fe.toLowerCase();let Ne=0,Be=-1;for(;Ne<Ie;){const He=Ae.indexOf(ke[Ne],Be+1);if(He<0)return!1;Be=He,Ne++}return!0}e.$9d=Pe;function Ce(fe,ke=!1){return fe?(ke&&(fe=fe.replace(/\\./g,"")),fe.toLowerCase()!==fe):!1}e.$0d=Ce;function Fe(fe){return fe.charAt(0).toUpperCase()+fe.slice(1)}e.$$d=Fe;function ze(fe,ke=1){if(ke===0)return"";let Ie=-1;do Ie=fe.indexOf(`
`,Ie+1),ke--;while(ke>0&&Ie>=0);return Ie===-1?fe:(fe[Ie-1]==="\r"&&Ie--,fe.substr(0,Ie))}e.$_d=ze;function me(fe){return fe=fe%(2*26),fe<26?String.fromCharCode(97+fe):String.fromCharCode(65+fe-26)}e.$ae=me;function Ee(fe){return Te.getInstance().getGraphemeBreakType(fe)}e.$be=Ee;function ve(fe,ke){return fe===0?ke!==5&&ke!==7:fe===2&&ke===3?!1:fe===4||fe===2||fe===3||ke===4||ke===2||ke===3?!0:!(fe===8&&(ke===8||ke===9||ke===11||ke===12)||(fe===11||fe===9)&&(ke===9||ke===10)||(fe===12||fe===10)&&ke===10||ke===5||ke===13||ke===7||fe===1||fe===13&&ke===14||fe===6&&ke===6)}var Me;(function(fe){fe[fe.Other=0]="Other",fe[fe.Prepend=1]="Prepend",fe[fe.CR=2]="CR",fe[fe.LF=3]="LF",fe[fe.Control=4]="Control",fe[fe.Extend=5]="Extend",fe[fe.Regional_Indicator=6]="Regional_Indicator",fe[fe.SpacingMark=7]="SpacingMark",fe[fe.L=8]="L",fe[fe.V=9]="V",fe[fe.T=10]="T",fe[fe.LV=11]="LV",fe[fe.LVT=12]="LVT",fe[fe.ZWJ=13]="ZWJ",fe[fe.Extended_Pictographic=14]="Extended_Pictographic"})(Me||(e.GraphemeBreakType=Me={}));class Te{static getInstance(){return Te.c||(Te.c=new Te),Te.c}constructor(){this.d=_e()}getGraphemeBreakType(ke){if(ke<32)return ke===10?3:ke===13?2:4;if(ke<127)return 0;const Ie=this.d,Ae=Ie.length/3;let Ne=1;for(;Ne<=Ae;)if(ke<Ie[3*Ne])Ne=2*Ne;else if(ke>Ie[3*Ne+1])Ne=2*Ne+1;else return Ie[3*Ne+2];return 0}}Te.c=null;function _e(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function qe(fe,ke){if(fe===0)return 0;const Ie=Ge(fe,ke);if(Ie!==void 0)return Ie;const Ae=new Z(ke,fe);return Ae.prevCodePoint(),Ae.offset}e.$ce=qe;function Ge(fe,ke){const Ie=new Z(ke,fe);let Ae=Ie.prevCodePoint();for(;Qe(Ae)||Ae===65039||Ae===8419;){if(Ie.offset===0)return;Ae=Ie.prevCodePoint()}if(!W(Ae))return;let Ne=Ie.offset;return Ne>0&&Ie.prevCodePoint()===8205&&(Ne=Ie.offset),Ne}function Qe(fe){return 127995<=fe&&fe<=127999}var st;(function(fe){fe[fe.zwj=8205]="zwj",fe[fe.emojiVariantSelector=65039]="emojiVariantSelector",fe[fe.enclosingKeyCap=8419]="enclosingKeyCap"})(st||(st={})),e.$de="\xA0";class Je{static getInstance(ke){return Je.d.get(Array.from(ke))}static getLocales(){return Je.e.value}constructor(ke){this.f=ke}isAmbiguous(ke){return this.f.has(ke)}getPrimaryConfusable(ke){return this.f.get(ke)}getConfusableCodePoints(){return new Set(this.f.keys())}}e.$ee=Je,o=Je,Je.c=new O.$S(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),Je.d=new E.$dd(fe=>{function ke(et){const rt=new Map;for(let nt=0;nt<et.length;nt+=2)rt.set(et[nt],et[nt+1]);return rt}function Ie(et,rt){const nt=new Map(et);for(const[mt,lt]of rt)nt.set(mt,lt);return nt}function Ae(et,rt){if(!et)return rt;const nt=new Map;for(const[mt,lt]of et)rt.has(mt)&&nt.set(mt,lt);return nt}const Ne=o.c.value;let Be=fe.filter(et=>!et.startsWith("_")&&et in Ne);Be.length===0&&(Be=["_default"]);let He;for(const et of Be){const rt=ke(Ne[et]);He=Ae(He,rt)}const Ke=ke(Ne._common),Ze=Ie(Ke,He);return new Je(Ze)}),Je.e=new O.$S(()=>Object.keys(Je.c.value).filter(fe=>!fe.startsWith("_")));class Xe{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static e(){return this.d||(this.d=new Set(Xe.c())),this.d}static isInvisibleCharacter(ke){return Xe.e().has(ke)}static get codePoints(){return Xe.e()}}e.$fe=Xe,Xe.d=void 0}),define(be[145],pe([1,0,27,17]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vj=e.$uj=e.$tj=e.$sj=e.FuzzyScore=e.$rj=e.$qj=e.$pj=e.$oj=e.$nj=e.$mj=e.$lj=e.$kj=e.$jj=e.$ij=e.$hj=e.$gj=e.or=void 0;function o(...K){return function(Q,ce){for(let we=0,Pe=K.length;we<Pe;we++){const Ce=K[we](Q,ce);if(Ce)return Ce}return null}}e.or=o,e.$gj=A.bind(void 0,!1),e.$hj=A.bind(void 0,!0);function A(K,Q,ce){if(!ce||ce.length<Q.length)return null;let we;return K?we=O.$Kd(ce,Q):we=ce.indexOf(Q)===0,we?Q.length>0?[{start:0,end:Q.length}]:[]:null}function R(K,Q){const ce=Q.toLowerCase().indexOf(K.toLowerCase());return ce===-1?null:[{start:ce,end:ce+K.length}]}e.$ij=R;function L(K,Q){return b(K.toLowerCase(),Q.toLowerCase(),0,0)}e.$jj=L;function b(K,Q,ce,we){if(ce===K.length)return[];if(we===Q.length)return null;if(K[ce]===Q[we]){let Pe=null;return(Pe=b(K,Q,ce+1,we+1))?u({start:we,end:we+1},Pe):null}return b(K,Q,ce,we+1)}function d(K){return 97<=K&&K<=122}function I(K){return 65<=K&&K<=90}e.$kj=I;function v(K){return 48<=K&&K<=57}function p(K){return K===32||K===9||K===10||K===13}const h=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(K=>h.add(K.charCodeAt(0)));function m(K){return p(K)||h.has(K)}function g(K,Q){return K===Q||m(K)&&m(Q)}function a(K){return d(K)||I(K)||v(K)}function u(K,Q){return Q.length===0?Q=[K]:K.end===Q[0].start?Q[0].start=K.start:Q.unshift(K),Q}function l(K,Q){for(let ce=Q;ce<K.length;ce++){const we=K.charCodeAt(ce);if(I(we)||v(we)||ce>0&&!a(K.charCodeAt(ce-1)))return ce}return K.length}function $(K,Q,ce,we){if(ce===K.length)return[];if(we===Q.length)return null;if(K[ce]!==Q[we].toLowerCase())return null;{let Pe=null,Ce=we+1;for(Pe=$(K,Q,ce+1,we+1);!Pe&&(Ce=l(Q,Ce))<Q.length;)Pe=$(K,Q,ce+1,Ce),Ce++;return Pe===null?null:u({start:we,end:we+1},Pe)}}function P(K){let Q=0,ce=0,we=0,Pe=0,Ce=0;for(let ve=0;ve<K.length;ve++)Ce=K.charCodeAt(ve),I(Ce)&&Q++,d(Ce)&&ce++,a(Ce)&&we++,v(Ce)&&Pe++;const Fe=Q/K.length,ze=ce/K.length,me=we/K.length,Ee=Pe/K.length;return{upperPercent:Fe,lowerPercent:ze,alphaPercent:me,numericPercent:Ee}}function k(K){const{upperPercent:Q,lowerPercent:ce}=K;return ce===0&&Q>.6}function t(K){const{upperPercent:Q,lowerPercent:ce,alphaPercent:we,numericPercent:Pe}=K;return ce>.2&&Q<.8&&we>.6&&Pe<.2}function i(K){let Q=0,ce=0,we=0,Pe=0;for(let Ce=0;Ce<K.length;Ce++)we=K.charCodeAt(Ce),I(we)&&Q++,d(we)&&ce++,p(we)&&Pe++;return(Q===0||ce===0)&&Pe===0?K.length<=30:Q<=5}function r(K,Q){if(!Q||(Q=Q.trim(),Q.length===0)||!i(K)||Q.length>60)return null;const ce=P(Q);if(!t(ce)){if(!k(ce))return null;Q=Q.toLowerCase()}let we=null,Pe=0;for(K=K.toLowerCase();Pe<Q.length&&(we=$(K,Q,0,Pe))===null;)Pe=l(Q,Pe+1);return we}e.$lj=r;function n(K,Q,ce=!1){if(!Q||Q.length===0)return null;let we=null,Pe=0;for(K=K.toLowerCase(),Q=Q.toLowerCase();Pe<Q.length&&(we=s(K,Q,0,Pe,ce))===null;)Pe=c(Q,Pe+1);return we}e.$mj=n;function s(K,Q,ce,we,Pe){if(ce===K.length)return[];if(we===Q.length)return null;if(g(K.charCodeAt(ce),Q.charCodeAt(we))){let Ce=null,Fe=we+1;if(Ce=s(K,Q,ce+1,we+1,Pe),!Pe)for(;!Ce&&(Fe=c(Q,Fe))<Q.length;)Ce=s(K,Q,ce+1,Fe,Pe),Fe++;return Ce?K.charCodeAt(ce)!==Q.charCodeAt(we)?Ce:u({start:we,end:we+1},Ce):null}else return null}function c(K,Q){for(let ce=Q;ce<K.length;ce++)if(m(K.charCodeAt(ce))||ce>0&&m(K.charCodeAt(ce-1)))return ce;return K.length}const f=o(e.$hj,r,R),y=o(e.$hj,r,L),w=new E.$mi(1e4);function D(K,Q,ce=!1){if(typeof K!="string"||typeof Q!="string")return null;let we=w.get(K);we||(we=new RegExp(O.$rd(K),"i"),w.set(K,we));const Pe=we.exec(Q);return Pe?[{start:Pe.index,end:Pe.index+Pe[0].length}]:ce?y(K,Q):f(K,Q)}e.$nj=D;function C(K,Q){const ce=ee(K,K.toLowerCase(),0,Q,Q.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return ce?X(ce):null}e.$oj=C;function M(K,Q,ce,we,Pe,Ce){const Fe=Math.min(13,K.length);for(;ce<Fe;ce++){const ze=ee(K,Q,ce,we,Pe,Ce,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(ze)return ze}return[0,Ce]}e.$pj=M;function X(K){if(typeof K>"u")return[];const Q=[],ce=K[1];for(let we=K.length-1;we>1;we--){const Pe=K[we]+ce,Ce=Q[Q.length-1];Ce&&Ce.end===Pe?Ce.end=Pe+1:Q.push({start:Pe,end:Pe+1})}return Q}e.$qj=X;const ne=128;function he(){const K=[],Q=[];for(let ce=0;ce<=ne;ce++)Q[ce]=0;for(let ce=0;ce<=ne;ce++)K.push(Q.slice(0));return K}function ue(K){const Q=[];for(let ce=0;ce<=K;ce++)Q[ce]=0;return Q}const le=ue(2*ne),ge=ue(2*ne),se=he(),J=he(),te=he(),V=!1;function Z(K,Q,ce,we,Pe){function Ce(ze,me,Ee=" "){for(;ze.length<me;)ze=Ee+ze;return ze}let Fe=` |   |${we.split("").map(ze=>Ce(ze,3)).join("|")}
`;for(let ze=0;ze<=ce;ze++)ze===0?Fe+=" |":Fe+=`${Q[ze-1]}|`,Fe+=K[ze].slice(0,Pe+1).map(me=>Ce(me.toString(),3)).join("|")+`
`;return Fe}function H(K,Q,ce,we){K=K.substr(Q),ce=ce.substr(we),console.log(Z(J,K,K.length,ce,ce.length)),console.log(Z(te,K,K.length,ce,ce.length)),console.log(Z(se,K,K.length,ce,ce.length))}function B(K,Q){if(Q<0||Q>=K.length)return!1;const ce=K.codePointAt(Q);switch(ce){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!O.$3d(ce)}}function ie(K,Q){if(Q<0||Q>=K.length)return!1;switch(K.charCodeAt(Q)){case 32:case 9:return!0;default:return!1}}function Y(K,Q,ce){return Q[K]!==ce[K]}function _(K,Q,ce,we,Pe,Ce,Fe=!1){for(;Q<ce&&Pe<Ce;)K[Q]===we[Pe]&&(Fe&&(le[Q]=Pe),Q+=1),Pe+=1;return Q===ce}e.$rj=_;var T;(function(K){K[K.Diag=1]="Diag",K[K.Left=2]="Left",K[K.LeftLeft=3]="LeftLeft"})(T||(T={}));var S;(function(K){K.Default=[-100,0];function Q(ce){return!ce||ce.length===2&&ce[0]===-100&&ce[1]===0}K.isDefault=Q})(S||(e.FuzzyScore=S={}));class N{constructor(Q,ce){this.firstMatchCanBeWeak=Q,this.boostFullMatch=ce}}e.$sj=N,N.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function ee(K,Q,ce,we,Pe,Ce,Fe=N.default){const ze=K.length>ne?ne:K.length,me=we.length>ne?ne:we.length;if(ce>=ze||Ce>=me||ze-ce>me-Ce||!_(Q,ce,ze,Pe,Ce,me,!0))return;oe(ze,me,ce,Ce,Q,Pe);let Ee=1,ve=1,Me=ce,Te=Ce;const _e=[!1];for(Ee=1,Me=ce;Me<ze;Ee++,Me++){const Je=le[Me],Xe=ge[Me],fe=Me+1<ze?ge[Me+1]:me;for(ve=Je-Ce+1,Te=Je;Te<fe;ve++,Te++){let ke=Number.MIN_SAFE_INTEGER,Ie=!1;Te<=Xe&&(ke=z(K,Q,Me,ce,we,Pe,Te,me,Ce,se[Ee-1][ve-1]===0,_e));let Ae=0;ke!==Number.MAX_SAFE_INTEGER&&(Ie=!0,Ae=ke+J[Ee-1][ve-1]);const Ne=Te>Je,Be=Ne?J[Ee][ve-1]+(se[Ee][ve-1]>0?-5:0):0,He=Te>Je+1&&se[Ee][ve-1]>0,Ke=He?J[Ee][ve-2]+(se[Ee][ve-2]>0?-5:0):0;if(He&&(!Ne||Ke>=Be)&&(!Ie||Ke>=Ae))J[Ee][ve]=Ke,te[Ee][ve]=3,se[Ee][ve]=0;else if(Ne&&(!Ie||Be>=Ae))J[Ee][ve]=Be,te[Ee][ve]=2,se[Ee][ve]=0;else if(Ie)J[Ee][ve]=Ae,te[Ee][ve]=1,se[Ee][ve]=se[Ee-1][ve-1]+1;else throw new Error("not possible")}}if(V&&H(K,ce,we,Ce),!_e[0]&&!Fe.firstMatchCanBeWeak)return;Ee--,ve--;const qe=[J[Ee][ve],Ce];let Ge=0,Qe=0;for(;Ee>=1;){let Je=ve;do{const Xe=te[Ee][Je];if(Xe===3)Je=Je-2;else if(Xe===2)Je=Je-1;else break}while(Je>=1);Ge>1&&Q[ce+Ee-1]===Pe[Ce+ve-1]&&!Y(Je+Ce-1,we,Pe)&&Ge+1>se[Ee][Je]&&(Je=ve),Je===ve?Ge++:Ge=1,Qe||(Qe=Je),Ee--,ve=Je-1,qe.push(ve)}me===ze&&Fe.boostFullMatch&&(qe[0]+=2);const st=Qe-ze;return qe[0]-=st,qe}e.$tj=ee;function oe(K,Q,ce,we,Pe,Ce){let Fe=K-1,ze=Q-1;for(;Fe>=ce&&ze>=we;)Pe[Fe]===Ce[ze]&&(ge[Fe]=ze,Fe--),ze--}function z(K,Q,ce,we,Pe,Ce,Fe,ze,me,Ee,ve){if(Q[ce]!==Ce[Fe])return Number.MIN_SAFE_INTEGER;let Me=1,Te=!1;return Fe===ce-we?Me=K[ce]===Pe[Fe]?7:5:Y(Fe,Pe,Ce)&&(Fe===0||!Y(Fe-1,Pe,Ce))?(Me=K[ce]===Pe[Fe]?7:5,Te=!0):B(Ce,Fe)&&(Fe===0||!B(Ce,Fe-1))?Me=5:(B(Ce,Fe-1)||ie(Ce,Fe-1))&&(Me=5,Te=!0),Me>1&&ce===we&&(ve[0]=!0),Te||(Te=Y(Fe,Pe,Ce)||B(Ce,Fe-1)||ie(Ce,Fe-1)),ce===we?Fe>me&&(Me-=Te?3:5):Ee?Me+=Te?2:0:Me+=Te?0:1,Fe+1===ze&&(Me-=Te?3:5),Me}function q(K,Q,ce,we,Pe,Ce,Fe){return U(K,Q,ce,we,Pe,Ce,!0,Fe)}e.$uj=q;function W(K,Q,ce,we,Pe,Ce,Fe){return U(K,Q,ce,we,Pe,Ce,!1,Fe)}e.$vj=W;function U(K,Q,ce,we,Pe,Ce,Fe,ze){let me=ee(K,Q,ce,we,Pe,Ce,ze);if(me&&!Fe)return me;if(K.length>=3){const Ee=Math.min(7,K.length-1);for(let ve=ce+1;ve<Ee;ve++){const Me=G(K,ve);if(Me){const Te=ee(Me,Me.toLowerCase(),ce,we,Pe,Ce,ze);Te&&(Te[0]-=3,(!me||Te[0]>me[0])&&(me=Te))}}}return me}function G(K,Q){if(Q+1>=K.length)return;const ce=K[Q],we=K[Q+1];if(ce!==we)return K.slice(0,Q)+we+ce+K.slice(Q+2)}}),define(be[73],pe([1,0,17]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fi=e.$ei=e.$di=e.$ci=e.$bi=e.$ai=e.$_h=void 0;function O(u){return o(u,0)}e.$_h=O;function o(u,l){switch(typeof u){case"object":return u===null?A(349,l):Array.isArray(u)?b(u,l):d(u,l);case"string":return L(u,l);case"boolean":return R(u,l);case"number":return A(u,l);case"undefined":return A(937,l);default:return A(617,l)}}e.$ai=o;function A(u,l){return(l<<5)-l+u|0}e.$bi=A;function R(u,l){return A(u?433:863,l)}function L(u,l){l=A(149417,l);for(let $=0,P=u.length;$<P;$++)l=A(u.charCodeAt($),l);return l}e.$ci=L;function b(u,l){return l=A(104579,l),u.reduce(($,P)=>o(P,$),l)}function d(u,l){return l=A(181387,l),Object.keys(u).sort().reduce(($,P)=>($=L(P,$),o(u[P],$)),l)}class I{constructor(){this.g=0}get value(){return this.g}hash(l){return this.g=o(l,this.g),this.g}}e.$di=I;var v;(function(u){u[u.BLOCK_SIZE=64]="BLOCK_SIZE",u[u.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(v||(v={}));function p(u,l,$=32){const P=$-l,k=~((1<<P)-1);return(u<<l|(k&u)>>>P)>>>0}function h(u,l=0,$=u.byteLength,P=0){for(let k=0;k<$;k++)u[l+k]=P}function m(u,l,$="0"){for(;u.length<l;)u=$+u;return u}function g(u,l=32){return u instanceof ArrayBuffer?Array.from(new Uint8Array(u)).map($=>$.toString(16).padStart(2,"0")).join(""):m((u>>>0).toString(16),l/4)}e.$ei=g;class a{constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(l){const $=l.length;if($===0)return;const P=this.p;let k=this.r,t=this.u,i,r;for(t!==0?(i=t,r=-1,t=0):(i=l.charCodeAt(0),r=0);;){let n=i;if(E.$Nd(i))if(r+1<$){const s=l.charCodeAt(r+1);E.$Od(s)?(r++,n=E.$Pd(i,s)):n=65533}else{t=i;break}else E.$Od(i)&&(n=65533);if(k=this.w(P,k,n),r++,r<$)i=l.charCodeAt(r);else break}this.r=k,this.u=t}w(l,$,P){return P<128?l[$++]=P:P<2048?(l[$++]=192|(P&1984)>>>6,l[$++]=128|(P&63)>>>0):P<65536?(l[$++]=224|(P&61440)>>>12,l[$++]=128|(P&4032)>>>6,l[$++]=128|(P&63)>>>0):(l[$++]=240|(P&1835008)>>>18,l[$++]=128|(P&258048)>>>12,l[$++]=128|(P&4032)>>>6,l[$++]=128|(P&63)>>>0),$>=64&&(this.y(),$-=64,this.t+=64,l[0]=l[64+0],l[1]=l[64+1],l[2]=l[64+2]),$}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),g(this.h)+g(this.l)+g(this.m)+g(this.n)+g(this.o)}x(){this.p[this.r++]=128,h(this.p,this.r),this.r>56&&(this.y(),h(this.p));const l=8*this.t;this.q.setUint32(56,Math.floor(l/4294967296),!1),this.q.setUint32(60,l%4294967296,!1),this.y()}y(){const l=a.g,$=this.q;for(let f=0;f<64;f+=4)l.setUint32(f,$.getUint32(f,!1),!1);for(let f=64;f<320;f+=4)l.setUint32(f,p(l.getUint32(f-12,!1)^l.getUint32(f-32,!1)^l.getUint32(f-56,!1)^l.getUint32(f-64,!1),1),!1);let P=this.h,k=this.l,t=this.m,i=this.n,r=this.o,n,s,c;for(let f=0;f<80;f++)f<20?(n=k&t|~k&i,s=1518500249):f<40?(n=k^t^i,s=1859775393):f<60?(n=k&t|k&i|t&i,s=2400959708):(n=k^t^i,s=3395469782),c=p(P,5)+n+r+s+l.getUint32(f*4,!1)&4294967295,r=i,i=t,t=p(k,30),k=P,P=c;this.h=this.h+P&4294967295,this.l=this.l+k&4294967295,this.m=this.m+t&4294967295,this.n=this.n+i&4294967295,this.o=this.o+r&4294967295}}e.$fi=a,a.g=new DataView(new ArrayBuffer(320))}),define(be[58],pe([1,0,17]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var O;(function(o){o[o.Ignore=0]="Ignore",o[o.Info=1]="Info",o[o.Warning=2]="Warning",o[o.Error=3]="Error"})(O||(O={})),function(o){const A="error",R="warning",L="warn",b="info",d="ignore";function I(p){return p?E.$Jd(A,p)?o.Error:E.$Jd(R,p)||E.$Jd(L,p)?o.Warning:E.$Jd(b,p)?o.Info:o.Ignore:o.Ignore}o.fromValue=I;function v(p){switch(p){case o.Error:return A;case o.Warning:return R;case o.Info:return b;default:return d}}o.toString=v}(O||(O={})),e.default=O}),define(be[146],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2c=void 0,e.$2c=Symbol("MicrotaskDelay")}),define(be[59],pe([1,0,18,17]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rh=e.$qh=e.$ph=e.$oh=e.$nh=void 0;class o{constructor(){this.b="",this.c=0}reset(h){return this.b=h,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(h){const m=h.charCodeAt(0),g=this.b.charCodeAt(this.c);return m-g}value(){return this.b[this.c]}}e.$nh=o;class A{constructor(h=!0){this.e=h}reset(h){return this.b=h,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let h=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(h)this.c++;else break;else h=!1;return this}cmp(h){return this.e?(0,O.$Dd)(h,this.b,0,h.length,this.c,this.d):(0,O.$Fd)(h,this.b,0,h.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.$oh=A;class R{constructor(h=!0,m=!0){this.f=h,this.g=m}reset(h){this.d=0,this.e=0,this.b=h,this.c=h.length;for(let m=h.length-1;m>=0;m--,this.c--){const g=this.b.charCodeAt(m);if(!(g===47||this.f&&g===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let h=!0;for(;this.e<this.c;this.e++){const m=this.b.charCodeAt(this.e);if(m===47||this.f&&m===92)if(h)this.d++;else break;else h=!1}return this}cmp(h){return this.g?(0,O.$Dd)(h,this.b,0,h.length,this.d,this.e):(0,O.$Fd)(h,this.b,0,h.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.$ph=R;var L;(function(p){p[p.Scheme=1]="Scheme",p[p.Authority=2]="Authority",p[p.Path=3]="Path",p[p.Query=4]="Query",p[p.Fragment=5]="Fragment"})(L||(L={}));class b{constructor(h,m){this.f=h,this.g=m,this.d=[],this.e=0}reset(h){return this.c=h,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new R(!1,!this.f(h)),this.b.reset(h.path),this.b.value()&&this.d.push(3)),this.g(h)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(h){if(this.d[this.e]===1)return(0,O.$Ed)(h,this.c.scheme);if(this.d[this.e]===2)return(0,O.$Ed)(h,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(h);if(this.d[this.e]===4)return(0,O.$Cd)(h,this.c.query);if(this.d[this.e]===5)return(0,O.$Cd)(h,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.$qh=b;class d{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const h=this.right;return this.right=h.left,h.left=this,this.updateHeight(),h.updateHeight(),h}rotateRight(){const h=this.left;return this.left=h.right,h.right=this,this.updateHeight(),h.updateHeight(),h}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var I;(function(p){p[p.Left=-1]="Left",p[p.Mid=0]="Mid",p[p.Right=1]="Right"})(I||(I={}));class v{static forUris(h=()=>!1,m=()=>!1){return new v(new b(h,m))}static forPaths(h=!1){return new v(new R(void 0,!h))}static forStrings(){return new v(new o)}static forConfigKeys(){return new v(new A)}constructor(h){this.b=h}clear(){this.c=void 0}fill(h,m){if(m){const g=m.slice(0);(0,E.$Bf)(g);for(const a of g)this.set(a,h)}else{const g=h.slice(0);(0,E.$Bf)(g);for(const a of g)this.set(a[0],a[1])}}set(h,m){const g=this.b.reset(h);let a;this.c||(this.c=new d,this.c.segment=g.value());const u=[];for(a=this.c;;){const $=g.cmp(a.segment);if($>0)a.left||(a.left=new d,a.left.segment=g.value()),u.push([-1,a]),a=a.left;else if($<0)a.right||(a.right=new d,a.right.segment=g.value()),u.push([1,a]),a=a.right;else if(g.hasNext())g.next(),a.mid||(a.mid=new d,a.mid.segment=g.value()),u.push([0,a]),a=a.mid;else break}const l=a.value;a.value=m,a.key=h;for(let $=u.length-1;$>=0;$--){const P=u[$][1];P.updateHeight();const k=P.balanceFactor();if(k<-1||k>1){const t=u[$][0],i=u[$+1][0];if(t===1&&i===1)u[$][1]=P.rotateLeft();else if(t===-1&&i===-1)u[$][1]=P.rotateRight();else if(t===1&&i===-1)P.right=u[$+1][1]=u[$+1][1].rotateRight(),u[$][1]=P.rotateLeft();else if(t===-1&&i===1)P.left=u[$+1][1]=u[$+1][1].rotateLeft(),u[$][1]=P.rotateRight();else throw new Error;if($>0)switch(u[$-1][0]){case-1:u[$-1][1].left=u[$][1];break;case 1:u[$-1][1].right=u[$][1];break;case 0:u[$-1][1].mid=u[$][1];break}else this.c=u[0][1]}}return l}get(h){return this.d(h)?.value}d(h){const m=this.b.reset(h);let g=this.c;for(;g;){const a=m.cmp(g.segment);if(a>0)g=g.left;else if(a<0)g=g.right;else if(m.hasNext())m.next(),g=g.mid;else break}return g}has(h){const m=this.d(h);return!(m?.value===void 0&&m?.mid===void 0)}delete(h){return this.e(h,!1)}deleteSuperstr(h){return this.e(h,!0)}e(h,m){const g=this.b.reset(h),a=[];let u=this.c;for(;u;){const l=g.cmp(u.segment);if(l>0)a.push([-1,u]),u=u.left;else if(l<0)a.push([1,u]),u=u.right;else if(g.hasNext())g.next(),a.push([0,u]),u=u.mid;else break}if(u){if(m?(u.left=void 0,u.mid=void 0,u.right=void 0,u.height=1):(u.key=void 0,u.value=void 0),!u.mid&&!u.value)if(u.left&&u.right){const l=this.f(u.right);if(l.key){const{key:$,value:P,segment:k}=l;this.e(l.key,!1),u.key=$,u.value=P,u.segment=k}}else{const l=u.left??u.right;if(a.length>0){const[$,P]=a[a.length-1];switch($){case-1:P.left=l;break;case 0:P.mid=l;break;case 1:P.right=l;break}}else this.c=l}for(let l=a.length-1;l>=0;l--){const $=a[l][1];$.updateHeight();const P=$.balanceFactor();if(P>1?($.right.balanceFactor()>=0||($.right=$.right.rotateRight()),a[l][1]=$.rotateLeft()):P<-1&&($.left.balanceFactor()<=0||($.left=$.left.rotateLeft()),a[l][1]=$.rotateRight()),l>0)switch(a[l-1][0]){case-1:a[l-1][1].left=a[l][1];break;case 1:a[l-1][1].right=a[l][1];break;case 0:a[l-1][1].mid=a[l][1];break}else this.c=a[0][1]}}}f(h){for(;h.left;)h=h.left;return h}findSubstr(h){const m=this.b.reset(h);let g=this.c,a;for(;g;){const u=m.cmp(g.segment);if(u>0)g=g.left;else if(u<0)g=g.right;else if(m.hasNext())m.next(),a=g.value||a,g=g.mid;else break}return g&&g.value||a}findSuperstr(h){return this.g(h,!1)}g(h,m){const g=this.b.reset(h);let a=this.c;for(;a;){const u=g.cmp(a.segment);if(u>0)a=a.left;else if(u<0)a=a.right;else if(g.hasNext())g.next(),a=a.mid;else return a.mid?this.h(a.mid):m?a.value:void 0}}hasElementOrSubtree(h){return this.g(h,!0)!==void 0}forEach(h){for(const[m,g]of this)h(g,m)}*[Symbol.iterator](){yield*this.h(this.c)}h(h){const m=[];return this.j(h,m),m[Symbol.iterator]()}j(h,m){h&&(h.left&&this.j(h.left,m),h.value&&m.push([h.key,h.value]),h.mid&&this.j(h.mid,m),h.right&&this.j(h.right,m))}_isBalanced(){const h=m=>{if(!m)return!0;const g=m.balanceFactor();return g<-1||g>1?!1:h(m.left)&&h(m.right)};return h(this.c)}}e.$rh=v}),define(be[8],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ze=e.$ye=e.$xe=e.$we=e.$ve=e.$ue=e.$te=e.$se=e.$re=e.$qe=e.$pe=e.$oe=e.$ne=e.$me=e.$le=e.$ke=e.$je=e.$ie=e.$he=e.$ge=void 0;function E(i){return typeof i=="string"}e.$ge=E;function O(i){return Array.isArray(i)&&i.every(r=>E(r))}e.$he=O;function o(i){return typeof i=="object"&&i!==null&&!Array.isArray(i)&&!(i instanceof RegExp)&&!(i instanceof Date)}e.$ie=o;function A(i){const r=Object.getPrototypeOf(Uint8Array);return typeof i=="object"&&i instanceof r}e.$je=A;function R(i){return typeof i=="number"&&!isNaN(i)}e.$ke=R;function L(i){return!!i&&typeof i[Symbol.iterator]=="function"}e.$le=L;function b(i){return i===!0||i===!1}e.$me=b;function d(i){return typeof i>"u"}e.$ne=d;function I(i){return!v(i)}e.$oe=I;function v(i){return d(i)||i===null}e.$pe=v;function p(i,r){if(!i)throw new Error(r?`Unexpected type, expected '${r}'`:"Unexpected type")}e.$qe=p;function h(i){if(v(i))throw new Error("Assertion Failed: argument is undefined or null");return i}e.$re=h;function m(...i){const r=[];for(let n=0;n<i.length;n++){const s=i[n];if(v(s))throw new Error(`Assertion Failed: argument at index ${n} is undefined or null`);r.push(s)}return r}e.$se=m;const g=Object.prototype.hasOwnProperty;function a(i){if(!o(i))return!1;for(const r in i)if(g.call(i,r))return!1;return!0}e.$te=a;function u(i){return typeof i=="function"}e.$ue=u;function l(...i){return i.length>0&&i.every(u)}e.$ve=l;function $(i,r){const n=Math.min(i.length,r.length);for(let s=0;s<n;s++)P(i[s],r[s])}e.$we=$;function P(i,r){if(E(r)){if(typeof i!==r)throw new Error(`argument does not match constraint: typeof ${r}`)}else if(u(r)){try{if(i instanceof r)return}catch{}if(!v(i)&&i.constructor===r||r.length===1&&r.call(void 0,i)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.$xe=P;function k(i){return i===null?void 0:i}e.$ye=k;function t(i){return typeof i>"u"?null:i}e.$ze=t}),define(be[48],pe([1,0,8]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yj=e.$xj=e.$wj=void 0;const O=Object.create(null);function o(L,b){if((0,E.$ge)(b)){const d=O[b];if(d===void 0)throw new Error(`${L} references an unknown codicon: ${b}`);b=d}return O[L]=b,{id:L}}function A(){return O}e.$wj=A;function R(){return Object.values(e.$yj)}e.$xj=R,e.$yj={add:o("add",6e4),plus:o("plus",6e4),gistNew:o("gist-new",6e4),repoCreate:o("repo-create",6e4),lightbulb:o("lightbulb",60001),lightBulb:o("light-bulb",60001),repo:o("repo",60002),repoDelete:o("repo-delete",60002),gistFork:o("gist-fork",60003),repoForked:o("repo-forked",60003),gitPullRequest:o("git-pull-request",60004),gitPullRequestAbandoned:o("git-pull-request-abandoned",60004),recordKeys:o("record-keys",60005),keyboard:o("keyboard",60005),tag:o("tag",60006),tagAdd:o("tag-add",60006),tagRemove:o("tag-remove",60006),person:o("person",60007),personFollow:o("person-follow",60007),personOutline:o("person-outline",60007),personFilled:o("person-filled",60007),gitBranch:o("git-branch",60008),gitBranchCreate:o("git-branch-create",60008),gitBranchDelete:o("git-branch-delete",60008),sourceControl:o("source-control",60008),mirror:o("mirror",60009),mirrorPublic:o("mirror-public",60009),star:o("star",60010),starAdd:o("star-add",60010),starDelete:o("star-delete",60010),starEmpty:o("star-empty",60010),comment:o("comment",60011),commentAdd:o("comment-add",60011),alert:o("alert",60012),warning:o("warning",60012),search:o("search",60013),searchSave:o("search-save",60013),logOut:o("log-out",60014),signOut:o("sign-out",60014),logIn:o("log-in",60015),signIn:o("sign-in",60015),eye:o("eye",60016),eyeUnwatch:o("eye-unwatch",60016),eyeWatch:o("eye-watch",60016),circleFilled:o("circle-filled",60017),primitiveDot:o("primitive-dot",60017),closeDirty:o("close-dirty",60017),debugBreakpoint:o("debug-breakpoint",60017),debugBreakpointDisabled:o("debug-breakpoint-disabled",60017),debugHint:o("debug-hint",60017),primitiveSquare:o("primitive-square",60018),edit:o("edit",60019),pencil:o("pencil",60019),info:o("info",60020),issueOpened:o("issue-opened",60020),gistPrivate:o("gist-private",60021),gitForkPrivate:o("git-fork-private",60021),lock:o("lock",60021),mirrorPrivate:o("mirror-private",60021),close:o("close",60022),removeClose:o("remove-close",60022),x:o("x",60022),repoSync:o("repo-sync",60023),sync:o("sync",60023),clone:o("clone",60024),desktopDownload:o("desktop-download",60024),beaker:o("beaker",60025),microscope:o("microscope",60025),vm:o("vm",60026),deviceDesktop:o("device-desktop",60026),file:o("file",60027),fileText:o("file-text",60027),more:o("more",60028),ellipsis:o("ellipsis",60028),kebabHorizontal:o("kebab-horizontal",60028),mailReply:o("mail-reply",60029),reply:o("reply",60029),organization:o("organization",60030),organizationFilled:o("organization-filled",60030),organizationOutline:o("organization-outline",60030),newFile:o("new-file",60031),fileAdd:o("file-add",60031),newFolder:o("new-folder",60032),fileDirectoryCreate:o("file-directory-create",60032),trash:o("trash",60033),trashcan:o("trashcan",60033),history:o("history",60034),clock:o("clock",60034),folder:o("folder",60035),fileDirectory:o("file-directory",60035),symbolFolder:o("symbol-folder",60035),logoGithub:o("logo-github",60036),markGithub:o("mark-github",60036),github:o("github",60036),terminal:o("terminal",60037),console:o("console",60037),repl:o("repl",60037),zap:o("zap",60038),symbolEvent:o("symbol-event",60038),error:o("error",60039),stop:o("stop",60039),variable:o("variable",60040),symbolVariable:o("symbol-variable",60040),array:o("array",60042),symbolArray:o("symbol-array",60042),symbolModule:o("symbol-module",60043),symbolPackage:o("symbol-package",60043),symbolNamespace:o("symbol-namespace",60043),symbolObject:o("symbol-object",60043),symbolMethod:o("symbol-method",60044),symbolFunction:o("symbol-function",60044),symbolConstructor:o("symbol-constructor",60044),symbolBoolean:o("symbol-boolean",60047),symbolNull:o("symbol-null",60047),symbolNumeric:o("symbol-numeric",60048),symbolNumber:o("symbol-number",60048),symbolStructure:o("symbol-structure",60049),symbolStruct:o("symbol-struct",60049),symbolParameter:o("symbol-parameter",60050),symbolTypeParameter:o("symbol-type-parameter",60050),symbolKey:o("symbol-key",60051),symbolText:o("symbol-text",60051),symbolReference:o("symbol-reference",60052),goToFile:o("go-to-file",60052),symbolEnum:o("symbol-enum",60053),symbolValue:o("symbol-value",60053),symbolRuler:o("symbol-ruler",60054),symbolUnit:o("symbol-unit",60054),activateBreakpoints:o("activate-breakpoints",60055),archive:o("archive",60056),arrowBoth:o("arrow-both",60057),arrowDown:o("arrow-down",60058),arrowLeft:o("arrow-left",60059),arrowRight:o("arrow-right",60060),arrowSmallDown:o("arrow-small-down",60061),arrowSmallLeft:o("arrow-small-left",60062),arrowSmallRight:o("arrow-small-right",60063),arrowSmallUp:o("arrow-small-up",60064),arrowUp:o("arrow-up",60065),bell:o("bell",60066),bold:o("bold",60067),book:o("book",60068),bookmark:o("bookmark",60069),debugBreakpointConditionalUnverified:o("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:o("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:o("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:o("debug-breakpoint-data-unverified",60072),debugBreakpointData:o("debug-breakpoint-data",60073),debugBreakpointDataDisabled:o("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:o("debug-breakpoint-log-unverified",60074),debugBreakpointLog:o("debug-breakpoint-log",60075),debugBreakpointLogDisabled:o("debug-breakpoint-log-disabled",60075),briefcase:o("briefcase",60076),broadcast:o("broadcast",60077),browser:o("browser",60078),bug:o("bug",60079),calendar:o("calendar",60080),caseSensitive:o("case-sensitive",60081),check:o("check",60082),checklist:o("checklist",60083),chevronDown:o("chevron-down",60084),dropDownButton:o("drop-down-button",60084),chevronLeft:o("chevron-left",60085),chevronRight:o("chevron-right",60086),chevronUp:o("chevron-up",60087),chromeClose:o("chrome-close",60088),chromeMaximize:o("chrome-maximize",60089),chromeMinimize:o("chrome-minimize",60090),chromeRestore:o("chrome-restore",60091),circle:o("circle",60092),circleOutline:o("circle-outline",60092),debugBreakpointUnverified:o("debug-breakpoint-unverified",60092),circleSlash:o("circle-slash",60093),circuitBoard:o("circuit-board",60094),clearAll:o("clear-all",60095),clippy:o("clippy",60096),closeAll:o("close-all",60097),cloudDownload:o("cloud-download",60098),cloudUpload:o("cloud-upload",60099),code:o("code",60100),collapseAll:o("collapse-all",60101),colorMode:o("color-mode",60102),commentDiscussion:o("comment-discussion",60103),compareChanges:o("compare-changes",60157),creditCard:o("credit-card",60105),dash:o("dash",60108),dashboard:o("dashboard",60109),database:o("database",60110),debugContinue:o("debug-continue",60111),debugDisconnect:o("debug-disconnect",60112),debugPause:o("debug-pause",60113),debugRestart:o("debug-restart",60114),debugStart:o("debug-start",60115),debugStepInto:o("debug-step-into",60116),debugStepOut:o("debug-step-out",60117),debugStepOver:o("debug-step-over",60118),debugStop:o("debug-stop",60119),debug:o("debug",60120),deviceCameraVideo:o("device-camera-video",60121),deviceCamera:o("device-camera",60122),deviceMobile:o("device-mobile",60123),diffAdded:o("diff-added",60124),diffIgnored:o("diff-ignored",60125),diffModified:o("diff-modified",60126),diffRemoved:o("diff-removed",60127),diffRenamed:o("diff-renamed",60128),diff:o("diff",60129),discard:o("discard",60130),editorLayout:o("editor-layout",60131),emptyWindow:o("empty-window",60132),exclude:o("exclude",60133),extensions:o("extensions",60134),eyeClosed:o("eye-closed",60135),fileBinary:o("file-binary",60136),fileCode:o("file-code",60137),fileMedia:o("file-media",60138),filePdf:o("file-pdf",60139),fileSubmodule:o("file-submodule",60140),fileSymlinkDirectory:o("file-symlink-directory",60141),fileSymlinkFile:o("file-symlink-file",60142),fileZip:o("file-zip",60143),files:o("files",60144),filter:o("filter",60145),flame:o("flame",60146),foldDown:o("fold-down",60147),foldUp:o("fold-up",60148),fold:o("fold",60149),folderActive:o("folder-active",60150),folderOpened:o("folder-opened",60151),gear:o("gear",60152),gift:o("gift",60153),gistSecret:o("gist-secret",60154),gist:o("gist",60155),gitCommit:o("git-commit",60156),gitCompare:o("git-compare",60157),gitMerge:o("git-merge",60158),githubAction:o("github-action",60159),githubAlt:o("github-alt",60160),globe:o("globe",60161),grabber:o("grabber",60162),graph:o("graph",60163),gripper:o("gripper",60164),heart:o("heart",60165),home:o("home",60166),horizontalRule:o("horizontal-rule",60167),hubot:o("hubot",60168),inbox:o("inbox",60169),issueClosed:o("issue-closed",60324),issueReopened:o("issue-reopened",60171),issues:o("issues",60172),italic:o("italic",60173),jersey:o("jersey",60174),json:o("json",60175),bracket:o("bracket",60175),kebabVertical:o("kebab-vertical",60176),key:o("key",60177),law:o("law",60178),lightbulbAutofix:o("lightbulb-autofix",60179),linkExternal:o("link-external",60180),link:o("link",60181),listOrdered:o("list-ordered",60182),listUnordered:o("list-unordered",60183),liveShare:o("live-share",60184),loading:o("loading",60185),location:o("location",60186),mailRead:o("mail-read",60187),mail:o("mail",60188),markdown:o("markdown",60189),megaphone:o("megaphone",60190),mention:o("mention",60191),milestone:o("milestone",60192),mortarBoard:o("mortar-board",60193),move:o("move",60194),multipleWindows:o("multiple-windows",60195),mute:o("mute",60196),noNewline:o("no-newline",60197),note:o("note",60198),octoface:o("octoface",60199),openPreview:o("open-preview",60200),package_:o("package",60201),paintcan:o("paintcan",60202),pin:o("pin",60203),play:o("play",60204),run:o("run",60204),plug:o("plug",60205),preserveCase:o("preserve-case",60206),preview:o("preview",60207),project:o("project",60208),pulse:o("pulse",60209),question:o("question",60210),quote:o("quote",60211),radioTower:o("radio-tower",60212),reactions:o("reactions",60213),references:o("references",60214),refresh:o("refresh",60215),regex:o("regex",60216),remoteExplorer:o("remote-explorer",60217),remote:o("remote",60218),remove:o("remove",60219),replaceAll:o("replace-all",60220),replace:o("replace",60221),repoClone:o("repo-clone",60222),repoForcePush:o("repo-force-push",60223),repoPull:o("repo-pull",60224),repoPush:o("repo-push",60225),report:o("report",60226),requestChanges:o("request-changes",60227),rocket:o("rocket",60228),rootFolderOpened:o("root-folder-opened",60229),rootFolder:o("root-folder",60230),rss:o("rss",60231),ruby:o("ruby",60232),saveAll:o("save-all",60233),saveAs:o("save-as",60234),save:o("save",60235),screenFull:o("screen-full",60236),screenNormal:o("screen-normal",60237),searchStop:o("search-stop",60238),server:o("server",60240),settingsGear:o("settings-gear",60241),settings:o("settings",60242),shield:o("shield",60243),smiley:o("smiley",60244),sortPrecedence:o("sort-precedence",60245),splitHorizontal:o("split-horizontal",60246),splitVertical:o("split-vertical",60247),squirrel:o("squirrel",60248),starFull:o("star-full",60249),starHalf:o("star-half",60250),symbolClass:o("symbol-class",60251),symbolColor:o("symbol-color",60252),symbolCustomColor:o("symbol-customcolor",60252),symbolConstant:o("symbol-constant",60253),symbolEnumMember:o("symbol-enum-member",60254),symbolField:o("symbol-field",60255),symbolFile:o("symbol-file",60256),symbolInterface:o("symbol-interface",60257),symbolKeyword:o("symbol-keyword",60258),symbolMisc:o("symbol-misc",60259),symbolOperator:o("symbol-operator",60260),symbolProperty:o("symbol-property",60261),wrench:o("wrench",60261),wrenchSubaction:o("wrench-subaction",60261),symbolSnippet:o("symbol-snippet",60262),tasklist:o("tasklist",60263),telescope:o("telescope",60264),textSize:o("text-size",60265),threeBars:o("three-bars",60266),thumbsdown:o("thumbsdown",60267),thumbsup:o("thumbsup",60268),tools:o("tools",60269),triangleDown:o("triangle-down",60270),triangleLeft:o("triangle-left",60271),triangleRight:o("triangle-right",60272),triangleUp:o("triangle-up",60273),twitter:o("twitter",60274),unfold:o("unfold",60275),unlock:o("unlock",60276),unmute:o("unmute",60277),unverified:o("unverified",60278),verified:o("verified",60279),versions:o("versions",60280),vmActive:o("vm-active",60281),vmOutline:o("vm-outline",60282),vmRunning:o("vm-running",60283),watch:o("watch",60284),whitespace:o("whitespace",60285),wholeWord:o("whole-word",60286),window:o("window",60287),wordWrap:o("word-wrap",60288),zoomIn:o("zoom-in",60289),zoomOut:o("zoom-out",60290),listFilter:o("list-filter",60291),listFlat:o("list-flat",60292),listSelection:o("list-selection",60293),selection:o("selection",60293),listTree:o("list-tree",60294),debugBreakpointFunctionUnverified:o("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:o("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:o("debug-breakpoint-function-disabled",60296),debugStackframeActive:o("debug-stackframe-active",60297),circleSmallFilled:o("circle-small-filled",60298),debugStackframeDot:o("debug-stackframe-dot",60298),debugStackframe:o("debug-stackframe",60299),debugStackframeFocused:o("debug-stackframe-focused",60299),debugBreakpointUnsupported:o("debug-breakpoint-unsupported",60300),symbolString:o("symbol-string",60301),debugReverseContinue:o("debug-reverse-continue",60302),debugStepBack:o("debug-step-back",60303),debugRestartFrame:o("debug-restart-frame",60304),callIncoming:o("call-incoming",60306),callOutgoing:o("call-outgoing",60307),menu:o("menu",60308),expandAll:o("expand-all",60309),feedback:o("feedback",60310),groupByRefType:o("group-by-ref-type",60311),ungroupByRefType:o("ungroup-by-ref-type",60312),account:o("account",60313),bellDot:o("bell-dot",60314),debugConsole:o("debug-console",60315),library:o("library",60316),output:o("output",60317),runAll:o("run-all",60318),syncIgnored:o("sync-ignored",60319),pinned:o("pinned",60320),githubInverted:o("github-inverted",60321),debugAlt:o("debug-alt",60305),serverProcess:o("server-process",60322),serverEnvironment:o("server-environment",60323),pass:o("pass",60324),stopCircle:o("stop-circle",60325),playCircle:o("play-circle",60326),record:o("record",60327),debugAltSmall:o("debug-alt-small",60328),vmConnect:o("vm-connect",60329),cloud:o("cloud",60330),merge:o("merge",60331),exportIcon:o("export",60332),graphLeft:o("graph-left",60333),magnet:o("magnet",60334),notebook:o("notebook",60335),redo:o("redo",60336),checkAll:o("check-all",60337),pinnedDirty:o("pinned-dirty",60338),passFilled:o("pass-filled",60339),circleLargeFilled:o("circle-large-filled",60340),circleLarge:o("circle-large",60341),circleLargeOutline:o("circle-large-outline",60341),combine:o("combine",60342),gather:o("gather",60342),table:o("table",60343),variableGroup:o("variable-group",60344),typeHierarchy:o("type-hierarchy",60345),typeHierarchySub:o("type-hierarchy-sub",60346),typeHierarchySuper:o("type-hierarchy-super",60347),gitPullRequestCreate:o("git-pull-request-create",60348),runAbove:o("run-above",60349),runBelow:o("run-below",60350),notebookTemplate:o("notebook-template",60351),debugRerun:o("debug-rerun",60352),workspaceTrusted:o("workspace-trusted",60353),workspaceUntrusted:o("workspace-untrusted",60354),workspaceUnspecified:o("workspace-unspecified",60355),terminalCmd:o("terminal-cmd",60356),terminalDebian:o("terminal-debian",60357),terminalLinux:o("terminal-linux",60358),terminalPowershell:o("terminal-powershell",60359),terminalTmux:o("terminal-tmux",60360),terminalUbuntu:o("terminal-ubuntu",60361),terminalBash:o("terminal-bash",60362),arrowSwap:o("arrow-swap",60363),copy:o("copy",60364),personAdd:o("person-add",60365),filterFilled:o("filter-filled",60366),wand:o("wand",60367),debugLineByLine:o("debug-line-by-line",60368),inspect:o("inspect",60369),layers:o("layers",60370),layersDot:o("layers-dot",60371),layersActive:o("layers-active",60372),compass:o("compass",60373),compassDot:o("compass-dot",60374),compassActive:o("compass-active",60375),azure:o("azure",60376),issueDraft:o("issue-draft",60377),gitPullRequestClosed:o("git-pull-request-closed",60378),gitPullRequestDraft:o("git-pull-request-draft",60379),debugAll:o("debug-all",60380),debugCoverage:o("debug-coverage",60381),runErrors:o("run-errors",60382),folderLibrary:o("folder-library",60383),debugContinueSmall:o("debug-continue-small",60384),beakerStop:o("beaker-stop",60385),graphLine:o("graph-line",60386),graphScatter:o("graph-scatter",60387),pieChart:o("pie-chart",60388),bracketDot:o("bracket-dot",60389),bracketError:o("bracket-error",60390),lockSmall:o("lock-small",60391),azureDevops:o("azure-devops",60392),verifiedFilled:o("verified-filled",60393),newLine:o("newline",60394),layout:o("layout",60395),layoutActivitybarLeft:o("layout-activitybar-left",60396),layoutActivitybarRight:o("layout-activitybar-right",60397),layoutPanelLeft:o("layout-panel-left",60398),layoutPanelCenter:o("layout-panel-center",60399),layoutPanelJustify:o("layout-panel-justify",60400),layoutPanelRight:o("layout-panel-right",60401),layoutPanel:o("layout-panel",60402),layoutSidebarLeft:o("layout-sidebar-left",60403),layoutSidebarRight:o("layout-sidebar-right",60404),layoutStatusbar:o("layout-statusbar",60405),layoutMenubar:o("layout-menubar",60406),layoutCentered:o("layout-centered",60407),layoutSidebarRightOff:o("layout-sidebar-right-off",60416),layoutPanelOff:o("layout-panel-off",60417),layoutSidebarLeftOff:o("layout-sidebar-left-off",60418),target:o("target",60408),indent:o("indent",60409),recordSmall:o("record-small",60410),errorSmall:o("error-small",60411),arrowCircleDown:o("arrow-circle-down",60412),arrowCircleLeft:o("arrow-circle-left",60413),arrowCircleRight:o("arrow-circle-right",60414),arrowCircleUp:o("arrow-circle-up",60415),heartFilled:o("heart-filled",60420),map:o("map",60421),mapFilled:o("map-filled",60422),circleSmall:o("circle-small",60423),bellSlash:o("bell-slash",60424),bellSlashDot:o("bell-slash-dot",60425),commentUnresolved:o("comment-unresolved",60426),gitPullRequestGoToChanges:o("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:o("git-pull-request-new-changes",60428),searchFuzzy:o("search-fuzzy",60429),commentDraft:o("comment-draft",60430),send:o("send",60431),sparkle:o("sparkle",60432),insert:o("insert",60433),dialogError:o("dialog-error","error"),dialogWarning:o("dialog-warning","warning"),dialogInfo:o("dialog-info","info"),dialogClose:o("dialog-close","close"),treeItemExpanded:o("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:o("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:o("tree-filter-on-type-off","list-selection"),treeFilterClear:o("tree-filter-clear","close"),treeItemLoading:o("tree-item-loading","loading"),menuSelection:o("menu-selection","check"),menuSubmenu:o("menu-submenu","chevron-right"),menuBarMore:o("menubar-more","more"),scrollbarButtonLeft:o("scrollbar-button-left","triangle-left"),scrollbarButtonRight:o("scrollbar-button-right","triangle-right"),scrollbarButtonUp:o("scrollbar-button-up","triangle-up"),scrollbarButtonDown:o("scrollbar-button-down","triangle-down"),toolBarMore:o("toolbar-more","more"),quickInputBack:o("quick-input-back","arrow-left")}}),define(be[21],pe([1,0,8]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Om=e.$Nm=e.$Mm=e.$Lm=e.$Km=e.$Jm=e.$Im=e.$Hm=e.$Gm=e.$Fm=e.$Em=e.$Dm=void 0;function O(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const l=Array.isArray(u)?[]:{};return Object.entries(u).forEach(([$,P])=>{l[$]=P&&typeof P=="object"?O(P):P}),l}e.$Dm=O;function o(u){if(!u||typeof u!="object")return u;const l=[u];for(;l.length>0;){const $=l.shift();Object.freeze($);for(const P in $)if(A.call($,P)){const k=$[P];typeof k=="object"&&!Object.isFrozen(k)&&!(0,E.$je)(k)&&l.push(k)}}return u}e.$Em=o;const A=Object.prototype.hasOwnProperty;function R(u,l){return L(u,l,new Set)}e.$Fm=R;function L(u,l,$){if((0,E.$pe)(u))return u;const P=l(u);if(typeof P<"u")return P;if(Array.isArray(u)){const k=[];for(const t of u)k.push(L(t,l,$));return k}if((0,E.$ie)(u)){if($.has(u))throw new Error("Cannot clone recursive data-structure");$.add(u);const k={};for(const t in u)A.call(u,t)&&(k[t]=L(u[t],l,$));return $.delete(u),k}return u}function b(u,l,$=!0){return(0,E.$ie)(u)?((0,E.$ie)(l)&&Object.keys(l).forEach(P=>{P in u?$&&((0,E.$ie)(u[P])&&(0,E.$ie)(l[P])?b(u[P],l[P],$):u[P]=l[P]):u[P]=l[P]}),u):l}e.$Gm=b;function d(u,l){if(u===l)return!0;if(u==null||l===null||l===void 0||typeof u!=typeof l||typeof u!="object"||Array.isArray(u)!==Array.isArray(l))return!1;let $,P;if(Array.isArray(u)){if(u.length!==l.length)return!1;for($=0;$<u.length;$++)if(!d(u[$],l[$]))return!1}else{const k=[];for(P in u)k.push(P);k.sort();const t=[];for(P in l)t.push(P);if(t.sort(),!d(k,t))return!1;for($=0;$<k.length;$++)if(!d(u[k[$]],l[k[$]]))return!1}return!0}e.$Hm=d;function I(u){const l=new Set;return JSON.stringify(u,($,P)=>{if((0,E.$ie)(P)||Array.isArray(P)){if(l.has(P))return"[Circular]";l.add(P)}return P})}e.$Im=I;function v(u,l){const $=Object.create(null);return!u||!l||Object.keys(l).forEach(k=>{const t=u[k],i=l[k];d(t,i)||($[k]=i)}),$}e.$Jm=v;function p(u,l){const $=l.toLowerCase(),P=Object.keys(u).find(k=>k.toLowerCase()===$);return P?u[P]:u[l]}e.$Km=p;function h(u,l){const $=Object.create(null);for(const[P,k]of Object.entries(u))l(P,k)&&($[P]=k);return $}e.$Lm=h;function m(u){let l=[],$=Object.getPrototypeOf(u);for(;Object.prototype!==$;)l=l.concat(Object.getOwnPropertyNames($)),$=Object.getPrototypeOf($);return l}e.$Mm=m;function g(u){const l=[];for(const $ of m(u))typeof u[$]=="function"&&l.push($);return l}e.$Nm=g;function a(u,l){const $=k=>function(){const t=Array.prototype.slice.call(arguments,0);return l(k,t)},P={};for(const k of u)P[k]=$(k);return P}e.$Om=a}),define(be[98],pe([1,0,48]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeIcon=e.$zj=e.ThemeColor=void 0;var O;(function(R){function L(b){return b&&typeof b=="object"&&typeof b.id=="string"}R.isThemeColor=L})(O||(e.ThemeColor=O={}));function o(R){return{id:R}}e.$zj=o;var A;(function(R){R.iconNameSegment="[A-Za-z0-9]+",R.iconNameExpression="[A-Za-z0-9-]+",R.iconModifierExpression="~[A-Za-z]+",R.iconNameCharacter="[A-Za-z0-9~-]";const L=new RegExp(`^(${R.iconNameExpression})(${R.iconModifierExpression})?$`);function b(l){const $=L.exec(l.id);if(!$)return b(E.$yj.error);const[,P,k]=$,t=["codicon","codicon-"+P];return k&&t.push("codicon-modifier-"+k.substring(1)),t}R.asClassNameArray=b;function d(l){return b(l).join(" ")}R.asClassName=d;function I(l){return"."+b(l).join(".")}R.asCSSSelector=I;function v(l){return l&&typeof l=="object"&&typeof l.id=="string"&&(typeof l.color>"u"||O.isThemeColor(l.color))}R.isThemeIcon=v;const p=new RegExp(`^\\$\\((${R.iconNameExpression}(?:${R.iconModifierExpression})?)\\)$`);function h(l){const $=p.exec(l);if(!$)return;const[,P]=$;return{id:P}}R.fromString=h;function m(l){return{id:l}}R.fromId=m;function g(l,$){let P=l.id;const k=P.lastIndexOf("~");return k!==-1&&(P=P.substring(0,k)),$&&(P=`${P}~${$}`),{id:P}}R.modify=g;function a(l){const $=l.id.lastIndexOf("~");if($!==-1)return l.id.substring($+1)}R.getModifier=a;function u(l,$){return l.id===$.id&&l.color?.id===$.color?.id}R.isEqual=u})(A||(e.ThemeIcon=A={}))}),define(be[147],pe([1,0,145,17,98]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fj=e.$Ej=e.$Dj=e.$Cj=e.$Bj=e.$Aj=void 0;const A="$(",R=new RegExp(`\\$\\(${o.ThemeIcon.iconNameExpression}(?:${o.ThemeIcon.iconModifierExpression})?\\)`,"g"),L=new RegExp(`(\\\\)?${R.source}`,"g");function b(u){return u.replace(L,(l,$)=>$?l:`\\${l}`)}e.$Aj=b;const d=new RegExp(`\\\\${R.source}`,"g");function I(u){return u.replace(d,l=>`\\${l}`)}e.$Bj=I;const v=new RegExp(`(\\s)?(\\\\)?${R.source}(\\s)?`,"g");function p(u){return u.indexOf(A)===-1?u:u.replace(v,(l,$,P,k)=>P?l:$||k||"")}e.$Cj=p;function h(u){return u?u.replace(/\$\((.*?)\)/g,(l,$)=>` ${$} `).trim():""}e.$Dj=h;const m=new RegExp(`\\$\\(${o.ThemeIcon.iconNameCharacter}+\\)`,"g");function g(u){m.lastIndex=0;let l="";const $=[];let P=0;for(;;){const k=m.lastIndex,t=m.exec(u),i=u.substring(k,t?.index);if(i.length>0){l+=i;for(let r=0;r<i.length;r++)$.push(P)}if(!t)break;P+=t[0].length}return{text:l,iconOffsets:$}}e.$Ej=g;function a(u,l,$=!1){const{text:P,iconOffsets:k}=l;if(!k||k.length===0)return(0,E.$nj)(u,P,$);const t=(0,O.$pd)(P," "),i=P.length-t.length,r=(0,E.$nj)(u,t,$);if(r)for(const n of r){const s=k[n.start+i]+i;n.start+=s,n.end+=s}return r}e.$Fj=a}),define(be[22],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3e=e.$2e=void 0;const E=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function O(o){return E.test(o)}e.$2e=O,e.$3e=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let o;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?o=crypto.getRandomValues.bind(crypto):o=function(L){for(let b=0;b<L.length;b++)L[b]=Math.floor(Math.random()*256);return L};const A=new Uint8Array(16),R=[];for(let L=0;L<256;L++)R.push(L.toString(16).padStart(2,"0"));return function(){o(A),A[6]=A[6]&15|64,A[8]=A[8]&63|128;let b=0,d="";return d+=R[A[b++]],d+=R[A[b++]],d+=R[A[b++]],d+=R[A[b++]],d+="-",d+=R[A[b++]],d+=R[A[b++]],d+="-",d+=R[A[b++]],d+=R[A[b++]],d+="-",d+=R[A[b++]],d+=R[A[b++]],d+="-",d+=R[A[b++]],d+=R[A[b++]],d+=R[A[b++]],d+=R[A[b++]],d+=R[A[b++]],d+=R[A[b++]],d}}()}),define(be[148],pe([1,0,18,46,22]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$r=e.$0r=e.$9r=e.$8r=e.$7r=void 0;function A(v){return{asString:async()=>v,asFile:()=>{},value:typeof v=="string"?v:void 0}}e.$7r=A;function R(v,p,h){const m={id:(0,o.$3e)(),name:v,uri:p,data:h};return{asString:async()=>"",asFile:()=>m,value:void 0}}e.$8r=R;class L{constructor(){this.a=new Map}get size(){let p=0;for(const h of this.a)p++;return p}has(p){return this.a.has(this.b(p))}matches(p){const h=[...this.a.keys()];return O.Iterable.some(this,([m,g])=>g.asFile())&&h.push("files"),I(b(p),h)}get(p){return this.a.get(this.b(p))?.[0]}append(p,h){const m=this.a.get(p);m?m.push(h):this.a.set(this.b(p),[h])}replace(p,h){this.a.set(this.b(p),[h])}delete(p){this.a.delete(this.b(p))}*[Symbol.iterator](){for(const[p,h]of this.a)for(const m of h)yield[p,m]}b(p){return b(p)}}e.$9r=L;function b(v){return v.toLowerCase()}function d(v,p){return I(b(v),p.map(b))}e.$0r=d;function I(v,p){if(v==="*/*")return p.length>0;if(p.includes(v))return!0;const h=v.match(/^([a-z]+)\/([a-z]+|\*)$/i);if(!h)return!1;const[m,g,a]=h;return a==="*"?p.some(u=>u.startsWith(g+"/")):!1}e.$$r=Object.freeze({create:v=>(0,E.$of)(v.map(p=>p.toString())).join(`\r
`),split:v=>v.split(`\r
`),parse:v=>e.$$r.split(v).filter(p=>!p.startsWith("#"))})}),function(){"use strict";function ae(e,E,O){function o(h){return new Promise(m=>E.exists(h,m))}function A(h){return new Promise((m,g)=>{const a=new Date;E.utimes(h,a,a,u=>u?g(u):m())})}function R(h){return new Promise((m,g)=>E.mkdir(h,{recursive:!0},a=>a&&a.code!=="EEXIST"?g(a):m(h)))}function L(h){return new Promise((m,g)=>E.rm(h,{recursive:!0,force:!0,maxRetries:3},a=>a?g(a):m()))}function b(h){return new Promise((m,g)=>E.readFile(h,"utf8",(a,u)=>a?g(a):m(u)))}function d(h,m){return new Promise((g,a)=>E.writeFile(h,m,"utf8",u=>u?a(u):g()))}async function I(h){const m=e.join(h,"languagepacks.json");try{return JSON.parse(await b(m))}catch{}}function v(h,m){try{for(;m;){if(h[m])return m;{const g=m.lastIndexOf("-");if(g>0)m=m.substring(0,g);else return}}}catch(g){console.error("Resolving language pack configuration failed.",g)}}function p(h,m,g,a,u){const l=function(P){return O.mark("code/didGenerateNls"),Promise.resolve({locale:P,osLocale:u,availableLanguages:{}})};if(O.mark("code/willGenerateNls"),a==="pseudo")return Promise.resolve({locale:a,osLocale:u,availableLanguages:{},pseudo:!0});if(process.env.VSCODE_DEV)return Promise.resolve({locale:a,osLocale:u,availableLanguages:{}});if(a&&(a==="en"||a==="en-us"))return Promise.resolve({locale:a,osLocale:u,availableLanguages:{}});const $=a;try{return h?I(m).then(P=>{if(!P)return l($);const k=v(P,a);if(!k)return l($);a=k;const t=P[a];let i;return!t||typeof t.hash!="string"||!t.translations||typeof(i=t.translations.vscode)!="string"?l($):o(i).then(r=>{if(!r)return l($);const n=t.hash+"."+a,s=e.join(m,"clp",n),c=e.join(s,h),f=e.join(s,"tcf.json"),y=e.join(s,"corrupted.info"),w={locale:$,osLocale:u,availableLanguages:{"*":a},_languagePackId:n,_translationsConfigFile:f,_cacheRoot:s,_resolvedLanguagePackCoreLocation:c,_corruptedFile:y};return o(y).then(D=>{let C;return D?C=L(s):C=Promise.resolve(void 0),C.then(()=>o(c).then(M=>M?(A(c).catch(()=>{}),O.mark("code/didGenerateNls"),w):R(c).then(()=>Promise.all([b(g),b(i)])).then(X=>{const ne=JSON.parse(X[0]),he=JSON.parse(X[1]).contents,ue=Object.keys(ne.bundles),le=[];for(const ge of ue){const se=ne.bundles[ge],J=Object.create(null);for(const te of se){const V=ne.keys[te],Z=ne.messages[te],H=he[te];let B;if(H){B=[];for(let ie=0;ie<V.length;ie++){const Y=V[ie],_=typeof Y=="string"?Y:Y.key;let T=H[_];T===void 0&&(T=Z[ie]),B.push(T)}}else B=Z;J[te]=B}le.push(d(e.join(c,ge.replace(/\//g,"!")+".nls.json"),JSON.stringify(J)))}return le.push(d(f,JSON.stringify(t.translations))),Promise.all(le)}).then(()=>(O.mark("code/didGenerateNls"),w)).catch(X=>(console.error("Generating translation files failed.",X),l(a)))))})})}):l($)}catch(P){return console.error("Generating translation files failed.",P),l(a)}}return{getNLSConfiguration:p}}if(typeof define=="function")define(be[149],pe([74,28,41]),function(e,E,O){return ae(e,E,O)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),E=require("fs"),O=require("../common/performance");module.exports=ae(e,E,O)}else throw new Error("Unknown context")}(),define(be[150],pe([1,0,29]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$om=void 0;const O=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function o(R){const L=R.replace(/\-/g,":").toLowerCase();return!O.has(L)}function A(){const R=(0,E.networkInterfaces)();for(const L in R){const b=R[L];if(b){for(const{mac:d}of b)if(o(d))return d}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.$om=A}),define(be[99],pe([1,0,29,59,22,150]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qm=e.$pm=void 0,e.$pm=new class{c(d){return this.a||(this.a=O.$rh.forStrings(),this.a.set("00-50-56",!0),this.a.set("00-0C-29",!0),this.a.set("00-05-69",!0),this.a.set("00-03-FF",!0),this.a.set("00-1C-42",!0),this.a.set("00-16-3E",!0),this.a.set("08-00-27",!0),this.a.set("00:50:56",!0),this.a.set("00:0C:29",!0),this.a.set("00:05:69",!0),this.a.set("00:03:FF",!0),this.a.set("00:1C:42",!0),this.a.set("00:16:3E",!0),this.a.set("08:00:27",!0)),!!this.a.findSubstr(d)}value(){if(this.b===void 0){let d=0,I=0;const v=(0,E.networkInterfaces)();for(const p in v){const h=v[p];if(h)for(const{mac:m,internal:g}of h)g||(I+=1,this.c(m.toUpperCase())&&(d+=1))}this.b=I>0?d/I:0}return this.b}};let R;async function L(d){return R||(R=(async()=>await b(d)||o.$3e())()),R}e.$qm=L;async function b(d){try{const I=await new Promise((p,h)=>{ae(["crypto"],p,h)}),v=(0,A.$om)();return I.createHash("sha256").update(v,"utf8").digest("hex")}catch(I){d(I);return}}}),define(be[151],pe([1,0,75]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7e=e.$6e=e.$5e=void 0;function O(L,b,d,I=1){let v=!1;return new Promise(p=>{const h=setTimeout(()=>{if(!v)return v=!0,p(0)},d);o(L,b,I,m=>{if(!v)return v=!0,clearTimeout(h),p(m)})})}e.$5e=O;function o(L,b,d,I){if(b===0)return I(0);const v=new E.Socket;v.once("connect",()=>(R(v),o(L+d,b-1,d,I))),v.once("data",()=>{}),v.once("error",p=>(R(v),p.code!=="ECONNREFUSED"?o(L+d,b-1,d,I):I(L))),v.connect(L,"127.0.0.1")}e.$6e={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function A(L,b,d,I="127.0.0.1"){let v=!1,p,h=1;const m=E.createServer({pauseOnConnect:!0});function g(a,u){v||(v=!0,m.removeAllListeners(),m.close(),p&&clearTimeout(p),u(a))}return new Promise(a=>{p=setTimeout(()=>{g(0,a)},d),m.on("listening",()=>{g(L,a)}),m.on("error",u=>{u&&(u.code==="EADDRINUSE"||u.code==="EACCES")&&h<b?(L++,h++,m.listen(L,I)):g(0,a)}),m.on("close",()=>{g(0,a)}),m.listen(L,I)})}e.$7e=A;function R(L){try{L.removeAllListeners("connect"),L.removeAllListeners("error"),L.end(),L.destroy(),L.unref()}catch(b){console.error(b)}}}),function(){function ae(){function e(){return process.uncHostAllowlist}function E(b){const d=new Set;if(Array.isArray(b))for(const I of b)typeof I=="string"&&d.add(I);return Array.from(d)}function O(){const b=e();return b?Array.from(b):[]}function o(b){if(process.platform!=="win32")return;const d=e();if(d)if(typeof b=="string")d.add(b.toLowerCase());else for(const I of E(b))o(I)}function A(b){if(typeof b!="string")return;const d=["\\\\.\\UNC\\","\\\\?\\UNC\\","\\\\"];let I;for(const v of d){if(b.indexOf(v)!==0)continue;const h=b.indexOf("\\",v.length);if(h===-1)continue;const m=b.substring(v.length,h);if(m){I=m;break}}return I}function R(){process.platform==="win32"&&(process.restrictUNCAccess=!1)}function L(){return process.platform!=="win32"?!0:process.restrictUNCAccess===!1}return{getUNCHostAllowlist:O,addUNCHostToAllowlist:o,getUNCHost:A,disableUNCAccessRestrictions:R,isUNCAccessRestrictionsDisabled:L}}typeof define=="function"?define("vs/base/node/unc",[],function(){return ae()}):typeof module=="object"&&typeof module.exports=="object"?module.exports=ae():console.trace("vs/base/node/unc defined in UNKNOWN context (neither requirejs or commonjs)")}(),define(be[100],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jr=void 0;class E{constructor(o,A){this.lineNumber=o,this.column=A}with(o=this.lineNumber,A=this.column){return o===this.lineNumber&&A===this.column?this:new E(o,A)}delta(o=0,A=0){return this.with(this.lineNumber+o,this.column+A)}equals(o){return E.equals(this,o)}static equals(o,A){return!o&&!A?!0:!!o&&!!A&&o.lineNumber===A.lineNumber&&o.column===A.column}isBefore(o){return E.isBefore(this,o)}static isBefore(o,A){return o.lineNumber<A.lineNumber?!0:A.lineNumber<o.lineNumber?!1:o.column<A.column}isBeforeOrEqual(o){return E.isBeforeOrEqual(this,o)}static isBeforeOrEqual(o,A){return o.lineNumber<A.lineNumber?!0:A.lineNumber<o.lineNumber?!1:o.column<=A.column}static compare(o,A){const R=o.lineNumber|0,L=A.lineNumber|0;if(R===L){const b=o.column|0,d=A.column|0;return b-d}return R-L}clone(){return new E(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(o){return new E(o.lineNumber,o.column)}static isIPosition(o){return o&&typeof o.lineNumber=="number"&&typeof o.column=="number"}}e.$Jr=E}),define(be[49],pe([1,0,100]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kr=void 0;class O{constructor(A,R,L,b){A>L||A===L&&R>b?(this.startLineNumber=L,this.startColumn=b,this.endLineNumber=A,this.endColumn=R):(this.startLineNumber=A,this.startColumn=R,this.endLineNumber=L,this.endColumn=b)}isEmpty(){return O.isEmpty(this)}static isEmpty(A){return A.startLineNumber===A.endLineNumber&&A.startColumn===A.endColumn}containsPosition(A){return O.containsPosition(this,A)}static containsPosition(A,R){return!(R.lineNumber<A.startLineNumber||R.lineNumber>A.endLineNumber||R.lineNumber===A.startLineNumber&&R.column<A.startColumn||R.lineNumber===A.endLineNumber&&R.column>A.endColumn)}static strictContainsPosition(A,R){return!(R.lineNumber<A.startLineNumber||R.lineNumber>A.endLineNumber||R.lineNumber===A.startLineNumber&&R.column<=A.startColumn||R.lineNumber===A.endLineNumber&&R.column>=A.endColumn)}containsRange(A){return O.containsRange(this,A)}static containsRange(A,R){return!(R.startLineNumber<A.startLineNumber||R.endLineNumber<A.startLineNumber||R.startLineNumber>A.endLineNumber||R.endLineNumber>A.endLineNumber||R.startLineNumber===A.startLineNumber&&R.startColumn<A.startColumn||R.endLineNumber===A.endLineNumber&&R.endColumn>A.endColumn)}strictContainsRange(A){return O.strictContainsRange(this,A)}static strictContainsRange(A,R){return!(R.startLineNumber<A.startLineNumber||R.endLineNumber<A.startLineNumber||R.startLineNumber>A.endLineNumber||R.endLineNumber>A.endLineNumber||R.startLineNumber===A.startLineNumber&&R.startColumn<=A.startColumn||R.endLineNumber===A.endLineNumber&&R.endColumn>=A.endColumn)}plusRange(A){return O.plusRange(this,A)}static plusRange(A,R){let L,b,d,I;return R.startLineNumber<A.startLineNumber?(L=R.startLineNumber,b=R.startColumn):R.startLineNumber===A.startLineNumber?(L=R.startLineNumber,b=Math.min(R.startColumn,A.startColumn)):(L=A.startLineNumber,b=A.startColumn),R.endLineNumber>A.endLineNumber?(d=R.endLineNumber,I=R.endColumn):R.endLineNumber===A.endLineNumber?(d=R.endLineNumber,I=Math.max(R.endColumn,A.endColumn)):(d=A.endLineNumber,I=A.endColumn),new O(L,b,d,I)}intersectRanges(A){return O.intersectRanges(this,A)}static intersectRanges(A,R){let L=A.startLineNumber,b=A.startColumn,d=A.endLineNumber,I=A.endColumn;const v=R.startLineNumber,p=R.startColumn,h=R.endLineNumber,m=R.endColumn;return L<v?(L=v,b=p):L===v&&(b=Math.max(b,p)),d>h?(d=h,I=m):d===h&&(I=Math.min(I,m)),L>d||L===d&&b>I?null:new O(L,b,d,I)}equalsRange(A){return O.equalsRange(this,A)}static equalsRange(A,R){return!A&&!R?!0:!!A&&!!R&&A.startLineNumber===R.startLineNumber&&A.startColumn===R.startColumn&&A.endLineNumber===R.endLineNumber&&A.endColumn===R.endColumn}getEndPosition(){return O.getEndPosition(this)}static getEndPosition(A){return new E.$Jr(A.endLineNumber,A.endColumn)}getStartPosition(){return O.getStartPosition(this)}static getStartPosition(A){return new E.$Jr(A.startLineNumber,A.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(A,R){return new O(this.startLineNumber,this.startColumn,A,R)}setStartPosition(A,R){return new O(A,R,this.endLineNumber,this.endColumn)}collapseToStart(){return O.collapseToStart(this)}static collapseToStart(A){return new O(A.startLineNumber,A.startColumn,A.startLineNumber,A.startColumn)}collapseToEnd(){return O.collapseToEnd(this)}static collapseToEnd(A){return new O(A.endLineNumber,A.endColumn,A.endLineNumber,A.endColumn)}delta(A){return new O(this.startLineNumber+A,this.startColumn,this.endLineNumber+A,this.endColumn)}static fromPositions(A,R=A){return new O(A.lineNumber,A.column,R.lineNumber,R.column)}static lift(A){return A?new O(A.startLineNumber,A.startColumn,A.endLineNumber,A.endColumn):null}static isIRange(A){return A&&typeof A.startLineNumber=="number"&&typeof A.startColumn=="number"&&typeof A.endLineNumber=="number"&&typeof A.endColumn=="number"}static areIntersectingOrTouching(A,R){return!(A.endLineNumber<R.startLineNumber||A.endLineNumber===R.startLineNumber&&A.endColumn<R.startColumn||R.endLineNumber<A.startLineNumber||R.endLineNumber===A.startLineNumber&&R.endColumn<A.startColumn)}static areIntersecting(A,R){return!(A.endLineNumber<R.startLineNumber||A.endLineNumber===R.startLineNumber&&A.endColumn<=R.startColumn||R.endLineNumber<A.startLineNumber||R.endLineNumber===A.startLineNumber&&R.endColumn<=A.startColumn)}static compareRangesUsingStarts(A,R){if(A&&R){const d=A.startLineNumber|0,I=R.startLineNumber|0;if(d===I){const v=A.startColumn|0,p=R.startColumn|0;if(v===p){const h=A.endLineNumber|0,m=R.endLineNumber|0;if(h===m){const g=A.endColumn|0,a=R.endColumn|0;return g-a}return h-m}return v-p}return d-I}return(A?1:0)-(R?1:0)}static compareRangesUsingEnds(A,R){return A.endLineNumber===R.endLineNumber?A.endColumn===R.endColumn?A.startLineNumber===R.startLineNumber?A.startColumn-R.startColumn:A.startLineNumber-R.startLineNumber:A.endColumn-R.endColumn:A.endLineNumber-R.endLineNumber}static spansMultipleLines(A){return A.endLineNumber>A.startLineNumber}toJSON(){return this}}e.$Kr=O}),define(be[152],pe([1,0,5,2]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$as=void 0;class o{constructor(){this.a=new Map,this.b=new Map,this.c=new E.$5c,this.onDidChange=this.c.event,this.d=null}handleChange(L){this.c.fire({changedLanguages:L,changedColorMap:!1})}register(L,b){return this.a.set(L,b),this.handleChange([L]),(0,O.$ib)(()=>{this.a.get(L)===b&&(this.a.delete(L),this.handleChange([L]))})}get(L){return this.a.get(L)||null}registerFactory(L,b){this.b.get(L)?.dispose();const d=new A(this,L,b);return this.b.set(L,d),(0,O.$ib)(()=>{const I=this.b.get(L);!I||I!==d||(this.b.delete(L),I.dispose())})}async getOrCreate(L){const b=this.get(L);if(b)return b;const d=this.b.get(L);return!d||d.isResolved?null:(await d.resolve(),this.get(L))}isResolved(L){if(this.get(L))return!0;const d=this.b.get(L);return!!(!d||d.isResolved)}setColorMap(L){this.d=L,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}e.$as=o;class A extends O.$kb{get isResolved(){return this.c}constructor(L,b,d){super(),this.f=L,this.g=b,this.h=d,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}async resolve(){return this.b||(this.b=this.i()),this.b}async i(){const L=await this.h.tokenizationSupport;this.c=!0,L&&!this.a&&this.B(this.f.register(this.g,L))}}}),define(be[153],pe([9,10]),function(ae,e){return ae.create("vs/base/common/actions",e)}),define(be[154],pe([1,0,5,2,153]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8h=e.$7h=e.$6h=e.$5h=e.$4h=e.$3h=void 0;class A extends O.$kb{constructor(p,h="",m="",g=!0,a){super(),this.h=this.B(new E.$5c),this.onDidChange=this.h.event,this.w=!0,this.j=p,this.m=h,this.u=m,this.w=g,this.C=a}get id(){return this.j}get label(){return this.m}set label(p){this.D(p)}D(p){this.m!==p&&(this.m=p,this.h.fire({label:p}))}get tooltip(){return this.n||""}set tooltip(p){this.F(p)}F(p){this.n!==p&&(this.n=p,this.h.fire({tooltip:p}))}get class(){return this.u}set class(p){this.G(p)}G(p){this.u!==p&&(this.u=p,this.h.fire({class:p}))}get enabled(){return this.w}set enabled(p){this.H(p)}H(p){this.w!==p&&(this.w=p,this.h.fire({enabled:p}))}get checked(){return this.z}set checked(p){this.I(p)}I(p){this.z!==p&&(this.z=p,this.h.fire({checked:p}))}async run(p,h){this.C&&await this.C(p)}}e.$3h=A;class R extends O.$kb{constructor(){super(...arguments),this.f=this.B(new E.$5c),this.onWillRun=this.f.event,this.h=this.B(new E.$5c),this.onDidRun=this.h.event}async run(p,h){if(!p.enabled)return;this.f.fire({action:p});let m;try{await this.k(p,h)}catch(g){m=g}this.h.fire({action:p,error:m})}async k(p,h){await p.run(h)}}e.$4h=R;class L{constructor(){this.id=L.ID,this.label="",this.tooltip="",this.class="separator",this.enabled=!1,this.checked=!1}static join(...p){let h=[];for(const m of p)m.length&&(h.length?h=[...h,new L,...m]:h=m);return h}async run(){}}e.$5h=L,L.ID="vs.actions.separator";class b{get actions(){return this.a}constructor(p,h,m,g){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=p,this.label=h,this.class=g,this.a=m}async run(){}}e.$6h=b;class d extends A{constructor(){super(d.ID,o.localize(0,null),void 0,!1)}}e.$7h=d,d.ID="vs.actions.empty";function I(v){return{id:v.id,label:v.label,class:void 0,enabled:v.enabled??!0,checked:v.checked??!1,run:async()=>v.run(),tooltip:v.label}}e.$8h=I}),define(be[155],pe([9,10]),function(ae,e){return ae.create("vs/base/common/date",e)}),define(be[156],pe([1,0,155]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ol=e.$Nl=void 0;const O=60,o=O*60,A=o*24,R=A*7,L=A*30,b=A*365;function d(v,p,h,m){typeof v!="number"&&(v=v.getTime());const g=Math.round((new Date().getTime()-v)/1e3);if(g<-30)return(0,E.localize)(0,null,d(new Date().getTime()+g*1e3,!1));if(!m&&g<30)return(0,E.localize)(1,null);let a;return g<O?(a=g,p?a===1?h?(0,E.localize)(2,null,a):(0,E.localize)(3,null,a):h?(0,E.localize)(4,null,a):(0,E.localize)(5,null,a):a===1?h?(0,E.localize)(6,null,a):(0,E.localize)(7,null,a):h?(0,E.localize)(8,null,a):(0,E.localize)(9,null,a)):g<o?(a=Math.floor(g/O),p?a===1?h?(0,E.localize)(10,null,a):(0,E.localize)(11,null,a):h?(0,E.localize)(12,null,a):(0,E.localize)(13,null,a):a===1?h?(0,E.localize)(14,null,a):(0,E.localize)(15,null,a):h?(0,E.localize)(16,null,a):(0,E.localize)(17,null,a)):g<A?(a=Math.floor(g/o),p?a===1?h?(0,E.localize)(18,null,a):(0,E.localize)(19,null,a):h?(0,E.localize)(20,null,a):(0,E.localize)(21,null,a):a===1?h?(0,E.localize)(22,null,a):(0,E.localize)(23,null,a):h?(0,E.localize)(24,null,a):(0,E.localize)(25,null,a)):g<R?(a=Math.floor(g/A),p?a===1?(0,E.localize)(26,null,a):(0,E.localize)(27,null,a):a===1?(0,E.localize)(28,null,a):(0,E.localize)(29,null,a)):g<L?(a=Math.floor(g/R),p?a===1?h?(0,E.localize)(30,null,a):(0,E.localize)(31,null,a):h?(0,E.localize)(32,null,a):(0,E.localize)(33,null,a):a===1?h?(0,E.localize)(34,null,a):(0,E.localize)(35,null,a):h?(0,E.localize)(36,null,a):(0,E.localize)(37,null,a)):g<b?(a=Math.floor(g/L),p?a===1?h?(0,E.localize)(38,null,a):(0,E.localize)(39,null,a):h?(0,E.localize)(40,null,a):(0,E.localize)(41,null,a):a===1?h?(0,E.localize)(42,null,a):(0,E.localize)(43,null,a):h?(0,E.localize)(44,null,a):(0,E.localize)(45,null,a)):(a=Math.floor(g/b),p?a===1?h?(0,E.localize)(46,null,a):(0,E.localize)(47,null,a):h?(0,E.localize)(48,null,a):(0,E.localize)(49,null,a):a===1?h?(0,E.localize)(50,null,a):(0,E.localize)(51,null,a):h?(0,E.localize)(52,null,a):(0,E.localize)(53,null,a))}e.$Nl=d;function I(v){return v.getFullYear()+"-"+String(v.getMonth()+1).padStart(2,"0")+"-"+String(v.getDate()).padStart(2,"0")+"T"+String(v.getHours()).padStart(2,"0")+":"+String(v.getMinutes()).padStart(2,"0")+":"+String(v.getSeconds()).padStart(2,"0")+"."+(v.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.$Ol=I}),define(be[157],pe([9,10]),function(ae,e){return ae.create("vs/base/common/errorMessage",e)}),define(be[38],pe([1,0,18,8,157]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$h=e.$0h=e.$9h=void 0;function A(v,p){return p&&(v.stack||v.stacktrace)?o.localize(0,null,L(v),R(v.stack)||R(v.stacktrace)):L(v)}function R(v){return Array.isArray(v)?v.join(`
`):v}function L(v){return v.code==="ERR_UNC_HOST_NOT_ALLOWED"?`${v.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`:typeof v.code=="string"&&typeof v.errno=="number"&&typeof v.syscall=="string"?o.localize(1,null,v.message):v.message||o.localize(2,null)}function b(v=null,p=!1){if(!v)return o.localize(3,null);if(Array.isArray(v)){const h=E.$jf(v),m=b(h[0],p);return h.length>1?o.localize(4,null,m,h.length):m}if(O.$ge(v))return v;if(v.detail){const h=v.detail;if(h.error)return A(h.error,p);if(h.exception)return A(h.exception,p)}return v.stack?A(v,p):v.message?v.message:o.localize(5,null)}e.$9h=b;function d(v){const p=v;return p instanceof Error&&Array.isArray(p.actions)}e.$0h=d;function I(v,p){let h;return typeof v=="string"?h=new Error(v):h=v,h.actions=p,h}e.$$h=I}),define(be[158],pe([9,10]),function(ae,e){return ae.create("vs/base/common/jsonErrorMessages",e)}),define(be[159],pe([1,0,158]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0o=void 0;function O(o){switch(o){case 1:return(0,E.localize)(0,null);case 2:return(0,E.localize)(1,null);case 3:return(0,E.localize)(2,null);case 4:return(0,E.localize)(3,null);case 5:return(0,E.localize)(4,null);case 6:return(0,E.localize)(5,null);case 7:return(0,E.localize)(6,null);case 8:return(0,E.localize)(7,null);case 9:return(0,E.localize)(8,null);default:return""}}e.$0o=O}),define(be[160],pe([9,10]),function(ae,e){return ae.create("vs/base/common/platform",e)}),define(be[3],pe([1,0,160]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$H=e.$G=e.$F=e.$E=e.$D=e.$C=e.OS=e.OperatingSystem=e.$A=e.$z=e.$y=e.$x=e.$w=e.Language=e.$v=e.$u=e.$t=e.$s=e.$r=e.$q=e.$p=e.$o=e.$n=e.$m=e.$l=e.$k=e.$j=e.$i=e.$h=e.Platform=e.$g=e.$f=void 0,e.$f="en";let O=!1,o=!1,A=!1,R=!1,L=!1,b=!1,d=!1,I=!1,v=!1,p=!1,h,m=e.$f,g=e.$f,a,u;e.$g=typeof self=="object"?self:typeof global=="object"?global:{};let l;typeof e.$g.vscode<"u"&&typeof e.$g.vscode.process<"u"?l=e.$g.vscode.process:typeof process<"u"&&(l=process);const $=typeof l?.versions?.electron=="string",P=$&&l?.type==="renderer";if(typeof navigator=="object"&&!P)u=navigator.userAgent,O=u.indexOf("Windows")>=0,o=u.indexOf("Macintosh")>=0,I=(u.indexOf("Macintosh")>=0||u.indexOf("iPad")>=0||u.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=u.indexOf("Linux")>=0,p=u?.indexOf("Mobi")>=0,b=!0,h=E.getConfiguredDefaultLocale(E.localize(0,null))||e.$f,m=h,g=navigator.language;else if(typeof l=="object"){O=l.platform==="win32",o=l.platform==="darwin",A=l.platform==="linux",R=A&&!!l.env.SNAP&&!!l.env.SNAP_REVISION,d=$,v=!!l.env.CI||!!l.env.BUILD_ARTIFACTSTAGINGDIRECTORY,h=e.$f,m=e.$f;const y=l.env.VSCODE_NLS_CONFIG;if(y)try{const w=JSON.parse(y),D=w.availableLanguages["*"];h=w.locale,g=w.osLocale,m=D||e.$f,a=w._translationsConfigFile}catch{}L=!0}else console.error("Unable to resolve platform.");var k;(function(y){y[y.Web=0]="Web",y[y.Mac=1]="Mac",y[y.Linux=2]="Linux",y[y.Windows=3]="Windows"})(k||(e.Platform=k={}));function t(y){switch(y){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.$h=t;let i=0;o?i=1:O?i=3:A&&(i=2),e.$i=O,e.$j=o,e.$k=A,e.$l=R,e.$m=L,e.$n=d,e.$o=b,e.$p=b&&typeof e.$g.importScripts=="function",e.$q=I,e.$r=p,e.$s=v,e.$t=i,e.$u=u,e.$v=m;var r;(function(y){function w(){return e.$v}y.value=w;function D(){return e.$v.length===2?e.$v==="en":e.$v.length>=3?e.$v[0]==="e"&&e.$v[1]==="n"&&e.$v[2]==="-":!1}y.isDefaultVariant=D;function C(){return e.$v==="en"}y.isDefault=C})(r||(e.Language=r={})),e.$w=h,e.$x=g,e.$y=a,e.$z=typeof e.$g.postMessage=="function"&&!e.$g.importScripts,e.$A=(()=>{if(e.$z){const y=[];e.$g.addEventListener("message",D=>{if(D.data&&D.data.vscodeScheduleAsyncWork)for(let C=0,M=y.length;C<M;C++){const X=y[C];if(X.id===D.data.vscodeScheduleAsyncWork){y.splice(C,1),X.callback();return}}});let w=0;return D=>{const C=++w;y.push({id:C,callback:D}),e.$g.postMessage({vscodeScheduleAsyncWork:C},"*")}}return y=>setTimeout(y)})();var n;(function(y){y[y.Windows=1]="Windows",y[y.Macintosh=2]="Macintosh",y[y.Linux=3]="Linux"})(n||(e.OperatingSystem=n={})),e.OS=o||I?2:O?1:3;let s=!0,c=!1;function f(){if(!c){c=!0;const y=new Uint8Array(2);y[0]=1,y[1]=2,s=new Uint16Array(y.buffer)[0]===(2<<8)+1}return s}e.$C=f,e.$D=!!(e.$u&&e.$u.indexOf("Chrome")>=0),e.$E=!!(e.$u&&e.$u.indexOf("Firefox")>=0),e.$F=!!(!e.$D&&e.$u&&e.$u.indexOf("Safari")>=0),e.$G=!!(e.$u&&e.$u.indexOf("Edg/")>=0),e.$H=!!(e.$u&&e.$u.indexOf("Android")>=0)}),define(be[30],pe([1,0,3]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6b=e.$5b=e.env=e.cwd=void 0;let O;if(typeof E.$g.vscode<"u"&&typeof E.$g.vscode.process<"u"){const o=E.$g.vscode.process;O={get platform(){return o.platform},get arch(){return o.arch},get env(){return o.env},cwd(){return o.cwd()}}}else typeof process<"u"?O={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:O={get platform(){return E.$i?"win32":E.$j?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=O.cwd,e.env=O.env,e.$5b=O.platform,e.$6b=O.arch}),define(be[7],pe([1,0,30]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ic=e.sep=e.$gc=e.$fc=e.$ec=e.$dc=e.$cc=e.$bc=e.$ac=e.$_b=e.$$b=e.$0b=e.$9b=e.$8b=e.$7b=void 0;const O=65,o=97,A=90,R=122,L=46,b=47,d=92,I=58,v=63;class p extends Error{constructor(i,r,n){let s;typeof r=="string"&&r.indexOf("not ")===0?(s="must not be",r=r.replace(/^not /,"")):s="must be";const c=i.indexOf(".")!==-1?"property":"argument";let f=`The "${i}" ${c} ${s} of type ${r}`;f+=`. Received type ${typeof n}`,super(f),this.code="ERR_INVALID_ARG_TYPE"}}function h(t,i){if(t===null||typeof t!="object")throw new p(i,"Object",t)}function m(t,i){if(typeof t!="string")throw new p(i,"string",t)}const g=E.$5b==="win32";function a(t){return t===b||t===d}function u(t){return t===b}function l(t){return t>=O&&t<=A||t>=o&&t<=R}function $(t,i,r,n){let s="",c=0,f=-1,y=0,w=0;for(let D=0;D<=t.length;++D){if(D<t.length)w=t.charCodeAt(D);else{if(n(w))break;w=b}if(n(w)){if(!(f===D-1||y===1))if(y===2){if(s.length<2||c!==2||s.charCodeAt(s.length-1)!==L||s.charCodeAt(s.length-2)!==L){if(s.length>2){const C=s.lastIndexOf(r);C===-1?(s="",c=0):(s=s.slice(0,C),c=s.length-1-s.lastIndexOf(r)),f=D,y=0;continue}else if(s.length!==0){s="",c=0,f=D,y=0;continue}}i&&(s+=s.length>0?`${r}..`:"..",c=2)}else s.length>0?s+=`${r}${t.slice(f+1,D)}`:s=t.slice(f+1,D),c=D-f-1;f=D,y=0}else w===L&&y!==-1?++y:y=-1}return s}function P(t,i){h(i,"pathObject");const r=i.dir||i.root,n=i.base||`${i.name||""}${i.ext||""}`;return r?r===i.root?`${r}${n}`:`${r}${t}${n}`:n}e.$7b={resolve(...t){let i="",r="",n=!1;for(let s=t.length-1;s>=-1;s--){let c;if(s>=0){if(c=t[s],m(c,"path"),c.length===0)continue}else i.length===0?c=E.cwd():(c=E.env[`=${i}`]||E.cwd(),(c===void 0||c.slice(0,2).toLowerCase()!==i.toLowerCase()&&c.charCodeAt(2)===d)&&(c=`${i}\\`));const f=c.length;let y=0,w="",D=!1;const C=c.charCodeAt(0);if(f===1)a(C)&&(y=1,D=!0);else if(a(C))if(D=!0,a(c.charCodeAt(1))){let M=2,X=M;for(;M<f&&!a(c.charCodeAt(M));)M++;if(M<f&&M!==X){const ne=c.slice(X,M);for(X=M;M<f&&a(c.charCodeAt(M));)M++;if(M<f&&M!==X){for(X=M;M<f&&!a(c.charCodeAt(M));)M++;(M===f||M!==X)&&(w=`\\\\${ne}\\${c.slice(X,M)}`,y=M)}}}else y=1;else l(C)&&c.charCodeAt(1)===I&&(w=c.slice(0,2),y=2,f>2&&a(c.charCodeAt(2))&&(D=!0,y=3));if(w.length>0)if(i.length>0){if(w.toLowerCase()!==i.toLowerCase())continue}else i=w;if(n){if(i.length>0)break}else if(r=`${c.slice(y)}\\${r}`,n=D,D&&i.length>0)break}return r=$(r,!n,"\\",a),n?`${i}\\${r}`:`${i}${r}`||"."},normalize(t){m(t,"path");const i=t.length;if(i===0)return".";let r=0,n,s=!1;const c=t.charCodeAt(0);if(i===1)return u(c)?"\\":t;if(a(c))if(s=!0,a(t.charCodeAt(1))){let y=2,w=y;for(;y<i&&!a(t.charCodeAt(y));)y++;if(y<i&&y!==w){const D=t.slice(w,y);for(w=y;y<i&&a(t.charCodeAt(y));)y++;if(y<i&&y!==w){for(w=y;y<i&&!a(t.charCodeAt(y));)y++;if(y===i)return`\\\\${D}\\${t.slice(w)}\\`;y!==w&&(n=`\\\\${D}\\${t.slice(w,y)}`,r=y)}}}else r=1;else l(c)&&t.charCodeAt(1)===I&&(n=t.slice(0,2),r=2,i>2&&a(t.charCodeAt(2))&&(s=!0,r=3));let f=r<i?$(t.slice(r),!s,"\\",a):"";return f.length===0&&!s&&(f="."),f.length>0&&a(t.charCodeAt(i-1))&&(f+="\\"),n===void 0?s?`\\${f}`:f:s?`${n}\\${f}`:`${n}${f}`},isAbsolute(t){m(t,"path");const i=t.length;if(i===0)return!1;const r=t.charCodeAt(0);return a(r)||i>2&&l(r)&&t.charCodeAt(1)===I&&a(t.charCodeAt(2))},join(...t){if(t.length===0)return".";let i,r;for(let c=0;c<t.length;++c){const f=t[c];m(f,"path"),f.length>0&&(i===void 0?i=r=f:i+=`\\${f}`)}if(i===void 0)return".";let n=!0,s=0;if(typeof r=="string"&&a(r.charCodeAt(0))){++s;const c=r.length;c>1&&a(r.charCodeAt(1))&&(++s,c>2&&(a(r.charCodeAt(2))?++s:n=!1))}if(n){for(;s<i.length&&a(i.charCodeAt(s));)s++;s>=2&&(i=`\\${i.slice(s)}`)}return e.$7b.normalize(i)},relative(t,i){if(m(t,"from"),m(i,"to"),t===i)return"";const r=e.$7b.resolve(t),n=e.$7b.resolve(i);if(r===n||(t=r.toLowerCase(),i=n.toLowerCase(),t===i))return"";let s=0;for(;s<t.length&&t.charCodeAt(s)===d;)s++;let c=t.length;for(;c-1>s&&t.charCodeAt(c-1)===d;)c--;const f=c-s;let y=0;for(;y<i.length&&i.charCodeAt(y)===d;)y++;let w=i.length;for(;w-1>y&&i.charCodeAt(w-1)===d;)w--;const D=w-y,C=f<D?f:D;let M=-1,X=0;for(;X<C;X++){const he=t.charCodeAt(s+X);if(he!==i.charCodeAt(y+X))break;he===d&&(M=X)}if(X!==C){if(M===-1)return n}else{if(D>C){if(i.charCodeAt(y+X)===d)return n.slice(y+X+1);if(X===2)return n.slice(y+X)}f>C&&(t.charCodeAt(s+X)===d?M=X:X===2&&(M=3)),M===-1&&(M=0)}let ne="";for(X=s+M+1;X<=c;++X)(X===c||t.charCodeAt(X)===d)&&(ne+=ne.length===0?"..":"\\..");return y+=M,ne.length>0?`${ne}${n.slice(y,w)}`:(n.charCodeAt(y)===d&&++y,n.slice(y,w))},toNamespacedPath(t){if(typeof t!="string"||t.length===0)return t;const i=e.$7b.resolve(t);if(i.length<=2)return t;if(i.charCodeAt(0)===d){if(i.charCodeAt(1)===d){const r=i.charCodeAt(2);if(r!==v&&r!==L)return`\\\\?\\UNC\\${i.slice(2)}`}}else if(l(i.charCodeAt(0))&&i.charCodeAt(1)===I&&i.charCodeAt(2)===d)return`\\\\?\\${i}`;return t},dirname(t){m(t,"path");const i=t.length;if(i===0)return".";let r=-1,n=0;const s=t.charCodeAt(0);if(i===1)return a(s)?t:".";if(a(s)){if(r=n=1,a(t.charCodeAt(1))){let y=2,w=y;for(;y<i&&!a(t.charCodeAt(y));)y++;if(y<i&&y!==w){for(w=y;y<i&&a(t.charCodeAt(y));)y++;if(y<i&&y!==w){for(w=y;y<i&&!a(t.charCodeAt(y));)y++;if(y===i)return t;y!==w&&(r=n=y+1)}}}}else l(s)&&t.charCodeAt(1)===I&&(r=i>2&&a(t.charCodeAt(2))?3:2,n=r);let c=-1,f=!0;for(let y=i-1;y>=n;--y)if(a(t.charCodeAt(y))){if(!f){c=y;break}}else f=!1;if(c===-1){if(r===-1)return".";c=r}return t.slice(0,c)},basename(t,i){i!==void 0&&m(i,"ext"),m(t,"path");let r=0,n=-1,s=!0,c;if(t.length>=2&&l(t.charCodeAt(0))&&t.charCodeAt(1)===I&&(r=2),i!==void 0&&i.length>0&&i.length<=t.length){if(i===t)return"";let f=i.length-1,y=-1;for(c=t.length-1;c>=r;--c){const w=t.charCodeAt(c);if(a(w)){if(!s){r=c+1;break}}else y===-1&&(s=!1,y=c+1),f>=0&&(w===i.charCodeAt(f)?--f===-1&&(n=c):(f=-1,n=y))}return r===n?n=y:n===-1&&(n=t.length),t.slice(r,n)}for(c=t.length-1;c>=r;--c)if(a(t.charCodeAt(c))){if(!s){r=c+1;break}}else n===-1&&(s=!1,n=c+1);return n===-1?"":t.slice(r,n)},extname(t){m(t,"path");let i=0,r=-1,n=0,s=-1,c=!0,f=0;t.length>=2&&t.charCodeAt(1)===I&&l(t.charCodeAt(0))&&(i=n=2);for(let y=t.length-1;y>=i;--y){const w=t.charCodeAt(y);if(a(w)){if(!c){n=y+1;break}continue}s===-1&&(c=!1,s=y+1),w===L?r===-1?r=y:f!==1&&(f=1):r!==-1&&(f=-1)}return r===-1||s===-1||f===0||f===1&&r===s-1&&r===n+1?"":t.slice(r,s)},format:P.bind(null,"\\"),parse(t){m(t,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return i;const r=t.length;let n=0,s=t.charCodeAt(0);if(r===1)return a(s)?(i.root=i.dir=t,i):(i.base=i.name=t,i);if(a(s)){if(n=1,a(t.charCodeAt(1))){let M=2,X=M;for(;M<r&&!a(t.charCodeAt(M));)M++;if(M<r&&M!==X){for(X=M;M<r&&a(t.charCodeAt(M));)M++;if(M<r&&M!==X){for(X=M;M<r&&!a(t.charCodeAt(M));)M++;M===r?n=M:M!==X&&(n=M+1)}}}}else if(l(s)&&t.charCodeAt(1)===I){if(r<=2)return i.root=i.dir=t,i;if(n=2,a(t.charCodeAt(2))){if(r===3)return i.root=i.dir=t,i;n=3}}n>0&&(i.root=t.slice(0,n));let c=-1,f=n,y=-1,w=!0,D=t.length-1,C=0;for(;D>=n;--D){if(s=t.charCodeAt(D),a(s)){if(!w){f=D+1;break}continue}y===-1&&(w=!1,y=D+1),s===L?c===-1?c=D:C!==1&&(C=1):c!==-1&&(C=-1)}return y!==-1&&(c===-1||C===0||C===1&&c===y-1&&c===f+1?i.base=i.name=t.slice(f,y):(i.name=t.slice(f,c),i.base=t.slice(f,y),i.ext=t.slice(c,y))),f>0&&f!==n?i.dir=t.slice(0,f-1):i.dir=i.root,i},sep:"\\",delimiter:";",win32:null,posix:null};const k=(()=>{if(g){const t=/\\/g;return()=>{const i=E.cwd().replace(t,"/");return i.slice(i.indexOf("/"))}}return()=>E.cwd()})();e.$8b={resolve(...t){let i="",r=!1;for(let n=t.length-1;n>=-1&&!r;n--){const s=n>=0?t[n]:k();m(s,"path"),s.length!==0&&(i=`${s}/${i}`,r=s.charCodeAt(0)===b)}return i=$(i,!r,"/",u),r?`/${i}`:i.length>0?i:"."},normalize(t){if(m(t,"path"),t.length===0)return".";const i=t.charCodeAt(0)===b,r=t.charCodeAt(t.length-1)===b;return t=$(t,!i,"/",u),t.length===0?i?"/":r?"./":".":(r&&(t+="/"),i?`/${t}`:t)},isAbsolute(t){return m(t,"path"),t.length>0&&t.charCodeAt(0)===b},join(...t){if(t.length===0)return".";let i;for(let r=0;r<t.length;++r){const n=t[r];m(n,"path"),n.length>0&&(i===void 0?i=n:i+=`/${n}`)}return i===void 0?".":e.$8b.normalize(i)},relative(t,i){if(m(t,"from"),m(i,"to"),t===i||(t=e.$8b.resolve(t),i=e.$8b.resolve(i),t===i))return"";const r=1,n=t.length,s=n-r,c=1,f=i.length-c,y=s<f?s:f;let w=-1,D=0;for(;D<y;D++){const M=t.charCodeAt(r+D);if(M!==i.charCodeAt(c+D))break;M===b&&(w=D)}if(D===y)if(f>y){if(i.charCodeAt(c+D)===b)return i.slice(c+D+1);if(D===0)return i.slice(c+D)}else s>y&&(t.charCodeAt(r+D)===b?w=D:D===0&&(w=0));let C="";for(D=r+w+1;D<=n;++D)(D===n||t.charCodeAt(D)===b)&&(C+=C.length===0?"..":"/..");return`${C}${i.slice(c+w)}`},toNamespacedPath(t){return t},dirname(t){if(m(t,"path"),t.length===0)return".";const i=t.charCodeAt(0)===b;let r=-1,n=!0;for(let s=t.length-1;s>=1;--s)if(t.charCodeAt(s)===b){if(!n){r=s;break}}else n=!1;return r===-1?i?"/":".":i&&r===1?"//":t.slice(0,r)},basename(t,i){i!==void 0&&m(i,"ext"),m(t,"path");let r=0,n=-1,s=!0,c;if(i!==void 0&&i.length>0&&i.length<=t.length){if(i===t)return"";let f=i.length-1,y=-1;for(c=t.length-1;c>=0;--c){const w=t.charCodeAt(c);if(w===b){if(!s){r=c+1;break}}else y===-1&&(s=!1,y=c+1),f>=0&&(w===i.charCodeAt(f)?--f===-1&&(n=c):(f=-1,n=y))}return r===n?n=y:n===-1&&(n=t.length),t.slice(r,n)}for(c=t.length-1;c>=0;--c)if(t.charCodeAt(c)===b){if(!s){r=c+1;break}}else n===-1&&(s=!1,n=c+1);return n===-1?"":t.slice(r,n)},extname(t){m(t,"path");let i=-1,r=0,n=-1,s=!0,c=0;for(let f=t.length-1;f>=0;--f){const y=t.charCodeAt(f);if(y===b){if(!s){r=f+1;break}continue}n===-1&&(s=!1,n=f+1),y===L?i===-1?i=f:c!==1&&(c=1):i!==-1&&(c=-1)}return i===-1||n===-1||c===0||c===1&&i===n-1&&i===r+1?"":t.slice(i,n)},format:P.bind(null,"/"),parse(t){m(t,"path");const i={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return i;const r=t.charCodeAt(0)===b;let n;r?(i.root="/",n=1):n=0;let s=-1,c=0,f=-1,y=!0,w=t.length-1,D=0;for(;w>=n;--w){const C=t.charCodeAt(w);if(C===b){if(!y){c=w+1;break}continue}f===-1&&(y=!1,f=w+1),C===L?s===-1?s=w:D!==1&&(D=1):s!==-1&&(D=-1)}if(f!==-1){const C=c===0&&r?1:c;s===-1||D===0||D===1&&s===f-1&&s===c+1?i.base=i.name=t.slice(C,f):(i.name=t.slice(C,s),i.base=t.slice(C,f),i.ext=t.slice(s,f))}return c>0?i.dir=t.slice(0,c-1):r&&(i.dir="/"),i},sep:"/",delimiter:":",win32:null,posix:null},e.$8b.win32=e.$7b.win32=e.$7b,e.$8b.posix=e.$7b.posix=e.$8b,e.$9b=g?e.$7b.normalize:e.$8b.normalize,e.$0b=g?e.$7b.isAbsolute:e.$8b.isAbsolute,e.$$b=g?e.$7b.join:e.$8b.join,e.$_b=g?e.$7b.resolve:e.$8b.resolve,e.$ac=g?e.$7b.relative:e.$8b.relative,e.$bc=g?e.$7b.dirname:e.$8b.dirname,e.$cc=g?e.$7b.basename:e.$8b.basename,e.$dc=g?e.$7b.extname:e.$8b.extname,e.$ec=g?e.$7b.format:e.$8b.format,e.$fc=g?e.$7b.parse:e.$8b.parse,e.$gc=g?e.$7b.toNamespacedPath:e.$8b.toNamespacedPath,e.sep=g?e.$7b.sep:e.$8b.sep,e.$ic=g?e.$7b.delimiter:e.$8b.delimiter}),define(be[39],pe([1,0,7,3,17,8]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pe=e.$Oe=e.$Ne=e.$Me=e.$Le=e.$Ke=e.$Je=e.$Ie=e.$He=e.$Ge=e.$Fe=e.$Ee=e.$De=e.$Ce=e.$Be=e.$Ae=void 0;function R(c){return c===47||c===92}e.$Ae=R;function L(c){return c.replace(/[\\/]/g,E.$8b.sep)}e.$Be=L;function b(c){return c.indexOf("/")===-1&&(c=L(c)),/^[a-zA-Z]:(\/|$)/.test(c)&&(c="/"+c),c}e.$Ce=b;function d(c,f=E.$8b.sep){if(!c)return"";const y=c.length,w=c.charCodeAt(0);if(R(w)){if(R(c.charCodeAt(1))&&!R(c.charCodeAt(2))){let C=3;const M=C;for(;C<y&&!R(c.charCodeAt(C));C++);if(M!==C&&!R(c.charCodeAt(C+1))){for(C+=1;C<y;C++)if(R(c.charCodeAt(C)))return c.slice(0,C+1).replace(/[\\/]/g,f)}}return f}else if(u(w)&&c.charCodeAt(1)===58)return R(c.charCodeAt(2))?c.slice(0,2)+f:c.slice(0,2);let D=c.indexOf("://");if(D!==-1){for(D+=3;D<y;D++)if(R(c.charCodeAt(D)))return c.slice(0,D+1)}return""}e.$De=d;function I(c){if(!O.$i||!c||c.length<5)return!1;let f=c.charCodeAt(0);if(f!==92||(f=c.charCodeAt(1),f!==92))return!1;let y=2;const w=y;for(;y<c.length&&(f=c.charCodeAt(y),f!==92);y++);return!(w===y||(f=c.charCodeAt(y+1),isNaN(f)||f===92))}e.$Ee=I;const v=/[\\/:\*\?"<>\|]/g,p=/[\\/]/g,h=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function m(c,f=O.$i){const y=f?v:p;return!(!c||c.length===0||/^\s+$/.test(c)||(y.lastIndex=0,y.test(c))||f&&h.test(c)||c==="."||c===".."||f&&c[c.length-1]==="."||f&&c.length!==c.trim().length||c.length>255)}e.$Fe=m;function g(c,f,y){const w=c===f;return!y||w?w:!c||!f?!1:(0,o.$Jd)(c,f)}e.$Ge=g;function a(c,f,y,w=E.sep){if(c===f)return!0;if(!c||!f||f.length>c.length)return!1;if(y){if(!(0,o.$Kd)(c,f))return!1;if(f.length===c.length)return!0;let C=f.length;return f.charAt(f.length-1)===w&&C--,c.charAt(C)===w}return f.charAt(f.length-1)!==w&&(f+=w),c.indexOf(f)===0}e.$He=a;function u(c){return c>=65&&c<=90||c>=97&&c<=122}e.$Ie=u;function l(c,f){return O.$i&&c.endsWith(":")&&(c+=E.sep),(0,E.$0b)(c)||(c=(0,E.$$b)(f,c)),c=(0,E.$9b)(c),O.$i?(c=(0,o.$qd)(c,E.sep),c.endsWith(":")&&(c+=E.sep)):(c=(0,o.$qd)(c,E.sep),c||(c=E.sep)),c}e.$Je=l;function $(c){const f=(0,E.$9b)(c);return O.$i?c.length>3?!1:P(f)&&(c.length===2||f.charCodeAt(2)===92):f===E.$8b.sep}e.$Ke=$;function P(c,f=O.$i){return f?u(c.charCodeAt(0))&&c.charCodeAt(1)===58:!1}e.$Le=P;function k(c,f=O.$i){return P(c,f)?c[0]:void 0}e.$Me=k;function t(c,f,y){return f.length>c.length?-1:c===f?0:(y&&(c=c.toLowerCase(),f=f.toLowerCase()),c.indexOf(f))}e.$Ne=t;function i(c){const f=c.split(":");let y,w,D;for(const C of f){const M=Number(C);(0,A.$ke)(M)?w===void 0?w=M:D===void 0&&(D=M):y=y?[y,C].join(":"):C}if(!y)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:y,line:w!==void 0?w:void 0,column:D!==void 0?D:w!==void 0?1:void 0}}e.$Oe=i;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",n="BDEFGHIJKMOQRSTUVWXYZbdefghijkmoqrstuvwxyz0123456789";function s(c,f,y=8){let w="";for(let C=0;C<y;C++){let M;C===0&&O.$i&&!f&&(y===3||y===4)?M=n:M=r,w+=M.charAt(Math.floor(Math.random()*M.length))}let D;return f?D=`${f}-${w}`:D=w,c?(0,E.$$b)(c,D):D}e.$Pe=s}),define(be[60],pe([1,0,7]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ur=e.$tr=e.$sr=e.$rr=e.$qr=void 0,e.$qr=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const O={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},o={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function A(I){const v=(0,E.$dc)(I),p=O[v.toLowerCase()];return p!==void 0?p:R(I)}e.$rr=A;function R(I){const v=(0,E.$dc)(I);return o[v.toLowerCase()]}e.$sr=R;function L(I){for(const v in o)if(o[v]===I)return v}e.$tr=L;const b=/^(.+)\/(.+?)(;.+)?$/;function d(I,v){const p=b.exec(I);return p?`${p[1].toLowerCase()}/${p[2].toLowerCase()}${p[3]??""}`:v?void 0:I}e.$ur=d}),define(be[61],pe([1,0,3]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cl=e.$bl=e.TerminateResponseCode=e.Source=void 0;var O;(function(L){L[L.stdout=0]="stdout",L[L.stderr=1]="stderr"})(O||(e.Source=O={}));var o;(function(L){L[L.Success=0]="Success",L[L.Unknown=1]="Unknown",L[L.AccessDenied=2]="AccessDenied",L[L.ProcessNotFound=3]="ProcessNotFound"})(o||(e.TerminateResponseCode=o={}));function A(L,...b){const d=b.reduce((p,h)=>(p[h]=!0,p),{}),I=[/^ELECTRON_.+$/,/^VSCODE_(?!(PORTABLE|SHELL_LOGIN|ENV_REPLACE|ENV_APPEND|ENV_PREPEND)).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(L).filter(p=>!d[p]).forEach(p=>{for(let h=0;h<I.length;h++)if(p.search(I[h])!==-1){delete L[p];break}})}e.$bl=A;function R(L){L&&(delete L.DEBUG,E.$j&&delete L.DYLD_LIBRARY_PATH,E.$k&&delete L.LD_PRELOAD)}e.$cl=R}),define(be[4],pe([1,0,7,3]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Se=e.$Re=e.URI=void 0;const o=/^\w[\w\d+.-]*$/,A=/^\//,R=/^\/\//;function L(n,s){if(!n.scheme&&s)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${n.authority}", path: "${n.path}", query: "${n.query}", fragment: "${n.fragment}"}`);if(n.scheme&&!o.test(n.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(n.path){if(n.authority){if(!A.test(n.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(R.test(n.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function b(n,s){return!n&&!s?"file":n}function d(n,s){switch(n){case"https":case"http":case"file":s?s[0]!==v&&(s=v+s):s=v;break}return s}const I="",v="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class h{static isUri(s){return s instanceof h?!0:s?typeof s.authority=="string"&&typeof s.fragment=="string"&&typeof s.path=="string"&&typeof s.query=="string"&&typeof s.scheme=="string"&&typeof s.fsPath=="string"&&typeof s.with=="function"&&typeof s.toString=="function":!1}constructor(s,c,f,y,w,D=!1){typeof s=="object"?(this.scheme=s.scheme||I,this.authority=s.authority||I,this.path=s.path||I,this.query=s.query||I,this.fragment=s.fragment||I):(this.scheme=b(s,D),this.authority=c||I,this.path=d(this.scheme,f||I),this.query=y||I,this.fragment=w||I,L(this,D))}get fsPath(){return P(this,!1)}with(s){if(!s)return this;let{scheme:c,authority:f,path:y,query:w,fragment:D}=s;return c===void 0?c=this.scheme:c===null&&(c=I),f===void 0?f=this.authority:f===null&&(f=I),y===void 0?y=this.path:y===null&&(y=I),w===void 0?w=this.query:w===null&&(w=I),D===void 0?D=this.fragment:D===null&&(D=I),c===this.scheme&&f===this.authority&&y===this.path&&w===this.query&&D===this.fragment?this:new a(c,f,y,w,D)}static parse(s,c=!1){const f=p.exec(s);return f?new a(f[2]||I,r(f[4]||I),r(f[5]||I),r(f[7]||I),r(f[9]||I),c):new a(I,I,I,I,I)}static file(s){let c=I;if(O.$i&&(s=s.replace(/\\/g,v)),s[0]===v&&s[1]===v){const f=s.indexOf(v,2);f===-1?(c=s.substring(2),s=v):(c=s.substring(2,f),s=s.substring(f)||v)}return new a("file",c,s,I,I)}static from(s,c){return new a(s.scheme,s.authority,s.path,s.query,s.fragment,c)}static joinPath(s,...c){if(!s.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let f;return O.$i&&s.scheme==="file"?f=h.file(E.$7b.join(P(s,!0),...c)).path:f=E.$8b.join(s.path,...c),s.with({path:f})}toString(s=!1){return k(this,s)}toJSON(){return this}static revive(s){if(s){if(s instanceof h)return s;{const c=new a(s);return c._formatted=s.external??null,c._fsPath=s._sep===g?s.fsPath??null:null,c}}else return s}}e.URI=h;function m(n){return!n||typeof n!="object"?!1:typeof n.scheme=="string"&&(typeof n.authority=="string"||typeof n.authority>"u")&&(typeof n.path=="string"||typeof n.path>"u")&&(typeof n.query=="string"||typeof n.query>"u")&&(typeof n.fragment=="string"||typeof n.fragment>"u")}e.$Re=m;const g=O.$i?1:void 0;class a extends h{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=P(this,!1)),this._fsPath}toString(s=!1){return s?k(this,!0):(this._formatted||(this._formatted=k(this,!1)),this._formatted)}toJSON(){const s={$mid:1};return this._fsPath&&(s.fsPath=this._fsPath,s._sep=g),this._formatted&&(s.external=this._formatted),this.path&&(s.path=this.path),this.scheme&&(s.scheme=this.scheme),this.authority&&(s.authority=this.authority),this.query&&(s.query=this.query),this.fragment&&(s.fragment=this.fragment),s}}const u={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function l(n,s,c){let f,y=-1;for(let w=0;w<n.length;w++){const D=n.charCodeAt(w);if(D>=97&&D<=122||D>=65&&D<=90||D>=48&&D<=57||D===45||D===46||D===95||D===126||s&&D===47||c&&D===91||c&&D===93||c&&D===58)y!==-1&&(f+=encodeURIComponent(n.substring(y,w)),y=-1),f!==void 0&&(f+=n.charAt(w));else{f===void 0&&(f=n.substr(0,w));const C=u[D];C!==void 0?(y!==-1&&(f+=encodeURIComponent(n.substring(y,w)),y=-1),f+=C):y===-1&&(y=w)}}return y!==-1&&(f+=encodeURIComponent(n.substring(y))),f!==void 0?f:n}function $(n){let s;for(let c=0;c<n.length;c++){const f=n.charCodeAt(c);f===35||f===63?(s===void 0&&(s=n.substr(0,c)),s+=u[f]):s!==void 0&&(s+=n[c])}return s!==void 0?s:n}function P(n,s){let c;return n.authority&&n.path.length>1&&n.scheme==="file"?c=`//${n.authority}${n.path}`:n.path.charCodeAt(0)===47&&(n.path.charCodeAt(1)>=65&&n.path.charCodeAt(1)<=90||n.path.charCodeAt(1)>=97&&n.path.charCodeAt(1)<=122)&&n.path.charCodeAt(2)===58?s?c=n.path.substr(1):c=n.path[1].toLowerCase()+n.path.substr(2):c=n.path,O.$i&&(c=c.replace(/\//g,"\\")),c}e.$Se=P;function k(n,s){const c=s?$:l;let f="",{scheme:y,authority:w,path:D,query:C,fragment:M}=n;if(y&&(f+=y,f+=":"),(w||y==="file")&&(f+=v,f+=v),w){let X=w.indexOf("@");if(X!==-1){const ne=w.substr(0,X);w=w.substr(X+1),X=ne.lastIndexOf(":"),X===-1?f+=c(ne,!1,!1):(f+=c(ne.substr(0,X),!1,!1),f+=":",f+=c(ne.substr(X+1),!1,!0)),f+="@"}w=w.toLowerCase(),X=w.lastIndexOf(":"),X===-1?f+=c(w,!1,!0):(f+=c(w.substr(0,X),!1,!0),f+=w.substr(X))}if(D){if(D.length>=3&&D.charCodeAt(0)===47&&D.charCodeAt(2)===58){const X=D.charCodeAt(1);X>=65&&X<=90&&(D=`/${String.fromCharCode(X+32)}:${D.substr(3)}`)}else if(D.length>=2&&D.charCodeAt(1)===58){const X=D.charCodeAt(0);X>=65&&X<=90&&(D=`${String.fromCharCode(X+32)}:${D.substr(2)}`)}f+=c(D,!0,!1)}return C&&(f+="?",f+=c(C,!1,!1)),M&&(f+="#",f+=s?M:l(M,!1,!1)),f}function t(n){try{return decodeURIComponent(n)}catch{return n.length>3?n.substr(0,3)+t(n.substr(3)):n}}const i=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(n){return n.match(i)?n.replace(i,s=>t(s)):n}}),define(be[161],pe([1,0,4]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.$Ap=e.$zp=e.$yp=void 0;function O(d){const I=d;return I&&typeof I.type=="string"&&typeof I.severity=="string"}e.$yp=O;function o(d){const I=[];let v;try{const p=JSON.parse(d.arguments),h=p[p.length-1];h&&h.__$stack&&(p.pop(),v=h.__$stack),I.push(...p)}catch{I.push("Unable to log remote console arguments",d.arguments)}return{args:I,stack:v}}e.$zp=o;function A(d){if(typeof d!="string")return A(o(d).stack);const I=d;if(I){const v=R(I),p=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(v||"");if(p&&p.length===4)return{uri:E.URI.file(p[1]),line:Number(p[2]),column:Number(p[3])}}}e.$Ap=A;function R(d){if(!d)return d;const I=d.indexOf(`
`);return I===-1?d:d.substring(0,I)}function L(d,I){const{args:v,stack:p}=o(d),h=typeof v[0]=="string"&&v.length===1;let m=R(p);m&&(m=`(${m.trim()})`);let g=[];if(typeof v[0]=="string"?m&&h?g=[`%c[${I}] %c${v[0]} %c${m}`,b("blue"),b(""),b("grey")]:g=[`%c[${I}] %c${v[0]}`,b("blue"),b(""),...v.slice(1)]:g=[`%c[${I}]%`,b("blue"),...v],m&&!h&&g.push(m),typeof console[d.severity]!="function")throw new Error("Unknown console method");console[d.severity].apply(console,g)}e.log=L;function b(d){return`color: ${d}`}}),define(be[50],pe([1,0,15,17,4]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ug=e.$Tg=e.$Sg=void 0;function A(d){return JSON.stringify(d,L)}e.$Sg=A;function R(d){let I=JSON.parse(d);return I=b(I),I}e.$Tg=R;function L(d,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:(0,O.$wd)(I)}:I}function b(d,I=0){if(!d||I>200)return d;if(typeof d=="object"){switch(d.$mid){case 1:return o.URI.revive(d);case 2:return new RegExp(d.source,d.flags);case 16:return new Date(d.source)}if(d instanceof E.$Ib||d instanceof Uint8Array)return d;if(Array.isArray(d))for(let v=0;v<d.length;++v)d[v]=b(d[v],I+1);else for(const v in d)Object.hasOwnProperty.call(d,v)&&(d[v]=b(d[v],I+1))}return d}e.$Ug=b}),define(be[13],pe([1,0,11,3,4]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.$1e=e.$Ze=e.$Ye=e.$Xe=e.$We=e.$Ve=e.$Ue=e.$Te=e.Schemas=void 0;var A;(function(d){d.inMemory="inmemory",d.vscode="vscode",d.internal="private",d.walkThrough="walkThrough",d.walkThroughSnippet="walkThroughSnippet",d.http="http",d.https="https",d.file="file",d.mailto="mailto",d.untitled="untitled",d.data="data",d.command="command",d.vscodeRemote="vscode-remote",d.vscodeRemoteResource="vscode-remote-resource",d.vscodeManagedRemoteResource="vscode-managed-remote-resource",d.vscodeUserData="vscode-userdata",d.vscodeCustomEditor="vscode-custom-editor",d.vscodeNotebookCell="vscode-notebook-cell",d.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",d.vscodeNotebookCellOutput="vscode-notebook-cell-output",d.vscodeInteractiveInput="vscode-interactive-input",d.vscodeSettings="vscode-settings",d.vscodeWorkspaceTrust="vscode-workspace-trust",d.vscodeTerminal="vscode-terminal",d.vscodeChatSesssion="vscode-chat-editor",d.webviewPanel="webview-panel",d.vscodeWebview="vscode-webview",d.extension="extension",d.vscodeFileResource="vscode-file",d.tmp="tmp",d.vsls="vsls",d.vscodeSourceControl="vscode-scm"})(A||(e.Schemas=A={})),e.$Te="vscode-tkn",e.$Ue="tkn";class R{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${A.vscodeRemoteResource}`}setPreferredWebSchema(I){this.d=I}setDelegate(I){this.e=I}setServerRootPath(I){this.f=`${I}/${A.vscodeRemoteResource}`}set(I,v,p){this.a[I]=v,this.b[I]=p}setConnectionToken(I,v){this.c[I]=v}getPreferredWebSchema(){return this.d}rewrite(I){if(this.e)try{return this.e(I)}catch(a){return E.$X(a),I}const v=I.authority;let p=this.a[v];p&&p.indexOf(":")!==-1&&p.indexOf("[")===-1&&(p=`[${p}]`);const h=this.b[v],m=this.c[v];let g=`path=${encodeURIComponent(I.path)}`;return typeof m=="string"&&(g+=`&${e.$Ue}=${encodeURIComponent(m)}`),o.URI.from({scheme:O.$o?this.d:A.vscodeRemoteResource,authority:`${p}:${h}`,path:this.f,query:g})}}e.$Ve=new R,e.$We="vs/../../extensions",e.$Xe="vs/../../node_modules",e.$Ye="vs/../../node_modules.asar",e.$Ze="vs/../../node_modules.asar.unpacked";class L{asBrowserUri(I){const v=this.b(I,ae);return this.uriToBrowserUri(v)}uriToBrowserUri(I){return I.scheme===A.vscodeRemote?e.$Ve.rewrite(I):I.scheme===A.file&&(O.$m||O.$p&&O.$g.origin===`${A.vscodeFileResource}://${L.a}`)?I.with({scheme:A.vscodeFileResource,authority:I.authority||L.a,query:null,fragment:null}):I}asFileUri(I){const v=this.b(I,ae);return this.uriToFileUri(v)}uriToFileUri(I){return I.scheme===A.vscodeFileResource?I.with({scheme:A.file,authority:I.authority!==L.a?I.authority:null,query:null,fragment:null}):I}b(I,v){return o.URI.isUri(I)?I:o.URI.parse(v.toUrl(I))}}L.a="vscode-app",e.$1e=new L;var b;(function(d){const I=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);d.CoopAndCoep=Object.freeze(I.get("3"));const v="vscode-coi";function p(m){let g;typeof m=="string"?g=new URL(m).searchParams:m instanceof URL?g=m.searchParams:o.URI.isUri(m)&&(g=new URL(m.toString(!0)).searchParams);const a=g?.get(v);if(a)return I.get(a)}d.getHeadersFromQuery=p;function h(m,g,a){if(!globalThis.crossOriginIsolated)return;const u=g&&a?"3":a?"2":"1";m instanceof URLSearchParams?m.set(v,u):m[v]=u}d.addSearchParam=h})(b||(e.COI=b={}))}),define(be[19],pe([1,0,39,13,7,3,17,4]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dg=e.DataUri=e.$cg=e.$bg=e.$ag=e.$_f=e.$$f=e.$0f=e.$9f=e.$8f=e.$7f=e.$6f=e.$5f=e.$4f=e.$3f=e.$2f=e.$1f=e.$Zf=e.$Yf=e.$Xf=e.$Wf=e.$Vf=e.$Uf=e.$Tf=void 0;function b(h){return(0,L.$Se)(h,!0)}e.$Tf=b;class d{constructor(m){this.a=m}compare(m,g,a=!1){return m===g?0:(0,R.$Cd)(this.getComparisonKey(m,a),this.getComparisonKey(g,a))}isEqual(m,g,a=!1){return m===g?!0:!m||!g?!1:this.getComparisonKey(m,a)===this.getComparisonKey(g,a)}getComparisonKey(m,g=!1){return m.with({path:this.a(m)?m.path.toLowerCase():void 0,fragment:g?null:void 0}).toString()}ignorePathCasing(m){return this.a(m)}isEqualOrParent(m,g,a=!1){if(m.scheme===g.scheme){if(m.scheme===O.Schemas.file)return E.$He(b(m),b(g),this.a(m))&&m.query===g.query&&(a||m.fragment===g.fragment);if((0,e.$$f)(m.authority,g.authority))return E.$He(m.path,g.path,this.a(m),"/")&&m.query===g.query&&(a||m.fragment===g.fragment)}return!1}joinPath(m,...g){return L.URI.joinPath(m,...g)}basenameOrAuthority(m){return(0,e.$3f)(m)||m.authority}basename(m){return o.$8b.basename(m.path)}extname(m){return o.$8b.extname(m.path)}dirname(m){if(m.path.length===0)return m;let g;return m.scheme===O.Schemas.file?g=L.URI.file(o.$bc(b(m))).path:(g=o.$8b.dirname(m.path),m.authority&&g.length&&g.charCodeAt(0)!==47&&(console.error(`dirname("${m.toString})) resulted in a relative path`),g="/")),m.with({path:g})}normalizePath(m){if(!m.path.length)return m;let g;return m.scheme===O.Schemas.file?g=L.URI.file(o.$9b(b(m))).path:g=o.$8b.normalize(m.path),m.with({path:g})}relativePath(m,g){if(m.scheme!==g.scheme||!(0,e.$$f)(m.authority,g.authority))return;if(m.scheme===O.Schemas.file){const l=o.$ac(b(m),b(g));return A.$i?E.$Be(l):l}let a=m.path||"/";const u=g.path||"/";if(this.a(m)){let l=0;for(const $=Math.min(a.length,u.length);l<$&&!(a.charCodeAt(l)!==u.charCodeAt(l)&&a.charAt(l).toLowerCase()!==u.charAt(l).toLowerCase());l++);a=u.substr(0,l)+a.substr(l)}return o.$8b.relative(a,u)}resolvePath(m,g){if(m.scheme===O.Schemas.file){const a=L.URI.file(o.$_b(b(m),g));return m.with({authority:a.authority,path:a.path})}return g=E.$Ce(g),m.with({path:o.$8b.resolve(m.path,g)})}isAbsolutePath(m){return!!m.path&&m.path[0]==="/"}isEqualAuthority(m,g){return m===g||m!==void 0&&g!==void 0&&(0,R.$Jd)(m,g)}hasTrailingPathSeparator(m,g=o.sep){if(m.scheme===O.Schemas.file){const a=b(m);return a.length>E.$De(a).length&&a[a.length-1]===g}else{const a=m.path;return a.length>1&&a.charCodeAt(a.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(m.fsPath)}}removeTrailingPathSeparator(m,g=o.sep){return(0,e.$_f)(m,g)?m.with({path:m.path.substr(0,m.path.length-1)}):m}addTrailingPathSeparator(m,g=o.sep){let a=!1;if(m.scheme===O.Schemas.file){const u=b(m);a=u!==void 0&&u.length===E.$De(u).length&&u[u.length-1]===g}else{g="/";const u=m.path;a=u.length===1&&u.charCodeAt(u.length-1)===47}return!a&&!(0,e.$_f)(m,g)?m.with({path:m.path+"/"}):m}}e.$Uf=d,e.$Vf=new d(()=>!1),e.$Wf=new d(h=>h.scheme===O.Schemas.file?!A.$k:!0),e.$Xf=new d(h=>!0),e.$Yf=e.$Vf.isEqual.bind(e.$Vf),e.$Zf=e.$Vf.isEqualOrParent.bind(e.$Vf),e.$1f=e.$Vf.getComparisonKey.bind(e.$Vf),e.$2f=e.$Vf.basenameOrAuthority.bind(e.$Vf),e.$3f=e.$Vf.basename.bind(e.$Vf),e.$4f=e.$Vf.extname.bind(e.$Vf),e.$5f=e.$Vf.dirname.bind(e.$Vf),e.$6f=e.$Vf.joinPath.bind(e.$Vf),e.$7f=e.$Vf.normalizePath.bind(e.$Vf),e.$8f=e.$Vf.relativePath.bind(e.$Vf),e.$9f=e.$Vf.resolvePath.bind(e.$Vf),e.$0f=e.$Vf.isAbsolutePath.bind(e.$Vf),e.$$f=e.$Vf.isEqualAuthority.bind(e.$Vf),e.$_f=e.$Vf.hasTrailingPathSeparator.bind(e.$Vf),e.$ag=e.$Vf.removeTrailingPathSeparator.bind(e.$Vf),e.$bg=e.$Vf.addTrailingPathSeparator.bind(e.$Vf);function I(h,m){const g=[];for(let a=0;a<h.length;a++){const u=m(h[a]);h.some((l,$)=>$===a?!1:(0,e.$Zf)(u,m(l)))||g.push(h[a])}return g}e.$cg=I;var v;(function(h){h.META_DATA_LABEL="label",h.META_DATA_DESCRIPTION="description",h.META_DATA_SIZE="size",h.META_DATA_MIME="mime";function m(g){const a=new Map;g.path.substring(g.path.indexOf(";")+1,g.path.lastIndexOf(";")).split(";").forEach($=>{const[P,k]=$.split(":");P&&k&&a.set(P,k)});const l=g.path.substring(0,g.path.indexOf(";"));return l&&a.set(h.META_DATA_MIME,l),a}h.parseMetaData=m})(v||(e.DataUri=v={}));function p(h,m,g){if(m){let a=h.path;return a&&a[0]!==o.$8b.sep&&(a=o.$8b.sep+a),h.with({scheme:g,authority:m,path:a})}return h.with({scheme:g})}e.$dg=p}),define(be[14],pe([1,0,20,11,5,2,19,3,146]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Og=e.$Ng=e.$Mg=e.Promises=e.$Lg=e.$Kg=e.$Jg=e.$Ig=e.$Hg=e.$Gg=e.$Fg=e.$Eg=e.$Dg=e.$Cg=e.$Bg=e.$Ag=e.$zg=e.$yg=e.$xg=e.$wg=e.$vg=e.$ug=e.$tg=e.$sg=e.$rg=e.$qg=e.$pg=e.$og=e.$ng=e.$mg=e.$lg=e.$kg=e.$jg=e.$ig=e.$hg=e.$gg=e.$fg=e.$eg=void 0;function d(T){return!!T&&typeof T.then=="function"}e.$eg=d;function I(T){const S=new E.$bd,N=T(S.token),ee=new Promise((oe,z)=>{const q=S.token.onCancellationRequested(()=>{q.dispose(),S.dispose(),z(new O.$2)});Promise.resolve(N).then(W=>{q.dispose(),S.dispose(),oe(W)},W=>{q.dispose(),S.dispose(),z(W)})});return new class{cancel(){S.cancel()}then(oe,z){return ee.then(oe,z)}catch(oe){return this.then(void 0,oe)}finally(oe){return ee.finally(oe)}}}e.$fg=I;function v(T,S,N){return new Promise((ee,oe)=>{const z=S.onCancellationRequested(()=>{z.dispose(),ee(N)});T.then(ee,oe).finally(()=>z.dispose())})}e.$gg=v;function p(T,S){return new Promise((N,ee)=>{const oe=S.onCancellationRequested(()=>{oe.dispose(),ee(new O.$2)});T.then(N,ee).finally(()=>oe.dispose())})}e.$hg=p;async function h(T){let S=-1;const N=T.map((ee,oe)=>ee.then(z=>(S=oe,z)));try{return await Promise.race(N)}finally{T.forEach((ee,oe)=>{oe!==S&&ee.cancel()})}}e.$ig=h;function m(T,S,N){let ee;const oe=setTimeout(()=>{ee?.(void 0),N?.()},S);return Promise.race([T.finally(()=>clearTimeout(oe)),new Promise(z=>ee=z)])}e.$jg=m;function g(T){return new Promise((S,N)=>{const ee=T();d(ee)?ee.then(S,N):S(ee)})}e.$kg=g;class a{constructor(){this.f=!1,this.a=null,this.b=null,this.d=null}queue(S){if(this.f)throw new Error("Throttler is disposed");if(this.a){if(this.d=S,!this.b){const N=()=>{if(this.b=null,this.f)return;const ee=this.queue(this.d);return this.d=null,ee};this.b=new Promise(ee=>{this.a.then(N,N).then(ee)})}return new Promise((N,ee)=>{this.b.then(N,ee)})}return this.a=S(),new Promise((N,ee)=>{this.a.then(oe=>{this.a=null,N(oe)},oe=>{this.a=null,ee(oe)})})}dispose(){this.f=!0}}e.$lg=a;class u{constructor(){this.a=Promise.resolve(null)}queue(S){return this.a=this.a.then(()=>S(),()=>S())}}e.$mg=u;class l{constructor(){this.a=new Map}queue(S,N){const oe=(this.a.get(S)??Promise.resolve()).catch(()=>{}).then(N).finally(()=>{this.a.get(S)===oe&&this.a.delete(S)});return this.a.set(S,oe),oe}}e.$ng=l;const $=(T,S)=>{let N=!0;const ee=setTimeout(()=>{N=!1,S()},T);return{isTriggered:()=>N,dispose:()=>{clearTimeout(ee),N=!1}}},P=T=>{let S=!0;return queueMicrotask(()=>{S&&(S=!1,T())}),{isTriggered:()=>S,dispose:()=>{S=!1}}};class k{constructor(S){this.defaultDelay=S,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(S,N=this.defaultDelay){this.g=S,this.h(),this.b||(this.b=new Promise((oe,z)=>{this.d=oe,this.f=z}).then(()=>{if(this.b=null,this.d=null,this.g){const oe=this.g;return this.g=null,oe()}}));const ee=()=>{this.a=null,this.d?.(null)};return this.a=N===b.$2c?P(ee):$(N,ee),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new O.$2),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.$og=k;class t{constructor(S){this.a=new k(S),this.b=new a}trigger(S,N){return this.a.trigger(()=>this.b.queue(S),N)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose()}}e.$pg=t;class i{constructor(){this.a=!1,this.b=new Promise((S,N)=>{this.d=S})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.$qg=i;class r extends i{constructor(S){super(),this.f=setTimeout(()=>this.open(),S)}open(){clearTimeout(this.f),super.open()}}e.$rg=r;function n(T,S){return S?new Promise((N,ee)=>{const oe=setTimeout(()=>{z.dispose(),N()},T),z=S.onCancellationRequested(()=>{clearTimeout(oe),z.dispose(),ee(new O.$2)})}):I(N=>n(T,N))}e.$sg=n;function s(T,S=0){const N=setTimeout(T,S);return(0,A.$ib)(()=>clearTimeout(N))}e.$tg=s;function c(T){const S=[];let N=0;const ee=T.length;function oe(){return N<ee?T[N++]():null}function z(q){q!=null&&S.push(q);const W=oe();return W?W.then(z):Promise.resolve(S)}return Promise.resolve(null).then(z)}e.$ug=c;function f(T,S=ee=>!!ee,N=null){let ee=0;const oe=T.length,z=()=>{if(ee>=oe)return Promise.resolve(N);const q=T[ee++];return Promise.resolve(q()).then(U=>S(U)?Promise.resolve(U):z())};return z()}e.$vg=f;function y(T,S=ee=>!!ee,N=null){if(T.length===0)return Promise.resolve(N);let ee=T.length;const oe=()=>{ee=-1;for(const z of T)z.cancel?.()};return new Promise((z,q)=>{for(const W of T)W.then(U=>{--ee>=0&&S(U)?(oe(),z(U)):ee===0&&z(N)}).catch(U=>{--ee>=0&&(oe(),q(U))})})}e.$wg=y;class w{constructor(S){this.a=0,this.d=S,this.f=[],this.b=0,this.g=new o.$5c}get onDrained(){return this.g.event}get size(){return this.a}queue(S){return this.a++,new Promise((N,ee)=>{this.f.push({factory:S,c:N,e:ee}),this.h()})}h(){for(;this.f.length&&this.b<this.d;){const S=this.f.shift();this.b++;const N=S.factory();N.then(S.c,S.e),N.then(()=>this.j(),()=>this.j())}}j(){this.a--,this.b--,this.f.length>0?this.h():this.g.fire()}dispose(){this.g.dispose()}}e.$xg=w;class D extends w{constructor(){super(1)}}e.$yg=D;class C{constructor(){this.a=new Map,this.b=new Set}async whenDrained(){if(this.d())return;const S=new Z;return this.b.add(S),S.p}d(){for(const[,S]of this.a)if(S.size>0)return!1;return!0}queueFor(S,N=R.$Vf){const ee=N.getComparisonKey(S);let oe=this.a.get(ee);return oe||(oe=new D,o.Event.once(oe.onDrained)(()=>{oe?.dispose(),this.a.delete(ee),this.f()}),this.a.set(ee,oe)),oe}f(){this.d()&&this.g()}g(){for(const S of this.b)S.complete();this.b.clear()}dispose(){for(const[,S]of this.a)S.dispose();this.a.clear(),this.g()}}e.$zg=C;class M{constructor(S,N){this.a=-1,typeof S=="function"&&typeof N=="number"&&this.setIfNotSet(S,N)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(S,N){this.cancel(),this.a=setTimeout(()=>{this.a=-1,S()},N)}setIfNotSet(S,N){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,S()},N))}}e.$Ag=M;class X{constructor(){this.a=-1}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearInterval(this.a),this.a=-1)}cancelAndSet(S,N){this.cancel(),this.a=setInterval(()=>{S()},N)}}e.$Bg=X;class ne{constructor(S,N){this.b=-1,this.a=S,this.d=N,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(S=this.d){this.cancel(),this.b=setTimeout(this.f,S)}get delay(){return this.d}set delay(S){this.d=S}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.$Cg=ne;class he{constructor(S,N){N%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${N}ms is not a multiple of 1000ms.`),this.a=S,this.b=N,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(S=this.b){S%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${S}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(S/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.$Dg=he;class ue extends ne{constructor(S,N){super(S,N),this.j=[]}work(S){this.j.push(S),this.isScheduled()||this.schedule()}h(){const S=this.j;this.j=[],this.a?.(S)}dispose(){this.j=[],super.dispose()}}e.$Eg=ue;class le extends A.$kb{constructor(S,N){super(),this.g=S,this.h=N,this.a=[],this.b=this.B(new A.$lb),this.f=!1}get pending(){return this.a.length}work(S){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+S.length>this.g.maxBufferedWork)return!1}else if(this.pending+S.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const N of S)this.a.push(N);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new ne(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.$Fg=le,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.$Gg=T=>{(0,L.$A)(()=>{if(S)return;const N=Date.now()+15;T(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,N-Date.now())}}))});let S=!1;return{dispose(){S||(S=!0)}}}:e.$Gg=(T,S)=>{const N=requestIdleCallback(T,typeof S=="number"?{timeout:S}:void 0);let ee=!1;return{dispose(){ee||(ee=!0,cancelIdleCallback(N))}}}}();class ge{constructor(S){this.d=!1,this.a=()=>{try{this.f=S()}catch(N){this.g=N}finally{this.d=!0}},this.b=(0,e.$Gg)(()=>this.a())}dispose(){this.b.dispose()}get value(){if(this.d||(this.b.dispose(),this.a()),this.g)throw this.g;return this.f}get isInitialized(){return this.d}}e.$Hg=ge;async function se(T,S,N){let ee;for(let oe=0;oe<N;oe++)try{return await T()}catch(z){ee=z,await n(S)}throw ee}e.$Ig=se;class J{hasPending(S){return this.a?typeof S=="number"?this.a.taskId===S:!!this.a:!1}get pending(){return this.a?.promise}cancelPending(){this.a?.cancel()}setPending(S,N,ee){return this.a={taskId:S,cancel:()=>ee?.(),promise:N},N.then(()=>this.d(S),()=>this.d(S)),N}d(S){this.a&&S===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const S=this.b;this.b=void 0,S.run().then(S.promiseResolve,S.promiseReject)}}setNext(S){if(this.b)this.b.run=S;else{let N,ee;const oe=new Promise((z,q)=>{N=z,ee=q});this.b={run:S,promise:oe,promiseResolve:N,promiseReject:ee}}return this.b.promise}hasNext(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.$Jg=J;class te{constructor(S,N=()=>Date.now()){this.d=S,this.f=N,this.a=0,this.b=0}increment(){const S=this.f();return S-this.a>this.d&&(this.a=S,this.b=0),this.b++,this.b}}e.$Kg=te;var V;(function(T){T[T.Resolved=0]="Resolved",T[T.Rejected=1]="Rejected"})(V||(V={}));class Z{get isRejected(){return this.d?.outcome===1}get isResolved(){return this.d?.outcome===0}get isSettled(){return!!this.d}get value(){return this.d?.outcome===0?this.d?.value:void 0}constructor(){this.p=new Promise((S,N)=>{this.a=S,this.b=N})}complete(S){return new Promise(N=>{this.a(S),this.d={outcome:0,value:S},N()})}error(S){return new Promise(N=>{this.b(S),this.d={outcome:1,value:S},N()})}cancel(){return this.error(new O.$2)}}e.$Lg=Z;var H;(function(T){async function S(ee){let oe;const z=await Promise.all(ee.map(q=>q.then(W=>W,W=>{oe||(oe=W)})));if(typeof oe<"u")throw oe;return z}T.settled=S;function N(ee){return new Promise(async(oe,z)=>{try{await ee(oe,z)}catch(q){z(q)}})}T.withAsyncBody=N})(H||(e.Promises=H={}));var B;(function(T){T[T.Initial=0]="Initial",T[T.DoneOK=1]="DoneOK",T[T.DoneError=2]="DoneError"})(B||(B={}));class ie{static fromArray(S){return new ie(N=>{N.emitMany(S)})}static fromPromise(S){return new ie(async N=>{N.emitMany(await S)})}static fromPromises(S){return new ie(async N=>{await Promise.all(S.map(async ee=>N.emitOne(await ee)))})}static merge(S){return new ie(async N=>{await Promise.all(S.map(async ee=>{for await(const oe of ee)N.emitOne(oe)}))})}constructor(S){this.a=0,this.b=[],this.d=null,this.f=new o.$5c,queueMicrotask(async()=>{const N={emitOne:ee=>this.g(ee),emitMany:ee=>this.h(ee),reject:ee=>this.k(ee)};try{await Promise.resolve(S(N)),this.j()}catch(ee){this.k(ee)}finally{N.emitOne=void 0,N.emitMany=void 0,N.reject=void 0}})}[Symbol.asyncIterator](){let S=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(S<this.b.length)return{done:!1,value:this.b[S++]};if(this.a===1)return{done:!0,value:void 0};await o.Event.toPromise(this.f.event)}while(!0)}}}static map(S,N){return new ie(async ee=>{for await(const oe of S)ee.emitOne(N(oe))})}map(S){return ie.map(this,S)}static filter(S,N){return new ie(async ee=>{for await(const oe of S)N(oe)&&ee.emitOne(oe)})}filter(S){return ie.filter(this,S)}static coalesce(S){return ie.filter(S,N=>!!N)}coalesce(){return ie.coalesce(this)}static async toPromise(S){const N=[];for await(const ee of S)N.push(ee);return N}toPromise(){return ie.toPromise(this)}g(S){this.a===0&&(this.b.push(S),this.f.fire())}h(S){this.a===0&&(this.b=this.b.concat(S),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k(S){this.a===0&&(this.a=2,this.d=S,this.f.fire())}}e.$Mg=ie,ie.EMPTY=ie.fromArray([]);class Y extends ie{constructor(S,N){super(N),this.l=S}cancel(){this.l.cancel()}}e.$Ng=Y;function _(T){const S=new E.$bd,N=T(S.token);return new Y(S,async ee=>{const oe=S.token.onCancellationRequested(()=>{oe.dispose(),S.dispose(),ee.reject(new O.$2)});try{for await(const z of N){if(S.token.isCancellationRequested)return;ee.emitOne(z)}oe.dispose(),S.dispose()}catch(z){oe.dispose(),S.dispose(),ee.reject(z)}})}e.$Og=_}),define(be[76],pe([1,0,18,14,39,27,7,3,17]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ej=e.$dj=e.$cj=e.$bj=e.$aj=e.$_i=e.$$i=e.$0i=e.$9i=e.$8i=void 0;function d(){return Object.create(null)}e.$8i=d,e.$9i="**",e.$0i="/";const I="[/\\\\]",v="[^/\\\\]",p=/\//g;function h(te,V){switch(te){case 0:return"";case 1:return`${v}*?`;default:return`(?:${I}|${v}+${I}${V?`|${I}${v}+`:""})*?`}}function m(te,V){if(!te)return[];const Z=[];let H=!1,B=!1,ie="";for(const Y of te){switch(Y){case V:if(!H&&!B){Z.push(ie),ie="";continue}break;case"{":H=!0;break;case"}":H=!1;break;case"[":B=!0;break;case"]":B=!1;break}ie+=Y}return ie&&Z.push(ie),Z}e.$$i=m;function g(te){if(!te)return"";let V="";const Z=m(te,e.$0i);if(Z.every(H=>H===e.$9i))V=".*";else{let H=!1;Z.forEach((B,ie)=>{if(B===e.$9i){if(H)return;V+=h(2,ie===Z.length-1)}else{let Y=!1,_="",T=!1,S="";for(const N of B){if(N!=="}"&&Y){_+=N;continue}if(T&&(N!=="]"||!S)){let ee;N==="-"?ee=N:(N==="^"||N==="!")&&!S?ee="^":N===e.$0i?ee="":ee=(0,b.$ld)(N),S+=ee;continue}switch(N){case"{":Y=!0;continue;case"[":T=!0;continue;case"}":{const oe=`(?:${m(_,",").map(z=>g(z)).join("|")})`;V+=oe,Y=!1,_="";break}case"]":{V+="["+S+"]",T=!1,S="";break}case"?":V+=v;continue;case"*":V+=h(1);continue;default:V+=(0,b.$ld)(N)}}ie<Z.length-1&&(Z[ie+1]!==e.$9i||ie+2<Z.length)&&(V+=I)}H=B===e.$9i})}return V}const a=/^\*\*\/\*\.[\w\.-]+$/,u=/^\*\*\/([\w\.-]+)\/?$/,l=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,$=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,P=/^\*\*((\/[\w\.-]+)+)\/?$/,k=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new A.$mi(1e4),i=function(){return!1},r=function(){return null};function n(te,V){if(!te)return r;let Z;typeof te!="string"?Z=te.pattern:Z=te,Z=Z.trim();const H=`${Z}_${!!V.trimForExclusions}`;let B=t.get(H);if(B)return s(B,te);let ie;return a.test(Z)?B=f(Z.substr(4),Z):(ie=u.exec(c(Z,V)))?B=y(ie[1],Z):(V.trimForExclusions?$:l).test(Z)?B=w(Z,V):(ie=P.exec(c(Z,V)))?B=D(ie[1].substr(1),Z,!0):(ie=k.exec(c(Z,V)))?B=D(ie[1],Z,!1):B=C(Z),t.set(H,B),s(B,te)}function s(te,V){if(typeof V=="string")return te;const Z=function(H,B){return(0,o.$He)(H,V.base,!L.$k)?te((0,b.$pd)(H.substr(V.base.length),R.sep),B):null};return Z.allBasenames=te.allBasenames,Z.allPaths=te.allPaths,Z.basenames=te.basenames,Z.patterns=te.patterns,Z}function c(te,V){return V.trimForExclusions&&te.endsWith("/**")?te.substr(0,te.length-2):te}function f(te,V){return function(Z,H){return typeof Z=="string"&&Z.endsWith(te)?V:null}}function y(te,V){const Z=`/${te}`,H=`\\${te}`,B=function(Y,_){return typeof Y!="string"?null:_?_===te?V:null:Y===te||Y.endsWith(Z)||Y.endsWith(H)?V:null},ie=[te];return B.basenames=ie,B.patterns=[V],B.allBasenames=ie,B}function w(te,V){const Z=se(te.slice(1,-1).split(",").map(_=>n(_,V)).filter(_=>_!==r),te),H=Z.length;if(!H)return r;if(H===1)return Z[0];const B=function(_,T){for(let S=0,N=Z.length;S<N;S++)if(Z[S](_,T))return te;return null},ie=Z.find(_=>!!_.allBasenames);ie&&(B.allBasenames=ie.allBasenames);const Y=Z.reduce((_,T)=>T.allPaths?_.concat(T.allPaths):_,[]);return Y.length&&(B.allPaths=Y),B}function D(te,V,Z){const H=R.sep===R.$8b.sep,B=H?te:te.replace(p,R.sep),ie=R.sep+B,Y=R.$8b.sep+te;let _;return Z?_=function(T,S){return typeof T=="string"&&(T===B||T.endsWith(ie)||!H&&(T===te||T.endsWith(Y)))?V:null}:_=function(T,S){return typeof T=="string"&&(T===B||!H&&T===te)?V:null},_.allPaths=[(Z?"*/":"./")+te],_}function C(te){try{const V=new RegExp(`^${g(te)}$`);return function(Z){return V.lastIndex=0,typeof Z=="string"&&V.test(Z)?te:null}}catch{return r}}function M(te,V,Z){return!te||typeof V!="string"?!1:X(te)(V,void 0,Z)}e.$_i=M;function X(te,V={}){if(!te)return i;if(typeof te=="string"||ne(te)){const Z=n(te,V);if(Z===r)return i;const H=function(B,ie){return!!Z(B,ie)};return Z.allBasenames&&(H.allBasenames=Z.allBasenames),Z.allPaths&&(H.allPaths=Z.allPaths),H}return le(te,V)}e.$aj=X;function ne(te){const V=te;return V?typeof V.base=="string"&&typeof V.pattern=="string":!1}e.$bj=ne;function he(te){return te.allBasenames||[]}e.$cj=he;function ue(te){return te.allPaths||[]}e.$dj=ue;function le(te,V){const Z=se(Object.getOwnPropertyNames(te).map(_=>ge(_,te[_],V)).filter(_=>_!==r)),H=Z.length;if(!H)return r;if(!Z.some(_=>!!_.requiresSiblings)){if(H===1)return Z[0];const _=function(N,ee){let oe;for(let z=0,q=Z.length;z<q;z++){const W=Z[z](N,ee);if(typeof W=="string")return W;(0,O.$eg)(W)&&(oe||(oe=[]),oe.push(W))}return oe?(async()=>{for(const z of oe){const q=await z;if(typeof q=="string")return q}return null})():null},T=Z.find(N=>!!N.allBasenames);T&&(_.allBasenames=T.allBasenames);const S=Z.reduce((N,ee)=>ee.allPaths?N.concat(ee.allPaths):N,[]);return S.length&&(_.allPaths=S),_}const B=function(_,T,S){let N,ee;for(let oe=0,z=Z.length;oe<z;oe++){const q=Z[oe];q.requiresSiblings&&S&&(T||(T=(0,R.$cc)(_)),N||(N=T.substr(0,T.length-(0,R.$dc)(_).length)));const W=q(_,T,N,S);if(typeof W=="string")return W;(0,O.$eg)(W)&&(ee||(ee=[]),ee.push(W))}return ee?(async()=>{for(const oe of ee){const z=await oe;if(typeof z=="string")return z}return null})():null},ie=Z.find(_=>!!_.allBasenames);ie&&(B.allBasenames=ie.allBasenames);const Y=Z.reduce((_,T)=>T.allPaths?_.concat(T.allPaths):_,[]);return Y.length&&(B.allPaths=Y),B}function ge(te,V,Z){if(V===!1)return r;const H=n(te,Z);if(H===r)return r;if(typeof V=="boolean")return H;if(V){const B=V.when;if(typeof B=="string"){const ie=(Y,_,T,S)=>{if(!S||!H(Y,_))return null;const N=B.replace("$(basename)",()=>T),ee=S(N);return(0,O.$eg)(ee)?ee.then(oe=>oe?te:null):ee?te:null};return ie.requiresSiblings=!0,ie}}return H}function se(te,V){const Z=te.filter(_=>!!_.basenames);if(Z.length<2)return te;const H=Z.reduce((_,T)=>{const S=T.basenames;return S?_.concat(S):_},[]);let B;if(V){B=[];for(let _=0,T=H.length;_<T;_++)B.push(V)}else B=Z.reduce((_,T)=>{const S=T.patterns;return S?_.concat(S):_},[]);const ie=function(_,T){if(typeof _!="string")return null;if(!T){let N;for(N=_.length;N>0;N--){const ee=_.charCodeAt(N-1);if(ee===47||ee===92)break}T=_.substr(N)}const S=H.indexOf(T);return S!==-1?B[S]:null};ie.basenames=H,ie.patterns=B,ie.allBasenames=H;const Y=te.filter(_=>!_.basenames);return Y.push(ie),Y}function J(te,V){return(0,E.$$e)(te,V,(Z,H)=>typeof Z=="string"&&typeof H=="string"?Z===H:typeof Z!="string"&&typeof H!="string"?Z.base===H.base&&Z.pattern===H.pattern:!1)}e.$ej=J}),define(be[101],pe([1,0,11,147,19,17,4]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nj=e.$Mj=e.$Lj=e.$Kj=e.$Jj=e.$Ij=e.$Hj=e.$Gj=e.MarkdownStringTextNewlineStyle=void 0;var L;(function(a){a[a.Paragraph=0]="Paragraph",a[a.Break=1]="Break"})(L||(e.MarkdownStringTextNewlineStyle=L={}));class b{constructor(u="",l=!1){if(this.value=u,typeof this.value!="string")throw(0,E.$4)("value");typeof l=="boolean"?(this.isTrusted=l,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=l.isTrusted??void 0,this.supportThemeIcons=l.supportThemeIcons??!1,this.supportHtml=l.supportHtml??!1)}appendText(u,l=0){return this.value+=p(this.supportThemeIcons?(0,O.$Aj)(u):u).replace(/([ \t]+)/g,($,P)=>"&nbsp;".repeat(P.length)).replace(/\>/gm,"\\>").replace(/\n/g,l===1?`\\
`:`

`),this}appendMarkdown(u){return this.value+=u,this}appendCodeblock(u,l){return this.value+="\n```",this.value+=u,this.value+=`
`,this.value+=l,this.value+="\n```\n",this}appendLink(u,l,$){return this.value+="[",this.value+=this.c(l,"]"),this.value+="](",this.value+=this.c(String(u),")"),$&&(this.value+=` "${this.c(this.c($,'"'),")")}"`),this.value+=")",this}c(u,l){const $=new RegExp((0,A.$ld)(l),"g");return u.replace($,(P,k)=>u.charAt(k-1)!=="\\"?`\\${P}`:P)}}e.$Gj=b;function d(a){return I(a)?!a.value:Array.isArray(a)?a.every(d):!0}e.$Hj=d;function I(a){return a instanceof b?!0:a&&typeof a=="object"?typeof a.value=="string"&&(typeof a.isTrusted=="boolean"||typeof a.isTrusted=="object"||a.isTrusted===void 0)&&(typeof a.supportThemeIcons=="boolean"||a.supportThemeIcons===void 0):!1}e.$Ij=I;function v(a,u){return a===u?!0:!a||!u?!1:a.value===u.value&&a.isTrusted===u.isTrusted&&a.supportThemeIcons===u.supportThemeIcons&&a.supportHtml===u.supportHtml&&(a.baseUri===u.baseUri||!!a.baseUri&&!!u.baseUri&&(0,o.$Yf)(R.URI.from(a.baseUri),R.URI.from(u.baseUri)))}e.$Jj=v;function p(a){return a.replace(/[\\`*_{}[\]()#+\-!~]/g,"\\$&")}e.$Kj=p;function h(a){return a.replace(/"/g,"&quot;")}e.$Lj=h;function m(a){return a&&a.replace(/\\([\\`*_{}[\]()#+\-.!~])/g,"$1")}e.$Mj=m;function g(a){const u=[],l=a.split("|").map(P=>P.trim());a=l[0];const $=l[1];if($){const P=/height=(\d+)/.exec($),k=/width=(\d+)/.exec($),t=P?P[1]:"",i=k?k[1]:"",r=isFinite(parseInt(i)),n=isFinite(parseInt(t));r&&u.push(`width="${i}"`),n&&u.push(`height="${t}"`)}return{href:a,dimensions:u}}e.$Nj=g}),define(be[162],pe([1,0,18,39,7,3,19,17]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wz=e.$Vz=e.$Uz=e.$Tz=e.$Sz=e.$Rz=e.$Qz=e.$Pz=e.$Oz=e.$Nz=void 0;function b(n,s){const{os:c,tildify:f,relative:y}=s;if(y){const C=d(n,y,c);if(typeof C=="string")return C}let w=n.fsPath;if(c===1&&!A.$i?w=w.replace(/\//g,"\\"):c!==1&&A.$i&&(w=w.replace(/\\/g,"/")),c!==1&&f?.userHome){const C=f.userHome.fsPath;let M;n.scheme!==f.userHome.scheme&&n.path.startsWith(o.$8b.sep)?M=f.userHome.with({path:n.path}).fsPath:M=n.fsPath,w=p(M,C,c)}return(c===1?o.$7b:o.$8b).normalize(I(w,c===1))}e.$Nz=b;function d(n,s,c){const f=c===1?o.$7b:o.$8b,y=c===3?R.$Vf:R.$Xf,w=s.getWorkspace(),D=(0,E.$sf)(w.folders);if(!D)return;n.scheme!==D.uri.scheme&&n.path.startsWith(o.$8b.sep)&&(n=D.uri.with({path:n.path}));const C=s.getWorkspaceFolder(n);if(!C)return;let M;if(y.isEqual(C.uri,n)?M="":M=y.relativePath(C.uri,n)??"",M&&(M=f.normalize(M)),w.folders.length>1&&!s.noPrefix){const X=C.name?C.name:y.basenameOrAuthority(C.uri);M=M?`${X} \u2022 ${M}`:X}return M}function I(n,s=A.$i){return(0,O.$Le)(n,s)?n.charAt(0).toUpperCase()+n.slice(1):n}e.$Oz=I;let v=Object.create(null);function p(n,s,c=A.OS){if(c===1||!n||!s)return n;let f=v.original===s?v.normalized:void 0;f||(f=s,A.$i&&(f=(0,O.$Be)(f)),f=`${(0,L.$qd)(f,o.$8b.sep)}${o.$8b.sep}`,v={original:s,normalized:f});let y=n;return A.$i&&(y=(0,O.$Be)(y)),(c===3?y.startsWith(f):(0,L.$Kd)(y,f))?`~/${y.substr(f.length)}`:n}e.$Pz=p;function h(n,s){return n.replace(/^~($|\/|\\)/,`${s}$1`)}e.$Qz=h;const m="\u2026",g="\\\\",a="~";function u(n,s=o.sep){const c=new Array(n.length);let f=!1;for(let y=0;y<n.length;y++){const w=n[y];if(w===""){c[y]=`.${s}`;continue}if(!w){c[y]=w;continue}f=!0;let D="",C=w;C.indexOf(g)===0?(D=C.substr(0,C.indexOf(g)+g.length),C=C.substr(C.indexOf(g)+g.length)):C.indexOf(s)===0?(D=C.substr(0,C.indexOf(s)+s.length),C=C.substr(C.indexOf(s)+s.length)):C.indexOf(a)===0&&(D=C.substr(0,C.indexOf(a)+a.length),C=C.substr(C.indexOf(a)+a.length));const M=C.split(s);for(let X=1;f&&X<=M.length;X++)for(let ne=M.length-X;f&&ne>=0;ne--){f=!1;let he=M.slice(ne,ne+X).join(s);for(let ue=0;!f&&ue<n.length;ue++)if(ue!==y&&n[ue]&&n[ue].indexOf(he)>-1){const le=ne+X===M.length,ge=ne>0&&n[ue].indexOf(s)>-1?s+he:he,se=n[ue].endsWith(ge);f=!le||se}if(!f){let ue="";(M[0].endsWith(":")||D!=="")&&(ne===1&&(ne=0,X++,he=M[0]+s+he),ne>0&&(ue=M[0]+s),ue=D+ue),ne>0&&(ue=ue+m+s),ue=ue+he,ne+X<M.length&&(ue=ue+s+m),c[y]=ue}}f&&(c[y]=w)}return c}e.$Rz=u;var l;(function(n){n[n.TEXT=0]="TEXT",n[n.VARIABLE=1]="VARIABLE",n[n.SEPARATOR=2]="SEPARATOR"})(l||(l={}));function $(n,s=Object.create(null)){const c=[];let f=!1,y="";for(const w of n)if(w==="$"||f&&w==="{")y&&c.push({value:y,type:l.TEXT}),y="",f=!0;else if(w==="}"&&f){const D=s[y];if(typeof D=="string")D.length&&c.push({value:D,type:l.VARIABLE});else if(D){const C=c[c.length-1];(!C||C.type!==l.SEPARATOR)&&c.push({value:D.label,type:l.SEPARATOR})}y="",f=!1}else y+=w;return y&&!f&&c.push({value:y,type:l.TEXT}),c.filter((w,D)=>{if(w.type===l.SEPARATOR){const C=c[D-1],M=c[D+1];return[C,M].every(X=>X&&(X.type===l.VARIABLE||X.type===l.TEXT)&&X.value.length>0)}return!0}).map(w=>w.value).join("")}e.$Sz=$;function P(n,s){return A.$j||s?n.replace(/\(&&\w\)|&&/g,"").replace(/&/g,A.$j?"&":"&&"):n.replace(/&&|&/g,c=>c==="&"?"&&":"&")}e.$Tz=P;function k(n,s){return A.$j||s?n.replace(/\(&&\w\)|&&/g,""):A.$i?n.replace(/&&|&/g,c=>c==="&"?"&&":"&"):n.replace(/&&/g,"_")}e.$Uz=k;function t(n){return n.replace(/&/g,"&&")}e.$Vz=t;function i(n){if(n.endsWith("]")){const s=n.lastIndexOf(" [",n.length-2);if(s!==-1){const c=r(n.substring(0,s));return{name:c.name,parentPath:c.parentPath+n.substring(s)}}}return r(n)}e.$Wz=i;function r(n){const s=n.indexOf("/")!==-1?o.$8b:o.$7b,c=s.basename(n),f=s.dirname(n);return c.length?{name:c,parentPath:f}:{name:f,parentPath:""}}}),define(be[51],pe([1,0,15,4]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nm=e.$mm=e.$lm=e.$km=e.$jm=void 0;function o(v){return v.toJSON()}class A{constructor(p){this.a=p}transformIncoming(p){const h=this.a.transformIncoming(p);return h===p?p:o(O.URI.from(h))}transformOutgoing(p){const h=this.a.transformOutgoing(p);return h===p?p:o(O.URI.from(h))}transformOutgoingURI(p){const h=this.a.transformOutgoing(p);return h===p?p:O.URI.from(h)}transformOutgoingScheme(p){return this.a.transformOutgoingScheme(p)}}e.$jm=A,e.$km=new class{transformIncoming(v){return v}transformOutgoing(v){return v}transformOutgoingURI(v){return v}transformOutgoingScheme(v){return v}};function R(v,p,h){if(!v||h>200)return null;if(typeof v=="object"){if(v instanceof O.URI)return p.transformOutgoing(v);for(const m in v)if(Object.hasOwnProperty.call(v,m)){const g=R(v[m],p,h+1);g!==null&&(v[m]=g)}}return null}function L(v,p){const h=R(v,p,0);return h===null?v:h}e.$lm=L;function b(v,p,h,m){if(!v||m>200)return null;if(typeof v=="object"){if(v.$mid===1)return h?O.URI.revive(p.transformIncoming(v)):p.transformIncoming(v);if(v instanceof E.$Ib)return null;for(const g in v)if(Object.hasOwnProperty.call(v,g)){const a=b(v[g],p,h,m+1);a!==null&&(v[g]=a)}}return null}function d(v,p){const h=b(v,p,!1,0);return h===null?v:h}e.$mm=d;function I(v,p){const h=b(v,p,!0,0);return h===null?v:h}e.$nm=I}),define(be[163],pe([1,0,28,290,291,3]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4e=void 0;async function R(L){if(A.$j||A.$i)return;let b;for(const d of["/etc/os-release","/usr/lib/os-release","/etc/lsb-release"])try{b=await(0,O.open)(d,E.constants.R_OK);break}catch{}if(!b){L("Unable to retrieve release information from known identifier paths.");return}try{const d=new Set(["ID","DISTRIB_ID","ID_LIKE","VERSION_ID","DISTRIB_RELEASE"]),I={id:"unknown"};for await(const v of(0,o.createInterface)({input:b.createReadStream(),crlfDelay:1/0})){if(!v.includes("="))continue;const p=v.split("=")[0].toUpperCase().trim();if(d.has(p)){const h=v.split("=")[1].replace(/"/g,"").toLowerCase().trim();p==="ID"||p==="DISTRIB_ID"?I.id=h:p==="ID_LIKE"?I.id_like=h:(p==="VERSION_ID"||p==="DISTRIB_RELEASE")&&(I.version_id=h)}}return I}catch(d){L(d)}}e.$4e=R}),define(be[23],pe([1,0,28,29,292,14,39,96,7,3,19,4]),function(ae,e,E,O,o,A,R,L,b,d,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var p;(function(le){le[le.UNLINK=0]="UNLINK",le[le.MOVE=1]="MOVE"})(p||(e.RimRafMode=p={}));async function h(le,ge=p.UNLINK,se){if((0,R.$Ke)(le))throw new Error("rimraf - will refuse to recursively delete root");return ge===p.UNLINK?g(le):m(le,se)}async function m(le,ge=(0,R.$Pe)((0,O.tmpdir)())){try{try{await E.promises.rename(le,ge)}catch(se){return se.code==="ENOENT"?void 0:g(le)}g(ge).catch(se=>{})}catch(se){if(se.code!=="ENOENT")throw se}}async function g(le){return(0,o.promisify)(E.rm)(le,{recursive:!0,force:!0,maxRetries:3})}function a(le){if((0,R.$Ke)(le))throw new Error("rimraf - will refuse to recursively delete root");E.rmSync(le,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=a;async function u(le,ge){return P(await(ge?l(le):(0,o.promisify)(E.readdir)(le)))}async function l(le){try{return await(0,o.promisify)(E.readdir)(le,{withFileTypes:!0})}catch(J){console.warn("[node.js fs] readdir with filetypes failed with error: ",J)}const ge=[],se=await u(le);for(const J of se){let te=!1,V=!1,Z=!1;try{const H=await e.Promises.lstat((0,b.$$b)(le,J));te=H.isFile(),V=H.isDirectory(),Z=H.isSymbolicLink()}catch(H){console.warn("[node.js fs] unexpected error from lstat after readdir: ",H)}ge.push({name:J,isFile:()=>te,isDirectory:()=>V,isSymbolicLink:()=>Z})}return ge}function $(le){return P(E.readdirSync(le))}e.readdirSync=$;function P(le){return le.map(ge=>typeof ge=="string"?d.$j?(0,L.$3k)(ge):ge:(ge.name=d.$j?(0,L.$3k)(ge.name):ge.name,ge))}async function k(le){const ge=await u(le),se=[];for(const J of ge)await i.existsDirectory((0,b.$$b)(le,J))&&se.push(J);return se}function t(le,ge=1e3){return new Promise(se=>{let J=!1;const te=setInterval(()=>{J||(J=!0,E.access(le,V=>{J=!1,V&&(clearInterval(te),se(void 0))}))},ge)})}e.whenDeleted=t;var i;(function(le){async function ge(te){let V;try{if(V=await e.Promises.lstat(te),!V.isSymbolicLink())return{stat:V}}catch{}try{return{stat:await e.Promises.stat(te),symbolicLink:V?.isSymbolicLink()?{dangling:!1}:void 0}}catch(Z){if(Z.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};if(d.$i&&Z.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(te)),symbolicLink:{dangling:!1}}}catch(H){if(H.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};throw H}throw Z}}le.stat=ge;async function se(te){try{const{stat:V,symbolicLink:Z}=await le.stat(te);return V.isFile()&&Z?.dangling!==!0}catch{}return!1}le.existsFile=se;async function J(te){try{const{stat:V,symbolicLink:Z}=await le.stat(te);return V.isDirectory()&&Z?.dangling!==!0}catch{}return!1}le.existsDirectory=J})(i||(e.SymlinkSupport=i={}));const r=new A.$zg;function n(le,ge,se){return r.queueFor(v.URI.file(le),I.$Wf).queue(()=>{const J=w(se);return new Promise((te,V)=>f(le,ge,J,Z=>Z?V(Z):te()))})}let s=!0;function c(le){s=le}e.configureFlushOnWrite=c;function f(le,ge,se,J){if(!s)return E.writeFile(le,ge,{mode:se.mode,flag:se.flag},J);E.open(le,se.flag,se.mode,(te,V)=>{if(te)return J(te);E.writeFile(V,ge,Z=>{if(Z)return E.close(V,()=>J(Z));E.fdatasync(V,H=>(H&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",H),c(!1)),E.close(V,B=>J(B))))})})}function y(le,ge,se){const J=w(se);if(!s)return E.writeFileSync(le,ge,{mode:J.mode,flag:J.flag});const te=E.openSync(le,J.flag,J.mode);try{E.writeFileSync(te,ge);try{E.fdatasyncSync(te)}catch(V){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",V),c(!1)}}finally{E.closeSync(te)}}e.writeFileSync=y;function w(le){return le?{mode:typeof le.mode=="number"?le.mode:438,flag:typeof le.flag=="string"?le.flag:"w"}:{mode:438,flag:"w"}}async function D(le,ge){if(le!==ge)try{await e.Promises.rename(le,ge)}catch(se){if(le.toLowerCase()!==ge.toLowerCase()&&se.code==="EXDEV"||le.endsWith("."))await C(le,ge,{preserveSymlinks:!1}),await h(le,p.MOVE);else throw se}}async function C(le,ge,se){return X(le,ge,{root:{source:le,target:ge},options:se,handledSourcePaths:new Set})}const M=511;async function X(le,ge,se){if(se.handledSourcePaths.has(le))return;se.handledSourcePaths.add(le);const{stat:J,symbolicLink:te}=await i.stat(le);if(te){if(se.options.preserveSymlinks)try{return await ue(le,ge,se)}catch(V){console.warn("[node.js fs] copy of symlink failed: ",V)}if(te.dangling)return}return J.isDirectory()?ne(le,ge,J.mode&M,se):he(le,ge,J.mode&M)}async function ne(le,ge,se,J){await e.Promises.mkdir(ge,{recursive:!0,mode:se});const te=await u(le);for(const V of te)await X((0,b.$$b)(le,V),(0,b.$$b)(ge,V),J)}async function he(le,ge,se){await e.Promises.copyFile(le,ge),await e.Promises.chmod(ge,se)}async function ue(le,ge,se){let J=await e.Promises.readlink(le);(0,R.$He)(J,se.root.source,!d.$k)&&(J=(0,b.$$b)(se.root.target,J.substr(se.root.source.length+1))),await e.Promises.symlink(J,ge)}e.Promises=new class{get access(){return(0,o.promisify)(E.access)}get stat(){return(0,o.promisify)(E.stat)}get lstat(){return(0,o.promisify)(E.lstat)}get utimes(){return(0,o.promisify)(E.utimes)}get read(){return(le,ge,se,J,te)=>new Promise((V,Z)=>{E.read(le,ge,se,J,te,(H,B,ie)=>H?Z(H):V({bytesRead:B,buffer:ie}))})}get readFile(){return(0,o.promisify)(E.readFile)}get write(){return(le,ge,se,J,te)=>new Promise((V,Z)=>{E.write(le,ge,se,J,te,(H,B,ie)=>H?Z(H):V({bytesWritten:B,buffer:ie}))})}get appendFile(){return(0,o.promisify)(E.appendFile)}get fdatasync(){return(0,o.promisify)(E.fdatasync)}get truncate(){return(0,o.promisify)(E.truncate)}get rename(){return(0,o.promisify)(E.rename)}get copyFile(){return(0,o.promisify)(E.copyFile)}get open(){return(0,o.promisify)(E.open)}get close(){return(0,o.promisify)(E.close)}get symlink(){return(0,o.promisify)(E.symlink)}get readlink(){return(0,o.promisify)(E.readlink)}get chmod(){return(0,o.promisify)(E.chmod)}get mkdir(){return(0,o.promisify)(E.mkdir)}get unlink(){return(0,o.promisify)(E.unlink)}get rmdir(){return(0,o.promisify)(E.rmdir)}get realpath(){return(0,o.promisify)(E.realpath)}async exists(le){try{return await e.Promises.access(le),!0}catch{return!1}}get readdir(){return u}get readDirsInDir(){return k}get writeFile(){return n}get rm(){return h}get move(){return D}get copy(){return C}}}),define(be[164],pe([1,0,28,7,3,17,23]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ip=e.$Hp=e.$Gp=e.$Fp=void 0;function L(p){if(o.$k)return p;const h=(0,O.$bc)(p);if(p===h)return p;const m=((0,O.$cc)(p)||p).toLowerCase();try{const a=(0,R.readdirSync)(h).filter(u=>u.toLowerCase()===m);if(a.length===1){const u=L(h);if(u)return(0,O.$$b)(u,a[0])}else if(a.length>1){const u=a.indexOf(m);if(u>=0){const l=L(h);if(l)return(0,O.$$b)(l,a[u])}}}catch{}return null}e.$Fp=L;async function b(p){if(o.$k)return p;const h=(0,O.$bc)(p);if(p===h)return p;const m=((0,O.$cc)(p)||p).toLowerCase();try{const a=(await R.Promises.readdir(h)).filter(u=>u.toLowerCase()===m);if(a.length===1){const u=await b(h);if(u)return(0,O.$$b)(u,a[0])}else if(a.length>1){const u=a.indexOf(m);if(u>=0){const l=await b(h);if(l)return(0,O.$$b)(l,a[u])}}}catch{}return null}e.$Gp=b;async function d(p){try{return await R.Promises.realpath(p)}catch{const m=v(p);return await R.Promises.access(m,E.constants.R_OK),m}}e.$Hp=d;function I(p){try{return E.realpathSync(p)}catch{const m=v(p);return E.accessSync(m,E.constants.R_OK),m}}e.$Ip=I;function v(p){return(0,A.$qd)((0,O.$9b)(p),O.sep)}}),define(be[102],pe([1,0,29,7,23]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$al=e.$_k=void 0;const A=/^\d+$/,R=/^Microsoft.PowerShell_.*/,L=/^Microsoft.PowerShellPreview_.*/;var b;(function(P){P[P.x64=0]="x64",P[P.x86=1]="x86",P[P.ARM=2]="ARM"})(b||(b={}));let d;switch(process.arch){case"ia32":case"x32":d=1;break;case"arm":case"arm64":d=2;break;default:d=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class v{constructor(k,t,i){this.exePath=k,this.displayName=t,this.a=i}async exists(){return this.a===void 0&&(this.a=await o.SymlinkSupport.existsFile(this.exePath)),this.a}}function p({useAlternateBitness:P=!1}={}){return P?d===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function h({useAlternateBitness:P=!1,findPreview:k=!1}={}){const t=p({useAlternateBitness:P});if(!t)return null;const i=O.$$b(t,"PowerShell");if(!await o.SymlinkSupport.existsDirectory(i))return null;let r=-1,n=null;for(const f of await o.Promises.readdir(i)){let y=-1;if(k){const D=f.indexOf("-");if(D<0)continue;const C=f.substring(0,D);if(!A.test(C)||f.substring(D+1)!=="preview")continue;y=parseInt(C,10)}else{if(!A.test(f))continue;y=parseInt(f,10)}if(y<=r)continue;const w=O.$$b(i,f,"pwsh.exe");await o.SymlinkSupport.existsFile(w)&&(n=w,r=y)}if(!n)return null;const s=t.includes("x86")?" (x86)":"",c=k?" Preview":"";return new v(n,`PowerShell${c}${s}`,!0)}async function m({findPreview:P}={}){if(!process.env.LOCALAPPDATA)return null;const k=O.$$b(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await o.SymlinkSupport.existsDirectory(k))return null;const{pwshMsixDirRegex:t,pwshMsixName:i}=P?{pwshMsixDirRegex:L,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:R,pwshMsixName:"PowerShell (Store)"};for(const r of await o.Promises.readdir(k))if(t.test(r)){const n=O.$$b(k,r,"pwsh.exe");return new v(n,i)}return null}function g(){const P=O.$$b(E.homedir(),".dotnet","tools","pwsh.exe");return new v(P,".NET Core PowerShell Global Tool")}function a(){const P=O.$$b(process.env.windir,d===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new v(P,"Windows PowerShell",!0)}async function*u(){let P=await h();P&&(yield P),P=await h({useAlternateBitness:!0}),P&&(yield P),P=await m(),P&&(yield P),P=g(),P&&(yield P),P=await h({findPreview:!0}),P&&(yield P),P=await m({findPreview:!0}),P&&(yield P),P=await h({useAlternateBitness:!0,findPreview:!0}),P&&(yield P),P=a(),P&&(yield P)}async function*l(){for await(const P of u())await P.exists()&&(yield P)}e.$_k=l;async function $(){for await(const P of l())return P;return null}e.$al=$}),define(be[103],pe([1,0,7,3,30,61,8,23]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.$el=e.$dl=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return A.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return A.TerminateResponseCode}});function b(v=o.env){return v.comspec||"cmd.exe"}e.$dl=b;function d(v){let p=[],h=!1;const m=function(g){if(h){p.push(g);return}(!v.send(g,u=>{if(u&&console.error(u),h=!1,p.length>0){const l=p.slice(0);p=[],l.forEach($=>m($))}})||O.$i)&&(h=!0)};return{send:m}}e.$el=d;var I;(function(v){async function p(h,m,g){if(E.$0b(h))return h;if(m===void 0&&(m=o.cwd()),E.$bc(h)!=="."||(g===void 0&&R.$ge(o.env.PATH)&&(g=o.env.PATH.split(E.$ic)),g===void 0||g.length===0))return E.$$b(m,h);async function u(l){if(await L.Promises.exists(l)){let $;try{$=await L.Promises.stat(l)}catch(P){P.message.startsWith("EACCES")&&($=await L.Promises.lstat(l))}return $?!$.isDirectory():!1}return!1}for(const l of g){let $;if(E.$0b(l)?$=E.$$b(l,h):$=E.$$b(m,l,h),await u($))return $;let P=$+".com";if(await u(P)||(P=$+".exe",await u(P)))return P}return E.$$b(m,h)}v.findExecutable=p})(I||(e.win32=I={}))}),define(be[104],pe([1,0,52,13]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$br=void 0;function o(R){return new Promise((L,b)=>{let d;const I=new Map;function v(h,m,g,a,u){const l=I.get(m);if(h===R||l){const $={name:p(g),cmd:g,pid:h,ppid:m,load:a,mem:u};I.set(h,$),h===R&&(d=$),l&&(l.children||(l.children=[]),l.children.push($),l.children.length>1&&(l.children=l.children.sort((P,k)=>P.pid-k.pid)))}}function p(h){const m=/--utility-sub-type=network/i,g=/--ms-enable-electron-run-as-node/i,a=/--crashes-directory/i,u=/\\pipe\\winpty-control/i,l=/conhost\.exe.+--headless/i,$=/--type=([a-zA-Z-]+)/;if(a.exec(h))return"electron-crash-reporter";if(u.exec(h))return"winpty-agent";if(l.exec(h))return"conpty-agent";let P=$.exec(h);if(P&&P.length===2)return P[1]==="renderer"?"window":P[1]==="utility"?m.exec(h)?"utility-network-service":"utility-process":P[1]==="extensionHost"?"extension-host":P[1];const k=/[a-zA-Z-]+\.js/g;let t="";do P=k.exec(h),P&&(t+=P+" ");while(P);return t&&h.indexOf("node ")<0&&h.indexOf("node.exe")<0?`electron-nodejs (${t})`:g.exec(h)?`electron-nodejs (${h})`:h}if(process.platform==="win32"){const h=m=>m.indexOf("\\\\?\\")===0||m.indexOf("\\??\\")===0?m.substring(4):m.indexOf('"\\\\?\\')===0||m.indexOf('"\\??\\')===0?'"'+m.substring(5):m;new Promise((m,g)=>{ae(["@vscode/windows-process-tree"],m,g)}).then(m=>{m.getProcessList(R,g=>{if(!g){b(new Error(`Root process ${R} not found`));return}m.getProcessCpuUsage(g,a=>{const u=new Map;a.forEach(l=>{const $=h(l.commandLine||"");u.set(l.pid,{name:p($),cmd:$,pid:l.pid,ppid:l.ppid,load:l.cpu||0,mem:l.memory||0})}),d=u.get(R),d?(u.forEach(l=>{const $=u.get(l.ppid);$&&($.children||($.children=[]),$.children.push(l))}),u.forEach(l=>{l.children&&(l.children=l.children.sort(($,P)=>$.pid-P.pid))}),L(d)):b(new Error(`Root process ${R} not found`))})},m.ProcessDataFlag.CommandLine|m.ProcessDataFlag.Memory)})}else{let h=function(){let m=[d];const g=[];for(;m.length;){const u=m.shift();u&&(g.push(u.pid),u.children&&(m=m.concat(u.children)))}let a=JSON.stringify(O.$1e.asFileUri("vs/base/node/cpuUsage.sh").fsPath);a+=" "+g.join(" "),(0,E.exec)(a,{},(u,l,$)=>{if(u||$)b(u||new Error($.toString()));else{const P=l.toString().split(`
`);for(let k=0;k<g.length;k++){const t=I.get(g[k]);t.load=parseFloat(P[k])}if(!d){b(new Error(`Root process ${R} not found`));return}L(d)}})};(0,E.exec)("which ps",{},(m,g,a)=>{if(m||a)if(process.platform!=="linux")b(m||new Error(a.toString()));else{const u=JSON.stringify(O.$1e.asFileUri("vs/base/node/ps.sh").fsPath);(0,E.exec)(u,{},(l,$,P)=>{l||P?b(l||new Error(P.toString())):(A($,v),h())})}else{const u=g.toString().trim(),l="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,E.exec)(`${u} ${l}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},($,P,k)=>{$||k&&!k.includes("screen size is bogus")?b($||new Error(k.toString())):(A(P,v),process.platform==="linux"?h():d?L(d):b(new Error(`Root process ${R} not found`)))})}})}})}e.$br=o;function A(R,L){const b=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,d=R.toString().split(`
`);for(const I of d){const v=b.exec(I.trim());v&&v.length===6&&L(parseInt(v[1]),parseInt(v[2]),v[5],parseFloat(v[3]),parseFloat(v[4]))}}}),define(be[165],pe([1,0,29,3,102,103]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fl=void 0;async function R(v,p){return v===1?O.$i?I():A.$dl(p):b(v,p)}e.$fl=R;let L=null;function b(v,p){if(O.$k&&v===2||O.$j&&v===3)return"/bin/bash";if(!L){let h;if(O.$i)h="/bin/bash";else{if(h=p.SHELL,!h)try{h=(0,E.userInfo)().shell}catch{}h||(h="sh"),h==="/bin/false"&&(h="/bin/bash")}L=h}return L}let d=null;async function I(){return d||(d=(await(0,o.$al)()).exePath),d}});var Le=this&&this.__decorate||function(ae,e,E,O){var o=arguments.length,A=o<3?e:O===null?O=Object.getOwnPropertyDescriptor(e,E):O,R;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")A=Reflect.decorate(ae,e,E,O);else for(var L=ae.length-1;L>=0;L--)(R=ae[L])&&(A=(o<3?R(A):o>3?R(e,E,A):R(e,E))||A);return o>3&&A&&Object.defineProperty(e,E,A),A};define(be[42],pe([1,0,18,14,15,20,92,11,5,2,50,17,8]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7g=e.ProxyChannel=e.$6g=e.$5g=e.$4g=e.$3g=e.$2g=e.$1g=e.RequestInitiator=e.$Zg=e.$Yg=e.$Xg=e.$Wg=e.$Vg=void 0;var h;(function(V){V[V.Promise=100]="Promise",V[V.PromiseCancel=101]="PromiseCancel",V[V.EventListen=102]="EventListen",V[V.EventDispose=103]="EventDispose"})(h||(h={}));function m(V){switch(V){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var g;(function(V){V[V.Initialize=200]="Initialize",V[V.PromiseSuccess=201]="PromiseSuccess",V[V.PromiseError=202]="PromiseError",V[V.PromiseErrorObj=203]="PromiseErrorObj",V[V.EventFire=204]="EventFire"})(g||(g={}));function a(V){switch(V){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var u;(function(V){V[V.Uninitialized=0]="Uninitialized",V[V.Idle=1]="Idle"})(u||(u={}));function l(V){let Z=0;for(let H=0;;H+=7){const B=V.read(1);if(Z|=(B.buffer[0]&127)<<H,!(B.buffer[0]&128))return Z}}const $=r(0);function P(V,Z){if(Z===0){V.write($);return}let H=0;for(let ie=Z;ie!==0;ie=ie>>>7)H++;const B=o.$Ib.alloc(H);for(let ie=0;Z!==0;ie++)B.buffer[ie]=Z&127,Z=Z>>>7,Z>0&&(B.buffer[ie]|=128);V.write(B)}class k{constructor(Z){this.b=Z,this.a=0}read(Z){const H=this.b.slice(this.a,this.a+Z);return this.a+=H.byteLength,H}}e.$Vg=k;class t{constructor(){this.a=[]}get buffer(){return o.$Ib.concat(this.a)}write(Z){this.a.push(Z)}}e.$Wg=t;var i;(function(V){V[V.Undefined=0]="Undefined",V[V.String=1]="String",V[V.Buffer=2]="Buffer",V[V.VSBuffer=3]="VSBuffer",V[V.Array=4]="Array",V[V.Object=5]="Object",V[V.Int=6]="Int"})(i||(i={}));function r(V){const Z=o.$Ib.alloc(1);return Z.writeUInt8(V,0),Z}const n={Undefined:r(i.Undefined),String:r(i.String),Buffer:r(i.Buffer),VSBuffer:r(i.VSBuffer),Array:r(i.Array),Object:r(i.Object),Uint:r(i.Int)},s=typeof Buffer<"u";function c(V,Z){if(typeof Z>"u")V.write(n.Undefined);else if(typeof Z=="string"){const H=o.$Ib.fromString(Z);V.write(n.String),P(V,H.byteLength),V.write(H)}else if(s&&Buffer.isBuffer(Z)){const H=o.$Ib.wrap(Z);V.write(n.Buffer),P(V,H.byteLength),V.write(H)}else if(Z instanceof o.$Ib)V.write(n.VSBuffer),P(V,Z.byteLength),V.write(Z);else if(Array.isArray(Z)){V.write(n.Array),P(V,Z.length);for(const H of Z)c(V,H)}else if(typeof Z=="number"&&(Z|0)===Z)V.write(n.Uint),P(V,Z);else{const H=o.$Ib.fromString(JSON.stringify(Z));V.write(n.Object),P(V,H.byteLength),V.write(H)}}e.$Xg=c;function f(V){switch(V.read(1).readUInt8(0)){case i.Undefined:return;case i.String:return V.read(l(V)).toString();case i.Buffer:return V.read(l(V)).buffer;case i.VSBuffer:return V.read(l(V));case i.Array:{const H=l(V),B=[];for(let ie=0;ie<H;ie++)B.push(f(V));return B}case i.Object:return JSON.parse(V.read(l(V)).toString());case i.Int:return l(V)}}e.$Yg=f;class y{constructor(Z,H,B=null,ie=1e3){this.h=Z,this.j=H,this.k=B,this.l=ie,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(Y=>this.q(Y)),this.m({type:200})}registerChannel(Z,H){this.b.set(Z,H),setTimeout(()=>this.w(Z),0)}m(Z){switch(Z.type){case 200:{const H=this.o([Z.type]);this.k?.logOutgoing(H,0,1,a(Z.type));return}case 201:case 202:case 204:case 203:{const H=this.o([Z.type,Z.id],Z.data);this.k?.logOutgoing(H,Z.id,1,a(Z.type),Z.data);return}}}o(Z,H=void 0){const B=new t;return c(B,Z),c(B,H),this.p(B.buffer)}p(Z){try{return this.h.send(Z),Z.byteLength}catch{return 0}}q(Z){const H=new k(Z),B=f(H),ie=f(H),Y=B[0];switch(Y){case 100:return this.k?.logIncoming(Z.byteLength,B[1],1,`${m(Y)}: ${B[2]}.${B[3]}`,ie),this.s({type:Y,id:B[1],channelName:B[2],name:B[3],arg:ie});case 102:return this.k?.logIncoming(Z.byteLength,B[1],1,`${m(Y)}: ${B[2]}.${B[3]}`,ie),this.t({type:Y,id:B[1],channelName:B[2],name:B[3],arg:ie});case 101:return this.k?.logIncoming(Z.byteLength,B[1],1,`${m(Y)}`),this.u({type:Y,id:B[1]});case 103:return this.k?.logIncoming(Z.byteLength,B[1],1,`${m(Y)}`),this.u({type:Y,id:B[1]})}}s(Z){const H=this.b.get(Z.channelName);if(!H){this.v(Z);return}const B=new A.$bd;let ie;try{ie=H.call(this.j,Z.name,Z.arg,B.token)}catch(T){ie=Promise.reject(T)}const Y=Z.id;ie.then(T=>{this.m({id:Y,data:T,type:201}),this.d.delete(Z.id)},T=>{T instanceof Error?this.m({id:Y,data:{message:T.message,name:T.name,stack:T.stack?T.stack.split?T.stack.split(`
`):T.stack:void 0},type:202}):this.m({id:Y,data:T,type:203}),this.d.delete(Z.id)});const _=(0,d.$ib)(()=>B.cancel());this.d.set(Z.id,_)}t(Z){const H=this.b.get(Z.channelName);if(!H){this.v(Z);return}const B=Z.id,Y=H.listen(this.j,Z.name,Z.arg)(_=>this.m({id:B,data:_,type:204}));this.d.set(Z.id,Y)}u(Z){const H=this.d.get(Z.id);H&&(H.dispose(),this.d.delete(Z.id))}v(Z){let H=this.g.get(Z.channelName);H||(H=[],this.g.set(Z.channelName,H));const B=setTimeout(()=>{console.error(`Unknown channel: ${Z.channelName}`),Z.type===100&&this.m({id:Z.id,data:{name:"Unknown channel",message:`Channel name '${Z.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);H.push({request:Z,timeoutTimer:B})}w(Z){const H=this.g.get(Z);if(H){for(const B of H)switch(clearTimeout(B.timeoutTimer),B.request.type){case 100:this.s(B.request);break;case 102:this.t(B.request);break}this.g.delete(Z)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,d.$fb)(this.d.values()),this.d.clear()}}e.$Zg=y;var w;(function(V){V[V.LocalSide=0]="LocalSide",V[V.OtherSide=1]="OtherSide"})(w||(e.RequestInitiator=w={}));class D{constructor(Z,H=null){this.l=Z,this.a=!1,this.b=u.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new b.$5c,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(B=>this.s(B)),this.j=H}getChannel(Z){const H=this;return{call(B,ie,Y){return H.a?Promise.reject(new L.$2):H.m(Z,B,ie,Y)},listen(B,ie){return H.a?b.Event.None:H.o(Z,B,ie)}}}m(Z,H,B,ie=A.CancellationToken.None){const Y=this.g++,T={id:Y,type:100,channelName:Z,name:H,arg:B};if(ie.isCancellationRequested)return Promise.reject(new L.$2);let S;return new Promise((ee,oe)=>{if(ie.isCancellationRequested)return oe(new L.$2);const z=()=>{const G=K=>{switch(K.type){case 201:this.f.delete(Y),ee(K.data);break;case 202:{this.f.delete(Y);const Q=new Error(K.data.message);Q.stack=Array.isArray(K.data.stack)?K.data.stack.join(`
`):K.data.stack,Q.name=K.data.name,oe(Q);break}case 203:this.f.delete(Y),oe(K.data);break}};this.f.set(Y,G),this.p(T)};let q=null;this.b===u.Idle?z():(q=(0,O.$fg)(G=>this.u()),q.then(()=>{q=null,z()}));const W=()=>{q?(q.cancel(),q=null):this.p({id:Y,type:101}),oe(new L.$2)},U=ie.onCancellationRequested(W);S=(0,d.$hb)((0,d.$ib)(W),U),this.d.add(S)}).finally(()=>{this.d.delete(S)})}o(Z,H,B){const ie=this.g++,_={id:ie,type:102,channelName:Z,name:H,arg:B};let T=null;const S=new b.$5c({onWillAddFirstListener:()=>{T=(0,O.$fg)(ee=>this.u()),T.then(()=>{T=null,this.d.add(S),this.p(_)})},onDidRemoveLastListener:()=>{T?(T.cancel(),T=null):(this.d.delete(S),this.p({id:ie,type:103}))}}),N=ee=>S.fire(ee.data);return this.f.set(ie,N),S.event}p(Z){switch(Z.type){case 100:case 102:{const H=this.q([Z.type,Z.id,Z.channelName,Z.name],Z.arg);this.j?.logOutgoing(H,Z.id,0,`${m(Z.type)}: ${Z.channelName}.${Z.name}`,Z.arg);return}case 101:case 103:{const H=this.q([Z.type,Z.id]);this.j?.logOutgoing(H,Z.id,0,m(Z.type));return}}}q(Z,H=void 0){const B=new t;return c(B,Z),c(B,H),this.r(B.buffer)}r(Z){try{return this.l.send(Z),Z.byteLength}catch{return 0}}s(Z){const H=new k(Z),B=f(H),ie=f(H),Y=B[0];switch(Y){case 200:return this.j?.logIncoming(Z.byteLength,0,0,a(Y)),this.t({type:B[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(Z.byteLength,B[1],0,a(Y),ie),this.t({type:B[0],id:B[1],data:ie})}}t(Z){if(Z.type===200){this.b=u.Idle,this.k.fire();return}this.f.get(Z.id)?.(Z)}get onDidInitializePromise(){return b.Event.toPromise(this.onDidInitialize)}u(){return this.b===u.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,d.$fb)(this.d.values()),this.d.clear()}}e.$1g=D,Le([R.$Pg],D.prototype,"onDidInitializePromise",null);class C{get connections(){const Z=[];return this.f.forEach(H=>Z.push(H)),Z}constructor(Z){this.a=new Map,this.f=new Set,this.g=new b.$5c,this.onDidAddConnection=this.g.event,this.h=new b.$5c,this.onDidRemoveConnection=this.h.event,Z(({protocol:H,onDidClientDisconnect:B})=>{b.Event.once(H.onMessage)(Y=>{const _=new k(Y),T=f(_),S=new y(H,T),N=new D(H);this.a.forEach((oe,z)=>S.registerChannel(z,oe));const ee={channelServer:S,channelClient:N,ctx:T};this.f.add(ee),this.g.fire(ee),B(()=>{S.dispose(),N.dispose(),this.f.delete(ee),this.h.fire(ee)})})})}getChannel(Z,H){const B=this;return{call(ie,Y,_){let T;if((0,p.$ue)(H)){const N=(0,E.$Hf)(B.connections.filter(H));T=N?Promise.resolve(N):b.Event.toPromise(b.Event.filter(B.onDidAddConnection,H))}else T=H.routeCall(B,ie,Y);const S=T.then(N=>N.channelClient.getChannel(Z));return X(S).call(ie,Y,_)},listen(ie,Y){if((0,p.$ue)(H))return B.j(Z,H,ie,Y);const _=H.routeEvent(B,ie,Y).then(T=>T.channelClient.getChannel(Z));return X(_).listen(ie,Y)}}}j(Z,H,B,ie){const Y=this;let _=new d.$jb;const T=new b.$5c({onWillAddFirstListener:()=>{_=new d.$jb;const S=new b.$$c,N=new Map,ee=z=>{const W=z.channelClient.getChannel(Z).listen(B,ie),U=S.add(W);N.set(z,U)},oe=z=>{const q=N.get(z);q&&(q.dispose(),N.delete(z))};Y.connections.filter(H).forEach(ee),b.Event.filter(Y.onDidAddConnection,H)(ee,void 0,_),Y.onDidRemoveConnection(oe,void 0,_),S.event(T.fire,T,_),_.add(S)},onDidRemoveLastListener:()=>{_.dispose()}});return T.event}registerChannel(Z,H){this.a.set(Z,H),this.f.forEach(B=>{B.channelServer.registerChannel(Z,H)})}dispose(){this.a.clear(),this.f.clear(),this.g.dispose(),this.h.dispose()}}e.$2g=C;class M{constructor(Z,H,B=null){const ie=new t;c(ie,H),Z.send(ie.buffer),this.a=new D(Z,B),this.d=new y(Z,H,B)}getChannel(Z){return this.a.getChannel(Z)}registerChannel(Z,H){this.d.registerChannel(Z,H)}dispose(){this.a.dispose(),this.d.dispose()}}e.$3g=M;function X(V){return{call(Z,H,B){return V.then(ie=>ie.call(Z,H,B))},listen(Z,H){const B=new b.$ad;return V.then(ie=>B.input=ie.listen(Z,H)),B.event}}}e.$4g=X;function ne(V){let Z=!1;return{call(H,B,ie){return Z?V.call(H,B,ie):(0,O.$sg)(0).then(()=>Z=!0).then(()=>V.call(H,B,ie))},listen(H,B){if(Z)return V.listen(H,B);const ie=new b.$ad;return(0,O.$sg)(0).then(()=>Z=!0).then(()=>ie.input=V.listen(H,B)),ie.event}}}e.$5g=ne;class he{constructor(Z){this.a=Z}routeCall(Z){return this.b(Z)}routeEvent(Z){return this.b(Z)}async b(Z){for(const H of Z.connections)if(await Promise.resolve(this.a(H.ctx)))return Promise.resolve(H);return await b.Event.toPromise(Z.onDidAddConnection),await this.b(Z)}}e.$6g=he;var ue;(function(V){function Z(Y,_){const T=Y,S=_&&_.disableMarshalling,N=new Map;for(const ee in T)B(ee)&&N.set(ee,b.Event.buffer(T[ee],!0));return new class{listen(ee,oe,z){const q=N.get(oe);if(q)return q;if(ie(oe)){const W=T[oe];if(typeof W=="function")return W.call(T,z)}throw new Error(`Event not found: ${oe}`)}call(ee,oe,z){const q=T[oe];if(typeof q=="function"){if(!S&&Array.isArray(z))for(let W=0;W<z.length;W++)z[W]=(0,I.$Ug)(z[W]);return q.apply(T,z)}throw new Error(`Method not found: ${oe}`)}}}V.fromService=Z;function H(Y,_){const T=_&&_.disableMarshalling;return new Proxy({},{get(S,N){if(typeof N=="string")return _?.properties?.has(N)?_.properties.get(N):ie(N)?function(ee){return Y.listen(N,ee)}:B(N)?Y.listen(N):async function(...ee){let oe;_&&!(0,p.$pe)(_.context)?oe=[_.context,...ee]:oe=ee;const z=await Y.call(N,oe);return T?z:(0,I.$Ug)(z)};throw new Error(`Property not found: ${String(N)}`)}})}V.toService=H;function B(Y){return Y[0]==="o"&&Y[1]==="n"&&v.$Id(Y.charCodeAt(2))}function ie(Y){return/^onDynamic/.test(Y)&&v.$Id(Y.charCodeAt(9))}})(ue||(e.ProxyChannel=ue={}));const le=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ge(V){if(Array.isArray(V))return V;if(V&&typeof V=="object"&&typeof V.toString=="function"){const Z=V.toString();if(Z!=="[object Object]")return Z}return V}function se(V){return Array.isArray(V)?V.map(ge):ge(V)}function J(V,Z,H,B,ie,Y,_){_=se(_);const T=le[ie],S=T[B%T.length];let N=[`%c[${V}]%c[${String(Z).padStart(7," ")}]%c[len: ${String(H).padStart(5," ")}]%c${String(B).padStart(5," ")} - ${Y}`,"color: darkgreen","color: grey","color: grey",`color: ${S}`];/\($/.test(Y)?(N=N.concat(_),N.push(")")):N.push(_),console.log.apply(console,N)}class te{constructor(Z,H){this.d=Z,this.f=H,this.a=0,this.b=0}logOutgoing(Z,H,B,ie,Y){this.b+=Z,J(this.d,this.b,Z,H,B,ie,Y)}logIncoming(Z,H,B,ie,Y){this.a+=Z,J(this.f,this.a,Z,H,B,ie,Y)}}e.$7g=te}),define(be[105],pe([1,0,15,5,2,42]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_g=e.$$g=e.$0g=e.$9g=e.ProtocolConstants=e.$8g=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var R;(function(n){n.Created="created",n.Read="read",n.Write="write",n.Open="open",n.Error="error",n.Close="close",n.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",n.NodeEndReceived="nodeEndReceived",n.NodeEndSent="nodeEndSent",n.NodeDrainBegin="nodeDrainBegin",n.NodeDrainEnd="nodeDrainEnd",n.zlibInflateError="zlibInflateError",n.zlibInflateData="zlibInflateData",n.zlibInflateInitialWrite="zlibInflateInitialWrite",n.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",n.zlibInflateWrite="zlibInflateWrite",n.zlibInflateFlushFired="zlibInflateFlushFired",n.zlibDeflateError="zlibDeflateError",n.zlibDeflateData="zlibDeflateData",n.zlibDeflateWrite="zlibDeflateWrite",n.zlibDeflateFlushFired="zlibDeflateFlushFired",n.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",n.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",n.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",n.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",n.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",n.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",n.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",n.ProtocolHeaderRead="protocolHeaderRead",n.ProtocolMessageRead="protocolMessageRead",n.ProtocolHeaderWrite="protocolHeaderWrite",n.ProtocolMessageWrite="protocolMessageWrite",n.ProtocolWrite="protocolWrite"})(R||(e.SocketDiagnosticsEventType=R={}));var L;(function(n){n.enableDiagnostics=!1,n.records=[];const s=new WeakMap;let c=0;function f(w,D){if(!s.has(w)){const C=String(++c);s.set(w,C)}return s.get(w)}function y(w,D,C,M){if(!n.enableDiagnostics)return;const X=f(w,D);if(M instanceof E.$Ib||M instanceof Uint8Array||M instanceof ArrayBuffer||ArrayBuffer.isView(M)){const ne=E.$Ib.alloc(M.byteLength);ne.set(M),n.records.push({timestamp:Date.now(),id:X,label:D,type:C,buff:ne})}else n.records.push({timestamp:Date.now(),id:X,label:D,type:C,data:M})}n.traceSocketEvent=y})(L||(e.SocketDiagnostics=L={}));var b;(function(n){n[n.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",n[n.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(b||(e.SocketCloseEventType=b={}));let d=null;function I(){return d||(d=E.$Ib.alloc(0)),d}class v{get byteLength(){return this.b}constructor(){this.a=[],this.b=0}acceptChunk(s){this.a.push(s),this.b+=s.byteLength}read(s){return this.c(s,!0)}peek(s){return this.c(s,!1)}c(s,c){if(s===0)return I();if(s>this.b)throw new Error("Cannot read so many bytes!");if(this.a[0].byteLength===s){const D=this.a[0];return c&&(this.a.shift(),this.b-=s),D}if(this.a[0].byteLength>s){const D=this.a[0].slice(0,s);return c&&(this.a[0]=this.a[0].slice(s),this.b-=s),D}const f=E.$Ib.alloc(s);let y=0,w=0;for(;s>0;){const D=this.a[w];if(D.byteLength>s){const C=D.slice(0,s);f.set(C,y),y+=s,c&&(this.a[w]=D.slice(s),this.b-=s),s-=s}else f.set(D,y),y+=D.byteLength,c?(this.a.shift(),this.b-=D.byteLength):w++,s-=D.byteLength}return f}}e.$8g=v;var p;(function(n){n[n.None=0]="None",n[n.Regular=1]="Regular",n[n.Control=2]="Control",n[n.Ack=3]="Ack",n[n.Disconnect=5]="Disconnect",n[n.ReplayRequest=6]="ReplayRequest",n[n.Pause=7]="Pause",n[n.Resume=8]="Resume",n[n.KeepAlive=9]="KeepAlive"})(p||(p={}));function h(n){switch(n){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive"}}var m;(function(n){n[n.HeaderLength=13]="HeaderLength",n[n.AcknowledgeTime=2e3]="AcknowledgeTime",n[n.TimeoutTime=2e4]="TimeoutTime",n[n.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",n[n.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime",n[n.KeepAliveSendTime=5e3]="KeepAliveSendTime"})(m||(e.ProtocolConstants=m={}));class g{constructor(s,c,f,y){this.type=s,this.id=c,this.ack=f,this.data=y,this.writtenTime=0}get size(){return this.data.byteLength}}class a extends o.$kb{constructor(s){super(),this.f=this.B(new O.$5c),this.onMessage=this.f.event,this.g={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this.a=s,this.b=!1,this.c=new v,this.B(this.a.onData(c=>this.acceptChunk(c))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this.c.acceptChunk(s);this.c.byteLength>=this.g.readLen;){const c=this.c.read(this.g.readLen);if(this.g.readHead)this.g.readHead=!1,this.g.readLen=c.readUInt32BE(9),this.g.messageType=c.readUInt8(0),this.g.id=c.readUInt32BE(1),this.g.ack=c.readUInt32BE(5),this.a.traceSocketEvent("protocolHeaderRead",{messageType:h(this.g.messageType),id:this.g.id,ack:this.g.ack,messageSize:this.g.readLen});else{const f=this.g.messageType,y=this.g.id,w=this.g.ack;if(this.g.readHead=!0,this.g.readLen=13,this.g.messageType=0,this.g.id=0,this.g.ack=0,this.a.traceSocketEvent("protocolMessageRead",c),this.f.fire(new g(f,y,w,c)),this.b)break}}}readEntireBuffer(){return this.c.read(this.c.byteLength)}dispose(){this.b=!0,super.dispose()}}class u{constructor(s){this.k=null,this.a=!1,this.b=!1,this.c=s,this.d=[],this.f=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this.a=!0}drain(){return this.flush(),this.c.drain()}flush(){this.m()}pause(){this.b=!0}resume(){this.b=!1,this.l()}write(s){if(this.a)return;s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const c=E.$Ib.alloc(13);c.writeUInt8(s.type,0),c.writeUInt32BE(s.id,1),c.writeUInt32BE(s.ack,5),c.writeUInt32BE(s.data.byteLength,9),this.c.traceSocketEvent("protocolHeaderWrite",{messageType:h(s.type),id:s.id,ack:s.ack,messageSize:s.data.byteLength}),this.c.traceSocketEvent("protocolMessageWrite",s.data),this.j(c,s.data)}g(s,c){const f=this.f===0;return this.d.push(s,c),this.f+=s.byteLength+c.byteLength,f}h(){const s=E.$Ib.concat(this.d,this.f);return this.d.length=0,this.f=0,s}j(s,c){this.g(s,c)&&this.l()}l(){this.k||(this.k=setTimeout(()=>{this.k=null,this.m()}))}m(){if(this.f===0||this.b)return;const s=this.h();this.c.traceSocketEvent("protocolWrite",{byteLength:s.byteLength}),this.c.write(s)}}class l extends o.$kb{constructor(s){super(),this.f=new O.$5c,this.onMessage=this.f.event,this.g=new O.$5c,this.onDidDispose=this.g.event,this.a=s,this.b=this.B(new u(this.a)),this.c=this.B(new a(this.a)),this.B(this.c.onMessage(c=>{c.type===1&&this.f.fire(c.data)})),this.B(this.a.onClose(()=>this.g.fire()))}drain(){return this.b.drain()}getSocket(){return this.a}sendDisconnect(){}send(s){this.b.write(new g(1,0,0,s))}}e.$9g=l;class $ extends A.$3g{static fromSocket(s,c){return new $(new l(s),c)}get onDidDispose(){return this.b.onDidDispose}constructor(s,c,f=null){super(s,c,f),this.b=s}dispose(){super.dispose();const s=this.b.getSocket();this.b.sendDisconnect(),this.b.dispose(),s.end()}}e.$0g=$;class P{constructor(){this.b=!1,this.c=!1,this.d=[],this.a=new O.$5c({onWillAddFirstListener:()=>{this.b=!0,queueMicrotask(()=>this.f())},onDidRemoveLastListener:()=>{this.b=!1}}),this.event=this.a.event}f(){if(!this.c){for(this.c=!0;this.b&&this.d.length>0;)this.a.fire(this.d.shift());this.c=!1}}fire(s){this.b?this.d.length>0?this.d.push(s):this.a.fire(s):this.d.push(s)}flushBuffer(){this.d=[]}}e.$$g=P;class k{constructor(s){this.data=s,this.next=null}}class t{constructor(){this.a=null,this.b=null}length(){let s=0,c=this.a;for(;c;)c=c.next,s++;return s}peek(){return this.a?this.a.data:null}toArray(){const s=[];let c=0,f=this.a;for(;f;)s[c++]=f.data,f=f.next;return s}pop(){if(this.a){if(this.a===this.b){this.a=null,this.b=null;return}this.a=this.a.next}}push(s){const c=new k(s);if(!this.a){this.a=c,this.b=c;return}this.b.next=c,this.b=c}}class i{static getInstance(){return i.b||(i.b=new i),i.b}constructor(){this.c=[];const s=Date.now();for(let c=0;c<i.a;c++)this.c[c]=s-1e3*c;setInterval(()=>{for(let c=i.a;c>=1;c--)this.c[c]=this.c[c-1];this.c[0]=Date.now()},1e3)}d(){const s=Date.now(),c=(1+i.a)*1e3;let f=0;for(let y=0;y<i.a;y++)s-this.c[y]<=c&&f++;return 1-f/i.a}hasHighLoad(){return this.d()>=.5}}i.a=10,i.b=null;class r{get unacknowledgedCount(){return this.c-this.d}constructor(s){this.u=new P,this.onControlMessage=this.u.event,this.v=new P,this.onMessage=this.v.event,this.w=new P,this.onDidDispose=this.w.event,this.x=new P,this.onSocketClose=this.x.event,this.y=new P,this.onSocketTimeout=this.y.event,this.s=s.loadEstimator??i.getInstance(),this.t=s.sendKeepAlive??!0,this.a=!1,this.b=new t,this.c=0,this.d=0,this.f=null,this.g=0,this.h=0,this.j=0,this.k=null,this.m=0,this.n=Date.now(),this.r=new o.$jb,this.o=s.socket,this.p=this.r.add(new u(this.o)),this.q=this.r.add(new a(this.o)),this.r.add(this.q.onMessage(c=>this.z(c))),this.r.add(this.o.onClose(c=>this.x.fire(c))),s.initialChunk&&this.q.acceptChunk(s.initialChunk),this.t?this.l=setInterval(()=>{this.D()},5e3):this.l=null}dispose(){this.f&&(clearTimeout(this.f),this.f=null),this.k&&(clearTimeout(this.k),this.k=null),this.l&&(clearInterval(this.l),this.l=null),this.r.dispose()}drain(){return this.p.drain()}sendDisconnect(){const s=new g(5,0,0,I());this.p.write(s),this.p.flush()}sendPause(){const s=new g(7,0,0,I());this.p.write(s)}sendResume(){const s=new g(8,0,0,I());this.p.write(s)}pauseSocketWriting(){this.p.pause()}getSocket(){return this.o}getMillisSinceLastIncomingData(){return Date.now()-this.q.lastReadTime}beginAcceptReconnection(s,c){this.a=!0,this.r.dispose(),this.r=new o.$jb,this.u.flushBuffer(),this.x.flushBuffer(),this.y.flushBuffer(),this.o.dispose(),this.m=0,this.n=Date.now(),this.o=s,this.p=this.r.add(new u(this.o)),this.q=this.r.add(new a(this.o)),this.r.add(this.q.onMessage(f=>this.z(f))),this.r.add(this.o.onClose(f=>this.x.fire(f))),this.q.acceptChunk(c)}endAcceptReconnection(){this.a=!1,this.h=this.g;const s=new g(3,0,this.h,I());this.p.write(s);const c=this.b.toArray();for(let f=0,y=c.length;f<y;f++)this.p.write(c[f]);this.B()}acceptDisconnect(){this.w.fire()}z(s){if(s.ack>this.d){this.d=s.ack;do{const c=this.b.peek();if(c&&c.id<=s.ack)this.b.pop();else break}while(!0)}switch(s.type){case 0:break;case 1:{if(s.id>this.g)if(s.id!==this.g+1){const c=Date.now();c-this.m>1e4&&(this.m=c,this.p.write(new g(6,0,0,I())))}else this.g=s.id,this.j=Date.now(),this.A(),this.v.fire(s.data);break}case 2:{this.u.fire(s.data);break}case 3:break;case 5:{this.w.fire();break}case 6:{const c=this.b.toArray();for(let f=0,y=c.length;f<y;f++)this.p.write(c[f]);this.B();break}case 7:{this.p.pause();break}case 8:{this.p.resume();break}case 9:break}}readEntireBuffer(){return this.q.readEntireBuffer()}flush(){this.p.flush()}send(s){const c=++this.c;this.h=this.g;const f=new g(1,c,this.h,s);this.b.push(f),this.a||(this.p.write(f),this.B())}sendControl(s){const c=new g(2,0,0,s);this.p.write(c)}A(){if(this.g<=this.h||this.k)return;const s=Date.now()-this.j;if(s>=2e3){this.C();return}this.k=setTimeout(()=>{this.k=null,this.A()},2e3-s+5)}B(){if(this.c<=this.d||this.f||this.a)return;const s=this.b.peek(),c=Date.now()-s.writtenTime,f=Date.now()-this.q.lastReadTime,y=Date.now()-this.n;if(c>=2e4&&f>=2e4&&y>=2e4&&!this.s.hasHighLoad()){this.n=Date.now(),this.y.fire({unacknowledgedMsgCount:this.b.length(),timeSinceOldestUnacknowledgedMsg:c,timeSinceLastReceivedSomeData:f});return}const w=Math.max(2e4-c,2e4-f,2e4-y,500);this.f=setTimeout(()=>{this.f=null,this.B()},w)}C(){if(this.g<=this.h)return;this.h=this.g;const s=new g(3,0,this.h,I());this.p.write(s)}D(){this.h=this.g;const s=new g(9,0,this.h,I());this.p.write(s)}}e.$_g=r}),define(be[106],pe([1,0,52,14,15,20,161,11,5,2,21,103,61,42]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dp=e.$Cp=void 0;class m extends h.$Zg{constructor(u){super({send:l=>{try{process.send?.(l.buffer.toString("base64"))}catch{}},onMessage:b.Event.fromNodeEventEmitter(process,"message",l=>o.$Ib.wrap(Buffer.from(l,"base64")))},u),process.once("disconnect",()=>this.dispose())}}e.$Cp=m;class g{constructor(u,l){this.i=u,this.j=l,this.c=new Set,this.g=new Map,this.h=new b.$5c,this.onDidProcessExit=this.h.event;const $=l&&l.timeout?l.timeout:6e4;this.b=new O.$og($),this.d=null,this.f=null}getChannel(u){const l=this;return{call($,P,k){return l.k(u,$,P,k)},listen($,P){return l.l(u,$,P)}}}k(u,l,$,P=A.CancellationToken.None){if(!this.b)return Promise.reject(new Error("disposed"));if(P.isCancellationRequested)return Promise.reject(L.$3());this.b.cancel();const k=this.n(u),t=(0,O.$fg)(n=>k.call(l,$,n)),i=P.onCancellationRequested(()=>t.cancel()),r=(0,d.$ib)(()=>t.cancel());return this.c.add(r),t.finally(()=>{i.dispose(),this.c.delete(r),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}),t}l(u,l,$){if(!this.b)return b.Event.None;this.b.cancel();let P;const k=new b.$5c({onWillAddFirstListener:()=>{P=this.n(u).listen(l,$)(k.fire,k),this.c.add(P)},onDidRemoveLastListener:()=>{this.c.delete(P),P.dispose(),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}});return k.event}get m(){if(!this.f){const u=this.j&&this.j.args?this.j.args:[],l=Object.create(null);l.env={...(0,I.$Dm)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.j&&this.j.env&&(l.env={...l.env,...this.j.env}),this.j&&this.j.freshExecArgv&&(l.execArgv=[]),this.j&&typeof this.j.debug=="number"&&(l.execArgv=["--nolazy","--inspect="+this.j.debug]),this.j&&typeof this.j.debugBrk=="number"&&(l.execArgv=["--nolazy","--inspect-brk="+this.j.debugBrk]),l.execArgv===void 0&&(l.execArgv=process.execArgv.filter(s=>!/^--inspect(-brk)?=/.test(s)).filter(s=>!s.startsWith("--vscode-"))),(0,p.$cl)(l.env),this.d=(0,E.fork)(this.i,u,l);const $=new b.$5c;b.Event.fromNodeEventEmitter(this.d,"message",s=>s)(s=>{if((0,R.$yp)(s)){(0,R.log)(s,`IPC Library: ${this.j.serverName}`);return}$.fire(o.$Ib.wrap(Buffer.from(s,"base64")))});const k=this.j.useQueue?(0,v.$el)(this.d):this.d,t=s=>this.d&&this.d.connected&&k.send(s.buffer.toString("base64")),i=$.event,r={send:t,onMessage:i};this.f=new h.$1g(r);const n=()=>this.o();process.once("exit",n),this.d.on("error",s=>console.warn('IPC "'+this.j.serverName+'" errored with '+s)),this.d.on("exit",(s,c)=>{process.removeListener("exit",n),this.c.forEach(f=>(0,d.$fb)(f)),this.c.clear(),s!==0&&c!=="SIGTERM"&&console.warn('IPC "'+this.j.serverName+'" crashed with exit code '+s+" and signal "+c),this.b?.cancel(),this.o(),this.h.fire({code:s,signal:c})})}return this.f}n(u){let l=this.g.get(u);return l||(l=this.m.getChannel(u),this.g.set(u,l)),l}o(){this.f&&(this.d&&(this.d.kill(),this.d=null),this.f=null,this.g.clear())}dispose(){this.h.dispose(),this.b?.cancel(),this.b=void 0,this.o(),this.c.clear()}}e.$Dp=g}),define(be[166],pe([1,0,14,5,2,50,8]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Do=e.$Co=e.StorageState=e.$Bo=e.StorageHint=void 0;var L;(function(p){p[p.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST",p[p.STORAGE_IN_MEMORY=1]="STORAGE_IN_MEMORY"})(L||(e.StorageHint=L={}));function b(p){const h=p;return h?.changed instanceof Map||h?.deleted instanceof Set}e.$Bo=b;var d;(function(p){p[p.None=0]="None",p[p.Initialized=1]="Initialized",p[p.Closed=2]="Closed"})(d||(e.StorageState=d={}));class I extends o.$kb{constructor(h,m=Object.create(null)){super(),this.m=h,this.n=m,this.b=this.B(new O.$8c),this.onDidChangeStorage=this.b.event,this.c=d.None,this.f=new Map,this.g=new E.$pg(I.a),this.h=new Set,this.j=new Map,this.k=void 0,this.l=[],this.p()}p(){this.B(this.m.onDidChangeItemsExternal(h=>this.r(h)))}r(h){this.b.pause();try{h.changed?.forEach((m,g)=>this.s(g,m)),h.deleted?.forEach(m=>this.s(m,void 0))}finally{this.b.resume()}}s(h,m){if(this.c===d.Closed)return;let g=!1;(0,R.$pe)(m)?g=this.f.delete(h):this.f.get(h)!==m&&(this.f.set(h,m),g=!0),g&&this.b.fire({key:h,external:!0})}get items(){return this.f}get size(){return this.f.size}async init(){this.c===d.None&&(this.c=d.Initialized,this.n.hint!==L.STORAGE_DOES_NOT_EXIST&&(this.f=await this.m.getItems()))}get(h,m){const g=this.f.get(h);return(0,R.$pe)(g)?m:g}getBoolean(h,m){const g=this.get(h);return(0,R.$pe)(g)?m:g==="true"}getNumber(h,m){const g=this.get(h);return(0,R.$pe)(g)?m:parseInt(g,10)}getObject(h,m){const g=this.get(h);return(0,R.$pe)(g)?m:(0,A.$Tg)(g)}async set(h,m,g=!1){if(this.c===d.Closed)return;if((0,R.$pe)(m))return this.delete(h,g);const a=(0,R.$ie)(m)||Array.isArray(m)?(0,A.$Sg)(m):String(m);if(this.f.get(h)!==a)return this.f.set(h,a),this.j.set(h,a),this.h.delete(h),this.b.fire({key:h,external:g}),this.w()}async delete(h,m=!1){if(!(this.c===d.Closed||!this.f.delete(h)))return this.h.has(h)||this.h.add(h),this.j.delete(h),this.b.fire({key:h,external:m}),this.w()}async close(){return this.k||(this.k=this.t()),this.k}async t(){this.c=d.Closed;try{await this.w(0)}catch{}await this.m.close(()=>this.f)}get u(){return this.j.size>0||this.h.size>0}async v(){if(!this.u)return;const h={insert:this.j,delete:this.h};return this.h=new Set,this.j=new Map,this.m.updateItems(h).finally(()=>{if(!this.u)for(;this.l.length;)this.l.pop()?.()})}async flush(h){if(this.u)return this.w(h)}async w(h){return this.g.trigger(()=>this.v(),h)}async whenFlushed(){if(this.u)return new Promise(h=>this.l.push(h))}isInMemory(){return this.n.hint===L.STORAGE_IN_MEMORY}dispose(){this.g.dispose(),super.dispose()}}e.$Co=I,I.a=100;class v{constructor(){this.onDidChangeItemsExternal=O.Event.None,this.a=new Map}async getItems(){return this.a}async updateItems(h){h.insert?.forEach((m,g)=>this.a.set(g,m)),h.delete?.forEach(m=>this.a.delete(m))}async close(){}}e.$Do=v}),define(be[167],pe([1,0,48,4,49,152]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.$ps=e.$os=e.InlayHintKind=e.CommentState=e.CommentMode=e.CommentThreadState=e.CommentThreadCollapsibleState=e.Command=e.$ns=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.$ms=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.$ls=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.$ks=e.$js=e.$is=void 0;class R{constructor(M,X,ne){this.offset=M,this.type=X,this.language=ne,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}e.$is=R;class L{constructor(M,X){this.tokens=M,this.endState=X,this._tokenizationResultBrand=void 0}}e.$js=L;class b{constructor(M,X){this.tokens=M,this.endState=X,this._encodedTokenizationResultBrand=void 0}}e.$ks=b;var d;(function(C){C[C.Method=0]="Method",C[C.Function=1]="Function",C[C.Constructor=2]="Constructor",C[C.Field=3]="Field",C[C.Variable=4]="Variable",C[C.Class=5]="Class",C[C.Struct=6]="Struct",C[C.Interface=7]="Interface",C[C.Module=8]="Module",C[C.Property=9]="Property",C[C.Event=10]="Event",C[C.Operator=11]="Operator",C[C.Unit=12]="Unit",C[C.Value=13]="Value",C[C.Constant=14]="Constant",C[C.Enum=15]="Enum",C[C.EnumMember=16]="EnumMember",C[C.Keyword=17]="Keyword",C[C.Text=18]="Text",C[C.Color=19]="Color",C[C.File=20]="File",C[C.Reference=21]="Reference",C[C.Customcolor=22]="Customcolor",C[C.Folder=23]="Folder",C[C.TypeParameter=24]="TypeParameter",C[C.User=25]="User",C[C.Issue=26]="Issue",C[C.Snippet=27]="Snippet"})(d||(e.CompletionItemKind=d={}));var I;(function(C){const M=new Map;M.set(0,E.$yj.symbolMethod),M.set(1,E.$yj.symbolFunction),M.set(2,E.$yj.symbolConstructor),M.set(3,E.$yj.symbolField),M.set(4,E.$yj.symbolVariable),M.set(5,E.$yj.symbolClass),M.set(6,E.$yj.symbolStruct),M.set(7,E.$yj.symbolInterface),M.set(8,E.$yj.symbolModule),M.set(9,E.$yj.symbolProperty),M.set(10,E.$yj.symbolEvent),M.set(11,E.$yj.symbolOperator),M.set(12,E.$yj.symbolUnit),M.set(13,E.$yj.symbolValue),M.set(15,E.$yj.symbolEnum),M.set(14,E.$yj.symbolConstant),M.set(15,E.$yj.symbolEnum),M.set(16,E.$yj.symbolEnumMember),M.set(17,E.$yj.symbolKeyword),M.set(27,E.$yj.symbolSnippet),M.set(18,E.$yj.symbolText),M.set(19,E.$yj.symbolColor),M.set(20,E.$yj.symbolFile),M.set(21,E.$yj.symbolReference),M.set(22,E.$yj.symbolCustomColor),M.set(23,E.$yj.symbolFolder),M.set(24,E.$yj.symbolTypeParameter),M.set(25,E.$yj.account),M.set(26,E.$yj.issues);function X(ue){let le=M.get(ue);return le||(console.info("No codicon found for CompletionItemKind "+ue),le=E.$yj.symbolProperty),le}C.toIcon=X;const ne=new Map;ne.set("method",0),ne.set("function",1),ne.set("constructor",2),ne.set("field",3),ne.set("variable",4),ne.set("class",5),ne.set("struct",6),ne.set("interface",7),ne.set("module",8),ne.set("property",9),ne.set("event",10),ne.set("operator",11),ne.set("unit",12),ne.set("value",13),ne.set("constant",14),ne.set("enum",15),ne.set("enum-member",16),ne.set("enumMember",16),ne.set("keyword",17),ne.set("snippet",27),ne.set("text",18),ne.set("color",19),ne.set("file",20),ne.set("reference",21),ne.set("customcolor",22),ne.set("folder",23),ne.set("type-parameter",24),ne.set("typeParameter",24),ne.set("account",25),ne.set("issue",26);function he(ue,le){let ge=ne.get(ue);return typeof ge>"u"&&!le&&(ge=9),ge}C.fromString=he})(I||(e.CompletionItemKinds=I={}));var v;(function(C){C[C.Deprecated=1]="Deprecated"})(v||(e.CompletionItemTag=v={}));var p;(function(C){C[C.None=0]="None",C[C.KeepWhitespace=1]="KeepWhitespace",C[C.InsertAsSnippet=4]="InsertAsSnippet"})(p||(e.CompletionItemInsertTextRule=p={}));var h;(function(C){C[C.Invoke=0]="Invoke",C[C.TriggerCharacter=1]="TriggerCharacter",C[C.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(h||(e.CompletionTriggerKind=h={}));var m;(function(C){C[C.Automatic=0]="Automatic",C[C.Explicit=1]="Explicit"})(m||(e.InlineCompletionTriggerKind=m={}));class g{constructor(M,X,ne,he){this.range=M,this.text=X,this.completionKind=ne,this.isSnippetText=he}equals(M){return o.$Kr.lift(this.range).equalsRange(M.range)&&this.text===M.text&&this.completionKind===M.completionKind&&this.isSnippetText===M.isSnippetText}}e.$ls=g;var a;(function(C){C[C.Invoke=1]="Invoke",C[C.Auto=2]="Auto"})(a||(e.CodeActionTriggerType=a={}));var u;(function(C){C[C.Invoke=1]="Invoke",C[C.TriggerCharacter=2]="TriggerCharacter",C[C.ContentChange=3]="ContentChange"})(u||(e.SignatureHelpTriggerKind=u={}));var l;(function(C){C[C.Text=0]="Text",C[C.Read=1]="Read",C[C.Write=2]="Write"})(l||(e.DocumentHighlightKind=l={}));function $(C){return C&&O.URI.isUri(C.uri)&&o.$Kr.isIRange(C.range)&&(o.$Kr.isIRange(C.originSelectionRange)||o.$Kr.isIRange(C.targetSelectionRange))}e.$ms=$;var P;(function(C){C[C.File=0]="File",C[C.Module=1]="Module",C[C.Namespace=2]="Namespace",C[C.Package=3]="Package",C[C.Class=4]="Class",C[C.Method=5]="Method",C[C.Property=6]="Property",C[C.Field=7]="Field",C[C.Constructor=8]="Constructor",C[C.Enum=9]="Enum",C[C.Interface=10]="Interface",C[C.Function=11]="Function",C[C.Variable=12]="Variable",C[C.Constant=13]="Constant",C[C.String=14]="String",C[C.Number=15]="Number",C[C.Boolean=16]="Boolean",C[C.Array=17]="Array",C[C.Object=18]="Object",C[C.Key=19]="Key",C[C.Null=20]="Null",C[C.EnumMember=21]="EnumMember",C[C.Struct=22]="Struct",C[C.Event=23]="Event",C[C.Operator=24]="Operator",C[C.TypeParameter=25]="TypeParameter"})(P||(e.SymbolKind=P={}));var k;(function(C){C[C.Deprecated=1]="Deprecated"})(k||(e.SymbolTag=k={}));var t;(function(C){const M=new Map;M.set(0,E.$yj.symbolFile),M.set(1,E.$yj.symbolModule),M.set(2,E.$yj.symbolNamespace),M.set(3,E.$yj.symbolPackage),M.set(4,E.$yj.symbolClass),M.set(5,E.$yj.symbolMethod),M.set(6,E.$yj.symbolProperty),M.set(7,E.$yj.symbolField),M.set(8,E.$yj.symbolConstructor),M.set(9,E.$yj.symbolEnum),M.set(10,E.$yj.symbolInterface),M.set(11,E.$yj.symbolFunction),M.set(12,E.$yj.symbolVariable),M.set(13,E.$yj.symbolConstant),M.set(14,E.$yj.symbolString),M.set(15,E.$yj.symbolNumber),M.set(16,E.$yj.symbolBoolean),M.set(17,E.$yj.symbolArray),M.set(18,E.$yj.symbolObject),M.set(19,E.$yj.symbolKey),M.set(20,E.$yj.symbolNull),M.set(21,E.$yj.symbolEnumMember),M.set(22,E.$yj.symbolStruct),M.set(23,E.$yj.symbolEvent),M.set(24,E.$yj.symbolOperator),M.set(25,E.$yj.symbolTypeParameter);function X(ne){let he=M.get(ne);return he||(console.info("No codicon found for SymbolKind "+ne),he=E.$yj.symbolProperty),he}C.toIcon=X})(t||(e.SymbolKinds=t={}));class i{static fromValue(M){switch(M){case"comment":return i.Comment;case"imports":return i.Imports;case"region":return i.Region}return new i(M)}constructor(M){this.value=M}}e.$ns=i,i.Comment=new i("comment"),i.Imports=new i("imports"),i.Region=new i("region");var r;(function(C){function M(X){return!X||typeof X!="object"?!1:typeof X.id=="string"&&typeof X.title=="string"}C.is=M})(r||(e.Command=r={}));var n;(function(C){C[C.Collapsed=0]="Collapsed",C[C.Expanded=1]="Expanded"})(n||(e.CommentThreadCollapsibleState=n={}));var s;(function(C){C[C.Unresolved=0]="Unresolved",C[C.Resolved=1]="Resolved"})(s||(e.CommentThreadState=s={}));var c;(function(C){C[C.Editing=0]="Editing",C[C.Preview=1]="Preview"})(c||(e.CommentMode=c={}));var f;(function(C){C[C.Published=0]="Published",C[C.Draft=1]="Draft"})(f||(e.CommentState=f={}));var y;(function(C){C[C.Type=1]="Type",C[C.Parameter=2]="Parameter"})(y||(e.InlayHintKind=y={}));class w{constructor(M){this.b=M,this.a=null}dispose(){this.a&&this.a.then(M=>{M&&M.dispose()})}get tokenizationSupport(){return this.a||(this.a=this.b()),this.a}}e.$os=w,e.$ps=new A.$as;var D;(function(C){C[C.None=0]="None",C[C.Option=1]="Option",C[C.Default=2]="Default",C[C.Preferred=3]="Preferred"})(D||(e.ExternalUriOpenerPriority=D={}))}),define(be[168],pe([9,10]),function(ae,e){return ae.create("vs/base/node/zip",e)}),define(be[169],pe([9,10]),function(ae,e){return ae.create("vs/platform/configuration/common/configurationRegistry",e)}),define(be[170],pe([9,10]),function(ae,e){return ae.create("vs/platform/contextkey/common/contextkey",e)}),define(be[171],pe([9,10]),function(ae,e){return ae.create("vs/platform/contextkey/common/scanner",e)}),define(be[172],pe([9,10]),function(ae,e){return ae.create("vs/platform/environment/node/argv",e)}),define(be[173],pe([9,10]),function(ae,e){return ae.create("vs/platform/environment/node/argvHelper",e)}),define(be[174],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(be[175],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(be[176],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/common/extensionManagementCLI",e)}),define(be[177],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/common/extensionNls",e)}),define(be[178],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(be[179],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(be[180],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(be[181],pe([9,10]),function(ae,e){return ae.create("vs/platform/extensions/common/extensionValidator",e)}),define(be[182],pe([9,10]),function(ae,e){return ae.create("vs/platform/files/common/fileService",e)}),define(be[183],pe([9,10]),function(ae,e){return ae.create("vs/platform/files/common/files",e)}),define(be[184],pe([9,10]),function(ae,e){return ae.create("vs/platform/files/common/io",e)}),define(be[185],pe([9,10]),function(ae,e){return ae.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(be[186],pe([9,10]),function(ae,e){return ae.create("vs/platform/languagePacks/common/languagePacks",e)}),define(be[187],pe([9,10]),function(ae,e){return ae.create("vs/platform/markers/common/markers",e)}),define(be[188],pe([9,10]),function(ae,e){return ae.create("vs/platform/request/common/request",e)}),define(be[189],pe([9,10]),function(ae,e){return ae.create("vs/platform/shell/node/shellEnv",e)}),define(be[190],pe([9,10]),function(ae,e){return ae.create("vs/platform/telemetry/common/telemetryService",e)}),define(be[191],pe([9,10]),function(ae,e){return ae.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(be[192],pe([9,10]),function(ae,e){return ae.create("vs/platform/terminal/common/terminalProfiles",e)}),define(be[193],pe([9,10]),function(ae,e){return ae.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(be[194],pe([9,10]),function(ae,e){return ae.create("vs/platform/workspace/common/workspace",e)}),define(be[195],pe([9,10]),function(ae,e){return ae.create("vs/server/node/remoteExtensionHostAgentCli",e)}),define(be[196],pe([9,10]),function(ae,e){return ae.create("vs/server/node/serverEnvironmentService",e)}),define(be[197],pe([9,10]),function(ae,e){return ae.create("vs/server/node/serverServices",e)}),define(be[198],pe([9,10]),function(ae,e){return ae.create("vs/workbench/api/common/extHostTelemetry",e)}),define(be[199],pe([9,10]),function(ae,e){return ae.create("vs/workbench/common/editor",e)}),define(be[200],pe([9,10]),function(ae,e){return ae.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(be[201],pe([9,10]),function(ae,e){return ae.create("vs/workbench/services/extensions/common/extensionsUtil",e)}),define(be[202],pe([1,0,11,171]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oi=e.TokenType=void 0;var o;(function(d){d[d.LParen=0]="LParen",d[d.RParen=1]="RParen",d[d.Neg=2]="Neg",d[d.Eq=3]="Eq",d[d.NotEq=4]="NotEq",d[d.Lt=5]="Lt",d[d.LtEq=6]="LtEq",d[d.Gt=7]="Gt",d[d.GtEq=8]="GtEq",d[d.RegexOp=9]="RegexOp",d[d.RegexStr=10]="RegexStr",d[d.True=11]="True",d[d.False=12]="False",d[d.In=13]="In",d[d.Not=14]="Not",d[d.And=15]="And",d[d.Or=16]="Or",d[d.Str=17]="Str",d[d.QuotedStr=18]="QuotedStr",d[d.Error=19]="Error",d[d.EOF=20]="EOF"})(o||(e.TokenType=o={}));function A(...d){switch(d.length){case 1:return(0,O.localize)(0,null,d[0]);case 2:return(0,O.localize)(1,null,d[0],d[1]);case 3:return(0,O.localize)(2,null,d[0],d[1],d[2]);default:return}}const R=(0,O.localize)(3,null),L=(0,O.localize)(4,null);class b{constructor(){this.c="",this.d=0,this.e=0,this.f=[],this.g=[],this.m=/[a-zA-Z0-9_<>\-\./\\:\*\?\+\[\]\^,#@;"%\$\p{L}-]+/uy}static getLexeme(I){switch(I.type){case 0:return"(";case 1:return")";case 2:return"!";case 3:return I.isTripleEq?"===":"==";case 4:return I.isTripleEq?"!==":"!=";case 5:return"<";case 6:return"<=";case 7:return">=";case 8:return">=";case 9:return"=~";case 10:return I.lexeme;case 11:return"true";case 12:return"false";case 13:return"in";case 14:return"not";case 15:return"&&";case 16:return"||";case 17:return I.lexeme;case 18:return I.lexeme;case 19:return I.lexeme;case 20:return"EOF";default:throw(0,E.$5)(`unhandled token type: ${JSON.stringify(I)}; have you forgotten to add a case?`)}}get errors(){return this.g}reset(I){return this.c=I,this.d=0,this.e=0,this.f=[],this.g=[],this}scan(){for(;!this.r();)switch(this.d=this.e,this.i()){case 40:this.k(0);break;case 41:this.k(1);break;case 33:if(this.h(61)){const v=this.h(61);this.f.push({type:4,offset:this.d,isTripleEq:v})}else this.k(2);break;case 39:this.o();break;case 47:this.q();break;case 61:if(this.h(61)){const v=this.h(61);this.f.push({type:3,offset:this.d,isTripleEq:v})}else this.h(126)?this.k(9):this.l(A("==","=~"));break;case 60:this.k(this.h(61)?6:5);break;case 62:this.k(this.h(61)?8:7);break;case 38:this.h(38)?this.k(15):this.l(A("&&"));break;case 124:this.h(124)?this.k(16):this.l(A("||"));break;case 32:case 13:case 9:case 10:case 160:break;default:this.n()}return this.d=this.e,this.k(20),Array.from(this.f)}h(I){return this.r()||this.c.charCodeAt(this.e)!==I?!1:(this.e++,!0)}i(){return this.c.charCodeAt(this.e++)}j(){return this.r()?0:this.c.charCodeAt(this.e)}k(I){this.f.push({type:I,offset:this.d})}l(I){const v=this.d,p=this.c.substring(this.d,this.e),h={type:19,offset:this.d,lexeme:p};this.g.push({offset:v,lexeme:p,additionalInfo:I}),this.f.push(h)}n(){this.m.lastIndex=this.d;const I=this.m.exec(this.c);if(I){this.e=this.d+I[0].length;const v=this.c.substring(this.d,this.e),p=b.b.get(v);p?this.k(p):this.f.push({type:17,lexeme:v,offset:this.d})}}o(){for(;this.j()!==39&&!this.r();)this.i();if(this.r()){this.l(R);return}this.i(),this.f.push({type:18,lexeme:this.c.substring(this.d+1,this.e-1),offset:this.d+1})}q(){let I=this.e,v=!1,p=!1;for(;;){if(I>=this.c.length){this.e=I,this.l(L);return}const m=this.c.charCodeAt(I);if(v)v=!1;else if(m===47&&!p){I++;break}else m===91?p=!0:m===92?v=!0:m===93&&(p=!1);I++}for(;I<this.c.length&&b.a.has(this.c.charCodeAt(I));)I++;this.e=I;const h=this.c.substring(this.d,this.e);this.f.push({type:10,lexeme:h,offset:this.d})}r(){return this.e>=this.c.length}}e.$oi=b,b.a=new Set(["i","g","s","m","y","u"].map(d=>d.charCodeAt(0))),b.b=new Map([["not",14],["in",13],["false",12],["true",11]])}),define(be[203],pe([1,0,5,2]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pn=e.$on=void 0;class o{constructor(){this.a=new E.$5c,this.b=new E.$5c,this.c=new E.$5c,this.d=new E.$5c}call(L,b,d){switch(b){case"close":return Promise.resolve(this.a.fire({sessionId:d[0]}));case"reload":return Promise.resolve(this.b.fire({sessionId:d[0]}));case"terminate":return Promise.resolve(this.c.fire({sessionId:d[0]}));case"attach":return Promise.resolve(this.d.fire({sessionId:d[0],port:d[1],subId:d[2]}))}throw new Error("Method not implemented.")}listen(L,b,d){switch(b){case"close":return this.a.event;case"reload":return this.b.event;case"terminate":return this.c.event;case"attach":return this.d.event}throw new Error("Method not implemented.")}}e.$on=o,o.ChannelName="extensionhostdebugservice";class A extends O.$kb{constructor(L){super(),this.b=L}reload(L){this.b.call("reload",[L])}get onReload(){return this.b.listen("reload")}close(L){this.b.call("close",[L])}get onClose(){return this.b.listen("close")}attachSession(L,b,d){this.b.call("attach",[L,b,d])}get onAttachSession(){return this.b.listen("attach")}terminateSession(L,b){this.b.call("terminate",[L,b])}get onTerminateSession(){return this.b.listen("terminate")}openExtensionDevelopmentHostWindow(L,b){return this.b.call("openExtensionDevelopmentHostWindow",[L,b])}}e.$pn=A}),define(be[204],pe([1,0,4]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sn=e.$rn=void 0;class O{constructor(R){this.a=R}listen(R,L,b){throw new Error("Invalid listen")}call(R,L,b){switch(L){case"download":return this.a.download(E.URI.revive(b[0]),E.URI.revive(b[1]))}throw new Error("Invalid call")}}e.$rn=O;class o{constructor(R,L){this.a=R,this.b=L}async download(R,L){const b=this.b();b&&(R=b.transformOutgoingURI(R),L=b.transformOutgoingURI(L)),await this.a.call("download",[R,L])}}e.$sn=o}),define(be[205],pe([1,0,156,92,13,7,30,19,4]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sl=e.$Rl=e.$Ql=e.$Pl=void 0,e.$Pl=/^([^.]+\..+):(.+)$/;class d{get appRoot(){return(0,A.$bc)(o.$1e.asFileUri("").fsPath)}get userHome(){return b.URI.file(this.b.homeDir)}get userDataPath(){return this.b.userDataDir}get appSettingsHome(){return b.URI.file((0,A.$$b)(this.userDataPath,"User"))}get tmpDir(){return b.URI.file(this.b.tmpDir)}get cacheHome(){return b.URI.file(this.userDataPath)}get stateResource(){return(0,L.$6f)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,L.$6f)(this.userRoamingDataHome,"sync")}get logsHome(){if(!this.args.logsPath){const h=(0,E.$Ol)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,A.$$b)(this.userDataPath,"logs",h)}return b.URI.file(this.args.logsPath)}get sync(){return this.args.sync}get machineSettingsResource(){return(0,L.$6f)(b.URI.file((0,A.$$b)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,L.$6f)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,L.$6f)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,L.$6f)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const h=R.env.VSCODE_PORTABLE;return h?b.URI.file((0,A.$$b)(h,"argv.json")):(0,L.$6f)(this.userHome,this.c.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return b.URI.file((0,A.$$b)(this.userDataPath,"Workspaces"))}get builtinExtensionsPath(){const h=this.args["builtin-extensions-dir"];return h?(0,A.$_b)(h):(0,A.$9b)((0,A.$$b)(o.$1e.asFileUri("").fsPath,"..","extensions"))}get extensionsDownloadLocation(){const h=this.args["extensions-download-dir"];return h?b.URI.file((0,A.$_b)(h)):b.URI.file((0,A.$$b)(this.userDataPath,"CachedExtensionVSIXs"))}get extensionsPath(){const h=this.args["extensions-dir"];if(h)return(0,A.$_b)(h);const m=R.env.VSCODE_EXTENSIONS;if(m)return m;const g=R.env.VSCODE_PORTABLE;return g?(0,A.$$b)(g,"extensions"):(0,L.$6f)(this.userHome,this.c.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const h=this.args.extensionDevelopmentPath;if(Array.isArray(h))return h.map(m=>/^[^:/?#]+?:\/\//.test(m)?b.URI.parse(m):b.URI.file((0,A.$9b)(m)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(h=>h==="ui"||h==="workspace"||h==="web"?h:"workspace")}get extensionTestsLocationURI(){const h=this.args.extensionTestsPath;if(h)return/^[^:/?#]+?:\/\//.test(h)?b.URI.parse(h):b.URI.file((0,A.$9b)(h))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const h=this.args["disable-extension"];if(h){if(typeof h=="string")return[h];if(Array.isArray(h)&&h.length>0)return h}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!R.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log?.find(h=>!e.$Pl.test(h))}get extensionLogLevel(){const h=[];for(const m of this.args.log||[]){const g=e.$Pl.exec(m);g&&g[1]&&g[2]&&h.push([g[1],g[2]])}return h.length?h:void 0}get serviceMachineIdResource(){return(0,L.$6f)(b.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const h=R.env.VSCODE_PORTABLE;return h?b.URI.file((0,A.$$b)(h,"policy.json")):(0,L.$6f)(this.userHome,this.c.dataFolderName,"policy.json")}}get continueOn(){return this.args.continueOn}set continueOn(h){this.args.continueOn=h}get args(){return this.a}constructor(h,m,g){this.a=h,this.b=m,this.c=g,this.editSessionId=this.args.editSessionId}}e.$Ql=d,Le([O.$Pg],d.prototype,"appRoot",null),Le([O.$Pg],d.prototype,"userHome",null),Le([O.$Pg],d.prototype,"userDataPath",null),Le([O.$Pg],d.prototype,"appSettingsHome",null),Le([O.$Pg],d.prototype,"tmpDir",null),Le([O.$Pg],d.prototype,"cacheHome",null),Le([O.$Pg],d.prototype,"stateResource",null),Le([O.$Pg],d.prototype,"userRoamingDataHome",null),Le([O.$Pg],d.prototype,"userDataSyncHome",null),Le([O.$Pg],d.prototype,"sync",null),Le([O.$Pg],d.prototype,"machineSettingsResource",null),Le([O.$Pg],d.prototype,"workspaceStorageHome",null),Le([O.$Pg],d.prototype,"localHistoryHome",null),Le([O.$Pg],d.prototype,"keyboardLayoutResource",null),Le([O.$Pg],d.prototype,"argvResource",null),Le([O.$Pg],d.prototype,"isExtensionDevelopment",null),Le([O.$Pg],d.prototype,"untitledWorkspacesHome",null),Le([O.$Pg],d.prototype,"builtinExtensionsPath",null),Le([O.$Pg],d.prototype,"extensionsPath",null),Le([O.$Pg],d.prototype,"extensionDevelopmentLocationURI",null),Le([O.$Pg],d.prototype,"extensionDevelopmentKind",null),Le([O.$Pg],d.prototype,"extensionTestsLocationURI",null),Le([O.$Pg],d.prototype,"debugExtensionHost",null),Le([O.$Pg],d.prototype,"logLevel",null),Le([O.$Pg],d.prototype,"extensionLogLevel",null),Le([O.$Pg],d.prototype,"serviceMachineIdResource",null),Le([O.$Pg],d.prototype,"disableTelemetry",null),Le([O.$Pg],d.prototype,"disableWorkspaceTrust",null),Le([O.$Pg],d.prototype,"policyFile",null);function I(p,h){return v(p["inspect-extensions"],p["inspect-brk-extensions"],5870,h,p.debugId,p.extensionEnvironment)}e.$Rl=I;function v(p,h,m,g,a,u){const $=Number(h||p)||(g?null:m),P=$?!!h:!1;let k;if(u)try{k=JSON.parse(u)}catch{}return{port:$,break:P,debugId:a,env:k}}e.$Sl=v}),define(be[62],pe([1,0,293,3,172]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kl=e.$jl=e.$il=e.$hl=e.$gl=void 0;const A={o:(0,o.localize)(0,null),e:(0,o.localize)(1,null),t:(0,o.localize)(2,null)};e.$gl={tunnel:{type:"subcommand",description:"Make the current machine accessible from vscode.dev or other machines through a secure tunnel",options:{"cli-data-dir":{type:"string",args:"dir",description:(0,o.localize)(3,null)},"disable-telemetry":{type:"boolean"},"telemetry-level":{type:"string"},user:{type:"subcommand",options:{login:{type:"subcommand",options:{provider:{type:"string"},"access-token":{type:"string"}}}}}}},diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,o.localize)(4,null)},merge:{type:"boolean",cat:"o",alias:"m",args:["path1","path2","base","result"],description:(0,o.localize)(5,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,o.localize)(6,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,o.localize)(7,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,o.localize)(8,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,o.localize)(9,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,o.localize)(10,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,o.localize)(11,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,o.localize)(12,null)},profile:{type:"string",cat:"o",args:"profileName",description:(0,o.localize)(13,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,o.localize)(14,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,o.localize)(15,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,o.localize)(16,null)},"show-versions":{type:"boolean",cat:"e",description:(0,o.localize)(17,null)},category:{type:"string",allowEmptyValue:!0,cat:"e",description:(0,o.localize)(18,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,o.localize)(19,null)},"pre-release":{type:"boolean",cat:"e",description:(0,o.localize)(20,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,o.localize)(21,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,o.localize)(22,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,o.localize)(23,null)},verbose:{type:"boolean",cat:"t",global:!0,description:(0,o.localize)(24,null)},log:{type:"string[]",cat:"t",args:"level",global:!0,description:(0,o.localize)(25,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,o.localize)(26,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,o.localize)(27,null)},"prof-append-timers":{type:"string"},"prof-duration-markers":{type:"string[]"},"prof-duration-markers-file":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,o.localize)(28,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,o.localize)(29,null)},sync:{type:"string",cat:"t",description:(0,o.localize)(30,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,o.localize)(31,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,o.localize)(32,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,o.localize)(33,null)},"disable-chromium-sandbox":{type:"boolean",cat:"t",description:(0,o.localize)(34,null)},"ms-enable-electron-run-as-node":{type:"boolean",global:!0},telemetry:{type:"boolean",cat:"t",description:(0,o.localize)(35,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"inspect-sharedprocess":{type:"string",allowEmptyValue:!0},"inspect-brk-sharedprocess":{type:"string",allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},"disable-gpu-sandbox":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},continueOn:{type:"string"},"locate-shell-integration-path":{type:"string",args:["bash","pwsh","zsh","fish"]},"enable-coi":{type:"boolean"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},"profile-temp":{type:"boolean"},_:{type:"string[]"}};const R={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function L(g,a,u=R){const l=g.find(c=>c.length>0&&c[0]!=="-"),$={},P=["_"],k=[],t={};let i;for(const c in a){const f=a[c];f.type==="subcommand"?c===l&&(i=f):(f.alias&&($[c]=f.alias),f.type==="string"||f.type==="string[]"?(P.push(c),f.deprecates&&P.push(...f.deprecates)):f.type==="boolean"&&(k.push(c),f.deprecates&&k.push(...f.deprecates)),f.global&&(t[c]=f))}if(i&&l){const c=t;for(const D in i.options)c[D]=i.options[D];const f=g.filter(D=>D!==l),y=u.getSubcommandReporter?u.getSubcommandReporter(l):void 0,w=L(f,c,y);return{[l]:w,_:[]}}const r=E(g,{string:P,boolean:k,alias:$}),n={},s=r;n._=r._.map(c=>String(c)).filter(c=>c.length>0),delete s._;for(const c in a){const f=a[c];if(f.type==="subcommand")continue;f.alias&&delete s[f.alias];let y=s[c];if(f.deprecates)for(const w of f.deprecates)s.hasOwnProperty(w)&&(y||(y=s[w],y&&u.onDeprecatedOption(w,f.deprecationMessage||(0,o.localize)(36,null,c))),delete s[w]);if(typeof y<"u"){if(f.type==="string[]"){if(Array.isArray(y)||(y=[y]),!f.allowEmptyValue){const w=y.filter(D=>D.length>0);w.length!==y.length&&(u.onEmptyValue(c),y=w.length>0?w:void 0)}}else f.type==="string"&&(Array.isArray(y)?(y=y.pop(),u.onMultipleValues(c,y)):!y&&!f.allowEmptyValue&&(u.onEmptyValue(c),y=void 0));n[c]=y,f.deprecationMessage&&u.onDeprecatedOption(c,f.deprecationMessage)}delete s[c]}for(const c in s)u.onUnknownOption(c);return n}e.$hl=L;function b(g,a){let u="";return a.args&&(Array.isArray(a.args)?u=` <${a.args.join("> <")}>`:u=` <${a.args}>`),a.alias?`-${a.alias} --${g}${u}`:`--${g}${u}`}function d(g,a){const u=[];for(const l in g){const $=g[l],P=b(l,$);u.push([P,$.description])}return I(u,a)}e.$il=d;function I(g,a){const l=g.reduce((k,t)=>Math.max(k,t[0].length),12)+2+1;if(a-l<25)return g.reduce((k,t)=>k.concat([`  ${t[0]}`,`      ${t[1]}`]),[]);const $=a-l-1,P=[];for(const k of g){const t=k[0],i=p(k[1],$),r=v(l-t.length-2);P.push("  "+t+r+i[0]);for(let n=1;n<i.length;n++)P.push(v(l)+i[n])}return P}function v(g){return" ".repeat(g)}function p(g,a){const u=[];for(;g.length;){const l=g.length<a?g.length:g.lastIndexOf(" ",a),$=g.slice(0,l).trim();g=g.slice(l),u.push($)}return u}function h(g,a,u,l,$){const P=process.stdout.isTTY&&process.stdout.columns||80,k=$?.noInputFiles!==!0?`[${(0,o.localize)(37,null)}...]`:"",t=[`${g} ${u}`];t.push(""),t.push(`${(0,o.localize)(38,null)}: ${a} [${(0,o.localize)(39,null)}]${k}`),t.push(""),$?.noPipe!==!0&&(O.$i?t.push((0,o.localize)(40,null,a)):t.push((0,o.localize)(41,null,a)),t.push(""));const i={},r=[];for(const n in l){const s=l[n];if(s.type==="subcommand")s.description&&r.push({command:n,description:s.description});else if(s.description&&s.cat){let c=i[s.cat];c||(i[s.cat]=c={}),c[n]=s}}for(const n in i){const s=n,c=i[s];c&&(t.push(A[s]),t.push(...d(c,P)),t.push(""))}return r.length&&(t.push((0,o.localize)(42,null)),t.push(...I(r.map(n=>[n.command,n.description]),P)),t.push("")),t.join(`
`)}e.$jl=h;function m(g,a){return`${g||(0,o.localize)(43,null)}
${a||(0,o.localize)(44,null)}
${process.arch}`}e.$kl=m}),define(be[206],pe([1,0,294,173,62]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ol=e.$nl=e.$ml=e.$ll=void 0;function A(v,p){const h=($,P)=>{console.warn((0,O.localize)(0,null,$,P))},m=$=>{console.warn((0,O.localize)(1,null,$))},g=($,P)=>{console.warn((0,O.localize)(2,null,$,P))},a=$=>({onUnknownOption:P=>{$!=="tunnel"&&console.warn((0,O.localize)(3,null,P,$))},onMultipleValues:h,onEmptyValue:m,onDeprecatedOption:g,getSubcommandReporter:$!=="tunnel"?a:void 0}),u={onUnknownOption:$=>{console.warn((0,O.localize)(4,null,$))},onMultipleValues:h,onEmptyValue:m,onDeprecatedOption:g,getSubcommandReporter:a},l=(0,o.$hl)(v,o.$gl,p?u:void 0);return l.goto&&l._.forEach($=>E(/^(\w:)?[^:]+(:\d*){0,2}$/.test($),(0,O.localize)(5,null))),l}function R(v){const p=v.findIndex(h=>!/^-/.test(h));if(p>-1)return[...v.slice(0,p),...v.slice(p+1)]}function L(v){let[,...p]=v;process.env.VSCODE_DEV&&(p=R(p)||[]);const h=!I(process.env);return A(p,h)}e.$ll=L;function b(v){let[,,...p]=v;return process.env.VSCODE_DEV&&(p=R(p)||[]),A(p,!0)}e.$ml=b;function d(v,...p){const h=v.indexOf("--");return h===-1?v.push(...p):v.splice(h,0,...p),v}e.$nl=d;function I(v){return v.VSCODE_CLI==="1"}e.$ol=I}),function(){"use strict";function ae(e,E,O){function o(R,L){const b=A(R,L),d=[b];return e.isAbsolute(b)||d.unshift(O),e.resolve(...d)}function A(R,L){process.env.VSCODE_DEV&&(L="code-oss-dev");const b=process.env.VSCODE_PORTABLE;if(b)return e.join(b,"user-data");let d=process.env.VSCODE_APPDATA;if(d)return e.join(d,L);const I=R["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(d=process.env.APPDATA,!d){const v=process.env.USERPROFILE;if(typeof v!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");d=e.join(v,"AppData","Roaming")}break;case"darwin":d=e.join(E.homedir(),"Library","Application Support");break;case"linux":d=process.env.XDG_CONFIG_HOME||e.join(E.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(d,L)}return{getUserDataPath:o}}if(typeof define=="function")define(be[207],pe([74,29,30]),function(e,E,O){return ae(e,E,O.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),E=require("os");module.exports=ae(e,E,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(be[107],pe([1,0,29,205,207]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vl=e.$Ul=e.$Tl=void 0;class A extends O.$Ql{constructor(d,I){super(d,{homeDir:(0,E.homedir)(),tmpDir:(0,E.tmpdir)(),userDataDir:(0,o.getUserDataPath)(d,I.nameShort)},I)}}e.$Tl=A;function R(b,d){return(0,O.$Sl)(b["inspect-ptyhost"],b["inspect-brk-ptyhost"],5877,d,b.extensionEnvironment)}e.$Ul=R;function L(b,d){return(0,O.$Sl)(b["inspect-sharedprocess"],b["inspect-brk-sharedprocess"],5879,d,b.extensionEnvironment)}e.$Vl=L}),define(be[208],pe([1,0,8,177]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$o=void 0;function o(R,L,b){try{A(R,L,b)}catch(d){console.error(d?.message??d)}return R}e.$$o=o;function A(R,L,b){const d=(I,v,p)=>{const h=I[v];if((0,E.$ge)(h)){const m=h,g=m.length;if(g>1&&m[0]==="%"&&m[g-1]==="%"){const a=m.substr(1,g-2);let u=L[a];u===void 0&&b&&(u=b[a]);const l=typeof u=="string"?u:u?.message,$=b?.[a],P=typeof $=="string"?$:$?.message;if(!l){P||console.warn(`[${R.name}]: ${(0,O.localize)(0,null,a)}`);return}if(p&&(v==="title"||v==="category")&&P&&P!==l){const k={value:l,original:P};I[v]=k}else I[v]=l}}else if((0,E.$ie)(h))for(const m in h)h.hasOwnProperty(m)&&(m==="commands"?d(h,m,!0):d(h,m,p));else if(Array.isArray(h))for(let m=0;m<h.length;m++)d(h,m,p)};for(const I in R)R.hasOwnProperty(I)&&d(R,I)}}),define(be[77],pe([1,0,19,58,181,53]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$to=e.$so=e.$ro=e.$qo=e.$po=e.$oo=e.$no=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,L=/^-(\d{4})(\d{2})(\d{2})$/;function b(u){return u=u.trim(),u==="*"||R.test(u)}e.$no=b;function d(u){if(!b(u))return null;if(u=u.trim(),u==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const l=u.match(R);return l?{hasCaret:l[1]==="^",hasGreaterEquals:l[1]===">=",majorBase:l[2]==="x"?0:parseInt(l[2],10),majorMustEqual:l[2]!=="x",minorBase:l[4]==="x"?0:parseInt(l[4],10),minorMustEqual:l[4]!=="x",patchBase:l[6]==="x"?0:parseInt(l[6],10),patchMustEqual:l[6]!=="x",preRelease:l[8]||null}:null}e.$oo=d;function I(u){if(!u)return null;const l=u.majorBase,$=u.majorMustEqual,P=u.minorBase;let k=u.minorMustEqual;const t=u.patchBase;let i=u.patchMustEqual;u.hasCaret&&(l===0||(k=!1),i=!1);let r=0;if(u.preRelease){const n=L.exec(u.preRelease);if(n){const[,s,c,f]=n;r=Date.UTC(Number(s),Number(c)-1,Number(f))}}return{majorBase:l,majorMustEqual:$,minorBase:P,minorMustEqual:k,patchBase:t,patchMustEqual:i,isMinimum:u.hasGreaterEquals,notBefore:r}}e.$po=I;function v(u,l,$){let P;typeof u=="string"?P=I(d(u)):P=u;let k;l instanceof Date?k=l.getTime():typeof l=="string"&&(k=new Date(l).getTime());let t;if(typeof $=="string"?t=I(d($)):t=$,!P||!t)return!1;const i=P.majorBase,r=P.minorBase,n=P.patchBase;let s=t.majorBase,c=t.minorBase,f=t.patchBase;const y=t.notBefore;let w=t.majorMustEqual,D=t.minorMustEqual,C=t.patchMustEqual;return t.isMinimum?i>s?!0:i<s?!1:r>c?!0:r<c||k&&k<y?!1:n>=f:(i===1&&s===0&&(!w||!D||!C)&&(s=1,c=0,f=0,w=!0,D=!1,C=!1),i<s?!1:i>s?!w:r<c?!1:r>c?!D:n<f?!1:n>f?!C:!(k&&k<y))}e.$qo=v;function p(u,l,$,P,k){const t=[];if(typeof P.publisher<"u"&&typeof P.publisher!="string")return t.push([O.default.Error,o.localize(0,null)]),t;if(typeof P.name!="string")return t.push([O.default.Error,o.localize(1,null,"name")]),t;if(typeof P.version!="string")return t.push([O.default.Error,o.localize(2,null,"version")]),t;if(!P.engines)return t.push([O.default.Error,o.localize(3,null,"engines")]),t;if(typeof P.engines.vscode!="string")return t.push([O.default.Error,o.localize(4,null,"engines.vscode")]),t;if(typeof P.extensionDependencies<"u"&&!a(P.extensionDependencies))return t.push([O.default.Error,o.localize(5,null,"extensionDependencies")]),t;if(typeof P.activationEvents<"u"){if(!a(P.activationEvents))return t.push([O.default.Error,o.localize(6,null,"activationEvents")]),t;if(typeof P.main>"u"&&typeof P.browser>"u")return t.push([O.default.Error,o.localize(7,null,"activationEvents","main","browser")]),t}if(typeof P.extensionKind<"u"&&typeof P.main>"u"&&t.push([O.default.Warning,o.localize(8,null,"extensionKind")]),typeof P.main<"u"){if(typeof P.main!="string")return t.push([O.default.Error,o.localize(9,null,"main")]),t;{const n=(0,E.$6f)($,P.main);(0,E.$Zf)(n,$)||t.push([O.default.Warning,o.localize(10,null,n.path,$.path)])}}if(typeof P.browser<"u"){if(typeof P.browser!="string")return t.push([O.default.Error,o.localize(11,null,"browser")]),t;{const n=(0,E.$6f)($,P.browser);(0,E.$Zf)(n,$)||t.push([O.default.Warning,o.localize(12,null,n.path,$.path)])}}if(!A.valid(P.version))return t.push([O.default.Error,o.localize(13,null)]),t;const i=[];if(!h(u,l,P,k,i))for(const n of i)t.push([O.default.Error,n]);return t}e.$ro=p;function h(u,l,$,P,k){return P||typeof $.main>"u"&&typeof $.browser>"u"?!0:g(u,l,$.engines.vscode,k)}e.$so=h;function m(u,l,$){return u==="*"||g(l,$,u)}e.$to=m;function g(u,l,$,P=[]){const k=I(d($));if(!k)return P.push(o.localize(14,null,$)),!1;if(k.majorBase===0){if(!k.majorMustEqual||!k.minorMustEqual)return P.push(o.localize(15,null,$)),!1}else if(!k.majorMustEqual)return P.push(o.localize(16,null,$)),!1;return v(u,l,k)?!0:(P.push(o.localize(17,null,u,$)),!1)}function a(u){if(!Array.isArray(u))return!1;for(let l=0,$=u.length;l<$;l++)if(typeof u[l]!="string")return!1;return!0}}),define(be[209],pe([1,0,15,22]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mo=void 0;async function o(A,R,L){let b=L&&L.get("storage.serviceMachineId",-1)||null;if(b)return b;try{const I=(await R.readFile(A.serviceMachineIdResource)).value.toString();b=(0,O.$2e)(I)?I:null}catch{b=null}if(!b){b=(0,O.$3e)();try{await R.writeFile(A.serviceMachineIdResource,E.$Ib.fromString(b))}catch{}}return L?.store("storage.serviceMachineId",b,-1,1),b}e.$Mo=o}),define(be[63],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ih=void 0;class E{constructor(o,A=[],R=!1){this.ctor=o,this.staticArguments=A,this.supportsDelayedInstantiation=R}}e.$ih=E}),define(be[210],pe([1,0,63]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9q=e.$8q=e.InstantiationType=void 0;const O=[];var o;(function(L){L[L.Eager=0]="Eager",L[L.Delayed=1]="Delayed"})(o||(e.InstantiationType=o={}));function A(L,b,d){b instanceof E.$ih||(b=new E.$ih(b,[],!!d)),O.push([L,b])}e.$8q=A;function R(){return O}e.$9q=R}),define(be[211],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pp=e.$Op=void 0;class E{constructor(A,R){this.key=A,this.data=R,this.incoming=new Map,this.outgoing=new Map}}e.$Op=E;class O{constructor(A){this.b=A,this.a=new Map}roots(){const A=[];for(const R of this.a.values())R.outgoing.size===0&&A.push(R);return A}insertEdge(A,R){const L=this.lookupOrInsertNode(A),b=this.lookupOrInsertNode(R);L.outgoing.set(b.key,b),b.incoming.set(L.key,L)}removeNode(A){const R=this.b(A);this.a.delete(R);for(const L of this.a.values())L.outgoing.delete(R),L.incoming.delete(R)}lookupOrInsertNode(A){const R=this.b(A);let L=this.a.get(R);return L||(L=new E(R,A),this.a.set(R,L)),L}lookup(A){return this.a.get(this.b(A))}isEmpty(){return this.a.size===0}toString(){const A=[];for(const[R,L]of this.a)A.push(`${R}
	(-> incoming)[${[...L.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...L.outgoing.keys()].join(",")}]
`);return A.join(`
`)}findCycleSlow(){for(const[A,R]of this.a){const L=new Set([A]),b=this.c(R,L);if(b)return b}}c(A,R){for(const[L,b]of A.outgoing){if(R.has(L))return[...R,L].join(" -> ");R.add(L);const d=this.c(b,R);if(d)return d;R.delete(L)}}}e.$Pp=O}),define(be[6],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mh=e.$lh=e.$kh=e._util=void 0;var E;(function(R){R.serviceIds=new Map,R.DI_TARGET="$di$target",R.DI_DEPENDENCIES="$di$dependencies";function L(b){return b[R.DI_DEPENDENCIES]||[]}R.getServiceDependencies=L})(E||(e._util=E={})),e.$kh=o("instantiationService");function O(R,L,b){L[E.DI_TARGET]===L?L[E.DI_DEPENDENCIES].push({id:R,index:b}):(L[E.DI_DEPENDENCIES]=[{id:R,index:b}],L[E.DI_TARGET]=L)}function o(R){if(E.serviceIds.has(R))return E.serviceIds.get(R);const L=function(b,d,I){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");O(L,b,I)};return L.toString=()=>R,E.serviceIds.set(R,L),L}e.$lh=o;function A(R){return R}e.$mh=A}),define(be[24],pe([1,0,8,4,6]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2h=e.$1h=e.$Zh=e.$Yh=e.$Xh=e.$Wh=e.$Vh=e.$Uh=e.ConfigurationTarget=e.$Th=e.$Sh=e.$Rh=void 0,e.$Rh=(0,o.$lh)("configurationService");function A(u){return u&&typeof u=="object"&&(!u.overrideIdentifier||typeof u.overrideIdentifier=="string")&&(!u.resource||u.resource instanceof O.URI)}e.$Sh=A;function R(u){return u&&typeof u=="object"&&(!u.overrideIdentifiers||Array.isArray(u.overrideIdentifiers))&&!u.overrideIdentifier&&(!u.resource||u.resource instanceof O.URI)}e.$Th=R;var L;(function(u){u[u.APPLICATION=1]="APPLICATION",u[u.USER=2]="USER",u[u.USER_LOCAL=3]="USER_LOCAL",u[u.USER_REMOTE=4]="USER_REMOTE",u[u.WORKSPACE=5]="WORKSPACE",u[u.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",u[u.DEFAULT=7]="DEFAULT",u[u.MEMORY=8]="MEMORY"})(L||(e.ConfigurationTarget=L={}));function b(u){switch(u){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.$Uh=b;function d(u){return u.applicationValue!==void 0||u.userValue!==void 0||u.userLocalValue!==void 0||u.userRemoteValue!==void 0||u.workspaceValue!==void 0||u.workspaceFolderValue!==void 0}e.$Vh=d;function I(u,l){const $=Object.create(null);for(const P in u)v($,P,u[P],l);return $}e.$Wh=I;function v(u,l,$,P){const k=l.split("."),t=k.pop();let i=u;for(let r=0;r<k.length;r++){const n=k[r];let s=i[n];switch(typeof s){case"undefined":s=i[n]=Object.create(null);break;case"object":break;default:P(`Ignoring ${l} as ${k.slice(0,r+1).join(".")} is ${JSON.stringify(s)}`);return}i=s}if(typeof i=="object"&&i!==null)try{i[t]=$}catch{P(`Ignoring ${l} as ${k.join(".")} is ${JSON.stringify(i)}`)}else P(`Ignoring ${l} as ${k.join(".")} is ${JSON.stringify(i)}`)}e.$Xh=v;function p(u,l){const $=l.split(".");h(u,$)}e.$Yh=p;function h(u,l){const $=l.shift();if(l.length===0){delete u[$];return}if(Object.keys(u).indexOf($)!==-1){const P=u[$];typeof P=="object"&&!Array.isArray(P)&&(h(P,l),Object.keys(P).length===0&&delete u[$])}}function m(u,l,$){function P(i,r){let n=i;for(const s of r){if(typeof n!="object"||n===null)return;n=n[s]}return n}const k=l.split("."),t=P(u,k);return typeof t>"u"?$:t}e.$Zh=m;function g(u,l,$){Object.keys(l).forEach(P=>{P!=="__proto__"&&(P in u?E.$ie(u[P])&&E.$ie(l[P])?g(u[P],l[P],$):$&&(u[P]=l[P]):u[P]=l[P])})}e.$1h=g;function a(u){return u.replace(/[\[\]]/g,"")}e.$2h=a}),define(be[64],pe([1,0,3,17,202,6,170,11]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mi=e.$Li=e.$Ki=e.$Ji=e.$Ii=e.$Hi=e.$Gi=e.$Fi=e.$Ei=e.$Di=e.$Ci=e.$Bi=e.$Ai=e.$zi=e.$yi=e.$xi=e.$wi=e.$vi=e.$ui=e.$ti=e.$si=e.$ri=e.$qi=e.ContextKeyExprType=e.$pi=void 0;const b=new Map;b.set("false",!1),b.set("true",!0),b.set("isMac",E.$j),b.set("isLinux",E.$k),b.set("isWindows",E.$i),b.set("isWeb",E.$o),b.set("isMacNative",E.$j&&!E.$o),b.set("isEdge",E.$G),b.set("isFirefox",E.$E),b.set("isChrome",E.$D),b.set("isSafari",E.$F);function d(T,S){if(b.get(T)!==void 0)throw(0,L.$4)("contextkey.setConstant(k, v) invoked with already set constant `k`");b.set(T,S)}e.$pi=d;const I=Object.prototype.hasOwnProperty;var v;(function(T){T[T.False=0]="False",T[T.True=1]="True",T[T.Defined=2]="Defined",T[T.Not=3]="Not",T[T.Equals=4]="Equals",T[T.NotEquals=5]="NotEquals",T[T.And=6]="And",T[T.Regex=7]="Regex",T[T.NotRegex=8]="NotRegex",T[T.Or=9]="Or",T[T.In=10]="In",T[T.NotIn=11]="NotIn",T[T.Greater=12]="Greater",T[T.GreaterEquals=13]="GreaterEquals",T[T.Smaller=14]="Smaller",T[T.SmallerEquals=15]="SmallerEquals"})(v||(e.ContextKeyExprType=v={}));const p={regexParsingWithErrorRecovery:!0},h=(0,R.localize)(0,null),m=(0,R.localize)(1,null),g=(0,R.localize)(2,null),a=(0,R.localize)(3,null),u=(0,R.localize)(4,null),l=(0,R.localize)(5,null),$=(0,R.localize)(6,null),P=(0,R.localize)(7,null);class k{get lexingErrors(){return this.d.errors}get parsingErrors(){return this.h}constructor(S=p){this.k=S,this.d=new o.$oi,this.f=[],this.g=0,this.h=[],this.v=/g|y/g}parse(S){if(S===""){this.h.push({message:h,offset:0,lexeme:"",additionalInfo:m});return}this.f=this.d.reset(S).scan(),this.g=0,this.h=[];try{const N=this.l();if(!this.E()){const ee=this.D(),oe=ee.type===17?l:void 0;throw this.h.push({message:u,offset:ee.offset,lexeme:o.$oi.getLexeme(ee),additionalInfo:oe}),k.c}return N}catch(N){if(N!==k.c)throw N;return}}l(){return this.m()}m(){const S=[this.o()];for(;this.y(16);){const N=this.o();S.push(N)}return S.length===1?S[0]:t.or(...S)}o(){const S=[this.s()];for(;this.y(15);){const N=this.s();S.push(N)}return S.length===1?S[0]:t.and(...S)}s(){if(this.y(2)){const S=this.D();switch(S.type){case 11:return this.z(),s.INSTANCE;case 12:return this.z(),c.INSTANCE;case 0:{this.z();const N=this.l();return this.A(1,a),N?.negate()}case 17:return this.z(),M.create(S.lexeme);default:throw this.B("KEY | true | false | '(' expression ')'",S)}}return this.t()}t(){const S=this.D();switch(S.type){case 11:return this.z(),t.true();case 12:return this.z(),t.false();case 0:{this.z();const N=this.l();return this.A(1,a),N}case 17:{const N=S.lexeme;if(this.z(),this.y(9)){const oe=this.D();if(!this.k.regexParsingWithErrorRecovery){if(this.z(),oe.type!==10)throw this.B("REGEX",oe);const z=oe.lexeme,q=z.lastIndexOf("/"),W=q===z.length-1?void 0:this.w(z.substring(q+1));let U;try{U=new RegExp(z.substring(1,q),W)}catch{throw this.B("REGEX",oe)}return ge.create(N,U)}switch(oe.type){case 10:case 19:{const z=[oe.lexeme];this.z();let q=this.D(),W=0;for(let ce=0;ce<oe.lexeme.length;ce++)oe.lexeme.charCodeAt(ce)===40?W++:oe.lexeme.charCodeAt(ce)===41&&W--;for(;!this.E()&&q.type!==15&&q.type!==16;){switch(q.type){case 0:W++;break;case 1:W--;break;case 10:case 18:for(let ce=0;ce<q.lexeme.length;ce++)q.lexeme.charCodeAt(ce)===40?W++:oe.lexeme.charCodeAt(ce)===41&&W--}if(W<0)break;z.push(o.$oi.getLexeme(q)),this.z(),q=this.D()}const U=z.join(""),G=U.lastIndexOf("/"),K=G===U.length-1?void 0:this.w(U.substring(G+1));let Q;try{Q=new RegExp(U.substring(1,G),K)}catch{throw this.B("REGEX",oe)}return t.regex(N,Q)}case 18:{const z=oe.lexeme;this.z();let q=null;if(!(0,O.$hd)(z)){const W=z.indexOf("/"),U=z.lastIndexOf("/");if(W!==U&&W>=0){const G=z.slice(W+1,U),K=z[U+1]==="i"?"i":"";try{q=new RegExp(G,K)}catch{throw this.B("REGEX",oe)}}}if(q===null)throw this.B("REGEX",oe);return ge.create(N,q)}default:throw this.B("REGEX",this.D())}}if(this.y(14)){this.A(13,g);const oe=this.u();return t.notIn(N,oe)}switch(this.D().type){case 3:{this.z();const oe=this.u();if(this.x().type===18)return t.equals(N,oe);switch(oe){case"true":return t.has(N);case"false":return t.not(N);default:return t.equals(N,oe)}}case 4:{this.z();const oe=this.u();if(this.x().type===18)return t.notEquals(N,oe);switch(oe){case"true":return t.not(N);case"false":return t.has(N);default:return t.notEquals(N,oe)}}case 5:return this.z(),ue.create(N,this.u());case 6:return this.z(),le.create(N,this.u());case 7:return this.z(),ne.create(N,this.u());case 8:return this.z(),he.create(N,this.u());case 13:return this.z(),t.in(N,this.u());default:return t.has(N)}}case 20:throw this.h.push({message:$,offset:S.offset,lexeme:"",additionalInfo:P}),k.c;default:throw this.B(`true | false | KEY 
	| KEY '=~' REGEX 
	| KEY ('==' | '!=' | '<' | '<=' | '>' | '>=' | 'in' | 'not' 'in') value`,this.D())}}u(){const S=this.D();switch(S.type){case 17:case 18:return this.z(),S.lexeme;case 11:return this.z(),"true";case 12:return this.z(),"false";case 13:return this.z(),"in";default:return""}}w(S){return S.replaceAll(this.v,"")}x(){return this.f[this.g-1]}y(S){return this.C(S)?(this.z(),!0):!1}z(){return this.E()||this.g++,this.x()}A(S,N){if(this.C(S))return this.z();throw this.B(N,this.D())}B(S,N,ee){const oe=(0,R.localize)(8,null,S,o.$oi.getLexeme(N)),z=N.offset,q=o.$oi.getLexeme(N);return this.h.push({message:oe,offset:z,lexeme:q,additionalInfo:ee}),k.c}C(S){return this.D().type===S}D(){return this.f[this.g]}E(){return this.D().type===20}}e.$qi=k,k.c=new Error;class t{static false(){return s.INSTANCE}static true(){return c.INSTANCE}static has(S){return f.create(S)}static equals(S,N){return y.create(S,N)}static notEquals(S,N){return C.create(S,N)}static regex(S,N){return ge.create(S,N)}static in(S,N){return w.create(S,N)}static notIn(S,N){return D.create(S,N)}static not(S){return M.create(S)}static and(...S){return te.create(S,null,!0)}static or(...S){return V.create(S,null,!0)}static greater(S,N){return ne.create(S,N)}static greaterEquals(S,N){return he.create(S,N)}static smaller(S,N){return ue.create(S,N)}static smallerEquals(S,N){return le.create(S,N)}static deserialize(S){return S==null?void 0:this.c.parse(S)}}e.$ri=t,t.c=new k({regexParsingWithErrorRecovery:!1});function i(T){const S=new k({regexParsingWithErrorRecovery:!1});return T.map(N=>(S.parse(N),S.lexingErrors.length>0?S.lexingErrors.map(ee=>({errorMessage:ee.additionalInfo?(0,R.localize)(9,null,ee.additionalInfo):(0,R.localize)(10,null),offset:ee.offset,length:ee.lexeme.length})):S.parsingErrors.length>0?S.parsingErrors.map(ee=>({errorMessage:ee.additionalInfo?`${ee.message}. ${ee.additionalInfo}`:ee.message,offset:ee.offset,length:ee.lexeme.length})):[]))}e.$si=i;function r(T,S){const N=T?T.substituteConstants():void 0,ee=S?S.substituteConstants():void 0;return!N&&!ee?!0:!N||!ee?!1:N.equals(ee)}e.$ti=r;function n(T,S){return T.cmp(S)}class s{constructor(){this.type=0}cmp(S){return this.type-S.type}equals(S){return S.type===this.type}substituteConstants(){return this}evaluate(S){return!1}serialize(){return"false"}keys(){return[]}map(S){return this}negate(){return c.INSTANCE}}e.$ui=s,s.INSTANCE=new s;class c{constructor(){this.type=1}cmp(S){return this.type-S.type}equals(S){return S.type===this.type}substituteConstants(){return this}evaluate(S){return!0}serialize(){return"true"}keys(){return[]}map(S){return this}negate(){return s.INSTANCE}}e.$vi=c,c.INSTANCE=new c;class f{static create(S,N=null){const ee=b.get(S);return typeof ee=="boolean"?ee?c.INSTANCE:s.INSTANCE:new f(S,N)}constructor(S,N){this.key=S,this.c=N,this.type=2}cmp(S){return S.type!==this.type?this.type-S.type:H(this.key,S.key)}equals(S){return S.type===this.type?this.key===S.key:!1}substituteConstants(){const S=b.get(this.key);return typeof S=="boolean"?S?c.INSTANCE:s.INSTANCE:this}evaluate(S){return!!S.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(S){return S.mapDefined(this.key)}negate(){return this.c||(this.c=M.create(this.key,this)),this.c}}e.$wi=f;class y{static create(S,N,ee=null){if(typeof N=="boolean")return N?f.create(S,ee):M.create(S,ee);const oe=b.get(S);return typeof oe=="boolean"?N===(oe?"true":"false")?c.INSTANCE:s.INSTANCE:new y(S,N,ee)}constructor(S,N,ee){this.c=S,this.d=N,this.f=ee,this.type=4}cmp(S){return S.type!==this.type?this.type-S.type:B(this.c,this.d,S.c,S.d)}equals(S){return S.type===this.type?this.c===S.c&&this.d===S.d:!1}substituteConstants(){const S=b.get(this.c);if(typeof S=="boolean"){const N=S?"true":"false";return this.d===N?c.INSTANCE:s.INSTANCE}return this}evaluate(S){return S.getValue(this.c)==this.d}serialize(){return`${this.c} == '${this.d}'`}keys(){return[this.c]}map(S){return S.mapEquals(this.c,this.d)}negate(){return this.f||(this.f=C.create(this.c,this.d,this)),this.f}}e.$xi=y;class w{static create(S,N){return new w(S,N)}constructor(S,N){this.d=S,this.f=N,this.type=10,this.c=null}cmp(S){return S.type!==this.type?this.type-S.type:B(this.d,this.f,S.d,S.f)}equals(S){return S.type===this.type?this.d===S.d&&this.f===S.f:!1}substituteConstants(){return this}evaluate(S){const N=S.getValue(this.f),ee=S.getValue(this.d);return Array.isArray(N)?N.includes(ee):typeof ee=="string"&&typeof N=="object"&&N!==null?I.call(N,ee):!1}serialize(){return`${this.d} in '${this.f}'`}keys(){return[this.d,this.f]}map(S){return S.mapIn(this.d,this.f)}negate(){return this.c||(this.c=D.create(this.d,this.f)),this.c}}e.$yi=w;class D{static create(S,N){return new D(S,N)}constructor(S,N){this.d=S,this.f=N,this.type=11,this.c=w.create(S,N)}cmp(S){return S.type!==this.type?this.type-S.type:this.c.cmp(S.c)}equals(S){return S.type===this.type?this.c.equals(S.c):!1}substituteConstants(){return this}evaluate(S){return!this.c.evaluate(S)}serialize(){return`${this.d} not in '${this.f}'`}keys(){return this.c.keys()}map(S){return S.mapNotIn(this.d,this.f)}negate(){return this.c}}e.$zi=D;class C{static create(S,N,ee=null){if(typeof N=="boolean")return N?M.create(S,ee):f.create(S,ee);const oe=b.get(S);return typeof oe=="boolean"?N===(oe?"true":"false")?s.INSTANCE:c.INSTANCE:new C(S,N,ee)}constructor(S,N,ee){this.c=S,this.d=N,this.f=ee,this.type=5}cmp(S){return S.type!==this.type?this.type-S.type:B(this.c,this.d,S.c,S.d)}equals(S){return S.type===this.type?this.c===S.c&&this.d===S.d:!1}substituteConstants(){const S=b.get(this.c);if(typeof S=="boolean"){const N=S?"true":"false";return this.d===N?s.INSTANCE:c.INSTANCE}return this}evaluate(S){return S.getValue(this.c)!=this.d}serialize(){return`${this.c} != '${this.d}'`}keys(){return[this.c]}map(S){return S.mapNotEquals(this.c,this.d)}negate(){return this.f||(this.f=y.create(this.c,this.d,this)),this.f}}e.$Ai=C;class M{static create(S,N=null){const ee=b.get(S);return typeof ee=="boolean"?ee?s.INSTANCE:c.INSTANCE:new M(S,N)}constructor(S,N){this.c=S,this.d=N,this.type=3}cmp(S){return S.type!==this.type?this.type-S.type:H(this.c,S.c)}equals(S){return S.type===this.type?this.c===S.c:!1}substituteConstants(){const S=b.get(this.c);return typeof S=="boolean"?S?s.INSTANCE:c.INSTANCE:this}evaluate(S){return!S.getValue(this.c)}serialize(){return`!${this.c}`}keys(){return[this.c]}map(S){return S.mapNot(this.c)}negate(){return this.d||(this.d=f.create(this.c,this)),this.d}}e.$Bi=M;function X(T,S){if(typeof T=="string"){const N=parseFloat(T);isNaN(N)||(T=N)}return typeof T=="string"||typeof T=="number"?S(T):s.INSTANCE}class ne{static create(S,N,ee=null){return X(N,oe=>new ne(S,oe,ee))}constructor(S,N,ee){this.c=S,this.d=N,this.f=ee,this.type=12}cmp(S){return S.type!==this.type?this.type-S.type:B(this.c,this.d,S.c,S.d)}equals(S){return S.type===this.type?this.c===S.c&&this.d===S.d:!1}substituteConstants(){return this}evaluate(S){return typeof this.d=="string"?!1:parseFloat(S.getValue(this.c))>this.d}serialize(){return`${this.c} > ${this.d}`}keys(){return[this.c]}map(S){return S.mapGreater(this.c,this.d)}negate(){return this.f||(this.f=le.create(this.c,this.d,this)),this.f}}e.$Ci=ne;class he{static create(S,N,ee=null){return X(N,oe=>new he(S,oe,ee))}constructor(S,N,ee){this.c=S,this.d=N,this.f=ee,this.type=13}cmp(S){return S.type!==this.type?this.type-S.type:B(this.c,this.d,S.c,S.d)}equals(S){return S.type===this.type?this.c===S.c&&this.d===S.d:!1}substituteConstants(){return this}evaluate(S){return typeof this.d=="string"?!1:parseFloat(S.getValue(this.c))>=this.d}serialize(){return`${this.c} >= ${this.d}`}keys(){return[this.c]}map(S){return S.mapGreaterEquals(this.c,this.d)}negate(){return this.f||(this.f=ue.create(this.c,this.d,this)),this.f}}e.$Di=he;class ue{static create(S,N,ee=null){return X(N,oe=>new ue(S,oe,ee))}constructor(S,N,ee){this.c=S,this.d=N,this.f=ee,this.type=14}cmp(S){return S.type!==this.type?this.type-S.type:B(this.c,this.d,S.c,S.d)}equals(S){return S.type===this.type?this.c===S.c&&this.d===S.d:!1}substituteConstants(){return this}evaluate(S){return typeof this.d=="string"?!1:parseFloat(S.getValue(this.c))<this.d}serialize(){return`${this.c} < ${this.d}`}keys(){return[this.c]}map(S){return S.mapSmaller(this.c,this.d)}negate(){return this.f||(this.f=he.create(this.c,this.d,this)),this.f}}e.$Ei=ue;class le{static create(S,N,ee=null){return X(N,oe=>new le(S,oe,ee))}constructor(S,N,ee){this.c=S,this.d=N,this.f=ee,this.type=15}cmp(S){return S.type!==this.type?this.type-S.type:B(this.c,this.d,S.c,S.d)}equals(S){return S.type===this.type?this.c===S.c&&this.d===S.d:!1}substituteConstants(){return this}evaluate(S){return typeof this.d=="string"?!1:parseFloat(S.getValue(this.c))<=this.d}serialize(){return`${this.c} <= ${this.d}`}keys(){return[this.c]}map(S){return S.mapSmallerEquals(this.c,this.d)}negate(){return this.f||(this.f=ne.create(this.c,this.d,this)),this.f}}e.$Fi=le;class ge{static create(S,N){return new ge(S,N)}constructor(S,N){this.d=S,this.f=N,this.type=7,this.c=null}cmp(S){if(S.type!==this.type)return this.type-S.type;if(this.d<S.d)return-1;if(this.d>S.d)return 1;const N=this.f?this.f.source:"",ee=S.f?S.f.source:"";return N<ee?-1:N>ee?1:0}equals(S){if(S.type===this.type){const N=this.f?this.f.source:"",ee=S.f?S.f.source:"";return this.d===S.d&&N===ee}return!1}substituteConstants(){return this}evaluate(S){const N=S.getValue(this.d);return this.f?this.f.test(N):!1}serialize(){const S=this.f?`/${this.f.source}/${this.f.flags}`:"/invalid/";return`${this.d} =~ ${S}`}keys(){return[this.d]}map(S){return S.mapRegex(this.d,this.f)}negate(){return this.c||(this.c=se.create(this)),this.c}}e.$Gi=ge;class se{static create(S){return new se(S)}constructor(S){this.c=S,this.type=8}cmp(S){return S.type!==this.type?this.type-S.type:this.c.cmp(S.c)}equals(S){return S.type===this.type?this.c.equals(S.c):!1}substituteConstants(){return this}evaluate(S){return!this.c.evaluate(S)}serialize(){return`!(${this.c.serialize()})`}keys(){return this.c.keys()}map(S){return new se(this.c.map(S))}negate(){return this.c}}e.$Hi=se;function J(T){let S=null;for(let N=0,ee=T.length;N<ee;N++){const oe=T[N].substituteConstants();if(T[N]!==oe&&S===null){S=[];for(let z=0;z<N;z++)S[z]=T[z]}S!==null&&(S[N]=oe)}return S===null?T:S}class te{static create(S,N,ee){return te.d(S,N,ee)}constructor(S,N){this.expr=S,this.c=N,this.type=6}cmp(S){if(S.type!==this.type)return this.type-S.type;if(this.expr.length<S.expr.length)return-1;if(this.expr.length>S.expr.length)return 1;for(let N=0,ee=this.expr.length;N<ee;N++){const oe=n(this.expr[N],S.expr[N]);if(oe!==0)return oe}return 0}equals(S){if(S.type===this.type){if(this.expr.length!==S.expr.length)return!1;for(let N=0,ee=this.expr.length;N<ee;N++)if(!this.expr[N].equals(S.expr[N]))return!1;return!0}return!1}substituteConstants(){const S=J(this.expr);return S===this.expr?this:te.create(S,this.c,!1)}evaluate(S){for(let N=0,ee=this.expr.length;N<ee;N++)if(!this.expr[N].evaluate(S))return!1;return!0}static d(S,N,ee){const oe=[];let z=!1;for(const q of S)if(q){if(q.type===1){z=!0;continue}if(q.type===0)return s.INSTANCE;if(q.type===6){oe.push(...q.expr);continue}oe.push(q)}if(oe.length===0&&z)return c.INSTANCE;if(oe.length!==0){if(oe.length===1)return oe[0];oe.sort(n);for(let q=1;q<oe.length;q++)oe[q-1].equals(oe[q])&&(oe.splice(q,1),q--);if(oe.length===1)return oe[0];for(;oe.length>1;){const q=oe[oe.length-1];if(q.type!==9)break;oe.pop();const W=oe.pop(),U=oe.length===0,G=V.create(q.expr.map(K=>te.create([K,W],null,ee)),null,U);G&&(oe.push(G),oe.sort(n))}if(oe.length===1)return oe[0];if(ee){for(let q=0;q<oe.length;q++)for(let W=q+1;W<oe.length;W++)if(oe[q].negate().equals(oe[W]))return s.INSTANCE;if(oe.length===1)return oe[0]}return new te(oe,N)}}serialize(){return this.expr.map(S=>S.serialize()).join(" && ")}keys(){const S=[];for(const N of this.expr)S.push(...N.keys());return S}map(S){return new te(this.expr.map(N=>N.map(S)),null)}negate(){if(!this.c){const S=[];for(const N of this.expr)S.push(N.negate());this.c=V.create(S,this,!0)}return this.c}}e.$Ii=te;class V{static create(S,N,ee){return V.d(S,N,ee)}constructor(S,N){this.expr=S,this.c=N,this.type=9}cmp(S){if(S.type!==this.type)return this.type-S.type;if(this.expr.length<S.expr.length)return-1;if(this.expr.length>S.expr.length)return 1;for(let N=0,ee=this.expr.length;N<ee;N++){const oe=n(this.expr[N],S.expr[N]);if(oe!==0)return oe}return 0}equals(S){if(S.type===this.type){if(this.expr.length!==S.expr.length)return!1;for(let N=0,ee=this.expr.length;N<ee;N++)if(!this.expr[N].equals(S.expr[N]))return!1;return!0}return!1}substituteConstants(){const S=J(this.expr);return S===this.expr?this:V.create(S,this.c,!1)}evaluate(S){for(let N=0,ee=this.expr.length;N<ee;N++)if(this.expr[N].evaluate(S))return!0;return!1}static d(S,N,ee){let oe=[],z=!1;if(S){for(let q=0,W=S.length;q<W;q++){const U=S[q];if(U){if(U.type===0){z=!0;continue}if(U.type===1)return c.INSTANCE;if(U.type===9){oe=oe.concat(U.expr);continue}oe.push(U)}}if(oe.length===0&&z)return s.INSTANCE;oe.sort(n)}if(oe.length!==0){if(oe.length===1)return oe[0];for(let q=1;q<oe.length;q++)oe[q-1].equals(oe[q])&&(oe.splice(q,1),q--);if(oe.length===1)return oe[0];if(ee){for(let q=0;q<oe.length;q++)for(let W=q+1;W<oe.length;W++)if(oe[q].negate().equals(oe[W]))return c.INSTANCE;if(oe.length===1)return oe[0]}return new V(oe,N)}}serialize(){return this.expr.map(S=>S.serialize()).join(" || ")}keys(){const S=[];for(const N of this.expr)S.push(...N.keys());return S}map(S){return new V(this.expr.map(N=>N.map(S)),null)}negate(){if(!this.c){const S=[];for(const N of this.expr)S.push(N.negate());for(;S.length>1;){const N=S.shift(),ee=S.shift(),oe=[];for(const z of _(N))for(const q of _(ee))oe.push(te.create([z,q],null,!1));S.unshift(V.create(oe,null,!1))}this.c=V.create(S,this,!0)}return this.c}}e.$Ji=V;class Z extends f{static all(){return Z.d.values()}constructor(S,N,ee){super(S,null),this.f=N,typeof ee=="object"?Z.d.push({...ee,key:S}):ee!==!0&&Z.d.push({key:S,description:ee,type:N!=null?typeof N:void 0})}bindTo(S){return S.createKey(this.key,this.f)}getValue(S){return S.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(S){return y.create(this.key,S)}notEqualsTo(S){return C.create(this.key,S)}}e.$Ki=Z,Z.d=[],e.$Li=(0,A.$lh)("contextKeyService");function H(T,S){return T<S?-1:T>S?1:0}function B(T,S,N,ee){return T<N?-1:T>N?1:S<ee?-1:S>ee?1:0}function ie(T,S){if(T.type===0||S.type===1)return!0;if(T.type===9)return S.type===9?Y(T.expr,S.expr):!1;if(S.type===9){for(const N of S.expr)if(ie(T,N))return!0;return!1}if(T.type===6){if(S.type===6)return Y(S.expr,T.expr);for(const N of T.expr)if(ie(N,S))return!0;return!1}return T.equals(S)}e.$Mi=ie;function Y(T,S){let N=0,ee=0;for(;N<T.length&&ee<S.length;){const oe=T[N].cmp(S[ee]);if(oe<0)return!1;oe===0&&N++,ee++}return N===T.length}function _(T){return T.type===9?T.expr:[T]}}),define(be[78],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kn=e.$jn=e.$in=void 0,e.$in=(0,E.$lh)("credentialsService"),e.$jn=(0,E.$lh)("credentialsMainService");class O{constructor(){this.a={}}async getPassword(A,R){return this.a[A]?.[R]??null}async setPassword(A,R,L){this.a[A]=this.a[A]??{},this.a[A][R]=L}async deletePassword(A,R){return this.a[A]?.[R]?(delete this.a[A][R],Object.keys(this.a[A]).length===0&&delete this.a[A],!0):!1}async findPassword(A){return JSON.stringify(this.a[A])??null}async findCredentials(A){const R=[];for(const L of Object.keys(this.a[A]||{}))R.push({account:L,password:this.a[A][L]});return R}async clear(){this.a={}}}e.$kn=O}),define(be[212],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3l=e.$2l=e.$1l=e.ID=void 0,e.ID="diagnosticsService",e.$1l=(0,E.$lh)(e.ID);function O(A){return!!A.hostName&&!!A.errorMessage}e.$2l=O;class o{async getPerformanceInfo(R,L){return{}}async getSystemInfo(R,L){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(R,L){return""}async getWorkspaceFileExtensions(R){return{extensions:[]}}async reportWorkspaceStats(R){}}e.$3l=o}),define(be[79],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qn=void 0,e.$qn=(0,E.$lh)("downloadService")}),define(be[25],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$th=e.$sh=void 0,e.$sh=(0,E.$lh)("environmentService"),e.$th=(0,E.$mh)(e.$sh)}),define(be[31],pe([1,0,175,6]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Un=e.$Tn=e.$Sn=e.$Rn=e.$Qn=e.$Pn=e.$On=e.$Nn=e.$Mn=e.ExtensionSignaturetErrorCode=e.ExtensionManagementErrorCode=e.$Ln=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.$Kn=e.$Jn=e.$In=e.$Hn=e.$Gn=e.$Fn=e.$En=e.$Dn=e.$Cn=e.$Bn=e.$An=e.$zn=void 0,e.$zn="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.$An=new RegExp(e.$zn),e.$Bn="__web_extension",e.$Cn="skipWalkthrough",e.$Dn="extensionsSync";function o(l){switch(l){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.$En=o;function A(l){switch(l){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.$Fn=A;function R(l,$){switch(l){case 3:return $==="x64"?"win32-x64":$==="ia32"?"win32-ia32":$==="arm64"?"win32-arm64":"unknown";case 2:return $==="x64"?"linux-x64":$==="arm64"?"linux-arm64":$==="arm"?"linux-armhf":"unknown";case"alpine":return $==="x64"?"alpine-x64":$==="arm64"?"alpine-arm64":"unknown";case 1:return $==="x64"?"darwin-x64":$==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.$Gn=R;function L(l,$){return $==="web"&&!l.includes("web")}e.$Hn=L;function b(l,$,P){return L($,P)?!1:l==="undefined"||l==="universal"?!0:l==="unknown"?!1:l===P?!0:d(P).includes(l)}e.$In=b;function d(l){switch(l){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.$Jn=d;function I(l){return l&&typeof l=="object"&&typeof l.id=="string"&&(!l.uuid||typeof l.uuid=="string")}e.$Kn=I;var v;(function(l){l[l.NoneOrRelevance=0]="NoneOrRelevance",l[l.LastUpdatedDate=1]="LastUpdatedDate",l[l.Title=2]="Title",l[l.PublisherName=3]="PublisherName",l[l.InstallCount=4]="InstallCount",l[l.PublishedDate=10]="PublishedDate",l[l.AverageRating=6]="AverageRating",l[l.WeightedRating=12]="WeightedRating"})(v||(e.SortBy=v={}));var p;(function(l){l[l.Default=0]="Default",l[l.Ascending=1]="Ascending",l[l.Descending=2]="Descending"})(p||(e.SortOrder=p={}));var h;(function(l){l.Install="install",l.Uninstall="uninstall"})(h||(e.StatisticType=h={}));var m;(function(l){l[l.None=1]="None",l[l.Install=2]="Install",l[l.Update=3]="Update",l[l.Migrate=4]="Migrate"})(m||(e.InstallOperation=m={})),e.$Ln=(0,O.$lh)("extensionGalleryService");var g;(function(l){l.Unsupported="Unsupported",l.Deprecated="Deprecated",l.Malicious="Malicious",l.Incompatible="Incompatible",l.IncompatiblePreRelease="IncompatiblePreRelease",l.IncompatibleTargetPlatform="IncompatibleTargetPlatform",l.ReleaseVersionNotFound="ReleaseVersionNotFound",l.Invalid="Invalid",l.Download="Download",l.Extract="Extract",l.Delete="Delete",l.Rename="Rename",l.CorruptZip="CorruptZip",l.IncompleteZip="IncompleteZip",l.Signature="Signature",l.Internal="Internal"})(g||(e.ExtensionManagementErrorCode=g={}));var a;(function(l){l.UnknownError="UnknownError",l.PackageIsInvalidZip="PackageIsInvalidZip",l.SignatureArchiveIsInvalidZip="SignatureArchiveIsInvalidZip"})(a||(e.ExtensionSignaturetErrorCode=a={}));class u extends Error{constructor($,P){super($),this.code=P,this.name=P}}e.$Mn=u,e.$Nn=(0,O.$lh)("extensionManagementService"),e.$On="extensionsIdentifiers/disabled",e.$Pn="extensionsIdentifiers/enabled",e.$Qn=(0,O.$lh)("IGlobalExtensionEnablementService"),e.$Rn=(0,O.$lh)("IExtensionTipsService"),e.$Sn=(0,E.localize)(0,null),e.$Tn={value:e.$Sn,original:"Extensions"},e.$Un={value:(0,E.localize)(1,null),original:"Preferences"}}),define(be[213],pe([1,0,5,2,21,4,51,31]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wo=e.$Vo=e.$Uo=void 0;function b(a,u){return a?A.URI.revive(u?u.transformIncoming(a):a):void 0}function d(a,u){return u?u.transformOutgoingURI(a):a}function I(a,u){u=u||R.$km;const l=a.manifest;return{...(0,R.$nm)({...a,manifest:void 0},u),manifest:l}}function v(a,u){return a?.profileLocation?(0,R.$nm)(a,u??R.$km):a}function p(a,u){return u?(0,o.$Fm)(a,l=>l instanceof A.URI?u.transformOutgoingURI(l):void 0):a}class h{constructor(u,l){this.a=u,this.b=l,this.onInstallExtension=E.Event.buffer(u.onInstallExtension,!0),this.onDidInstallExtensions=E.Event.buffer(u.onDidInstallExtensions,!0),this.onUninstallExtension=E.Event.buffer(u.onUninstallExtension,!0),this.onDidUninstallExtension=E.Event.buffer(u.onDidUninstallExtension,!0),this.onDidUpdateExtensionMetadata=E.Event.buffer(u.onDidUpdateExtensionMetadata,!0)}listen(u,l){const $=this.b(u);switch(l){case"onInstallExtension":return E.Event.map(this.onInstallExtension,P=>({...P,profileLocation:P.profileLocation?d(P.profileLocation,$):P.profileLocation}));case"onDidInstallExtensions":return E.Event.map(this.onDidInstallExtensions,P=>P.map(k=>({...k,local:k.local?p(k.local,$):k.local,profileLocation:k.profileLocation?d(k.profileLocation,$):k.profileLocation})));case"onUninstallExtension":return E.Event.map(this.onUninstallExtension,P=>({...P,profileLocation:P.profileLocation?d(P.profileLocation,$):P.profileLocation}));case"onDidUninstallExtension":return E.Event.map(this.onDidUninstallExtension,P=>({...P,profileLocation:P.profileLocation?d(P.profileLocation,$):P.profileLocation}));case"onDidUpdateExtensionMetadata":return E.Event.map(this.onDidUpdateExtensionMetadata,P=>p(P,$))}throw new Error("Invalid listen")}async call(u,l,$){const P=this.b(u);switch(l){case"zip":{const k=I($[0],P),t=await this.a.zip(k);return d(t,P)}case"unzip":return this.a.unzip(b($[0],P));case"install":return this.a.install(b($[0],P),v($[1],P));case"installFromLocation":return this.a.installFromLocation(b($[0],P),b($[1],P));case"installExtensionsFromProfile":return this.a.installExtensionsFromProfile($[0],b($[1],P),b($[2],P));case"getManifest":return this.a.getManifest(b($[0],P));case"getTargetPlatform":return this.a.getTargetPlatform();case"canInstall":return this.a.canInstall($[0]);case"installFromGallery":return this.a.installFromGallery($[0],v($[1],P));case"installGalleryExtensions":{const k=$[0];return this.a.installGalleryExtensions(k.map(({extension:t,options:i})=>({extension:t,options:v(i,P)??{}})))}case"uninstall":return this.a.uninstall(I($[0],P),v($[1],P));case"reinstallFromGallery":return this.a.reinstallFromGallery(I($[0],P));case"getInstalled":return(await this.a.getInstalled($[0],b($[1],P))).map(t=>p(t,P));case"copyExtensions":return this.a.copyExtensions(b($[0],P),b($[1],P));case"updateMetadata":{const k=await this.a.updateMetadata(I($[0],P),$[1],b($[2],P));return p(k,P)}case"getExtensionsControlManifest":return this.a.getExtensionsControlManifest();case"download":return this.a.download($[0],$[1],$[2]);case"cleanUp":return this.a.cleanUp()}throw new Error("Invalid call")}}e.$Uo=h;class m extends O.$kb{get onInstallExtension(){return this.c.event}get onDidInstallExtensions(){return this.f.event}get onUninstallExtension(){return this.g.event}get onDidUninstallExtension(){return this.h.event}get onDidUpdateExtensionMetadata(){return this.j.event}constructor(u){super(),this.k=u,this.c=this.B(new E.$5c),this.f=this.B(new E.$5c),this.g=this.B(new E.$5c),this.h=this.B(new E.$5c),this.j=this.B(new E.$5c),this.B(this.k.listen("onInstallExtension")(l=>this.l(this.c,{...l,source:this.m(l.source)?A.URI.revive(l.source):l.source,profileLocation:A.URI.revive(l.profileLocation)}))),this.B(this.k.listen("onDidInstallExtensions")(l=>this.l(this.f,l.map($=>({...$,local:$.local?I($.local,null):$.local,source:this.m($.source)?A.URI.revive($.source):$.source,profileLocation:A.URI.revive($.profileLocation)}))))),this.B(this.k.listen("onUninstallExtension")(l=>this.l(this.g,{...l,profileLocation:A.URI.revive(l.profileLocation)}))),this.B(this.k.listen("onDidUninstallExtension")(l=>this.l(this.h,{...l,profileLocation:A.URI.revive(l.profileLocation)}))),this.B(this.k.listen("onDidUpdateExtensionMetadata")(l=>this.j.fire(I(l,null))))}l(u,l){u.fire(l)}m(u){return u?typeof u.path=="string"&&typeof u.scheme=="string":!1}getTargetPlatform(){return this.n||(this.n=this.k.call("getTargetPlatform")),this.n}async canInstall(u){const l=await this.getTargetPlatform();return u.allTargetPlatforms.some($=>(0,L.$In)($,u.allTargetPlatforms,l))}zip(u){return Promise.resolve(this.k.call("zip",[u]).then(l=>A.URI.revive(l)))}unzip(u){return Promise.resolve(this.k.call("unzip",[u]))}install(u,l){return Promise.resolve(this.k.call("install",[u,l])).then($=>I($,null))}installFromLocation(u,l){return Promise.resolve(this.k.call("installFromLocation",[u,l])).then($=>I($,null))}async installExtensionsFromProfile(u,l,$){return(await this.k.call("installExtensionsFromProfile",[u,l,$])).map(k=>I(k,null))}getManifest(u){return Promise.resolve(this.k.call("getManifest",[u]))}installFromGallery(u,l){return Promise.resolve(this.k.call("installFromGallery",[u,l])).then($=>I($,null))}async installGalleryExtensions(u){return(await this.k.call("installGalleryExtensions",[u])).map($=>({...$,local:$.local?I($.local,null):$.local,source:this.m($.source)?A.URI.revive($.source):$.source,profileLocation:A.URI.revive($.profileLocation)}))}uninstall(u,l){return Promise.resolve(this.k.call("uninstall",[u,l]))}reinstallFromGallery(u){return Promise.resolve(this.k.call("reinstallFromGallery",[u])).then(l=>I(l,null))}getInstalled(u=null,l){return Promise.resolve(this.k.call("getInstalled",[u,l])).then($=>$.map(P=>I(P,null)))}updateMetadata(u,l,$){return Promise.resolve(this.k.call("updateMetadata",[u,l,$])).then(P=>I(P,null))}copyExtensions(u,l){return this.k.call("copyExtensions",[u,l])}getExtensionsControlManifest(){return Promise.resolve(this.k.call("getExtensionsControlManifest"))}async download(u,l,$){const P=await this.k.call("download",[u,l,$]);return A.URI.revive(P)}async cleanUp(){return this.k.call("cleanUp")}registerParticipant(){throw new Error("Not Supported")}}e.$Vo=m;class g{constructor(u){this.a=u}listen(u,l){throw new Error("Invalid listen")}call(u,l,$){switch(l){case"getConfigBasedTips":return this.a.getConfigBasedTips(A.URI.revive($[0]));case"getImportantExecutableBasedTips":return this.a.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.a.getOtherExecutableBasedTips()}throw new Error("Invalid call")}}e.$Wo=g}),define(be[80],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$So=e.$Ro=void 0,e.$Ro=(0,E.$lh)("IExtensionSignatureVerificationService");class O{b(){return this.a||(this.a=new Promise((A,R)=>ae(["node-vsce-sign"],async L=>A(L),R))),this.a}async verify(A,R,L){let b;try{b=await this.b()}catch{return!1}return b.verify(A,R,L)}}e.$So=O}),define(be[16],pe([1,0,59,7,17,8,4,183,6,3,13]),function(ae,e,E,O,o,A,R,L,b,d,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kk=e.$jk=e.$ik=e.$hk=e.$gk=e.FileKind=e.$fk=e.$ek=e.$dk=e.$ck=e.$bk=e.$ak=e.$_j=e.FileOperationResult=e.$$j=e.$0j=e.$9j=e.$8j=e.$7j=e.FileChangeType=e.$6j=e.FileOperation=e.$5j=e.$4j=e.$3j=e.$2j=e.$1j=e.$Zj=e.FileSystemProviderErrorCode=e.$Yj=e.$Xj=e.$Wj=e.$Vj=e.$Uj=e.$Tj=e.$Sj=e.$Rj=e.$Qj=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.$Pj=e.$Oj=void 0,e.$Oj=(0,b.$lh)("fileService");function v(H){return H.create===!0}e.$Pj=v;var p;(function(H){H[H.Unknown=0]="Unknown",H[H.File=1]="File",H[H.Directory=2]="Directory",H[H.SymbolicLink=64]="SymbolicLink"})(p||(e.FileType=p={}));var h;(function(H){H[H.Readonly=1]="Readonly",H[H.Locked=2]="Locked"})(h||(e.FilePermission=h={}));var m;(function(H){H[H.None=0]="None",H[H.FileReadWrite=2]="FileReadWrite",H[H.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",H[H.FileReadStream=16]="FileReadStream",H[H.FileFolderCopy=8]="FileFolderCopy",H[H.PathCaseSensitive=1024]="PathCaseSensitive",H[H.Readonly=2048]="Readonly",H[H.Trash=4096]="Trash",H[H.FileWriteUnlock=8192]="FileWriteUnlock",H[H.FileAtomicRead=16384]="FileAtomicRead",H[H.FileAtomicWrite=32768]="FileAtomicWrite",H[H.FileAtomicDelete=65536]="FileAtomicDelete",H[H.FileClone=131072]="FileClone"})(m||(e.FileSystemProviderCapabilities=m={}));function g(H){return!!(H.capabilities&2)}e.$Qj=g;function a(H){return!!(H.capabilities&8)}e.$Rj=a;function u(H){return!!(H.capabilities&131072)}e.$Sj=u;function l(H){return!!(H.capabilities&4)}e.$Tj=l;function $(H){return!!(H.capabilities&16)}e.$Uj=$;function P(H){return g(H)?!!(H.capabilities&16384):!1}e.$Vj=P;function k(H){return g(H)?!!(H.capabilities&32768):!1}e.$Wj=k;function t(H){return!!(H.capabilities&65536)}e.$Xj=t;function i(H){return!!(H.capabilities&2048)}e.$Yj=i;var r;(function(H){H.FileExists="EntryExists",H.FileNotFound="EntryNotFound",H.FileNotADirectory="EntryNotADirectory",H.FileIsADirectory="EntryIsADirectory",H.FileExceedsStorageQuota="EntryExceedsStorageQuota",H.FileTooLarge="EntryTooLarge",H.FileWriteLocked="EntryWriteLocked",H.NoPermissions="NoPermissions",H.Unavailable="Unavailable",H.Unknown="Unknown"})(r||(e.FileSystemProviderErrorCode=r={}));class n extends Error{static create(B,ie){const Y=new n(B.toString(),ie);return f(Y,ie),Y}constructor(B,ie){super(B),this.code=ie}}e.$Zj=n;function s(H,B){return n.create(H,B)}e.$1j=s;function c(H){return H||s((0,L.localize)(0,null),r.Unknown)}e.$2j=c;function f(H,B){return H.name=B?`${B} (FileSystemError)`:"FileSystemError",H}e.$3j=f;function y(H){if(!H)return r.Unknown;if(H instanceof n)return H.code;const B=/^(.+) \(FileSystemError\)$/.exec(H.name);if(!B)return r.Unknown;switch(B[1]){case r.FileExists:return r.FileExists;case r.FileIsADirectory:return r.FileIsADirectory;case r.FileNotADirectory:return r.FileNotADirectory;case r.FileNotFound:return r.FileNotFound;case r.FileTooLarge:return r.FileTooLarge;case r.FileWriteLocked:return r.FileWriteLocked;case r.NoPermissions:return r.NoPermissions;case r.Unavailable:return r.Unavailable}return r.Unknown}e.$4j=y;function w(H){if(H instanceof he)return H.fileOperationResult;switch(y(H)){case r.FileNotFound:return 1;case r.FileIsADirectory:return 0;case r.FileNotADirectory:return 9;case r.FileWriteLocked:return 5;case r.NoPermissions:return 6;case r.FileExists:return 4;case r.FileTooLarge:return 7;default:return 10}}e.$5j=w;var D;(function(H){H[H.CREATE=0]="CREATE",H[H.DELETE=1]="DELETE",H[H.MOVE=2]="MOVE",H[H.COPY=3]="COPY",H[H.WRITE=4]="WRITE"})(D||(e.FileOperation=D={}));class C{constructor(B,ie,Y){this.resource=B,this.operation=ie,this.target=Y}isOperation(B){return this.operation===B}}e.$6j=C;var M;(function(H){H[H.UPDATED=0]="UPDATED",H[H.ADDED=1]="ADDED",H[H.DELETED=2]="DELETED"})(M||(e.FileChangeType=M={}));class X{constructor(B,ie){this.a=void 0,this.b=void 0,this.c=void 0,this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];const Y=new Map;for(const _ of B){const T=Y.get(_.type);switch(T?T.push([_.resource,_]):Y.set(_.type,[[_.resource,_]]),_.type){case 1:this.rawAdded.push(_.resource);break;case 0:this.rawUpdated.push(_.resource);break;case 2:this.rawDeleted.push(_.resource);break}}for(const[_,T]of Y)switch(_){case 1:this.a=E.$rh.forUris(()=>ie),this.a.fill(T);break;case 0:this.b=E.$rh.forUris(()=>ie),this.b.fill(T);break;case 2:this.c=E.$rh.forUris(()=>ie),this.c.fill(T);break}}contains(B,...ie){return this.d(B,{includeChildren:!1},...ie)}affects(B,...ie){return this.d(B,{includeChildren:!0},...ie)}d(B,ie,...Y){if(!B)return!1;const _=Y.length>0;return!!((!_||Y.includes(1))&&(this.a?.get(B)||ie.includeChildren&&this.a?.findSuperstr(B))||(!_||Y.includes(0))&&(this.b?.get(B)||ie.includeChildren&&this.b?.findSuperstr(B))||(!_||Y.includes(2))&&(this.c?.findSubstr(B)||ie.includeChildren&&this.c?.findSuperstr(B)))}gotAdded(){return!!this.a}gotDeleted(){return!!this.c}gotUpdated(){return!!this.b}}e.$7j=X;function ne(H,B,ie){return!H||!B||H===B||B.length>H.length?!1:(B.charAt(B.length-1)!==O.sep&&(B+=O.sep),ie?(0,o.$Kd)(H,B):H.indexOf(B)===0)}e.$8j=ne;class he extends Error{constructor(B,ie,Y){super(B),this.fileOperationResult=ie,this.options=Y}}e.$9j=he;class ue extends he{constructor(B,ie,Y,_){super(B,ie,_),this.fileOperationResult=ie,this.size=Y}}e.$0j=ue;class le extends he{constructor(B,ie,Y){super(B,2,Y),this.stat=ie}}e.$$j=le;var ge;(function(H){H[H.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",H[H.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",H[H.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",H[H.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",H[H.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",H[H.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",H[H.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",H[H.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",H[H.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",H[H.FILE_NOT_DIRECTORY=9]="FILE_NOT_DIRECTORY",H[H.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"})(ge||(e.FileOperationResult=ge={})),e.$_j={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.$ak={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.$bk="files.associations",e.$ck="files.exclude",e.$dk="files.readonlyInclude",e.$ek="files.readonlyExclude",e.$fk="files.readonlyFromPermissions";var se;(function(H){H[H.FILE=0]="FILE",H[H.FOLDER=1]="FOLDER",H[H.ROOT_FOLDER=2]="ROOT_FOLDER"})(se||(e.FileKind=se={})),e.$gk="";function J(H){if(!(typeof H.size!="number"||typeof H.mtime!="number"))return H.mtime.toString(29)+H.size.toString(31)}e.$hk=J;async function te(H,B){if(!B.hasProvider(R.URI.from({scheme:H.scheme})))return new Promise(ie=>{const Y=B.onDidChangeFileSystemProviderRegistrations(_=>{_.scheme===H.scheme&&_.added&&(Y.dispose(),ie())})})}e.$ik=te;class V{static formatSize(B){return(0,A.$ke)(B)||(B=0),B<V.KB?(0,L.localize)(1,null,B.toFixed(0)):B<V.MB?(0,L.localize)(2,null,(B/V.KB).toFixed(2)):B<V.GB?(0,L.localize)(3,null,(B/V.MB).toFixed(2)):B<V.TB?(0,L.localize)(4,null,(B/V.GB).toFixed(2)):(0,L.localize)(5,null,(B/V.TB).toFixed(2))}}e.$jk=V,V.KB=1024,V.MB=V.KB*V.KB,V.GB=V.MB*V.KB,V.TB=V.GB*V.KB;function Z(H){const B=typeof H=="string"||H?.scheme===I.Schemas.vscodeRemote;return typeof H!="string"&&H?.scheme===I.Schemas.file?1024*V.MB:B?10*V.MB:d.$o?50*V.MB:1024*V.MB}e.$kk=Z}),define(be[214],pe([1,0,15,38,11,5,2,47,4,22,16]),function(ae,e,E,O,o,A,R,L,b,d,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fM=e.$eM=void 0,e.$eM="localFilesystem";class v extends R.$kb{constructor(h,m){super(),this.a=h,this.b=m,this.onDidChangeCapabilities=A.Event.None,this.f=this.B(new A.$5c),this.onDidChangeFile=this.f.event,this.g=this.B(new A.$5c),this.onDidWatchError=this.g.event,this.h=(0,d.$3e)(),this.i()}get capabilities(){return this.c||(this.c=253982,this.b.pathCaseSensitive&&(this.c|=1024),this.b.trash&&(this.c|=4096)),this.c}stat(h){return this.a.call("stat",[h])}readdir(h){return this.a.call("readdir",[h])}async readFile(h,m){const{buffer:g}=await this.a.call("readFile",[h,m]);return g}readFileStream(h,m,g){const a=(0,L.$wb)(l=>E.$Ib.concat(l.map($=>E.$Ib.wrap($))).buffer),u=this.a.listen("readFileStream",[h,m])(l=>{if(l instanceof E.$Ib)a.write(l.buffer);else{if(l==="end")a.end();else{let $;if(l instanceof Error)$=l;else{const P=l;$=(0,I.$1j)(P.message??(0,O.$9h)(P),P.code??I.FileSystemProviderErrorCode.Unknown)}a.error($),a.end()}u.dispose()}});return g.onCancellationRequested(()=>{a.error((0,o.$3)()),a.end(),u.dispose()}),a}writeFile(h,m,g){return this.a.call("writeFile",[h,E.$Ib.wrap(m),g])}open(h,m){return this.a.call("open",[h,m])}close(h){return this.a.call("close",[h])}async read(h,m,g,a,u){const[l,$]=await this.a.call("read",[h,m,u]);return g.set(l.buffer.slice(0,$),a),$}write(h,m,g,a,u){return this.a.call("write",[h,m,E.$Ib.wrap(g),a,u])}mkdir(h){return this.a.call("mkdir",[h])}delete(h,m){return this.a.call("delete",[h,m])}rename(h,m,g){return this.a.call("rename",[h,m,g])}copy(h,m,g){return this.a.call("copy",[h,m,g])}cloneFile(h,m){return this.a.call("cloneFile",[h,m])}i(){this.B(this.a.listen("fileChange",[this.h])(h=>{if(Array.isArray(h)){const m=h;this.f.fire(m.map(g=>({resource:b.URI.revive(g.resource),type:g.type})))}else{const m=h;this.g.fire(m)}}))}watch(h,m){const g=(0,d.$3e)();return this.a.call("watch",[this.h,g,h,m]),(0,R.$ib)(()=>this.a.call("unwatch",[this.h,g]))}}e.$fM=v}),define(be[108],pe([1,0,15,11,184,16]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$np=void 0;async function R(I,v,p,h,m,g){let a;try{await L(I,v,p,h,m,g)}catch(u){a=u}finally{a&&m.errorTransformer&&(a=m.errorTransformer(a)),typeof a<"u"&&p.error(a),p.end()}}e.$np=R;async function L(I,v,p,h,m,g){b(g);const a=await I.open(v,{create:!1});try{b(g);let u=0,l=0,$=m&&typeof m.length=="number"?m.length:void 0,P=E.$Ib.alloc(Math.min(m.bufferSize,typeof $=="number"?$:m.bufferSize)),k=m&&typeof m.position=="number"?m.position:0,t=0;do l=await I.read(a,k,P.buffer,t,P.byteLength-t),k+=l,t+=l,u+=l,typeof $=="number"&&($-=l),t===P.byteLength&&(await p.write(h(P)),P=E.$Ib.alloc(Math.min(m.bufferSize,typeof $=="number"?$:m.bufferSize)),t=0);while(l>0&&(typeof $!="number"||$>0)&&b(g)&&d(u,m));if(t>0){let i=t;typeof $=="number"&&(i=Math.min(t,$)),p.write(h(P.slice(0,i)))}}catch(u){throw(0,A.$2j)(u)}finally{await I.close(a)}}function b(I){if(I.isCancellationRequested)throw(0,O.$3)();return!0}function d(I,v){if(typeof v?.limits?.size=="number"&&I>v.limits.size)throw(0,A.$1j)((0,o.localize)(0,null),A.FileSystemProviderErrorCode.FileTooLarge);return!0}}),define(be[65],pe([1,0,76,2,7,3,4,16]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wp=e.$vp=e.$up=e.$tp=e.$sp=e.$rp=e.$qp=e.$pp=void 0;function b(u){return u.recursive===!0}e.$pp=b;class d extends O.$kb{constructor(l,$,P,k){super(),this.h=l,this.i=$,this.j=P,this.k=k,this.c=this.B(new O.$lb),this.f=void 0,this.g=0}m(){const l=new O.$jb;this.c.value=l,this.b=this.l(l),this.b.setVerboseLogging(this.j),l.add(this.b.onDidChangeFile($=>this.h($))),l.add(this.b.onDidLogMessage($=>this.i($))),l.add(this.b.onDidError($=>this.n($)))}n(l){this.k.restartOnError?this.g<d.a&&this.f?(this.r(`restarting watcher after error: ${l}`),this.p(this.f)):this.r(`gave up attempting to restart watcher after error: ${l}`):this.r(l)}p(l){this.g++,this.m(),this.watch(l)}async watch(l){this.f=l,await this.b?.watch(l)}async setVerboseLogging(l){this.j=l,await this.b?.setVerboseLogging(l)}r(l){this.i({type:"error",message:`[File Watcher (${this.k.type})] ${l}`})}s(l){this.i({type:"trace",message:`[File Watcher (${this.k.type})] ${l}`})}dispose(){return this.b=void 0,super.dispose()}}e.$qp=d,d.a=5;class I extends d{constructor(l,$,P){super(l,$,P,{type:"node.js",restartOnError:!1})}}e.$rp=I;class v extends d{constructor(l,$,P){super(l,$,P,{type:"universal",restartOnError:!0})}}e.$sp=v;function p(u){return u.map(l=>({type:l.type,resource:R.URI.file(l.path)}))}e.$tp=p;function h(u){const l=new a;for(const $ of u)l.processEvent($);return l.coalesce()}e.$up=h;function m(u,l){return typeof l=="string"&&!l.startsWith(E.$9i)&&!(0,o.$0b)(l)?{base:u,pattern:l}:l}e.$vp=m;function g(u,l){const $=[];for(const P of l)$.push((0,E.$aj)(m(u,P)));return $}e.$wp=g;class a{constructor(){this.a=new Set,this.b=new Map}c(l){return A.$k?l.path:l.path.toLowerCase()}processEvent(l){const $=this.b.get(this.c(l));let P=!1;if($){const k=$.type,t=l.type;$.path!==l.path&&(l.type===2||l.type===1)?P=!0:k===1&&t===2?(this.b.delete(this.c(l)),this.a.delete($)):k===2&&t===1?$.type=0:k===1&&t===0||($.type=t)}else P=!0;P&&(this.a.add(l),this.b.set(this.c(l),l))}coalesce(){const l=[],$=[];return Array.from(this.a).filter(P=>P.type!==2?(l.push(P),!1):!0).sort((P,k)=>P.path.length-k.path.length).filter(P=>$.some(k=>(0,L.$8j)(P.path,k,!A.$k))?!1:($.push(P.path),!0)).concat(l)}}}),define(be[215],pe([1,0,28,14,20,39,2,96,7,3,164,23,65]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kp=e.$Jp=void 0;class h extends R.$kb{constructor(a,u,l,$){super(),this.j=a,this.k=u,this.l=l,this.m=$,this.c=this.B(new O.$Fg({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},P=>this.k(P))),this.f=this.B(new O.$Eg(P=>this.u(P),h.b)),this.g=(0,p.$wp)(this.j.path,this.j.excludes),this.h=this.j.includes?(0,p.$wp)(this.j.path,this.j.includes):void 0,this.i=new o.$bd,this.ready=this.n()}async n(){try{const a=await this.r(this.j);if(this.i.token.isCancellationRequested)return;const u=await v.Promises.stat(a);this.B(await this.s(a,u.isDirectory()))}catch(a){a.code!=="ENOENT"?this.w(a):this.z(a)}}async r(a){let u=a.path;try{u=await v.Promises.realpath(a.path),a.path===u&&(u=await(0,I.$Gp)(a.path)??a.path),a.path!==u&&this.z(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${a.path}, real: ${u})`)}catch{}return u}async s(a,u){if(d.$j&&(0,A.$He)(a,"/Volumes/",!0))return this.w(`Refusing to watch ${a} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),R.$kb.None;const l=new o.$bd(this.i.token),$=new R.$jb;try{const P=(0,b.$cc)(a),k=(0,E.watch)(a);$.add((0,R.$ib)(()=>{k.removeAllListeners(),k.close()})),this.z(`Started watching: '${a}'`);const t=new Set;if(u)try{for(const r of await v.Promises.readdir(a))t.add(r)}catch(r){this.w(r)}const i=new Map;$.add((0,R.$ib)(()=>{for(const[,r]of i)r.dispose();i.clear()})),k.on("error",(r,n)=>{this.w(`Failed to watch ${a} for changes using fs.watch() (${r}, ${n})`),this.dispose()}),k.on("change",(r,n)=>{if(l.token.isCancellationRequested)return;this.z(`[raw] ["${r}"] ${n}`);let s="";if(n&&(s=n.toString(),d.$j&&(s=(0,L.$3k)(s))),!(!s||r!=="change"&&r!=="rename"))if(u)if(r==="rename"){i.get(s)?.dispose();const c=setTimeout(async()=>{if(i.delete(s),s===P&&!await v.Promises.exists(a)){this.y("Watcher shutdown because watched path got deleted"),this.dispose();return}const f=await this.v((0,b.$$b)(a,s));if(l.token.isCancellationRequested)return;let y;f?t.has(s)?y=0:(y=1,t.add(s)):(t.delete(s),y=2),this.t({path:(0,b.$$b)(this.j.path,s),type:y})},h.a);i.set(s,(0,R.$ib)(()=>clearTimeout(c)))}else{let c;t.has(s)?c=0:(c=1,t.add(s)),this.t({path:(0,b.$$b)(this.j.path,s),type:c})}else if(r==="rename"||s!==P){const c=setTimeout(async()=>{const f=await v.Promises.exists(a);l.token.isCancellationRequested||(f?(this.t({path:this.j.path,type:0},!0),$.add(await this.s(a,!1))):(this.t({path:this.j.path,type:2},!0),this.f.flush(),this.dispose()))},h.a);$.clear(),$.add((0,R.$ib)(()=>clearTimeout(c)))}else this.t({path:this.j.path,type:0},!0)})}catch(P){await v.Promises.exists(a)&&!l.token.isCancellationRequested&&this.w(`Failed to watch ${a} for changes using fs.watch() (${P.toString()})`)}return(0,R.$ib)(()=>{l.dispose(!0),$.dispose()})}t(a,u=!1){this.i.token.isCancellationRequested||(this.m&&this.z(`${a.type===1?"[ADDED]":a.type===2?"[DELETED]":"[CHANGED]"} ${a.path}`),!u&&this.g.some(l=>l(a.path))?this.m&&this.z(` >> ignored (excluded) ${a.path}`):!u&&this.h&&this.h.length>0&&!this.h.some(l=>l(a.path))?this.m&&this.z(` >> ignored (not included) ${a.path}`):this.f.work(a))}u(a){const u=(0,p.$up)(a);if(u.length>0){if(this.m)for(const $ of u)this.z(`>> normalized ${$.type===1?"[ADDED]":$.type===2?"[DELETED]":"[CHANGED]"} ${$.path}`);this.c.work(u)?this.c.pending>0&&this.z(`started throttling events due to large amount of file change events at once (pending: ${this.c.pending}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.y(`started ignoring events due to too many file change events at once (incoming: ${u.length}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}async v(a){if(d.$k)return v.Promises.exists(a);try{const u=(0,b.$cc)(a);return(await v.Promises.readdir((0,b.$bc)(a))).some($=>$===u)}catch(u){return this.z(u),!1}}setVerboseLogging(a){this.m=a}w(a){this.i.token.isCancellationRequested||this.l?.({type:"error",message:`[File Watcher (node.js)] ${a}`})}y(a){this.i.token.isCancellationRequested||this.l?.({type:"warn",message:`[File Watcher (node.js)] ${a}`})}z(a){!this.i.token.isCancellationRequested&&this.m&&this.l?.({type:"trace",message:`[File Watcher (node.js)] ${a}`})}dispose(){this.z(`stopping file watcher on ${this.j.path}`),this.i.dispose(!0),super.dispose()}}e.$Jp=h,h.a=100,h.b=75;async function m(g,a,u,l,$=512){const P=await v.Promises.open(g,"r"),k=Buffer.allocUnsafe($),t=new o.$bd(l);let i,r=!1;const n={path:g,excludes:[],recursive:!1},s=new h(n,c=>{(async()=>{for(const{type:f}of c)if(f===0){if(r)return;r=!0;try{for(;!t.token.isCancellationRequested;){const{bytesRead:y}=await v.Promises.read(P,k,0,$,null);if(!y||t.token.isCancellationRequested)break;a(k.slice(0,y))}}catch(y){i=new Error(y),t.dispose(!0)}finally{r=!1}}})()});return await s.ready,u(),new Promise((c,f)=>{t.token.onCancellationRequested(async()=>{s.dispose();try{await v.Promises.close(P)}catch(y){i=new Error(y)}i?f(i):c()})})}e.$Kp=m}),define(be[216],pe([1,0,5,76,2,3,215]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lp=void 0;class L extends o.$kb{constructor(){super(...arguments),this.a=this.B(new E.$5c),this.onDidChangeFile=this.a.event,this.b=this.B(new E.$5c),this.onDidLogMessage=this.b.event,this.onDidError=E.Event.None,this.c=new Map,this.f=!1}async watch(d){const I=this.i(d),v=I.filter(h=>{const m=this.c.get(h.path);return m?!(0,O.$ej)(m.request.excludes,h.excludes)||!(0,O.$ej)(m.request.includes,h.includes):!0}),p=Array.from(this.c.values()).filter(({request:h})=>!I.find(m=>m.path===h.path&&(0,O.$ej)(m.excludes,h.excludes)&&(0,O.$ej)(m.includes,h.includes))).map(({request:h})=>h.path);v.length&&this.j(`Request to start watching: ${v.map(h=>`${h.path} (excludes: ${h.excludes.length>0?h.excludes:"<none>"}, includes: ${h.includes&&h.includes.length>0?JSON.stringify(h.includes):"<all>"})`).join(",")}`),p.length&&this.j(`Request to stop watching: ${p.join(",")}`);for(const h of p)this.h(h);for(const h of v)this.g(h)}g(d){const I=new R.$Jp(d,p=>this.a.fire(p),p=>this.b.fire(p),this.f),v={request:d,instance:I};this.c.set(d.path,v)}async stop(){for(const[d]of this.c)this.h(d);this.c.clear()}h(d){const I=this.c.get(d);I&&(this.c.delete(d),I.instance.dispose())}i(d){const I=new Map;for(const v of d){const p=A.$k?v.path:v.path.toLowerCase();I.set(p,v)}return Array.from(I.values())}async setVerboseLogging(d){this.f=d;for(const[,I]of this.c)I.instance.setVerboseLogging(d)}j(d){this.f&&this.b.fire({type:"trace",message:this.k(d)})}k(d,I){return I?`[File Watcher (node.js)] ${d} (path: ${I.request.path})`:`[File Watcher (node.js)] ${d}`}}e.$Lp=L}),define(be[217],pe([1,0,65,216]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mp=void 0;class o extends E.$rp{constructor(R,L,b){super(R,L,b),this.m()}l(){return new O.$Lp}}e.$Mp=o}),define(be[218],pe([1,0,13,42,106,65]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ep=void 0;class R extends A.$sp{constructor(b,d,I){super(b,d,I),this.m()}l(b){const d=b.add(new o.$Dp(E.$1e.asFileUri("bootstrap-fork").fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return b.add(d.onDidProcessExit(({code:I,signal:v})=>this.n(`terminated by itself with code ${I}, signal: ${v}`))),O.ProxyChannel.toService((0,O.$5g)(d.getChannel("watcher")))}}e.$Ep=R}),define(be[81],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jh=void 0;class E{constructor(...o){this.a=new Map;for(const[A,R]of o)this.set(A,R)}set(o,A){const R=this.a.get(o);return this.a.set(o,A),R}has(o){return this.a.has(o)}get(o){return this.a.get(o)}}e.$jh=E}),define(be[109],pe([1,0,14,11,2,63,211,6,81,95]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rp=e.$Qp=void 0;const I=!1;class v extends Error{constructor(a){super("cyclic dependency between services"),this.message=a.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${a.toString()}`}}class p{constructor(a=new b.$jh,u=!1,l,$=I){this.f=a,this.g=u,this.h=l,this.i=$,this.o=new Set,this.f.set(L.$kh,this),this._globalGraph=$?l?._globalGraph??new R.$Pp(P=>P):void 0}createChild(a){return new p(a,this.g,this,this.i)}invokeFunction(a,...u){const l=m.traceInvocation(this.i,a);let $=!1;try{return a({get:k=>{if($)throw(0,O.$5)("service accessor is only valid during the invocation of its target method");const t=this.m(k,l);if(!t)throw new Error(`[invokeFunction] unknown service '${k}'`);return t}},...u)}finally{$=!0,l.stop()}}createInstance(a,...u){let l,$;return a instanceof A.$ih?(l=m.traceCreation(this.i,a.ctor),$=this.j(a.ctor,a.staticArguments.concat(u),l)):(l=m.traceCreation(this.i,a),$=this.j(a,u,l)),l.stop(),$}j(a,u=[],l){const $=L._util.getServiceDependencies(a).sort((t,i)=>t.index-i.index),P=[];for(const t of $){const i=this.m(t.id,l);i||this.u(`[createInstance] ${a.name} depends on UNKNOWN service ${t.id}.`,!1),P.push(i)}const k=$.length>0?$[0].index:u.length;if(u.length!==k){console.trace(`[createInstance] First service dependency of ${a.name} at position ${k+1} conflicts with ${u.length} static arguments`);const t=k-u.length;t>0?u=u.concat(new Array(t)):u=u.slice(0,k)}return Reflect.construct(a,u.concat(P))}k(a,u){if(this.f.get(a)instanceof A.$ih)this.f.set(a,u);else if(this.h)this.h.k(a,u);else throw new Error("illegalState - setting UNKNOWN service instance")}l(a){const u=this.f.get(a);return!u&&this.h?this.h.l(a):u}m(a,u){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(a));const l=this.l(a);return l instanceof A.$ih?this.q(a,l,u.branch(a,!0)):(u.branch(a,!1),l)}q(a,u,l){if(this.o.has(a))throw new Error(`illegal state - RECURSIVELY instantiating service '${a}'`);this.o.add(a);try{return this.r(a,u,l)}finally{this.o.delete(a)}}r(a,u,l){const $=new R.$Pp(t=>t.id.toString());let P=0;const k=[{id:a,desc:u,_trace:l}];for(;k.length;){const t=k.pop();if($.lookupOrInsertNode(t),P++>1e3)throw new v($);for(const i of L._util.getServiceDependencies(t.desc.ctor)){const r=this.l(i.id);if(r||this.u(`[createInstance] ${a} depends on ${i.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(t.id),String(i.id)),r instanceof A.$ih){const n={id:i.id,desc:r,_trace:t._trace.branch(i.id,!0)};$.insertEdge(t,n),k.push(n)}}}for(;;){const t=$.roots();if(t.length===0){if(!$.isEmpty())throw new v($);break}for(const{data:i}of t){if(this.l(i.id)instanceof A.$ih){const n=this.s(i.id,i.desc.ctor,i.desc.staticArguments,i.desc.supportsDelayedInstantiation,i._trace);this.k(i.id,n)}$.removeNode(i)}}return this.l(a)}s(a,u,l=[],$,P){if(this.f.get(a)instanceof A.$ih)return this.t(a,u,l,$,P);if(this.h)return this.h.s(a,u,l,$,P);throw new Error(`illegalState - creating UNKNOWN service instance ${u.name}`)}t(a,u,l=[],$,P){if($){const k=new p(void 0,this.g,this,this.i);k.c=String(a);const t=new Map,i=new E.$Hg(()=>{const r=k.j(u,l,P);for(const[n,s]of t){const c=r[n];if(typeof c=="function")for(const f of s)c.apply(r,f)}return t.clear(),r});return new Proxy(Object.create(null),{get(r,n){if(!i.isInitialized&&typeof n=="string"&&(n.startsWith("onDid")||n.startsWith("onWill"))){let f=t.get(n);return f||(f=new d.$jc,t.set(n,f)),(w,D,C)=>{const M=f.push([w,D,C]);return(0,o.$ib)(M)}}if(n in r)return r[n];const s=i.value;let c=s[n];return typeof c!="function"||(c=c.bind(s),r[n]=c),c},set(r,n,s){return i.value[n]=s,!0},getPrototypeOf(r){return u.prototype}})}else return this.j(u,l,P)}u(a,u){if(u&&console.warn(a),this.g)throw new Error(a)}}e.$Qp=p;var h;(function(g){g[g.None=0]="None",g[g.Creation=1]="Creation",g[g.Invocation=2]="Invocation",g[g.Branch=3]="Branch"})(h||(h={}));class m{static traceInvocation(a,u){return a?new m(2,u.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):m.c}static traceCreation(a,u){return a?new m(1,u.name):m.c}constructor(a,u){this.type=a,this.name=u,this.g=Date.now(),this.h=[]}branch(a,u){const l=new m(3,a.toString());return this.h.push([a,u,l]),l}stop(){const a=Date.now()-this.g;m.f+=a;let u=!1;function l(P,k){const t=[],i=new Array(P+1).join("	");for(const[r,n,s]of k.h)if(n&&s){u=!0,t.push(`${i}CREATES -> ${r}`);const c=l(P+1,s);c&&t.push(c)}else t.push(`${i}uses -> ${r}`);return t.join(`
`)}const $=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${l(1,this)}`,`DONE, took ${a.toFixed(2)}ms (grand total ${m.f.toFixed(2)}ms)`];(a>2||u)&&m.all.add($.join(`
`))}}e.$Rp=m,m.all=new Set,m.c=new class extends m{constructor(){super(0,null)}stop(){}branch(){return this}},m.f=0}),define(be[219],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Verbosity=e.$kz=void 0,e.$kz=(0,E.$lh)("labelService");var O;(function(o){o[o.SHORT=0]="SHORT",o[o.MEDIUM=1]="MEDIUM",o[o.LONG=2]="LONG"})(O||(e.Verbosity=O={}))});var Re=this&&this.__param||function(ae,e){return function(E,O){e(E,O,ae)}};define(be[82],pe([1,0,20,2,3,186,31,6]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uq=e.$tq=e.$sq=void 0;function b(I){return I.tags.find(v=>v.startsWith("lp-"))?.split("lp-")[1]}e.$sq=b,e.$tq=(0,L.$lh)("languagePackService");let d=e.$uq=class extends O.$kb{constructor(v){super(),this.c=v}async getAvailableLanguages(){const v=new E.$bd;setTimeout(()=>v.cancel(),1e3);let p;try{p=await this.c.query({text:'category:"language packs"',pageSize:20},v.token)}catch{return[]}const m=p.firstPage.filter(g=>g.properties.localizedLanguages?.length&&g.tags.some(a=>a.startsWith("lp-"))).map(g=>{const a=g.properties.localizedLanguages?.[0],u=b(g);return{...this.f(u,a,g),extensionId:g.identifier.id,galleryExtension:g}});return m.push(this.f("en","English")),m}f(v,p,h){const m=p??v;let g;if(m!==v&&(g=`(${v})`),v.toLowerCase()===o.$v.toLowerCase()&&(g??="",g+=(0,A.localize)(0,null)),h?.installCount){g??="";const a=h.installCount;let u;a>1e6?u=`${Math.floor(a/1e5)/10}M`:a>1e3?u=`${Math.floor(a/1e3)}K`:u=String(a),g+=` $(cloud-download) ${u}`}return{id:v,label:m,description:g}}};e.$uq=d=Le([Re(0,R.$Ln)],d)}),define(be[12],pe([1,0,38,5,73,2,27,3,19,8,4,64,6]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5i=e.$4i=e.$3i=e.$2i=e.$1i=e.$Zi=e.$Yi=e.$Xi=e.$Wi=e.$Vi=e.$Ui=e.$Ti=e.$Si=e.log=e.$Qi=e.LogLevel=e.$Pi=e.$Oi=e.$Ni=void 0,e.$Ni=(0,p.$lh)("logService"),e.$Oi=(0,p.$lh)("loggerService");function h(){return new Date().toISOString()}function m(w){return(0,d.$ke)(w)}e.$Pi=m;var g;(function(w){w[w.Off=0]="Off",w[w.Trace=1]="Trace",w[w.Debug=2]="Debug",w[w.Info=3]="Info",w[w.Warning=4]="Warning",w[w.Error=5]="Error"})(g||(e.LogLevel=g={})),e.$Qi=g.Info;function a(w,D,C){switch(D){case g.Trace:w.trace(C);break;case g.Debug:w.debug(C);break;case g.Info:w.info(C);break;case g.Warning:w.warn(C);break;case g.Error:w.error(C);break;case g.Off:break;default:throw new Error(`Invalid log level ${D}`)}}e.log=a;function u(w,D=!1){let C="";for(let M=0;M<w.length;M++){let X=w[M];if(X instanceof Error&&(X=(0,E.$9h)(X,D)),typeof X=="object")try{X=JSON.stringify(X)}catch{}C+=(M>0?" ":"")+X}return C}class l extends A.$kb{constructor(){super(...arguments),this.b=e.$Qi,this.c=this.B(new O.$5c),this.onDidChangeLogLevel=this.c.event}setLevel(D){this.b!==D&&(this.b=D,this.c.fire(this.b))}getLevel(){return this.b}f(D){return this.b!==g.Off&&this.b<=D}}e.$Si=l;class $ extends l{constructor(D){super(),this.h=D}f(D){return this.h||super.f(D)}trace(D,...C){this.f(g.Trace)&&this.g(g.Trace,u([D,...C],!0))}debug(D,...C){this.f(g.Debug)&&this.g(g.Debug,u([D,...C]))}info(D,...C){this.f(g.Info)&&this.g(g.Info,u([D,...C]))}warn(D,...C){this.f(g.Warning)&&this.g(g.Warning,u([D,...C]))}error(D,...C){if(this.f(g.Error))if(D instanceof Error){const M=Array.prototype.slice.call(arguments);M[0]=D.stack,this.g(g.Error,u(M))}else this.g(g.Error,u([D,...C]))}flush(){}}e.$Ti=$;class P extends l{constructor(D=e.$Qi){super(),this.setLevel(D),this.g=!L.$i}trace(D,...C){this.f(g.Trace)&&(this.g?console.log(`\x1B[90m[main ${h()}]\x1B[0m`,D,...C):console.log(`[main ${h()}]`,D,...C))}debug(D,...C){this.f(g.Debug)&&(this.g?console.log(`\x1B[90m[main ${h()}]\x1B[0m`,D,...C):console.log(`[main ${h()}]`,D,...C))}info(D,...C){this.f(g.Info)&&(this.g?console.log(`\x1B[90m[main ${h()}]\x1B[0m`,D,...C):console.log(`[main ${h()}]`,D,...C))}warn(D,...C){this.f(g.Warning)&&(this.g?console.warn(`\x1B[93m[main ${h()}]\x1B[0m`,D,...C):console.warn(`[main ${h()}]`,D,...C))}error(D,...C){this.f(g.Error)&&(this.g?console.error(`\x1B[91m[main ${h()}]\x1B[0m`,D,...C):console.error(`[main ${h()}]`,D,...C))}dispose(){}flush(){}}e.$Ui=P;class k extends l{constructor(D=e.$Qi,C=!0){super(),this.g=C,this.setLevel(D)}trace(D,...C){this.f(g.Trace)&&(this.g?console.log("%cTRACE","color: #888",D,...C):console.log(D,...C))}debug(D,...C){this.f(g.Debug)&&(this.g?console.log("%cDEBUG","background: #eee; color: #888",D,...C):console.log(D,...C))}info(D,...C){this.f(g.Info)&&(this.g?console.log("%c INFO","color: #33f",D,...C):console.log(D,...C))}warn(D,...C){this.f(g.Warning)&&(this.g?console.log("%c WARN","color: #993",D,...C):console.log(D,...C))}error(D,...C){this.f(g.Error)&&(this.g?console.log("%c  ERR","color: #f33",D,...C):console.error(D,...C))}dispose(){}flush(){}}e.$Vi=k;class t extends l{constructor(D,C=e.$Qi){super(),this.g=D,this.setLevel(C)}trace(D,...C){this.f(g.Trace)&&this.g.log(g.Trace,[this.h(D),...C])}debug(D,...C){this.f(g.Debug)&&this.g.log(g.Debug,[this.h(D),...C])}info(D,...C){this.f(g.Info)&&this.g.log(g.Info,[this.h(D),...C])}warn(D,...C){this.f(g.Warning)&&this.g.log(g.Warning,[this.h(D),...C])}error(D,...C){this.f(g.Error)&&this.g.log(g.Error,[this.h(D),...C])}h(D){return typeof D=="string"?D:(0,E.$9h)(D,this.f(g.Trace))}dispose(){}flush(){}}e.$Wi=t;class i extends l{constructor(D){super(),this.g=D,D.length&&this.setLevel(D[0].getLevel())}setLevel(D){for(const C of this.g)C.setLevel(D);super.setLevel(D)}trace(D,...C){for(const M of this.g)M.trace(D,...C)}debug(D,...C){for(const M of this.g)M.debug(D,...C)}info(D,...C){for(const M of this.g)M.info(D,...C)}warn(D,...C){for(const M of this.g)M.warn(D,...C)}error(D,...C){for(const M of this.g)M.error(D,...C)}flush(){for(const D of this.g)D.flush()}dispose(){for(const D of this.g)D.dispose()}}e.$Xi=i;class r extends A.$kb{constructor(D,C,M){if(super(),this.h=D,this.j=C,this.b=new R.$ji,this.c=this.B(new O.$5c),this.onDidChangeLoggers=this.c.event,this.f=this.B(new O.$5c),this.onDidChangeLogLevel=this.f.event,this.g=this.B(new O.$5c),this.onDidChangeVisibility=this.g.event,M)for(const X of M)this.b.set(X.resource,{logger:void 0,info:X})}k(D){return(0,d.$ge)(D)?[...this.b.values()].find(C=>C.info.id===D):this.b.get(D)}getLogger(D){return this.k(D)?.logger}createLogger(D,C){const M=this.l(D),X=(0,d.$ge)(D)?D:C?.id??(0,o.$_h)(M.toString()).toString(16);let ne=this.b.get(M)?.logger;const he=C?.logLevel==="always"?g.Trace:C?.logLevel;ne||(ne=this.m(M,he??this.getLogLevel(M)??this.h,{...C,id:X}));const ue={logger:ne,info:{resource:M,id:X,logLevel:he,name:C?.name,hidden:C?.hidden,extensionId:C?.extensionId,when:C?.when}};return this.registerLogger(ue.info),this.b.set(M,ue),ne}l(D){return(0,d.$ge)(D)?(0,b.$6f)(this.j,`${D}.log`):D}setLogLevel(D,C){if(I.URI.isUri(D)){const M=D,X=C,ne=this.b.get(M);ne&&X!==ne.info.logLevel&&(ne.info.logLevel=X===this.h?void 0:X,ne.logger?.setLevel(X),this.b.set(ne.info.resource,ne),this.f.fire([M,X]))}else{this.h=D;for(const[M,X]of this.b.entries())this.b.get(M)?.info.logLevel===void 0&&X.logger?.setLevel(this.h);this.f.fire(this.h)}}setVisibility(D,C){const M=this.k(D);M&&C!==!M.info.hidden&&(M.info.hidden=!C,this.b.set(M.info.resource,M),this.g.fire([M.info.resource,C]))}getLogLevel(D){let C;return D&&(C=this.b.get(D)?.info.logLevel),C??this.h}registerLogger(D){const C=this.b.get(D.resource);C?C.info.hidden!==D.hidden&&this.setVisibility(D.resource,!D.hidden):(this.b.set(D.resource,{info:D,logger:void 0}),this.c.fire({added:[D],removed:[]}))}deregisterLogger(D){const C=this.b.get(D);C&&(C.logger&&C.logger.dispose(),this.b.delete(D),this.c.fire({added:[],removed:[C.info]}))}*getRegisteredLoggers(){for(const D of this.b.values())yield D.info}getRegisteredLogger(D){return this.b.get(D)?.info}dispose(){this.b.forEach(D=>D.logger?.dispose()),this.b.clear(),super.dispose()}}e.$Yi=r;class n{constructor(){this.onDidChangeLogLevel=new O.$5c().event}setLevel(D){}getLevel(){return g.Info}trace(D,...C){}debug(D,...C){}info(D,...C){}warn(D,...C){}error(D,...C){}critical(D,...C){}dispose(){}flush(){}}e.$Zi=n;class s extends n{}e.$1i=s;function c(w){if(w.verbose)return g.Trace;if(typeof w.logLevel=="string"){const D=y(w.logLevel.toLowerCase());if(D!==void 0)return D}return e.$Qi}e.$2i=c;function f(w){switch(w){case g.Trace:return"trace";case g.Debug:return"debug";case g.Info:return"info";case g.Warning:return"warn";case g.Error:return"error";case g.Off:return"off"}}e.$3i=f;function y(w){switch(w){case"trace":return g.Trace;case"debug":return g.Debug;case"info":return g.Info;case"warn":return g.Warning;case"error":return g.Error;case"critical":return g.Error;case"off":return g.Off}}e.$4i=y,e.$5i=new v.$Ki("logLevel",f(g.Info))}),define(be[220],pe([1,0,78,5,2,12,3,14]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ln=void 0;let b=e.$ln=class Gt extends o.$kb{constructor(I){super(),this.h=I,this.c=this.B(new O.$5c),this.onDidChangePassword=this.c.event,this.g=new L.$ng}async getPassword(I,v){this.h.trace("Going to get password from keytar:",I,v);let p;try{p=await this.i()}catch{return null}return await this.g.queue(I+v,()=>this.k(p,I,v))}async k(I,v,p){this.h.trace("Doing get password from keytar:",v,p);const h=await(0,L.$Ig)(()=>I.getPassword(v,p),50,3);if(!h)return this.h.trace("Did not get a password from keytar for account:",p),h;let m,g;try{const a=JSON.parse(h);m=a.content,g=a.hasNextChunk}catch{}if(!m||!g)return this.h.trace("Got password from keytar for account:",p),h;try{let a=1;for(;g;){const u=await(0,L.$Ig)(()=>I.getPassword(v,`${p}-${a}`),50,3),l=JSON.parse(u);m+=l.content,g=l.hasNextChunk,a++}return this.h.trace(`Got ${a}-chunked password from keytar for account:`,p),m}catch(a){return this.h.error(a),h}}async setPassword(I,v,p){this.h.trace("Going to set password using keytar:",I,v);let h;try{h=await this.i()}catch(m){throw this.j?.(m),m}await this.g.queue(I+v,()=>this.l(h,I,v,p)),this.c.fire({service:I,account:v})}async l(I,v,p,h){if(this.h.trace("Doing set password from keytar:",v,p),!R.$i){await(0,L.$Ig)(()=>I.setPassword(v,p,h),50,3),this.h.trace("Set password from keytar for account:",p);return}if(await this.m(I,v,p),h.length<=Gt.b){await(0,L.$Ig)(()=>I.setPassword(v,p,h),50,3),this.h.trace("Set password from keytar for account:",p);return}let m=0,g=0,a=!0;for(;a;){const u=h.substring(m,m+Gt.b);m+=Gt.b,a=h.length-m>0;const l={content:u,hasNextChunk:a};await(0,L.$Ig)(()=>I.setPassword(v,g?`${p}-${g}`:p,JSON.stringify(l)),50,3),g++}this.h.trace(`Set${g?` ${g}-chunked`:""} password from keytar for account:`,p)}async deletePassword(I,v){this.h.trace("Going to delete password using keytar:",I,v);let p;try{p=await this.i()}catch(m){throw this.j?.(m),m}const h=await this.g.queue(I+v,()=>this.m(p,I,v));return h&&this.c.fire({service:I,account:v}),h}async m(I,v,p){this.h.trace("Doing delete password from keytar:",v,p);const h=await I.getPassword(v,p);if(!h)return this.h.trace("Did not get a password to delete from keytar for account:",p),!1;let m,g;try{const u=JSON.parse(h);m=u.content,g=u.hasNextChunk}catch{}let a=0;if(m&&g)try{for(a++;g;){const u=`${p}-${a}`,l=await I.getPassword(v,u);await I.deletePassword(v,u),g=JSON.parse(l).hasNextChunk,a++}}catch(u){this.h.error(u)}return await I.deletePassword(v,p)?(this.h.trace(`Deleted${a?` ${a}-chunked`:""} password from keytar for account:`,p),!0):(this.h.trace(`Keytar failed to delete${a?` ${a}-chunked`:""} password for account:`,p),!1)}async findPassword(I){let v;try{v=await this.i()}catch{return null}return await v.findPassword(I)}async findCredentials(I){let v;try{v=await this.i()}catch{return[]}return await v.findCredentials(I)}clear(){return this.f instanceof E.$kn?this.f.clear():Promise.resolve()}};b.a=2500,b.b=b.a-100,e.$ln=b=Le([Re(0,A.$Ni)],b)}),define(be[221],pe([1,0,18,14,11,5,2,7,65,12]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xp=void 0;class I extends R.$kb{constructor(p,h){super(),this.a=p,this.b=h,this.c=this.B(new A.$5c),this.onDidChangeFile=this.c.event,this.g=this.B(new A.$5c),this.onDidWatchError=this.g.event,this.j=[],this.k=this.B(new O.$pg(0)),this.s=[],this.t=this.B(new O.$pg(0))}watch(p,h){return h.recursive||this.b?.watcher?.forceUniversal?this.l(p,h):this.u(p,h)}l(p,h){const m={path:this.C(p),excludes:h.excludes,includes:h.includes,recursive:h.recursive},g=(0,E.$yf)(this.j,m);return this.m(),(0,R.$ib)(()=>{g(),this.m()})}m(){this.k.trigger(()=>this.n()).catch(p=>(0,o.$X)(p))}n(){this.h||(this.h=this.B(this.p(h=>this.c.fire((0,b.$tp)(h)),h=>this.z(h),this.a.getLevel()===d.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.h?.setVerboseLogging(this.a.getLevel()===d.LogLevel.Trace)})));const p=this.b?.watcher?.recursive?.usePolling;if(p===!0)for(const h of this.j)(0,b.$pp)(h)&&(h.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(p))for(const h of this.j)(0,b.$pp)(h)&&p.includes(h.path)&&(h.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);return this.h.watch(this.j)}u(p,h){const m={path:this.C(p),excludes:h.excludes,includes:h.includes,recursive:!1},g=(0,E.$yf)(this.s,m);return this.v(),(0,R.$ib)(()=>{g(),this.v()})}v(){this.t.trigger(()=>this.w()).catch(p=>(0,o.$X)(p))}w(){return this.r||(this.r=this.B(this.y(p=>this.c.fire((0,b.$tp)(p)),p=>this.z(p),this.a.getLevel()===d.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.r?.setVerboseLogging(this.a.getLevel()===d.LogLevel.Trace)}))),this.r.watch(this.s)}z(p){p.type==="error"&&this.g.fire(p.message),this.a[p.type](p.message)}C(p){return(0,L.$9b)(p.fsPath)}}e.$xp=I}),define(be[110],pe([1,0,18,14,15,20,5,73,46,2,59,13,41,19,47,182,16,108,12,11]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$op=void 0;let P=e.$op=class extends d.$kb{constructor(t){super(),this.b=t,this.a=256*1024,this.c=this.B(new R.$5c),this.onDidChangeFileSystemProviderRegistrations=this.c.event,this.f=this.B(new R.$5c),this.onWillActivateFileSystemProvider=this.f.event,this.g=this.B(new R.$5c),this.onDidChangeFileSystemProviderCapabilities=this.g.event,this.h=new Map,this.m=this.B(new R.$5c),this.onDidRunOperation=this.m.event,this.R=this.B(new R.$5c),this.onDidFilesChange=this.R.event,this.S=this.B(new R.$5c),this.onDidWatchError=this.S.event,this.U=new Map,this.X=this.B(new O.$zg)}registerProvider(t,i){if(this.h.has(t))throw new Error(`A filesystem provider for the scheme '${t}' is already registered.`);(0,p.mark)(`code/registerFilesystem/${t}`);const r=new d.$jb;return this.h.set(t,i),this.c.fire({added:!0,scheme:t,provider:i}),r.add(i.onDidChangeFile(n=>this.R.fire(new a.$7j(n,!this.O(i))))),typeof i.onDidWatchError=="function"&&r.add(i.onDidWatchError(n=>this.S.fire(new Error(n)))),r.add(i.onDidChangeCapabilities(()=>this.g.fire({provider:i,scheme:t}))),(0,d.$ib)(()=>{this.c.fire({added:!1,scheme:t,provider:i}),this.h.delete(t),(0,d.$fb)(r)})}getProvider(t){return this.h.get(t)}async activateProvider(t){const i=[];this.f.fire({scheme:t,join(r){i.push(r)}}),!this.h.has(t)&&await O.Promises.settled(i)}async canHandleResource(t){return await this.activateProvider(t.scheme),this.hasProvider(t)}hasProvider(t){return this.h.has(t.scheme)}hasCapability(t,i){const r=this.h.get(t.scheme);return!!(r&&r.capabilities&i)}listCapabilities(){return b.Iterable.map(this.h,([t,i])=>({scheme:t,capabilities:i.capabilities}))}async j(t){if(!(0,h.$0f)(t))throw new a.$9j((0,g.localize)(0,null,this.nb(t)),8);await this.activateProvider(t.scheme);const i=this.h.get(t.scheme);if(!i){const r=new $.$_;throw r.message=(0,g.localize)(1,null,t.toString()),r}return i}async k(t){const i=await this.j(t);if((0,a.$Tj)(i)||(0,a.$Qj)(i)||(0,a.$Uj)(i))return i;throw new Error(`Filesystem provider for scheme '${t.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async l(t){const i=await this.j(t);if((0,a.$Tj)(i)||(0,a.$Qj)(i))return i;throw new Error(`Filesystem provider for scheme '${t.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(t,i){try{return await this.n(t,i)}catch(r){throw(0,a.$4j)(r)===a.FileSystemProviderErrorCode.FileNotFound?new a.$9j((0,g.localize)(2,null,this.nb(t)),1):(0,a.$2j)(r)}}async n(t,i){const r=await this.j(t),n=this.O(r),s=i?.resolveTo,c=i?.resolveSingleChildDescendants,f=i?.resolveMetadata,y=await r.stat(t);let w;return this.p(r,t,y,void 0,!!f,(D,C)=>(w||(w=I.$rh.forUris(()=>!n),w.set(t,!0),s&&w.fill(!0,s)),w.get(D.resource)||w.findSuperstr(D.resource.with({query:null,fragment:null}))?!0:D.isDirectory&&c?C===1:!1))}async p(t,i,r,n,s,c){const{providerExtUri:f}=this.N(t),y={resource:i,name:f.basename(i),isFile:(r.type&a.FileType.File)!==0,isDirectory:(r.type&a.FileType.Directory)!==0,isSymbolicLink:(r.type&a.FileType.SymbolicLink)!==0,mtime:r.mtime,ctime:r.ctime,size:r.size,readonly:!!((r.permissions??0)&a.FilePermission.Readonly)||!!(t.capabilities&2048),locked:!!((r.permissions??0)&a.FilePermission.Locked),etag:(0,a.$hk)({mtime:r.mtime,size:r.size}),children:void 0};if(y.isDirectory&&c(y,n)){try{const w=await t.readdir(i),D=await O.Promises.settled(w.map(async([C,M])=>{try{const X=f.joinPath(i,C),ne=s?await t.stat(X):{type:M};return await this.p(t,X,ne,w.length,s,c)}catch(X){return this.b.trace(X),null}}));y.children=(0,E.$jf)(D)}catch(w){this.b.trace(w),y.children=[]}return y}return y}async resolveAll(t){return O.Promises.settled(t.map(async i=>{try{return{stat:await this.n(i.resource,i.options),success:!0}}catch(r){return this.b.trace(r),{stat:void 0,success:!1}}}))}async stat(t){const i=await this.j(t),r=await i.stat(t);return this.p(i,t,r,void 0,!0,()=>!1)}async exists(t){const i=await this.j(t);try{return!!await i.stat(t)}catch{return!1}}async canCreateFile(t,i){try{await this.r(t,i)}catch(r){return r}return!0}async r(t,i){if(!i?.overwrite&&await this.exists(t))throw new a.$9j((0,g.localize)(3,null,this.nb(t)),3,i)}async createFile(t,i=o.$Ib.fromString(""),r){await this.r(t,r);const n=await this.writeFile(t,i);return this.m.fire(new a.$6j(t,0,n)),n}async writeFile(t,i,r){const n=this.lb(await this.l(t),t),{providerExtUri:s}=this.N(n);try{await this.s(n,t,r)||await this.P(n,s.dirname(t));let f;if((0,a.$Qj)(n)&&!(i instanceof o.$Ib))if((0,m.$ub)(i)){const y=await(0,m.$Bb)(i,3);y.ended?f=o.$Ib.concat(y.buffer):f=y}else f=(0,m.$yb)(i,y=>o.$Ib.concat(y),3);else f=i;if(!(0,a.$Tj)(n)||(0,a.$Qj)(n)&&f instanceof o.$Ib)await this.cb(n,t,r,f);else{const y=f instanceof o.$Ib?(0,o.$Sb)(f):f;r?.atomic!==!1&&r?.atomic?.postfix?await this.Y(n,t,(0,h.$6f)((0,h.$5f)(t),`${(0,h.$3f)(t)}${r.atomic.postfix}`),r,y):await this.Z(n,t,r,y)}this.m.fire(new a.$6j(t,4))}catch(c){throw new a.$9j((0,g.localize)(4,null,this.nb(t),(0,a.$2j)(c).toString()),(0,a.$5j)(c),r)}return this.resolve(t,{resolveMetadata:!0})}async s(t,i,r){const n=!!r?.unlock;if(n&&!(t.capabilities&8192))throw new Error((0,g.localize)(5,null,this.nb(i)));if(!!r?.atomic){if(!(t.capabilities&32768))throw new Error((0,g.localize)(6,null,this.nb(i)));if(n)throw new Error((0,g.localize)(7,null,this.nb(i)))}let c;try{c=await t.stat(i)}catch{return}if(c.type&a.FileType.Directory)throw new a.$9j((0,g.localize)(8,null,this.nb(i)),0,r);if(this.mb(i,c),typeof r?.mtime=="number"&&typeof r.etag=="string"&&r.etag!==a.$gk&&typeof c.mtime=="number"&&typeof c.size=="number"&&r.mtime<c.mtime&&r.etag!==(0,a.$hk)({mtime:r.mtime,size:c.size}))throw new a.$9j((0,g.localize)(9,null),3,r);return c}async readFile(t,i,r){const n=await this.k(t);return i?.atomic?this.t(n,t,i,r):this.u(n,t,i,r)}async t(t,i,r,n){return new Promise((s,c)=>{this.X.queueFor(i,this.N(t).providerExtUri).queue(async()=>{try{const f=await this.u(t,i,r,n);s(f)}catch(f){c(f)}})})}async u(t,i,r,n){const s=await this.v(t,i,{...r,preferUnbuffered:!0},n);return{...s,value:await(0,o.$Tb)(s.value)}}async readFileStream(t,i,r){const n=await this.k(t);return this.v(n,t,i,r)}async v(t,i,r,n){const s=new A.$bd(n),c=this.F(i,r).then(y=>y,y=>{throw s.cancel(),y});let f;try{return typeof r?.etag=="string"&&r.etag!==a.$gk&&await c,r?.atomic&&(0,a.$Vj)(t)||!((0,a.$Tj)(t)||(0,a.$Uj)(t))||(0,a.$Qj)(t)&&r?.preferUnbuffered?f=this.D(t,i,r):(0,a.$Uj)(t)?f=this.z(t,i,s.token,r):f=this.C(t,i,s.token,r),{...await c,value:f}}catch(y){throw f&&await(0,m.$zb)(f),this.w(y,i,r)}}w(t,i,r){const n=(0,g.localize)(10,null,this.nb(i),(0,a.$2j)(t).toString());return t instanceof a.$$j?new a.$$j(n,t.stat,r):t instanceof a.$0j?new a.$0j(n,t.fileOperationResult,t.size,t.options):new a.$9j(n,(0,a.$5j)(t),r)}z(t,i,r,n=Object.create(null)){const s=t.readFileStream(i,n,r);return(0,m.$Fb)(s,{data:c=>c instanceof o.$Ib?c:o.$Ib.wrap(c),error:c=>this.w(c,i,n)},c=>o.$Ib.concat(c))}C(t,i,r,n=Object.create(null)){const s=(0,o.$Xb)();return(0,u.$np)(t,i,s,c=>c,{...n,bufferSize:this.a,errorTransformer:c=>this.w(c,i,n)},r),s}D(t,i,r){const n=(0,m.$wb)(s=>o.$Ib.concat(s));return(async()=>{try{let s;r?.atomic&&(0,a.$Vj)(t)?s=await t.readFile(i,{atomic:!0}):s=await t.readFile(i),typeof r?.position=="number"&&(s=s.slice(r.position)),typeof r?.length=="number"&&(s=s.slice(0,r.length)),this.G(i,s.byteLength,r),n.end(o.$Ib.wrap(s))}catch(s){n.error(s),n.end()}})(),n}async F(t,i){const r=await this.resolve(t,{resolveMetadata:!0});if(r.isDirectory)throw new a.$9j((0,g.localize)(11,null,this.nb(t)),0,i);if(typeof i?.etag=="string"&&i.etag!==a.$gk&&i.etag===r.etag)throw new a.$$j((0,g.localize)(12,null),r,i);return this.G(t,r.size,i),r}G(t,i,r){if(typeof r?.limits?.size=="number"&&i>r.limits.size)throw new a.$0j((0,g.localize)(13,null,this.nb(t)),7,i,r)}async canMove(t,i,r){return this.H(t,i,"move",r)}async canCopy(t,i,r){return this.H(t,i,"copy",r)}async H(t,i,r,n){if(t.toString()!==i.toString())try{const s=r==="move"?this.lb(await this.l(t),t):await this.k(t),c=this.lb(await this.l(i),i);await this.M(s,t,c,i,r,n)}catch(s){return s}return!0}async move(t,i,r){const n=this.lb(await this.l(t),t),s=this.lb(await this.l(i),i),c=await this.I(n,t,s,i,"move",!!r),f=await this.resolve(i,{resolveMetadata:!0});return this.m.fire(new a.$6j(t,c==="move"?2:3,f)),f}async copy(t,i,r){const n=await this.k(t),s=this.lb(await this.l(i),i),c=await this.I(n,t,s,i,"copy",!!r),f=await this.resolve(i,{resolveMetadata:!0});return this.m.fire(new a.$6j(t,c==="copy"?3:2,f)),f}async I(t,i,r,n,s,c){if(i.toString()===n.toString())return s;const{exists:f,isSameResourceWithDifferentPathCase:y}=await this.M(t,i,r,n,s,c);if(f&&!y&&c&&await this.del(n,{recursive:!0}),await this.P(r,this.N(r).providerExtUri.dirname(n)),s==="copy"){if(t===r&&(0,a.$Rj)(t))await t.copy(i,n,{overwrite:c});else{const w=await this.resolve(i);w.isDirectory?await this.L(t,w,r,n):await this.J(t,i,r,n)}return s}else return t===r?(await t.rename(i,n,{overwrite:c}),s):(await this.I(t,i,r,n,"copy",c),await this.del(i,{recursive:!0}),"copy")}async J(t,i,r,n){if((0,a.$Tj)(t)&&(0,a.$Tj)(r))return this.eb(t,i,r,n);if((0,a.$Tj)(t)&&(0,a.$Qj)(r))return this.kb(t,i,r,n);if((0,a.$Qj)(t)&&(0,a.$Tj)(r))return this.ib(t,i,r,n);if((0,a.$Qj)(t)&&(0,a.$Qj)(r))return this.gb(t,i,r,n)}async L(t,i,r,n){await r.mkdir(n),Array.isArray(i.children)&&await O.Promises.settled(i.children.map(async s=>{const c=this.N(r).providerExtUri.joinPath(n,s.name);return s.isDirectory?this.L(t,await this.resolve(s.resource),r,c):this.J(t,s.resource,r,c)}))}async M(t,i,r,n,s,c){let f=!1;if(t===r){const{providerExtUri:w,isPathCaseSensitive:D}=this.N(t);if(D||(f=w.isEqual(i,n)),f&&s==="copy")throw new Error((0,g.localize)(14,null,this.nb(i),this.nb(n)));if(!f&&w.isEqualOrParent(n,i))throw new Error((0,g.localize)(15,null,this.nb(i),this.nb(n)))}const y=await this.exists(n);if(y&&!f){if(!c)throw new a.$9j((0,g.localize)(16,null,this.nb(i),this.nb(n)),4);if(t===r){const{providerExtUri:w}=this.N(t);if(w.isEqualOrParent(i,n))throw new Error((0,g.localize)(17,null,this.nb(i),this.nb(n)))}}return{exists:y,isSameResourceWithDifferentPathCase:f}}N(t){const i=this.O(t);return{providerExtUri:i?h.$Vf:h.$Xf,isPathCaseSensitive:i}}O(t){return!!(t.capabilities&1024)}async createFolder(t){const i=this.lb(await this.j(t),t);await this.P(i,t);const r=await this.resolve(t,{resolveMetadata:!0});return this.m.fire(new a.$6j(t,0,r)),r}async P(t,i){const r=[],{providerExtUri:n}=this.N(t);for(;!n.isEqual(i,n.dirname(i));)try{if(!((await t.stat(i)).type&a.FileType.Directory))throw new Error((0,g.localize)(18,null,this.nb(i)));break}catch(s){if((0,a.$4j)(s)!==a.FileSystemProviderErrorCode.FileNotFound)throw s;r.push(n.basename(i)),i=n.dirname(i)}for(let s=r.length-1;s>=0;s--){i=n.joinPath(i,r[s]);try{await t.mkdir(i)}catch(c){if((0,a.$4j)(c)!==a.FileSystemProviderErrorCode.FileExists)throw c}}}async canDelete(t,i){try{await this.Q(t,i)}catch(r){return r}return!0}async Q(t,i){const r=this.lb(await this.j(t),t),n=!!i?.useTrash;if(n&&!(r.capabilities&4096))throw new Error((0,g.localize)(19,null,this.nb(t)));const s=i?.atomic;if(s&&!(r.capabilities&65536))throw new Error((0,g.localize)(20,null,this.nb(t)));if(n&&s)throw new Error((0,g.localize)(21,null,this.nb(t)));let c;try{c=await r.stat(t)}catch{}if(c)this.mb(t,c);else throw new a.$9j((0,g.localize)(22,null,this.nb(t)),1);if(!!!i?.recursive){const y=await this.resolve(t);if(y.isDirectory&&Array.isArray(y.children)&&y.children.length>0)throw new Error((0,g.localize)(23,null,this.nb(t)))}return r}async del(t,i){const r=await this.Q(t,i),n=!!i?.useTrash,s=!!i?.recursive,c=i?.atomic??!1;await r.delete(t,{recursive:s,useTrash:n,atomic:c}),this.m.fire(new a.$6j(t,1))}async cloneFile(t,i){const r=await this.j(t),n=this.lb(await this.l(i),i);if(r===n&&this.N(r).providerExtUri.isEqual(t,i))return;if(r===n&&(0,a.$Sj)(r))return r.cloneFile(t,i);await this.P(n,this.N(n).providerExtUri.dirname(i));const s=this.X.queueFor(t,this.N(r).providerExtUri);return r===n&&(0,a.$Rj)(r)?s.queue(()=>r.copy(t,i,{overwrite:!0})):s.queue(()=>this.J(r,t,n,i))}watch(t,i={recursive:!1,excludes:[]}){const r=new d.$jb;let n=!1,s=()=>{n=!0};return r.add((0,d.$ib)(()=>s())),(async()=>{try{const c=await this.W(t,i);n?(0,d.$fb)(c):s=()=>(0,d.$fb)(c)}catch(c){this.b.error(c)}})(),r}async W(t,i){const r=await this.j(t),n=(0,L.$_h)([this.N(r).providerExtUri.getComparisonKey(t),i]);let s=this.U.get(n);return s||(s={count:0,disposable:r.watch(t,i)},this.U.set(n,s)),s.count+=1,(0,d.$ib)(()=>{s&&(s.count--,s.count===0&&((0,d.$fb)(s.disposable),this.U.delete(n)))})}dispose(){super.dispose();for(const[,t]of this.U)(0,d.$fb)(t.disposable);this.U.clear()}async Y(t,i,r,n,s){await this.Z(t,r,n,s);try{await t.rename(r,i,{overwrite:!0})}catch(c){try{await t.delete(r,{recursive:!1,useTrash:!1,atomic:!1})}catch{}throw c}}async Z(t,i,r,n){return this.X.queueFor(i,this.N(t).providerExtUri).queue(async()=>{const s=await t.open(i,{create:!0,unlock:r?.unlock??!1});try{(0,m.$ub)(n)||(0,m.$vb)(n)?await this.$(t,s,n):await this.ab(t,s,n)}catch(c){throw(0,a.$2j)(c)}finally{await t.close(s)}})}async $(t,i,r){let n=0,s;if((0,m.$vb)(r)){if(r.buffer.length>0){const c=o.$Ib.concat(r.buffer);await this.bb(t,i,c,c.byteLength,n,0),n+=c.byteLength}if(r.ended)return;s=r.stream}else s=r;return new Promise((c,f)=>{(0,m.$Ab)(s,{onData:async y=>{s.pause();try{await this.bb(t,i,y,y.byteLength,n,0)}catch(w){return f(w)}n+=y.byteLength,setTimeout(()=>s.resume())},onError:y=>f(y),onEnd:()=>c()})})}async ab(t,i,r){let n=0,s;for(;(s=r.read())!==null;)await this.bb(t,i,s,s.byteLength,n,0),n+=s.byteLength}async bb(t,i,r,n,s,c){let f=0;for(;f<n;){const y=await t.write(i,s+f,r.buffer,c+f,n-f);f+=y}}async cb(t,i,r,n){return this.X.queueFor(i,this.N(t).providerExtUri).queue(()=>this.db(t,i,r,n))}async db(t,i,r,n){let s;n instanceof o.$Ib?s=n:(0,m.$ub)(n)?s=await(0,o.$Tb)(n):(0,m.$vb)(n)?s=await(0,o.$Ub)(n):s=(0,o.$Rb)(n),await t.writeFile(i,s.buffer,{create:!0,overwrite:!0,unlock:r?.unlock??!1,atomic:r?.atomic??!1})}async eb(t,i,r,n){return this.X.queueFor(n,this.N(r).providerExtUri).queue(()=>this.fb(t,i,r,n))}async fb(t,i,r,n){let s,c;try{s=await t.open(i,{create:!1}),c=await r.open(n,{create:!0,unlock:!1});const f=o.$Ib.alloc(this.a);let y=0,w=0,D=0;do D=await t.read(s,y,f.buffer,w,f.byteLength-w),await this.bb(r,c,f,D,y,w),y+=D,w+=D,w===f.byteLength&&(w=0);while(D>0)}catch(f){throw(0,a.$2j)(f)}finally{await O.Promises.settled([typeof s=="number"?t.close(s):Promise.resolve(),typeof c=="number"?r.close(c):Promise.resolve()])}}async gb(t,i,r,n){return this.X.queueFor(n,this.N(r).providerExtUri).queue(()=>this.hb(t,i,r,n))}async hb(t,i,r,n){return r.writeFile(n,await t.readFile(i),{create:!0,overwrite:!0,unlock:!1,atomic:!1})}async ib(t,i,r,n){return this.X.queueFor(n,this.N(r).providerExtUri).queue(()=>this.jb(t,i,r,n))}async jb(t,i,r,n){const s=await r.open(n,{create:!0,unlock:!1});try{const c=await t.readFile(i);await this.bb(r,s,o.$Ib.wrap(c),c.byteLength,0,0)}catch(c){throw(0,a.$2j)(c)}finally{await r.close(s)}}async kb(t,i,r,n){const s=await(0,o.$Tb)(this.C(t,i,A.CancellationToken.None));await this.cb(r,n,void 0,s)}lb(t,i){if(t.capabilities&2048)throw new a.$9j((0,g.localize)(24,null,this.nb(i)),6);return t}mb(t,i){if((i.permissions??0)&a.FilePermission.Readonly)throw new a.$9j((0,g.localize)(25,null,this.nb(t)),6)}nb(t){return t.scheme===v.Schemas.file?t.fsPath:t.toString(!0)}};e.$op=P=Le([Re(0,l.$Ni)],P)}),define(be[66],pe([1,0,28,295,14,27,15,5,39,2,7,3,19,47,23,185,16,108,221,38,218,217]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Np=void 0,(()=>{try{(0,O.gracefulify)(E)}catch(i){console.error(`Error enabling graceful-fs: ${(0,$.$9h)(i)}`)}})();class t extends l.$xp{constructor(r,n){super(r,n),this.onDidChangeCapabilities=L.Event.None,this.I=new A.$ji(s=>p.$Wf.getComparisonKey(s)),this.O=new Map,this.P=new Map,this.Q=new Map}get capabilities(){return this.F||(this.F=253982,v.$k&&(this.F|=1024)),this.F}async stat(r){try{const{stat:n,symbolicLink:s}=await m.SymlinkSupport.stat(this.C(r));return{type:this.H(n,s),ctime:n.birthtime.getTime(),mtime:n.mtime.getTime(),size:n.size,permissions:n.mode&128?void 0:a.FilePermission.Locked}}catch(n){throw this.ab(n)}}async G(r){try{return await this.stat(r)}catch{return}}async readdir(r){try{const n=await m.Promises.readdir(this.C(r),{withFileTypes:!0}),s=[];return await Promise.all(n.map(async c=>{try{let f;c.isSymbolicLink()?f=(await this.stat((0,p.$6f)(r,c.name))).type:f=this.H(c),s.push([c.name,f])}catch(f){this.a.trace(f)}})),s}catch(n){throw this.ab(n)}}H(r,n){let s;return n?.dangling?s=a.FileType.Unknown:r.isFile()?s=a.FileType.File:r.isDirectory()?s=a.FileType.Directory:s=a.FileType.Unknown,n&&(s|=a.FileType.SymbolicLink),s}async J(r){const n=this.C(r);this.L(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${n})`);let s;for(;s=this.I.get(r);)this.L(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${n})`),await s.wait();const c=new o.$qg;return this.I.set(r,c),this.L(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${n})`),(0,d.$ib)(()=>{this.L(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${n})`),this.I.get(r)===c&&(this.L(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${n})`),this.I.delete(r)),this.L(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${n})`),c.open()})}async readFile(r,n){let s;try{n?.atomic&&(this.L(`[Disk FileSystemProvider]: atomic read operation started (${this.C(r)})`),s=await this.J(r));const c=this.C(r);return await m.Promises.readFile(c)}catch(c){throw this.ab(c)}finally{s?.dispose()}}L(r){t.D&&this.a.trace(r)}readFileStream(r,n,s){const c=(0,h.$wb)(f=>R.$Ib.concat(f.map(y=>R.$Ib.wrap(y))).buffer);return(0,u.$np)(this,r,c,f=>f.buffer,{...n,bufferSize:256*1024},s),c}async writeFile(r,n,s){return s?.atomic!==!1&&s?.atomic?.postfix?this.M(r,(0,p.$6f)((0,p.$5f)(r),`${(0,p.$3f)(r)}${s.atomic.postfix}`),n,s):this.N(r,n,s)}async M(r,n,s,c){await this.N(n,s,c);try{await this.rename(n,r,{overwrite:!0})}catch(f){try{await this.delete(n,{recursive:!1,useTrash:!1,atomic:!1})}catch{}throw f}}async N(r,n,s){let c;try{const f=this.C(r);if(!s.create||!s.overwrite){if(await m.Promises.exists(f)){if(!s.overwrite)throw(0,a.$1j)((0,g.localize)(0,null),a.FileSystemProviderErrorCode.FileExists)}else if(!s.create)throw(0,a.$1j)((0,g.localize)(1,null),a.FileSystemProviderErrorCode.FileNotFound)}c=await this.open(r,{create:!0,unlock:s.unlock}),await this.write(c,0,n,0,n.byteLength)}catch(f){throw await this.bb(r,f)}finally{typeof c=="number"&&await this.close(c)}}static configureFlushOnWrite(r){t.R=r}async open(r,n){const s=this.C(r);let c;(0,a.$Pj)(n)&&(c=await this.J(r));let f;try{if((0,a.$Pj)(n)&&n.unlock)try{const{stat:w}=await m.SymlinkSupport.stat(s);w.mode&128||await m.Promises.chmod(s,w.mode|128)}catch(w){w.code!=="ENOENT"&&this.a.trace(w)}let y;if((0,a.$Pj)(n)){if(v.$i)try{await m.Promises.truncate(s,0),y="r+"}catch(w){w.code!=="ENOENT"&&this.a.trace(w)}y||(y="w")}else y="r";f=await m.Promises.open(s,y)}catch(y){throw c?.dispose(),(0,a.$Pj)(n)?await this.bb(r,y):this.ab(y)}if(this.O.set(f,0),(0,a.$Pj)(n)&&this.Q.set(f,r),c){const y=this.P.get(f);this.L(`[Disk FileSystemProvider]: open() - storing lock for handle ${f} (${s})`),this.P.set(f,c),y&&(this.L(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${f} (${s})`),y.dispose())}return f}async close(r){const n=this.P.get(r);try{if(this.O.delete(r),this.Q.delete(r)&&t.R)try{await m.Promises.fdatasync(r)}catch(s){t.configureFlushOnWrite(!1),this.a.error(s)}return await m.Promises.close(r)}catch(s){throw this.ab(s)}finally{n&&(this.P.get(r)===n&&(this.L(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${r}`),this.P.delete(r)),this.L(`[Disk FileSystemProvider]: close() - disposing lock for handle ${r}`),n.dispose())}}async read(r,n,s,c,f){const y=this.S(r,n);let w=null;try{w=(await m.Promises.read(r,s,c,f,y)).bytesRead}catch(D){throw this.ab(D)}finally{this.U(r,y,w)}return w}S(r,n){return n===this.O.get(r)?null:n}U(r,n,s){const c=this.O.get(r);typeof c=="number"&&(typeof n=="number"||(typeof s=="number"?this.O.set(r,c+s):this.O.delete(r)))}async write(r,n,s,c,f){return(0,o.$Ig)(()=>this.W(r,n,s,c,f),100,3)}async W(r,n,s,c,f){const y=this.S(r,n);let w=null;try{w=(await m.Promises.write(r,s,c,f,y)).bytesWritten}catch(D){throw await this.bb(this.Q.get(r),D)}finally{this.U(r,y,w)}return w}async mkdir(r){try{await m.Promises.mkdir(this.C(r))}catch(n){throw this.ab(n)}}async delete(r,n){try{const s=this.C(r);if(n.recursive){let c;n?.atomic!==!1&&n.atomic.postfix&&(c=(0,I.$$b)((0,I.$bc)(s),`${(0,I.$cc)(s)}${n.atomic.postfix}`)),await m.Promises.rm(s,m.RimRafMode.MOVE,c)}else try{await m.Promises.unlink(s)}catch(c){if(c.code==="EPERM"||c.code==="EISDIR"){let f=!1;try{const{stat:y,symbolicLink:w}=await m.SymlinkSupport.stat(s);f=y.isDirectory()&&!w}catch{}if(f)await m.Promises.rmdir(s);else throw c}else throw c}}catch(s){throw this.ab(s)}}async rename(r,n,s){const c=this.C(r),f=this.C(n);if(c!==f)try{await this.X(r,n,"move",s.overwrite),await m.Promises.move(c,f)}catch(y){throw(y.code==="EINVAL"||y.code==="EBUSY"||y.code==="ENAMETOOLONG")&&(y=new Error((0,g.localize)(2,null,(0,I.$cc)(c),(0,I.$cc)((0,I.$bc)(f)),y.toString()))),this.ab(y)}}async copy(r,n,s){const c=this.C(r),f=this.C(n);if(c!==f)try{await this.X(r,n,"copy",s.overwrite),await m.Promises.copy(c,f,{preserveSymlinks:!0})}catch(y){throw(y.code==="EINVAL"||y.code==="EBUSY"||y.code==="ENAMETOOLONG")&&(y=new Error((0,g.localize)(3,null,(0,I.$cc)(c),(0,I.$cc)((0,I.$bc)(f)),y.toString()))),this.ab(y)}}async X(r,n,s,c){const f=this.C(r),y=this.C(n);let w=!1;if(!!(this.capabilities&1024)||(w=(0,b.$Ge)(f,y,!0)),w){if(s==="copy")throw(0,a.$1j)((0,g.localize)(4,null),a.FileSystemProviderErrorCode.FileExists);if(s==="move")return}const C=await this.G(r);if(!C)throw(0,a.$1j)((0,g.localize)(5,null),a.FileSystemProviderErrorCode.FileNotFound);const M=await this.G(n);if(M){if(!c)throw(0,a.$1j)((0,g.localize)(6,null),a.FileSystemProviderErrorCode.FileExists);C.type&a.FileType.File&&M.type&a.FileType.File||await this.delete(n,{recursive:!0,useTrash:!1,atomic:!1})}}async cloneFile(r,n){return this.Y(r,n,!1)}async Y(r,n,s){const c=this.C(r),f=this.C(n),y=!!(this.capabilities&1024);if((0,b.$Ge)(c,f,!y))return;const w=new d.$jb;try{const[D,C]=await Promise.all([this.J(r),this.J(n)]);w.add(D),w.add(C),s&&await m.Promises.mkdir((0,I.$bc)(f),{recursive:!0}),await m.Promises.copyFile(c,f)}catch(D){if(D.code==="ENOENT"&&!s)return this.Y(r,n,!0);throw this.ab(D)}finally{w.dispose()}}p(r,n,s){return new P.$Ep(c=>r(c),c=>n(c),s)}y(r,n,s){return new k.$Mp(c=>r(c),c=>n(c),s)}ab(r){if(r instanceof a.$Zj)return r;let n=r,s;switch(r.code){case"ENOENT":s=a.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":s=a.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":s=a.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":s=a.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":s=a.FileSystemProviderErrorCode.NoPermissions;break;case"ERR_UNC_HOST_NOT_ALLOWED":n=`${r.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`,s=a.FileSystemProviderErrorCode.Unknown;break;default:s=a.FileSystemProviderErrorCode.Unknown}return(0,a.$1j)(n,s)}async bb(r,n){let s=this.ab(n);if(r&&s.code===a.FileSystemProviderErrorCode.NoPermissions)try{const{stat:c}=await m.SymlinkSupport.stat(this.C(r));c.mode&128||(s=(0,a.$1j)(n,a.FileSystemProviderErrorCode.FileWriteLocked))}catch(c){this.a.trace(c)}return s}}e.$Np=t,t.D=!1,t.R=!0}),define(be[222],pe([1,0,5,66,2,15,47,20]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ir=e.$hr=void 0;class b extends o.$kb{constructor(v,p){super(),this.a=v,this.b=p,this.w=new Map,this.y=new Map}call(v,p,h){const m=this.c(v);switch(p){case"stat":return this.g(m,h[0]);case"readdir":return this.h(m,h[0]);case"open":return this.l(m,h[0],h[1]);case"close":return this.m(h[0]);case"read":return this.n(h[0],h[1],h[2]);case"readFile":return this.i(m,h[0],h[1]);case"write":return this.p(h[0],h[1],h[2],h[3],h[4]);case"writeFile":return this.k(m,h[0],h[1],h[2]);case"rename":return this.t(m,h[0],h[1],h[2]);case"copy":return this.u(m,h[0],h[1],h[2]);case"cloneFile":return this.v(m,h[0],h[1]);case"mkdir":return this.r(m,h[0]);case"delete":return this.s(m,h[0],h[1]);case"watch":return this.C(m,h[0],h[1],h[2],h[3]);case"unwatch":return this.D(h[0],h[1])}throw new Error(`IPC Command ${p} not found`)}listen(v,p,h){const m=this.c(v);switch(p){case"fileChange":return this.z(m,h[0]);case"readFileStream":return this.j(m,h[0],h[1])}throw new Error(`Unknown event ${p}`)}g(v,p){const h=this.f(v,p,!0);return this.a.stat(h)}h(v,p){const h=this.f(v,p);return this.a.readdir(h)}async i(v,p,h){const m=this.f(v,p,!0),g=await this.a.readFile(m,h);return A.$Ib.wrap(g)}j(v,p,h){const m=this.f(v,p,!0),g=new L.$bd,a=new E.$5c({onDidRemoveLastListener:()=>{g.cancel()}}),u=this.a.readFileStream(m,h,g.token);return(0,R.$Ab)(u,{onData:l=>a.fire(A.$Ib.wrap(l)),onError:l=>a.fire(l),onEnd:()=>{a.fire("end"),a.dispose(),g.dispose()}}),a.event}k(v,p,h,m){const g=this.f(v,p);return this.a.writeFile(g,h.buffer,m)}l(v,p,h){const m=this.f(v,p,!0);return this.a.open(m,h)}m(v){return this.a.close(v)}async n(v,p,h){const m=A.$Ib.alloc(h),g=0,a=await this.a.read(v,p,m.buffer,g,h);return[m,a]}p(v,p,h,m,g){return this.a.write(v,p,h.buffer,m,g)}r(v,p){const h=this.f(v,p);return this.a.mkdir(h)}s(v,p,h){const m=this.f(v,p);return this.a.delete(m,h)}t(v,p,h,m){const g=this.f(v,p),a=this.f(v,h);return this.a.rename(g,a,m)}u(v,p,h,m){const g=this.f(v,p),a=this.f(v,h);return this.a.copy(g,a,m)}v(v,p,h){const m=this.f(v,p),g=this.f(v,h);return this.a.cloneFile(m,g)}z(v,p){const h=new E.$5c({onWillAddFirstListener:()=>{this.w.set(p,this.F(v,h))},onDidRemoveLastListener:()=>{(0,o.$fb)(this.w.get(p)),this.w.delete(p)}});return h.event}async C(v,p,h,m,g){const a=this.w.get(p);if(a){const u=this.f(v,m),l=a.watch(h,u,g);this.y.set(p+h,l)}}async D(v,p){const h=v+p,m=this.y.get(h);m&&((0,o.$fb)(m),this.y.delete(h))}dispose(){super.dispose();for(const[,v]of this.y)v.dispose();this.y.clear();for(const[,v]of this.w)v.dispose();this.w.clear()}}e.$hr=b;class d extends o.$kb{constructor(v,p,h,m){super(),this.c=v,this.f=h,this.g=m,this.a=new Map,this.b=this.B(new O.$Np(this.f,{watcher:{recursive:this.i(this.g)}})),this.h(p)}h(v){const p=this.B(new E.$5c);this.B(p.event(h=>{v.fire(h.map(m=>({resource:this.c.transformOutgoingURI(m.resource),type:m.type})))})),this.B(this.b.onDidChangeFile(h=>p.fire(h))),this.B(this.b.onDidWatchError(h=>v.fire(h)))}i(v){}j(v){}watch(v,p,h){const m=this.j(this.g);return Array.isArray(m)&&(h.excludes=[...h.excludes,...m]),this.a.set(v,this.b.watch(p,h)),(0,o.$ib)(()=>{(0,o.$fb)(this.a.get(v)),this.a.delete(v)})}dispose(){super.dispose();for(const[,v]of this.a)v.dispose();this.a.clear()}}e.$ir=d}),define(be[111],pe([1,0,4,5,12,2]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lq=e.$Kq=e.$Jq=void 0;class R extends o.$Yi{constructor(v,p,h,m,g){super(p,h,m),this.n=v,this.p=g,this.B(g.listen("onDidChangeLogLevel",v)(a=>{(0,o.$Pi)(a)?super.setLogLevel(a):super.setLogLevel(E.URI.revive(a[0]),a[1])})),this.B(g.listen("onDidChangeVisibility",v)(([a,u])=>super.setVisibility(E.URI.revive(a),u))),this.B(g.listen("onDidChangeLoggers",v)(({added:a,removed:u})=>{for(const l of a)super.registerLogger({...l,resource:E.URI.revive(l.resource)});for(const l of u)super.deregisterLogger(l.resource)}))}createConsoleMainLogger(){return new o.$Wi({log:(v,p)=>{this.p.call("consoleLog",[v,p])}})}registerLogger(v){super.registerLogger(v),this.p.call("registerLogger",[v,this.n])}deregisterLogger(v){super.deregisterLogger(v),this.p.call("deregisterLogger",[v,this.n])}setLogLevel(v,p){super.setLogLevel(v,p),this.p.call("setLogLevel",[v,p])}setVisibility(v,p){super.setVisibility(v,p),this.p.call("setVisibility",[this.l(v),p])}m(v,p,h){return new L(this.p,v,p,h,this.n)}static setLogLevel(v,p,h){return v.call("setLogLevel",[p,h])}}e.$Jq=R;class L extends o.$Ti{constructor(v,p,h,m,g){super(m?.logLevel==="always"),this.m=v,this.n=p,this.k=!1,this.l=[],this.setLevel(h),this.m.call("createLogger",[p,m,g]).then(()=>{this.r(this.l),this.k=!0})}g(v,p){const h=[[v,p]];this.k?this.r(h):this.l.push(...h)}r(v){this.m.call("log",[this.n,v])}}class b{constructor(v,p){this.a=v,this.b=p}listen(v,p){const h=this.b(v);switch(p){case"onDidChangeLoggers":return O.Event.map(this.a.onDidChangeLoggers,m=>({added:[...m.added].map(g=>this.c(g,h)),removed:[...m.removed].map(g=>this.c(g,h))}));case"onDidChangeVisibility":return O.Event.map(this.a.onDidChangeVisibility,m=>[h.transformOutgoingURI(m[0]),m[1]]);case"onDidChangeLogLevel":return O.Event.map(this.a.onDidChangeLogLevel,m=>(0,o.$Pi)(m)?m:[h.transformOutgoingURI(m[0]),m[1]])}throw new Error(`Event not found: ${p}`)}async call(v,p,h){const m=this.b(v);switch(p){case"setLogLevel":return(0,o.$Pi)(h[0])?this.a.setLogLevel(h[0]):this.a.setLogLevel(E.URI.revive(m.transformIncoming(h[0][0])),h[0][1]);case"getRegisteredLoggers":return Promise.resolve([...this.a.getRegisteredLoggers()].map(g=>this.c(g,m)))}throw new Error(`Call not found: ${p}`)}c(v,p){return{...v,resource:p.transformOutgoingURI(v.resource)}}}e.$Kq=b;class d extends A.$kb{constructor(v,p){super(),p.call("setLogLevel",[v.getLogLevel()]),this.B(v.onDidChangeLogLevel(h=>p.call("setLogLevel",[h]))),p.call("getRegisteredLoggers").then(h=>{for(const m of h)v.registerLogger({...m,resource:E.URI.revive(m.resource)})}),this.B(p.listen("onDidChangeVisibility")(([h,m])=>v.setVisibility(E.URI.revive(h),m))),this.B(p.listen("onDidChangeLoggers")(({added:h,removed:m})=>{for(const g of h)v.registerLogger({...g,resource:E.URI.revive(g.resource)});for(const g of m)v.deregisterLogger(g.resource)}))}}e.$Lq=d}),define(be[112],pe([1,0,2,12]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wM=void 0;class o extends E.$kb{constructor(R,L=[]){super(),this.a=new O.$Xi([R,...L]),this.B(R.onDidChangeLogLevel(b=>this.setLevel(b)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(R){this.a.setLevel(R)}getLevel(){return this.a.getLevel()}trace(R,...L){this.a.trace(R,...L)}debug(R,...L){this.a.debug(R,...L)}info(R,...L){this.a.info(R,...L)}warn(R,...L){this.a.warn(R,...L)}error(R,...L){this.a.error(R,...L)}flush(){this.a.flush()}}e.$wM=o}),define(be[223],pe([1,0,16,12]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lM=void 0;var o;(function(d){d[d.Trace=0]="Trace",d[d.Debug=1]="Debug",d[d.Info=2]="Info",d[d.Warning=3]="Warning",d[d.Error=4]="Error",d[d.Critical=5]="Critical",d[d.Off=6]="Off"})(o||(o={}));async function A(d,I,v,p,h){try{const m=await new Promise((a,u)=>{ae(["@vscode/spdlog"],a,u)});m.setFlushOn(o.Trace);const g=await m.createAsyncRotatingLogger(d,I,v,p);return h?g.clearFormatters():g.setPattern("%Y-%m-%d %H:%M:%S.%e [%l] %v"),g}catch(m){console.error(m)}return null}function R(d,I,v){switch(I){case O.LogLevel.Trace:d.trace(v);break;case O.LogLevel.Debug:d.debug(v);break;case O.LogLevel.Info:d.info(v);break;case O.LogLevel.Warning:d.warn(v);break;case O.LogLevel.Error:d.error(v);break;case O.LogLevel.Off:break;default:throw new Error(`Invalid log level ${I}`)}}function L(d,I){switch(I){case O.LogLevel.Trace:d.setLevel(o.Trace);break;case O.LogLevel.Debug:d.setLevel(o.Debug);break;case O.LogLevel.Info:d.setLevel(o.Info);break;case O.LogLevel.Warning:d.setLevel(o.Warning);break;case O.LogLevel.Error:d.setLevel(o.Error);break;case O.LogLevel.Off:d.setLevel(o.Off);break;default:throw new Error(`Invalid log level ${I}`)}}class b extends O.$Ti{constructor(I,v,p,h,m){super(),this.k=[],this.setLevel(m),this.l=this.n(I,v,p,h),this.B(this.onDidChangeLogLevel(g=>{this.m&&L(this.m,g)}))}async n(I,v,p,h){const m=p?6:1,g=30/m*E.$jk.MB,a=await A(I,v,g,m,h);if(a){this.m=a,L(this.m,this.getLevel());for(const{level:u,message:l}of this.k)R(this.m,u,l);this.k=[]}}g(I,v){this.m?R(this.m,I,v):this.getLevel()<=I&&this.k.push({level:I,message:v})}flush(){this.m?this.m.flush():this.l.then(()=>this.flush())}dispose(){this.m?this.r():this.l.then(()=>this.r())}r(){this.m&&(this.m.drop(),this.m=void 0)}}e.$lM=b}),define(be[113],pe([1,0,22,12,223]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mM=void 0;class A extends O.$Yi{m(L,b,d){return new o.$lM((0,E.$3e)(),L.fsPath,!d?.donotRotate,!!d?.donotUseFormatters,b)}}e.$mM=A}),define(be[224],pe([1,0,58,187,6]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hs=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var A;(function(b){b[b.Unnecessary=1]="Unnecessary",b[b.Deprecated=2]="Deprecated"})(A||(e.MarkerTag=A={}));var R;(function(b){b[b.Hint=1]="Hint",b[b.Info=2]="Info",b[b.Warning=4]="Warning",b[b.Error=8]="Error"})(R||(e.MarkerSeverity=R={})),function(b){function d(m,g){return g-m}b.compare=d;const I=Object.create(null);I[b.Error]=(0,O.localize)(0,null),I[b.Warning]=(0,O.localize)(1,null),I[b.Info]=(0,O.localize)(2,null);function v(m){return I[m]||""}b.toString=v;function p(m){switch(m){case E.default.Error:return b.Error;case E.default.Warning:return b.Warning;case E.default.Info:return b.Info;case E.default.Ignore:return b.Hint}}b.fromSeverity=p;function h(m){switch(m){case b.Error:return E.default.Error;case b.Warning:return E.default.Warning;case b.Info:return E.default.Info;case b.Hint:return E.default.Ignore}}b.toSeverity=h}(R||(e.MarkerSeverity=R={}));var L;(function(b){const d="";function I(p){return v(p,!0)}b.makeKey=I;function v(p,h){const m=[d];return p.source?m.push(p.source.replace("\xA6","\\\xA6")):m.push(d),p.code?typeof p.code=="string"?m.push(p.code.replace("\xA6","\\\xA6")):m.push(p.code.value.replace("\xA6","\\\xA6")):m.push(d),p.severity!==void 0&&p.severity!==null?m.push(R.toString(p.severity)):m.push(d),p.message&&h?m.push(p.message.replace("\xA6","\\\xA6")):m.push(d),p.startLineNumber!==void 0&&p.startLineNumber!==null?m.push(p.startLineNumber.toString()):m.push(d),p.startColumn!==void 0&&p.startColumn!==null?m.push(p.startColumn.toString()):m.push(d),p.endLineNumber!==void 0&&p.endLineNumber!==null?m.push(p.endLineNumber.toString()):m.push(d),p.endColumn!==void 0&&p.endColumn!==null?m.push(p.endColumn.toString()):m.push(d),m.push(d),m.join("\xA6")}b.makeKeyOptionalMessage=v})(L||(e.IMarkerData=L={})),e.$hs=(0,o.$lh)("markerService")}),define(be[67],pe([1,0,5,46,2,6]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tm=e.$Sm=e.$Rm=void 0,e.$Rm=(0,A.$lh)("policy");class R extends o.$kb{constructor(){super(...arguments),this.f={},this.g=new Map,this.h=this.B(new E.$5c),this.onDidChange=this.h.event}async updatePolicyDefinitions(d){const I=Object.keys(this.f).length;return this.f={...d,...this.f},I!==Object.keys(this.f).length&&await this.i(d),O.Iterable.reduce(this.g.entries(),(v,[p,h])=>({...v,[p]:h}),{})}getPolicyValue(d){return this.g.get(d)}serialize(){return O.Iterable.reduce(Object.entries(this.f),(d,[I,v])=>({...d,[I]:{definition:v,value:this.g.get(I)}}),{})}}e.$Sm=R;class L{constructor(){this.onDidChange=E.Event.None}async updatePolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.$Tm=L}),define(be[54],pe([1,0,3,30]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let o;if(typeof E.$g.vscode<"u"&&typeof E.$g.vscode.context<"u"){const A=E.$g.vscode.context.configuration();if(A)o=A.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(globalThis._VSCODE_PRODUCT_JSON&&globalThis._VSCODE_PACKAGE_JSON){if(o=globalThis._VSCODE_PRODUCT_JSON,O.env.VSCODE_DEV&&Object.assign(o,{nameShort:`${o.nameShort} Dev`,nameLong:`${o.nameLong} Dev`,dataFolderName:`${o.dataFolderName}-dev`,serverDataFolderName:o.serverDataFolderName?`${o.serverDataFolderName}-dev`:void 0}),!o.version){const A=globalThis._VSCODE_PACKAGE_JSON;Object.assign(o,{version:A.version})}}else o={nameShort:"Code",nameLong:"Visual Studio Code",applicationName:"code",win32AppId:"{{F8A2A208-72B3-4D61-95FC-8A65D340689B}",win32x64AppId:"{{EA457B21-F73E-494C-ACAB-524FDE069978}",win32arm64AppId:"{{A5270FC5-65AD-483E-AC30-2C276B63D0AC}",win32UserAppId:"{{D628A17A-9713-46BF-8D57-E671B46A741E}",win32x64UserAppId:"{{771FD6B0-FA20-440A-A002-3B3BAC16DC50}",win32arm64UserAppId:"{{D9E514E7-1A56-452D-9337-2990C0DC4310}",win32NameVersion:"Microsoft Visual Studio Code",win32DirName:"Microsoft VS Code",win32SetupExeBasename:"VSCodeSetup",win32AppUserModelId:"Microsoft.VisualStudioCode",win32ShellNameShort:"Code",win32MutexName:"vscode",win32RegValueName:"VSCode",darwinCredits:"resources/darwin/Credits.rtf",darwinBundleIdentifier:"com.microsoft.VSCode",darwinExecutable:"VSCode",linuxIconName:"vscode",licenseFileName:"LICENSE.rtf",licenseName:"Multiple, see https://code.visualstudio.com/license",serverGreeting:[],serverLicense:["*","* Visual Studio Code Server","*","* By using the software, you agree to","* the Visual Studio Code Server License Terms (https://aka.ms/vscode-server-license) and","* the Microsoft Privacy Statement (https://privacy.microsoft.com/en-US/privacystatement).","*"],serverLicensePrompt:"Do you accept the terms in the License Agreement (Y/n)?",serverApplicationName:"code-server",urlProtocol:"vscode",dataFolderName:".vscode",serverDataFolderName:".vscode-server",downloadUrl:"https://code.visualstudio.com",updateUrl:"https://update.code.visualstudio.com",webUrl:"https://vscode.dev",webEndpointUrl:"https://main.vscode-cdn.net",webEndpointUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}",webviewContentExternalBaseUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}/out/vs/workbench/contrib/webview/browser/pre/",quality:"stable",extensionsGallery:{nlsBaseUrl:"https://www.vscode-unpkg.net/_lp/",serviceUrl:"https://marketplace.visualstudio.com/_apis/public/gallery",cacheUrl:"https://vscode.blob.core.windows.net/gallery/index",itemUrl:"https://marketplace.visualstudio.com/items",publisherUrl:"https://marketplace.visualstudio.com/publishers",resourceUrlTemplate:"https://{publisher}.vscode-unpkg.net/{publisher}/{name}/{version}/{path}",controlUrl:"https://az764295.vo.msecnd.net/extensions/marketplace.json"},profileTemplatesUrl:"https://az764295.vo.msecnd.net/profile-templates/profile-templates.json",extensionRecommendations:{"ms-dotnettools.csharp":{onFileOpen:[{pathGlob:"{**/*.cs,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln}",important:!0},{languages:["csharp"],important:!0},{pathGlob:"{**/project.json,**/appsettings.json}"}]},"ms-python.python":{onFileOpen:[{pathGlob:"{**/*.py}",important:!0},{languages:["python"],important:!0},{pathGlob:"{**/*.ipynb}"}]},"ms-toolsai.jupyter":{onFileOpen:[{pathGlob:"{**/*.py}",contentPattern:"^#\\s*%%$",important:!0,whenInstalled:["ms-python.python"]},{pathGlob:"{**/*.ipynb}"}]},"golang.Go":{onFileOpen:[{pathGlob:"**/*.go",important:!0},{languages:["go"],important:!0}]},"vscjava.vscode-java-pack":{onFileOpen:[{pathGlob:"{**/*.java}",important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},{languages:["java"],important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}]},"ms-vscode.PowerShell":{onFileOpen:[{pathGlob:"{**/*.ps1,**/*.psd1,**/*.psm1}",important:!0},{languages:["powershell"],important:!0},{pathGlob:"{**/*.ps.config,**/*.ps1.config}"}]},"ms-vscode.cpptools-extension-pack":{onFileOpen:[{pathGlob:"{**/*.c,**/*.cpp,**/*.cc,**/.cxx,**/*.hh,**/*.hpp,**/*.hxx,**/*.h}",important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]},{languages:["c","cpp"],important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]}]},"ms-azuretools.vscode-docker":{onFileOpen:[{pathGlob:"{**/dockerfile,**/Dockerfile,**/docker-compose.yml,**/docker-compose.*.yml}",important:!0},{languages:["dockerfile"],important:!0},{pathGlob:"{**/*.cs,**/project.json,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln,**/appsettings.json,**/*.py,**/*.ipynb,**/*.js,**/*.ts,**/package.json}"}]},"vue.volar":{onFileOpen:[{pathGlob:"{**/*.vue}",important:!0},{languages:["vue"],important:!0}]},"ms-vscode.makefile-tools":{onFileOpen:[{pathGlob:"{**/makefile,**/Makefile}",important:!0},{languages:["makefile"],important:!0}]},"ms-vscode.cmake-tools":{onFileOpen:[{pathGlob:"{**/CMakeLists.txt}",important:!0}]},"ms-azure-devops.azure-pipelines":{onFileOpen:[{pathGlob:"{**/azure-pipelines.yaml}",important:!0}]},"msazurermtools.azurerm-vscode-tools":{onFileOpen:[{pathGlob:"{**/azuredeploy.json}",important:!0}]},"ms-vscode-remote.remote-containers":{onFileOpen:[{pathGlob:"{**/devcontainer.json}",important:!0}]},"ms-azuretools.vscode-bicep":{onFileOpen:[{pathGlob:"{**/*.bicep}",important:!0}]},"svelte.svelte-vscode":{onFileOpen:[{pathGlob:"{**/*.svelte}",important:!0}]},"ms-vscode.vscode-github-issue-notebooks":{onFileOpen:[{pathGlob:"{**/*.github-issues}",important:!0}]},"ms-playwright.playwright":{onFileOpen:[{pathGlob:"{**/*playwright*.config.ts,**/*playwright*.config.js,**/*playwright*.config.mjs}",important:!0}]},"vscjava.vscode-gradle":{onFileOpen:[{pathGlob:"{**/gradlew,**/gradlew.bat,**/build.gradle,**/build.gradle.kts,**/settings.gradle,**/settings.gradle.kts}",important:!0}]},"REditorSupport.r":{onFileOpen:[{pathGlob:"{**/*.r}",important:!0},{languages:["r"],important:!0}]},"firefox-devtools.vscode-firefox-debug":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.jsx,**/*.es6,**/.babelrc}"}]},"ms-edgedevtools.vscode-edge-devtools":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.css,**/*.html}"}]},"Ionide.Ionide-fsharp":{onFileOpen:[{pathGlob:"{**/*.fsx,**/*.fsi,**/*.fs,**/*.ml,**/*.mli}"}]},"dbaeumer.vscode-eslint":{onFileOpen:[{pathGlob:"{**/*.js,**/*.jsx,**/*.es6,**/.eslintrc.*,**/.eslintrc,**/.babelrc,**/jsconfig.json}"}]},"ms-vscode.vscode-typescript-tslint-plugin":{onFileOpen:[{pathGlob:"{**/tslint.json}"}]},"bmewburn.vscode-intelephense-client":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"xdebug.php-debug":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"rust-lang.rust-analyzer":{onFileOpen:[{pathGlob:"{**/*.rs,**/*.rslib}"}]},"DavidAnson.vscode-markdownlint":{onFileOpen:[{pathGlob:"{**/*.md}"}]},"EditorConfig.EditorConfig":{onFileOpen:[{pathGlob:"{**/.editorconfig}"}]},"HookyQR.beautify":{onFileOpen:[{pathGlob:"{**/.jsbeautifyrc}"}]},"donjayamanne.githistory":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"felipecaputo.git-project-manager":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"eamodio.gitlens":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"Shopify.ruby-lsp":{onFileOpen:[{pathGlob:"{**/*.rb,**/*.erb,**/*.reek,**/.fasterer.yml,**/ruby-lint.yml,**/.rubocop.yml}"}]},"DotJoshJohnson.xml":{onFileOpen:[{pathGlob:"{**/*.xml}"}]},"stylelint.vscode-stylelint":{onFileOpen:[{pathGlob:"{**/.stylelintrc,**/stylelint.config.js}"}]},"ms-mssql.mssql":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"mtxr.sqltools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"usqlextpublisher.usql-vscode-ext":{onFileOpen:[{pathGlob:"{**/*.usql}"}]},"ms-vscode.sublime-keybindings":{onFileOpen:[{pathGlob:"{**/.sublime-project,**/.sublime-workspace}"}]},"k--kato.intellij-idea-keybindings":{onFileOpen:[{pathGlob:"{**/.idea}"}]},"christian-kohler.npm-intellisense":{onFileOpen:[{pathGlob:"{**/package.json}"}]},"cake-build.cake-vscode":{onFileOpen:[{pathGlob:"{**/build.cake}"}]},"Angular.ng-template":{onFileOpen:[{pathGlob:"{**/.angular-cli.json,**/angular.json,**/*.ng.html,**/*.ng,**/*.ngml}"}]},"vscjava.vscode-maven":{onFileOpen:[{pathGlob:"**/pom.xml"}]},"ms-azuretools.vscode-azureterraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"HashiCorp.terraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"vsciot-vscode.vscode-arduino":{onFileOpen:[{pathGlob:"**/*.ino"}]},"ms-kubernetes-tools.vscode-kubernetes-tools":{onFileOpen:[{pathGlob:"{**/Chart.yaml}"}]},"GoogleCloudTools.cloudcode":{onFileOpen:[{pathGlob:"{**/skaffold.yaml}"}]},"Oracle.oracledevtools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"betterthantomorrow.calva":{onFileOpen:[{pathGlob:"{**/*.clj,**/*.cljs}"}]},"Pivotal.vscode-boot-dev-pack":{onFileOpen:[{pathGlob:"{**/application.properties}"}]},"GitHub.copilot":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.py,**/*.go,**/*.rb}"}]},"GitHub.vscode-github-actions":{onFileOpen:[{pathGlob:"{**/.github/workflows/*.yml}",important:!0}]},"circleci.circleci":{onFileOpen:[{pathGlob:"{**/.circleci/config.yml}"}]}},keymapExtensionTips:["vscodevim.vim","ms-vscode.sublime-keybindings","ms-vscode.atom-keybindings","ms-vscode.brackets-keybindings","ms-vscode.vs-keybindings","ms-vscode.notepadplusplus-keybindings","k--kato.intellij-idea-keybindings","lfs.vscode-emacs-friendly","alphabotsec.vscode-eclipse-keybindings","alefragnani.delphi-keybindings"],languageExtensionTips:["ms-python.python","ms-vscode.cpptools-extension-pack","ms-dotnettools.csharp","ms-toolsai.jupyter","vscjava.vscode-java-pack","ecmel.vscode-html-css","vue.volar","bmewburn.vscode-intelephense-client","dsznajder.es7-react-js-snippets","golang.go","ms-vscode.powershell","dart-code.dart-code","rust-lang.rust-analyzer","Shopify.ruby-lsp","GitHub.copilot"],configBasedExtensionTips:{git:{configPath:".git/config",configName:"Git",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",contentPattern:"^\\s*url\\s*=\\s*https:\\/\\/github\\.com.*$"},"eamodio.gitlens":{name:"GitLens"}}},devContainer:{configPath:".devcontainer/devcontainer.json",configName:"Dev Container",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0}}},maven:{configPath:"pom.xml",configName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},"Pivotal.vscode-boot-dev-pack":{name:"Spring Boot Extension Pack",isExtensionPack:!0}}},gradle:{configPath:"build.gradle",configName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"github-pull-request":{configPath:".vscode/.github-pull-request.rec",configName:"GitHub",configScheme:"vscode-vfs",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",important:!0}}},"pyproject-formatter":{configPath:"pyproject.toml",configName:"Python Formatter",recommendations:{"ms-python.black-formatter":{name:"Black Formatter",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?black"?\\s*[\\].])|("black\\s*["[(<=>!~;@])'},"ms-python.autopep8":{name:"Autopep8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?autopep8"?\\s*[\\].])|("autopep8\\s*["[(<=>!~;@])'}}},"pep8-formatter":{configPath:".pep8",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8"}}},"python-setup-cgf-formatter":{configPath:"setup.cfg",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"tox-ini-formatter":{configPath:"tox.ini",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"pyproject-linter":{configPath:"pyproject.toml",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?pylint"?\\s*[\\].])|("pylint\\s*["[(<=>!~;@])'},"charliermarsh.ruff":{name:"Ruff",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?ruff"?\\s*[\\].])|("ruff\\s*["[(<=>!~;@])'},"ms-python.mypy-type-checker":{name:"Mypy Type Checker",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?mypy"?\\s*[\\].])|("mypy\\s*["[(<=>!~;@])'},"ms-python.flake8":{name:"Flake8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?flake8"?\\s*[\\].])|("flake8\\s*["[(<=>!~;@])'}}},".pylintrc-linter":{configPath:".pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"pylintrc-linter":{configPath:"pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"mypy-ini-linter":{configPath:".mypy.ini",configName:"Python Linter",recommendations:{"ms-python.mypy-type-checker":{name:"Mypy Type Checker"}}},"tox-ini-linter":{configPath:"tox.ini",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}},".flake8-linter":{configPath:".flake8",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8"}}},"python-setup-cgf-linter":{configPath:"setup.cfg",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}}},exeBasedExtensionTips:{az:{friendlyName:"Azure CLI",windowsPath:"%ProgramFiles(x86)%\\Microsoft SDKs\\Azure\\CLI2\\wbin\\az.cmd",recommendations:{"ms-vscode.azurecli":{name:"Azure CLI Tools"}}},azd:{friendlyName:"Azure Dev CLI",windowsPath:"%USERPROFILE%\\AppData\\Local\\Programs\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},"azd-user":{friendlyName:"Azure Dev CLI",windowsPath:"%ProgramFiles%\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},heroku:{friendlyName:"Heroku CLI",windowsPath:"%ProgramFiles%\\Heroku\\bin\\heroku.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"pkosta2005.heroku-command":{name:"heroku-cli"}}},mongo:{friendlyName:"Mongo",windowsPath:"%ProgramFiles%\\MongoDB\\Server\\3.6\\bin\\mongod.exe",recommendations:{"ms-azuretools.vscode-cosmosdb":{name:"Azure Databases"}}},serverless:{friendlyName:"Serverless framework",windowsPath:"%APPDATA%\\npm\\serverless.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},func:{friendlyName:"Azure Function SDK",windowsPath:"%APPDATA%\\npm\\func.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},mysql:{friendlyName:"MySQL",windowsPath:"%ProgramFiles%\\MySQL\\MySQL Server 8.0\\bin\\mysqld.exe",recommendations:{"mtxr.sqltools":{name:"SQLTools"}}},postgres:{friendlyName:"PostgreSQL",windowsPath:"%ProgramFiles%\\PostgreSQL\\11\\bin\\psql.exe",recommendations:{"ms-ossdata.vscode-postgresql":{name:"PostgreSQL"},"mtxr.sqltools":{name:"SQLTools"}}},sqlcmd:{friendlyName:"SQL CLI",recommendations:{"ms-mssql.mssql":{name:"SQL Server (mssql)"}}},now:{friendlyName:"Now CLI",windowsPath:"%APPDATA%\\npm\\now.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"ms-azuretools.vscode-docker":{name:"Docker"}}},docker:{friendlyName:"Docker",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\docker.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker",important:!0},"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},kubectl:{friendlyName:"Kubernetes",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\kubectl.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},ng:{friendlyName:"Angular CLI",windowsPath:"%APPDATA%\\npmexit\\ng.cmd",recommendations:{"johnpapa.Angular2":{name:"Angular Snippets"}}},"create-react-app":{friendlyName:"Create React App",windowsPath:"%APPDATA%\\npm\\create-react-app.cmd",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},"react-native":{friendlyName:"React Native",windowsPath:"%APPDATA%\\npm\\react-native-cli",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},p4:{friendlyName:"Perforce",recommendations:{"slevesque.perforce":{name:"Perforce for VS Code"}}},hg:{friendlyName:"Mercurial",recommendations:{"mrcrowl.hg":{name:"Hg"}}},git:{friendlyName:"Git",windowsPath:"%ProgramFiles%\\Git\\git-bash.exe",recommendations:{"eamodio.gitlens":{name:"GitLens"}}},svn:{friendlyName:"Subversion",windowsPath:"%ProgramFiles%\\TortoiseSVN\\bin\\TortoiseProc.exe",recommendations:{"johnstoncode.svn-scm":{name:"SVN"}}},subl:{friendlyName:"Sublime",windowsPath:"%ProgramFiles%\\Sublime Text3\\sublime_text.exe",recommendations:{"ms-vscode.sublime-keybindings":{name:"Sublime Text Keymap and Settings Importer"}}},atom:{friendlyName:"Atom",windowsPath:"%USERPROFILE%\\AppData\\Local\\atom\\bin\\atom.cmd",recommendations:{"ms-vscode.atom-keybindings":{name:"Atom Keymap"}}},brackets:{friendlyName:"Brackets",windowsPath:"%ProgramFiles(x86)%\\Brackets\\Brackets.exe",recommendations:{"ms-vscode.brackets-keybindings":{name:"Brackets Keymap"}}},notepadplusplus:{friendlyName:"Notepad++",windowsPath:"%ProgramFiles%\\Notepad++\\Notepad++.exe",recommendations:{"ms-vscode.notepadplusplus-keybindings":{name:"Notepad++ keymap"}}},vi:{friendlyName:"VIM",windowsPath:"%ProgramFiles(x86)%\\Vim\\vim80\\gvim.exe",recommendations:{"vscodevim.vim":{name:"Vim"}}},mvn:{friendlyName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},gradle:{friendlyName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"Microsoft Edge":{friendlyName:"Microsoft Edge",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Dev":{friendlyName:"Microsoft Edge Dev",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Dev\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Beta":{friendlyName:"Microsoft Edge Beta",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Beta\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Canary":{friendlyName:"Microsoft Edge Canary",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge SxS\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Mozilla Firefox (x86)":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles(x86)%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition (x86)":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles(x86)%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},cordova:{friendlyName:"Cordova",windowsPath:"%APPDATA%\\npm\\cordova",recommendations:{"msjsdiag.cordova-tools":{name:"Cordova Tools"}}},gcloud:{friendlyName:"Google GCloud CLI",windowsPath:"%ProgramFiles(x86)%\\Google\\Cloud SDK\\google-cloud-sdk\\bin\\gcloud.cmd",recommendations:{"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},skaffold:{friendlyName:"Skaffold Code to Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},minikube:{friendlyName:"MiniKube Local Kubernetes Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},podman:{friendlyName:"Podman",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},wsl:{friendlyName:"Windows Subsystem for Linux (WSL)",windowsPath:"%WINDIR%\\system32\\lxss\\LxssManager.dll",important:!0,recommendations:{"ms-vscode-remote.remote-wsl":{name:"WSL",important:!0}}}},webExtensionTips:["tyriar.luna-paint","codespaces-contrib.codeswing","ms-vscode.vscode-github-issue-notebooks","esbenp.prettier-vscode","hediet.vscode-drawio"],virtualWorkspaceExtensionTips:{"vscode-vfs":{friendlyName:"Remote Repositories",extensionId:"ms-vscode.remote-repositories",startEntry:{helpLink:"https://aka.ms/vscode-remote/remote-repositories",startConnectLabel:"Remote Repository",startCommand:"remoteHub.continueOn.openRepository",priority:5}}},remoteExtensionTips:{wsl:{friendlyName:"WSL",extensionId:"ms-vscode-remote.remote-wsl",supportedPlatforms:["Windows"],startEntry:{helpLink:"https://aka.ms/vscode-remote/wsl",startConnectLabel:"WSL",startCommand:"remote-wsl.connect",priority:3}},"ssh-remote":{friendlyName:"Remote - SSH",extensionId:"ms-vscode-remote.remote-ssh",startEntry:{helpLink:"https://aka.ms/vscode-remote/ssh",startConnectLabel:"SSH ",startCommand:"opensshremotes.openEmptyWindowInCurrentWindow",priority:1}},"dev-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers",startEntry:{helpLink:"https://aka.ms/vscode-remote/containers",startConnectLabel:"Dev Container",startCommand:"remote-containers.reopenInContainer",priority:2}},"attached-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers"},codespaces:{friendlyName:"GitHub Codespaces",extensionId:"github.codespaces",startEntry:{helpLink:"https://aka.ms/vscode-remote-codespaces",startConnectLabel:"GitHub Codespace ",startCommand:"github.codespaces.connect",priority:4}},tunnel:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server",startEntry:{helpLink:"https://aka.ms/remote-tunnels-doc",startConnectLabel:"Tunnel",startCommand:"remote-tunnels.connectCurrentWindowToTunnel",priority:0}}},commandPaletteSuggestedCommandIds:["workbench.action.files.openFile","workbench.action.files.openFileFolder","workbench.action.files.openFolder","workbench.action.remote.showMenu","editor.action.formatDocument","editor.action.commentLine","workbench.action.tasks.runTask","workbench.action.openSettings2","workbench.action.selectTheme","workbench.action.openWalkthrough","workbench.action.openIssueReporter"],extensionKeywords:{md:["Markdown"],js:["JavaScript"],jsx:["JavaScript"],es6:["JavaScript"],html:["Html"],ts:["TypeScript"],tsx:["TypeScript"],css:["CSS"],scss:["SASS"],txt:["Text"],php:["PHP"],php3:["PHP"],php4:["PHP"],ph3:["PHP"],ph4:["PHP"],xml:["XML"],py:["Python"],pyc:["Python"],pyd:["Python"],pyo:["Python"],pyw:["Python"],pyz:["Python"],java:["Java"],class:["Java"],jar:["Java"],c:["c","objective c","objective-c"],m:["objective c","objective-c"],mm:["objective c","objective-c"],cpp:["cpp","c plus plus","c","c++"],cc:["cpp","c plus plus","c","c++"],cxx:["cpp","c plus plus","c++"],hh:["cpp","c plus plus","c++"],hpp:["cpp","c++"],h:["cpp","c plus plus","c++","c","objective c","objective-c"],sql:["sql"],sh:["bash"],bash:["bash"],zsh:["bash","zshell"],cs:["c#","csharp"],csproj:["c#","csharp"],sln:["c#","csharp"],go:["go"],sty:["latex"],tex:["latex"],ps:["powershell"],ps1:["powershell"],rs:["rust"],rslib:["rust"],hs:["haskell"],lhs:["haskell"],scm:["scheme"],ss:["scheme"],clj:["clojure"],cljs:["clojure"],cljc:["clojure"],edn:["clojure"],erl:["erlang"],hrl:["erlang"],scala:["scala"],sc:["scala"],pl:["perl"],pm:["perl"],t:["perl"],pod:["perl"],groovy:["groovy"],swift:["swift"],rb:["ruby"],rbw:["ruby"],jl:["julia"],f:["fortran"],for:["fortran"],f90:["fortran"],f95:["fortran"],coffee:["CoffeeScript"],litcoffee:["CoffeeScript"],yaml:["yaml"],yml:["yaml"],dart:["dart"],json:["json"]},extensionAllowedBadgeProviders:["api.bintray.com","api.travis-ci.com","api.travis-ci.org","app.fossa.io","badge.buildkite.com","badge.fury.io","badge.waffle.io","badgen.net","badges.frapsoft.com","badges.gitter.im","badges.greenkeeper.io","cdn.travis-ci.com","cdn.travis-ci.org","ci.appveyor.com","circleci.com","cla.opensource.microsoft.com","codacy.com","codeclimate.com","codecov.io","coveralls.io","david-dm.org","deepscan.io","dev.azure.com","docs.rs","flat.badgen.net","gemnasium.com","githost.io","gitlab.com","godoc.org","goreportcard.com","img.shields.io","isitmaintained.com","marketplace.visualstudio.com","nodesecurity.io","opencollective.com","snyk.io","travis-ci.com","travis-ci.org","visualstudio.com","vsmarketplacebadge.apphb.com","www.bithound.io","www.versioneye.com"],extensionAllowedBadgeProvidersRegex:["^https:\\/\\/github\\.com\\/[^/]+\\/[^/]+\\/(actions\\/)?workflows\\/.*badge\\.svg"],crashReporter:{productName:"VSCode",companyName:"Microsoft"},appCenter:{"win32-ia32":"appcenter://code?aid=f4289815-a66e-4ad9-b74f-d8e5bc093e41","win32-x64":"appcenter://code?aid=a4e3233c-699c-46ec-b4f4-9c2a77254662","win32-arm64":"appcenter://code?aid=3712d786-7cc8-4f11-8b08-cc12eab6d4f7","linux-x64":"appcenter://code?aid=fba07a4d-84bd-4fc8-a125-9640fc8ce171",darwin:"appcenter://code?aid=860d6632-f65b-490b-85a8-3e72944f7774","darwin-arm64":"appcenter://code?aid=be71415d-3893-4ae5-b453-e537b9668a10","darwin-universal":"appcenter://code?aid=de75e3cc-e22f-4f42-a03f-1409c21d8af8"},enableTelemetry:!0,aiConfig:{ariaKey:"5bbf946d11a54f6783919c455abaddaf-fd62977b-c92d-4714-a45d-649d06980372-7168"},msftInternalDomains:["redmond.corp.microsoft.com","northamerica.corp.microsoft.com","fareast.corp.microsoft.com","ntdev.corp.microsoft.com","wingroup.corp.microsoft.com","southpacific.corp.microsoft.com","wingroup.windeploy.ntdev.microsoft.com","ddnet.microsoft.com","europe.corp.microsoft.com"],sendASmile:{reportIssueUrl:"https://go.microsoft.com/fwlink/?LinkId=534872",requestFeatureUrl:"https://go.microsoft.com/fwlink/?LinkID=533482"},documentationUrl:"https://go.microsoft.com/fwlink/?LinkID=533484#vscode",serverDocumentationUrl:"https://aka.ms/vscode-server-doc",releaseNotesUrl:"https://go.microsoft.com/fwlink/?LinkID=533483#vscode",keyboardShortcutsUrlMac:"https://go.microsoft.com/fwlink/?linkid=832143",keyboardShortcutsUrlLinux:"https://go.microsoft.com/fwlink/?linkid=832144",keyboardShortcutsUrlWin:"https://go.microsoft.com/fwlink/?linkid=832145",introductoryVideosUrl:"https://go.microsoft.com/fwlink/?linkid=832146",tipsAndTricksUrl:"https://go.microsoft.com/fwlink/?linkid=852118",newsletterSignupUrl:"https://www.research.net/r/vsc-newsletter",twitterUrl:"https://go.microsoft.com/fwlink/?LinkID=533687",requestFeatureUrl:"https://go.microsoft.com/fwlink/?LinkID=533482",reportIssueUrl:"https://github.com/Microsoft/vscode/issues/new",reportMarketplaceIssueUrl:"https://github.com/microsoft/vsmarketplace/issues/new",licenseUrl:"https://go.microsoft.com/fwlink/?LinkID=533485",serverLicenseUrl:"https://aka.ms/vscode-server-license",privacyStatementUrl:"https://go.microsoft.com/fwlink/?LinkId=521839",showTelemetryOptOut:!0,npsSurveyUrl:"https://aka.ms/vscode-nps",cesSurveyUrl:"https://aka.ms/new-to-vscode-feedback",checksumFailMoreInfoUrl:"https://go.microsoft.com/fwlink/?LinkId=828886",electronRepository:"Microsoft/vscode-electron-prebuilt",nodejsRepository:"Microsoft/vscode-node",settingsSearchUrl:"https://bingsettingssearch.trafficmanager.net/api/Search",surveys:[{surveyId:"cpp.1",surveyUrl:"https://www.research.net/r/VBVV6C6",languageId:"cpp",editCount:10,userProbability:.15},{surveyId:"java.2",surveyUrl:"https://www.research.net/r/vscodejava",languageId:"java",editCount:10,userProbability:.3},{surveyId:"javascript.1",surveyUrl:"https://www.research.net/r/vscode-js",languageId:"javascript",editCount:10,userProbability:.05},{surveyId:"typescript.1",surveyUrl:"https://www.research.net/r/vscode-ts",languageId:"typescript",editCount:10,userProbability:.05},{surveyId:"csharp.1",surveyUrl:"https://www.research.net/r/8KGJ9V8",languageId:"csharp",editCount:10,userProbability:.05}],extensionEnabledApiProposals:{"ms-vscode.vscode-selfhost-test-provider":["testObserver"],"VisualStudioExptTeam.vscodeintellicode-completions":["inlineCompletionsAdditions"],"ms-vsliveshare.vsliveshare":["contribMenuBarHome","contribShareMenu","contribStatusBarItems","diffCommand","documentFiltersExclusive","fileSearchProvider","findTextInFiles","notebookCellExecutionState","notebookLiveShare","terminalDimensions","terminalDataWriteEvent","textSearchProvider"],"ms-vscode.js-debug":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"ms-toolsai.vscode-ai-remote":["resolvers"],"ms-python.python":["contribEditorContentMenu","quickPickSortByLabel","portsAttributes","testObserver","envShellEvent","quickPickItemTooltip","terminalDataWriteEvent","envCollectionWorkspace","saveEditor","envCollectionOptions"],"ms-dotnettools.dotnet-interactive-vscode":["notebookMessaging"],"GitHub.codespaces":["contribEditSessions","contribMenuBarHome","contribRemoteHelp","contribViewsRemote","resolvers","tunnels","terminalDataWriteEvent","treeViewReveal","notebookKernelSource"],"ms-vscode.azure-repos":["extensionRuntime","fileSearchProvider","textSearchProvider"],"ms-vscode.remote-repositories":["canonicalUriProvider","contribEditSessions","contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","contribShareMenu","documentFiltersExclusive","editSessionIdentityProvider","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","shareProvider","scmActionButton","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-vscode-remote.remote-wsl":["resolvers","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode-remote.remote-ssh":["resolvers","tunnels","terminalDataWriteEvent","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode.remote-server":["resolvers"],"ms-vscode.remote-explorer":["contribRemoteHelp","contribViewsRemote","extensionsAny"],"ms-vscode-remote.remote-containers":["contribEditSessions","resolvers","tunnels","workspaceTrust","terminalDimensions","contribRemoteHelp","contribViewsRemote"],"ms-vscode.js-debug-nightly":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"ms-vscode.lsif-browser":["documentFiltersExclusive"],"GitHub.vscode-pull-request-github":["contribCommentThreadAdditionalMenu","tokenInformation","contribShareMenu","fileComments","contribCommentPeekContext","codiconDecoration","diffCommand","contribCommentEditorActionsMenu","readonlyMessage","shareProvider","quickDiffProvider","quickPickItemIcon"],"GitHub.copilot":["inlineCompletionsAdditions"],"GitHub.copilot-nightly":["inlineCompletionsAdditions"],"GitHub.copilot-chat":["handleIssueUri","interactive","interactiveUserActions","semanticSimilarity","terminalDataWriteEvent"],"GitHub.remotehub":["contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","documentFiltersExclusive","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-python.gather":["notebookCellExecutionState"],"ms-python.vscode-pylance":["notebookCellExecutionState"],"ms-toolsai.jupyter-renderers":["contribNotebookStaticPreloads"],"ms-toolsai.jupyter":["notebookDeprecated","notebookMessaging","notebookMime","notebookCellExecutionState","portsAttributes","quickPickSortByLabel","notebookKernelSource","interactiveWindow","notebookControllerAffinityHidden","contribNotebookStaticPreloads","quickPickItemTooltip","notebookExecution"],"dbaeumer.vscode-eslint":["notebookCellExecutionState"],"ms-vscode.azure-sphere-tools-ui":["tunnels"],"ms-azuretools.vscode-azureappservice":["terminalDataWriteEvent"],"ms-azuretools.vscode-azureresourcegroups":["authGetSessions"],"ms-vscode.anycode":["extensionsAny"],"ms-vscode.cpptools":["terminalDataWriteEvent"],"redhat.java":["documentPaste"],"ms-dotnettools.csdevkit":["inlineCompletionsAdditions"],"ms-dotnettools.vscodeintellicode-csharp":["inlineCompletionsAdditions"]},tasConfig:{endpoint:"https://default.exp-tas.com/vscode/ab",telemetryEventName:"query-expfeature",featuresTelemetryPropertyName:"VSCode.ABExp.Features",assignmentContextTelemetryPropertyName:"abexp.assignmentcontext"},extensionKind:{"Shan.code-settings-sync":["ui"],"shalldie.background":["ui"],"techer.open-in-browser":["ui"],"CoenraadS.bracket-pair-colorizer-2":["ui"],"CoenraadS.bracket-pair-colorizer":["ui","workspace"],"hiro-sun.vscode-emacs":["ui","workspace"],"hnw.vscode-auto-open-markdown-preview":["ui","workspace"],"wayou.vscode-todo-highlight":["ui","workspace"],"aaron-bond.better-comments":["ui","workspace"],"vscodevim.vim":["ui"],"ollyhayes.colmak-vim":["ui"]},extensionPointExtensionKind:{typescriptServerPlugins:["workspace"]},extensionSyncedKeys:{"ritwickdey.liveserver":["liveServer.setup.version"]},extensionVirtualWorkspacesSupport:{"esbenp.prettier-vscode":{default:!1},"msjsdiag.debugger-for-chrome":{default:!1},"redhat.java":{default:!1},"HookyQR.beautify":{default:!1},"ritwickdey.LiveServer":{default:!1},"VisualStudioExptTeam.vscodeintellicode":{default:!1},"octref.vetur":{default:!1},"formulahendry.code-runner":{default:!1},"xdebug.php-debug":{default:!1},"ms-mssql.mssql":{default:!1},"christian-kohler.path-intellisense":{default:!1},"eg2.tslint":{default:!1},"eg2.vscode-npm-script":{default:!1},"donjayamanne.githistory":{default:!1},"Zignd.html-css-class-completion":{default:!1},"christian-kohler.npm-intellisense":{default:!1},"EditorConfig.EditorConfig":{default:!1},"austin.code-gnu-global":{default:!1},"johnpapa.Angular2":{default:!1},"ms-vscode.vscode-typescript-tslint-plugin":{default:!1},"DotJoshJohnson.xml":{default:!1},"techer.open-in-browser":{default:!1},"tht13.python":{default:!1},"bmewburn.vscode-intelephense-client":{default:!1},"Angular.ng-template":{default:!1},"xdebug.php-pack":{default:!1},"dbaeumer.jshint":{default:!1},"yzhang.markdown-all-in-one":{default:!1},"Dart-Code.flutter":{default:!1},"streetsidesoftware.code-spell-checker":{default:!1},"rebornix.Ruby":{default:!1},"ms-vscode.sublime-keybindings":{default:!1},"mitaki28.vscode-clang":{default:!1},"steoates.autoimport":{default:!1},"donjayamanne.python-extension-pack":{default:!1},"shd101wyy.markdown-preview-enhanced":{default:!1},"mikestead.dotenv":{default:!1},"pranaygp.vscode-css-peek":{default:!1},"ikappas.phpcs":{default:!1},"platformio.platformio-ide":{default:!1},"jchannon.csharpextensions":{default:!1},"gruntfuggly.todo-tree":{default:!1}},linkProtectionTrustedDomains:["https://*.visualstudio.com","https://*.microsoft.com","https://aka.ms","https://*.gallerycdn.vsassets.io","https://*.github.com","https://login.microsoftonline.com","https://*.vscode.dev","https://*.github.dev","https://gh.io"],trustedExtensionAuthAccess:["vscode.git","vscode.github","ms-vscode.remote-repositories","github.remotehub","ms-vscode.azure-repos","ms-vscode.remote-server","github.vscode-pull-request-github","github.codespaces","ms-vsliveshare.vsliveshare","github.copilot","github.copilot-chat","ms-azuretools.vscode-azureresourcegroups","ms-edu.vscode-learning"],auth:{loginUrl:"https://login.microsoftonline.com/common/oauth2/authorize",tokenUrl:"https://login.microsoftonline.com/common/oauth2/token",redirectUrl:"https://vscode-redirect.azurewebsites.net/",clientId:"aebc6443-996d-45c2-90f0-388ff96faa56"},"configurationSync.store":{url:"https://vscode-sync.trafficmanager.net/",stableUrl:"https://vscode-sync.trafficmanager.net/",insidersUrl:"https://vscode-sync-insiders.trafficmanager.net/",canSwitch:!1,authenticationProviders:{github:{scopes:["user:email"]},microsoft:{scopes:["openid","profile","email","offline_access"]}}},"editSessions.store":{url:"https://vscode-sync.trafficmanager.net/",authenticationProviders:{microsoft:{scopes:["openid","profile","email","offline_access"]},github:{scopes:["user:email"]}}},tunnelApplicationName:"code-tunnel",tunnelApplicationConfig:{editorWebUrl:"https://vscode.dev",extension:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server"},authenticationProviders:{github:{scopes:["user:email","read:org"]}}},win32TunnelServiceMutex:"vscode-tunnelservice",win32TunnelMutex:"vscode-tunnel",builtInExtensions:[{name:"ms-vscode.js-debug-companion",version:"1.1.1",sha256:"095dc6d5d45490966dfa74d24add92036b42bf02a37d88c4b0f510dc91deeee6",repo:"https://github.com/microsoft/vscode-js-debug-companion",metadata:{id:"99cb0b7f-7354-4278-b8da-6cc79972169d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.js-debug",version:"1.80.0",sha256:"ac75e4ecf79efafa2bb0e6c8c548a6c8359555623f677a386cbcea80630aee4f",repo:"https://github.com/microsoft/vscode-js-debug",metadata:{id:"25629058-ddac-4e17-abba-74678e126c5d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.vscode-js-profile-table",version:"1.0.3",sha256:"b9dab017506d9e6a469a0f82b392e4cb1d7a25a4843f1db8ba396cbee209cfc5",repo:"https://github.com/microsoft/vscode-js-profile-visualizer",metadata:{id:"7e52b41b-71ad-457b-ab7e-0620f1fc4feb",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode-remote.remote-wsl-recommender",version:"0.0.19",sha256:"926095d290dc7cdb9daf40ef5ae7591db12171ba1af1f61afcb5a368d0fc66aa",repo:"https://github.com/microsoft/vscode-remote-wsl-recommender",metadata:{id:"cb296d3c-017a-4dee-83af-ebb5a5a16e9a",publisherId:{publisherId:"ac9410a2-0d75-40ec-90de-b59bb705801d",publisherName:"ms-vscode-remote",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"},platforms:["win32"],clientOnly:!0}],walkthroughMetadata:[{id:"Setup",steps:[{id:"copilotInstall",title:"Supercharge your coding with AI-based suggestions",description:`Throw that rubber duck away! Code more efficiently with AI at your fingertips. Try [GitHub Copilot](command:extension.open?"github.copilot") free for 60 days.
[Install Copilot](command:workbench.extensions.installExtension?%22github.copilot%22)`,media:{type:"image",altText:"Copilot Statistics",path:"copilotStep.png"}}]}],featuredExtensions:[{id:"github.copilot",title:"GitHub Copilot",description:"Supercharge your coding experience for as little as $10/month with cutting edge AI code generation."}],version:"1.80.2",commit:"2ccd690cbff1569e4a83d7c43d45101f817401dc",date:"2023-07-27T20:10:18.388Z"},Object.keys(o).length===0&&Object.assign(o,{version:"1.80.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",serverLicenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=o}),define(be[26],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7i=e.$6i=void 0,e.$6i=(0,E.$lh)("productService"),e.$7i="vscode://schemas/vscode-product"}),define(be[225],pe([1,0,78,12,25,26,220]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mn=void 0;let L=e.$mn=class extends R.$ln{constructor(d,I,v){super(d),this.p=I,this.r=v}async getSecretStoragePrefix(){return Promise.resolve(`${this.r.urlProtocol}-server`)}async i(){if(this.f)return this.f;if(this.p.disableKeytar)return this.h.info("Keytar is disabled. Using in-memory credential store instead."),this.f=new E.$kn,this.f;try{this.f=await new Promise((d,I)=>{ae(["keytar"],d,I)}),await this.f.findCredentials("test-keytar-loads")}catch(d){this.h.warn(`Using the in-memory credential store as the operating system's credential store could not be accessed. Please see https://aka.ms/vscode-server-keyring on how to set this up. Details: ${d.message??d}`),this.f=new E.$kn}return this.f}};e.$mn=L=Le([Re(0,O.$Ni),Re(1,o.$th),Re(2,A.$6i)],L)}),define(be[35],pe([1,0,93,8]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pm=void 0;class o{constructor(){this.a=new Map}add(R,L){E.ok(O.$ge(R)),E.ok(O.$ie(L)),E.ok(!this.a.has(R),"There is already an extension with this id"),this.a.set(R,L)}knows(R){return this.a.has(R)}as(R){return this.a.get(R)||null}}e.$Pm=new o}),define(be[226],pe([1,0,5,35]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qm=void 0,e.$Qm={JSONContribution:"base.contributions.json"};function o(L){return L.length>0&&L.charAt(L.length-1)==="#"?L.substring(0,L.length-1):L}class A{constructor(){this.b=new E.$5c,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(b,d){this.a[o(b)]=d,this.b.fire(b)}notifySchemaChanged(b){this.b.fire(b)}getSchemaContributions(){return{schemas:this.a}}}const R=new A;O.$Pm.add(e.$Qm.JSONContribution,R)}),define(be[55],pe([1,0,18,5,8,169,24,226,35]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0m=e.$9m=e.$8m=e.$7m=e.$6m=e.$5m=e.$4m=e.$3m=e.$2m=e.$1m=e.$Zm=e.$Ym=e.$Xm=e.$Wm=e.$Vm=e.ConfigurationScope=e.$Um=e.EditPresentationTypes=void 0;var d;(function(k){k.Multiline="multilineText",k.Singleline="singlelineText"})(d||(e.EditPresentationTypes=d={})),e.$Um={Configuration:"base.contributions.configuration"};var I;(function(k){k[k.APPLICATION=1]="APPLICATION",k[k.MACHINE=2]="MACHINE",k[k.WINDOW=3]="WINDOW",k[k.RESOURCE=4]="RESOURCE",k[k.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",k[k.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I||(e.ConfigurationScope=I={})),e.$Vm={properties:{},patternProperties:{}},e.$Wm={properties:{},patternProperties:{}},e.$Xm={properties:{},patternProperties:{}},e.$Ym={properties:{},patternProperties:{}},e.$Zm={properties:{},patternProperties:{}},e.$1m={properties:{},patternProperties:{}},e.$2m="vscode://schemas/settings/resourceLanguage",e.$3m="vscode://schemas/settings/configurationDefaults";const v=b.$Pm.as(L.$Qm.JSONContribution);class p{constructor(){this.h=new Set,this.i=new O.$5c,this.onDidSchemaChange=this.i.event,this.j=new O.$5c,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:A.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},v.registerSchema(e.$2m,this.g),this.v()}registerConfiguration(t,i=!0){this.registerConfigurations([t],i)}registerConfigurations(t,i=!0){const r=new Set;this.n(t,i,r),v.registerSchema(e.$2m,this.g),this.i.fire(),this.j.fire({properties:r})}deregisterConfigurations(t){const i=new Set;this.o(t,i),v.registerSchema(e.$2m,this.g),this.i.fire(),this.j.fire({properties:i})}updateConfigurations({add:t,remove:i}){const r=new Set;this.o(i,r),this.n(t,!1,r),v.registerSchema(e.$2m,this.g),this.i.fire(),this.j.fire({properties:r})}registerDefaultConfigurations(t){const i=new Set;this.k(t,i),this.i.fire(),this.j.fire({properties:i,defaultsOverrides:!0})}k(t,i){const r=[];for(const{overrides:n,source:s}of t)for(const c in n)if(i.add(c),e.$5m.test(c)){const f=this.a.get(c),y=f?.valuesSources??new Map;if(s)for(const M of Object.keys(n[c]))y.set(M,s);const w={...f?.value||{},...n[c]};this.a.set(c,{source:s,value:w,valuesSources:y});const D=(0,R.$2h)(c),C={type:"object",default:w,description:A.localize(1,null,D),$ref:e.$2m,defaultDefaultValue:w,source:o.$ge(s)?void 0:s,defaultValueSource:s};r.push(...g(c)),this.d[c]=C,this.b.properties[c]=C}else{this.a.set(c,{value:n[c],source:s});const f=this.d[c];f&&(this.w(c,f),this.r(c,f))}this.m(r)}deregisterDefaultConfigurations(t){const i=new Set;this.l(t,i),this.i.fire(),this.j.fire({properties:i,defaultsOverrides:!0})}l(t,i){for(const{overrides:r,source:n}of t)for(const s in r){const c=this.a.get(s),f=o.$ge(n)?n:n?.id,y=o.$ge(c?.source)?c?.source:c?.source?.id;if(f===y)if(i.add(s),this.a.delete(s),e.$5m.test(s))delete this.d[s],delete this.b.properties[s];else{const w=this.d[s];w&&(this.w(s,w),this.r(s,w))}}this.u()}deltaConfiguration(t){let i=!1;const r=new Set;t.removedDefaults&&(this.l(t.removedDefaults,r),i=!0),t.addedDefaults&&(this.k(t.addedDefaults,r),i=!0),t.removedConfigurations&&this.o(t.removedConfigurations,r),t.addedConfigurations&&this.n(t.addedConfigurations,!1,r),this.i.fire(),this.j.fire({properties:r,defaultsOverrides:i})}notifyConfigurationSchemaUpdated(...t){this.i.fire()}registerOverrideIdentifiers(t){this.m(t),this.i.fire()}m(t){for(const i of t)this.h.add(i);this.u()}n(t,i,r){t.forEach(n=>{this.p(n,i,n.extensionInfo,n.restrictedProperties,void 0,r),this.c.push(n),this.q(n)})}o(t,i){const r=n=>{if(n.properties)for(const s in n.properties){i.add(s);const c=this.d[s];c?.policy?.name&&this.e.delete(c.policy.name),delete this.d[s],this.s(s,n.properties[s])}n.allOf?.forEach(s=>r(s))};for(const n of t){r(n);const s=this.c.indexOf(n);s!==-1&&this.c.splice(s,1)}}p(t,i=!0,r,n,s=3,c){s=o.$pe(t.scope)?s:t.scope;const f=t.properties;if(f)for(const w in f){const D=f[w];if(i&&$(w,D)){delete f[w];continue}if(D.source=r,D.defaultDefaultValue=f[w].default,this.w(w,D),e.$5m.test(w)?D.scope=void 0:(D.scope=o.$pe(D.scope)?s:D.scope,D.restricted=o.$pe(D.restricted)?!!n?.includes(w):D.restricted),f[w].hasOwnProperty("included")&&!f[w].included){this.f[w]=f[w],delete f[w];continue}else this.d[w]=f[w],f[w].policy?.name&&this.e.set(f[w].policy.name,w);!f[w].deprecationMessage&&f[w].markdownDeprecationMessage&&(f[w].deprecationMessage=f[w].markdownDeprecationMessage),c.add(w)}const y=t.allOf;if(y)for(const w of y)this.p(w,i,r,n,s,c)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(t){const i=r=>{const n=r.properties;if(n)for(const c in n)this.r(c,n[c]);r.allOf?.forEach(i)};i(t)}r(t,i){switch(e.$Vm.properties[t]=i,i.scope){case 1:e.$Wm.properties[t]=i;break;case 2:e.$Xm.properties[t]=i;break;case 6:e.$Ym.properties[t]=i;break;case 3:e.$Zm.properties[t]=i;break;case 4:e.$1m.properties[t]=i;break;case 5:e.$1m.properties[t]=i,this.g.properties[t]=i;break}}s(t,i){switch(delete e.$Vm.properties[t],i.scope){case 1:delete e.$Wm.properties[t];break;case 2:delete e.$Xm.properties[t];break;case 6:delete e.$Ym.properties[t];break;case 3:delete e.$Zm.properties[t];break;case 4:case 5:delete e.$1m.properties[t],delete this.g.properties[t];break}}u(){for(const t of this.h.values()){const i=`[${t}]`,r={type:"object",description:A.localize(2,null),errorMessage:A.localize(3,null),$ref:e.$2m};this.w(i,r),e.$Vm.properties[i]=r,e.$Wm.properties[i]=r,e.$Xm.properties[i]=r,e.$Ym.properties[i]=r,e.$Zm.properties[i]=r,e.$1m.properties[i]=r}}v(){const t={type:"object",description:A.localize(4,null),errorMessage:A.localize(5,null),$ref:e.$2m};e.$Vm.patternProperties[e.$4m]=t,e.$Wm.patternProperties[e.$4m]=t,e.$Xm.patternProperties[e.$4m]=t,e.$Ym.patternProperties[e.$4m]=t,e.$Zm.patternProperties[e.$4m]=t,e.$1m.patternProperties[e.$4m]=t,this.i.fire()}w(t,i){const r=this.a.get(t);let n=r?.value,s=r?.source;o.$ne(n)&&(n=i.defaultDefaultValue,s=void 0),o.$ne(n)&&(n=u(i.type)),i.default=n,i.defaultValueSource=s}}const h="\\[([^\\]]+)\\]",m=new RegExp(h,"g");e.$4m=`^(${h})+$`,e.$5m=new RegExp(e.$4m);function g(k){const t=[];if(e.$5m.test(k)){let i=m.exec(k);for(;i?.length;){const r=i[1].trim();r&&t.push(r),i=m.exec(k)}}return(0,E.$of)(t)}e.$6m=g;function a(k){return k.reduce((t,i)=>`${t}[${i}]`,"")}e.$7m=a;function u(k){switch(Array.isArray(k)?k[0]:k){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.$8m=u;const l=new p;b.$Pm.add(e.$Um.Configuration,l);function $(k,t){return k.trim()?e.$5m.test(k)?A.localize(7,null,k):l.getConfigurationProperties()[k]!==void 0?A.localize(8,null,k):t.policy?.name&&l.getPolicyConfigurations().get(t.policy?.name)!==void 0?A.localize(9,null,k,t.policy?.name,l.getPolicyConfigurations().get(t.policy?.name)):null:A.localize(6,null)}e.$9m=$;function P(){const k=[],t=l.getConfigurationProperties();for(const i of Object.keys(t))k.push([i,t[i].scope]);return k.push(["launch",4]),k.push(["task",4]),k}e.$0m=P}),define(be[114],pe([1,0,18,5,72,2,27,21,8,4,24,55,35]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dn=e.$cn=e.$bn=e.$an=e.$_m=e.$$m=void 0;function h(i){return Object.isFrozen(i)?i:L.$Em(i)}class m{constructor(r={},n=[],s=[],c){this.b=r,this.c=n,this.d=s,this.raw=c,this.a=new Map}get rawConfiguration(){if(!this.f)if(this.raw?.length){const r=this.raw.map(n=>{if(n instanceof m)return n;const s=new g("");return s.parseRaw(n),s.configurationModel});this.f=r.reduce((n,s)=>s===n?s:n.merge(s),r[0])}else this.f=this;return this.f}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(r){return r?(0,I.$Zh)(this.contents,r):this.contents}inspect(r,n){const s=this.rawConfiguration.getValue(r),c=n?this.rawConfiguration.getOverrideValue(r,n):void 0,f=n?this.rawConfiguration.override(n).getValue(r):s;return{value:s,override:c,merged:f}}getOverrideValue(r,n){const s=this.i(n);return s?r?(0,I.$Zh)(s,r):s:void 0}getKeysForOverrideIdentifier(r){const n=[];for(const s of this.overrides)s.identifiers.includes(r)&&n.push(...s.keys);return E.$of(n)}getAllOverrideIdentifiers(){const r=[];for(const n of this.overrides)r.push(...n.identifiers);return E.$of(r)}override(r){let n=this.a.get(r);return n||(n=this.g(r),this.a.set(r,n)),n}merge(...r){const n=L.$Dm(this.contents),s=L.$Dm(this.overrides),c=[...this.keys],f=this.raw?.length?[...this.raw]:[this];for(const y of r)if(f.push(...y.raw?.length?y.raw:[y]),!y.isEmpty()){this.h(n,y.contents);for(const w of y.overrides){const[D]=s.filter(C=>E.$$e(C.identifiers,w.identifiers));D?(this.h(D.contents,w.contents),D.keys.push(...w.keys),D.keys=E.$of(D.keys)):s.push(L.$Dm(w))}for(const w of y.keys)c.indexOf(w)===-1&&c.push(w)}return new m(n,c,s,f.every(y=>y instanceof m)?void 0:f)}g(r){const n=this.i(r);if(!n||typeof n!="object"||!Object.keys(n).length)return this;const s={};for(const c of E.$of([...Object.keys(this.contents),...Object.keys(n)])){let f=this.contents[c];const y=n[c];y&&(typeof f=="object"&&typeof y=="object"?(f=L.$Dm(f),this.h(f,y)):f=y),s[c]=f}return new m(s,this.keys,this.overrides)}h(r,n){for(const s of Object.keys(n)){if(s in r&&b.$ie(r[s])&&b.$ie(n[s])){this.h(r[s],n[s]);continue}r[s]=L.$Dm(n[s])}}i(r){let n=null,s=null;const c=f=>{f&&(s?this.h(s,f):s=L.$Dm(f))};for(const f of this.overrides)E.$$e(f.identifiers,[r])?n=f.contents:f.identifiers.includes(r)&&c(f.contents);return c(n),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(r,n){this.j(r,n,!0)}setValue(r,n){this.j(r,n,!1)}removeValue(r){const n=this.keys.indexOf(r);n!==-1&&(this.keys.splice(n,1),(0,I.$Yh)(this.contents,r),v.$5m.test(r)&&this.overrides.splice(this.overrides.findIndex(s=>E.$$e(s.identifiers,(0,v.$6m)(r))),1))}j(r,n,s){(0,I.$Xh)(this.contents,r,n,c=>console.error(c)),s=s||this.keys.indexOf(r)===-1,s&&this.keys.push(r),v.$5m.test(r)&&this.overrides.push({identifiers:(0,v.$6m)(r),keys:Object.keys(this.contents[r]),contents:(0,I.$Wh)(this.contents[r],c=>console.error(c))})}}e.$$m=m;class g{constructor(r){this.f=r,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||new m}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(r,n){if(!b.$pe(r)){const s=this.g(r);this.parseRaw(s,n)}}reparse(r){this.a&&this.parseRaw(this.a,r)}parseRaw(r,n){this.a=r;const{contents:s,keys:c,overrides:f,restricted:y,hasExcludedProperties:w}=this.h(r,n);this.b=new m(s,c,f,w?[r]:void 0),this.c=y||[]}g(r){let n={},s=null,c=[];const f=[],y=[];function w(C){Array.isArray(c)?c.push(C):s!==null&&(c[s]=C)}const D={onObjectBegin:()=>{const C={};w(C),f.push(c),c=C,s=null},onObjectProperty:C=>{s=C},onObjectEnd:()=>{c=f.pop()},onArrayBegin:()=>{const C=[];w(C),f.push(c),c=C,s=null},onArrayEnd:()=>{c=f.pop()},onLiteralValue:w,onError:(C,M,X)=>{y.push({error:C,offset:M,length:X})}};if(r)try{o.$Am(r,D),n=c[0]||{}}catch(C){console.error(`Error while parsing settings file ${this.f}: ${C}`),this.d=[C]}return n}h(r,n){const s=p.$Pm.as(v.$Um.Configuration).getConfigurationProperties(),c=this.i(r,s,!0,n);r=c.raw;const f=(0,I.$Wh)(r,D=>console.error(`Conflict in settings file ${this.f}: ${D}`)),y=Object.keys(r),w=this.j(r,D=>console.error(`Conflict in settings file ${this.f}: ${D}`));return{contents:f,keys:y,overrides:w,restricted:c.restricted,hasExcludedProperties:c.hasExcludedProperties}}i(r,n,s,c){let f=!1;if(!c?.scopes&&!c?.skipRestricted)return{raw:r,restricted:[],hasExcludedProperties:f};const y={},w=[];for(const D in r)if(v.$5m.test(D)&&s){const C=this.i(r[D],n,!1,c);y[D]=C.raw,f=f||C.hasExcludedProperties,w.push(...C.restricted)}else{const C=n[D],M=C?typeof C.scope<"u"?C.scope:3:void 0;C?.restricted&&w.push(D),(M===void 0||c.scopes===void 0||c.scopes.includes(M))&&!(c.skipRestricted&&C?.restricted)?y[D]=r[D]:f=!0}return{raw:y,restricted:w,hasExcludedProperties:f}}j(r,n){const s=[];for(const c of Object.keys(r))if(v.$5m.test(c)){const f={};for(const y in r[c])f[y]=r[c][y];s.push({identifiers:(0,v.$6m)(c),keys:Object.keys(f),contents:(0,I.$Wh)(f,n)})}return s}}e.$_m=g;class a extends A.$kb{constructor(r,n,s,c){super(),this.f=r,this.g=n,this.h=c,this.c=this.B(new O.$5c),this.onDidChange=this.c.event,this.a=new g(this.f.toString()),this.b={scopes:this.g},this.B(this.h.watch(s.dirname(this.f))),this.B(this.h.watch(this.f)),this.B(O.Event.any(O.Event.filter(this.h.onDidFilesChange,f=>f.contains(this.f)),O.Event.filter(this.h.onDidRunOperation,f=>(f.isOperation(0)||f.isOperation(3)||f.isOperation(1)||f.isOperation(4))&&s.isEqual(f.resource,r)))(()=>this.c.fire()))}async loadConfiguration(){try{const r=await this.h.readFile(this.f);return this.a.parse(r.value.toString()||"{}",this.b),this.a.configurationModel}catch{return new m}}reparse(){return this.a.reparse(this.b),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.$an=a;class u{constructor(r,n,s,c,f,y,w,D,C,M,X,ne,he){this.a=r,this.b=n,this.c=s,this.overrideIdentifiers=c,this.d=f,this.f=y,this.g=w,this.h=D,this.i=C,this.j=M,this.k=X,this.l=ne,this.m=he}get value(){return h(this.c)}n(r,n,s){const c=r.inspect(n,s);return{get value(){return h(c.value)},get override(){return h(c.override)},get merged(){return h(c.merged)}}}get q(){return this.p||(this.p=this.n(this.d,this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.q.value!==void 0||this.q.override!==void 0?{value:this.q.value,override:this.q.override}:void 0}get s(){return this.r===void 0&&(this.r=this.f?this.n(this.f,this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.n(this.g,this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.u?.value!==void 0||this.u?.override!==void 0?{value:this.u.value,override:this.u.override}:void 0}get w(){return this.v||(this.v=this.n(this.h,this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.w.value!==void 0||this.w.override!==void 0?{value:this.w.value,override:this.w.override}:void 0}get y(){return this.x||(this.x=this.n(this.i,this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.y.value!==void 0||this.y.override!==void 0?{value:this.y.value,override:this.y.override}:void 0}get A(){return this.z||(this.z=this.n(this.j,this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.A.value!==void 0||this.A.override!==void 0?{value:this.A.value,override:this.A.override}:void 0}get D(){return this.B===void 0&&(this.B=this.k?this.n(this.k,this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.D?.value!==void 0||this.D?.override!==void 0?{value:this.D.value,override:this.D.override}:void 0}get F(){return this.E===void 0&&(this.E=this.l?this.n(this.l,this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.F?.value!==void 0||this.F?.override!==void 0?{value:this.F.value,override:this.F.override}:void 0}get H(){return this.G===void 0&&(this.G=this.n(this.m,this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.H.value!==void 0||this.H.override!==void 0?{value:this.H.value,override:this.H.override}:void 0}}class l{constructor(r,n,s,c,f=new m,y=new m,w=new R.$ji,D=new m,C=new R.$ji){this.c=r,this.d=n,this.f=s,this.g=c,this.h=f,this.i=y,this.j=w,this.l=D,this.m=C,this.a=null,this.b=new R.$ji,this.n=null}getValue(r,n,s){return this.q(r,n,s).getValue(r)}updateValue(r,n,s={}){let c;s.resource?(c=this.m.get(s.resource),c||(c=new m,this.m.set(s.resource,c))):c=this.l,n===void 0?c.removeValue(r):c.setValue(r,n),s.resource||(this.a=null)}inspect(r,n,s){const c=this.q(r,n,s),f=this.u(n.resource,s),y=n.resource?this.m.get(n.resource)||this.l:this.l,w=new Set;for(const D of c.overrides)for(const C of D.identifiers)c.getOverrideValue(r,C)!==void 0&&w.add(C);return new u(r,n,c.getValue(r),w.size?[...w]:void 0,this.c,this.d.isEmpty()?void 0:this.d,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,s?this.i:void 0,f||void 0,y)}keys(r){const n=this.u(void 0,r);return{default:this.c.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.i.keys.slice(0),workspaceFolder:n?n.keys.slice(0):[]}}updateDefaultConfiguration(r){this.c=r,this.a=null,this.b.clear()}updatePolicyConfiguration(r){this.d=r}updateApplicationConfiguration(r){this.f=r,this.a=null,this.b.clear()}updateLocalUserConfiguration(r){this.g=r,this.n=null,this.a=null,this.b.clear()}updateRemoteUserConfiguration(r){this.h=r,this.n=null,this.a=null,this.b.clear()}updateWorkspaceConfiguration(r){this.i=r,this.a=null,this.b.clear()}updateFolderConfiguration(r,n){this.j.set(r,n),this.b.delete(r)}deleteFolderConfiguration(r){this.p.delete(r),this.b.delete(r)}compareAndUpdateDefaultConfiguration(r,n){const s=[];if(!n){const{added:c,updated:f,removed:y}=k(this.c,r);n=[...c,...f,...y]}for(const c of n)for(const f of(0,v.$6m)(c)){const y=this.c.getKeysForOverrideIdentifier(f),w=r.getKeysForOverrideIdentifier(f),D=[...w.filter(C=>y.indexOf(C)===-1),...y.filter(C=>w.indexOf(C)===-1),...y.filter(C=>!L.$Hm(this.c.override(f).getValue(C),r.override(f).getValue(C)))];s.push([f,D])}return this.updateDefaultConfiguration(r),{keys:n,overrides:s}}compareAndUpdatePolicyConfiguration(r){const{added:n,updated:s,removed:c}=k(this.d,r),f=[...n,...s,...c];return f.length&&this.updatePolicyConfiguration(r),{keys:f,overrides:[]}}compareAndUpdateApplicationConfiguration(r){const{added:n,updated:s,removed:c,overrides:f}=k(this.applicationConfiguration,r),y=[...n,...s,...c];return y.length&&this.updateApplicationConfiguration(r),{keys:y,overrides:f}}compareAndUpdateLocalUserConfiguration(r){const{added:n,updated:s,removed:c,overrides:f}=k(this.localUserConfiguration,r),y=[...n,...s,...c];return y.length&&this.updateLocalUserConfiguration(r),{keys:y,overrides:f}}compareAndUpdateRemoteUserConfiguration(r){const{added:n,updated:s,removed:c,overrides:f}=k(this.remoteUserConfiguration,r),y=[...n,...s,...c];return y.length&&this.updateRemoteUserConfiguration(r),{keys:y,overrides:f}}compareAndUpdateWorkspaceConfiguration(r){const{added:n,updated:s,removed:c,overrides:f}=k(this.workspaceConfiguration,r),y=[...n,...s,...c];return y.length&&this.updateWorkspaceConfiguration(r),{keys:y,overrides:f}}compareAndUpdateFolderConfiguration(r,n){const s=this.p.get(r),{added:c,updated:f,removed:y,overrides:w}=k(s,n),D=[...c,...f,...y];return(D.length||!s)&&this.updateFolderConfiguration(r,n),{keys:D,overrides:w}}compareAndDeleteFolderConfiguration(r){const n=this.p.get(r);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:s,updated:c,removed:f,overrides:y}=k(n,void 0);return{keys:[...s,...c,...f],overrides:y}}get defaults(){return this.c}get applicationConfiguration(){return this.f}get userConfiguration(){return this.n||(this.n=this.h.isEmpty()?this.g:this.g.merge(this.h)),this.n}get localUserConfiguration(){return this.g}get remoteUserConfiguration(){return this.h}get workspaceConfiguration(){return this.i}get p(){return this.j}q(r,n,s){let c=this.r(n,s);return n.overrideIdentifier&&(c=c.override(n.overrideIdentifier)),!this.d.isEmpty()&&this.d.getValue(r)!==void 0&&(c=c.merge(this.d)),c}r({resource:r},n){let s=this.s();if(n&&r){const c=n.getFolder(r);c&&(s=this.t(c.uri)||s);const f=this.m.get(r);f&&(s=s.merge(f))}return s}s(){return this.a||(this.a=this.c.merge(this.applicationConfiguration,this.userConfiguration,this.i,this.l)),this.a}t(r){let n=this.b.get(r);if(!n){const s=this.s(),c=this.j.get(r);c?(n=s.merge(c),this.b.set(r,n)):n=s}return n}u(r,n){if(n&&r){const s=n.getFolder(r);if(s)return this.j.get(s.uri)}}toData(){return{defaults:{contents:this.c.contents,overrides:this.c.overrides,keys:this.c.keys},policy:{contents:this.d.contents,overrides:this.d.overrides,keys:this.d.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.i.contents,overrides:this.i.overrides,keys:this.i.keys},folders:[...this.j.keys()].reduce((r,n)=>{const{contents:s,overrides:c,keys:f}=this.j.get(n);return r.push([n,{contents:s,overrides:c,keys:f}]),r},[])}}allKeys(){const r=new Set;return this.c.keys.forEach(n=>r.add(n)),this.userConfiguration.keys.forEach(n=>r.add(n)),this.i.keys.forEach(n=>r.add(n)),this.j.forEach(n=>n.keys.forEach(s=>r.add(s))),[...r.values()]}v(){const r=new Set;return this.c.getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.userConfiguration.getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.i.getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.j.forEach(n=>n.getAllOverrideIdentifiers().forEach(s=>r.add(s))),[...r.values()]}w(r){const n=new Set;return this.c.getKeysForOverrideIdentifier(r).forEach(s=>n.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>n.add(s)),this.i.getKeysForOverrideIdentifier(r).forEach(s=>n.add(s)),this.j.forEach(s=>s.getKeysForOverrideIdentifier(r).forEach(c=>n.add(c))),[...n.values()]}static parse(r){const n=this.x(r.defaults),s=this.x(r.policy),c=this.x(r.application),f=this.x(r.user),y=this.x(r.workspace),w=r.folders.reduce((D,C)=>(D.set(d.URI.revive(C[0]),this.x(C[1])),D),new R.$ji);return new l(n,s,c,f,new m,y,w,new m,new R.$ji)}static x(r){return new m(r.contents,r.keys,r.overrides)}}e.$bn=l;function $(...i){if(i.length===0)return{keys:[],overrides:[]};if(i.length===1)return i[0];const r=new Set,n=new Map;for(const c of i)c.keys.forEach(f=>r.add(f)),c.overrides.forEach(([f,y])=>{const w=(0,R.$gi)(n,f,new Set);y.forEach(D=>w.add(D))});const s=[];return n.forEach((c,f)=>s.push([f,[...c.values()]])),{keys:[...r.values()],overrides:s}}e.$cn=$;class P{constructor(r,n,s,c){this.change=r,this.f=n,this.g=s,this.h=c,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=".".charCodeAt(0),this.affectedKeys=new Set,this.i=void 0;for(const f of r.keys)this.affectedKeys.add(f);for(const[,f]of r.overrides)for(const y of f)this.affectedKeys.add(y);this.d=this.a;for(const f of this.affectedKeys)this.d+=f+this.a}get previousConfiguration(){return!this.i&&this.f&&(this.i=l.parse(this.f.data)),this.i}affectsConfiguration(r,n){const s=this.a+r,c=this.d.indexOf(s);if(c<0)return!1;const f=c+s.length;if(f>=this.d.length)return!1;const y=this.d.charCodeAt(f);if(y!==this.b&&y!==this.c)return!1;if(n){const w=this.previousConfiguration?this.previousConfiguration.getValue(r,n,this.f?.workspace):void 0,D=this.g.getValue(r,n,this.h);return!L.$Hm(w,D)}return!0}}e.$dn=P;function k(i,r){const{added:n,removed:s,updated:c}=t(r?.rawConfiguration,i?.rawConfiguration),f=[],y=i?.getAllOverrideIdentifiers()||[],w=r?.getAllOverrideIdentifiers()||[];if(r){const D=w.filter(C=>!y.includes(C));for(const C of D)f.push([C,r.getKeysForOverrideIdentifier(C)])}if(i){const D=y.filter(C=>!w.includes(C));for(const C of D)f.push([C,i.getKeysForOverrideIdentifier(C)])}if(r&&i){for(const D of y)if(w.includes(D)){const C=t({contents:i.getOverrideValue(void 0,D)||{},keys:i.getKeysForOverrideIdentifier(D)},{contents:r.getOverrideValue(void 0,D)||{},keys:r.getKeysForOverrideIdentifier(D)});f.push([D,[...C.added,...C.removed,...C.updated]])}}return{added:n,removed:s,updated:c,overrides:f}}function t(i,r){const n=i?r?i.keys.filter(f=>r.keys.indexOf(f)===-1):[...i.keys]:[],s=r?i?r.keys.filter(f=>i.keys.indexOf(f)===-1):[...r.keys]:[],c=[];if(i&&r){for(const f of r.keys)if(i.keys.indexOf(f)!==-1){const y=(0,I.$Zh)(r.contents,f),w=(0,I.$Zh)(i.contents,f);L.$Hm(y,w)||c.push(f)}}return{added:n,removed:s,updated:c}}}),define(be[227],pe([1,0,18,5,2,21,8,114,55,12,67,35]),function(ae,e,E,O,o,A,R,L,b,d,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gn=e.$fn=e.$en=void 0;class p extends o.$kb{constructor(){super(...arguments),this.a=this.B(new O.$5c),this.onDidChangeConfiguration=this.a.event,this.b=new L.$$m}get configurationModel(){return this.b}async initialize(){return this.g(),this.B(v.$Pm.as(b.$Um.Configuration).onDidUpdateConfiguration(({properties:a,defaultsOverrides:u})=>this.c(Array.from(a),u))),this.configurationModel}reload(){return this.g(),this.configurationModel}c(a,u){this.h(a,v.$Pm.as(b.$Um.Configuration).getConfigurationProperties()),this.a.fire({defaults:this.configurationModel,properties:a})}f(){return{}}g(){this.b=new L.$$m;const a=v.$Pm.as(b.$Um.Configuration).getConfigurationProperties();this.h(Object.keys(a),a)}h(a,u){const l=this.f();for(const $ of a){const P=l[$],k=u[$];P!==void 0?this.b.addValue($,P):k?this.b.addValue($,k.default):this.b.removeValue($)}}}e.$en=p;class h{constructor(){this.onDidChangeConfiguration=O.Event.None,this.configurationModel=new L.$$m}async initialize(){return this.configurationModel}}e.$fn=h;let m=e.$gn=class extends o.$kb{get configurationModel(){return this.b}constructor(a,u,l){super(),this.c=a,this.f=u,this.g=l,this.a=this.B(new O.$5c),this.onDidChangeConfiguration=this.a.event,this.b=new L.$$m}async initialize(){return this.g.trace("PolicyConfiguration#initialize"),this.j(await this.h(this.c.configurationModel.keys),!1),this.B(this.f.onDidChange(a=>this.i(a))),this.B(this.c.onDidChangeConfiguration(async({properties:a})=>this.j(await this.h(a),!0))),this.b}async h(a){this.g.trace("PolicyConfiguration#updatePolicyDefinitions",a);const u={},l=[],$=v.$Pm.as(b.$Um.Configuration).getConfigurationProperties();for(const P of a){const k=$[P];if(!k){l.push(P);continue}if(k.policy){if(k.type!=="string"&&k.type!=="number"){this.g.warn(`Policy ${k.policy.name} has unsupported type ${k.type}`);continue}l.push(P),u[k.policy.name]={type:k.type}}}return(0,R.$te)(u)||await this.f.updatePolicyDefinitions(u),l}i(a){this.g.trace("PolicyConfiguration#onDidChangePolicies",a);const u=v.$Pm.as(b.$Um.Configuration).getPolicyConfigurations(),l=(0,E.$jf)(a.map($=>u.get($)));this.j(l,!0)}j(a,u){this.g.trace("PolicyConfiguration#update",a);const l=v.$Pm.as(b.$Um.Configuration).getConfigurationProperties(),$=[],P=this.b.isEmpty();for(const k of a){const t=l[k]?.policy?.name;if(t){const i=this.f.getPolicyValue(t);(P?i!==void 0:!(0,A.$Hm)(this.b.getValue(k),i))&&$.push([k,i])}else this.b.getValue(k)!==void 0&&$.push([k,void 0])}if($.length){this.g.trace("PolicyConfiguration#changed",$);const k=this.b;this.b=new L.$$m;for(const t of k.keys)this.b.setValue(t,k.getValue(t));for(const[t,i]of $)i===void 0?this.b.removeValue(t):this.b.setValue(t,i);u&&this.a.fire(this.b)}}};e.$gn=m=Le([Re(1,I.$Rm),Re(2,d.$Ni)],m)}),define(be[115],pe([1,0,14,5,2,19,24,114,227,67]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hn=void 0;class I extends o.$kb{constructor(p,h,m,g){super(),this.i=p,this.h=this.B(new O.$5c),this.onDidChangeConfiguration=this.h.event,this.b=this.B(new b.$en),this.c=m instanceof d.$Tm?new b.$fn:this.B(new b.$gn(this.b,m,g)),this.f=this.B(new L.$an(this.i,void 0,A.$Wf,h)),this.a=new L.$bn(this.b.configurationModel,this.c.configurationModel,new L.$$m,new L.$$m),this.g=this.B(new E.$Cg(()=>this.reloadConfiguration(),50)),this.B(this.b.onDidChangeConfiguration(({defaults:a,properties:u})=>this.k(a,u))),this.B(this.c.onDidChangeConfiguration(a=>this.l(a))),this.B(this.f.onDidChange(()=>this.g.schedule()))}async initialize(){const[p,h,m]=await Promise.all([this.b.initialize(),this.c.initialize(),this.f.loadConfiguration()]);this.a=new L.$bn(p,h,new L.$$m,m)}getConfigurationData(){return this.a.toData()}getValue(p,h){const m=typeof p=="string"?p:void 0,g=(0,R.$Sh)(p)?p:(0,R.$Sh)(h)?h:{};return this.a.getValue(m,g,void 0)}updateValue(p,h,m,g){return Promise.reject(new Error("not supported"))}inspect(p){return this.a.inspect(p,{},void 0)}keys(){return this.a.keys(void 0)}async reloadConfiguration(){const p=await this.f.loadConfiguration();this.j(p)}j(p){const h=this.a.toData(),m=this.a.compareAndUpdateLocalUserConfiguration(p);this.m(m,h,2)}k(p,h){const m=this.a.toData(),g=this.a.compareAndUpdateDefaultConfiguration(p,h);this.m(g,m,7)}l(p){const h=this.a.toData(),m=this.a.compareAndUpdatePolicyConfiguration(p);this.m(m,h,7)}m(p,h,m){const g=new L.$dn(p,{data:h},this.a);g.source=m,g.sourceConfig=this.n(m),this.h.fire(g)}n(p){switch(p){case 7:return this.a.defaults.contents;case 2:return this.a.localUserConfiguration.contents}return{}}}e.$hn=I}),define(be[116],pe([1,0,11,6]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wk=e.$vk=e.RemoteAuthorityResolverErrorCode=e.$uk=e.$tk=e.RemoteConnectionType=e.$sk=void 0,e.$sk=(0,O.$lh)("remoteAuthorityResolverService");var o;(function(I){I[I.WebSocket=0]="WebSocket",I[I.Managed=1]="Managed"})(o||(e.RemoteConnectionType=o={}));class A{constructor(v){this.id=v,this.type=1}toString(){return`Managed(${this.id})`}}e.$tk=A;class R{constructor(v,p){this.host=v,this.port=p,this.type=0}toString(){return`WebSocket(${this.host}:${this.port})`}}e.$uk=R;var L;(function(I){I.Unknown="Unknown",I.NotAvailable="NotAvailable",I.TemporarilyNotAvailable="TemporarilyNotAvailable",I.NoResolverFound="NoResolverFound"})(L||(e.RemoteAuthorityResolverErrorCode=L={}));class b extends E.$_{static isNotAvailable(v){return v instanceof b&&v._code===L.NotAvailable}static isTemporarilyNotAvailable(v){return v instanceof b&&v._code===L.TemporarilyNotAvailable}static isNoResolverFound(v){return v instanceof b&&v._code===L.NoResolverFound}static isHandled(v){return v instanceof b&&v.isHandled}constructor(v,p=L.Unknown,h){super(v),this._message=v,this._code=p,this._detail=h,this.isHandled=p===L.NotAvailable&&h===!0,Object.setPrototypeOf(this,b.prototype)}}e.$vk=b;function d(I){const v=I.indexOf("+");return v===-1?I:I.substring(0,v)}e.$wk=d}),define(be[228],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zM=e.$yM=void 0,e.$yM=(0,E.$lh)("IRemoteExtensionsScannerService"),e.$zM="remoteExtensionsScanner"}),define(be[56],pe([1,0,13]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bk=e.$Ak=e.$zk=e.$yk=e.$xk=void 0;function O(d){return d.scheme===E.Schemas.vscodeRemote?d.authority:void 0}e.$xk=O;function o(d){if(!d)return;const I=d.indexOf("+");return I<0?d:d.substr(0,I)}e.$yk=o;function A(d){return`/${d.quality??"oss"}-${d.commit??"dev"}`}e.$zk=A;function R(d){const{host:I,port:v}=b(d);if(typeof v>"u")throw new Error("Remote authority doesn't contain a port!");return{host:I,port:v}}e.$Ak=R;function L(d,I){let{host:v,port:p}=b(d);return typeof p>"u"&&(p=I),{host:v,port:p}}e.$Bk=L;function b(d){const I=d.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(I)return{host:I[1],port:parseInt(I[2],10)};const v=d.match(/^(\[[0-9a-z:]+\])$/);if(v)return{host:v[1],port:void 0};const p=d.match(/(.*):(\d+)$/);return p?{host:p[1],port:parseInt(p[2],10)}:{host:d,port:void 0}}}),define(be[40],pe([1,0,17,6,56]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kl=e.$Jl=e.$Il=e.$Hl=e.$Gl=e.$Fl=e.$El=e.$Dl=e.TargetPlatform=e.ExtensionType=e.$Cl=e.$Bl=e.$Al=e.$zl=e.$yl=e.$xl=void 0,e.$xl="extensions.user.cache",e.$yl="extensions.builtin.cache",e.$zl="undefined_publisher",e.$Al=["ui","workspace","web"];function A(g){if(typeof g=="object"&&g!==null&&g.supported!==!0)return g.description}e.$Bl=A,e.$Cl=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(g){g[g.System=0]="System",g[g.User=1]="User"})(R||(e.ExtensionType=R={}));var L;(function(g){g.WIN32_X64="win32-x64",g.WIN32_IA32="win32-ia32",g.WIN32_ARM64="win32-arm64",g.LINUX_X64="linux-x64",g.LINUX_ARM64="linux-arm64",g.LINUX_ARMHF="linux-armhf",g.ALPINE_X64="alpine-x64",g.ALPINE_ARM64="alpine-arm64",g.DARWIN_X64="darwin-x64",g.DARWIN_ARM64="darwin-arm64",g.WEB="web",g.UNIVERSAL="universal",g.UNKNOWN="unknown",g.UNDEFINED="undefined"})(L||(e.TargetPlatform=L={}));class b{constructor(a){this.value=a,this._lower=a.toLowerCase()}static equals(a,u){if(typeof a>"u"||a===null)return typeof u>"u"||u===null;if(typeof u>"u"||u===null)return!1;if(typeof a=="string"||typeof u=="string"){const l=typeof a=="string"?a:a.value,$=typeof u=="string"?u:u.value;return E.$Jd(l,$)}return a._lower===u._lower}static toKey(a){return typeof a=="string"?a.toLowerCase():a._lower}}e.$Dl=b;class d{get size(){return this.c.size}constructor(a){if(this.c=new Set,a)for(const u of a)this.add(u)}add(a){this.c.add(b.toKey(a))}delete(a){return this.c.delete(b.toKey(a))}has(a){return this.c.has(b.toKey(a))}}e.$El=d;class I{constructor(){this.c=new Map}clear(){this.c.clear()}delete(a){this.c.delete(b.toKey(a))}get(a){return this.c.get(b.toKey(a))}has(a){return this.c.has(b.toKey(a))}set(a,u){this.c.set(b.toKey(a),u)}values(){return this.c.values()}forEach(a){this.c.forEach(a)}[Symbol.iterator](){return this.c[Symbol.iterator]()}}e.$Fl=I;function v(g){return p(g)}e.$Gl=v;function p(g){return g.contributes&&g.contributes.localizations?g.contributes.localizations.length>0:!1}e.$Hl=p;function h(g){return g.contributes&&g.contributes.authentication?g.contributes.authentication.length>0:!1}e.$Il=h;function m(g,a){if(a){const u=`onResolveRemoteAuthority:${(0,o.$yk)(a)}`;return!!g.activationEvents?.includes(u)}return!1}e.$Jl=m,e.$Kl=(0,O.$lh)("IBuiltinExtensionsScannerService")}),define(be[229],pe([1,0,2,40,16]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hp=void 0;class A extends E.$kb{constructor(L,b,d,I,v){super(),this.a=L,this.b=b,this.c=d,this.f=v,this.B(I.onDidInstallExtensions(p=>this.g(p))),this.B(I.onDidUninstallExtension(p=>this.h(p)))}g(L){for(const b of L)b.local&&this.invalidate(b.profileLocation)}h(L){L.error||this.invalidate(L.profileLocation)}async invalidate(L){if(L)for(const b of this.a.profiles)this.c.extUri.isEqual(b.extensionsResource,L)&&await this.i(b);else await this.i(this.a.defaultProfile)}async i(L){try{await this.b.del(this.c.extUri.joinPath(L.cacheHome,O.$xl))}catch(b){(0,o.$5j)(b)!==1&&this.f.error(b)}}}e.$hp=A}),define(be[43],pe([1,0,15,11,2,188,55,6,12,35]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ao=e.$zo=e.$yo=e.$xo=e.$wo=e.$vo=e.$uo=void 0,e.$uo=(0,L.$lh)("requestService");class I{constructor(k){this.b=k}toJSON(){if(!this.a){const k=Object.create(null);for(const t in this.b)t.toLowerCase()==="authorization"||t.toLowerCase()==="proxy-authorization"?k[t]="*****":k[t]=this.b[t];this.a=k}return this.a}}class v extends o.$kb{constructor(k){super(),this.b=0,this.a=k.createLogger("network",{name:(0,A.localize)(0,null),when:b.$5i.isEqualTo((0,b.$3i)(b.LogLevel.Trace)).serialize()})}async c(k,t,i){const r=`${k} #${++this.b}: ${t.url}`;this.a.trace(`${r} - begin`,t.type,new I(t.headers??{}));try{const n=await i();return this.a.trace(`${r} - end`,t.type,n.res.statusCode,n.res.headers),n}catch(n){throw this.a.error(`${r} - error`,t.type,(0,O.$8)(n)),n}}}e.$vo=v;function p(P){return P.res.statusCode&&P.res.statusCode>=200&&P.res.statusCode<300||P.res.statusCode===1223}e.$wo=p;function h(P){return P.res.statusCode===204}async function m(P){return h(P)?null:(await(0,E.$Tb)(P.stream)).toString()}e.$xo=m;async function g(P){if(!p(P))throw new Error("Server returned "+P.res.statusCode);return m(P)}e.$yo=g;async function a(P){if(!p(P))throw new Error("Server returned "+P.res.statusCode);if(h(P))return null;const t=(await(0,E.$Tb)(P.stream)).toString();try{return JSON.parse(t)}catch(i){throw i.message+=`:
`+t,i}}e.$zo=a;function u(P){$(P)}e.$Ao=u;let l;function $(P){const k=d.$Pm.as(R.$Um.Configuration),t=l;l={id:"http",order:15,title:(0,A.localize)(1,null),type:"object",scope:P,properties:{"http.proxy":{type:"string",pattern:"^(https?|socks5?)://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,A.localize)(2,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,A.localize)(3,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,A.localize)(4,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,A.localize)(5,null),(0,A.localize)(6,null),(0,A.localize)(7,null),(0,A.localize)(8,null)],default:"override",description:(0,A.localize)(9,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,A.localize)(10,null),restricted:!0}}},k.updateConfigurations({add:[l],remove:t?[t]:[]})}$(1)}),define(be[230],pe([1,0,20,13,16,43]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$LM=void 0;let R=e.$LM=class{constructor(b,d){this.a=b,this.b=d}async download(b,d,I=E.CancellationToken.None){if(b.scheme===O.Schemas.file||b.scheme===O.Schemas.vscodeRemote){await this.b.copy(b,d);return}const v={type:"GET",url:b.toString(!0)},p=await this.a.request(v,I);if(p.res.statusCode===200)await this.b.writeFile(d,p.stream);else{const h=await(0,A.$yo)(p);throw new Error(`Expected 200, got back ${p.res.statusCode} instead.

${h}`)}}};e.$LM=R=Le([Re(0,A.$uo),Re(1,o.$Oj)],R)}),define(be[231],pe([1,0,15,20]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xq=e.$wq=void 0;class o{constructor(L){this.a=L}listen(L,b){throw new Error("Invalid listen")}call(L,b,d,I=O.CancellationToken.None){switch(b){case"request":return this.a.request(d[0],I).then(async({res:v,stream:p})=>{const h=await(0,E.$Tb)(p);return[{statusCode:v.statusCode,headers:v.headers},h]});case"resolveProxy":return this.a.resolveProxy(d[0])}throw new Error("Invalid call")}}e.$wq=o;class A{constructor(L){this.a=L}async request(L,b){const[d,I]=await this.a.call("request",[L],b);return{res:d,stream:(0,E.$Vb)(I)}}async resolveProxy(L){return this.a.call("resolveProxy",[L])}}e.$xq=A}),define(be[232],pe([1,0,83,8]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yq=void 0;function o(R,L){return R.protocol==="http:"?L.HTTP_PROXY||L.http_proxy||null:R.protocol==="https:"&&(L.HTTPS_PROXY||L.https_proxy||L.HTTP_PROXY||L.http_proxy)||null}async function A(R,L,b={}){const d=(0,E.parse)(R),I=b.proxyUrl||o(d,L);if(!I)return null;const v=(0,E.parse)(I);if(!/^https?:$/.test(v.protocol||""))return null;const p={host:v.hostname||"",port:v.port||(v.protocol==="https"?"443":"80"),auth:v.auth,rejectUnauthorized:(0,O.$me)(b.strictSSL)?b.strictSSL:!0};return d.protocol==="http:"?new(await new Promise((h,m)=>{ae(["http-proxy-agent"],h,m)}))(p):new(await new Promise((h,m)=>{ae(["https-proxy-agent"],h,m)}))(p)}e.$yq=A}),define(be[84],pe([1,0,52,7,189,20,38,11,3,22,165,206,14,142]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ul=void 0;let m;async function g(u,l,$,P){return $["force-disable-user-env"]?(l.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):b.$i?(l.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,v.$ol)(P)&&!$["force-user-env"]?(l.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,v.$ol)(P)?l.trace("resolveShellEnv(): running (--force-user-env)"):l.trace("resolveShellEnv(): running (macOS/Linux)"),m||(m=p.Promises.withAsyncBody(async(k,t)=>{const i=new A.$bd;let r=1e4;const n=u.getValue("application.shellEnvironmentResolutionTimeout");typeof n=="number"&&(r=(0,h.$pl)(n,1,120)*1e3);const s=setTimeout(()=>{i.dispose(!0),t(new Error((0,o.localize)(0,null)))},r);try{k(await a(l,i.token))}catch(c){!(0,L.$1)(c)&&!i.token.isCancellationRequested?t(new Error((0,o.localize)(1,null,(0,R.$9h)(c)))):k({})}finally{clearTimeout(s),i.dispose()}})),m)}e.$ul=g;async function a(u,l){const $=process.env.ELECTRON_RUN_AS_NODE;u.trace("getUnixShellEnvironment#runAsNode",$);const P=process.env.ELECTRON_NO_ATTACH_CONSOLE;u.trace("getUnixShellEnvironment#noAttach",P);const k=(0,d.$3e)().replace(/-/g,"").substr(0,12),t=new RegExp(k+"({.*})"+k),i={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1",VSCODE_RESOLVING_ENVIRONMENT:"1"};u.trace("getUnixShellEnvironment#env",i);const r=await(0,I.$fl)(b.OS,i);return u.trace("getUnixShellEnvironment#shell",r),new Promise((n,s)=>{if(l.isCancellationRequested)return s(new L.$2);const c=(0,O.$cc)(r);let f,y;const w=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(c)?(f=`& '${process.execPath}' ${w} -p '''${k}'' + JSON.stringify(process.env) + ''${k}'''`,y=["-Login","-Command"]):c==="nu"?(f=`^'${process.execPath}' ${w} -p '"${k}" + JSON.stringify(process.env) + "${k}"'`,y=["-i","-l","-c"]):(f=`'${process.execPath}' ${w} -p '"${k}" + JSON.stringify(process.env) + "${k}"'`,c==="tcsh"||c==="csh"?y=["-ic"]:y=["-i","-l","-c"]),u.trace("getUnixShellEnvironment#spawn",JSON.stringify(y),f);const D=(0,E.spawn)(r,[...y,f],{detached:!0,stdio:["ignore","pipe","pipe"],env:i});l.onCancellationRequested(()=>(D.kill(),s(new L.$2))),D.on("error",X=>{u.error("getUnixShellEnvironment#errorChildProcess",(0,R.$9h)(X)),s(X)});const C=[];D.stdout.on("data",X=>C.push(X));const M=[];D.stderr.on("data",X=>M.push(X)),D.on("close",(X,ne)=>{const he=Buffer.concat(C).toString("utf8");u.trace("getUnixShellEnvironment#raw",he);const ue=Buffer.concat(M).toString("utf8");if(ue.trim()&&u.trace("getUnixShellEnvironment#stderr",ue),X||ne)return s(new Error((0,o.localize)(2,null,X,ne)));const le=t.exec(he),ge=le?le[1]:"{}";try{const se=JSON.parse(ge);$?se.ELECTRON_RUN_AS_NODE=$:delete se.ELECTRON_RUN_AS_NODE,P?se.ELECTRON_NO_ATTACH_CONSOLE=P:delete se.ELECTRON_NO_ATTACH_CONSOLE,delete se.VSCODE_RESOLVING_ENVIRONMENT,delete se.XDG_RUNTIME_DIR,u.trace("getUnixShellEnvironment#result",se),n(se)}catch(se){u.error("getUnixShellEnvironment#errorCaught",(0,R.$9h)(se)),s(se)}})})}}),define(be[233],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oM=e.$nM=void 0,e.$nM=(0,E.$lh)("stateReadService"),e.$oM=(0,E.$lh)("stateService")}),define(be[234],pe([1,0,14,15,8,25,16,12]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rM=e.$qM=e.$pM=e.SaveStrategy=void 0;var b;(function(p){p[p.IMMEDIATE=0]="IMMEDIATE",p[p.DELAYED=1]="DELAYED"})(b||(e.SaveStrategy=b={}));class d{constructor(h,m,g,a){this.f=h,this.g=g,this.h=a,this.a=Object.create(null),this.b="",this.d=void 0,this.e=void 0,this.c=m===0?void 0:new E.$pg(100)}init(){return this.d||(this.d=this.i()),this.d}async i(){try{this.b=(await this.h.readFile(this.f)).value.toString(),this.a=JSON.parse(this.b)}catch(h){h.fileOperationResult!==1&&this.g.error(h)}}getItem(h,m){const g=this.a[h];return(0,o.$pe)(g)?m:g}setItem(h,m){this.setItems([{key:h,data:m}])}setItems(h){let m=!1;for(const{key:g,data:a}of h)this.a[g]!==a&&((0,o.$pe)(a)?(0,o.$ne)(this.a[g])||(this.a[g]=void 0,m=!0):(this.a[g]=a,m=!0));m&&this.j()}removeItem(h){(0,o.$ne)(this.a[h])||(this.a[h]=void 0,this.j())}async j(){if(!this.e)return this.c?this.c.trigger(()=>this.k()):this.k()}async k(){if(!this.d)return;await this.d;const h=JSON.stringify(this.a,null,4);if(h!==this.b)try{await this.h.writeFile(this.f,O.$Ib.fromString(h),{atomic:{postfix:".vsctmp"}}),this.b=h}catch(m){this.g.error(m)}}async close(){return this.e||(this.e=this.c?this.c.trigger(()=>this.k(),0):this.k()),this.e}}e.$pM=d;let I=e.$qM=class{constructor(h,m,g,a){this.a=new d(m.stateResource,h,g,a)}async init(){await this.a.init()}getItem(h,m){return this.a.getItem(h,m)}};e.$qM=I=Le([Re(1,A.$sh),Re(2,L.$Ni),Re(3,R.$Oj)],I);class v extends I{setItem(h,m){this.a.setItem(h,m)}setItems(h){this.a.setItems(h)}removeItem(h){this.a.removeItem(h)}close(){return this.a.close()}}e.$rM=v}),define(be[117],pe([1,0,3,30,22]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wn=e.$Vn=void 0;function A(b){if(E.$t===2&&/^penguin(\.|$)/i.test(b))return"chromebook"}function R(b,d,I,v,p,h,m,g){const a=Object.create(null);a["common.machineId"]=h,a.sessionID=(0,o.$3e)()+Date.now(),a.commitHash=v,a.version=p,a["common.platformVersion"]=(b||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),a["common.platform"]=(0,E.$h)(E.$t),a["common.nodePlatform"]=O.$5b,a["common.nodeArch"]=I,a["common.product"]=g||"desktop",m&&(a["common.msftInternal"]=m);let u=0;const l=Date.now();Object.defineProperties(a,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-l,enumerable:!0},"common.sequence":{get:()=>u++,enumerable:!0}}),E.$l&&(a["common.snap"]="true");const $=A(d);return $&&(a["common.platformDetail"]=$),a}e.$Vn=R;function L(b){const d=O.env.USERDNSDOMAIN;if(!d)return!1;const I=d.toLowerCase();return b.some(v=>I===v)}e.$Wn=L}),define(be[235],pe([1,0,18,11,2,21,16]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ErrorEvent=void 0;var L;(function(d){function I(v,p){return v.callstack<p.callstack?-1:v.callstack>p.callstack?1:0}d.compare=I})(L||(e.ErrorEvent=L={}));class b{constructor(I,v=b.ERROR_FLUSH_TIMEOUT){this.f=-1,this.g=[],this.h=new o.$jb,this.c=I,this.d=v;const p=O.$U.addListener(h=>this.j(h));this.h.add((0,o.$ib)(p)),this.i()}dispose(){clearTimeout(this.f),this.l(),this.h.dispose()}i(){}j(I){if(!I||(I.detail&&I.detail.stack&&(I=I.detail),O.$_.isErrorNoTelemetry(I)||I instanceof R.$9j||typeof I?.message=="string"&&I.message.includes("Unable to read file")))return;const v=Array.isArray(I.stack)?I.stack.join(`
`):I.stack,p=I.message?I.message:(0,A.$Im)(I);v&&this.k({msg:p,callstack:v})}k(I){const v=(0,E.$af)(this.g,I,L.compare);v<0?(I.count=1,this.g.splice(~v,0,I)):(this.g[v].count||(this.g[v].count=0),this.g[v].count+=1),this.f===-1&&(this.f=setTimeout(()=>{this.l(),this.f=-1},this.d))}l(){for(const I of this.g)this.c.publicLogError2("UnhandledError",I);this.g.length=0}}b.ERROR_FLUSH_TIMEOUT=5*1e3,e.default=b}),define(be[236],pe([1,0,2]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nr=void 0;class O extends E.$kb{constructor(A,R){super(),this.a=A,this.b=R}async call(A,R,L){switch(R){case"updateTelemetryLevel":{const{telemetryLevel:b}=L;return this.a.updateInjectedTelemetryLevel(b)}case"logTelemetry":{const{eventName:b,data:d}=L;return this.b?this.b.log(b,d):Promise.resolve()}case"flushTelemetry":return this.b?this.b.flush():Promise.resolve();case"ping":return}throw new Error(`IPC Command ${R} not found`)}listen(A,R,L){throw new Error("Not supported")}dispose(){this.a.updateInjectedTelemetryLevel(0),super.dispose()}}e.$nr=O}),define(be[32],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.$1k=e.$Zk=e.$Yk=e.$Xk=e.$Wk=e.$Vk=e.$Uk=e.$Tk=e.$Sk=e.$Rk=void 0,e.$Rk=(0,E.$lh)("telemetryService"),e.$Sk=(0,E.$lh)("customEndpointTelemetryService"),e.$Tk="telemetry.currentSessionDate",e.$Uk="telemetry.firstSessionDate",e.$Vk="telemetry.lastSessionDate",e.$Wk="telemetry.machineId",e.$Xk="telemetry",e.$Yk="telemetry.telemetryLevel",e.$Zk="telemetry.enableCrashReporter",e.$1k="telemetry.enableTelemetry";var O;(function(A){A[A.NONE=0]="NONE",A[A.CRASH=1]="CRASH",A[A.ERROR=2]="ERROR",A[A.USAGE=3]="USAGE"})(O||(e.TelemetryLevel=O={}));var o;(function(A){A.OFF="off",A.CRASH="crash",A.ERROR="error",A.ON="all"})(o||(e.TelemetryConfiguration=o={}))}),define(be[237],pe([1,0,29,14,72,13,7,3,4,99,23,104,212,16,26,32]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fr=e.$er=e.$dr=e.$cr=void 0;const a=new Map;async function u(t,i){const r=`${t}::${i.join(":")}`,n=a.get(r);if(n)return n;const s=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],c=new Map,f=new Map,y=2e4;function w(C,M,X,ne){const he=M.substring(C.length+1);return O.Promises.withAsyncBody(async ue=>{let le;try{le=await I.Promises.readdir(M,{withFileTypes:!0})}catch{ue();return}if(ne.count>=y){ne.count+=le.length,ne.maxReached=!0,ue();return}let ge=le.length;if(ge===0){ue();return}let se=le;ne.count+le.length>y&&(ne.maxReached=!0,ge=y-ne.count,se=le.slice(0,ge)),ne.count+=le.length;for(const J of se)if(J.isDirectory()){if(X.includes(J.name)||await w(C,(0,R.$$b)(M,J.name),X,ne),--ge===0){ue();return}}else{const te=J.name.lastIndexOf(".");if(te>=0){const V=J.name.substring(te+1);V&&c.set(V,(c.get(V)??0)+1)}for(const V of s)V.relativePathPattern?.test(he)!==!1&&V.filePattern.test(J.name)&&f.set(V.tag,(f.get(V.tag)??0)+1);if(--ge===0){ue();return}}})}const D=O.Promises.withAsyncBody(async C=>{const M={count:0,maxReached:!1};await w(t,t,i,M);const X=await P(t);C({configFiles:l(f),fileTypes:l(c),fileCount:M.count,maxFilesReached:M.maxReached,launchConfigFiles:X})});return a.set(r,D),D}e.$cr=u;function l(t){return Array.from(t.entries(),([i,r])=>({name:i,count:r})).sort((i,r)=>r.count-i.count)}function $(){const t={os:`${E.type()} ${E.arch()} ${E.release()}`,memory:`${(E.totalmem()/h.$jk.GB).toFixed(2)}GB (${(E.freemem()/h.$jk.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(d.$pm.value()*100)}%`},i=E.cpus();return i&&i.length>0&&(t.cpus=`${i[0].model} (${i.length} x ${i[0].speed})`),t}e.$dr=$;async function P(t){try{const i=new Map,r=(0,R.$$b)(t,".vscode","launch.json"),n=await I.Promises.readFile(r),s=[],c=(0,o.$tm)(n.toString(),s);if(s.length)return console.log(`Unable to parse ${r}`),[];if((0,o.$Cm)(c)==="object"&&c.configurations)for(const f of c.configurations){const y=f.type;y&&(i.has(y)?i.set(y,i.get(y)+1):i.set(y,1))}return l(i)}catch{return[]}}e.$er=P;let k=e.$fr=class{constructor(i,r){this.c=i,this.d=r}f(i){const r=[];return r.push(`OS Version:       ${i.os}`),r.push(`CPUs:             ${i.cpus}`),r.push(`Memory (System):  ${i.memory}`),r.push(`VM:               ${i.vmHint}`),r.join(`
`)}g(i){const r=[];r.push(`Version:          ${this.d.nameShort} ${this.d.version} (${this.d.commit||"Commit unknown"}, ${this.d.date||"Date unknown"})`),r.push(`OS Version:       ${E.type()} ${E.arch()} ${E.release()}`);const n=E.cpus();return n&&n.length>0&&r.push(`CPUs:             ${n[0].model} (${n.length} x ${n[0].speed})`),r.push(`Memory (System):  ${(E.totalmem()/h.$jk.GB).toFixed(2)}GB (${(E.freemem()/h.$jk.GB).toFixed(2)}GB free)`),L.$i||r.push(`Load (avg):       ${E.loadavg().map(s=>Math.round(s)).join(", ")}`),r.push(`VM:               ${Math.round(d.$pm.value()*100)}%`),r.push(`Screen Reader:    ${i.screenReader?"yes":"no"}`),r.push(`Process Argv:     ${i.mainArguments.join(" ")}`),r.push(`GPU Status:       ${this.j(i.gpuFeatureStatus)}`),r.join(`
`)}async getPerformanceInfo(i,r){return Promise.all([(0,v.$br)(i.mainPID),this.k(i)]).then(async n=>{let[s,c]=n,f=this.m(i,s);return r.forEach(y=>{if((0,p.$2l)(y))f+=`
${y.errorMessage}`,c+=`
${y.errorMessage}`;else if(f+=`

Remote: ${y.hostName}`,y.processes&&(f+=`
${this.m(i,y.processes)}`),y.workspaceMetadata){c+=`
|  Remote: ${y.hostName}`;for(const w of Object.keys(y.workspaceMetadata)){const D=y.workspaceMetadata[w];let C=`${D.fileCount} files`;D.maxFilesReached&&(C=`more than ${C}`),c+=`|    Folder (${w}): ${C}`,c+=this.h(D)}}}),{processInfo:f,workspaceInfo:c}})}async getSystemInfo(i,r){const{memory:n,vmHint:s,os:c,cpus:f}=$(),y={os:c,memory:n,cpus:f,vmHint:s,processArgs:`${i.mainArguments.join(" ")}`,gpuStatus:i.gpuFeatureStatus,screenReader:`${i.screenReader?"yes":"no"}`,remoteData:r};return L.$i||(y.load=`${E.loadavg().map(w=>Math.round(w)).join(", ")}`),L.$k&&(y.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(y)}async getDiagnostics(i,r){const n=[];return(0,v.$br)(i.mainPID).then(async s=>(n.push(""),n.push(this.g(i)),n.push(""),n.push(this.m(i,s)),i.windows.some(c=>c.folderURIs&&c.folderURIs.length>0&&!c.remoteAuthority)&&(n.push(""),n.push("Workspace Stats: "),n.push(await this.k(i))),r.forEach(c=>{if((0,p.$2l)(c))n.push(`
${c.errorMessage}`);else if(n.push(`

`),n.push(`Remote:           ${c.hostName}`),n.push(this.f(c.machineInfo)),c.processes&&n.push(this.m(i,c.processes)),c.workspaceMetadata)for(const f of Object.keys(c.workspaceMetadata)){const y=c.workspaceMetadata[f];let w=`${y.fileCount} files`;y.maxFilesReached&&(w=`more than ${w}`),n.push(`Folder (${f}): ${w}`),n.push(this.h(y))}}),n.push(""),n.push(""),n.join(`
`)))}h(i){const r=[];let s=0;const c=(D,C)=>{const M=` ${D}(${C})`;s+M.length>60?(r.push(f),f="|                 ",s=f.length):s+=M.length,f+=M};let f="|      File types:";const y=10,w=i.fileTypes.length>y?y:i.fileTypes.length;for(let D=0;D<w;D++){const C=i.fileTypes[D];c(C.name,C.count)}if(r.push(f),i.configFiles.length>=0&&(f="|      Conf files:",s=0,i.configFiles.forEach(D=>{c(D.name,D.count)}),r.push(f)),i.launchConfigFiles.length>0){let D="|      Launch Configs:";i.launchConfigFiles.forEach(C=>{const M=C.count>1?` ${C.name}(${C.count})`:` ${C.name}`;D+=M}),r.push(D)}return r.join(`
`)}j(i){const r=Math.max(...Object.keys(i).map(n=>n.length));return Object.keys(i).map(n=>`${n}:  ${" ".repeat(r-n.length)}  ${i[n]}`).join(`
                  `)}k(i){const r=[],n=[];return i.windows.forEach(s=>{s.folderURIs.length===0||s.remoteAuthority||(r.push(`|  Window (${s.title})`),s.folderURIs.forEach(c=>{const f=b.URI.revive(c);if(f.scheme===A.Schemas.file){const y=f.fsPath;n.push(u(y,["node_modules",".git"]).then(w=>{let D=`${w.fileCount} files`;w.maxFilesReached&&(D=`more than ${D}`),r.push(`|    Folder (${(0,R.$cc)(y)}): ${D}`),r.push(this.h(w))}).catch(w=>{r.push(`|      Error: Unable to collect workspace stats for folder ${y} (${w.toString()})`)}))}else r.push(`|    Folder (${f.toString()}): Workspace stats not available.`)}))}),Promise.all(n).then(s=>r.join(`
`)).catch(s=>`Unable to collect workspace stats: ${s}`)}m(i,r){const n=new Map;i.windows.forEach(c=>n.set(c.pid,`window [${c.id}] (${c.title})`)),i.pidToNames.forEach(({pid:c,name:f})=>n.set(c,f));const s=[];return s.push("CPU %	Mem MB	   PID	Process"),r&&this.n(i.mainPID,n,s,r,0),s.join(`
`)}n(i,r,n,s,c){const f=c===0;let y;f?y=s.pid===i?`${this.d.applicationName} main`:"remote agent":r.has(s.pid)?y=r.get(s.pid):y=`${"  ".repeat(c)} ${s.name}`;const w=process.platform==="win32"?s.mem:E.totalmem()*(s.mem/100);n.push(`${s.load.toFixed(0).padStart(5," ")}	${(w/h.$jk.MB).toFixed(0).padStart(6," ")}	${s.pid.toFixed(0).padStart(6," ")}	${y}`),Array.isArray(s.children)&&s.children.forEach(D=>this.n(i,r,n,D,c+1))}async getWorkspaceFileExtensions(i){const r=new Set;for(const{uri:n}of i.folders){const s=b.URI.revive(n);if(s.scheme!==A.Schemas.file)continue;const c=s.fsPath;try{(await u(c,["node_modules",".git"])).fileTypes.forEach(y=>r.add(y.name))}catch{}}return{extensions:[...r]}}async reportWorkspaceStats(i){for(const{uri:r}of i.folders){const n=b.URI.revive(r);if(n.scheme!==A.Schemas.file)continue;const s=n.fsPath;try{const c=await u(s,["node_modules",".git"]);this.c.publicLog2("workspace.stats",{"workspace.id":i.telemetryId,rendererSessionId:i.rendererSessionId}),c.fileTypes.forEach(f=>{this.c.publicLog2("workspace.stats.file",{rendererSessionId:i.rendererSessionId,type:f.name,count:f.count})}),c.launchConfigFiles.forEach(f=>{this.c.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:i.rendererSessionId,type:f.name,count:f.count})}),c.configFiles.forEach(f=>{this.c.publicLog2("workspace.stats.configFiles",{rendererSessionId:i.rendererSessionId,type:f.name,count:f.count})})}catch{}}}};e.$fr=k=Le([Re(0,g.$Rk),Re(1,m.$6i)],k)}),define(be[36],pe([1,0,21,8,5,24,56,117,32]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ao=e.$_n=e.$$n=e.$0n=e.$9n=e.$8n=e.$7n=e.$6n=e.$5n=e.$4n=e.$3n=e.$2n=e.$1n=e.$Zn=e.$Yn=e.$Xn=void 0;class d{constructor(s){this.value=s,this.isTrustedTelemetryValue=!0}}e.$Xn=d;class I{constructor(){this.telemetryLevel=0,this.sessionId="someValue.sessionId",this.machineId="someValue.machineId",this.firstSessionDate="someValue.firstSessionDate",this.sendErrorTelemetry=!1}publicLog(){}publicLog2(){}publicLogError(){}publicLogError2(){}setExperimentProperty(){}}e.$Yn=I,e.$Zn=new I;class v{async publicLog(s,c,f){}async publicLogError(s,c,f){}}e.$1n=v,e.$2n="telemetry",e.$3n="extensionTelemetryLog",e.$4n={log:()=>null,flush:()=>Promise.resolve(null)};function p(n,s){return o.Event.debounce(s.onDidChangeConfiguration,(f,y)=>{const w=f?new Set([...f.affectedKeys,...y.affectedKeys]):y.affectedKeys;return{...y,affectedKeys:w}},1e3,!0)(f=>{f.source!==7&&n.publicLog2("updateConfiguration",{configurationSource:(0,A.$Uh)(f.source),configurationKeys:Array.from(f.affectedKeys)})})}e.$5n=p;function h(n,s){return!s.isBuilt&&!s.disableTelemetry?!0:!(s.disableTelemetry||!n.enableTelemetry||s.extensionTestsLocationURI)}e.$6n=h;function m(n,s){return!(s.isBuilt||s.disableTelemetry||n.enableTelemetry&&n.aiConfig?.ariaKey)}e.$7n=m;function g(n){const s=n.getValue(b.$Yk),c=n.getValue(b.$Zk);if(n.getValue(b.$1k)===!1||c===!1)return 0;switch(s??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.$8n=g;function a(n){const s={},c={},f={};$(n,f);for(let y in f){y=y.length>150?y.substr(y.length-149):y;const w=f[y];typeof w=="number"?c[y]=w:typeof w=="boolean"?c[y]=w?1:0:typeof w=="string"?(w.length>8192&&console.warn(`Telemetry property: ${y} has been trimmed to 8192, the original length is ${w.length}`),s[y]=w.substring(0,8191)):typeof w<"u"&&w!==null&&(s[y]=w)}return{properties:s,measurements:c}}e.$9n=a;const u=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces","amlext"]);function l(n){if(!n)return"none";const s=(0,R.$yk)(n);return u.has(s)?s:"other"}e.$0n=l;function $(n,s,c=0,f){if(n)for(const y of Object.getOwnPropertyNames(n)){const w=n[y],D=f?f+y:y;Array.isArray(w)?s[D]=(0,E.$Im)(w):w instanceof Date?s[D]=w.toISOString():(0,O.$ie)(w)?c<2?$(w,s,c+1,D+"."):s[D]=(0,E.$Im)(w):s[D]=w}}function P(n,s){const c=n.msftInternalDomains||[],f=s.getValue("telemetry.internalTesting");return(0,L.$Wn)(c)||f}e.$$n=P;function k(n){return[n.appRoot,n.extensionsPath,n.userHome.fsPath,n.tmpDir.fsPath,n.userDataPath]}e.$_n=k;function t(n,s){if(!n||!n.includes("/")&&!n.includes("\\"))return n;let c=n;const f=[];for(const C of s)for(;;){const M=C.exec(n);if(!M)break;f.push([M.index,C.lastIndex])}const y=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,w=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let D=0;for(c="";;){const C=w.exec(n);if(!C)break;const M=f.some(([X,ne])=>C.index<ne&&X<w.lastIndex);!y.test(C[0])&&!M&&(c+=n.substring(D,C.index)+"<REDACTED: user-file-path>",D=w.lastIndex)}return D<n.length&&(c+=n.substr(D)),c}function i(n){if(!n)return n;const s=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/i},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const c of s)if(c.regex.test(n))return`<REDACTED: ${c.label}>`;return n}function r(n,s){return(0,E.$Fm)(n,c=>{if(c instanceof d||Object.hasOwnProperty.call(c,"isTrustedTelemetryValue"))return c.value;if(typeof c=="string"){let f=c.replaceAll("%20"," ");f=t(f,s);for(const y of s)f=f.replace(y,"");return f=i(f),f}})}e.$ao=r}),define(be[37],pe([1,0,17,31,40,3,4,11,30,36]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mo=e.$lo=e.$ko=e.$jo=e.$io=e.$ho=e.$go=e.$fo=e.$eo=e.$do=e.$co=e.$bo=void 0;function I(r,n){return r.uuid&&n.uuid?r.uuid===n.uuid:r.id===n.id?!0:(0,E.$Ed)(r.id,n.id)===0}e.$bo=I;const v=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class p{static create(n){const s=n.manifest?n.manifest.version:n.version,c=n.manifest?n.targetPlatform:n.properties.targetPlatform;return new p(n.identifier,s,c)}static parse(n){const s=v.exec(n);return s&&s[1]&&s[2]?new p({id:s[1]},s[2],s[4]||void 0):null}constructor(n,s,c="undefined"){this.version=s,this.targetPlatform=c,this.id=n.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(n){return n instanceof p?I(this,n)&&this.version===n.version&&this.targetPlatform===n.targetPlatform:!1}}e.$co=p;const h=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function m(r){const n=h.exec(r);return n&&n[1]?[a(n[1]),n[2]]:[a(r),void 0]}e.$do=m;function g(r,n){return`${r}.${n}`}e.$eo=g;function a(r){return r.toLowerCase()}e.$fo=a;function u(r,n){return a(g(r??o.$zl,n))}e.$go=u;function l(r,n){const s=[],c=f=>{for(const y of s)if(y.some(w=>I(n(w),n(f))))return y;return null};for(const f of r){const y=c(f);y?y.push(f):s.push([f])}return s}e.$ho=l;function $(r){return{id:r.identifier.id,name:r.manifest.name,galleryId:null,publisherId:r.publisherId,publisherName:r.manifest.publisher,publisherDisplayName:r.publisherDisplayName,dependencies:r.manifest.extensionDependencies&&r.manifest.extensionDependencies.length>0}}e.$io=$;function P(r){return{id:new d.$Xn(r.identifier.id),name:new d.$Xn(r.name),galleryId:r.identifier.uuid,publisherId:r.publisherId,publisherName:r.publisher,publisherDisplayName:r.publisherDisplayName,isPreReleaseVersion:r.properties.isPreReleaseVersion,dependencies:!!(r.properties.dependencies&&r.properties.dependencies.length>0),isSigned:r.isSigned,...r.telemetryData}}e.$jo=P,e.$ko=new o.$Dl("pprice.better-merge");function k(r,n){const s=[],c=n.manifest.extensionDependencies?.slice(0)??[];for(;c.length;){const f=c.shift();if(f&&s.every(y=>!I(y.identifier,{id:f}))){const y=r.filter(w=>I(w.identifier,{id:f}));y.length===1&&(s.push(y[0]),c.push(...y[0].manifest.extensionDependencies?.slice(0)??[]))}}return s}e.$lo=k;async function t(r,n){if(!A.$k)return!1;let s;try{s=(await r.readFile(R.URI.file("/etc/os-release"))).value.toString()}catch{try{s=(await r.readFile(R.URI.file("/usr/lib/os-release"))).value.toString()}catch(f){n.debug("Error while getting the os-release file.",(0,L.$8)(f))}}return!!s&&(s.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async function i(r,n){const s=await t(r,n),c=(0,O.$Gn)(s?"alpine":A.$t,b.$6b);return n.debug("ComputeTargetPlatform:",c),c}e.$mo=i}),define(be[118],pe([1,0,20,11,13,19,53,4,176,31,37,40]),function(ae,e,E,O,o,A,R,L,b,d,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$To=void 0;const p=a=>(0,b.localize)(0,null,a),h=(0,b.localize)(1,null,"ms-dotnettools.csharp");function m(a,u){return u?`${a.publisher}.${a.name}@${a.version}`:`${a.publisher}.${a.name}`}let g=e.$To=class{constructor(u,l,$){this.a=u,this.b=l,this.d=$}get f(){}async listExtensions(u,l,$){let P=await this.b.getInstalled(1,$);const k=v.$Cl.map(i=>i.toLowerCase());if(l&&l!==""){if(k.indexOf(l.toLowerCase())<0){this.a.info("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}P=P.filter(i=>i.manifest.categories?i.manifest.categories.map(n=>n.toLowerCase()).indexOf(l.toLowerCase())>-1:!1)}else if(l===""){this.a.info("Possible Categories: "),k.forEach(i=>{this.a.info(i)});return}this.f&&this.a.info((0,b.localize)(2,null,this.f)),P=P.sort((i,r)=>i.identifier.id.localeCompare(r.identifier.id));let t;for(const i of P)t!==i.identifier.id&&(t=i.identifier.id,this.a.info(m(i.manifest,u)))}async installExtensions(u,l,$,P){const k=[];try{const t=[];u.length&&this.a.info(this.f?(0,b.localize)(3,null,this.f):(0,b.localize)(4,null));const i=[];let r=[];const n=(c,f,y)=>{r.push({id:c,version:f!=="prerelease"?f:void 0,installOptions:{...$,isBuiltin:y,installPreReleaseVersion:f==="prerelease"||$.installPreReleaseVersion}})};for(const c of u)if(c instanceof L.URI)i.push({vsix:c,installOptions:$});else{const[f,y]=(0,I.$do)(c);n(f,y,!1)}for(const c of l)if(c instanceof L.URI)i.push({vsix:c,installOptions:{...$,isBuiltin:!0,donotIncludePackAndDependencies:!0}});else{const[f,y]=(0,I.$do)(c);n(f,y,!0)}const s=await this.b.getInstalled(1,$.profileLocation);if(i.length&&await Promise.all(i.map(async({vsix:c,installOptions:f})=>{try{const y=await this.g(c,f,P,s);y&&t.push(y)}catch(y){this.a.error(y),k.push(c.toString())}})),r.length&&(r=r.filter(({id:c,version:f})=>{const y=s.find(w=>(0,I.$bo)(w.identifier,{id:c}));if(y){if(!P&&(!f||f==="prerelease"&&y.preRelease))return this.a.info((0,b.localize)(5,null,c,y.manifest.version,c)),!1;if(f&&y.manifest.version===f)return this.a.info((0,b.localize)(6,null,`${c}@${f}`)),!1}return!0}),r.length)){const c=await this.h(r);await Promise.all(r.map(async f=>{const y=c.get(f.id.toLowerCase());if(y)try{const w=await this.j(f,y,s);w&&t.push(w)}catch(w){this.a.error(w.message||w.stack||w),k.push(f.id)}else this.a.error(`${p(f.version?`${f.id}@${f.version}`:f.id)}
${h}`),k.push(f.id)}))}}catch(t){throw this.a.error((0,b.localize)(7,null,(0,O.$8)(t))),t}if(k.length)throw new Error((0,b.localize)(8,null,k.join(", ")))}async g(u,l,$,P){const k=await this.b.getManifest(u);if(!k)throw new Error("Invalid vsix");if(await this.l(k,$,l.profileLocation,P))try{return await this.b.install(u,l),this.a.info((0,b.localize)(9,null,(0,A.$3f)(u))),k}catch(i){if((0,O.$1)(i))return this.a.info((0,b.localize)(10,null,(0,A.$3f)(u))),null;throw i}return null}async h(u){const l=new Map,$=u.some(t=>t.installOptions.installPreReleaseVersion),P=await this.b.getTargetPlatform(),k=[];for(const t of u)d.$An.test(t.id)&&k.push({...t,preRelease:$});if(k.length){const t=await this.d.getExtensions(k,{targetPlatform:P},E.CancellationToken.None);for(const i of t)l.set(i.identifier.id.toLowerCase(),i)}return l}async j({id:u,version:l,installOptions:$},P,k){const t=await this.d.getManifest(P,E.CancellationToken.None);if(t&&!this.k(t))return null;const i=k.find(r=>(0,I.$bo)(r.identifier,P.identifier));if(i){if(P.version===i.manifest.version)return this.a.info((0,b.localize)(11,null,l?`${u}@${l}`:u)),null;this.a.info((0,b.localize)(12,null,u,P.version))}try{$.isBuiltin?this.a.info(l?(0,b.localize)(13,null,u,l):(0,b.localize)(14,null,u)):this.a.info(l?(0,b.localize)(15,null,u,l):(0,b.localize)(16,null,u));const r=await this.b.installFromGallery(P,{...$,installGivenVersion:!!l});return this.a.info((0,b.localize)(17,null,u,r.manifest.version)),t}catch(r){if((0,O.$1)(r))return this.a.info((0,b.localize)(18,null,u)),null;throw r}}k(u){return!0}async l(u,l,$,P){if(!l){const k={id:(0,I.$go)(u.publisher,u.name)},t=P.find(i=>(0,I.$bo)(k,i.identifier)&&(0,R.gt)(i.manifest.version,u.version));if(t)return this.a.info((0,b.localize)(19,null,t.identifier.id,t.manifest.version,u.version)),!1}return this.k(u)}async uninstallExtensions(u,l,$){const P=async t=>{if(t instanceof L.URI){const i=await this.b.getManifest(t);return m(i)}return t},k=[];for(const t of u){const i=await P(t),n=(await this.b.getInstalled(void 0,$)).filter(s=>(0,I.$bo)(s.identifier,{id:i}));if(!n.length)throw new Error(`${this.m(i)}
${h}`);if(n.some(s=>s.type===0)){this.a.info((0,b.localize)(20,null,i));return}if(!l&&n.some(s=>s.isBuiltin)){this.a.info((0,b.localize)(21,null,i));return}this.a.info((0,b.localize)(22,null,i));for(const s of n)await this.b.uninstall(s,{profileLocation:$}),k.push(s);this.f?this.a.info((0,b.localize)(23,null,i,this.f)):this.a.info((0,b.localize)(24,null,i))}}async locateExtension(u){const l=await this.b.getInstalled();u.forEach($=>{l.forEach(P=>{if(P.identifier.id===$&&P.location.scheme===o.Schemas.file){this.a.info(P.location.fsPath);return}})})}m(u){return this.f?(0,b.localize)(25,null,u,this.f):(0,b.localize)(26,null,u)}};e.$To=g=Le([Re(1,d.$Nn),Re(2,d.$Ln)],g)}),define(be[238],pe([1,0,5,2,27,37,40]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ip=void 0;class L extends O.$kb{constructor(d,I,v,p,h,m,g){super(),this.f=d,this.g=I,this.h=v,this.i=p,this.j=h,this.k=m,this.l=g,this.a=this.B(new E.$5c),this.onDidChangeExtensionsByAnotherSource=this.a.event,this.b=new Map,this.c=this.B(new O.$sb),this.m().then(null,a=>g.error(a))}async m(){await this.g.initializeDefaultProfileExtensions(),await this.p(this.h.profiles),this.n(),await this.z()}n(){this.B(this.h.onDidChangeProfiles(d=>this.p(d.added))),this.B(this.i.onAddExtensions(d=>this.r(d))),this.B(this.i.onDidAddExtensions(d=>this.s(d))),this.B(this.i.onRemoveExtensions(d=>this.t(d))),this.B(this.i.onDidRemoveExtensions(d=>this.u(d))),this.B(this.k.onDidFilesChange(d=>this.v(d)))}async p(d){try{d.length&&await Promise.all(d.map(I=>(this.c.set(I.id,(0,O.$hb)(this.k.watch(this.j.extUri.dirname(I.extensionsResource)),this.k.watch(I.extensionsResource))),this.y(I.extensionsResource))))}catch(I){throw this.l.error(I),I}}async r(d){for(const I of d.extensions)this.C(this.F(I.identifier,I.version),d.profileLocation)}async s(d){for(const I of d.extensions){const v=this.F(I.identifier,I.version);d.error?this.D(v,d.profileLocation):this.C(v,d.profileLocation)}}async t(d){for(const I of d.extensions)this.D(this.F(I.identifier,I.version),d.profileLocation)}async u(d){const I=[],v=[];for(const p of d.extensions){const h=this.F(p.identifier,p.version);d.error?this.C(h,d.profileLocation):(this.D(h,d.profileLocation),this.b.has(h)||(this.l.debug("Extension is removed from all profiles",p.identifier.id,p.version),v.push(this.f.scanInstalledExtensionAtLocation(p.location).then(m=>{m?I.push(m):this.l.info("Extension not found at the location",p.location.toString())},m=>this.l.error(m)))))}try{await Promise.all(v),I.length&&await this.z(I)}catch(p){this.l.error(p)}}v(d){for(const I of this.h.profiles)d.contains(I.extensionsResource,0,1)&&this.w(I.extensionsResource)}async w(d){const I=[],v=[],p=await this.i.scanProfileExtensions(d),h=new Set,m=new Set;for(const[g,a]of this.b)a.has(d)&&m.add(g);for(const g of p){const a=this.F(g.identifier,g.version);h.add(a),m.has(a)||(I.push(g.identifier),this.C(a,d))}for(const g of m)if(!h.has(g)){const a=this.G(g);a&&(v.push(a.identifier),this.D(g,d))}(I.length||v.length)&&this.a.fire({added:I.length?{extensions:I,profileLocation:d}:void 0,removed:v.length?{extensions:v,profileLocation:d}:void 0})}async y(d){const I=await this.i.scanProfileExtensions(d);for(const v of I)this.C(this.F(v.identifier,v.version),d)}async z(d){d||(d=(await this.f.scanAllUserInstalledExtensions()).filter(v=>!this.b.has(this.F(v.identifier,v.manifest.version)))),d.length&&await this.f.markAsUninstalled(...d)}C(d,I){let v=this.b.get(d);v||this.b.set(d,v=new o.$ki(p=>this.j.extUri.getComparisonKey(p))),v.add(I)}D(d,I){const v=this.b.get(d);v&&v.delete(I),v?.size||this.b.delete(d)}F(d,I){return`${R.$Dl.toKey(d.id)}@${I}`}G(d){const[I,v]=(0,A.$do)(d);return v?{identifier:{id:I},version:v}:void 0}}e.$ip=L}),define(be[239],pe([1,0,209,36]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$No=void 0;async function o(A,R,L,b,d,I,v){const p={"X-Market-Client-Id":`VSCode ${A}`,"User-Agent":`VSCode ${A} (${R.nameShort})`};if((0,O.$6n)(R,L)&&(0,O.$8n)(b)===3){const h=await(0,E.$Mo)(L,d,I);p["X-Market-User-Id"]=h,p["VSCode-SessionId"]=v.machineId||h}return p}e.$No=o}),define(be[119],pe([1,0,85,18,14,2,13,7,23,25,31,37,12,82,4]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vq=void 0;let g=e.$vq=class extends h.$uq{constructor($,P,k,t){super(k),this.h=$,this.i=t,this.g=this.B(new a(P,t)),this.h.registerParticipant({postInstall:async i=>this.j(i),postUninstall:async i=>this.k(i)})}async getBuiltInExtensionTranslationsUri($,P){const t=(await this.g.getLanguagePacks())[P];if(!t){this.i.warn(`No language pack found for ${P}`);return}const i=t.translations[$];return i?m.URI.file(i):void 0}async getInstalledLanguages(){const $=await this.g.getLanguagePacks(),P=Object.keys($).map(k=>{const t=$[k];return{...this.f(k,t.label),extensionId:t.extensions[0].extensionIdentifier.id}});return P.push(this.f("en","English")),P.sort((k,t)=>k.label.localeCompare(t.label)),P}async j($){$&&$.manifest&&$.manifest.contributes&&$.manifest.contributes.localizations&&$.manifest.contributes.localizations.length&&(this.i.info("Adding language packs from the extension",$.identifier.id),await this.update())}async k($){const P=await this.g.getLanguagePacks();Object.keys(P).some(k=>P[k]&&P[k].extensions.some(t=>(0,v.$bo)(t.extensionIdentifier,$.identifier)))&&(this.i.info("Removing language packs from the extension",$.identifier.id),await this.update())}async update(){const[$,P]=await Promise.all([this.g.getLanguagePacks(),this.h.getInstalled()]),k=await this.g.update(P);return!(0,O.$$e)(Object.keys($),Object.keys(k))}};e.$vq=g=Le([Re(0,I.$Nn),Re(1,d.$th),Re(2,I.$Ln),Re(3,p.$Ni)],g);let a=class extends A.$kb{constructor($,P){super(),this.i=P,this.c={},this.f=(0,L.$$b)($.userDataPath,"languagepacks.json"),this.g=new o.$yg}getLanguagePacks(){return this.g.size||!this.h?this.m().then(()=>this.c):Promise.resolve(this.c)}update($){return this.m(P=>{Object.keys(P).forEach(k=>delete P[k]),this.j(P,...$)}).then(()=>this.c)}j($,...P){for(const k of P)k&&k.manifest&&k.manifest.contributes&&k.manifest.contributes.localizations&&k.manifest.contributes.localizations.length&&this.k($,k);Object.keys($).forEach(k=>this.l($[k]))}k($,P){const k=P.identifier,t=P.manifest.contributes&&P.manifest.contributes.localizations?P.manifest.contributes.localizations:[];for(const i of t)if(P.location.scheme===R.Schemas.file&&u(i)){let r=$[i.languageId];r||(r={hash:"",extensions:[],translations:{},label:i.localizedLanguageName??i.languageName},$[i.languageId]=r);const n=r.extensions.filter(s=>(0,v.$bo)(s.extensionIdentifier,k))[0];n?n.version=P.manifest.version:r.extensions.push({extensionIdentifier:k,version:P.manifest.version});for(const s of i.translations)r.translations[s.id]=(0,L.$$b)(P.location.fsPath,s.path)}}l($){if($){const P=(0,E.createHash)("md5");for(const k of $.extensions)P.update(k.extensionIdentifier.uuid||k.extensionIdentifier.id).update(k.version);$.hash=P.digest("hex")}}m($=()=>null){return this.g.queue(()=>{let P=null;return b.Promises.readFile(this.f,"utf8").then(void 0,k=>k.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(k)).then(k=>{try{return JSON.parse(k)}catch{return{}}}).then(k=>(P=$(k),k)).then(k=>{for(const i of Object.keys(k))k[i]||delete k[i];this.c=k,this.h=!0;const t=JSON.stringify(this.c);return this.i.debug("Writing language packs",t),b.Promises.writeFile(this.f,t)}).then(()=>P,k=>this.i.error(k))})}};a=Le([Re(0,d.$th),Re(1,p.$Ni)],a);function u(l){if(typeof l.languageId!="string"||!Array.isArray(l.translations)||l.translations.length===0)return!1;for(const $ of l.translations)if(typeof $.id!="string"||typeof $.path!="string")return!1;return!(l.languageName&&typeof l.languageName!="string"||l.localizedLanguageName&&typeof l.localizedLanguageName!="string")}}),define(be[240],pe([1,0,11,21,36]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jM=void 0;const A="https://mobile.events.data.microsoft.com/OneCollector/1.0",R="https://mobile.events.data.microsoft.com/ping";async function L(d,I,v){const p=await new Promise((u,l)=>{ae(["@microsoft/1ds-core-js"],u,l)}),h=await new Promise((u,l)=>{ae(["@microsoft/1ds-post-js"],u,l)}),m=new p.AppInsightsCore,g=new h.PostChannel,a={instrumentationKey:d,endpointUrl:A,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[g]]};if(v){a.extensionConfig={};const u={alwaysUseXhrOverride:!0,httpXHROverride:v};a.extensionConfig[g.identifier]=u}return m.initialize(a,[]),m.addTelemetryInitializer(u=>{I&&(u.ext=u.ext??{},u.ext.utc=u.ext.utc??{},u.ext.utc.flags=8462029)}),m}class b{constructor(I,v,p,h,m){this.e=I,this.f=v,this.g=p,this.h=m,this.c=A,this.d=R,this.g||(this.g={}),typeof h=="function"?this.a=h():this.a=h,this.b=null}i(I){if(this.a){if(typeof this.a!="string"){I(this.a);return}this.b||(this.b=L(this.a,this.e,this.h)),this.b.then(v=>{I(v)},v=>{(0,E.$X)(v),console.error(v)})}}log(I,v){if(!this.a)return;v=(0,O.$Gm)(v,this.g),v=(0,o.$9n)(v);const p=this.f+"/"+I;try{this.i(h=>{h.pluginVersionString=v?.properties.version??"Unknown",h.track({name:p,baseData:{name:p,properties:v?.properties,measurements:v?.measurements}})})}catch{}}flush(){return this.a?new Promise(I=>{this.i(v=>{v.unload(!0,()=>{this.a=void 0,I(void 0)})})}):Promise.resolve(void 0)}}e.$jM=b}),define(be[241],pe([1,0,2,21,3,17,190,24,55,54,26,35,32,36]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bq=void 0;let m=e.$Bq=class{constructor(u,l,$){this.k=l,this.l=$,this.d={},this.i=new E.$jb,this.j=[],this.b=u.appenders,this.c=u.commonProperties??Object.create(null),this.sessionId=this.c.sessionID,this.machineId=this.c["common.machineId"],this.firstSessionDate=this.c["common.firstSessionDate"],this.msftInternal=this.c["common.msftInternal"],this.f=u.piiPaths||[],this.g=3,this.h=!!u.sendErrorTelemetry,this.j=[/(vscode-)?file:\/\/\/.*?\/resources\/app\//gi];for(const P of this.f)this.j.push(new RegExp((0,A.$ld)(P),"gi")),P.indexOf("\\")>=0&&this.j.push(new RegExp((0,A.$ld)(P.replace(/\\/g,"/")),"gi"));this.m(),this.i.add(this.k.onDidChangeConfiguration(P=>{(P.affectsConfiguration(p.$Yk)||P.affectsConfiguration(p.$1k)||P.affectsConfiguration(p.$Zk))&&this.m()}))}setExperimentProperty(u,l){this.d[u]=l}m(){let u=(0,h.$8n)(this.k);const l=this.l.enabledTelemetryLevels;if(l){this.h=this.sendErrorTelemetry?l.error:!1;const $=l.usage?3:l.error?2:0;u=Math.min(u,$)}this.g=u}get sendErrorTelemetry(){return this.h}get telemetryLevel(){return this.g}dispose(){this.i.dispose()}n(u,l,$){this.g<l||($=(0,O.$Gm)($,this.d),$=(0,h.$ao)($,this.j),$=(0,O.$Gm)($,this.c),this.b.forEach(P=>P.log(u,$)))}publicLog(u,l){this.n(u,3,l)}publicLog2(u,l){this.publicLog(u,l)}publicLogError(u,l){this.h&&this.n(u,2,l)}publicLogError2(u,l){this.publicLogError(u,l)}};m.IDLE_START_EVENT_NAME="UserIdleStart",m.IDLE_STOP_EVENT_NAME="UserIdleStop",e.$Bq=m=Le([Re(1,L.$Rh),Re(2,I.$6i)],m);function g(){const a=(0,R.localize)(0,null,d.default.nameLong),u=d.default.privacyStatementUrl?(0,R.localize)(2,null,"https://aka.ms/vscode-telemetry",d.default.privacyStatementUrl):(0,R.localize)(1,null,"https://aka.ms/vscode-telemetry"),l=o.$o?"":(0,R.localize)(3,null),$=(0,R.localize)(4,null),P=(0,R.localize)(5,null),k=(0,R.localize)(6,null),t=(0,R.localize)(7,null),i=`
|       | ${$} | ${P} | ${k} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,r=(0,R.localize)(8,null);return`
${a} ${u} ${l}

&nbsp;

${t}
${i}

&nbsp;

${r}
`}v.$Pm.as(b.$Um.Configuration).registerConfiguration({id:p.$Xk,order:1,type:"object",title:(0,R.localize)(9,null),properties:{[p.$Yk]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,R.localize)(10,null),(0,R.localize)(11,null),(0,R.localize)(12,null),(0,R.localize)(13,null)],markdownDescription:g(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),v.$Pm.as(b.$Um.Configuration).registerConfiguration({id:p.$Xk,order:110,type:"object",title:(0,R.localize)(14,null),properties:{[p.$1k]:{type:"boolean",markdownDescription:d.default.privacyStatementUrl?(0,R.localize)(16,null,d.default.nameLong,d.default.privacyStatementUrl):(0,R.localize)(15,null,d.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,R.localize)(17,null,`\`#${p.$Yk}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(be[242],pe([1,0,24,6,26,32,241,36]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mr=e.$lr=e.$kr=void 0;let b=e.$kr=class extends R.$Bq{constructor(I,v,p,h){super(I,p,h),this.o=v}publicLog(I,v){if(!(this.o<3))return super.publicLog(I,v)}publicLog2(I,v){return this.publicLog(I,v)}publicLogError(I,v){return this.o<2?Promise.resolve(void 0):super.publicLogError(I,v)}publicLogError2(I,v){return this.publicLogError(I,v)}async updateInjectedTelemetryLevel(I){if(I===void 0)throw this.o=0,new Error("Telemetry level cannot be undefined. This will cause infinite looping!");this.o=this.o?Math.min(this.o,I):I,this.o===0&&this.dispose()}};e.$kr=b=Le([Re(2,E.$Rh),Re(3,o.$6i)],b),e.$lr=new class extends L.$Yn{async updateInjectedTelemetryLevel(){}},e.$mr=(0,O.$mh)(A.$Rk)}),define(be[243],pe([1,0,296,240]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kM=void 0;class o extends O.$jM{constructor(R,L,b,d){const I={sendPOST:(v,p)=>{const h={method:"POST",headers:{...v.headers,"Content-Type":"application/json","Content-Length":Buffer.byteLength(v.data)}};try{const m=E.request(v.urlString,h,g=>{g.on("data",function(a){p(g.statusCode??200,g.headers,a.toString())}),g.on("error",function(a){p(0,{})})});m.write(v.data),m.end()}catch{p(0,{})}}};super(R,L,b,d,I)}}e.$kM=o}),define(be[244],pe([1,0,11,235]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class o extends O.default{i(){(0,E.setUnexpectedErrorHandler)(L=>console.error(L));const R=[];process.on("unhandledRejection",(L,b)=>{R.push(b),setTimeout(()=>{const d=R.indexOf(b);d>=0&&b.catch(I=>{R.splice(d,1),(0,E.$1)(I)||(console.warn(`rejected promise not handled within 1 second: ${I}`),I.stack&&console.warn(`stack trace: ${I.stack}`),L&&(0,E.$X)(L))})},1e3)}),process.on("rejectionHandled",L=>{const b=R.indexOf(L);b>=0&&R.splice(b,1)}),process.on("uncaughtException",L=>{(0,E.$W)(L)||(0,E.$X)(L)})}}e.default=o}),define(be[120],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentVariableMutatorType=void 0;var E;(function(O){O[O.Replace=1]="Replace",O[O.Append=2]="Append",O[O.Prepend=3]="Prepend"})(E||(e.EnvironmentVariableMutatorType=E={}))}),define(be[121],pe([1,0,3,120]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2q=void 0;const o=new Map([[O.EnvironmentVariableMutatorType.Append,"APPEND"],[O.EnvironmentVariableMutatorType.Prepend,"PREPEND"],[O.EnvironmentVariableMutatorType.Replace,"REPLACE"]]);class A{constructor(I){this.collections=I,this.a=new Map,this.b=new Map,I.forEach((v,p)=>{this.d(v,p);const h=v.map.entries();let m=h.next();for(;!m.done;){const g=m.value[1],a=m.value[0];let u=this.a.get(a);if(u||(u=[],this.a.set(a,u)),u.length>0&&u[0].type===O.EnvironmentVariableMutatorType.Replace){m=h.next();continue}const l={extensionIdentifier:p,value:g.value,type:g.type,scope:g.scope,variable:g.variable,options:g.options};l.scope||delete l.scope,u.unshift(l),m=h.next()}})}async applyToProcessEnvironment(I,v,p){let h;E.$i&&(h={},Object.keys(I).forEach(m=>h[m.toLowerCase()]=m));for(const[m,g]of this.getVariableMap(v)){const a=E.$i&&h[m.toLowerCase()]||m;for(const u of g){const l=p?await p(u.value):u.value;if(u.options?.applyAtProcessCreation??!0)switch(u.type){case O.EnvironmentVariableMutatorType.Append:I[a]=(I[a]||"")+l;break;case O.EnvironmentVariableMutatorType.Prepend:I[a]=l+(I[a]||"");break;case O.EnvironmentVariableMutatorType.Replace:I[a]=l;break}if(u.options?.applyAtShellIntegration??!1){const $=`VSCODE_ENV_${o.get(u.type)}`;I[$]=(I[$]?I[$]+":":"")+m+"="+this.c(l)}}}}c(I){return I.replaceAll(":","\\x3a")}diff(I,v){const p=new Map,h=new Map,m=new Map;if(I.getVariableMap(v).forEach((g,a)=>{const u=this.getVariableMap(v).get(a),l=L(g,u);l&&p.set(a,l)}),this.getVariableMap(v).forEach((g,a)=>{const u=I.getVariableMap(v).get(a),l=L(g,u);l&&m.set(a,l)}),this.getVariableMap(v).forEach((g,a)=>{const u=I.getVariableMap(v).get(a),l=b(g,u);l&&h.set(a,l)}),!(p.size===0&&h.size===0&&m.size===0))return{added:p,changed:h,removed:m}}getVariableMap(I){const v=new Map;for(const p of this.a.values()){const h=p.filter(m=>R(m,I));h.length>0&&v.set(h[0].variable,h)}return v}getDescriptionMap(I){const v=new Map;for(const p of this.b.values()){const h=p.filter(m=>R(m,I,!0));for(const m of h)v.set(m.extensionIdentifier,m.description)}return v}d(I,v){if(!I.descriptionMap)return;const p=I.descriptionMap.entries();let h=p.next();for(;!h.done;){const m=h.value[1],g=h.value[0];let a=this.b.get(g);a||(a=[],this.b.set(g,a));const u={extensionIdentifier:v,scope:m.scope,description:m.description};u.scope||delete u.scope,a.push(u),h=p.next()}}}e.$2q=A;function R(d,I,v=!1){return d.scope?!!(d.scope.workspaceFolder&&I?.workspaceFolder&&d.scope.workspaceFolder.index===I.workspaceFolder.index):v?I===d.scope:!0}function L(d,I){if(!I)return d;const v=new Set;I.forEach(h=>v.add(h.extensionIdentifier));const p=[];return d.forEach(h=>{v.has(h.extensionIdentifier)||p.push(h)}),p.length===0?void 0:p}function b(d,I){if(!I)return;const v=new Map;I.forEach(h=>v.set(h.extensionIdentifier,h));const p=[];return d.forEach(h=>{const m=v.get(h.extensionIdentifier);m&&(h.type!==m.type||h.value!==m.value||h.scope?.workspaceFolder?.index!==m.scope?.workspaceFolder?.index)&&p.push(m)}),p.length===0?void 0:p}}),define(be[86],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1q=e.$Zq=e.$Yq=e.$Xq=e.$Wq=e.$Vq=void 0;function E(b){return[...b.entries()]}e.$Vq=E;function O(b){return b?[...b.entries()]:[]}e.$Wq=O;function o(b){return new Map(b)}e.$Xq=o;function A(b){return new Map(b??[])}e.$Yq=A;function R(b){return Array.from(b.entries()).map(d=>[d[0],E(d[1].map),O(d[1].descriptionMap)])}e.$Zq=R;function L(b){return new Map(b.map(d=>[d[0],{map:o(d[1]),descriptionMap:A(d[2])}]))}e.$1q=L}),define(be[245],pe([1,0,14,20,5,2,12]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mq=void 0;let L=e.$Mq=class extends A.$kb{constructor(d,I){super(),this.h=I,this.a=0,this.c=new Map,this.f=new Map,this.g=this.B(new o.$5c),this.onCreateRequest=this.g.event,this.b=d===void 0?15e3:d}createRequest(d){return new Promise((I,v)=>{const p=++this.a;this.c.set(p,I),this.g.fire({requestId:p,...d});const h=new O.$bd;(0,E.$sg)(this.b,h.token).then(()=>v(`Request ${p} timed out (${this.b}ms)`)),this.f.set(p,[(0,A.$ib)(()=>h.cancel())])})}acceptReply(d,I){const v=this.c.get(d);v?(this.c.delete(d),(0,A.$fb)(this.f.get(d)||[]),this.f.delete(d),v(I)):this.h.warn(`RequestStore#acceptReply was called without receiving a matching request ${d}`)}};e.$Mq=L=Le([Re(1,R.$Ni)],L)}),define(be[87],pe([1,0,6,64,35]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Iq=e.$Hq=e.$Gq=e.TerminalExitReason=e.ShellIntegrationStatus=e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.ProcessPropertyType=e.$Fq=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.PosixShellType=e.TerminalSettingId=e.TerminalSettingPrefix=e.$Eq=void 0,e.$Eq=new O.$Ki("terminalTabFocusMode",!1,!0);var A;(function(k){k.DefaultProfile="terminal.integrated.defaultProfile.",k.Profiles="terminal.integrated.profiles."})(A||(e.TerminalSettingPrefix=A={}));var R;(function(k){k.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",k.AutomationProfileLinux="terminal.integrated.automationProfile.linux",k.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",k.AutomationProfileWindows="terminal.integrated.automationProfile.windows",k.ProfilesWindows="terminal.integrated.profiles.windows",k.ProfilesMacOs="terminal.integrated.profiles.osx",k.ProfilesLinux="terminal.integrated.profiles.linux",k.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",k.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",k.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",k.UseWslProfiles="terminal.integrated.useWslProfiles",k.TabsDefaultColor="terminal.integrated.tabs.defaultColor",k.TabsDefaultIcon="terminal.integrated.tabs.defaultIcon",k.TabsEnabled="terminal.integrated.tabs.enabled",k.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",k.TabsHideCondition="terminal.integrated.tabs.hideCondition",k.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",k.TabsShowActions="terminal.integrated.tabs.showActions",k.TabsLocation="terminal.integrated.tabs.location",k.TabsFocusMode="terminal.integrated.tabs.focusMode",k.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",k.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",k.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",k.CopyOnSelection="terminal.integrated.copyOnSelection",k.EnableMultiLinePasteWarning="terminal.integrated.enableMultiLinePasteWarning",k.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",k.FontFamily="terminal.integrated.fontFamily",k.FontSize="terminal.integrated.fontSize",k.LetterSpacing="terminal.integrated.letterSpacing",k.LineHeight="terminal.integrated.lineHeight",k.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",k.TabStopWidth="terminal.integrated.tabStopWidth",k.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",k.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",k.BellDuration="terminal.integrated.bellDuration",k.FontWeight="terminal.integrated.fontWeight",k.FontWeightBold="terminal.integrated.fontWeightBold",k.CursorBlinking="terminal.integrated.cursorBlinking",k.CursorStyle="terminal.integrated.cursorStyle",k.CursorWidth="terminal.integrated.cursorWidth",k.Scrollback="terminal.integrated.scrollback",k.DetectLocale="terminal.integrated.detectLocale",k.DefaultLocation="terminal.integrated.defaultLocation",k.GpuAcceleration="terminal.integrated.gpuAcceleration",k.TerminalTitleSeparator="terminal.integrated.tabs.separator",k.TerminalTitle="terminal.integrated.tabs.title",k.TerminalDescription="terminal.integrated.tabs.description",k.RightClickBehavior="terminal.integrated.rightClickBehavior",k.Cwd="terminal.integrated.cwd",k.ConfirmOnExit="terminal.integrated.confirmOnExit",k.ConfirmOnKill="terminal.integrated.confirmOnKill",k.EnableBell="terminal.integrated.enableBell",k.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",k.AllowChords="terminal.integrated.allowChords",k.AllowMnemonics="terminal.integrated.allowMnemonics",k.TabFocusMode="terminal.integrated.tabFocusMode",k.EnvMacOs="terminal.integrated.env.osx",k.EnvLinux="terminal.integrated.env.linux",k.EnvWindows="terminal.integrated.env.windows",k.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",k.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",k.ShowExitAlert="terminal.integrated.showExitAlert",k.SplitCwd="terminal.integrated.splitCwd",k.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",k.WordSeparators="terminal.integrated.wordSeparators",k.EnableFileLinks="terminal.integrated.enableFileLinks",k.UnicodeVersion="terminal.integrated.unicodeVersion",k.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",k.LocalEchoEnabled="terminal.integrated.localEchoEnabled",k.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",k.LocalEchoStyle="terminal.integrated.localEchoStyle",k.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",k.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",k.CustomGlyphs="terminal.integrated.customGlyphs",k.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",k.InheritEnv="terminal.integrated.inheritEnv",k.ShowLinkHover="terminal.integrated.showLinkHover",k.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",k.AutoReplies="terminal.integrated.autoReplies",k.ShellIntegrationEnabled="terminal.integrated.shellIntegration.enabled",k.ShellIntegrationShowWelcome="terminal.integrated.shellIntegration.showWelcome",k.ShellIntegrationDecorationsEnabled="terminal.integrated.shellIntegration.decorationsEnabled",k.ShellIntegrationCommandHistory="terminal.integrated.shellIntegration.history",k.ShellIntegrationSuggestEnabled="terminal.integrated.shellIntegration.suggestEnabled",k.EnableImages="terminal.integrated.enableImages",k.SmoothScrolling="terminal.integrated.smoothScrolling",k.DeveloperPtyHostLatency="terminal.integrated.developer.ptyHost.latency",k.DeveloperPtyHostStartupDelay="terminal.integrated.developer.ptyHost.startupDelay"})(R||(e.TerminalSettingId=R={}));var L;(function(k){k.PowerShell="pwsh",k.Bash="bash",k.Fish="fish",k.Sh="sh",k.Csh="csh",k.Ksh="ksh",k.Zsh="zsh"})(L||(e.PosixShellType=L={}));var b;(function(k){k.CommandPrompt="cmd",k.PowerShell="pwsh",k.Wsl="wsl",k.GitBash="gitbash"})(b||(e.WindowsShellType=b={}));var d;(function(k){k[k.Api=0]="Api",k[k.Process=1]="Process",k[k.Sequence=2]="Sequence",k[k.Config=3]="Config"})(d||(e.TitleEventSource=d={}));var I;(function(k){k.LocalPty="localPty",k.PtyHost="ptyHost",k.PtyHostWindow="ptyHostWindow",k.Logger="logger",k.Heartbeat="heartbeat"})(I||(e.TerminalIpcChannels=I={})),e.$Fq=(0,E.$lh)("ptyService");var v;(function(k){k.Cwd="cwd",k.InitialCwd="initialCwd",k.FixedDimensions="fixedDimensions",k.Title="title",k.ShellType="shellType",k.HasChildProcesses="hasChildProcesses",k.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",k.OverrideDimensions="overrideDimensions",k.FailedShellIntegrationActivation="failedShellIntegrationActivation",k.UsedShellIntegrationInjection="usedShellIntegrationInjection"})(v||(e.ProcessPropertyType=v={}));var p;(function(k){k[k.BeatInterval=5e3]="BeatInterval",k[k.ConnectingBeatInterval=2e4]="ConnectingBeatInterval",k[k.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",k[k.SecondWaitMultiplier=1]="SecondWaitMultiplier",k[k.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(p||(e.HeartbeatConstants=p={}));var h;(function(k){k[k.Panel=1]="Panel",k[k.Editor=2]="Editor"})(h||(e.TerminalLocation=h={}));var m;(function(k){k.TerminalView="view",k.Editor="editor"})(m||(e.TerminalLocationString=m={}));var g;(function(k){k[k.GraceTime=6e4]="GraceTime",k[k.ShortGraceTime=6e3]="ShortGraceTime"})(g||(e.LocalReconnectConstants=g={}));var a;(function(k){k[k.HighWatermarkChars=1e5]="HighWatermarkChars",k[k.LowWatermarkChars=5e3]="LowWatermarkChars",k[k.CharCountAckSize=5e3]="CharCountAckSize"})(a||(e.FlowControlConstants=a={}));var u;(function(k){k.GitBash="Git Bash",k.Pwsh="PowerShell"})(u||(e.ProfileSource=u={}));var l;(function(k){k[k.Off=0]="Off",k[k.FinalTerm=1]="FinalTerm",k[k.VSCode=2]="VSCode"})(l||(e.ShellIntegrationStatus=l={}));var $;(function(k){k[k.Unknown=0]="Unknown",k[k.Shutdown=1]="Shutdown",k[k.Process=2]="Process",k[k.User=3]="User",k[k.Extension=4]="Extension"})($||(e.TerminalExitReason=$={})),e.$Gq={Backend:"workbench.contributions.terminal.processBackend"};class P{constructor(){this.a=new Map}get backends(){return this.a}registerTerminalBackend(t){const i=this.b(t.remoteAuthority);if(this.a.has(i))throw new Error(`A terminal backend with remote authority '${i}' was already registered.`);this.a.set(i,t)}getTerminalBackend(t){return this.a.get(this.b(t))}b(t){return t?.toLowerCase()??""}}o.$Pm.add(e.$Gq.Backend,new P),e.$Hq=(0,E.$lh)("localPtyService"),e.$Iq=(0,E.$lh)("terminalLogService")}),define(be[246],pe([1,0,3]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4L=e.$3L=e.$2L=void 0;function O(R){let L=R;L.includes("\\")&&(L=L.replace(/\\/g,"\\\\"));const b=/[\`\$\|\&\>\~\#\!\^\*\;\<\"\']/g;return L=L.replace(b,""),`'${L}'`}e.$2L=O;function o(R,L,b){if(!R)return"";if(!L)return R;L.match(/[\/\\]$/)&&(L=L.slice(0,L.length-1));const d=R.replace(/\\/g,"/").toLowerCase(),I=L.replace(/\\/g,"/").toLowerCase();return d.includes(I)?`~${b}${R.slice(L.length+1)}`:R}e.$3L=o;function A(R){return R.match(/^['"].*['"]$/)&&(R=R.substring(1,R.length-1)),E.OS===1&&R&&R[1]===":"?R[0].toUpperCase()+R.substring(1):R}e.$4L=A}),define(be[247],pe([1,0,48,4,192,98]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qq=e.$Pq=e.$Oq=e.$Nq=void 0;function R(p,h){const m=[{name:null,description:(0,o.localize)(0,null)}];return m.push(...p.map(g=>({name:g.profileName,description:L(g)}))),h&&m.push(...h.map(g=>({name:g.title,description:b(g)}))),{values:m.map(g=>g.name),markdownDescriptions:m.map(g=>g.description)}}e.$Nq=R;function L(p){let h=`$(${A.ThemeIcon.isThemeIcon(p.icon)?p.icon.id:p.icon?p.icon:E.$yj.terminal.id}) ${p.profileName}
- path: ${p.path}`;return p.args&&(typeof p.args=="string"?h+=`
- args: "${p.args}"`:h+=`
- args: [${p.args.length===0?"":`'${p.args.join("','")}'`}]`),p.overrideName!==void 0&&(h+=`
- overrideName: ${p.overrideName}`),p.color&&(h+=`
- color: ${p.color}`),p.env&&(h+=`
- env: ${JSON.stringify(p.env)}`),h}function b(p){return`$(${A.ThemeIcon.isThemeIcon(p.icon)?p.icon.id:p.icon?p.icon:E.$yj.terminal.id}) ${p.title}
- extensionIdentifier: ${p.extensionIdentifier}`}function d(p,h){if(!p&&!h)return!0;if(typeof p=="string"&&typeof h=="string")return p===h;if(Array.isArray(p)&&Array.isArray(h)){if(p.length!==h.length)return!1;for(let m=0;m<p.length;m++)if(p[m]!==h[m])return!1;return!0}return!1}e.$Oq=d;function I(p,h){if(!p&&!h)return!0;if(!p||!h)return!1;if(A.ThemeIcon.isThemeIcon(p)&&A.ThemeIcon.isThemeIcon(h))return p.id===h.id&&p.color===h.color;if(typeof p=="object"&&"light"in p&&"dark"in p&&typeof h=="object"&&"light"in h&&"dark"in h){const m=p,g=h;if((O.URI.isUri(m.light)||v(m.light))&&(O.URI.isUri(m.dark)||v(m.dark))&&(O.URI.isUri(g.light)||v(g.light))&&(O.URI.isUri(g.dark)||v(g.dark)))return m.light.path===g.light.path&&m.dark.path===g.dark.path}if(O.URI.isUri(p)&&O.URI.isUri(h)||v(p)||v(h)){const m=p,g=h;return m.path===g.path&&m.scheme===g.scheme}return!1}e.$Pq=I;function v(p){return p?typeof p.path=="string"&&typeof p.scheme=="string":!1}e.$Qq=v}),define(be[248],pe([1,0,48,3,191,55,35,247]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Uq=e.$Tq=e.$Sq=e.$Rq=void 0,e.$Rq={type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},e.$Sq={type:"string",enum:Array.from((0,E.$xj)(),a=>a.id),markdownEnumDescriptions:Array.from((0,E.$xj)(),a=>`$(${a.id})`)};const b={args:{description:(0,o.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,o.localize)(1,null),type:"boolean"},icon:{description:(0,o.localize)(2,null),...e.$Sq},color:{description:(0,o.localize)(3,null),...e.$Rq},env:{markdownDescription:(0,o.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},d={type:"object",required:["path"],properties:{path:{description:(0,o.localize)(5,null),type:["string","array"],items:{type:"string"}},...b}},I={type:"object",required:["path"],properties:{path:{description:(0,o.localize)(6,null),type:["string"],items:{type:"string"}},...b}};function v(a){const u=a===2?"linux":a===1?"osx":"windows";return(0,o.localize)(7,null,(0,O.$h)(a),'```json\n"terminal.integrated.profile.'+u+'": {\n  "bash": null\n}\n```',"[","](https://code.visualstudio.com/docs/terminal/profiles)")}const p={id:"terminal",order:100,title:(0,o.localize)(8,null),type:"object",properties:{["terminal.integrated.automationProfile.linux"]:{restricted:!0,markdownDescription:(0,o.localize)(9,null),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.osx"]:{restricted:!0,markdownDescription:(0,o.localize)(10,null),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.windows"]:{restricted:!0,markdownDescription:(0,o.localize)(11,null,"`terminal.integrated.automationShell.windows`"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.profiles.windows"]:{restricted:!0,markdownDescription:v(3),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,o.localize)(12,null),enum:["PowerShell","Git Bash"]},...b}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,o.localize)(13,null),type:"string"},id:{description:(0,o.localize)(14,null),type:"string"},title:{description:(0,o.localize)(15,null),type:"string"},...b}},{type:"null"},d]}},["terminal.integrated.profiles.osx"]:{restricted:!0,markdownDescription:v(1),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,o.localize)(16,null),type:"string"},id:{description:(0,o.localize)(17,null),type:"string"},title:{description:(0,o.localize)(18,null),type:"string"},...b}},{type:"null"},d]}},["terminal.integrated.profiles.linux"]:{restricted:!0,markdownDescription:v(2),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,o.localize)(19,null),type:"string"},id:{description:(0,o.localize)(20,null),type:"string"},title:{description:(0,o.localize)(21,null),type:"string"},...b}},{type:"null"},d]}},["terminal.integrated.useWslProfiles"]:{description:(0,o.localize)(22,null),type:"boolean",default:!0},["terminal.integrated.inheritEnv"]:{scope:1,description:(0,o.localize)(23,null),type:"boolean",default:!0},["terminal.integrated.persistentSessionScrollback"]:{scope:1,markdownDescription:(0,o.localize)(24,null),type:"number",default:100},["terminal.integrated.showLinkHover"]:{scope:1,description:(0,o.localize)(25,null),type:"boolean",default:!0},["terminal.integrated.ignoreProcessNames"]:{description:(0,o.localize)(26,null,"`terminal.integrated.confirmOnKill`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function h(){R.$Pm.as(A.$Um.Configuration).registerConfiguration(p),g()}e.$Tq=h;let m;function g(a,u){const l=R.$Pm.as(A.$Um.Configuration);let $;a&&($=(0,L.$Nq)(a?.profiles,u));const P=m;m={id:"terminal",order:100,title:(0,o.localize)(27,null),type:"object",properties:{["terminal.integrated.defaultProfile.linux"]:{restricted:!0,markdownDescription:(0,o.localize)(28,null),type:["string","null"],default:null,enum:a?.os===3?$?.values:void 0,markdownEnumDescriptions:a?.os===3?$?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.osx"]:{restricted:!0,markdownDescription:(0,o.localize)(29,null),type:["string","null"],default:null,enum:a?.os===2?$?.values:void 0,markdownEnumDescriptions:a?.os===2?$?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.windows"]:{restricted:!0,markdownDescription:(0,o.localize)(30,null),type:["string","null"],default:null,enum:a?.os===1?$?.values:void 0,markdownEnumDescriptions:a?.os===1?$?.markdownDescriptions:void 0}}},l.updateConfigurations({add:[m],remove:P?[P]:[]})}e.$Uq=g}),define(be[249],pe([1,0,2,13,106,25,107]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EM=void 0;let L=e.$EM=class{constructor(d,I){this.a=d,this.b=I}start(d){const I={serverName:"Pty Host",args:["--type=ptyHost","--logsPath",this.b.logsHome.fsPath],env:{VSCODE_LAST_PTY_ID:d,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this.a.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this.a.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this.a.scrollback}},v=(0,R.$Ul)(this.b.args,this.b.isBuilt);v&&(v.break&&v.port?I.debugBrk=v.port:!v.break&&v.port&&(I.debug=v.port));const p=new o.$Dp(O.$1e.asFileUri("bootstrap-fork").fsPath,I),h=new E.$jb;return h.add(p),{client:p,store:h,onDidProcessExit:p.onDidProcessExit}}};e.$EM=L=Le([Re(1,A.$sh)],L)}),define(be[250],pe([1,0,29,13,21,7,3,30,17,8,23,120,86,121]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5q=e.$4q=e.$3q=void 0;function m(){const n=/(\d+)\.(\d+)\.(\d+)/g.exec(E.release());let s=0;return n&&n.length===4&&(s=parseInt(n[3])),s}e.$3q=m;async function g(n,s,c,f=L.env,y=I.Promises.exists){if(A.$0b(n))return await y(n)?n:void 0;if(s===void 0&&(s=L.cwd()),A.$bc(n)!=="."){const M=A.$$b(s,n);return await y(M)?M:void 0}const D=(0,o.$Km)(f,"PATH");if(c===void 0&&(0,d.$ge)(D)&&(c=D.split(A.$ic)),c===void 0||c.length===0){const M=A.$$b(s,n);return await y(M)?M:void 0}for(const M of c){let X;if(A.$0b(M)?X=A.$$b(M,n):X=A.$$b(s,M,n),await y(X))return X;if(R.$i){let ne=X+".com";if(await y(ne)||(ne=X+".exe",await y(ne)))return ne}}const C=A.$$b(s,n);return await y(C)?C:void 0}e.$4q=g;function a(n,s,c,f,y){const w=R.$i&&(!s.windowsEnableConpty||m()<18309);if(!s.shellIntegration.enabled||!n.executable||n.isFeatureTerminal||n.hideFromUser||n.ignoreShellIntegration||w)return;const D=n.args,C=L.$5b==="win32"?A.$cc(n.executable).toLowerCase():A.$cc(n.executable),M=A.$bc(O.$1e.asFileUri("").fsPath);let X;const ne={VSCODE_INJECTION:"1"};if(s.shellIntegration.nonce&&(ne.VSCODE_NONCE=s.shellIntegration.nonce),R.$i){if(C==="pwsh.exe"||C==="powershell.exe")return!D||i(D)?X=$.get(l.WindowsPwsh):t(D)&&(X=$.get(l.WindowsPwshLogin)),X?(X=[...X],X[X.length-1]=(0,b.$id)(X[X.length-1],M,""),{newArgs:X,envMixin:ne}):void 0;f.warn(`Shell integration cannot be enabled for executable "${n.executable}" and args`,n.args);return}switch(C){case"bash":return!D||D.length===0?X=$.get(l.Bash):r(D)&&(ne.VSCODE_SHELL_LOGIN="1",u(s,ne),X=$.get(l.Bash)),X?(X=[...X],X[X.length-1]=(0,b.$id)(X[X.length-1],M),{newArgs:X,envMixin:ne}):void 0;case"fish":{const he=c?.XDG_DATA_DIRS??"/usr/local/share:/usr/share",ue=A.$$b(M,"out/vs/workbench/contrib/terminal/browser/media/fish_xdg_data");return ne.XDG_DATA_DIRS=`${he}:${ue}`,u(s,ne),{newArgs:void 0,envMixin:ne}}case"pwsh":return!D||i(D)?X=$.get(l.Pwsh):t(D)&&(X=$.get(l.PwshLogin)),X?(X=[...X],X[X.length-1]=(0,b.$id)(X[X.length-1],M,""),{newArgs:X,envMixin:ne}):void 0;case"zsh":{if(!D||D.length===0?X=$.get(l.Zsh):r(D)?(X=$.get(l.ZshLogin),u(s,ne)):(D===$.get(l.Zsh)||D===$.get(l.ZshLogin))&&(X=D),!X)return;X=[...X],X[X.length-1]=(0,b.$id)(X[X.length-1],M);let he;try{he=E.userInfo().username}catch{he="unknown"}const ue=A.$$b(E.tmpdir(),`${he}-${y.applicationName}-zsh`);ne.ZDOTDIR=ue;const le=c?.ZDOTDIR??E.homedir()??"~";ne.USER_ZDOTDIR=le;const ge=[];return ge.push({source:A.$$b(M,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-rc.zsh"),dest:A.$$b(ue,".zshrc")}),ge.push({source:A.$$b(M,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-profile.zsh"),dest:A.$$b(ue,".zprofile")}),ge.push({source:A.$$b(M,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-env.zsh"),dest:A.$$b(ue,".zshenv")}),ge.push({source:A.$$b(M,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-login.zsh"),dest:A.$$b(ue,".zlogin")}),{newArgs:X,envMixin:ne,filesToCopy:ge}}}f.warn(`Shell integration cannot be enabled for executable "${n.executable}" and args`,n.args)}e.$5q=a;function u(n,s){if(R.$j&&n.environmentVariableCollections){const c=(0,p.$1q)(n.environmentVariableCollections),y=new h.$2q(c).getVariableMap({workspaceFolder:n.workspaceFolder}).get("PATH"),w=[];if(y)for(const D of y)D.type===v.EnvironmentVariableMutatorType.Prepend&&w.push(D.value);w.length>0&&(s.VSCODE_PATH_PREFIX=w.join(""))}}var l;(function(n){n.WindowsPwsh="windows-pwsh",n.WindowsPwshLogin="windows-pwsh-login",n.Pwsh="pwsh",n.PwshLogin="pwsh-login",n.Zsh="zsh",n.ZshLogin="zsh-login",n.Bash="bash"})(l||(l={}));const $=new Map;$.set(l.WindowsPwsh,["-noexit","-command",'try { . "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1" } catch {}{1}']),$.set(l.WindowsPwshLogin,["-l","-noexit","-command",'try { . "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1" } catch {}{1}']),$.set(l.Pwsh,["-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"{1}']),$.set(l.PwshLogin,["-l","-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"']),$.set(l.Zsh,["-i"]),$.set(l.ZshLogin,["-il"]),$.set(l.Bash,["--init-file","{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration-bash.sh"]);const P=["-login","-l"],k=["-nol","-nologo"];function t(n){return typeof n=="string"?P.includes(n.toLowerCase()):n.length===1&&P.includes(n[0].toLowerCase())||n.length===2&&(P.includes(n[0].toLowerCase())||P.includes(n[1].toLowerCase()))&&(k.includes(n[0].toLowerCase())||k.includes(n[1].toLowerCase()))}function i(n){return typeof n=="string"?k.includes(n.toLowerCase()):n.length===0||n?.length===1&&k.includes(n[0].toLowerCase())}function r(n){return n==="string"&&P.includes(n.toLowerCase())||typeof n!="string"&&n.length===1&&P.includes(n[0].toLowerCase())}}),define(be[251],pe([1,0,52,48,7,3,8,23,102,250,74]),function(ae,e,E,O,o,A,R,L,b,d,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6q=void 0;let v,p=!0;function h(s,c,f,y,w=process.env,D,C,M,X){return D=D||{existsFile:L.SymlinkSupport.existsFile,readFile:L.Promises.readFile},A.$i?m(f,D,w,C,y.getValue("terminal.integrated.useWslProfiles")!==!1,s&&typeof s=="object"?{...s}:y.getValue("terminal.integrated.profiles.windows"),typeof c=="string"?c:y.getValue("terminal.integrated.defaultProfile.windows"),X,M):i(D,C,f,s&&typeof s=="object"?{...s}:y.getValue(A.$k?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof c=="string"?c:y.getValue(A.$k?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),X,M,w)}e.$6q=h;async function m(s,c,f,y,w,D,C,M,X){const ne=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),he=`${process.env.windir}\\${ne?"Sysnative":"System32"}`;let ue=!1;(0,d.$3q)()>=16299&&(ue=!0),await l(M);const le=new Map;if(s){le.set("PowerShell",{source:"PowerShell",icon:O.$yj.terminalPowershell,isAutoDetected:!0}),le.set("Windows PowerShell",{path:`${he}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:O.$yj.terminalPowershell,isAutoDetected:!0}),le.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),le.set("Command Prompt",{path:`${he}\\cmd.exe`,icon:O.$yj.terminalCmd,isAutoDetected:!0}),le.set("Cygwin",{path:[{path:`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,isUnsafe:!0},{path:`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`,isUnsafe:!0}],args:["--login"],isAutoDetected:!0}),le.set("bash (MSYS2)",{path:[{path:`${process.env.HOMEDRIVE}\\msys64\\usr\\bin\\bash.exe`,isUnsafe:!0}],args:["--login","-i"],icon:O.$yj.terminalBash,isAutoDetected:!0});const se=`${process.env.CMDER_ROOT||`${process.env.HOMEDRIVE}\\cmder`}\\vendor\\bin\\vscode_init.cmd`;le.set("Cmder",{path:`${he}\\cmd.exe`,args:["/K",se],requiresPath:process.env.CMDER_ROOT?se:{path:se,isUnsafe:!0},isAutoDetected:!0})}r(D,le);const ge=await g(le.entries(),C,c,f,y,X);if(s||w)try{const se=await k(`${he}\\${ue?"wsl":"bash"}.exe`,C);for(const J of se)(!D||!(J.profileName in D))&&ge.push(J)}catch{p&&(y?.info("WSL is not installed, so could not detect WSL profiles"),p=!1)}return ge}async function g(s,c,f,y=process.env,w,D){const C=[];for(const[M,X]of s)C.push(a(M,X,c,f,y,w,D));return(await Promise.all(C)).filter(M=>!!M)}async function a(s,c,f,y,w=process.env,D,C){if(c===null)return;let M,X,ne;if("source"in c&&!("path"in c)){const ge=v?.get(c.source);if(!ge)return;M=ge.paths,X=c.args||ge.args,c.icon?ne=u(c.icon):ge.icon&&(ne=ge.icon)}else M=Array.isArray(c.path)?c.path:[c.path],X=A.$i||Array.isArray(c.args)?c.args:void 0,ne=u(c.icon);let he;if(C){const ge=M.map(J=>typeof J=="string"?J:J.path),se=await C(ge);he=new Array(M.length);for(let J=0;J<M.length;J++)typeof M[J]=="string"?he[J]=se[J]:he[J]={path:se[J],isUnsafe:!0}}else he=M.slice();let ue;if(c.requiresPath){let ge;if((0,R.$ge)(c.requiresPath)?ge=c.requiresPath:(ge=c.requiresPath.path,c.requiresPath.isUnsafe&&(ue=ge)),!await y.existsFile(ge))return}const le=await n(s,f,he,y,w,X,c.env,c.overrideName,c.isAutoDetected,ue);if(!le){D?.debug("Terminal profile not validated",s,M);return}return le.isAutoDetected=c.isAutoDetected,le.icon=ne,le.color=c.color,le}function u(s){return typeof s=="string"?{id:s}:s}async function l(s){if(v&&!s)return;const[c,f]=await Promise.all([$(),s||P()]);v=new Map,v.set("Git Bash",{profileName:"Git Bash",paths:c,args:["--login","-i"]}),v.set("PowerShell",{profileName:"PowerShell",paths:f,icon:O.$yj.terminalPowershell})}async function $(){const s=new Set,c=await(0,d.$4q)("git.exe");if(c){const w=(0,I.dirname)(c);s.add((0,I.resolve)(w,"../.."))}function f(w,D){D&&w.add(D)}f(s,process.env.ProgramW6432),f(s,process.env.ProgramFiles),f(s,process.env["ProgramFiles(X86)"]),f(s,`${process.env.LocalAppData}\\Program`);const y=[];for(const w of s)y.push(`${w}\\Git\\bin\\bash.exe`,`${w}\\Git\\usr\\bin\\bash.exe`,`${w}\\usr\\bin\\bash.exe`);return y.push(`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`),y}async function P(){const s=[];for await(const c of(0,b.$_k)())s.push(c.exePath);return s}async function k(s,c){const f=[],y=await new Promise((C,M)=>{E.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(X,ne)=>{if(X)return M("Problem occurred when getting wsl distros");C(ne)})});if(!y)return[];const w=new RegExp(/[\r?\n]/),D=y.split(w).filter(C=>C.trim().length>0&&C!=="");for(const C of D){if(C===""||C.startsWith("docker-desktop"))continue;const M=`${C} (WSL)`,X={profileName:M,path:s,args:["-d",`${C}`],isDefault:M===c,icon:t(C),isAutoDetected:!1};f.push(X)}return f}function t(s){return s.includes("Ubuntu")?O.$yj.terminalUbuntu:s.includes("Debian")?O.$yj.terminalDebian:O.$yj.terminalLinux}async function i(s,c,f,y,w,D,C,M){const X=new Map;if(f){const ne=(await s.readFile("/etc/shells")).toString(),he=(D||ne.split(`
`)).map(le=>{const ge=le.indexOf("#");return ge===-1?le:le.substring(0,ge)}).filter(le=>le.trim().length>0),ue=new Map;for(const le of he){let ge=(0,o.$cc)(le),se=ue.get(ge)||0;se++,se>1&&(ge=`${ge} (${se})`),ue.set(ge,se),X.set(ge,{path:le,isAutoDetected:!0})}}return r(y,X),await g(X.entries(),w,s,M,c,C)}function r(s,c){if(s)for(const[f,y]of Object.entries(s))y===null||typeof y!="object"||!("path"in y)&&!("source"in y)?c.delete(f):(y.icon=y.icon||c.get(f)?.icon,c.set(f,y))}async function n(s,c,f,y,w,D,C,M,X,ne){if(f.length===0)return Promise.resolve(void 0);const he=f.shift();if(he==="")return n(s,c,f,y,w,D,C,M,X);const ue=typeof he!="string"&&he.isUnsafe,le=typeof he=="string"?he:he.path,ge={profileName:s,path:le,args:D,env:C,overrideName:M,isAutoDetected:X,isDefault:s===c,isUnsafePath:ue,requiresUnsafePath:ne};if((0,o.$cc)(le)===le){const J=w.PATH?w.PATH.split(o.$ic):void 0,te=await(0,d.$4q)(le,void 0,J,void 0,y.existsFile);return te?(ge.path=te,ge.isFromPath=!0,ge):n(s,c,f,y,w,D)}return await y.existsFile((0,o.$9b)(le))?ge:n(s,c,f,y,w,D,C,M,X)}}),define(be[252],pe([1,0,5,2,3,42,24,12,111,84,245,87,248,251]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7q=void 0;var m;(function(u){u[u.MaxRestarts=5]="MaxRestarts"})(m||(m={}));let g=0,a=e.$7q=class extends O.$kb{get c(){return this.g(),this.a}get f(){return this.g(),this.b}g(){this.a||([this.a,this.b]=this.O())}constructor(l,$,P,k){super(),this.G=l,this.H=$,this.I=P,this.J=k,this.i=!1,this.j=0,this.k=!0,this.l=!1,this.p=this.B(new E.$5c),this.onPtyHostExit=this.p.event,this.r=this.B(new E.$5c),this.onPtyHostStart=this.r.event,this.s=this.B(new E.$5c),this.onPtyHostUnresponsive=this.s.event,this.t=this.B(new E.$5c),this.onPtyHostResponsive=this.t.event,this.u=this.B(new E.$5c),this.onPtyHostRequestResolveVariables=this.u.event,this.v=this.B(new E.$5c),this.onProcessData=this.v.event,this.w=this.B(new E.$5c),this.onProcessReady=this.w.event,this.y=this.B(new E.$5c),this.onProcessReplay=this.y.event,this.z=this.B(new E.$5c),this.onProcessOrphanQuestion=this.z.event,this.C=this.B(new E.$5c),this.onDidRequestDetach=this.C.event,this.D=this.B(new E.$5c),this.onDidChangeProperty=this.D.event,this.F=this.B(new E.$5c),this.onProcessExit=this.F.event,(0,p.$Tq)(),this.B((0,O.$ib)(()=>this.P())),this.h=this.B(new I.$Mq(void 0,this.I)),this.h.onCreateRequest(this.u.fire,this.u),this.G.onBeforeWindowConnection?E.Event.once(this.G.onBeforeWindowConnection)(()=>this.g()):this.g(),this.G.onWillShutdown?.(()=>this.i=!0)}get L(){return this.H.getValue("terminal.integrated.ignoreProcessNames")}async M(){return this.f.refreshIgnoreProcessNames?.(this.L)}async N(){if(o.$i)return process.env;try{return await(0,d.$ul)(this.H,this.I,{_:[]},process.env)}catch(l){return this.I.error("ptyHost was unable to resolve shell environment",l),{}}}O(){const l=this.G.start(g),$=l.client;this.r.fire(),A.ProxyChannel.toService($.getChannel(v.TerminalIpcChannels.Heartbeat)).onBeat(()=>this.Q()),this.Q(!0),this.B(l.onDidProcessExit(t=>{this.p.fire(t.code),!this.i&&!this.l&&(this.j<=m.MaxRestarts?(this.I.error(`ptyHost terminated unexpectedly with code ${t.code}`),this.j++,this.restartPtyHost()):this.I.error(`ptyHost terminated unexpectedly with code ${t.code}, giving up`))}));const k=A.ProxyChannel.toService($.getChannel(v.TerminalIpcChannels.PtyHost));return this.B(k.onProcessData(t=>this.v.fire(t))),this.B(k.onProcessReady(t=>this.w.fire(t))),this.B(k.onProcessExit(t=>this.F.fire(t))),this.B(k.onDidChangeProperty(t=>this.D.fire(t))),this.B(k.onProcessReplay(t=>this.y.fire(t))),this.B(k.onProcessOrphanQuestion(t=>this.z.fire(t))),this.B(k.onDidRequestDetach(t=>this.C.fire(t))),this.B(new b.$Lq(this.J,$.getChannel(v.TerminalIpcChannels.Logger))),this.a=l,this.b=k,this.B(this.H.onDidChangeConfiguration(async t=>{t.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this.M()})),this.M(),[l,k]}dispose(){this.l=!0,super.dispose()}async createProcess(l,$,P,k,t,i,r,n,s,c,f){const y=setTimeout(()=>this.U(),v.HeartbeatConstants.CreateProcessTimeout),w=await this.f.createProcess(l,$,P,k,t,i,r,n,s,c,f);return clearTimeout(y),g=Math.max(g,w),w}updateTitle(l,$,P){return this.f.updateTitle(l,$,P)}updateIcon(l,$,P,k){return this.f.updateIcon(l,$,P,k)}attachToProcess(l){return this.f.attachToProcess(l)}detachFromProcess(l,$){return this.f.detachFromProcess(l,$)}listProcesses(){return this.f.listProcesses()}getPerformanceMarks(){return this.f.getPerformanceMarks()}reduceConnectionGraceTime(){return this.f.reduceConnectionGraceTime()}start(l){return this.f.start(l)}shutdown(l,$){return this.f.shutdown(l,$)}input(l,$){return this.f.input(l,$)}processBinary(l,$){return this.f.processBinary(l,$)}resize(l,$,P){return this.f.resize(l,$,P)}clearBuffer(l){return this.f.clearBuffer(l)}acknowledgeDataEvent(l,$){return this.f.acknowledgeDataEvent(l,$)}setUnicodeVersion(l,$){return this.f.setUnicodeVersion(l,$)}getInitialCwd(l){return this.f.getInitialCwd(l)}getCwd(l){return this.f.getCwd(l)}getLatency(l){return this.f.getLatency(l)}orphanQuestionReply(l){return this.f.orphanQuestionReply(l)}installAutoReply(l,$){return this.f.installAutoReply(l,$)}uninstallAllAutoReplies(){return this.f.uninstallAllAutoReplies()}uninstallAutoReply(l){return this.f.uninstallAutoReply(l)}getDefaultSystemShell(l){return this.f.getDefaultSystemShell(l)}async getProfiles(l,$,P,k=!1){const t=await this.N();return(0,h.$6q)($,P,k,this.H,t,void 0,this.I,this.X.bind(this,l))}getEnvironment(){return this.f.getEnvironment()}getWslPath(l,$){return this.f.getWslPath(l,$)}getRevivedPtyNewId(l){return this.f.getRevivedPtyNewId(l)}setTerminalLayoutInfo(l){return this.f.setTerminalLayoutInfo(l)}async getTerminalLayoutInfo(l){return await this.f.getTerminalLayoutInfo(l)}async requestDetachInstance(l,$){return this.f.requestDetachInstance(l,$)}async acceptDetachInstanceReply(l,$){return this.f.acceptDetachInstanceReply(l,$)}async freePortKillProcess(l){if(!this.f.freePortKillProcess)throw new Error("freePortKillProcess does not exist on the pty proxy");return this.f.freePortKillProcess(l)}async serializeTerminalState(l){return this.f.serializeTerminalState(l)}async reviveTerminalProcesses(l,$){return this.f.reviveTerminalProcesses(l,$)}async refreshProperty(l,$){return this.f.refreshProperty(l,$)}async updateProperty(l,$,P){return this.f.updateProperty(l,$,P)}async restartPtyHost(){this.P(),this.k=!0,this.O()}P(){this.f.shutdownAll?.(),this.c.store.dispose()}Q(l){this.W(),this.m=setTimeout(()=>this.R(),l?v.HeartbeatConstants.ConnectingBeatInterval:v.HeartbeatConstants.BeatInterval*v.HeartbeatConstants.FirstWaitMultiplier),this.k||(this.k=!0,this.t.fire())}R(){this.I.warn(`No ptyHost heartbeat after ${v.HeartbeatConstants.BeatInterval*v.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this.m=void 0,this.n=setTimeout(()=>this.S(),v.HeartbeatConstants.BeatInterval*v.HeartbeatConstants.SecondWaitMultiplier)}S(){this.I.error(`No ptyHost heartbeat after ${(v.HeartbeatConstants.BeatInterval*v.HeartbeatConstants.FirstWaitMultiplier+v.HeartbeatConstants.BeatInterval*v.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this.n=void 0,this.k&&(this.k=!1,this.s.fire())}U(){this.W(),this.I.error(`No ptyHost response to createProcess after ${v.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this.k&&(this.k=!1,this.s.fire())}W(){this.m&&(clearTimeout(this.m),this.m=void 0),this.n&&(clearTimeout(this.n),this.n=void 0)}X(l,$){return this.h.createRequest({workspaceId:l,originalText:$})}async acceptPtyHostResolvedVariables(l,$){this.h.acceptReply(l,$)}};e.$7q=a=Le([Re(1,R.$Rh),Re(2,L.$Ni),Re(3,L.$Oi)],a)}),define(be[34],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lk=void 0,e.$lk=(0,E.$lh)("IUriIdentityService")}),define(be[122],pe([1,0,34,210,16,19,143,5,2]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$q=void 0;class d{constructor(p){this.uri=p,this.time=d._clock++}touch(){return this.time=d._clock++,this}}d._clock=0;let I=e.$$q=class{constructor(p){this.g=p,this.c=new b.$jb,this.f=2**16;const h=new Map,m=g=>{let a=h.get(g.scheme);return a===void 0&&(a=p.hasProvider(g)&&!this.g.hasCapability(g,1024),h.set(g.scheme,a)),a};this.c.add(L.Event.any(p.onDidChangeFileSystemProviderRegistrations,p.onDidChangeFileSystemProviderCapabilities)(g=>{h.delete(g.scheme)})),this.extUri=new A.$Uf(m),this.d=new R.$0q((g,a)=>this.extUri.compare(g,a,!0),this.f)}dispose(){this.c.dispose(),this.d.clear()}asCanonicalUri(p){this.g.hasProvider(p)&&(p=(0,A.$7f)(p));const h=this.d.get(p);return h?h.touch().uri.with({fragment:p.fragment}):(this.d.set(p,new d(p)),this.h(),p)}h(){if(this.d.size<this.f)return;const p=[...this.d.entries()].sort((m,g)=>m[1].time<g[1].time?1:m[1].time>g[1].time?-1:0);d._clock=0,this.d.clear();const h=this.f*.5;for(let m=0;m<h;m++)this.d.set(p[m][0],p[m][1].touch())}};e.$$q=I=Le([Re(0,o.$Oj)],I),(0,O.$8q)(E.$lk,I,1)}),define(be[88],pe([1,0,194,7,59,19,4,6,13]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qh=e.$Ph=e.$Oh=e.$Nh=e.$Mh=e.$Lh=e.$Kh=e.$Jh=e.$Ih=e.$Hh=e.$Gh=e.$Fh=e.$Eh=e.$Dh=e.$Ch=e.WorkbenchState=e.$Bh=e.$Ah=e.$zh=e.$yh=e.$xh=e.$wh=e.$vh=e.$uh=void 0,e.$uh=(0,L.$lh)("contextService");function d(n){const s=n;return typeof s?.id=="string"&&R.URI.isUri(s.uri)}e.$vh=d;function I(n){return typeof n?.id=="string"&&!d(n)&&!p(n)}e.$wh=I,e.$xh={id:"ext-dev"},e.$yh={id:"empty-window"};function v(n,s){if(typeof n=="string"||typeof n>"u")return typeof n=="string"?{id:(0,O.$cc)(n)}:s?e.$xh:e.$yh;const c=n;return c.configuration?{id:c.id,configPath:c.configuration}:c.folders.length===1?{id:c.id,uri:c.folders[0].uri}:{id:c.id}}e.$zh=v;function p(n){const s=n;return typeof s?.id=="string"&&R.URI.isUri(s.configPath)}e.$Ah=p;function h(n){const s=n;if(s?.uri)return{id:s.id,uri:R.URI.revive(s.uri)};const c=n;if(c?.configPath)return{id:c.id,configPath:R.URI.revive(c.configPath)};if(n?.id)return{id:n.id}}e.$Bh=h;var m;(function(n){n[n.EMPTY=1]="EMPTY",n[n.FOLDER=2]="FOLDER",n[n.WORKSPACE=3]="WORKSPACE"})(m||(e.WorkbenchState=m={}));function g(n){const s=n;return!!(s&&typeof s=="object"&&typeof s.id=="string"&&Array.isArray(s.folders))}e.$Ch=g;function a(n){const s=n;return!!(s&&typeof s=="object"&&R.URI.isUri(s.uri)&&typeof s.name=="string"&&typeof s.toResource=="function")}e.$Dh=a;class u{constructor(s,c,f,y,w){this.h=s,this.j=f,this.k=y,this.l=w,this.c=o.$rh.forUris(this.l,()=>!0),this.folders=c}update(s){this.h=s.id,this.k=s.configuration,this.j=s.transient,this.l=s.l,this.folders=s.folders}get folders(){return this.g}set folders(s){this.g=s,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(s){this.k=s}getFolder(s){return s&&this.c.findSubstr(s)||null}n(){this.c=o.$rh.forUris(this.l,()=>!0);for(const s of this.folders)this.c.set(s.uri,s)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.$Eh=u;class l{constructor(s,c){this.raw=c,this.uri=s.uri,this.index=s.index,this.name=s.name}toResource(s){return(0,A.$6f)(this.uri,s)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.$Fh=l;function $(n){return new l({uri:n,index:0,name:(0,A.$2f)(n)},{uri:n.toString()})}e.$Gh=$,e.$Hh="code-workspace",e.$Ih=`.${e.$Hh}`,e.$Jh=[{name:(0,E.localize)(0,null),extensions:[e.$Hh]}],e.$Kh="workspace.json";function P(n,s){return A.$Wf.isEqualOrParent(n,s.untitledWorkspacesHome)}e.$Lh=P;function k(n){let s;return R.URI.isUri(n)?s=n:s=n.configuration,s?.scheme===b.Schemas.tmp}e.$Mh=k,e.$Nh="4064f6ec-cb38-4ad0-af64-ee6467e63c82";function t(n){return n.id===e.$Nh}e.$Oh=t;function i(n,s){return!P(n,s)&&!k(n)}e.$Ph=i;function r(n){return(typeof n=="string"?(0,O.$dc)(n):(0,A.$4f)(n))===e.$Ih}e.$Qh=r}),define(be[33],pe([1,0,73,5,2,19,4,193,25,16,6,12,88,27,34,14,22,17,8]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rk=e.$qk=e.$pk=e.$ok=e.$nk=e.$mk=void 0;function $(r){const n=r;return!!(n&&typeof n=="object"&&typeof n.id=="string"&&typeof n.isDefault=="boolean"&&typeof n.name=="string"&&R.URI.isUri(n.location)&&R.URI.isUri(n.globalStorageHome)&&R.URI.isUri(n.settingsResource)&&R.URI.isUri(n.keybindingsResource)&&R.URI.isUri(n.tasksResource)&&R.URI.isUri(n.snippetsHome)&&R.URI.isUri(n.extensionsResource))}e.$mk=$,e.$nk=(0,I.$lh)("IUserDataProfilesService");function P(r,n){return{id:r.id,isDefault:r.isDefault,name:r.name,shortName:r.shortName,location:R.URI.revive(r.location).with({scheme:n}),globalStorageHome:R.URI.revive(r.globalStorageHome).with({scheme:n}),settingsResource:R.URI.revive(r.settingsResource).with({scheme:n}),keybindingsResource:R.URI.revive(r.keybindingsResource).with({scheme:n}),tasksResource:R.URI.revive(r.tasksResource).with({scheme:n}),snippetsHome:R.URI.revive(r.snippetsHome).with({scheme:n}),extensionsResource:R.URI.revive(r.extensionsResource).with({scheme:n}),cacheHome:R.URI.revive(r.cacheHome).with({scheme:n}),useDefaultFlags:r.useDefaultFlags,isTransient:r.isTransient}}e.$ok=P;function k(r,n,s,c,f){return{id:r,name:n,location:s,isDefault:!1,shortName:f?.shortName,globalStorageHome:(0,A.$6f)(s,"globalStorage"),settingsResource:(0,A.$6f)(s,"settings.json"),keybindingsResource:(0,A.$6f)(s,"keybindings.json"),tasksResource:(0,A.$6f)(s,"tasks.json"),snippetsHome:(0,A.$6f)(s,"snippets"),extensionsResource:(0,A.$6f)(s,"extensions.json"),cacheHome:(0,A.$6f)(c,r),useDefaultFlags:f?.useDefaultFlags,isTransient:f?.transient}}e.$pk=k;let t=e.$qk=class extends o.$kb{get defaultProfile(){return this.profiles[0]}get profiles(){return[...this.v.profiles,...this.m.profiles]}constructor(n,s,c,f){super(),this.n=n,this.r=s,this.s=c,this.t=f,this.f=!0,this.h=this.B(new O.$5c),this.onDidChangeProfiles=this.h.event,this.i=this.B(new O.$5c),this.onWillCreateProfile=this.i.event,this.j=this.B(new O.$5c),this.onWillRemoveProfile=this.j.event,this.k=this.B(new O.$5c),this.onDidResetWorkspaces=this.k.event,this.l=new Map,this.m={profiles:[],workspaces:new h.$ji,emptyWindows:new Map},this.profilesHome=(0,A.$6f)(this.n.userRoamingDataHome,"profiles"),this.g=(0,A.$6f)(this.n.cacheHome,"CachedProfilesData")}init(){this.u=void 0}setEnablement(n){this.f!==n&&(this.u=void 0,this.f=n)}isEnabled(){return this.f}get v(){if(!this.u){const n=[];if(this.f)try{for(const y of this.J()){if(!y.name||!(0,l.$ge)(y.name)||!y.location){this.t.warn("Skipping the invalid stored profile",y.location||y.name);continue}n.push(k((0,A.$3f)(y.location),y.name,y.location,this.g,{shortName:y.shortName,useDefaultFlags:y.useDefaultFlags}))}}catch(y){this.t.error(y)}const s=new h.$ji,c=new Map,f=this.w();if(n.unshift({...f,extensionsResource:this.O()??f.extensionsResource,isDefault:!0}),n.length)try{const y=this.M();if(y.workspaces)for(const[w,D]of Object.entries(y.workspaces)){const C=R.URI.parse(w),M=n.find(X=>X.id===D);M&&s.set(C,M)}if(y.emptyWindows)for(const[w,D]of Object.entries(y.emptyWindows)){const C=n.find(M=>M.id===D);C&&c.set(w,C)}}catch(y){this.t.error(y)}this.u={profiles:n,workspaces:s,emptyWindows:c}}return this.u}w(){return k("__default__profile__",(0,L.localize)(0,null),this.n.userRoamingDataHome,this.g)}async createTransientProfile(n){const s="Temp",c=new RegExp(`${(0,u.$ld)(s)}\\s(\\d+)`);let f=0;for(const w of this.profiles){const D=c.exec(w.name),C=D?parseInt(D[1]):0;f=C>f?C:f}const y=`${s} ${f+1}`;return this.createProfile((0,E.$_h)((0,a.$3e)()).toString(16),y,{transient:!0},n)}async createNamedProfile(n,s,c){return this.createProfile((0,E.$_h)((0,a.$3e)()).toString(16),n,s,c)}async createProfile(n,s,c,f){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const y=await this.y(n,s,c);return f&&await this.setProfileForWorkspace(f,y),y}async y(n,s,c){if(!(0,l.$ge)(s)||!s)throw new Error("Name of the profile is mandatory and must be of type `string`");let f=this.l.get(s);return f||(f=(async()=>{try{const y=this.profiles.find(C=>C.name===s||C.id===n);if(y)return y;const w=k(n,s,(0,A.$6f)(this.profilesHome,n),this.g,c);await this.r.createFolder(w.location);const D=[];return this.i.fire({profile:w,join(C){D.push(C)}}),await g.Promises.settled(D),this.D([w],[],[]),w}finally{this.l.delete(s)}})(),this.l.set(s,f)),f}async updateProfile(n,s){if(!this.f)throw new Error("Profiles are disabled in the current environment.");let c=this.profiles.find(f=>f.id===n.id);if(!c)throw new Error(`Profile '${n.name}' does not exist`);return c=k(c.id,s.name??c.name,c.location,this.g,{shortName:s.shortName??c.shortName,transient:s.transient??c.isTransient,useDefaultFlags:s.useDefaultFlags??c.useDefaultFlags}),this.D([],[],[c]),c}async removeProfile(n){if(!this.f)throw new Error("Profiles are disabled in the current environment.");if(n.isDefault)throw new Error("Cannot remove default profile");const s=this.profiles.find(f=>f.id===n.id);if(!s)throw new Error(`Profile '${n.name}' does not exist`);const c=[];this.j.fire({profile:s,join(f){c.push(f)}});try{await Promise.allSettled(c)}catch(f){this.t.error(f)}for(const f of[...this.v.emptyWindows.keys()])s.id===this.v.emptyWindows.get(f)?.id&&this.v.emptyWindows.delete(f);for(const f of[...this.v.workspaces.keys()])s.id===this.v.workspaces.get(f)?.id&&this.v.workspaces.delete(f);this.H(),this.D([],[s],[]);try{await this.r.del(s.cacheHome,{recursive:!0})}catch(f){(0,d.$5j)(f)!==1&&this.t.error(f)}}async setProfileForWorkspace(n,s){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const c=this.profiles.find(f=>f.id===s.id);if(!c)throw new Error(`Profile '${s.name}' does not exist`);this.G(n,c)}unsetWorkspace(n,s){if(!this.f)throw new Error("Profiles are disabled in the current environment.");this.G(n,void 0,s)}async resetWorkspaces(){this.m.workspaces.clear(),this.m.emptyWindows.clear(),this.v.workspaces.clear(),this.v.emptyWindows.clear(),this.H(),this.k.fire()}async cleanUp(){if(this.f&&await this.r.exists(this.profilesHome)){const n=await this.r.resolve(this.profilesHome);await Promise.all((n.children||[]).filter(s=>s.isDirectory&&this.profiles.every(c=>!this.s.extUri.isEqual(c.location,s.resource))).map(s=>this.r.del(s.resource,{recursive:!0})))}}async cleanUpTransientProfiles(){if(!this.f)return;const n=this.m.profiles.filter(s=>!this.C(s));await Promise.allSettled(n.map(s=>this.removeProfile(s)))}getProfileForWorkspace(n){const s=this.z(n);return R.URI.isUri(s)?this.m.workspaces.get(s)??this.v.workspaces.get(s):this.m.emptyWindows.get(s)??this.v.emptyWindows.get(s)}z(n){return(0,p.$vh)(n)?n.uri:(0,p.$Ah)(n)?n.configPath:n.id}C(n){return!!([...this.m.emptyWindows.values()].some(s=>this.s.extUri.isEqual(s.location,n.location))||[...this.m.workspaces.values()].some(s=>this.s.extUri.isEqual(s.location,n.location))||[...this.v.emptyWindows.values()].some(s=>this.s.extUri.isEqual(s.location,n.location))||[...this.v.workspaces.values()].some(s=>this.s.extUri.isEqual(s.location,n.location)))}D(n,s,c){const f=[...this.profiles,...n],y=[];this.m.profiles=[];for(let w of f)w.isDefault||s.some(D=>w.id===D.id)||(w=c.find(D=>w.id===D.id)??w,w.isTransient?this.m.profiles.push(w):y.push({location:w.location,name:w.name,shortName:w.shortName,useDefaultFlags:w.useDefaultFlags}));this.L(y),this.u=void 0,this.F(n,s,c)}F(n,s,c){this.h.fire({added:n,removed:s,updated:c,all:this.profiles})}G(n,s,c){c=s?.isTransient?!0:c,c||this.G(n,void 0,!0);const f=this.z(n),y=c?this.m:this.v;R.URI.isUri(f)?(y.workspaces.delete(f),s&&y.workspaces.set(f,s)):(y.emptyWindows.delete(f),s&&y.emptyWindows.set(f,s)),c||this.H()}H(){const n={};for(const[c,f]of this.v.workspaces.entries())n[c.toString()]=f.id;const s={};for(const[c,f]of this.v.emptyWindows.entries())s[c.toString()]=f.id;this.N({workspaces:n,emptyWindows:s}),this.u=void 0}I(n){const s={},c=this.w();if(n.workspaces)for(const[y,w]of Object.entries(n.workspaces)){const D=R.URI.parse(w);s[y]=this.s.extUri.isEqual(D,c.location)?c.id:this.s.extUri.basename(D)}const f={};if(n.emptyWindows)for(const[y,w]of Object.entries(n.emptyWindows)){const D=R.URI.parse(w);f[y]=this.s.extUri.isEqual(D,c.location)?c.id:this.s.extUri.basename(D)}return{workspaces:s,emptyWindows:f}}J(){return[]}L(n){throw new Error("not implemented")}M(){return{}}N(n){throw new Error("not implemented")}O(){}};t.b="userDataProfiles",t.c="profileAssociations",e.$qk=t=Le([Re(0,b.$sh),Re(1,d.$Oj),Re(2,m.$lk),Re(3,v.$Ni)],t);class i extends t{constructor(){super(...arguments),this.a=[],this.R={}}J(){return this.a}L(n){this.a=n}M(){return this.R}N(n){this.R=n}}e.$rk=i}),define(be[253],pe([1,0,18,14,20,11,5,2,3,8,4,174,31,37,40,12,26,32,33]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6o=e.$5o=e.$4o=e.$3o=void 0;let $=e.$3o=class extends L.$kb{get onInstallExtension(){return this.l.event}get onDidInstallExtensions(){return this.m.event}get onUninstallExtension(){return this.n.event}get onDidUninstallExtension(){return this.p.event}constructor(n,s,c,f,y){super(),this.t=n,this.u=s,this.v=c,this.w=f,this.y=y,this.h=0,this.j=new Map,this.k=new Map,this.l=this.B(new R.$5c),this.m=this.B(new R.$5c),this.n=this.B(new R.$5c),this.p=this.B(new R.$5c),this.s=[],this.B((0,L.$ib)(()=>{this.j.forEach(({task:w})=>w.cancel()),this.k.forEach(w=>w.cancel()),this.j.clear(),this.k.clear()}))}async canInstall(n){const s=await this.getTargetPlatform();return n.allTargetPlatforms.some(c=>(0,p.$In)(c,n.allTargetPlatforms,s))}async installFromGallery(n,s={}){try{const f=(await this.installGalleryExtensions([{extension:n,options:s}])).find(({identifier:y})=>(0,h.$bo)(y,n.identifier));if(f?.local)return f?.local;throw f?.error?f.error:k(new Error(`Unknown error while installing extension ${n.identifier.id}`))}catch(c){throw k(c)}}async installGalleryExtensions(n){if(!this.t.isEnabled())throw new p.$Mn(v.localize(0,null),p.ExtensionManagementErrorCode.Internal);const s=[],c=[];await Promise.allSettled(n.map(async({extension:f,options:y})=>{try{const w=await this.H(f,!!y?.installGivenVersion,!!y?.installPreReleaseVersion);c.push({...w,options:y})}catch(w){s.push({identifier:f.identifier,operation:2,source:f,error:w})}})),c.length&&s.push(...await this.z(c));for(const f of s)f.error&&(this.v.error("Failed to install extension.",f.identifier.id),this.v.error(f.error),f.source&&!I.URI.isUri(f.source)&&t(this.u,"extensionGallery:install",{extensionData:(0,h.$jo)(f.source),error:f.error}));return s}async uninstall(n,s={}){return this.v.trace("ExtensionManagementService#uninstall",n.identifier.id),this.J(n,s)}getExtensionsControlManifest(){const n=new Date().getTime();return(!this.g||n-this.h>1e3*60*5)&&(this.g=this.P(),this.h=n),this.g}registerParticipant(n){this.s.push(n)}async z(n){const s=[];return await Promise.allSettled(n.map(async c=>{try{const f=await this.C(c);s.push(...f)}catch(f){s.push({identifier:{id:(0,h.$go)(c.manifest.publisher,c.manifest.name)},operation:2,source:c.extension,error:f})}})),this.m.fire(s),s}async C({manifest:n,extension:s,options:c}){const f=c.isApplicationScoped||c.isBuiltin||(0,m.$Gl)(n),y={...c,installOnlyNewlyAddedFromExtensionPack:I.URI.isUri(s)?c.installOnlyNewlyAddedFromExtensionPack:!0,isApplicationScoped:f,profileLocation:f?this.y.defaultProfile.extensionsResource:c.profileLocation??this.Q()},w=he=>`${h.$co.create(he).toString()}${y.profileLocation?`-${y.profileLocation.toString()}`:""}`;if(!I.URI.isUri(s)){const he=this.j.get(w(s));if(he)return this.v.info("Extensions is already requested to install",s.identifier.id),await he.task.waitUntilTaskIsFinished(),[]}const D=[],C=[],M=[],X=this.R(n,s,y);I.URI.isUri(s)||this.j.set(w(s),{task:X,waitingTasks:[]}),this.l.fire({identifier:X.identifier,source:s,profileLocation:y.profileLocation}),this.v.info("Installing extension:",X.identifier.id),D.push({task:X,manifest:n});let ne=!1;try{if(y.donotIncludePackAndDependencies)this.v.info("Installing the extension without checking dependencies and pack",X.identifier.id);else try{const ue=await this.G(X.identifier,n,!!y.installOnlyNewlyAddedFromExtensionPack,!!y.installPreReleaseVersion,y.profileLocation),le=await this.getInstalled(void 0,y.profileLocation);for(const{gallery:ge,manifest:se}of(0,E.$of)(ue,({gallery:J})=>J.identifier.id)){ne=ne||!!se.extensionDependencies?.some(V=>(0,h.$bo)({id:V},X.identifier));const J=w(ge),te=this.j.get(J);if(te){if(this.D(X,te.task)){const V=te.task.identifier;this.v.info("Waiting for already requested installing extension",V.id,X.identifier.id),te.waitingTasks.push(X),C.push(R.Event.toPromise(R.Event.filter(this.onDidInstallExtensions,Z=>Z.some(H=>(0,h.$bo)(H.identifier,V)))).then(Z=>{if(this.v.info("Finished waiting for already requested installing extension",V.id,X.identifier.id),!Z.find(B=>(0,h.$bo)(B.identifier,V))?.local)throw new Error(`Extension ${V.id} is not installed`)}))}}else if(!le.some(({identifier:V})=>(0,h.$bo)(V,ge.identifier))){const V=this.R(se,ge,{...y,donotIncludePackAndDependencies:!0});this.j.set(J,{task:V,waitingTasks:[X]}),this.l.fire({identifier:V.identifier,source:ge,profileLocation:y.profileLocation}),this.v.info("Installing extension:",V.identifier.id,X.identifier.id),D.push({task:V,manifest:se})}}}catch(ue){if(I.URI.isUri(X.source))(0,E.$nf)(n.extensionDependencies)&&this.v.warn("Cannot install dependencies of extension:",X.identifier.id,ue.message),(0,E.$nf)(n.extensionPack)&&this.v.warn("Cannot install packed extensions of extension:",X.identifier.id,ue.message);else throw this.v.error("Error while preparing to install dependencies and extension packs of the extension:",X.identifier.id),ue}const he=D.reduce((ue,{task:le,manifest:ge})=>(ue.set(le.identifier.id.toLowerCase(),{task:le,manifest:ge}),ue),new Map);for(;he.size;){let ue;const le=[...he.values()].filter(({manifest:ge})=>!ge.extensionDependencies?.some(se=>he.has(se.toLowerCase())));le.length?ue=he.size===1?le:le.filter(({task:ge})=>!(ge===X&&!ne)):(this.v.info("Found extensions with circular dependencies",le.map(({task:ge})=>ge.identifier.id)),ue=[...he.values()]),await this.F(ue.map(async({task:ge})=>{const se=new Date().getTime();try{const J=await ge.run();if(await this.F(this.s.map(te=>te.postInstall(J,ge.source,y,o.CancellationToken.None))),!I.URI.isUri(ge.source)){const te=ge.operation===3,V=te?void 0:(new Date().getTime()-ge.source.lastUpdated)/1e3;if(t(this.u,te?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,h.$jo)(ge.source),verificationStatus:ge.verificationStatus,duration:new Date().getTime()-se,durationSinceUpdate:V}),b.$o&&ge.operation!==3)try{await this.t.reportStatistic(J.manifest.publisher,J.manifest.name,J.manifest.version,"install")}catch{}}M.push({local:J,identifier:ge.identifier,operation:ge.operation,source:ge.source,context:y.context,profileLocation:ge.profileLocation,applicationScoped:J.isApplicationScoped})}catch(J){throw I.URI.isUri(ge.source)||t(this.u,ge.operation===3?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,h.$jo)(ge.source),verificationStatus:ge.verificationStatus,duration:new Date().getTime()-se,error:J}),this.v.error("Error while installing the extension:",ge.identifier.id),J}finally{he.delete(ge.identifier.id.toLowerCase())}}))}return C.length&&await this.F(C),M.forEach(({identifier:ue})=>this.v.info("Extension installed successfully:",ue.id)),M}catch(he){if(D.forEach(({task:ue})=>ue.cancel()),M.length)try{const ue=await Promise.allSettled(M.map(({local:le})=>this.S(le,{versionOnly:!0,profileLocation:y.profileLocation}).run()));for(let le=0;le<ue.length;le++){const ge=ue[le],{identifier:se}=M[le];ge.status==="fulfilled"?this.v.info("Rollback: Uninstalled extension",se.id):this.v.warn("Rollback: Error while uninstalling extension",se.id,(0,A.$8)(ge.reason))}}catch(ue){this.v.warn("Error while rolling back extensions",(0,A.$8)(ue),M.map(({identifier:le})=>le.id))}return D.map(({task:ue})=>({identifier:ue.identifier,operation:2,source:ue.source,context:y.context,profileLocation:y.profileLocation,error:he}))}finally{for(const{task:he}of D)he.source&&!I.URI.isUri(he.source)&&this.j.delete(w(he.source))}}D(n,s){for(const[,{task:c,waitingTasks:f}]of this.j.entries())if(c===n&&(f.includes(s)||f.some(y=>this.D(y,s)))||c===s&&f[0]&&!this.D(n,f[0]))return!1;return!0}async F(n){const s=[],c=[],f=await Promise.allSettled(n);for(const y of f)y.status==="fulfilled"?s.push(y.value):c.push(y.reason);if(c.length)throw P(c);return s}async G(n,s,c,f,y){if(!this.t.isEnabled())return[];const w=await this.getInstalled(void 0,y),D=[],C=[],M=async(X,ne)=>{D.push(X);const he=ne.extensionDependencies||[],ue=[...he];if(ne.extensionPack){const le=c?w.find(ge=>(0,h.$bo)(ge.identifier,X)):void 0;for(const ge of ne.extensionPack)le&&le.manifest.extensionPack&&le.manifest.extensionPack.some(se=>(0,h.$bo)({id:se},{id:ge}))||ue.every(se=>!(0,h.$bo)({id:se},{id:ge}))&&ue.push(ge)}if(ue.length){const le=ue.filter(ge=>D.every(se=>!(0,h.$bo)(se,{id:ge})));if(le.length){const ge=await this.t.getExtensions(le.map(se=>({id:se,preRelease:f})),o.CancellationToken.None);for(const se of ge){if(D.find(V=>(0,h.$bo)(V,se.identifier)))continue;const J=he.some(V=>(0,h.$bo)({id:V},se.identifier));let te;try{te=await this.H(se,!1,f)}catch(V){if(J)throw V;this.v.info("Skipping the packed extension as it cannot be installed",se.identifier.id,(0,A.$8)(V));continue}C.push({gallery:te.extension,manifest:te.manifest}),await M(te.extension.identifier,te.manifest)}}}};return await M(n,s),C}async H(n,s,c){if((await this.getExtensionsControlManifest()).malicious.some(D=>(0,h.$bo)(n.identifier,D)))throw new p.$Mn(v.localize(1,null,n.identifier.id),p.ExtensionManagementErrorCode.Malicious);if(!await this.canInstall(n)){const D=await this.getTargetPlatform();throw new p.$Mn(v.localize(2,null,n.identifier.id,this.w.nameLong,(0,p.$En)(D)),p.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const y=await this.I(n,s,c);if(y){if(c&&!s&&n.hasPreReleaseVersion&&!y.properties.isPreReleaseVersion)throw new p.$Mn(v.localize(3,null,n.identifier.id,this.w.nameLong,this.w.version),p.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!c&&n.properties.isPreReleaseVersion&&(await this.t.getExtensions([n.identifier],o.CancellationToken.None))[0]?new p.$Mn(v.localize(4,null,n.identifier.id),p.ExtensionManagementErrorCode.ReleaseVersionNotFound):new p.$Mn(v.localize(5,null,n.identifier.id,this.w.nameLong,this.w.version),p.ExtensionManagementErrorCode.Incompatible);this.v.info("Getting Manifest...",y.identifier.id);const w=await this.t.getManifest(y,o.CancellationToken.None);if(w===null)throw new p.$Mn(`Missing manifest for extension ${n.identifier.id}`,p.ExtensionManagementErrorCode.Invalid);if(w.version!==y.version)throw new p.$Mn(`Cannot install '${n.identifier.id}' extension because of version mismatch in Marketplace`,p.ExtensionManagementErrorCode.Invalid);return{extension:y,manifest:w}}async I(n,s,c){const f=await this.getTargetPlatform();let y=null;return!s&&n.hasPreReleaseVersion&&n.properties.isPreReleaseVersion!==c&&(y=(await this.t.getExtensions([{...n.identifier,preRelease:c}],{targetPlatform:f,compatible:!0},o.CancellationToken.None))[0]||null),!y&&await this.t.isExtensionCompatible(n,c,f)&&(y=n),y||(s?y=(await this.t.getExtensions([{...n.identifier,version:n.version}],{targetPlatform:f,compatible:!0},o.CancellationToken.None))[0]||null:y=await this.t.getCompatibleExtension(n,c,f)),y}async J(n,s){const c={...s,profileLocation:n.isApplicationScoped?this.y.defaultProfile.extensionsResource:s.profileLocation??this.Q()},f=X=>`${X.id.toLowerCase()}${c.versionOnly?`-${n.manifest.version}`:""}${c.profileLocation?`@${c.profileLocation.toString()}`:""}`,y=this.k.get(f(n.identifier));if(y)return this.v.info("Extensions is already requested to uninstall",n.identifier.id),y.waitUntilTaskIsFinished();const w=X=>{const ne=this.S(X,c);return this.k.set(f(ne.extension.identifier),ne),c.profileLocation?this.v.info("Uninstalling extension from the profile:",`${X.identifier.id}@${X.manifest.version}`,c.profileLocation.toString()):this.v.info("Uninstalling extension:",`${X.identifier.id}@${X.manifest.version}`),this.n.fire({identifier:X.identifier,profileLocation:c.profileLocation,applicationScoped:X.isApplicationScoped}),ne},D=(X,ne)=>{ne?c.profileLocation?this.v.error("Failed to uninstall extension from the profile:",`${X.identifier.id}@${X.manifest.version}`,c.profileLocation.toString(),ne.message):this.v.error("Failed to uninstall extension:",`${X.identifier.id}@${X.manifest.version}`,ne.message):c.profileLocation?this.v.info("Successfully uninstalled extension from the profile",`${X.identifier.id}@${X.manifest.version}`,c.profileLocation.toString()):this.v.info("Successfully uninstalled extension:",`${X.identifier.id}@${X.manifest.version}`),t(this.u,"extensionGallery:uninstall",{extensionData:(0,h.$io)(X),error:ne}),this.p.fire({identifier:X.identifier,error:ne?.code,profileLocation:c.profileLocation,applicationScoped:X.isApplicationScoped})},C=[],M=[];try{C.push(w(n));const X=await this.getInstalled(1,c.profileLocation);if(c.donotIncludePack)this.v.info("Uninstalling the extension without including packed extension",`${n.identifier.id}@${n.manifest.version}`);else{const ne=this.N(n,X);for(const he of ne)this.k.has(f(he.identifier))?this.v.info("Extensions is already requested to uninstall",he.identifier.id):C.push(w(he))}c.donotCheckDependents?this.v.info("Uninstalling the extension without checking dependents",`${n.identifier.id}@${n.manifest.version}`):this.L(C.map(ne=>ne.extension),X,n),await this.F(C.map(async ne=>{try{if(await ne.run(),await this.F(this.s.map(he=>he.postUninstall(ne.extension,c,o.CancellationToken.None))),ne.extension.identifier.uuid)try{await this.t.reportStatistic(ne.extension.manifest.publisher,ne.extension.manifest.name,ne.extension.manifest.version,"uninstall")}catch{}D(ne.extension)}catch(he){const ue=he instanceof p.$Mn?he:new p.$Mn((0,A.$8)(he),p.ExtensionManagementErrorCode.Internal);throw D(ne.extension,ue),ue}finally{M.push(ne)}}))}catch(X){const ne=X instanceof p.$Mn?X:new p.$Mn((0,A.$8)(X),p.ExtensionManagementErrorCode.Internal);for(const he of C){try{he.cancel()}catch{}M.includes(he)||D(he.extension,ne)}throw ne}finally{for(const X of C)this.k.delete(f(X.extension.identifier))||this.v.warn("Uninstallation task is not found in the cache",X.extension.identifier.id)}}L(n,s,c){for(const f of n){const y=this.O(f,s);if(y.length){const w=y.filter(D=>!n.some(C=>(0,h.$bo)(C.identifier,D.identifier)));if(w.length)throw new Error(this.M(f,w,c))}}}M(n,s,c){return c===n?s.length===1?v.localize(6,null,c.manifest.displayName||c.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?v.localize(7,null,c.manifest.displayName||c.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):v.localize(8,null,c.manifest.displayName||c.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):s.length===1?v.localize(9,null,c.manifest.displayName||c.manifest.name,n.manifest.displayName||n.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?v.localize(10,null,c.manifest.displayName||c.manifest.name,n.manifest.displayName||n.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):v.localize(11,null,c.manifest.displayName||c.manifest.name,n.manifest.displayName||n.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name)}N(n,s,c=[]){if(c.indexOf(n)!==-1)return[];c.push(n);const f=n.manifest.extensionPack?n.manifest.extensionPack:[];if(f.length){const y=s.filter(D=>!D.isBuiltin&&f.some(C=>(0,h.$bo)({id:C},D.identifier))),w=[];for(const D of y)w.push(...this.N(D,s,c));return[...y,...w]}return[]}O(n,s){return s.filter(c=>c.manifest.extensionDependencies&&c.manifest.extensionDependencies.some(f=>(0,h.$bo)({id:f},n.identifier)))}async P(){try{this.v.trace("ExtensionManagementService.refreshReportedCache");const n=await this.t.getExtensionsControlManifest();return this.v.trace("ExtensionManagementService.refreshControlCache",n),n}catch{return this.v.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[],deprecated:{},search:[]}}}};e.$3o=$=Le([Re(0,p.$Ln),Re(1,u.$Rk),Re(2,g.$Ni),Re(3,a.$6i),Re(4,l.$nk)],$);function P(r){const n=Array.isArray(r)?r:[r];return n.length===1?n[0]instanceof Error?n[0]:new Error(n[0]):n.reduce((s,c)=>new Error(`${s.message}${s.message?",":""}${c instanceof Error?c.message:c}`),new Error(""))}e.$4o=P;function k(r){if(r instanceof p.$Mn)return r;const n=new p.$Mn(r.message,p.ExtensionManagementErrorCode.Internal);return n.stack=r.stack,n}e.$5o=k;function t(r,n,{extensionData:s,verificationStatus:c,duration:f,error:y,durationSinceUpdate:w}){let D,C;(0,d.$oe)(c)&&(c===!0?c="Verified":(c===!1||(D=p.ExtensionManagementErrorCode.Signature,C=c),c="Unverified")),y&&(y instanceof p.$Mn?(D=y.code,y.code===p.ExtensionManagementErrorCode.Signature&&(C=y.message)):D=p.ExtensionManagementErrorCode.Internal),r.publicLog(n,{...s,verificationStatus:c,success:!y,duration:f,errorcode:D,errorcodeDetail:C,durationSinceUpdate:w})}class i{constructor(){this.d=new O.$qg}async waitUntilTaskIsFinished(){return await this.d.wait(),this.g}async run(){return this.g||(this.g=(0,O.$fg)(n=>this.h(n))),this.d.open(),this.g}cancel(){this.g||(this.g=(0,O.$fg)(n=>new Promise((s,c)=>{const f=n.onCancellationRequested(()=>{f.dispose(),c(new A.$2)})})),this.d.open()),this.g.cancel()}}e.$6o=i}),define(be[44],pe([1,0,14,15,2,5,27,4,31,37,16,6,12,33,34,8,11,32]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9o=e.$8o=e.$7o=e.ExtensionsProfileScanningErrorCode=void 0;var l;(function(i){i.ERROR_PROFILE_NOT_FOUND="ERROR_PROFILE_NOT_FOUND",i.ERROR_INVALID_CONTENT="ERROR_INVALID_CONTENT"})(l||(e.ExtensionsProfileScanningErrorCode=l={}));class $ extends Error{constructor(r,n){super(r),this.code=n}}e.$7o=$,e.$8o=(0,v.$lh)("IExtensionsProfileScannerService");let P=e.$9o=class extends o.$kb{constructor(r,n,s,c,f,y){super(),this.i=r,this.j=n,this.k=s,this.l=c,this.m=f,this.n=y,this.b=this.B(new A.$5c),this.onAddExtensions=this.b.event,this.c=this.B(new A.$5c),this.onDidAddExtensions=this.c.event,this.f=this.B(new A.$5c),this.onRemoveExtensions=this.f.event,this.g=this.B(new A.$5c),this.onDidRemoveExtensions=this.g.event,this.h=new R.$ji}scanProfileExtensions(r,n){return this.p(r,void 0,n)}async addExtensionsToProfile(r,n){const s=[],c=[];try{return await this.p(n,f=>{const y=[];for(const w of f)r.some(([D])=>(0,d.$bo)(D.identifier,w.identifier)&&D.manifest.version!==w.version)?s.push(w):y.push(w);for(const[w,D]of r)if(!y.some(C=>(0,d.$bo)(C.identifier,w.identifier)&&C.version===w.manifest.version)){const C={identifier:w.identifier,version:w.manifest.version,location:w.location,metadata:D};c.push(C),y.push(C)}return c.length&&this.b.fire({extensions:c,profileLocation:n}),s.length&&this.f.fire({extensions:s,profileLocation:n}),y}),c.length&&this.c.fire({extensions:c,profileLocation:n}),s.length&&this.g.fire({extensions:s,profileLocation:n}),c}catch(f){throw c.length&&this.c.fire({extensions:c,error:f,profileLocation:n}),s.length&&this.g.fire({extensions:s,error:f,profileLocation:n}),f}}async updateMetadata(r,n){const s=[];return await this.p(n,c=>{const f=[];for(const y of c){const w=r.find(([D])=>(0,d.$bo)(D.identifier,y.identifier)&&D.manifest.version===y.version);w&&(y.metadata={...y.metadata,...w[1]},s.push(y)),f.push(y)}return f}),s}async removeExtensionFromProfile(r,n){const s=[];this.f.fire({extensions:s,profileLocation:n});try{await this.p(n,c=>{const f=[];for(const y of c)(0,d.$bo)(y.identifier,r.identifier)?s.push(y):f.push(y);return s.length&&this.f.fire({extensions:s,profileLocation:n}),f}),s.length&&this.g.fire({extensions:s,profileLocation:n})}catch(c){throw s.length&&this.g.fire({extensions:s,error:c,profileLocation:n}),c}}async p(r,n,s){return this.w(r).queue(async()=>{let c=[],f;try{const y=await this.j.readFile(r);f=JSON.parse(y.value.toString().trim()||"[]")}catch(y){if((0,I.$5j)(y)!==1)throw y;if(this.l.extUri.isEqual(r,this.k.defaultProfile.extensionsResource)&&(f=await this.v()),!f&&s?.bailOutWhenFileNotFound)throw new $((0,a.$8)(y),"ERROR_PROFILE_NOT_FOUND")}if(f){Array.isArray(f)||this.r(r);let y=!1;for(const w of f){k(w)||this.r(r);let D;if((0,g.$ge)(w.relativeLocation)&&w.relativeLocation)D=this.t(w.relativeLocation);else if((0,g.$ge)(w.location))D=this.t(w.location),y=!0,w.relativeLocation=w.location,w.location=D.toJSON();else{D=L.URI.revive(w.location);const C=this.s(D);C&&(y=!0,w.relativeLocation=C)}c.push({identifier:w.identifier,location:D,version:w.version,metadata:w.metadata})}y&&await this.j.writeFile(r,O.$Ib.fromString(JSON.stringify(f)))}if(n){c=n(c);const y=c.map(w=>({identifier:w.identifier,version:w.version,location:w.location.toJSON(),relativeLocation:this.s(w.location),metadata:w.metadata}));await this.j.writeFile(r,O.$Ib.fromString(JSON.stringify(y)))}return c})}r(r){const n=new $(`Invalid extensions content in ${r.toString()}`,"ERROR_INVALID_CONTENT");throw this.m.publicLogError2("extensionsProfileScanningError",{code:n.code}),n}s(r){return this.l.extUri.isEqual(this.l.extUri.dirname(r),this.i)?this.l.extUri.basename(r):void 0}t(r){return this.l.extUri.joinPath(this.i,r)}async v(){return this.u||(this.u=(async()=>{const r=this.l.extUri.joinPath(this.k.defaultProfile.location,"extensions.json"),n=this.l.extUri.joinPath(this.i,".init-default-profile-extensions");let s;try{s=(await this.j.readFile(r)).value.toString()}catch(f){if((0,I.$5j)(f)===1)return;throw f}this.n.info("Migrating extensions from old default profile location",r.toString());let c;try{const f=JSON.parse(s);Array.isArray(f)&&f.every(y=>k(y))?c=f:this.n.warn("Skipping migrating from old default profile locaiton: Found invalid data",f)}catch(f){this.n.error(f)}if(c)try{await this.j.createFile(this.k.defaultProfile.extensionsResource,O.$Ib.fromString(JSON.stringify(c)),{overwrite:!1}),this.n.info("Migrated extensions from old default profile location to new location",r.toString(),this.k.defaultProfile.extensionsResource.toString())}catch(f){if((0,I.$5j)(f)===3)this.n.info("Migration from old default profile location to new location is done by another window",r.toString(),this.k.defaultProfile.extensionsResource.toString());else throw f}try{await this.j.del(r)}catch(f){(0,I.$5j)(f)!==1&&this.n.error(f)}try{await this.j.del(n)}catch(f){(0,I.$5j)(f)!==1&&this.n.error(f)}return c})()),this.u}w(r){let n=this.h.get(r);return n||(n=new E.$yg,this.h.set(r,n)),n}};e.$9o=P=Le([Re(1,I.$Oj),Re(2,h.$nk),Re(3,m.$lk),Re(4,u.$Rk),Re(5,p.$Ni)],P);function k(i){return(0,g.$ie)(i)&&(0,b.$Kn)(i.identifier)&&(t(i.location)||(0,g.$ge)(i.location)&&i.location)&&((0,g.$ne)(i.relativeLocation)||(0,g.$ge)(i.relativeLocation))&&i.version&&(0,g.$ge)(i.version)}function t(i){return i?(0,g.$ge)(i.path)&&(0,g.$ge)(i.scheme):!1}}),define(be[57],pe([1,0,18,14,21,15,11,72,159,2,13,7,3,19,53,58,8,4,178,25,37,40,77,16,6,12,26,5,50,44,33,34,208]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t,i,r,n,s,c,f,y,w,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dp=e.$cp=e.$bp=e.$ap=e.$_o=e.Translations=void 0;var M;(function(se){function J(te,V){if(te===V)return!0;const Z=Object.keys(te),H=new Set;for(const B of Object.keys(V))H.add(B);if(Z.length!==H.size)return!1;for(const B of Z){if(te[B]!==V[B])return!1;H.delete(B)}return H.size===0}se.equals=J})(M||(e.Translations=M={})),e.$_o=(0,r.$lh)("IExtensionsScannerService");let X=e.$ap=class extends d.$kb{constructor(J,te,V,Z,H,B,ie,Y,_,T,S,N){super(),this.systemExtensionsLocation=J,this.userExtensionsLocation=te,this.l=V,this.m=Z,this.n=H,this.r=B,this.s=ie,this.t=Y,this.u=_,this.v=T,this.w=S,this.y=N,this.g=this.B(new c.$5c),this.onDidChangeCache=this.g.event,this.h=(0,h.$6f)(this.userExtensionsLocation,".obsolete"),this.i=this.B(this.y.createInstance(ue,this.m,this.h)),this.j=this.B(this.y.createInstance(ue,this.m,this.h)),this.k=this.B(this.y.createInstance(he,this.h)),this.C=void 0,this.B(this.i.onDidChangeCache(()=>this.g.fire(0))),this.B(this.j.onDidChangeCache(()=>this.g.fire(1)))}getTargetPlatform(){return this.z||(this.z=(0,P.$mo)(this.s,this.t)),this.z}async scanAllExtensions(J,te,V){const[Z,H]=await Promise.all([this.scanSystemExtensions(J),this.scanUserExtensions(te)]),B=V?await this.scanExtensionsUnderDevelopment(J,[...Z,...H]):[];return this.G(Z,H,B,await this.getTargetPlatform(),!0)}async scanSystemExtensions(J){const te=[];te.push(this.H(!!J.useCache,J.language)),te.push(this.I(J.language,!!J.checkControlFile));const[V,Z]=await Promise.all(te);return this.F([...V,...Z],0,J,!1)}async scanUserExtensions(J){const te=J.profileLocation??this.userExtensionsLocation;this.t.trace("Started scanning user extensions",te);const V=this.w.extUri.isEqual(J.profileLocation,this.n.defaultProfile.extensionsResource)?{bailOutWhenFileNotFound:!0}:void 0,Z=await this.L(te,!!J.profileLocation,1,!J.includeUninstalled,J.language,!0,V),H=J.useCache&&!Z.devMode&&Z.excludeObsolete?this.j:this.k;let B;try{B=await H.scanExtensions(Z)}catch(ie){if(ie instanceof y.$7o&&ie.code==="ERROR_PROFILE_NOT_FOUND")await this.D(),B=await H.scanExtensions(Z);else throw ie}return B=await this.F(B,1,J,!0),this.t.trace("Scanned user extensions:",B.length),B}async scanExtensionsUnderDevelopment(J,te){if(this.u.isExtensionDevelopment&&this.u.extensionDevelopmentLocationURI){const V=(await Promise.all(this.u.extensionDevelopmentLocationURI.filter(Z=>Z.scheme===I.Schemas.file).map(async Z=>{const H=await this.L(Z,!1,1,!0,J.language,!1,void 0);return(await this.k.scanOneOrMultipleExtensions(H)).map(ie=>(ie.type=te.find(Y=>(0,P.$bo)(Y.identifier,ie.identifier))?.type??ie.type,this.k.validate(ie,H)))}))).flat();return this.F(V,"development",J,!0)}return[]}async scanExistingExtension(J,te,V){const Z=await this.L(J,!1,te,!0,V.language,!0,void 0),H=await this.k.scanExtension(Z);return!H||!V.includeInvalid&&!H.isValid?null:H}async scanOneOrMultipleExtensions(J,te,V){const Z=await this.L(J,!1,te,!0,V.language,!0,void 0),H=await this.k.scanOneOrMultipleExtensions(Z);return this.F(H,te,V,!0)}async scanMetadata(J){const te=(0,h.$6f)(J,"package.json"),V=(await this.s.readFile(te)).value.toString();return JSON.parse(V).__metadata}async updateMetadata(J,te){const V=(0,h.$6f)(J,"package.json"),Z=(await this.s.readFile(V)).value.toString(),H=JSON.parse(Z);te.isMachineScoped=te.isMachineScoped||void 0,te.isBuiltin=te.isBuiltin||void 0,H.__metadata={...H.__metadata,...te},await this.s.writeFile((0,h.$6f)(J,"package.json"),A.$Ib.fromString(JSON.stringify(H,null,"	")))}async initializeDefaultProfileExtensions(){try{await this.r.scanProfileExtensions(this.n.defaultProfile.extensionsResource,{bailOutWhenFileNotFound:!0})}catch(J){if(J instanceof y.$7o&&J.code==="ERROR_PROFILE_NOT_FOUND")await this.D();else throw J}}async D(){return this.C||(this.C=(async()=>{try{this.t.info("Started initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString());const J=await this.scanUserExtensions({includeInvalid:!0});if(J.length)await this.r.addExtensionsToProfile(J.map(te=>[te,te.metadata]),this.n.defaultProfile.extensionsResource);else try{await this.s.createFile(this.n.defaultProfile.extensionsResource,A.$Ib.fromString(JSON.stringify([])))}catch(te){(0,i.$5j)(te)!==1&&this.t.warn("Failed to create default profile extensions manifest in extensions installation folder.",this.userExtensionsLocation.toString(),(0,R.$8)(te))}this.t.info("Completed initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString())}catch(J){this.t.error(J)}finally{this.C=void 0}})()),this.C}async F(J,te,V,Z){return V.includeAllVersions||(J=this.G(te===0?J:void 0,te===1?J:void 0,te==="development"?J:void 0,await this.getTargetPlatform(),Z)),V.includeInvalid||(J=J.filter(H=>H.isValid)),J.sort((H,B)=>{const ie=v.$cc(H.location.fsPath),Y=v.$cc(B.location.fsPath);return ie<Y?-1:ie>Y?1:0})}G(J,te,V,Z,H){const B=(Y,_,T)=>{if(Y.isValid&&!_.isValid)return!1;if(Y.isValid===_.isValid){if(H&&m.gt(Y.manifest.version,_.manifest.version))return this.t.debug(`Skipping extension ${_.location.path} with lower version ${_.manifest.version} in favour of ${Y.location.path} with version ${Y.manifest.version}`),!1;if(m.eq(Y.manifest.version,_.manifest.version)){if(Y.type===0)return this.t.debug(`Skipping extension ${_.location.path} in favour of system extension ${Y.location.path} with same version`),!1;if(Y.targetPlatform===Z)return this.t.debug(`Skipping extension ${_.location.path} from different target platform ${_.targetPlatform}`),!1}}return T?this.t.warn(`Overwriting user extension ${Y.location.path} with ${_.location.path}.`):this.t.debug(`Overwriting user extension ${Y.location.path} with ${_.location.path}.`),!0},ie=new k.$Fl;return J?.forEach(Y=>{const _=ie.get(Y.identifier.id);(!_||B(_,Y,!1))&&ie.set(Y.identifier.id,Y)}),te?.forEach(Y=>{const _=ie.get(Y.identifier.id);if(!_&&J&&Y.type===0){this.t.debug(`Skipping obsolete system extension ${Y.location.path}.`);return}(!_||B(_,Y,!1))&&ie.set(Y.identifier.id,Y)}),V?.forEach(Y=>{const _=ie.get(Y.identifier.id);(!_||B(_,Y,!0))&&ie.set(Y.identifier.id,Y),ie.set(Y.identifier.id,Y)}),[...ie.values()]}async H(J,te){this.t.trace("Started scanning system extensions");const V=await this.L(this.systemExtensionsLocation,!1,0,!0,te,!0,void 0),H=await(J&&!V.devMode?this.i:this.k).scanExtensions(V);return this.t.trace("Scanned system extensions:",H.length),H}async I(J,te){const V=this.u.isBuilt?[]:this.v.builtInExtensions;if(!V?.length)return[];this.t.trace("Started scanning dev system extensions");const Z=te?await this.J():{},H=[],B=u.URI.file(v.$9b(v.$$b(I.$1e.asFileUri("").fsPath,"..",".build","builtInExtensions")));for(const Y of V){const _=Z[Y.name]||"marketplace";switch(_){case"disabled":break;case"marketplace":H.push((0,h.$6f)(B,Y.name));break;default:H.push(u.URI.file(_));break}}const ie=await Promise.all(H.map(async Y=>this.k.scanExtension(await this.L(Y,!1,0,!0,J,!0,void 0))));return this.t.trace("Scanned dev system extensions:",ie.length),(0,E.$jf)(ie)}async J(){try{const J=await this.s.readFile(this.l);return JSON.parse(J.value.toString())}catch{return{}}}async L(J,te,V,Z,H,B,ie){const Y=await this.f(H??p.$v),_=await this.M(J),T=te&&!this.w.extUri.isEqual(J,this.n.defaultProfile.extensionsResource)?this.n.defaultProfile.extensionsResource:void 0,S=T?await this.M(T):void 0;return new ne(J,_,T,S,te,ie,V,Z,B,this.v.version,this.v.date,this.v.commit,!this.u.isBuilt,H,Y)}async M(J){try{const te=await this.s.stat(J);if(typeof te.mtime=="number")return te.mtime}catch{}}};e.$ap=X=Le([Re(4,w.$nk),Re(5,y.$8o),Re(6,i.$Oj),Re(7,n.$Ni),Re(8,$.$sh),Re(9,s.$6i),Re(10,D.$lk),Re(11,r.$kh)],X);class ne{constructor(J,te,V,Z,H,B,ie,Y,_,T,S,N,ee,oe,z){this.location=J,this.mtime=te,this.applicationExtensionslocation=V,this.applicationExtensionslocationMtime=Z,this.profile=H,this.profileScanOptions=B,this.type=ie,this.excludeObsolete=Y,this.validate=_,this.productVersion=T,this.productDate=S,this.productCommit=N,this.devMode=ee,this.language=oe,this.translations=z}static createNlsConfiguration(J){return{language:J.language,pseudo:J.language==="pseudo",devMode:J.devMode,translations:J.translations}}static equals(J,te){return(0,h.$Yf)(J.location,te.location)&&J.mtime===te.mtime&&(0,h.$Yf)(J.applicationExtensionslocation,te.applicationExtensionslocation)&&J.applicationExtensionslocationMtime===te.applicationExtensionslocationMtime&&J.profile===te.profile&&o.$Hm(J.profileScanOptions,te.profileScanOptions)&&J.type===te.type&&J.excludeObsolete===te.excludeObsolete&&J.validate===te.validate&&J.productVersion===te.productVersion&&J.productDate===te.productDate&&J.productCommit===te.productCommit&&J.devMode===te.devMode&&J.language===te.language&&M.equals(J.translations,te.translations)}}e.$bp=ne;let he=class extends d.$kb{constructor(J,te,V,Z,H){super(),this.f=J,this.g=te,this.h=V,this.i=Z,this.j=H}async scanExtensions(J){const te=J.profile?await this.l(J):await this.k(J);let V={};if(J.excludeObsolete&&J.type===1)try{const Z=(await this.i.readFile(this.f)).value.toString();V=JSON.parse(Z)}catch{}return(0,a.$te)(V)?te:te.filter(Z=>!V[P.$co.create(Z).toString()])}async k(J){const te=await this.i.resolve(J.location);if(!te.children?.length)return[];const V=await Promise.all(te.children.map(async Z=>{if(!Z.isDirectory||J.type===1&&(0,h.$3f)(Z.resource).indexOf(".")===0)return null;const H=new ne(Z.resource,J.mtime,J.applicationExtensionslocation,J.applicationExtensionslocationMtime,J.profile,J.profileScanOptions,J.type,J.excludeObsolete,J.validate,J.productVersion,J.productDate,J.productCommit,J.devMode,J.language,J.translations);return this.scanExtension(H)}));return(0,E.$jf)(V).sort((Z,H)=>Z.location.path<H.location.path?-1:1)}async l(J){let te=await this.m(J.location,()=>!0,J);if(J.applicationExtensionslocation&&!this.h.extUri.isEqual(J.location,J.applicationExtensionslocation)){te=te.filter(Z=>!Z.metadata?.isApplicationScoped);const V=await this.m(J.applicationExtensionslocation,Z=>!!Z.metadata?.isBuiltin||!!Z.metadata?.isApplicationScoped,J);te.push(...V)}return te}async m(J,te,V){const Z=await this.g.scanProfileExtensions(J,V.profileScanOptions);if(!Z.length)return[];const H=await Promise.all(Z.map(async B=>{if(te(B)){const ie=new ne(B.location,V.mtime,V.applicationExtensionslocation,V.applicationExtensionslocationMtime,V.profile,V.profileScanOptions,V.type,V.excludeObsolete,V.validate,V.productVersion,V.productDate,V.productCommit,V.devMode,V.language,V.translations);return this.scanExtension(ie,B.metadata)}return null}));return(0,E.$jf)(H)}async scanOneOrMultipleExtensions(J){try{if(await this.i.exists((0,h.$6f)(J.location,"package.json"))){const te=await this.scanExtension(J);return te?[te]:[]}else return await this.scanExtensions(J)}catch(te){return this.j.error(`Error scanning extensions at ${J.location.path}:`,(0,R.$8)(te)),[]}}async scanExtension(J,te){try{let V=await this.scanExtensionManifest(J.location);if(V){V.publisher||(V.publisher=k.$zl),te=te??V.__metadata,delete V.__metadata;const Z=(0,P.$go)(V.publisher,V.name),H=te?.id?{id:Z,uuid:te.id}:{id:Z},B=te?.isSystem?0:J.type,ie=B===0||!!te?.isBuiltin;V=await this.n(J.location,V,ne.createNlsConfiguration(J));const Y={type:B,identifier:H,manifest:V,location:J.location,isBuiltin:ie,targetPlatform:te?.targetPlatform??"undefined",metadata:te,isValid:!0,validations:[]};return J.validate?this.validate(Y,J):Y}}catch(V){J.type!==0&&this.j.error(V)}return null}validate(J,te){let V=!0;const Z=(0,t.$ro)(te.productVersion,te.productDate,te.location,J.manifest,J.isBuiltin);for(const[H,B]of Z)H===g.default.Error&&(V=!1,this.j.error(this.u(te.location,B)));return J.isValid=V,J.validations=Z,J}async scanExtensionManifest(J){const te=(0,h.$6f)(J,"package.json");let V;try{V=(await this.i.readFile(te)).value.toString()}catch(H){return(0,i.$5j)(H)!==1&&this.j.error(this.u(J,(0,l.localize)(0,null,te.path,H.message))),null}let Z;try{Z=JSON.parse(V)}catch{const B=[];(0,L.$tm)(V,B);for(const ie of B)this.j.error(this.u(J,(0,l.localize)(1,null,te.path,ie.offset,ie.length,(0,b.$0o)(ie.error))));return null}return(0,L.$Cm)(Z)!=="object"?(this.j.error(this.u(J,(0,l.localize)(2,null,te.path))),null):Z}async n(J,te,V){const Z=await this.r(J,te,V);if(Z)try{const H=[],B=await this.s(Z.default,H);if(H.length>0)return H.forEach(Y=>{this.j.error(this.u(J,(0,l.localize)(3,null,Z.default?.path,(0,b.$0o)(Y.error))))}),te;if((0,L.$Cm)(Z)!=="object")return this.j.error(this.u(J,(0,l.localize)(4,null,Z.default?.path))),te;const ie=Z.values||Object.create(null);return(0,C.$$o)(te,ie,B)}catch{}return te}async r(J,te,V){const Z=(0,h.$6f)(J,"package.nls.json"),H=(_,T)=>{T.forEach(S=>{this.j.error(this.u(J,(0,l.localize)(5,null,_?.path,(0,b.$0o)(S.error))))})},B=_=>{this.j.error(this.u(J,(0,l.localize)(6,null,_?.path)))},ie=`${te.publisher}.${te.name}`,Y=V.translations[ie];if(Y)try{const _=u.URI.file(Y),T=(await this.i.readFile(_)).value.toString(),S=[],N=(0,L.$tm)(T,S);return S.length>0?(H(_,S),{values:void 0,default:Z}):(0,L.$Cm)(N)!=="object"?(B(_),{values:void 0,default:Z}):{values:N.contents?N.contents.package:void 0,default:Z}}catch{return{values:void 0,default:Z}}else{if(!await this.i.exists(Z))return;let T;try{T=await this.t(J,V)}catch{return}if(!T.localized)return{values:void 0,default:T.original};try{const S=(await this.i.readFile(T.localized)).value.toString(),N=[],ee=(0,L.$tm)(S,N);return N.length>0?(H(T.localized,N),{values:void 0,default:T.original}):(0,L.$Cm)(ee)!=="object"?(B(T.localized),{values:void 0,default:T.original}):{values:ee,default:T.original}}catch{return{values:void 0,default:T.original}}}}async s(J,te){if(J)try{const V=(await this.i.readFile(J)).value.toString();return(0,L.$tm)(V,te)}catch{}}t(J,te){return new Promise((V,Z)=>{const H=B=>{const ie=(0,h.$6f)(J,`package.nls.${B}.json`);this.i.exists(ie).then(Y=>{Y&&V({localized:ie,original:(0,h.$6f)(J,"package.nls.json")});const _=B.lastIndexOf("-");_===-1?V({localized:(0,h.$6f)(J,"package.nls.json"),original:null}):(B=B.substring(0,_),H(B))})};if(te.devMode||te.pseudo||!te.language)return V({localized:(0,h.$6f)(J,"package.nls.json"),original:null});H(te.language)})}u(J,te){return`[${J.path}]: ${te}`}};he=Le([Re(1,y.$8o),Re(2,D.$lk),Re(3,i.$Oj),Re(4,n.$Ni)],he);let ue=class extends he{constructor(J,te,V,Z,H,B,ie){super(te,Z,H,B,ie),this.z=J,this.C=V,this.w=this.B(new O.$pg(3e3)),this.y=this.B(new c.$5c),this.onDidChangeCache=this.y.event}async scanExtensions(J){const te=this.H(J),V=await this.D(te);if(this.v=J,V&&V.input&&ne.equals(V.input,this.v))return this.j.debug("Using cached extensions scan result",J.location.toString()),this.w.trigger(()=>this.G()),V.result.map(H=>(H.location=u.URI.revive(H.location),H));const Z=await super.scanExtensions(J);return await this.F(te,{input:J,result:Z}),Z}async D(J){try{const te=await this.i.readFile(J),V=JSON.parse(te.value.toString());return{result:V.result,input:(0,f.$Ug)(V.input)}}catch(te){this.j.debug("Error while reading the extension cache file:",J.path,(0,R.$8)(te))}return null}async F(J,te){try{await this.i.writeFile(J,A.$Ib.fromString(JSON.stringify(te)))}catch(V){this.j.debug("Error while writing the extension cache file:",J.path,(0,R.$8)(V))}}async G(){if(!this.v)return;const J=this.H(this.v),te=await this.D(J);if(!te)return;const V=te.result,Z=JSON.parse(JSON.stringify(await super.scanExtensions(this.v)));if(!o.$Hm(Z,V))try{this.j.info("Invalidating Cache",V,Z),await this.i.del(J),this.y.fire()}catch(H){this.j.error(H)}}H(J){const te=this.I(J);return this.h.extUri.joinPath(te.cacheHome,J.type===0?k.$yl:k.$xl)}I(J){return J.type===0?this.C.defaultProfile:J.profile?this.h.extUri.isEqual(J.location,this.z.extensionsResource)?this.z:this.C.profiles.find(te=>this.h.extUri.isEqual(J.location,te.extensionsResource))??this.z:this.C.defaultProfile}};ue=Le([Re(2,w.$nk),Re(3,y.$8o),Re(4,D.$lk),Re(5,i.$Oj),Re(6,n.$Ni)],ue);function le(se,J){const te=(0,P.$eo)(se.manifest.publisher,se.manifest.name);return{id:te,identifier:new k.$Dl(te),isBuiltin:se.type===0,isUserBuiltin:se.type===1&&se.isBuiltin,isUnderDevelopment:J,extensionLocation:se.location,uuid:se.identifier.uuid,targetPlatform:se.targetPlatform,...se.manifest}}e.$cp=le;class ge extends X{constructor(J,te,V,Z,H,B,ie,Y,_,T,S,N){super(J,te,(0,h.$6f)(V,".vscode-oss-dev","extensions","control.json"),Z,H,B,ie,Y,_,T,S,N),this.N=(async()=>{if(p.$y)try{const ee=await this.s.readFile(u.URI.file(p.$y));return JSON.parse(ee.value.toString())}catch{}return Object.create(null)})()}f(J){return this.N}}e.$dp=ge}),define(be[254],pe([1,0,52,14,38,5,2,13,7,23,12,33]),function(ae,e,E,O,o,A,R,L,b,d,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fp=void 0;let p=e.$fp=class extends R.$kb{constructor(m,g){super(),this.b=m,this.f=g,this.a=new O.$xg(5)}async postUninstall(m){const g=this.g(m,"uninstall");g&&(this.f.info(m.identifier.id,m.manifest.version,"Running post uninstall script"),await this.a.queue(async()=>{try{await this.h(g.script,"uninstall",g.args,!0,m),this.f.info("Finished running post uninstall script",m.identifier.id,m.manifest.version)}catch(a){this.f.error("Failed to run post uninstall script",m.identifier.id,m.manifest.version),this.f.error(a)}}));try{await d.Promises.rm(this.j(m))}catch(a){this.f.error("Error while removing extension storage path",m.identifier.id),this.f.error(a)}}g(m,g){const a=`vscode:${g}`;if(m.location.scheme===L.Schemas.file&&m.manifest&&m.manifest.scripts&&typeof m.manifest.scripts[a]=="string"){const u=m.manifest.scripts[a].split(" ");return u.length<2||u[0]!=="node"||!u[1]?(this.f.warn(m.identifier.id,m.manifest.version,`${a} should be a node script`),null):{script:(0,b.$$b)(m.location.fsPath,u[1]),args:u.slice(2)||[]}}return null}h(m,g,a,u,l){return new Promise(($,P)=>{const k=this.i(m,g,a,l);let t;const i=r=>{t&&(clearTimeout(t),t=null),r?P(r):$(void 0)};k.on("error",r=>{i((0,o.$9h)(r)||"Unknown")}),k.on("exit",(r,n)=>{i(r?`post-${g} process exited with code ${r}`:void 0)}),u&&(t=setTimeout(()=>{t=null,k.kill(),P("timed out")},5e3))})}i(m,g,a,u){const l={silent:!0,execArgv:void 0},$=(0,E.fork)(m,[`--type=extension-post-${g}`,...a],l);$.stdout.setEncoding("utf8"),$.stderr.setEncoding("utf8");const P=A.Event.fromNodeEventEmitter($.stdout,"data"),k=A.Event.fromNodeEventEmitter($.stderr,"data");P(r=>this.f.info(u.identifier.id,u.manifest.version,`post-${g}`,r)),k(r=>this.f.error(u.identifier.id,u.manifest.version,`post-${g}`,r));const t=A.Event.any(A.Event.map(P,r=>({data:`%c${r}`,format:[""]})),A.Event.map(k,r=>({data:`%c${r}`,format:["color: red"]})));return A.Event.debounce(t,(r,n)=>r?{data:r.data+n.data,format:[...r.format,...n.format]}:{data:n.data,format:n.format},100)(r=>{console.group(u.identifier.id),console.log(r.data,...r.format),console.groupEnd()}),$}j(m){return(0,b.$$b)(this.b.defaultProfile.globalStorageHome.fsPath,m.identifier.id.toLowerCase())}};e.$fp=p=Le([Re(0,v.$nk),Re(1,I.$Ni)],p)}),define(be[123],pe([1,0,12,33,34,32,44,16,25,4]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vM=void 0;let I=e.$vM=class extends R.$9o{constructor(p,h,m,g,a,u){super(d.URI.file(p.extensionsPath),h,m,g,a,u)}};e.$vM=I=Le([Re(0,b.$th),Re(1,L.$Oj),Re(2,O.$nk),Re(3,o.$lk),Re(4,A.$Rk),Re(5,E.$Ni)],I)}),define(be[255],pe([1,0,14,5,2,41,8,166,6,33]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lo=e.$Ko=e.$Jo=e.$Io=e.$Ho=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.$Go=e.$Fo=e.$Eo=void 0,e.$Eo="__$__isNewStorageMarker",e.$Fo="__$__targetStorageMarker",e.$Go=(0,b.$lh)("storageService");var I;(function(l){l[l.NONE=0]="NONE",l[l.SHUTDOWN=1]="SHUTDOWN"})(I||(e.WillSaveStateReason=I={}));var v;(function(l){l[l.APPLICATION=-1]="APPLICATION",l[l.PROFILE=0]="PROFILE",l[l.WORKSPACE=1]="WORKSPACE"})(v||(e.StorageScope=v={}));var p;(function(l){l[l.USER=0]="USER",l[l.MACHINE=1]="MACHINE"})(p||(e.StorageTarget=p={}));function h(l){const $=l.get(e.$Fo);if($)try{return JSON.parse($)}catch{}return Object.create(null)}e.$Ho=h;class m extends o.$kb{constructor($={flushInterval:m.a}){super(),this.j=$,this.b=this.B(new O.$8c),this.onDidChangeValue=this.b.event,this.c=this.B(new O.$8c),this.onDidChangeTarget=this.c.event,this.f=this.B(new O.$5c),this.onWillSaveState=this.f.event,this.h=this.B(new E.$Cg(()=>this.k(),this.j.flushInterval)),this.i=this.B(new o.$lb),this.v=void 0,this.y=void 0,this.C=void 0}k(){this.i.value=(0,E.$Gg)(()=>{this.l()&&this.flush(),this.h.schedule()})}l(){return!0}m(){(0,o.$fb)([this.i,this.h])}initialize(){return this.g||(this.g=(async()=>{(0,A.mark)("code/willInitStorage");try{await this.J()}finally{(0,A.mark)("code/didInitStorage")}this.h.schedule()})()),this.g}n($,P){const{key:k,external:t}=P;if(k===e.$Fo){switch($){case-1:this.C=void 0;break;case 0:this.y=void 0;break;case 1:this.v=void 0;break}this.c.fire({scope:$})}else this.b.fire({scope:$,key:k,target:this.F($)[k],external:t})}r($){this.f.fire({reason:$})}get($,P,k){return this.L(P)?.get($,k)}getBoolean($,P,k){return this.L(P)?.getBoolean($,k)}getNumber($,P,k){return this.L(P)?.getNumber($,k)}getObject($,P,k){return this.L(P)?.getObject($,k)}storeAll($,P){this.t(()=>{for(const k of $)this.store(k.key,k.value,k.scope,k.target,P)})}store($,P,k,t,i=!1){if((0,R.$pe)(P)){this.remove($,k,i);return}this.t(()=>{this.u($,k,t),this.L(k)?.set($,P,i)})}remove($,P,k=!1){this.t(()=>{this.u($,P,void 0),this.L(P)?.delete($,k)})}t($){this.b.pause(),this.c.pause();try{$()}finally{this.b.resume(),this.c.resume()}}keys($,P){const k=[],t=this.F($);for(const i of Object.keys(t))t[i]===P&&k.push(i);return k}u($,P,k,t=!1){const i=this.F(P);typeof k=="number"?i[$]!==k&&(i[$]=k,this.L(P)?.set(e.$Fo,JSON.stringify(i),t)):typeof i[$]=="number"&&(delete i[$],this.L(P)?.set(e.$Fo,JSON.stringify(i),t))}get w(){return this.v||(this.v=this.G(1)),this.v}get z(){return this.y||(this.y=this.G(0)),this.y}get D(){return this.C||(this.C=this.G(-1)),this.C}F($){switch($){case-1:return this.D;case 0:return this.z;default:return this.w}}G($){const P=this.L($);return P?h(P):Object.create(null)}isNew($){return this.getBoolean(e.$Eo,$)===!0}async flush($=I.NONE){this.f.fire({reason:$});const P=this.L(-1),k=this.L(0),t=this.L(1);switch($){case I.NONE:await E.Promises.settled([P?.whenFlushed()??Promise.resolve(),k?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case I.SHUTDOWN:await E.Promises.settled([P?.flush(0)??Promise.resolve(),k?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const $=this.L(-1)?.items??new Map,P=this.L(0)?.items??new Map,k=this.L(1)?.items??new Map;return u($,P,k,this.M(-1)??"",this.M(0)??"",this.M(1)??"")}async switch($,P){return this.r(I.NONE),(0,d.$mk)($)?this.N($,P):this.O($,P)}H($,P){return!($.id===P.id||g(P)&&g($))}I($,P,k){this.t(()=>{const t=new Set;for(const[i,r]of $)t.add(i),P.get(i)!==r&&this.n(k,{key:i,external:!0});for(const[i]of P.items)t.has(i)||this.n(k,{key:i,external:!0})})}}e.$Io=m,m.a=60*1e3;function g(l){return l.isDefault||!!l.useDefaultFlags?.uiState}e.$Jo=g;class a extends m{constructor(){super(),this.p=this.B(new L.$Co(new L.$Do,{hint:L.StorageHint.STORAGE_IN_MEMORY})),this.P=this.B(new L.$Co(new L.$Do,{hint:L.StorageHint.STORAGE_IN_MEMORY})),this.Q=this.B(new L.$Co(new L.$Do,{hint:L.StorageHint.STORAGE_IN_MEMORY})),this.B(this.Q.onDidChangeStorage($=>this.n(1,$))),this.B(this.P.onDidChangeStorage($=>this.n(0,$))),this.B(this.p.onDidChangeStorage($=>this.n(-1,$)))}L($){switch($){case-1:return this.p;case 0:return this.P;default:return this.Q}}M($){switch($){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async J(){}async N(){}async O(){}hasScope($){return!1}}e.$Ko=a;async function u(l,$,P,k,t,i){const r=M=>{try{return JSON.parse(M)}catch{return M}},n=new Map,s=new Map;l.forEach((M,X)=>{n.set(X,M),s.set(X,r(M))});const c=new Map,f=new Map;$.forEach((M,X)=>{c.set(X,M),f.set(X,r(M))});const y=new Map,w=new Map;P.forEach((M,X)=>{y.set(X,M),w.set(X,r(M))}),console.group(k!==t?`Storage: Application (path: ${k})`:`Storage: Application & Profile (path: ${k}, default profile)`);const D=[];if(n.forEach((M,X)=>{D.push({key:X,value:M})}),console.table(D),console.groupEnd(),console.log(s),k!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const M=[];c.forEach((X,ne)=>{M.push({key:ne,value:X})}),console.table(M),console.groupEnd(),console.log(f)}console.group(`Storage: Workspace (path: ${i})`);const C=[];y.forEach((M,X)=>{C.push({key:X,value:M})}),console.table(C),console.groupEnd(),console.log(w)}e.$Lo=u}),define(be[124],pe([1,0,18,20,11,3,30,8,4,24,25,31,37,77,16,12,26,43,239,255,32]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qo=e.$Po=e.$Oo=void 0;const k=A.$o?"web":(0,v.$Gn)(A.$t,R.$6b),t="X-Market-Search-Activity-Id";var i;(function(T){T[T.None=0]="None",T[T.IncludeVersions=1]="IncludeVersions",T[T.IncludeFiles=2]="IncludeFiles",T[T.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",T[T.IncludeSharedAccounts=8]="IncludeSharedAccounts",T[T.IncludeVersionProperties=16]="IncludeVersionProperties",T[T.ExcludeNonValidated=32]="ExcludeNonValidated",T[T.IncludeInstallationTargets=64]="IncludeInstallationTargets",T[T.IncludeAssetUri=128]="IncludeAssetUri",T[T.IncludeStatistics=256]="IncludeStatistics",T[T.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",T[T.Unpublished=4096]="Unpublished",T[T.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(i||(i={}));function r(...T){return String(T.reduce((S,N)=>S|N,0))}var n;(function(T){T[T.Tag=1]="Tag",T[T.ExtensionId=4]="ExtensionId",T[T.Category=5]="Category",T[T.ExtensionName=7]="ExtensionName",T[T.Target=8]="Target",T[T.Featured=9]="Featured",T[T.SearchText=10]="SearchText",T[T.ExcludeWithFlags=12]="ExcludeWithFlags"})(n||(n={}));const s={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source",Signature:"Microsoft.VisualStudio.Services.VsixSignature"},c={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink"},y={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:i.None,criteria:[],assetTypes:[]};class w{constructor(S=y){this.d=S}get pageNumber(){return this.d.pageNumber}get pageSize(){return this.d.pageSize}get sortBy(){return this.d.sortBy}get sortOrder(){return this.d.sortOrder}get flags(){return this.d.flags}get criteria(){return this.d.criteria}withPage(S,N=this.d.pageSize){return new w({...this.d,pageNumber:S,pageSize:N})}withFilter(S,...N){const ee=[...this.d.criteria,...N.length?N.map(oe=>({filterType:S,value:oe})):[{filterType:S}]];return new w({...this.d,criteria:ee})}withSortBy(S){return new w({...this.d,sortBy:S})}withSortOrder(S){return new w({...this.d,sortOrder:S})}withFlags(...S){return new w({...this.d,flags:S.reduce((N,ee)=>N|ee,0)})}withAssetTypes(...S){return new w({...this.d,assetTypes:S})}withSource(S){return new w({...this.d,source:S})}get raw(){const{criteria:S,pageNumber:N,pageSize:ee,sortBy:oe,sortOrder:z,flags:q,assetTypes:W}=this.d;return{filters:[{criteria:S,pageNumber:N,pageSize:ee,sortBy:oe,sortOrder:z}],assetTypes:W,flags:q}}get searchText(){const S=this.d.criteria.filter(N=>N.filterType===n.SearchText)[0];return S&&S.value?S.value:""}get telemetryData(){return{filterTypes:this.d.criteria.map(S=>String(S.filterType)),flags:this.d.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.d.source,searchTextLength:this.searchText.length}}}function D(T,S){const N=(T||[]).filter(ee=>ee.statisticName===S)[0];return N?N.value:0}function C(T){const S="Microsoft.VisualStudio.Code.Translation.";return T.files.filter(ee=>ee.assetType.indexOf(S)===0).reduce((ee,oe)=>{const z=ne(T,oe.assetType);return z&&ee.push([oe.assetType.substring(S.length),z]),ee},[])}function M(T){if(T.properties){const S=T.properties.filter(oe=>oe.key===s.Repository),N=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),ee=S.filter(oe=>N.test(oe.value))[0];return ee?{uri:ee.value,fallbackUri:ee.value}:null}return ne(T,s.Repository)}function X(T){return{uri:`${T.fallbackAssetUri}/${s.VSIX}?redirect=true${T.targetPlatform?`&targetPlatform=${T.targetPlatform}`:""}`,fallbackUri:`${T.fallbackAssetUri}/${s.VSIX}${T.targetPlatform?`?targetPlatform=${T.targetPlatform}`:""}`}}function ne(T,S){return T.files.filter(ee=>ee.assetType===S)[0]?{uri:`${T.assetUri}/${S}${T.targetPlatform?`?targetPlatform=${T.targetPlatform}`:""}`,fallbackUri:`${T.fallbackAssetUri}/${S}${T.targetPlatform?`?targetPlatform=${T.targetPlatform}`:""}`}:null}function he(T,S){const N=T.properties?T.properties.filter(oe=>oe.key===S):[],ee=N.length>0&&N[0].value;return ee?ee.split(",").map(oe=>(0,p.$fo)(oe)):[]}function ue(T){const S=T.properties?T.properties.filter(N=>N.key===c.Engine):[];return S.length>0&&S[0].value||""}function le(T){const S=T.properties?T.properties.filter(N=>N.key===c.PreRelease):[];return S.length>0&&S[0].value==="true"}function ge(T){const S=T.properties?T.properties.filter(ee=>ee.key===c.LocalizedLanguages):[],N=S.length>0&&S[0].value||"";return N?N.split(","):[]}function se(T){return T.properties?.find(S=>S.key===c.SponsorLink)?.value}function J(T){return T.indexOf("preview")!==-1}function te(T){return T.targetPlatform?(0,v.$Fn)(T.targetPlatform):"undefined"}function V(T){const S=(0,E.$of)(T.versions.map(te)),N=!!T.tags?.includes(v.$Bn),ee=S.indexOf("web");return N?ee===-1&&S.push("web"):ee!==-1&&S.splice(ee,1),S}function Z(T,S){const N=(0,v.$Jn)(S);for(let ee=0;ee<T.length;ee++){const oe=T[ee];if(oe.version===T[ee-1]?.version){let z=ee;const q=te(oe);if(q===S)for(;z>0&&T[z-1].version===oe.version;)z--;else if(N.includes(q))for(;z>0&&T[z-1].version===oe.version&&te(T[z-1])!==S;)z--;z!==ee&&(T.splice(ee,1),T.splice(z,0,oe))}}return T}e.$Oo=Z;function H(T,S,N){T.telemetryData={index:S,querySource:N,queryActivityId:T.queryContext?.[t]}}function B(T,S,N,ee){const oe=T.versions[0],z={manifest:ne(S,s.Manifest),readme:ne(S,s.Details),changelog:ne(S,s.Changelog),license:ne(S,s.License),repository:M(S),download:X(S),icon:ne(S,s.Icon),signature:ne(S,s.Signature),coreTranslations:C(S)};return{identifier:{id:(0,p.$go)(T.publisher.publisherName,T.extensionName),uuid:T.extensionId},name:T.extensionName,version:S.version,displayName:T.displayName,publisherId:T.publisher.publisherId,publisher:T.publisher.publisherName,publisherDisplayName:T.publisher.displayName,publisherDomain:T.publisher.domain?{link:T.publisher.domain,verified:!!T.publisher.isDomainVerified}:void 0,publisherSponsorLink:se(oe),description:T.shortDescription||"",installCount:D(T.statistics,"install"),rating:D(T.statistics,"averagerating"),ratingCount:D(T.statistics,"ratingcount"),categories:T.categories||[],tags:T.tags||[],releaseDate:Date.parse(T.releaseDate),lastUpdated:Date.parse(T.lastUpdated),allTargetPlatforms:N,assets:z,properties:{dependencies:he(S,c.Dependency),extensionPack:he(S,c.ExtensionPack),engine:ue(S),localizedLanguages:ge(S),targetPlatform:te(S),isPreReleaseVersion:le(S)},hasPreReleaseVersion:le(oe),hasReleaseVersion:!0,preview:J(T.flags),isSigned:!!z.signature,queryContext:ee}}let ie=class{constructor(S,N,ee,oe,z,q,W,U){this.k=N,this.l=ee,this.n=oe,this.o=z,this.q=q,this.u=W,this.w=U;const G=W.extensionsGallery,K=G?.servicePPEUrl&&U.getValue("_extensionsGallery.enablePPE");this.d=K?G.servicePPEUrl:G?.serviceUrl,this.g=K?void 0:G?.searchUrl,this.h=G?.controlUrl,this.j=(0,l.$No)(W.version,W,this.n,this.w,this.q,S,this.o)}x(S=""){return`${this.d}${S}`}isEnabled(){return!!this.d}async getExtensions(S,N,ee){const oe=O.CancellationToken.isCancellationToken(N)?{}:N,z=O.CancellationToken.isCancellationToken(N)?N:ee,q=[],W=[],U=[],G=[];let K=!0;for(const we of S){we.uuid?W.push(we.uuid):q.push(we.id);const Pe=!!(we.version||we.preRelease);U.push({id:we.id,uuid:we.uuid,includePreRelease:Pe}),we.version&&G.push({id:we.id,uuid:we.uuid,version:we.version}),K=K&&!!we.hasPreRelease&&!Pe}if(!W.length&&!q.length)return[];let Q=new w().withPage(1,S.length);W.length&&(Q=Q.withFilter(n.ExtensionId,...W)),q.length&&(Q=Q.withFilter(n.ExtensionName,...q)),(oe.queryAllVersions||K)&&(Q=Q.withFlags(Q.flags,i.IncludeVersions)),oe.source&&(Q=Q.withSource(oe.source));const{extensions:ce}=await this.z(Q,{targetPlatform:oe.targetPlatform??k,includePreRelease:U,versions:G,compatible:!!oe.compatible},z);return oe.source&&ce.forEach((we,Pe)=>H(we,Pe,oe.source)),ce}async getCompatibleExtension(S,N,ee){if((0,v.$Hn)(S.allTargetPlatforms,ee))return null;if(await this.isExtensionCompatible(S,N,ee))return S;const oe=new w().withFlags(i.IncludeVersions).withPage(1,1).withFilter(n.ExtensionId,S.identifier.uuid),{extensions:z}=await this.z(oe,{targetPlatform:ee,compatible:!0,includePreRelease:N},O.CancellationToken.None);return z[0]||null}async isExtensionCompatible(S,N,ee){if(!(0,v.$In)(S.properties.targetPlatform,S.allTargetPlatforms,ee)||!N&&S.properties.isPreReleaseVersion)return!1;let oe=S.properties.engine;if(!oe){const z=await this.getManifest(S,O.CancellationToken.None);if(!z)throw new Error("Manifest was not found");oe=z.engines.vscode}return(0,h.$to)(oe,this.u.version,this.u.date)}async y(S,N,ee,oe,z){if(!(0,v.$In)(te(S),oe,z)||N!=="any"&&le(S)!==(N==="prerelease"))return!1;if(ee)try{const q=await this.E(S);if(!(0,h.$to)(q,this.u.version,this.u.date))return!1}catch(q){return this.l.error(`Error while getting the engine for the version ${S.version}.`,(0,o.$8)(q)),!1}return!0}async query(S,N){let ee=S.text||"";const oe=S.pageSize??50;let z=new w().withPage(1,oe);ee?(ee=ee.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(K,Q,ce)=>(z=z.withFilter(n.Category,ce||Q),"")),ee=ee.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(K,Q,ce)=>(z=z.withFilter(n.Tag,ce||Q),"")),ee=ee.replace(/\bfeatured(\s+|\b|$)/g,()=>(z=z.withFilter(n.Featured),"")),ee=ee.trim(),ee&&(ee=ee.length<200?ee:ee.substring(0,200),z=z.withFilter(n.SearchText,ee)),z=z.withSortBy(0)):S.ids?z=z.withFilter(n.ExtensionId,...S.ids):S.names?z=z.withFilter(n.ExtensionName,...S.names):z=z.withSortBy(4),typeof S.sortBy=="number"&&(z=z.withSortBy(S.sortBy)),typeof S.sortOrder=="number"&&(z=z.withSortOrder(S.sortOrder)),S.source&&(z=z.withSource(S.source));const q=async(K,Q)=>{const{extensions:ce,total:we}=await this.z(K,{targetPlatform:k,compatible:!1,includePreRelease:!!S.includePreRelease},Q);return ce.forEach((Pe,Ce)=>H(Pe,(K.pageNumber-1)*K.pageSize+Ce,S.source)),{extensions:ce,total:we}},{extensions:W,total:U}=await q(z,N),G=async(K,Q)=>{if(Q.isCancellationRequested)throw new o.$2;const{extensions:ce}=await q(z.withPage(K+1),Q);return ce};return{firstPage:W,total:U,pageSize:z.pageSize,getPage:G}}async z(S,N,ee){const oe=S.flags;S.flags&i.IncludeLatestVersionOnly&&S.flags&i.IncludeVersions&&(S=S.withFlags(S.flags&~i.IncludeVersions,i.IncludeLatestVersionOnly)),!(S.flags&i.IncludeLatestVersionOnly)&&!(S.flags&i.IncludeVersions)&&(S=S.withFlags(S.flags,i.IncludeLatestVersionOnly)),N.versions?.length&&(S=S.withFlags(S.flags&~i.IncludeLatestVersionOnly,i.IncludeVersions)),S=S.withFlags(S.flags,i.IncludeAssetUri,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeStatistics,i.IncludeVersionProperties);const{galleryExtensions:z,total:q,context:W}=await this.B(S,ee);if(!(S.flags&i.IncludeLatestVersionOnly)){const Q=[];for(const ce of z){const we=await this.A(ce,N,W);we&&Q.push(we)}return{extensions:Q,total:q}}const G=[],K=new Map;for(let Q=0;Q<z.length;Q++){const ce=z[Q],we={id:(0,p.$go)(ce.publisher.publisherName,ce.extensionName),uuid:ce.extensionId},Pe=(0,L.$me)(N.includePreRelease)?N.includePreRelease:!!N.includePreRelease.find(Fe=>(0,p.$bo)(Fe,we))?.includePreRelease;if(N.compatible&&(0,v.$Hn)(V(ce),N.targetPlatform))continue;const Ce=await this.A(ce,N,W);!Ce||Ce.properties.isPreReleaseVersion&&(!Pe||!Ce.hasReleaseVersion)||!Ce.properties.isPreReleaseVersion&&Ce.properties.targetPlatform!==N.targetPlatform&&Ce.hasPreReleaseVersion?K.set(ce.extensionId,Q):G.push([Q,Ce])}if(K.size){const Q=new Date().getTime(),ce=new w().withFlags(oe&~i.IncludeLatestVersionOnly,i.IncludeVersions).withPage(1,K.size).withFilter(n.ExtensionId,...K.keys()),{extensions:we}=await this.z(ce,N,ee);this.o.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-Q,count:K.size});for(const Pe of we){const Ce=K.get(Pe.identifier.uuid);G.push([Ce,Pe])}}return{extensions:G.sort((Q,ce)=>Q[0]-ce[0]).map(([,Q])=>Q),total:q}}async A(S,N,ee){const oe={id:(0,p.$go)(S.publisher.publisherName,S.extensionName),uuid:S.extensionId},z=N.versions?.find(G=>(0,p.$bo)(G,oe))?.version,q=(0,L.$me)(N.includePreRelease)?N.includePreRelease:!!N.includePreRelease.find(G=>(0,p.$bo)(G,oe))?.includePreRelease,W=V(S),U=Z(S.versions,N.targetPlatform);if(N.compatible&&(0,v.$Hn)(W,N.targetPlatform))return null;for(let G=0;G<U.length;G++){const K=U[G];if(!(z&&K.version!==z)){if(await this.y(K,q?"any":"release",N.compatible,W,N.targetPlatform))return B(S,K,W,ee);if(z&&K.version===z)return null}}return z||N.compatible?null:B(S,S.versions[0],W)}async B(S,N){if(!this.isEnabled())throw new Error("No extension gallery service configured.");S=S.withFlags(S.flags,i.ExcludeNonValidated).withFilter(n.Target,"Microsoft.VisualStudio.Code").withFilter(n.ExcludeWithFlags,r(i.Unpublished));const ee=await this.j,oe=JSON.stringify(S.raw),z={...ee,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(oe.length)},q=new Date().getTime();let W,U,G=0;try{if(W=await this.k.request({type:"POST",url:this.g&&S.criteria.some(Q=>Q.filterType===n.SearchText)?this.g:this.x("/extensionquery"),data:oe,headers:z},N),W.res.statusCode&&W.res.statusCode>=400&&W.res.statusCode<500)return{galleryExtensions:[],total:G};const K=await(0,u.$zo)(W);if(K){const Q=K.results[0],ce=Q.extensions,we=Q.resultMetadata&&Q.resultMetadata.filter(Pe=>Pe.metadataType==="ResultCount")[0];return G=we&&we.metadataItems.filter(Pe=>Pe.name==="TotalCount")[0].count||0,{galleryExtensions:ce,total:G,context:{[t]:W.res.headers.activityid}}}return{galleryExtensions:[],total:G}}catch(K){throw U=K,K}finally{this.o.publicLog2("galleryService:query",{...S.telemetryData,requestBodySize:String(oe.length),duration:new Date().getTime()-q,success:!!W&&(0,u.$wo)(W),responseBodySize:W?.res.headers["Content-Length"],statusCode:W?String(W.res.statusCode):void 0,errorCode:U?(0,o.$1)(U)?"canceled":(0,o.$8)(U).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(G)})}}async reportStatistic(S,N,ee,oe){if(!this.isEnabled())return;const z=A.$o?this.x(`/itemName/${S}.${N}/version/${ee}/statType/${oe==="install"?"1":"3"}/vscodewebextension`):this.x(`/publishers/${S}/extensions/${N}/${ee}/stats?statType=${oe}`),q=A.$o?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",U={...await this.j,Accept:q};try{await this.k.request({type:"POST",url:z,headers:U},O.CancellationToken.None)}catch{}}async download(S,N,ee){this.l.trace("ExtensionGalleryService#download",S.identifier.id);const oe=(0,p.$jo)(S),z=new Date().getTime(),q=Q=>this.o.publicLog("galleryService:downloadVSIX",{...oe,duration:Q}),W=ee===2?"install":ee===3?"update":"",U=W?{uri:`${S.assets.download.uri}${b.URI.parse(S.assets.download.uri).query?"&":"?"}${W}=true`,fallbackUri:`${S.assets.download.fallbackUri}${b.URI.parse(S.assets.download.fallbackUri).query?"&":"?"}${W}=true`}:S.assets.download,G=S.queryContext?.[t]?{[t]:S.queryContext[t]}:void 0,K=await this.D(U,G?{headers:G}:void 0);await this.q.writeFile(N,K.stream),q(new Date().getTime()-z)}async downloadSignatureArchive(S,N){if(!S.assets.signature)throw new Error("No signature asset found");this.l.trace("ExtensionGalleryService#downloadSignatureArchive",S.identifier.id);const ee=await this.D(S.assets.signature);await this.q.writeFile(N,ee.stream)}async getReadme(S,N){if(S.assets.readme){const ee=await this.D(S.assets.readme,{},N);return await(0,u.$yo)(ee)||""}return""}async getManifest(S,N){if(S.assets.manifest){const ee=await this.D(S.assets.manifest,{},N),oe=await(0,u.$yo)(ee);return oe?JSON.parse(oe):null}return null}async C(S,N){const ee=ne(S,s.Manifest);if(!ee)throw new Error("Manifest was not found");const oe={"Accept-Encoding":"gzip"},z=await this.D(ee,{headers:oe});return await(0,u.$zo)(z)}async getCoreTranslation(S,N){const ee=S.assets.coreTranslations.filter(oe=>oe[0]===N.toUpperCase())[0];if(ee){const oe=await this.D(ee[1]),z=await(0,u.$yo)(oe);return z?JSON.parse(z):null}return null}async getChangelog(S,N){if(S.assets.changelog){const ee=await this.D(S.assets.changelog,{},N);return await(0,u.$yo)(ee)||""}return""}async getAllCompatibleVersions(S,N,ee){let oe=new w().withFlags(i.IncludeVersions,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties).withPage(1,1);S.identifier.uuid?oe=oe.withFilter(n.ExtensionId,S.identifier.uuid):oe=oe.withFilter(n.ExtensionName,S.identifier.id);const{galleryExtensions:z}=await this.B(oe,O.CancellationToken.None);if(!z.length)return[];const q=V(z[0]);if((0,v.$Hn)(q,ee))return[];const W=[];await Promise.all(z[0].versions.map(async K=>{try{await this.y(K,N?"any":"release",!0,q,ee)&&W.push(K)}catch{}}));const U=[],G=new Set;for(const K of Z(W,ee))G.has(K.version)||(G.add(K.version),U.push({version:K.version,date:K.lastUpdated,isPreReleaseVersion:le(K)}));return U}async D(S,N={},ee=O.CancellationToken.None){const oe=await this.j,z={type:"GET"},q={...oe,...N.headers||{}};N={...N,...z,headers:q};const W=S.uri,U=S.fallbackUri,G={...N,url:W};try{const K=await this.k.request(G,ee);if(K.res.statusCode===200)return K;const Q=await(0,u.$yo)(K);throw new Error(`Expected 200, got back ${K.res.statusCode} instead.

${Q}`)}catch(K){if((0,o.$1)(K))throw K;const Q=(0,o.$8)(K);this.o.publicLog2("galleryService:cdnFallback",{url:W,message:Q});const ce={...N,url:U};return this.k.request(ce,ee)}}async E(S){let N=ue(S);if(!N){const ee=await this.C(S,O.CancellationToken.None);if(!ee)throw new Error("Manifest was not found");N=ee.engines.vscode}return N}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.h)return{malicious:[],deprecated:{},search:[]};const S=await this.k.request({type:"GET",url:this.h},O.CancellationToken.None);if(S.res.statusCode!==200)throw new Error("Could not get extensions report.");const N=await(0,u.$zo)(S),ee=[],oe={},z=[];if(N){for(const q of N.malicious)ee.push({id:q});if(N.migrateToPreRelease)for(const[q,W]of Object.entries(N.migrateToPreRelease))(!W.engine||(0,h.$to)(W.engine,this.u.version,this.u.date))&&(oe[q.toLowerCase()]={disallowInstall:!0,extension:{id:W.id,displayName:W.displayName,autoMigrate:{storage:!!W.migrateStorage},preRelease:!0}});if(N.deprecated)for(const[q,W]of Object.entries(N.deprecated))W&&(oe[q.toLowerCase()]=(0,L.$me)(W)?{}:W);if(N.search)for(const q of N.search)z.push(q)}return{malicious:ee,deprecated:oe,search:z}}};ie=Le([Re(1,u.$uo),Re(2,g.$Ni),Re(3,I.$sh),Re(4,P.$Rk),Re(5,m.$Oj),Re(6,a.$6i),Re(7,d.$Rh)],ie);let Y=e.$Po=class extends ie{constructor(S,N,ee,oe,z,q,W,U){super(S,N,ee,oe,z,q,W,U)}};e.$Po=Y=Le([Re(0,$.$Go),Re(1,u.$uo),Re(2,g.$Ni),Re(3,I.$sh),Re(4,P.$Rk),Re(5,m.$Oj),Re(6,a.$6i),Re(7,d.$Rh)],Y);let _=e.$Qo=class extends ie{constructor(S,N,ee,oe,z,q,W){super(void 0,S,N,ee,oe,z,q,W)}};e.$Qo=_=Le([Re(0,u.$uo),Re(1,g.$Ni),Re(2,I.$sh),Re(3,P.$Rk),Re(4,m.$Oj),Re(5,a.$6i),Re(6,d.$Rh)],_)}),define(be[256],pe([1,0,5,2,33,51]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$DM=e.$CM=void 0;class R{constructor(d,I){this.a=d,this.b=I}listen(d,I){const v=this.b(d);switch(I){case"onDidChangeProfiles":return E.Event.map(this.a.onDidChangeProfiles,p=>({all:p.all.map(h=>(0,A.$lm)({...h},v)),added:p.added.map(h=>(0,A.$lm)({...h},v)),removed:p.removed.map(h=>(0,A.$lm)({...h},v)),updated:p.updated.map(h=>(0,A.$lm)({...h},v))}))}throw new Error(`Invalid listen ${I}`)}async call(d,I,v){const p=this.b(d);switch(I){case"createProfile":{const h=await this.a.createProfile(v[0],v[1],v[2]);return(0,A.$lm)({...h},p)}case"updateProfile":{let h=(0,o.$ok)((0,A.$mm)(v[0],p),this.a.profilesHome.scheme);return h=await this.a.updateProfile(h,v[1]),(0,A.$lm)({...h},p)}case"removeProfile":{const h=(0,o.$ok)((0,A.$mm)(v[0],p),this.a.profilesHome.scheme);return this.a.removeProfile(h)}}throw new Error(`Invalid call ${I}`)}}e.$CM=R;class L extends O.$kb{get defaultProfile(){return this.profiles[0]}get profiles(){return this.a}constructor(d,I,v){super(),this.profilesHome=I,this.f=v,this.a=[],this.b=this.B(new E.$5c),this.onDidChangeProfiles=this.b.event,this.c=!0,this.a=d.map(p=>(0,o.$ok)(p,this.profilesHome.scheme)),this.B(this.f.listen("onDidChangeProfiles")(p=>{const h=p.added.map(a=>(0,o.$ok)(a,this.profilesHome.scheme)),m=p.removed.map(a=>(0,o.$ok)(a,this.profilesHome.scheme)),g=p.updated.map(a=>(0,o.$ok)(a,this.profilesHome.scheme));this.a=p.all.map(a=>(0,o.$ok)(a,this.profilesHome.scheme)),this.b.fire({added:h,removed:m,updated:g,all:this.profiles})})),this.onDidResetWorkspaces=this.f.listen("onDidResetWorkspaces")}setEnablement(d){this.c=d}isEnabled(){return this.c}async createNamedProfile(d,I,v){const p=await this.f.call("createNamedProfile",[d,I,v]);return(0,o.$ok)(p,this.profilesHome.scheme)}async createProfile(d,I,v,p){const h=await this.f.call("createProfile",[d,I,v,p]);return(0,o.$ok)(h,this.profilesHome.scheme)}async createTransientProfile(d){const I=await this.f.call("createTransientProfile",[d]);return(0,o.$ok)(I,this.profilesHome.scheme)}async setProfileForWorkspace(d,I){await this.f.call("setProfileForWorkspace",[d,I])}removeProfile(d){return this.f.call("removeProfile",[d])}async updateProfile(d,I){const v=await this.f.call("updateProfile",[d,I]);return(0,o.$ok)(v,this.profilesHome.scheme)}resetWorkspaces(){return this.f.call("resetWorkspaces")}cleanUp(){return this.f.call("cleanUp")}cleanUpTransientProfiles(){return this.f.call("cleanUpTransientProfiles")}}e.$DM=L}),define(be[125],pe([1,0,4,25,16,12,233,34,33,8,234]),function(ae,e,E,O,o,A,R,L,b,d,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uM=e.$tM=e.$sM=void 0;let v=e.$sM=class Xt extends b.$qk{constructor(g,a,u,l,$){super(u,l,a,$),this.P=g,this.Q=u}J(){return this.P.getItem(Xt.b,[]).map(a=>({...a,location:(0,d.$ge)(a.location)?this.s.extUri.joinPath(this.profilesHome,a.location):E.URI.revive(a.location)}))}M(){const g=this.P.getItem(Xt.c,{});return this.P.getItem(Xt.a,!1)?g:this.I(g)}O(){return this.s.extUri.joinPath(E.URI.file(this.Q.extensionsPath).with({scheme:this.profilesHome.scheme}),"extensions.json")}};v.a="profileAssociationsMigration",e.$sM=v=Le([Re(0,R.$nM),Re(1,L.$lk),Re(2,O.$th),Re(3,o.$Oj),Re(4,A.$Ni)],v);let p=e.$tM=class jt extends v{constructor(g,a,u,l,$){super(g,a,u,l,$),this.W=g}L(g){g.length?this.W.setItem(jt.b,g.map(a=>({...a,location:this.s.extUri.basename(a.location)}))):this.W.removeItem(jt.b)}J(){const g=super.J();return this.W.getItem("userDataProfilesMigration",!1)||(this.L(g),this.W.setItem("userDataProfilesMigration",!0)),g}N(g){g.emptyWindows||g.workspaces?this.W.setItem(jt.c,g):this.W.removeItem(jt.c)}M(){const g="workspaceAndProfileInfo",a=this.W.getItem(g,void 0);if(a){this.W.removeItem(g);const l=a.reduce(($,{workspace:P,profile:k})=>($[E.URI.revive(P).toString()]=E.URI.revive(k).toString(),$),{});this.W.setItem(jt.c,{workspaces:l})}const u=super.M();return this.W.getItem(jt.a,!1)||(this.N(u),this.W.setItem(jt.a,!0)),u}};e.$tM=p=Le([Re(0,R.$oM),Re(1,L.$lk),Re(2,O.$th),Re(3,o.$Oj),Re(4,A.$Ni)],p);let h=e.$uM=class extends p{constructor(g,a,u,l){super(new I.$rM(0,a,l,u),g,a,u,l)}async init(){return await this.W.init(),super.init()}};e.$uM=h=Le([Re(0,L.$lk),Re(1,O.$th),Re(2,o.$Oj),Re(3,A.$Ni)],h)}),define(be[126],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7l=e.$6l=void 0,e.$6l=(0,E.$lh)("extensionHostStatusService");class O{constructor(){this.a=new Map}setExitInfo(A,R){this.a.set(A,R)}getExitInfo(A){return this.a.get(A)||null}}e.$7l=O}),define(be[257],pe([1,0,5,14]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cm=void 0;function o(R){let L=0,b=0,d=0;R>=1e3&&(d=Math.floor(R/1e3),R-=d*1e3),d>=60&&(b=Math.floor(d/60),d-=b*60),b>=60&&(L=Math.floor(b/60),b-=L*60);const I=L?`${L}h`:"",v=b?`${b}m`:"",p=d?`${d}s`:"",h=R?`${R}ms`:"";return`${I}${v}${p}${h}`}class A{constructor(L,b,d,I){this.i=L,this.j=b,this.a=new E.$5c,this.onClose=this.a.event,this.b=108e5,this.c=3e5,this.d=d,this.protocol=I,this.e=!1,this.f=new O.$Dg(()=>{this.k(`The reconnection grace time of ${o(this.b)} has expired, so the connection will be disposed.`),this.l()},this.b),this.g=new O.$Dg(()=>{this.k(`The reconnection short grace time of ${o(this.c)} has expired, so the connection will be disposed.`),this.l()},this.c),this.protocol.onDidDispose(()=>{this.k("The client has disconnected gracefully, so the connection will be disposed."),this.l()}),this.protocol.onSocketClose(()=>{this.k(`The client has disconnected, will wait for reconnection ${o(this.b)} before disposing...`),this.f.schedule()}),this.k("New connection established.")}k(L){this.i.info(`[${this.d}][${this.j.substr(0,8)}][ManagementConnection] ${L}`)}shortenReconnectionGraceTimeIfNecessary(){this.g.isScheduled()||this.f.isScheduled()&&(this.k(`Another client has connected, will shorten the wait for reconnection ${o(this.c)} before disposing...`),this.g.schedule())}l(){if(this.e)return;this.e=!0,this.f.dispose(),this.g.dispose();const L=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),L.end(),this.a.fire(void 0)}acceptReconnection(L,b,d){this.d=L,this.k("The client has reconnected."),this.f.cancel(),this.g.cancel(),this.protocol.beginAcceptReconnection(b,d),this.protocol.endAcceptReconnection()}}e.$cm=A}),define(be[127],pe([1,0,28,13,7,149,54]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InternalNLSConfiguration=e.$2k=void 0;const L=o.$$b(O.$1e.asFileUri("").fsPath,"nls.metadata.json"),b=new Map;function d(p){return new Promise(h=>E.exists(p,h))}function I(p,h){return d(L).then(m=>{if(!m||!R.default.commit)return Promise.resolve({locale:"en",osLocale:"en",availableLanguages:{}});const g=`${p}||${h}`;let a=b.get(g);return a||(a=A.getNLSConfiguration(R.default.commit,h,L,p,p).then(u=>(v.is(u)&&(u._languagePackSupport=!0),u)),b.set(g,a)),a})}e.$2k=I;var v;(function(p){function h(m){const g=m;return g&&typeof g._languagePackId=="string"}p.is=h})(v||(e.InternalNLSConfiguration=v={}))}),define(be[128],pe([1,0,19,4,25,44,57,16,6,12,26,34,33,127]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$iM=void 0;let m=e.$iM=class extends R.$ap{constructor(a,u,l,$,P,k,t,i){super(O.URI.file(P.builtinExtensionsPath),O.URI.file(P.extensionsPath),(0,E.$6f)(P.userHome,".vscode-oss-dev","extensions","control.json"),a.defaultProfile,a,u,l,$,P,k,t,i),this.N=P}async f(a){const u=await(0,h.$2k)(a,this.N.userDataPath);if(h.InternalNLSConfiguration.is(u))try{const l=await this.s.readFile(O.URI.file(u._translationsConfigFile));return JSON.parse(l.value.toString())}catch{}return Object.create(null)}};e.$iM=m=Le([Re(0,p.$nk),Re(1,A.$8o),Re(2,L.$Oj),Re(3,d.$Ni),Re(4,o.$th),Re(5,I.$6i),Re(6,v.$lk),Re(7,b.$kh)],m)}),define(be[258],pe([1,0,259,28,7,22,13,23]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$im=e.$hm=e.$gm=e.$fm=e.$em=e.$dm=e.ServerConnectionTokenType=void 0;const b=/^[0-9A-Za-z_-]+$/;var d;(function(a){a[a.None=0]="None",a[a.Optional=1]="Optional",a[a.Mandatory=2]="Mandatory"})(d||(e.ServerConnectionTokenType=d={}));class I{constructor(){this.type=0}validate(u){return!0}}e.$dm=I;class v{constructor(u){this.value=u,this.type=2}validate(u){return u===this.value}}e.$em=v;class p{constructor(u){this.message=u}}e.$fm=p;async function h(a,u){const l=a["without-connection-token"],$=a["connection-token"],P=a["connection-token-file"];if(l)return typeof $<"u"||typeof P<"u"?new p("Please do not use the argument '--connection-token' or '--connection-token-file' at the same time as '--without-connection-token'."):new I;if(typeof P<"u"){if(typeof $<"u")return new p("Please do not use the argument '--connection-token' at the same time as '--connection-token-file'.");let k;try{k=O.readFileSync(P).toString().replace(/\r?\n$/,"")}catch{return new p(`Unable to read the connection token file at '${P}'.`)}return b.test(k)?new v(k):new p(`The connection token defined in '${P} does not adhere to the characters 0-9, a-z, A-Z, _, or -.`)}return typeof $<"u"?b.test($)?new v($):new p(`The connection token '${$} does not adhere to the characters 0-9, a-z, A-Z or -.`):new v(await u())}e.$gm=h;async function m(a){return h(a,async()=>{if(!a["user-data-dir"])return(0,A.$3e)();const l=o.$$b(a["user-data-dir"],"token");try{const k=(await L.Promises.readFile(l)).toString().replace(/\r?\n$/,"");if(b.test(k))return k}catch{}const $=(0,A.$3e)();try{await L.Promises.writeFile(l,$,{mode:384})}catch{}return $})}e.$hm=m;function g(a,u,l){if(a.validate(l.query[R.$Ue]))return!0;const $=E.parse(u.headers.cookie||"");return a.validate($[R.$Te])}e.$im=g}),define(be[45],pe([1,0,196,107,62,6,25]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Yl=e.$Xl=e.$Wl=void 0,e.$Wl={host:{type:"string",cat:"o",args:"ip-address",description:E.localize(0,null)},port:{type:"string",cat:"o",args:"port | port range",description:E.localize(1,null)},"socket-path":{type:"string",cat:"o",args:"path",description:E.localize(2,null)},"connection-token":{type:"string",cat:"o",args:"token",deprecates:["connectionToken"],description:E.localize(3,null)},"connection-token-file":{type:"string",cat:"o",args:"path",deprecates:["connection-secret","connectionTokenFile"],description:E.localize(4,null)},"without-connection-token":{type:"boolean",cat:"o",description:E.localize(5,null)},"disable-websocket-compression":{type:"boolean"},"print-startup-performance":{type:"boolean"},"print-ip-address":{type:"boolean"},"accept-server-license-terms":{type:"boolean",cat:"o",description:E.localize(6,null)},"server-data-dir":{type:"string",cat:"o",description:E.localize(7,null)},"telemetry-level":{type:"string",cat:"o",args:"level",description:E.localize(8,null)},"user-data-dir":o.$gl["user-data-dir"],"enable-smoke-test-driver":o.$gl["enable-smoke-test-driver"],"disable-telemetry":o.$gl["disable-telemetry"],"disable-workspace-trust":o.$gl["disable-workspace-trust"],"file-watcher-polling":{type:"string",deprecates:["fileWatcherPolling"]},log:o.$gl.log,logsPath:o.$gl.logsPath,"force-disable-user-env":o.$gl["force-disable-user-env"],folder:{type:"string",deprecationMessage:"No longer supported. Folder needs to be provided in the browser URL or with `default-folder`."},workspace:{type:"string",deprecationMessage:"No longer supported. Workspace needs to be provided in the browser URL or with `default-workspace`."},"default-folder":{type:"string",description:E.localize(9,null)},"default-workspace":{type:"string",description:E.localize(10,null)},"enable-sync":{type:"boolean"},"github-auth":{type:"string"},"use-test-resolver":{type:"boolean"},"extensions-dir":o.$gl["extensions-dir"],"extensions-download-dir":o.$gl["extensions-download-dir"],"builtin-extensions-dir":o.$gl["builtin-extensions-dir"],"install-extension":o.$gl["install-extension"],"install-builtin-extension":o.$gl["install-builtin-extension"],"uninstall-extension":o.$gl["uninstall-extension"],"list-extensions":o.$gl["list-extensions"],"locate-extension":o.$gl["locate-extension"],"show-versions":o.$gl["show-versions"],category:o.$gl.category,force:o.$gl.force,"do-not-sync":o.$gl["do-not-sync"],"pre-release":o.$gl["pre-release"],"start-server":{type:"boolean",cat:"e",description:E.localize(11,null)},"enable-remote-auto-shutdown":{type:"boolean"},"remote-auto-shutdown-without-delay":{type:"boolean"},"use-host-proxy":{type:"boolean"},"without-browser-env-var":{type:"boolean"},help:o.$gl.help,version:o.$gl.version,"locate-shell-integration-path":o.$gl["locate-shell-integration-path"],compatibility:{type:"string"},_:o.$gl._},e.$Xl=(0,A.$mh)(R.$sh);class L extends O.$Tl{get args(){return super.args}}e.$Yl=L}),define(be[260],pe([1,0,28,74,83,259,85,39,60,3,12,45,7,13,22,26,43,20,4,15,8,56]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$JM=e.$IM=e.CacheControl=e.$HM=void 0;const t={".html":"text/html",".js":"text/javascript",".json":"application/json",".css":"text/css",".svg":"image/svg+xml"};async function i(f,y,w,D){y.writeHead(w,{"Content-Type":"text/plain"}),y.end(D)}e.$HM=i;var r;(function(f){f[f.NO_CACHING=0]="NO_CACHING",f[f.ETAG=1]="ETAG",f[f.NO_EXPIRY=2]="NO_EXPIRY"})(r||(e.CacheControl=r={}));async function n(f,y,w,D,C,M){try{const X=await E.promises.stat(f);if(y===1){const ne=`W/"${[X.ino,X.size,X.mtime.getTime()].join("-")}"`;if(D.headers["if-none-match"]===ne)return C.writeHead(304),void C.end();M.Etag=ne}else y===2?M["Cache-Control"]="public, max-age=31536000":y===0&&(M["Cache-Control"]="no-store");M["Content-Type"]=t[(0,p.$dc)(f)]||(0,b.$sr)(f)||"text/plain",C.writeHead(200,M),(0,E.createReadStream)(f).pipe(C)}catch(X){return X.code!=="ENOENT"?(w.error(X),console.error(X.toString())):console.error(`File not found: ${f}`),C.writeHead(404,{"Content-Type":"text/plain"}),void C.end("Not found")}}e.$IM=n;const s=(0,p.$bc)(h.$1e.asFileUri("").fsPath);let c=e.$JM=class{constructor(y,w,D,C,M){this.f=y,this.g=w,this.h=D,this.i=C,this.j=M,this.a=this.j.extensionsGallery?.resourceUrlTemplate?l.URI.parse(this.j.extensionsGallery.resourceUrlTemplate):void 0;const X=(0,k.$zk)(M);this.b=`${X}/static`,this.c=`${X}/callback`,this.d=`${X}/web-extension-resource`}async handle(y,w,D){try{const C=D.pathname;return C.startsWith(this.b)&&C.charCodeAt(this.b.length)===47?this.k(y,w,D):C==="/"?this.n(y,w,D):C===this.c?this.p(w):C.startsWith(this.d)&&C.charCodeAt(this.d.length)===47?this.m(y,w,D):i(y,w,404,"Not found.")}catch(C){return this.h.error(C),console.error(C.toString()),i(y,w,500,"Internal Server Error.")}}async k(y,w,D){const C=Object.create(null),X=decodeURIComponent(D.pathname).substring(this.b.length+1),ne=(0,p.$$b)(s,X);return(0,L.$He)(ne,s,!d.$k)?n(ne,this.g.isBuilt?2:1,this.h,y,w,C):i(y,w,400,"Bad request.")}l(y){const w=y.authority.indexOf(".");return w!==-1?y.authority.substring(w+1):void 0}async m(y,w,D){if(!this.a)return i(y,w,500,"No extension gallery service configured.");const C=decodeURIComponent(D.pathname),M=(0,p.$9b)(C.substring(this.d.length+1)),X=l.URI.parse(M).with({scheme:this.a.scheme,authority:M.substring(0,M.indexOf("/")),path:M.substring(M.indexOf("/")+1)});if(this.l(this.a)!==this.l(X))return i(y,w,403,"Request Forbidden");const ne={},he=te=>{const V=y.headers[te];V&&((0,P.$ge)(V)||V[0])?ne[te]=(0,P.$ge)(V)?V:V[0]:te!==te.toLowerCase()&&he(te.toLowerCase())};he("X-Client-Name"),he("X-Client-Version"),he("X-Machine-Id"),he("X-Client-Commit");const ue=await this.i.request({type:"GET",url:X.toString(!0),headers:ne},u.CancellationToken.None),le=ue.res.statusCode||500;if(le!==200){let te=null;try{te=await(0,a.$yo)(ue)}catch{}return i(y,w,le,te||`Request failed with status ${le}`)}const ge=Object.create(null),se=te=>{const V=ue.res.headers[te];V?ge[te]=V:te!==te.toLowerCase()&&se(te.toLowerCase())};se("Cache-Control"),se("Content-Type"),w.writeHead(200,ge);const J=await(0,$.$Tb)(ue.stream);return void w.end(J.buffer)}async n(y,w,D){const C=D.query[h.$Ue];if(typeof C=="string"){const Y=Object.create(null);Y["Set-Cookie"]=A.serialize(h.$Te,C,{sameSite:"lax",maxAge:60*60*24*7});const _=Object.create(null);for(const S in D.query)S!==h.$Ue&&(_[S]=D.query[S]);const T=o.format({pathname:"/",query:_});return Y.Location=T,w.writeHead(302,Y),void w.end()}const M=Y=>{const _=y.headers[Y];return Array.isArray(_)?_[0]:_},X=!this.g.isBuilt&&this.g.args["use-test-resolver"],ne=X?"test+test":M("x-original-host")||M("x-forwarded-host")||y.headers.host;if(!ne)return i(y,w,400,"Bad request.");function he(Y){return JSON.stringify(Y).replace(/"/g,"&quot;")}let ue;this.g.args["enable-smoke-test-driver"]&&(ue=!1);const le=Y=>Y&&l.URI.file(O.resolve(Y)).with({scheme:h.Schemas.vscodeRemote,authority:ne}),ge=h.$1e.asFileUri(this.g.isBuilt?"vs/code/browser/workbench/workbench.html":"vs/code/browser/workbench/workbench-dev.html").fsPath,se=!this.g.isBuilt&&this.g.args["github-auth"]?{id:(0,m.$3e)(),providerId:"github",accessToken:this.g.args["github-auth"],scopes:[["user:email"],["repo"]]}:void 0,J={embedderIdentifier:"server-distro",extensionsGallery:this.a?{...this.j.extensionsGallery,resourceUrlTemplate:this.a.with({scheme:"http",authority:ne,path:`${this.d}/${this.a.authority}${this.a.path}`}).toString(!0)}:void 0};if(!this.g.isBuilt)try{const Y=JSON.parse((await E.promises.readFile((0,p.$$b)(s,"product.overrides.json"))).toString());Object.assign(J,Y)}catch{}const te={remoteAuthority:ne,_wrapWebWorkerExtHostInIframe:ue,developmentOptions:{enableSmokeTestDriver:this.g.args["enable-smoke-test-driver"]?!0:void 0,logLevel:this.h.getLevel()},settingsSyncOptions:!this.g.isBuilt&&this.g.args["enable-sync"]?{enabled:!0}:void 0,enableWorkspaceTrust:!this.g.args["disable-workspace-trust"],folderUri:le(this.g.args["default-folder"]),workspaceUri:le(this.g.args["default-workspace"]),productConfiguration:J,callbackRoute:this.c},V=this.j.extensionsGallery?.nlsBaseUrl,Z={WORKBENCH_WEB_CONFIGURATION:he(te),WORKBENCH_AUTH_SESSION:se?he(se):"",WORKBENCH_WEB_BASE_URL:this.b,WORKBENCH_NLS_BASE_URL:V?`${V}${V.endsWith("/")?"":"/"}${this.j.commit}/${this.j.version}/`:""};if(X){const Y=[];for(const _ of["vscode-test-resolver","github-authentication"]){const T=JSON.parse((await E.promises.readFile(h.$1e.asFileUri(`${h.$We}/${_}/package.json`).fsPath)).toString());Y.push({extensionPath:_,packageJSON:T})}Z.WORKBENCH_BUILTIN_EXTENSIONS=he(Y)}let H;try{H=(await E.promises.readFile(ge)).toString().replace(/\{\{([^}]+)\}\}/g,(_,T)=>Z[T]??"undefined")}catch{return w.writeHead(404,{"Content-Type":"text/plain"}),void w.end("Not found")}const ie={"Content-Type":"text/html","Content-Security-Policy":["default-src 'self';","img-src 'self' https: data: blob:;","media-src 'self';",`script-src 'self' 'unsafe-eval' ${this.o(H).join(" ")} 'sha256-fh3TwPMflhsEIpR8g1OYTIMVWhXTLcjQ9kh2tIpmv54=' ${X?"":`http://${ne}`};`,"child-src 'self';","frame-src 'self' https://*.vscode-cdn.net data:;","worker-src 'self' data: blob:;","style-src 'self' 'unsafe-inline';","connect-src 'self' ws: wss: https:;","font-src 'self' blob:;","manifest-src 'self';"].join(" ")};return this.f.type!==0&&(ie["Set-Cookie"]=A.serialize(h.$Te,this.f.value,{sameSite:"lax",maxAge:60*60*24*7})),w.writeHead(200,ie),void w.end(H)}o(y){const w=/<script>([\s\S]+?)<\/script>/img,D=[];let C;for(;C=w.exec(y);){const M=R.createHash("sha256"),X=C[1].replace(/\r\n/g,`
`),ne=M.update(Buffer.from(X)).digest().toString("base64");D.push(`'sha256-${ne}'`)}return D}async p(y){const w=h.$1e.asFileUri("vs/code/browser/workbench/callback.html").fsPath,D=(await E.promises.readFile(w)).toString(),C=["default-src 'self';","img-src 'self' https: data: blob:;","media-src 'none';",`script-src 'self' ${this.o(D).join(" ")};`,"style-src 'self' 'unsafe-inline';","font-src 'self' blob:;"].join(" ");return y.writeHead(200,{"Content-Type":"text/html","Content-Security-Policy":C}),void y.end(D)}};e.$JM=c=Le([Re(1,v.$Xl),Re(2,I.$Ni),Re(3,a.$uo),Re(4,g.$6i)],c)}),define(be[261],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qL=void 0,e.$qL=(0,E.$lh)("IExtHostInitDataService")}),define(be[262],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bL=e.$aL=void 0,e.$aL=(0,E.$lh)("IExtHostRpcService");class O{constructor(A){this.getProxy=A.getProxy.bind(A),this.set=A.set.bind(A),this.dispose=A.dispose.bind(A),this.assertRegistered=A.assertRegistered.bind(A),this.drain=A.drain.bind(A)}}e.$bL=O}),define(be[68],pe([1,0,51]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_q=void 0;function O(A){return{transformIncoming:R=>R.scheme==="vscode-remote"?{scheme:"file",path:R.path,query:R.query,fragment:R.fragment}:R.scheme==="file"?{scheme:"vscode-local",path:R.path,query:R.query,fragment:R.fragment}:R,transformOutgoing:R=>R.scheme==="file"?{scheme:"vscode-remote",authority:A,path:R.path,query:R.query,fragment:R.fragment}:R.scheme==="vscode-local"?{scheme:"file",path:R.path,query:R.query,fragment:R.fragment}:R,transformOutgoingScheme:R=>R==="file"?"vscode-remote":R==="vscode-local"?"file":R}}function o(A){return new E.$jm(O(A))}e.$_q=o}),define(be[263],pe([1,0,3,41,4,68,51,104,237,7,19]),function(ae,e,E,O,o,A,R,L,b,d,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gr=void 0;class v{constructor(h,m,g,a){this.b=h,this.c=m,this.d=g,this.e=a}async call(h,m,g){switch(m){case"getEnvironmentData":{const a=g,u=(0,A.$_q)(a.remoteAuthority);let l=await this.f(a.profile);return l=(0,R.$lm)(l,u),l}case"getExtensionHostExitInfo":{const a=g;return this.e.getExitInfo(a.reconnectionToken)}case"getDiagnosticInfo":{const a=g,u={machineInfo:(0,b.$dr)()},l=a.includeProcesses?(0,L.$br)(process.pid):Promise.resolve();let $=[];const P={};if(a.folders){const k=(0,A.$_q)("");$=a.folders.map(i=>o.URI.revive(k.transformIncoming(i))).filter(i=>i.scheme==="file").map(i=>(0,b.$cr)(i.fsPath,["node_modules",".git"]).then(r=>{P[(0,d.$cc)(i.fsPath)]=r}))}return Promise.all([l,...$]).then(([k,t])=>(u.processes=k||void 0,u.workspaceMetadata=a.folders?P:void 0,u))}}throw new Error(`IPC Command ${m} not found`)}listen(h,m,g){throw new Error("Not supported")}async f(h){return h&&!this.d.profiles.some(m=>m.id===h)&&await this.d.createProfile(h,h),{pid:process.pid,connectionToken:this.b.type!==0?this.b.value:"",appRoot:o.URI.file(this.c.appRoot),settingsPath:this.c.machineSettingsResource,logsPath:this.c.logsHome,extensionHostLogsPath:(0,I.$6f)(this.c.logsHome,`exthost${v.a++}`),globalStorageHome:this.d.defaultProfile.globalStorageHome,workspaceStorageHome:this.c.workspaceStorageHome,localHistoryHome:this.c.localHistoryHome,userHome:this.c.userHome,os:E.OS,arch:process.arch,marks:O.getMarks(),useHostProxy:!!this.c.args["use-host-proxy"],profiles:{home:this.d.profilesHome,all:[...this.d.profiles].map(m=>({...m}))}}}}e.$gr=v,v.a=1}),define(be[264],pe([1,0,4,68,66,7,222]),function(ae,e,E,O,o,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jr=void 0;class L extends R.$hr{constructor(I,v){super(new o.$Np(I),I),this.H=v,this.G=new Map,this.B(this.a)}c(I){let v=this.G.get(I.remoteAuthority);return v||(v=(0,O.$_q)(I.remoteAuthority),this.G.set(I.remoteAuthority,v)),v}f(I,v,p=!1){if(p&&v.path==="/vscode-resource"&&v.query){const h=JSON.parse(v.query).requestResourcePath;return E.URI.from({scheme:"file",path:h})}return E.URI.revive(I.transformIncoming(v))}F(I,v){return new b(I,v,this.b,this.H)}}e.$jr=L;class b extends R.$ir{constructor(I,v,p,h){super(I,v,p,h)}i(I){const v=I.args["file-watcher-polling"];if(v){const p=v.split(A.$ic),h=Number(p[0]);if(h>0)return{usePolling:p.length>1?p.slice(1):!0,pollingInterval:h}}}j(I){if(I.extensionsPath)return[A.$8b.join(I.extensionsPath,"**")]}}}),define(be[89],pe([1,0,199,8,4,2,6,35,16,13,38,154,58]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pE=e.$oE=e.$nE=e.EditorsOrder=e.$mE=e.CloseDirection=e.$lE=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.$kE=e.$jE=e.$iE=e.$hE=e.$gE=e.$fE=e.$eE=e.$dE=e.EditorInputCapabilities=e.$cE=e.SaveReason=e.Verbosity=e.$bE=e.$aE=e.$_D=e.$$D=e.$0D=e.$9D=e.$8D=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.$7D=e.$6D=e.$5D=e.$4D=e.$3D=void 0,e.$3D={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.$4D={id:"default",displayName:(0,E.localize)(0,null),providerDisplayName:(0,E.localize)(1,null)},e.$5D="workbench.editor.sidebysideEditor",e.$6D="workbench.editors.textDiffEditor",e.$7D="workbench.editors.binaryResourceDiffEditor";var h;(function(B){B[B.PROGRAMMATIC=1]="PROGRAMMATIC",B[B.USER=2]="USER",B[B.EDIT=3]="EDIT",B[B.NAVIGATION=4]="NAVIGATION",B[B.JUMP=5]="JUMP"})(h||(e.EditorPaneSelectionChangeReason=h={}));var m;(function(B){B[B.IDENTICAL=1]="IDENTICAL",B[B.SIMILAR=2]="SIMILAR",B[B.DIFFERENT=3]="DIFFERENT"})(m||(e.EditorPaneSelectionCompareResult=m={}));function g(B){const ie=B;return!!ie&&typeof ie.getSelection=="function"&&!!ie.onDidChangeSelection}e.$8D=g;function a(B,ie,Y){for(const _ of Y.visibleEditorPanes)if(_.group.id===ie&&B.matches(_.input))return _.getViewState()}e.$9D=a;function u(B){if(c(B))return!1;const ie=B;return o.URI.isUri(ie?.resource)}e.$0D=u;function l(B){if(c(B))return!1;const ie=B;return ie?.original!==void 0&&ie.modified!==void 0}e.$$D=l;function $(B){if(c(B)||l(B))return!1;const ie=B;return ie?.primary!==void 0&&ie.secondary!==void 0}e.$_D=$;function P(B){if(c(B))return!1;const ie=B;return ie?ie.resource===void 0||ie.resource.scheme===d.Schemas.untitled||ie.forceUntitled===!0:!1}e.$aE=P;function k(B){if(c(B))return!1;const ie=B;return o.URI.isUri(ie?.base?.resource)&&o.URI.isUri(ie?.input1?.resource)&&o.URI.isUri(ie?.input2?.resource)&&o.URI.isUri(ie?.result?.resource)}e.$bE=k;var t;(function(B){B[B.SHORT=0]="SHORT",B[B.MEDIUM=1]="MEDIUM",B[B.LONG=2]="LONG"})(t||(e.Verbosity=t={}));var i;(function(B){B[B.EXPLICIT=1]="EXPLICIT",B[B.AUTO=2]="AUTO",B[B.FOCUS_CHANGE=3]="FOCUS_CHANGE",B[B.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(i||(e.SaveReason=i={}));class r{constructor(){this.a=new Map}registerSource(ie,Y){let _=this.a.get(ie);return _||(_={source:ie,label:Y},this.a.set(ie,_)),_.source}getSourceLabel(ie){return this.a.get(ie)?.label??ie}}e.$cE=new r;var n;(function(B){B[B.None=0]="None",B[B.Readonly=2]="Readonly",B[B.Untitled=4]="Untitled",B[B.Singleton=8]="Singleton",B[B.RequiresTrust=16]="RequiresTrust",B[B.CanSplitInGroup=32]="CanSplitInGroup",B[B.ForceDescription=64]="ForceDescription",B[B.CanDropIntoEditor=128]="CanDropIntoEditor",B[B.MultipleEditors=256]="MultipleEditors",B[B.Scratchpad=512]="Scratchpad"})(n||(e.EditorInputCapabilities=n={}));class s extends A.$kb{}e.$dE=s;function c(B){return B instanceof s}e.$eE=c;function f(B){const ie=B;return o.URI.isUri(ie?.preferredResource)}function y(B){const ie=B;return c(ie?.primary)&&c(ie?.secondary)}e.$fE=y;function w(B){const ie=B;return c(ie?.modified)&&c(ie?.original)}e.$gE=w;function D(B,ie,Y,_,T){return H(_,[(0,v.$8h)({id:"workbench.action.openLargeFile",label:(0,E.localize)(2,null),run:()=>{const S={...Y,limits:{size:Number.MAX_VALUE}};B.openEditor(ie,S)}}),(0,v.$8h)({id:"workbench.action.configureEditorLargeFileConfirmation",label:(0,E.localize)(3,null),run:()=>T.openUserSettings({query:"workbench.editorLargeFileConfirmation"})})],{forceMessage:!0,forceSeverity:p.default.Warning})}e.$hE=D;function C(B){return c(B?.editor)}e.$iE=C;function M(B){const ie=B;return C(B)&&ie?.group!==void 0}e.$jE=M;function X(B){const ie=B;return typeof ie?.groupId=="number"&&c(ie.editor)}e.$kE=X;var ne;(function(B){B[B.UNKNOWN=0]="UNKNOWN",B[B.REPLACE=1]="REPLACE",B[B.MOVE=2]="MOVE",B[B.UNPIN=3]="UNPIN"})(ne||(e.EditorCloseContext=ne={}));var he;(function(B){B[B.GROUP_ACTIVE=0]="GROUP_ACTIVE",B[B.GROUP_INDEX=1]="GROUP_INDEX",B[B.GROUP_LOCKED=2]="GROUP_LOCKED",B[B.EDITOR_OPEN=3]="EDITOR_OPEN",B[B.EDITOR_CLOSE=4]="EDITOR_CLOSE",B[B.EDITOR_MOVE=5]="EDITOR_MOVE",B[B.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",B[B.EDITOR_LABEL=7]="EDITOR_LABEL",B[B.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",B[B.EDITOR_PIN=9]="EDITOR_PIN",B[B.EDITOR_STICKY=10]="EDITOR_STICKY",B[B.EDITOR_DIRTY=11]="EDITOR_DIRTY",B[B.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(he||(e.GroupModelChangeKind=he={}));var ue;(function(B){B[B.PRIMARY=1]="PRIMARY",B[B.SECONDARY=2]="SECONDARY",B[B.BOTH=3]="BOTH",B[B.ANY=4]="ANY"})(ue||(e.SideBySideEditor=ue={}));class le{getOriginalUri(ie,Y){if(!ie)return;if(k(ie))return e.$lE.getOriginalUri(ie.result,Y);if(Y?.supportSideBySide){const{primary:T,secondary:S}=this.a(ie);if(T&&S){if(Y?.supportSideBySide===ue.BOTH)return{primary:this.getOriginalUri(T,{filterByScheme:Y.filterByScheme}),secondary:this.getOriginalUri(S,{filterByScheme:Y.filterByScheme})};if(Y?.supportSideBySide===ue.ANY)return this.getOriginalUri(T,{filterByScheme:Y.filterByScheme})??this.getOriginalUri(S,{filterByScheme:Y.filterByScheme});ie=Y.supportSideBySide===ue.PRIMARY?T:S}}if(l(ie)||$(ie)||k(ie))return;const _=f(ie)?ie.preferredResource:ie.resource;return!_||!Y||!Y.filterByScheme?_:this.b(_,Y.filterByScheme)}a(ie){return y(ie)||$(ie)?{primary:ie.primary,secondary:ie.secondary}:w(ie)||l(ie)?{primary:ie.modified,secondary:ie.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(ie,Y){if(!ie)return;if(k(ie))return e.$lE.getCanonicalUri(ie.result,Y);if(Y?.supportSideBySide){const{primary:T,secondary:S}=this.a(ie);if(T&&S){if(Y?.supportSideBySide===ue.BOTH)return{primary:this.getCanonicalUri(T,{filterByScheme:Y.filterByScheme}),secondary:this.getCanonicalUri(S,{filterByScheme:Y.filterByScheme})};if(Y?.supportSideBySide===ue.ANY)return this.getCanonicalUri(T,{filterByScheme:Y.filterByScheme})??this.getCanonicalUri(S,{filterByScheme:Y.filterByScheme});ie=Y.supportSideBySide===ue.PRIMARY?T:S}}if(l(ie)||$(ie)||k(ie))return;const _=ie.resource;return!_||!Y||!Y.filterByScheme?_:this.b(_,Y.filterByScheme)}b(ie,Y){if(Array.isArray(Y)){if(Y.some(_=>ie.scheme===_))return ie}else if(Y===ie.scheme)return ie}}e.$lE=new le;var ge;(function(B){B[B.LEFT=0]="LEFT",B[B.RIGHT=1]="RIGHT"})(ge||(e.CloseDirection=ge={}));class se{constructor(){this.c=new Map,this.d=new Map}start(ie){const Y=this.a=ie.get(R.$kh);for(const[_,T]of this.c)this.e(_,T,Y);this.c.clear()}e(ie,Y,_){const T=_.createInstance(Y);this.d.set(ie,T)}registerFileEditorFactory(ie){if(this.b)throw new Error("Can only register one file editor factory.");this.b=ie}getFileEditorFactory(){return(0,O.$re)(this.b)}registerEditorSerializer(ie,Y){if(this.c.has(ie)||this.d.has(ie))throw new Error(`A editor serializer with type ID '${ie}' was already registered.`);return this.a?this.e(ie,Y,this.a):this.c.set(ie,Y),(0,A.$ib)(()=>{this.c.delete(ie),this.d.delete(ie)})}getEditorSerializer(ie){return this.d.get(typeof ie=="string"?ie:ie.typeId)}}L.$Pm.add(e.$3D.EditorFactory,new se);async function J(B,ie,Y){return!B||!B.length?[]:await Promise.all(B.map(async _=>{const T=o.URI.revive(_.fileUri);if(!T){Y.info("Cannot resolve the path because it is not valid.",_);return}if(!await ie.canHandleResource(T)){Y.info("Cannot resolve the path because it cannot be handled",_);return}let N=_.exists,ee=_.type;if(typeof N!="boolean"||typeof ee!="number")try{ee=(await ie.stat(T)).isDirectory?b.FileType.Directory:b.FileType.Unknown,N=!0}catch(z){Y.error(z),N=!1}if(!N&&_.openOnlyIfExists){Y.info("Cannot resolve the path because it does not exist",_);return}if(ee===b.FileType.Directory){Y.info("Cannot resolve the path because it is a directory",_);return}const oe={..._.options,pinned:!0};return N?{resource:T,options:oe}:{resource:T,options:oe,forceUntitled:!0}}))}e.$mE=J;var te;(function(B){B[B.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",B[B.SEQUENTIAL=1]="SEQUENTIAL"})(te||(e.EditorsOrder=te={}));function V(B){const ie=B;if(!ie)return!1;const Y=ie;if(Y.modified)return V(Y.modified);const _=ie;return!!(_.contributionsState&&_.viewState&&Array.isArray(_.cursorState))}e.$nE=V;function Z(B){return(0,I.$0h)(B)}e.$oE=Z;function H(B,ie,Y){const _=(0,I.$$h)(B,ie);return _.forceMessage=Y?.forceMessage,_.forceSeverity=Y?.forceSeverity,_.allowDialog=Y?.allowDialog,_}e.$pE=H}),define(be[129],pe([1,0,15,76,46,60,13,7,3,64]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hH=e.$gH=e.$fH=e.CellStatusbarAlignment=e.$eH=e.$dH=e.$cH=e.NotebookEditorPriority=e.$bH=e.$aH=e.$_G=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookExecutionState=e.NotebookCellExecutionState=e.NotebookRunState=e.$$G=e.$0G=e.$9G=e.$8G=e.CellKind=e.$7G=e.$6G=e.$5G=void 0,e.$5G="workbench.editor.notebook",e.$6G="workbench.editor.notebookTextDiffEditor",e.$7G="workbench.editor.interactive";var I;(function(se){se[se.Markup=1]="Markup",se[se.Code=2]="Code"})(I||(e.CellKind=I={})),e.$8G=["application/json","application/javascript","text/html","image/svg+xml",A.$qr.latex,A.$qr.markdown,"image/png","image/jpeg",A.$qr.text],e.$9G=[A.$qr.latex,A.$qr.markdown,"application/json","text/html","image/svg+xml","image/png","image/jpeg",A.$qr.text],e.$0G=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.$$G="_notAvailable";var v;(function(se){se[se.Running=1]="Running",se[se.Idle=2]="Idle"})(v||(e.NotebookRunState=v={}));var p;(function(se){se[se.Unconfirmed=1]="Unconfirmed",se[se.Pending=2]="Pending",se[se.Executing=3]="Executing"})(p||(e.NotebookCellExecutionState=p={}));var h;(function(se){se[se.Unconfirmed=1]="Unconfirmed",se[se.Pending=2]="Pending",se[se.Executing=3]="Executing"})(h||(e.NotebookExecutionState=h={}));var m;(function(se){se[se.WithHardKernelDependency=0]="WithHardKernelDependency",se[se.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",se[se.Pure=2]="Pure",se[se.Never=3]="Never"})(m||(e.NotebookRendererMatch=m={}));var g;(function(se){se.Always="always",se.Never="never",se.Optional="optional"})(g||(e.RendererMessagingSpec=g={}));var a;(function(se){se[se.ModelChange=1]="ModelChange",se[se.Move=2]="Move",se[se.ChangeCellLanguage=5]="ChangeCellLanguage",se[se.Initialize=6]="Initialize",se[se.ChangeCellMetadata=7]="ChangeCellMetadata",se[se.Output=8]="Output",se[se.OutputItem=9]="OutputItem",se[se.ChangeCellContent=10]="ChangeCellContent",se[se.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",se[se.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",se[se.ChangeCellMime=13]="ChangeCellMime",se[se.Unknown=100]="Unknown"})(a||(e.NotebookCellsChangeType=a={}));var u;(function(se){se[se.Handle=0]="Handle",se[se.Index=1]="Index"})(u||(e.SelectionStateType=u={}));var l;(function(se){se[se.Replace=1]="Replace",se[se.Output=2]="Output",se[se.Metadata=3]="Metadata",se[se.CellLanguage=4]="CellLanguage",se[se.DocumentMetadata=5]="DocumentMetadata",se[se.Move=6]="Move",se[se.OutputItems=7]="OutputItems",se[se.PartialMetadata=8]="PartialMetadata",se[se.PartialInternalMetadata=9]="PartialInternalMetadata"})(l||(e.CellEditType=l={}));var $;(function(se){se.scheme=R.Schemas.vscodeNotebookCell;const J=["W","X","Y","Z","a","b","c","d","e","f"],te=new RegExp(`^[${J.join("")}]+`),V=7;function Z(T,S){const N=S.toString(V),oe=`${N.length<J.length?J[N.length-1]:"z"}${N}s${(0,E.$2b)(E.$Ib.fromString(T.scheme),!0,!0)}`;return T.with({scheme:se.scheme,fragment:oe})}se.generate=Z;function H(T){if(T.scheme!==se.scheme)return;const S=T.fragment.indexOf("s");if(S<0)return;const N=parseInt(T.fragment.substring(0,S).replace(te,""),V),ee=(0,E.$1b)(T.fragment.substring(S+1)).toString();if(!isNaN(N))return{handle:N,notebook:T.with({scheme:ee,fragment:null})}}se.parse=H;function B(T,S){return T.with({scheme:R.Schemas.vscodeNotebookCellOutput,fragment:`op${S??""},${T.scheme!==R.Schemas.file?T.scheme:""}`})}se.generateCellOutputUri=B;function ie(T){if(T.scheme!==R.Schemas.vscodeNotebookCellOutput)return;const S=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(T.fragment);if(!S)return;const N=S[1]&&S[1]!==""?S[1]:void 0,ee=S[2];return{outputId:N,notebook:T.with({scheme:ee||R.Schemas.file,fragment:null})}}se.parseCellOutputUri=ie;function Y(T,S,N){return se.generate(T,S).with({scheme:N})}se.generateCellPropertyUri=Y;function _(T,S){if(T.scheme===S)return se.parse(T.with({scheme:se.scheme}))}se.parseCellPropertyUri=_})($||(e.CellUri=$={}));const P=se=>b.$i?se.replace(/\//g,"\\"):se;class k{constructor(J=[],te=e.$8G){this.e=te,this.d=[...new Set(J)].map(V=>({pattern:V,matches:O.$aj(P(V))}))}sort(J){const te=new Map(o.Iterable.map(J,Z=>[Z,P(Z)]));let V=[];for(const{matches:Z}of this.d)for(const[H,B]of te)if(Z(B)){V.push(H),te.delete(H);break}return te.size&&(V=V.concat([...te.keys()].sort((Z,H)=>this.e.indexOf(Z)-this.e.indexOf(H)))),V}prioritize(J,te){const V=this.f(J);if(V===-1){this.d.unshift({pattern:J,matches:O.$aj(P(J))});return}const Z=new Set(te.map(B=>this.f(B,V)));Z.delete(-1);const H=Array.from(Z).sort();this.d.splice(V+1,0,...H.map(B=>this.d[B]));for(let B=H.length-1;B>=0;B--)this.d.splice(H[B],1)}toArray(){return this.d.map(J=>J.pattern)}f(J,te=this.d.length){const V=P(J);for(let Z=0;Z<te;Z++)if(this.d[Z].matches(V))return Z;return-1}}e.$_G=k;function t(se,J,te,V=(Z,H)=>Z===H){const Z=[];function H(Y,_,T){if(_===0&&T.length===0)return;const S=Z[Z.length-1];S&&S.start+S.deleteCount===Y?(S.deleteCount+=_,S.toInsert.push(...T)):Z.push({start:Y,deleteCount:_,toInsert:T})}let B=0,ie=0;for(;;){if(B===se.length){H(B,0,J.slice(ie));break}if(ie===J.length){H(B,se.length-B,[]);break}const Y=se[B],_=J[ie];if(V(Y,_)){B+=1,ie+=1;continue}te(_)?(H(B,1,[]),B+=1):(H(B,0,[_]),ie+=1)}return Z}e.$aH=t,e.$bH=new d.$Ki("notebookEditorCursorAtBoundary","none");var i;(function(se){se.default="default",se.option="option"})(i||(e.NotebookEditorPriority=i={}));function r(se){const J=se;return!!((typeof J.include=="string"||O.$bj(J.include))&&(typeof J.exclude=="string"||O.$bj(J.exclude)))}e.$cH=r;function n(se,J,te){if(Array.isArray(se.viewType)&&se.viewType.indexOf(J)>=0||se.viewType===J)return!0;if(se.filenamePattern){const V=r(se.filenamePattern)?se.filenamePattern.include:se.filenamePattern,Z=r(se.filenamePattern)?se.filenamePattern.exclude:void 0;if(O.$_i(V,(0,L.$cc)(te.fsPath).toLowerCase()))return!(Z&&O.$_i(Z,(0,L.$cc)(te.fsPath).toLowerCase()))}return!1}e.$dH=n,e.$eH={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",diffOverviewRuler:"notebook.diff.overviewRuler",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputScrollingDeprecated:"notebook.experimental.outputScrolling",outputScrolling:"notebook.output.scrolling",textOutputLineLimit:"notebook.output.textLineLimit",formatOnSave:"notebook.formatOnSave.enabled",formatOnCellExecution:"notebook.formatOnCellExecution",codeActionsOnSave:"notebook.codeActionsOnSave",outputWordWrap:"notebook.output.wordWrap",outputLineHeightDeprecated:"notebook.outputLineHeight",outputLineHeight:"notebook.output.lineHeight",outputFontSizeDeprecated:"notebook.outputFontSize",outputFontSize:"notebook.output.fontSize",outputFontFamilyDeprecated:"notebook.outputFontFamily",outputFontFamily:"notebook.output.fontFamily",findScope:"notebook.find.scope",logging:"notebook.logging",confirmDeleteRunningCell:"notebook.confirmDeleteRunningCell"};var s;(function(se){se[se.Left=1]="Left",se[se.Right=2]="Right"})(s||(e.CellStatusbarAlignment=s={}));class c{static create(J){return`${c.d}${J}`}static parse(J){if(J.startsWith(c.d))return J.substring(c.d.length)}}e.$fH=c,c.d="notebook/";function f(se){return["application/vnd.code.notebook.stdout","application/vnd.code.notebook.stderr"].includes(se)}e.$gH=f;const y=new TextDecoder;function w(se){const J=[];let te=!1;for(const V of se)(J.length===0||te)&&(J.push(V),te=!0);return X(J),ge(E.$Ib.concat(J.map(V=>E.$Ib.wrap(V))))}e.$hH=w;const D=`${String.fromCharCode(27)}[A`,C=D.split("").map(se=>se.charCodeAt(0)),M=10;function X(se){se.forEach((J,te)=>{if(te===0||J.length<D.length)return;const V=se[te-1],Z=J.subarray(0,D.length);if(Z[0]===C[0]&&Z[1]===C[1]&&Z[2]===C[2]){const H=V.lastIndexOf(M);if(H===-1)return;se[te-1]=V.subarray(0,H),se[te]=J.subarray(D.length)}})}function ne(se){let J=se;do se=J,J=se.replace(/[^\n]\x08/gm,"");while(J.length<se.length);return se}function he(se){for(se=se.replace(/\r+\n/gm,`
`);se.search(/\r[^$]/g)>-1;){const J=se.match(/^(.*)\r+/m)[1];let te=se.match(/\r+(.*)$/m)[1];te=te+J.slice(te.length,J.length),se=se.replace(/\r+.*$/m,"\r").replace(/^.*\r/m,te)}return se}const ue="\b".charCodeAt(0),le="\r".charCodeAt(0);function ge(se){return!se.buffer.includes(ue)&&!se.buffer.includes(le)?se:E.$Ib.fromString(he(ne(y.decode(se.buffer))))}});var Rt=this&&this.__classPrivateFieldSet||function(ae,e,E,O,o){if(O==="m")throw new TypeError("Private method is not writable");if(O==="a"&&!o)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ae!==e||!o:!e.has(ae))throw new TypeError("Cannot write private member to an object whose class did not declare it");return O==="a"?o.call(ae,E):o?o.value=E:e.set(ae,E),E},it=this&&this.__classPrivateFieldGet||function(ae,e,E,O){if(E==="a"&&!O)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ae!==e||!O:!e.has(ae))throw new TypeError("Cannot read private member from an object whose class did not declare it");return E==="m"?O:E==="a"?O.call(ae):O?O.value:e.get(ae)};define(be[130],pe([1,0,18,11,101,27,60,17,8,4,22,40,16,116,129]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m){"use strict";var g,a,u,l,$,P,k,t,i,r,n,s,c,f,y,w,D,C,M,X,ne,he,ue,le,ge,se;Object.defineProperty(e,"__esModule",{value:!0}),e.InteractiveEditorResponseFeedbackKind=e.InteractiveSessionCopyKind=e.InteractiveSessionVoteDirection=e.$2K=e.$1K=e.$ZK=e.$YK=e.$XK=e.$WK=e.$VK=e.$UK=e.$TK=e.$SK=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.$RK=e.$QK=e.$PK=e.$OK=e.$NK=e.$MK=e.$LK=e.$KK=e.$JK=e.TestRunProfileKind=e.TestResultState=e.$IK=e.$HK=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.$GK=e.$FK=e.$EK=e.NotebookControllerAffinity2=e.NotebookControllerAffinity=e.$DK=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.$CK=e.$BK=e.$AK=e.$zK=e.$yK=e.ColorThemeKind=e.$xK=e.$wK=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.$vK=e.DebugConsoleMode=e.$uK=e.$tK=e.$sK=e.$rK=e.$qK=e.CommentThreadState=e.CommentState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.$pK=e.$oK=e.FileChangeType=e.$nK=e.$mK=e.$lK=e.$kK=e.InlineCompletionTriggerKind=e.$jK=e.$iK=e.$hK=e.$gK=e.$fK=e.$eK=e.$dK=e.$cK=e.$bK=e.$aK=e.$_J=e.$$J=e.$0J=e.ConfigurationTarget=e.$9J=e.$8J=e.$7J=e.$6J=e.$5J=e.$4J=e.$3J=e.$2J=e.$1J=e.TreeItemCheckboxState=e.TreeItemCollapsibleState=e.$ZJ=e.ViewBadge=e.ProgressLocation=e.$YJ=e.$XJ=e.TaskScope=e.ShellQuoting=e.$WJ=e.$VJ=e.$UJ=e.TaskPanelKind=e.TaskRevealKind=e.$TJ=e.TerminalLocation=e.$SJ=e.$RJ=e.$QJ=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.$PJ=e.$OJ=e.$NJ=e.$MJ=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.$LJ=e.StatusBarAlignment=e.ViewColumn=e.$KJ=e.$JJ=e.$IJ=e.$HJ=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.$GJ=e.$FJ=e.InlayHintKind=e.SignatureHelpTriggerKind=e.$EJ=e.$DJ=e.$CJ=e.$BJ=e.$AJ=e.LanguageStatusSeverity=e.$zJ=e.$yJ=e.$xJ=e.$wJ=e.$vJ=e.$uJ=e.$tJ=e.CodeActionTriggerKind=e.$sJ=e.$rJ=e.SymbolTag=e.SymbolKind=e.$qJ=e.DocumentHighlightKind=e.$pJ=e.$oJ=e.$nJ=e.$mJ=e.DiagnosticSeverity=e.DiagnosticTag=e.$lJ=e.$kJ=e.FileEditType=e.$jJ=e.$iJ=e.$hJ=e.EnvironmentVariableMutatorType=e.EndOfLine=e.$gJ=e.$fJ=e.$eJ=e.$dJ=e.$cJ=e.$bJ=e.$aJ=e.TerminalQuickFixType=e.TerminalOutputAnchor=void 0;function J(j){return Object.assign(j,{apply:function(){const re=arguments.length===1?[]:arguments[1];return Reflect.construct(j,re,arguments[0].constructor)},call:function(){if(arguments.length===0)return Reflect.construct(j,[]);{const[re,...$e]=arguments;return Reflect.construct(j,$e,re.constructor)}}})}var te;(function(j){j[j.Top=0]="Top",j[j.Bottom=1]="Bottom"})(te||(e.TerminalOutputAnchor=te={}));var V;(function(j){j[j.Command=0]="Command",j[j.Opener=1]="Opener"})(V||(e.TerminalQuickFixType=V={}));let Z=e.$aJ=i=class{static from(...F){let re=F;return new i(function(){if(re){for(const $e of re)$e&&typeof $e.dispose=="function"&&$e.dispose();re=void 0}})}constructor(F){g.set(this,void 0),Rt(this,g,F,"f")}dispose(){typeof it(this,g,"f")=="function"&&(it(this,g,"f").call(this),Rt(this,g,void 0,"f"))}};g=new WeakMap,e.$aJ=Z=i=Le([J],Z);let H=e.$bJ=r=class{static Min(...F){if(F.length===0)throw new TypeError;let re=F[0];for(let $e=1;$e<F.length;$e++){const je=F[$e];je.isBefore(re)&&(re=je)}return re}static Max(...F){if(F.length===0)throw new TypeError;let re=F[0];for(let $e=1;$e<F.length;$e++){const je=F[$e];je.isAfter(re)&&(re=je)}return re}static isPosition(F){if(!F)return!1;if(F instanceof r)return!0;const{line:re,character:$e}=F;return typeof re=="number"&&typeof $e=="number"}static of(F){if(F instanceof r)return F;if(this.isPosition(F))return new r(F.line,F.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this.c}get character(){return this.e}constructor(F,re){if(F<0)throw(0,O.$4)("line must be non-negative");if(re<0)throw(0,O.$4)("character must be non-negative");this.c=F,this.e=re}isBefore(F){return this.c<F.c?!0:F.c<this.c?!1:this.e<F.e}isBeforeOrEqual(F){return this.c<F.c?!0:F.c<this.c?!1:this.e<=F.e}isAfter(F){return!this.isBeforeOrEqual(F)}isAfterOrEqual(F){return!this.isBefore(F)}isEqual(F){return this.c===F.c&&this.e===F.e}compareTo(F){return this.c<F.c?-1:this.c>F.line?1:this.e<F.e?-1:this.e>F.e?1:0}translate(F,re=0){if(F===null||re===null)throw(0,O.$4)();let $e;return typeof F>"u"?$e=0:typeof F=="number"?$e=F:($e=typeof F.lineDelta=="number"?F.lineDelta:0,re=typeof F.characterDelta=="number"?F.characterDelta:0),$e===0&&re===0?this:new r(this.line+$e,this.character+re)}with(F,re=this.character){if(F===null||re===null)throw(0,O.$4)();let $e;return typeof F>"u"?$e=this.line:typeof F=="number"?$e=F:($e=typeof F.line=="number"?F.line:this.line,re=typeof F.character=="number"?F.character:this.character),$e===this.line&&re===this.character?this:new r($e,re)}toJSON(){return{line:this.line,character:this.character}}};e.$bJ=H=r=Le([J],H);let B=e.$cJ=n=class{static isRange(F){return F instanceof n?!0:F?H.isPosition(F.start)&&H.isPosition(F.end):!1}static of(F){if(F instanceof n)return F;if(this.isRange(F))return new n(F.start,F.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this.c}get end(){return this.e}constructor(F,re,$e,je){let Ve,xe;if(typeof F=="number"&&typeof re=="number"&&typeof $e=="number"&&typeof je=="number"?(Ve=new H(F,re),xe=new H($e,je)):H.isPosition(F)&&H.isPosition(re)&&(Ve=H.of(F),xe=H.of(re)),!Ve||!xe)throw new Error("Invalid arguments");Ve.isBefore(xe)?(this.c=Ve,this.e=xe):(this.c=xe,this.e=Ve)}contains(F){return n.isRange(F)?this.contains(F.start)&&this.contains(F.end):H.isPosition(F)?!(H.of(F).isBefore(this.c)||this.e.isBefore(F)):!1}isEqual(F){return this.c.isEqual(F.c)&&this.e.isEqual(F.e)}intersection(F){const re=H.Max(F.start,this.c),$e=H.Min(F.end,this.e);if(!re.isAfter($e))return new n(re,$e)}union(F){if(this.contains(F))return this;if(F.contains(this))return F;const re=H.Min(F.start,this.c),$e=H.Max(F.end,this.end);return new n(re,$e)}get isEmpty(){return this.c.isEqual(this.e)}get isSingleLine(){return this.c.line===this.e.line}with(F,re=this.end){if(F===null||re===null)throw(0,O.$4)();let $e;return F?H.isPosition(F)?$e=F:($e=F.start||this.start,re=F.end||this.end):$e=this.start,$e.isEqual(this.c)&&re.isEqual(this.end)?this:new n($e,re)}toJSON(){return[this.start,this.end]}};e.$cJ=B=n=Le([J],B);let ie=e.$dJ=s=class extends B{static isSelection(F){return F instanceof s?!0:F?B.isRange(F)&&H.isPosition(F.anchor)&&H.isPosition(F.active)&&typeof F.isReversed=="boolean":!1}get anchor(){return this.f}get active(){return this.g}constructor(F,re,$e,je){let Ve,xe;if(typeof F=="number"&&typeof re=="number"&&typeof $e=="number"&&typeof je=="number"?(Ve=new H(F,re),xe=new H($e,je)):H.isPosition(F)&&H.isPosition(re)&&(Ve=H.of(F),xe=H.of(re)),!Ve||!xe)throw new Error("Invalid arguments");super(Ve,xe),this.f=Ve,this.g=xe}get isReversed(){return this.f===this.e}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};e.$dJ=ie=s=Le([J],ie);const Y=j=>{if(typeof j!="string"||j.length===0||!/^[0-9A-Za-z_\-]+$/.test(j))throw(0,O.$4)("connectionToken")};class _{static isResolvedAuthority(F){return F&&typeof F=="object"&&typeof F.host=="string"&&typeof F.port=="number"&&(F.connectionToken===void 0||typeof F.connectionToken=="string")}constructor(F,re,$e){if(typeof F!="string"||F.length===0)throw(0,O.$4)("host");if(typeof re!="number"||re===0||Math.round(re)!==re)throw(0,O.$4)("port");typeof $e<"u"&&Y($e),this.host=F,this.port=Math.round(re),this.connectionToken=$e}}e.$eJ=_;class T{static isManagedResolvedAuthority(F){return F&&typeof F=="object"&&typeof F.makeConnection=="function"&&(F.connectionToken===void 0||typeof F.connectionToken=="string")}constructor(F,re){this.makeConnection=F,this.connectionToken=re,typeof re<"u"&&Y(re)}}e.$fJ=T;class S extends Error{static NotAvailable(F,re){return new S(F,h.RemoteAuthorityResolverErrorCode.NotAvailable,re)}static TemporarilyNotAvailable(F){return new S(F,h.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}constructor(F,re=h.RemoteAuthorityResolverErrorCode.Unknown,$e){super(F),this._message=F,this._code=re,this._detail=$e,Object.setPrototypeOf(this,S.prototype)}}e.$gJ=S;var N;(function(j){j[j.LF=1]="LF",j[j.CRLF=2]="CRLF"})(N||(e.EndOfLine=N={}));var ee;(function(j){j[j.Replace=1]="Replace",j[j.Append=2]="Append",j[j.Prepend=3]="Prepend"})(ee||(e.EnvironmentVariableMutatorType=ee={}));let oe=e.$hJ=c=class{static isTextEdit(F){return F instanceof c?!0:F?B.isRange(F)&&typeof F.newText=="string":!1}static replace(F,re){return new c(F,re)}static insert(F,re){return c.replace(new B(F,F),re)}static delete(F){return c.replace(F,"")}static setEndOfLine(F){const re=new c(new B(new H(0,0),new H(0,0)),"");return re.newEol=F,re}get range(){return this.c}set range(F){if(F&&!B.isRange(F))throw(0,O.$4)("range");this.c=F}get newText(){return this.e||""}set newText(F){if(F&&typeof F!="string")throw(0,O.$4)("newText");this.e=F}get newEol(){return this.f}set newEol(F){if(F&&typeof F!="number")throw(0,O.$4)("newEol");this.f=F}constructor(F,re){this.c=F,this.e=re}toJSON(){return{range:this.range,newText:this.newText,newEol:this.f}}};e.$hJ=oe=c=Le([J],oe);let z=e.$iJ=f=class{static isNotebookCellEdit(F){return F instanceof f?!0:F?Nt.isNotebookRange(F)&&Array.isArray(F.newCells):!1}static replaceCells(F,re){return new f(F,re)}static insertCells(F,re){return new f(new Nt(F,F),re)}static deleteCells(F){return new f(F,[])}static updateCellMetadata(F,re){const $e=new f(new Nt(F,F),[]);return $e.newCellMetadata=re,$e}static updateNotebookMetadata(F){const re=new f(new Nt(0,0),[]);return re.newNotebookMetadata=F,re}constructor(F,re){this.range=F,this.newCells=re}};e.$iJ=z=f=Le([J],z);class q{static isSnippetTextEdit(F){return F instanceof q?!0:F?B.isRange(F.range)&&G.isSnippetString(F.snippet):!1}static replace(F,re){return new q(F,re)}static insert(F,re){return q.replace(new B(F,F),re)}constructor(F,re){this.range=F,this.snippet=re}}e.$jJ=q;var W;(function(j){j[j.File=1]="File",j[j.Text=2]="Text",j[j.Cell=3]="Cell",j[j.CellReplace=5]="CellReplace",j[j.Snippet=6]="Snippet"})(W||(e.FileEditType=W={}));let U=e.$kJ=class{constructor(){this.c=[]}_allEntries(){return this.c}renameFile(F,re,$e,je){this.c.push({_type:1,from:F,to:re,options:$e,metadata:je})}createFile(F,re,$e){this.c.push({_type:1,from:void 0,to:F,options:re,metadata:$e})}deleteFile(F,re,$e){this.c.push({_type:1,from:F,to:void 0,options:re,metadata:$e})}e(F,re,$e){this.c.push({_type:3,metadata:$e,uri:F,edit:{editType:5,metadata:re},notebookMetadata:re})}f(F,re,$e,je){const Ve=re.start,xe=re.end;(Ve!==xe||$e.length>0)&&this.c.push({_type:5,uri:F,index:Ve,count:xe-Ve,cells:$e,metadata:je})}g(F,re,$e,je){this.c.push({_type:3,metadata:je,uri:F,edit:{editType:3,index:re,metadata:$e}})}replace(F,re,$e,je){this.c.push({_type:2,uri:F,edit:new oe(re,$e),metadata:je})}insert(F,re,$e,je){this.replace(F,new B(re,re),$e,je)}delete(F,re,$e){this.replace(F,re,"",$e)}has(F){return this.c.some(re=>re._type===2&&re.uri.toString()===F.toString())}set(F,re){if(re)for(const $e of re){if(!$e)continue;let je,Ve;Array.isArray($e)?(je=$e[0],Ve=$e[1]):je=$e,z.isNotebookCellEdit(je)?je.newCellMetadata?this.g(F,je.range.start,je.newCellMetadata,Ve):je.newNotebookMetadata?this.e(F,je.newNotebookMetadata,Ve):this.f(F,je.range,je.newCells,Ve):q.isSnippetTextEdit(je)?this.c.push({_type:6,uri:F,range:je.range,edit:je.snippet,metadata:Ve}):this.c.push({_type:2,uri:F,edit:je,metadata:Ve})}else{for(let $e=0;$e<this.c.length;$e++){const je=this.c[$e];switch(je._type){case 2:case 6:case 3:case 5:je.uri.toString()===F.toString()&&(this.c[$e]=void 0);break}}(0,E.$kf)(this.c)}}get(F){const re=[];for(const $e of this.c)$e._type===2&&$e.uri.toString()===F.toString()&&re.push($e.edit);return re}entries(){const F=new A.$ji;for(const re of this.c)if(re._type===2){let $e=F.get(re.uri);$e||($e=[re.uri,[]],F.set(re.uri,$e)),$e[1].push(re.edit)}return[...F.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};e.$kJ=U=Le([J],U);let G=e.$lJ=y=class{static isSnippetString(F){return F instanceof y?!0:F?typeof F.value=="string":!1}static c(F){return F.replace(/\$|}|\\/g,"\\$&")}constructor(F){this.e=1,this.value=F||""}appendText(F){return this.value+=y.c(F),this}appendTabstop(F=this.e++){return this.value+="$",this.value+=F,this}appendPlaceholder(F,re=this.e++){if(typeof F=="function"){const $e=new y;$e.e=this.e,F($e),this.e=$e.e,F=$e.value}else F=y.c(F);return this.value+="${",this.value+=re,this.value+=":",this.value+=F,this.value+="}",this}appendChoice(F,re=this.e++){const $e=F.map(je=>je.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=re,this.value+="|",this.value+=$e,this.value+="|}",this}appendVariable(F,re){if(typeof re=="function"){const $e=new y;$e.e=this.e,re($e),this.e=$e.e,re=$e.value}else typeof re=="string"&&(re=re.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=F,re&&(this.value+=":",this.value+=re),this.value+="}",this}};e.$lJ=G=y=Le([J],G);var K;(function(j){j[j.Unnecessary=1]="Unnecessary",j[j.Deprecated=2]="Deprecated"})(K||(e.DiagnosticTag=K={}));var Q;(function(j){j[j.Hint=3]="Hint",j[j.Information=2]="Information",j[j.Warning=1]="Warning",j[j.Error=0]="Error"})(Q||(e.DiagnosticSeverity=Q={}));let ce=e.$mJ=w=class{static isLocation(F){return F instanceof w?!0:F?B.isRange(F.range)&&d.URI.isUri(F.uri):!1}constructor(F,re){if(this.uri=F,re)if(B.isRange(re))this.range=B.of(re);else if(H.isPosition(re))this.range=new B(re,re);else throw new Error("Illegal argument")}toJSON(){return{uri:this.uri,range:this.range}}};e.$mJ=ce=w=Le([J],ce);let we=e.$nJ=class{static is(F){return F?typeof F.message=="string"&&F.location&&B.isRange(F.location.range)&&d.URI.isUri(F.location.uri):!1}constructor(F,re){this.location=F,this.message=re}static isEqual(F,re){return F===re?!0:!F||!re?!1:F.message===re.message&&F.location.range.isEqual(re.location.range)&&F.location.uri.toString()===re.location.uri.toString()}};e.$nJ=we=Le([J],we);let Pe=e.$oJ=class{constructor(F,re,$e=Q.Error){if(!B.isRange(F))throw new TypeError("range must be set");if(!re)throw new TypeError("message must be set");this.range=F,this.message=re,this.severity=$e}toJSON(){return{severity:Q[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(F,re){return F===re?!0:!F||!re?!1:F.message===re.message&&F.severity===re.severity&&F.code===re.code&&F.severity===re.severity&&F.source===re.source&&F.range.isEqual(re.range)&&(0,E.$$e)(F.tags,re.tags)&&(0,E.$$e)(F.relatedInformation,re.relatedInformation,we.isEqual)}};e.$oJ=Pe=Le([J],Pe);let Ce=e.$pJ=class{constructor(F,re){if(!F)throw new Error("Illegal argument, contents must be defined");Array.isArray(F)?this.contents=F:this.contents=[F],this.range=re}};e.$pJ=Ce=Le([J],Ce);var Fe;(function(j){j[j.Text=0]="Text",j[j.Read=1]="Read",j[j.Write=2]="Write"})(Fe||(e.DocumentHighlightKind=Fe={}));let ze=e.$qJ=class{constructor(F,re=Fe.Text){this.range=F,this.kind=re}toJSON(){return{range:this.range,kind:Fe[this.kind]}}};e.$qJ=ze=Le([J],ze);var me;(function(j){j[j.File=0]="File",j[j.Module=1]="Module",j[j.Namespace=2]="Namespace",j[j.Package=3]="Package",j[j.Class=4]="Class",j[j.Method=5]="Method",j[j.Property=6]="Property",j[j.Field=7]="Field",j[j.Constructor=8]="Constructor",j[j.Enum=9]="Enum",j[j.Interface=10]="Interface",j[j.Function=11]="Function",j[j.Variable=12]="Variable",j[j.Constant=13]="Constant",j[j.String=14]="String",j[j.Number=15]="Number",j[j.Boolean=16]="Boolean",j[j.Array=17]="Array",j[j.Object=18]="Object",j[j.Key=19]="Key",j[j.Null=20]="Null",j[j.EnumMember=21]="EnumMember",j[j.Struct=22]="Struct",j[j.Event=23]="Event",j[j.Operator=24]="Operator",j[j.TypeParameter=25]="TypeParameter"})(me||(e.SymbolKind=me={}));var Ee;(function(j){j[j.Deprecated=1]="Deprecated"})(Ee||(e.SymbolTag=Ee={}));let ve=e.$rJ=D=class{static validate(F){if(!F.name)throw new Error("name must not be falsy")}constructor(F,re,$e,je,Ve){this.name=F,this.kind=re,this.containerName=Ve,typeof $e=="string"&&(this.containerName=$e),je instanceof ce?this.location=je:$e instanceof B&&(this.location=new ce(je,$e)),D.validate(this)}toJSON(){return{name:this.name,kind:me[this.kind],location:this.location,containerName:this.containerName}}};e.$rJ=ve=D=Le([J],ve);let Me=e.$sJ=C=class{static validate(F){if(!F.name)throw new Error("name must not be falsy");if(!F.range.contains(F.selectionRange))throw new Error("selectionRange must be contained in fullRange");F.children?.forEach(C.validate)}constructor(F,re,$e,je,Ve){this.name=F,this.detail=re,this.kind=$e,this.range=je,this.selectionRange=Ve,this.children=[],C.validate(this)}};e.$sJ=Me=C=Le([J],Me);var Te;(function(j){j[j.Invoke=1]="Invoke",j[j.Automatic=2]="Automatic"})(Te||(e.CodeActionTriggerKind=Te={}));let _e=e.$tJ=class{constructor(F,re){this.title=F,this.kind=re}};e.$tJ=_e=Le([J],_e);let qe=e.$uJ=M=class{constructor(F){this.value=F}append(F){return new M(this.value?this.value+M.c+F:F)}intersects(F){return this.contains(F)||F.contains(this)}contains(F){return this.value===F.value||F.value.startsWith(this.value+M.c)}};qe.c=".",e.$uJ=qe=M=Le([J],qe);class Ge extends qe{constructor(F){super(F),this.value=F}}e.$vJ=Ge,qe.Empty=new qe(""),qe.QuickFix=qe.Empty.append("quickfix"),qe.Refactor=qe.Empty.append("refactor"),qe.RefactorExtract=qe.Refactor.append("extract"),qe.RefactorInline=qe.Refactor.append("inline"),qe.RefactorMove=qe.Refactor.append("move"),qe.RefactorRewrite=qe.Refactor.append("rewrite"),qe.Source=qe.Empty.append("source"),qe.SourceOrganizeImports=qe.Source.append("organizeImports"),qe.SourceFixAll=qe.Source.append("fixAll"),qe.Notebook=qe.Empty.append("notebook");let Qe=e.$wJ=class{constructor(F,re){if(this.range=F,this.parent=re,re&&!re.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};e.$wJ=Qe=Le([J],Qe);class st{constructor(F,re,$e,je,Ve,xe){this.kind=F,this.name=re,this.detail=$e,this.uri=je,this.range=Ve,this.selectionRange=xe}}e.$xJ=st;class Je{constructor(F,re){this.fromRanges=re,this.from=F}}e.$yJ=Je;class Xe{constructor(F,re){this.fromRanges=re,this.to=F}}e.$zJ=Xe;var fe;(function(j){j[j.Information=0]="Information",j[j.Warning=1]="Warning",j[j.Error=2]="Error"})(fe||(e.LanguageStatusSeverity=fe={}));let ke=e.$AJ=class{constructor(F,re){this.range=F,this.command=re}get isResolved(){return!!this.command}};e.$AJ=ke=Le([J],ke);let Ie=e.$BJ=X=class{static isMarkdownString(F){return F instanceof X?!0:F&&F.appendCodeblock&&F.appendMarkdown&&F.appendText&&F.value!==void 0}constructor(F,re=!1){a.set(this,void 0),Rt(this,a,new o.$Gj(F,{supportThemeIcons:re}),"f")}get value(){return it(this,a,"f").value}set value(F){it(this,a,"f").value=F}get isTrusted(){return it(this,a,"f").isTrusted}set isTrusted(F){it(this,a,"f").isTrusted=F}get supportThemeIcons(){return it(this,a,"f").supportThemeIcons}set supportThemeIcons(F){it(this,a,"f").supportThemeIcons=F}get supportHtml(){return it(this,a,"f").supportHtml}set supportHtml(F){it(this,a,"f").supportHtml=F}get baseUri(){return it(this,a,"f").baseUri}set baseUri(F){it(this,a,"f").baseUri=F}appendText(F){return it(this,a,"f").appendText(F),this}appendMarkdown(F){return it(this,a,"f").appendMarkdown(F),this}appendCodeblock(F,re){return it(this,a,"f").appendCodeblock(re??"",F),this}};a=new WeakMap,e.$BJ=Ie=X=Le([J],Ie);let Ae=e.$CJ=class{constructor(F,re){this.label=F,this.documentation=re}};e.$CJ=Ae=Le([J],Ae);let Ne=e.$DJ=class{constructor(F,re){this.label=F,this.documentation=re,this.parameters=[]}};e.$DJ=Ne=Le([J],Ne);let Be=e.$EJ=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};e.$EJ=Be=Le([J],Be);var He;(function(j){j[j.Invoke=1]="Invoke",j[j.TriggerCharacter=2]="TriggerCharacter",j[j.ContentChange=3]="ContentChange"})(He||(e.SignatureHelpTriggerKind=He={}));var Ke;(function(j){j[j.Type=1]="Type",j[j.Parameter=2]="Parameter"})(Ke||(e.InlayHintKind=Ke={}));let Ze=e.$FJ=class{constructor(F){this.value=F}};e.$FJ=Ze=Le([J],Ze);let et=e.$GJ=class{constructor(F,re,$e){this.position=F,this.label=re,this.kind=$e}};e.$GJ=et=Le([J],et);var rt;(function(j){j[j.Invoke=0]="Invoke",j[j.TriggerCharacter=1]="TriggerCharacter",j[j.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(rt||(e.CompletionTriggerKind=rt={}));var nt;(function(j){j[j.Text=0]="Text",j[j.Method=1]="Method",j[j.Function=2]="Function",j[j.Constructor=3]="Constructor",j[j.Field=4]="Field",j[j.Variable=5]="Variable",j[j.Class=6]="Class",j[j.Interface=7]="Interface",j[j.Module=8]="Module",j[j.Property=9]="Property",j[j.Unit=10]="Unit",j[j.Value=11]="Value",j[j.Enum=12]="Enum",j[j.Keyword=13]="Keyword",j[j.Snippet=14]="Snippet",j[j.Color=15]="Color",j[j.File=16]="File",j[j.Reference=17]="Reference",j[j.Folder=18]="Folder",j[j.EnumMember=19]="EnumMember",j[j.Constant=20]="Constant",j[j.Struct=21]="Struct",j[j.Event=22]="Event",j[j.Operator=23]="Operator",j[j.TypeParameter=24]="TypeParameter",j[j.User=25]="User",j[j.Issue=26]="Issue"})(nt||(e.CompletionItemKind=nt={}));var mt;(function(j){j[j.Deprecated=1]="Deprecated"})(mt||(e.CompletionItemTag=mt={}));let lt=e.$HJ=class{constructor(F,re){this.label=F,this.kind=re}toJSON(){return{label:this.label,kind:this.kind&&nt[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};e.$HJ=lt=Le([J],lt);let Lt=e.$IJ=class{constructor(F=[],re=!1){this.items=F,this.isIncomplete=re}};e.$IJ=Lt=Le([J],Lt);let wt=e.$JJ=class{constructor(F,re,$e){this.insertText=F,this.range=re,this.command=$e}};e.$JJ=wt=Le([J],wt);let gt=e.$KJ=class{constructor(F){this.commands=void 0,this.suppressSuggestions=void 0,this.items=F}};e.$KJ=gt=Le([J],gt);var vt;(function(j){j[j.Active=-1]="Active",j[j.Beside=-2]="Beside",j[j.One=1]="One",j[j.Two=2]="Two",j[j.Three=3]="Three",j[j.Four=4]="Four",j[j.Five=5]="Five",j[j.Six=6]="Six",j[j.Seven=7]="Seven",j[j.Eight=8]="Eight",j[j.Nine=9]="Nine"})(vt||(e.ViewColumn=vt={}));var St;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(St||(e.StatusBarAlignment=St={}));function Ct(j,F){return`${v.$Dl.toKey(j)}.${F}`}e.$LJ=Ct;var Ot;(function(j){j[j.Off=0]="Off",j[j.On=1]="On",j[j.Relative=2]="Relative"})(Ot||(e.TextEditorLineNumbersStyle=Ot={}));var Mt;(function(j){j[j.Manual=1]="Manual",j[j.AfterDelay=2]="AfterDelay",j[j.FocusOut=3]="FocusOut"})(Mt||(e.TextDocumentSaveReason=Mt={}));var $t;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})($t||(e.TextEditorRevealType=$t={}));var It;(function(j){j[j.Keyboard=1]="Keyboard",j[j.Mouse=2]="Mouse",j[j.Command=3]="Command"})(It||(e.TextEditorSelectionChangeKind=It={}));var Dt;(function(j){j[j.Undo=1]="Undo",j[j.Redo=2]="Redo"})(Dt||(e.TextDocumentChangeReason=Dt={}));var ot;(function(j){j[j.OpenOpen=0]="OpenOpen",j[j.ClosedClosed=1]="ClosedClosed",j[j.OpenClosed=2]="OpenClosed",j[j.ClosedOpen=3]="ClosedOpen"})(ot||(e.DecorationRangeBehavior=ot={})),function(j){function F(re){switch(re){case"keyboard":return j.Keyboard;case"mouse":return j.Mouse;case"api":return j.Command}}j.fromValue=F}(It||(e.TextEditorSelectionChangeKind=It={}));let ut=e.$MJ=class{constructor(F,re){if(re&&!d.URI.isUri(re))throw(0,O.$4)("target");if(!B.isRange(F)||F.isEmpty)throw(0,O.$4)("range");this.range=F,this.target=re}};e.$MJ=ut=Le([J],ut);let ft=e.$NJ=class{constructor(F,re,$e,je){this.red=F,this.green=re,this.blue=$e,this.alpha=je}};e.$NJ=ft=Le([J],ft);let ye=e.$OJ=class{constructor(F,re){if(re&&!(re instanceof ft))throw(0,O.$4)("color");if(!B.isRange(F)||F.isEmpty)throw(0,O.$4)("range");this.range=F,this.color=re}};e.$OJ=ye=Le([J],ye);let De=e.$PJ=class{constructor(F){if(!F||typeof F!="string")throw(0,O.$4)("label");this.label=F}};e.$PJ=De=Le([J],De);var de;(function(j){j[j.RGB=0]="RGB",j[j.HEX=1]="HEX",j[j.HSL=2]="HSL"})(de||(e.ColorFormat=de={}));var x;(function(j){j[j.Error=0]="Error",j[j.Warning=1]="Warning",j[j.Information=2]="Information"})(x||(e.SourceControlInputBoxValidationType=x={}));var Se;(function(j){j[j.Unknown=0]="Unknown",j[j.Shutdown=1]="Shutdown",j[j.Process=2]="Process",j[j.User=3]="User",j[j.Extension=4]="Extension"})(Se||(e.TerminalExitReason=Se={}));class Oe{constructor(F,re,$e){if(this.startIndex=F,this.length=re,this.tooltip=$e,typeof F!="number"||F<0)throw(0,O.$4)("startIndex");if(typeof re!="number"||re<1)throw(0,O.$4)("length");if($e!==void 0&&typeof $e!="string")throw(0,O.$4)("tooltip")}}e.$QJ=Oe;class We{constructor(F){this.uri=F}}e.$RJ=We;class Ue{constructor(F){this.terminalCommand=F}}e.$SJ=Ue;var Ye;(function(j){j[j.Panel=1]="Panel",j[j.Editor=2]="Editor"})(Ye||(e.TerminalLocation=Ye={}));class ct{constructor(F){if(this.options=F,typeof F!="object")throw(0,O.$4)("options")}}e.$TJ=ct;var yt;(function(j){j[j.Always=1]="Always",j[j.Silent=2]="Silent",j[j.Never=3]="Never"})(yt||(e.TaskRevealKind=yt={}));var bt;(function(j){j[j.Shared=1]="Shared",j[j.Dedicated=2]="Dedicated",j[j.New=3]="New"})(bt||(e.TaskPanelKind=bt={}));let at=e.$UJ=ne=class{static from(F){switch(F){case"clean":return ne.Clean;case"build":return ne.Build;case"rebuild":return ne.Rebuild;case"test":return ne.Test;default:return}}constructor(F,re){if(this.label=re,typeof F!="string"||typeof re!="string")throw(0,O.$4)("name");this.c=F}get id(){return this.c}};at.Clean=new ne("clean","Clean"),at.Build=new ne("build","Build"),at.Rebuild=new ne("rebuild","Rebuild"),at.Test=new ne("test","Test"),e.$UJ=at=ne=Le([J],at);function dt(j){let F="";for(let re=0;re<j.length;re++)F+=j[re].replace(/,/g,",,")+",";return F}let Yt=e.$VJ=class{constructor(F,re,$e){if(typeof F!="string")throw(0,O.$4)("process");this.e=[],this.c=F,re!==void 0&&(Array.isArray(re)?(this.e=re,this.f=$e):this.f=re)}get process(){return this.c}set process(F){if(typeof F!="string")throw(0,O.$4)("process");this.c=F}get args(){return this.e}set args(F){Array.isArray(F)||(F=[]),this.e=F}get options(){return this.f}set options(F){this.f=F}computeId(){const F=[];if(F.push("process"),this.c!==void 0&&F.push(this.c),this.e&&this.e.length>0)for(const re of this.e)F.push(re);return dt(F)}};e.$VJ=Yt=Le([J],Yt);let Zt=e.$WJ=class{constructor(F,re,$e){if(this.f=[],Array.isArray(re)){if(!F)throw(0,O.$4)("command can't be undefined or null");if(typeof F!="string"&&typeof F.value!="string")throw(0,O.$4)("command");this.e=F,this.f=re,this.g=$e}else{if(typeof F!="string")throw(0,O.$4)("commandLine");this.c=F,this.g=re}}get commandLine(){return this.c}set commandLine(F){if(typeof F!="string")throw(0,O.$4)("commandLine");this.c=F}get command(){return this.e?this.e:""}set command(F){if(typeof F!="string"&&typeof F.value!="string")throw(0,O.$4)("command");this.e=F}get args(){return this.f}set args(F){this.f=F||[]}get options(){return this.g}set options(F){this.g=F}computeId(){const F=[];if(F.push("shell"),this.c!==void 0&&F.push(this.c),this.e!==void 0&&F.push(typeof this.e=="string"?this.e:this.e.value),this.f&&this.f.length>0)for(const re of this.f)F.push(typeof re=="string"?re:re.value);return dt(F)}};e.$WJ=Zt=Le([J],Zt);var sn;(function(j){j[j.Escape=1]="Escape",j[j.Strong=2]="Strong",j[j.Weak=3]="Weak"})(sn||(e.ShellQuoting=sn={}));var Wt;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace"})(Wt||(e.TaskScope=Wt={}));class rn{constructor(F){this.c=F}computeId(){return"customExecution"+(0,I.$3e)()}set callback(F){this.c=F}get callback(){return this.c}}e.$XJ=rn;let Tt=e.$YJ=he=class{constructor(F,re,$e,je,Ve,xe){this.j=!1,this.k=this.definition=F;let tt;typeof re=="string"?(this.m=this.name=re,this.t=this.source=$e,this.execution=je,tt=Ve,this.j=!0):re===Wt.Global||re===Wt.Workspace?(this.target=re,this.m=this.name=$e,this.t=this.source=je,this.execution=Ve,tt=xe):(this.target=re,this.m=this.name=$e,this.t=this.source=je,this.execution=Ve,tt=xe),typeof tt=="string"?(this.o=[tt],this.q=!0):Array.isArray(tt)?(this.o=tt,this.q=!0):(this.o=[],this.q=!1),this.r=!1,this.v=Object.create(null),this.w=Object.create(null)}get _id(){return this.h}set _id(F){this.h=F}get _deprecated(){return this.j}y(){this.h!==void 0&&(this.h=void 0,this.l=void 0,this.z())}z(){this.n instanceof Yt?this.k={type:he.e,id:this.n.computeId()}:this.n instanceof Zt?this.k={type:he.f,id:this.n.computeId()}:this.n instanceof rn?this.k={type:he.c,id:this.n.computeId()}:this.k={type:he.g,id:(0,I.$3e)()}}get definition(){return this.k}set definition(F){if(F==null)throw(0,O.$4)("Kind can't be undefined or null");this.y(),this.k=F}get scope(){return this.l}set target(F){this.y(),this.l=F}get name(){return this.m}set name(F){if(typeof F!="string")throw(0,O.$4)("name");this.y(),this.m=F}get execution(){return this.n}set execution(F){F===null&&(F=void 0),this.y(),this.n=F;const re=this.k.type;(he.g===re||he.e===re||he.f===re||he.c===re)&&this.z()}get problemMatchers(){return this.o}set problemMatchers(F){if(Array.isArray(F))this.y(),this.o=F,this.q=!0;else{this.y(),this.o=[],this.q=!1;return}}get hasDefinedMatchers(){return this.q}get isBackground(){return this.r}set isBackground(F){F!==!0&&F!==!1&&(F=!1),this.y(),this.r=F}get source(){return this.t}set source(F){if(typeof F!="string"||F.length===0)throw(0,O.$4)("source must be a string of length > 0");this.y(),this.t=F}get group(){return this.u}set group(F){F===null&&(F=void 0),this.y(),this.u=F}get detail(){return this.x}set detail(F){F===null&&(F=void 0),this.x=F}get presentationOptions(){return this.v}set presentationOptions(F){F==null&&(F=Object.create(null)),this.y(),this.v=F}get runOptions(){return this.w}set runOptions(F){F==null&&(F=Object.create(null)),this.y(),this.w=F}};Tt.c="customExecution",Tt.e="process",Tt.f="shell",Tt.g="$empty",e.$YJ=Tt=he=Le([J],Tt);var on;(function(j){j[j.SourceControl=1]="SourceControl",j[j.Window=10]="Window",j[j.Notification=15]="Notification"})(on||(e.ProgressLocation=on={}));var an;(function(j){function F(re){const $e=re;return(0,b.$ke)($e.value)?$e.tooltip&&!(0,b.$ge)($e.tooltip)?(console.log("INVALID view badge, invalid tooltip",$e.tooltip),!1):!0:(console.log("INVALID view badge, invalid value",$e.value),!1)}j.isViewBadge=F})(an||(e.ViewBadge=an={}));let cn=e.$ZJ=ue=class{static isTreeItem(F,re){const $e=F;if($e.checkboxState!==void 0){const je=(0,b.$ke)($e.checkboxState)?$e.checkboxState:(0,b.$ie)($e.checkboxState)&&(0,b.$ke)($e.checkboxState.state)?$e.checkboxState.state:void 0,Ve=!(0,b.$ke)($e.checkboxState)&&(0,b.$ie)($e.checkboxState)?$e.checkboxState.tooltip:void 0;if(je===void 0||je!==Vt.Checked&&je!==Vt.Unchecked||Ve!==void 0&&!(0,b.$ge)(Ve))return console.log("INVALID tree item, invalid checkboxState",$e.checkboxState),!1}if(F instanceof ue)return!0;if($e.label!==void 0&&!(0,b.$ge)($e.label)&&!$e.label?.label)return console.log("INVALID tree item, invalid label",$e.label),!1;if($e.id!==void 0&&!(0,b.$ge)($e.id))return console.log("INVALID tree item, invalid id",$e.id),!1;if($e.iconPath!==void 0&&!(0,b.$ge)($e.iconPath)&&!d.URI.isUri($e.iconPath)&&(!$e.iconPath||!(0,b.$ge)($e.iconPath.id))){const je=$e.iconPath;if(!je||!(0,b.$ge)(je.light)&&!d.URI.isUri(je.light)&&!(0,b.$ge)(je.dark)&&!d.URI.isUri(je.dark))return console.log("INVALID tree item, invalid iconPath",$e.iconPath),!1}return $e.description!==void 0&&!(0,b.$ge)($e.description)&&typeof $e.description!="boolean"?(console.log("INVALID tree item, invalid description",$e.description),!1):$e.resourceUri!==void 0&&!d.URI.isUri($e.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",$e.resourceUri),!1):$e.tooltip!==void 0&&!(0,b.$ge)($e.tooltip)&&!($e.tooltip instanceof Ie)?(console.log("INVALID tree item, invalid tooltip",$e.tooltip),!1):$e.command!==void 0&&!$e.command.command?(console.log("INVALID tree item, invalid command",$e.command),!1):$e.collapsibleState!==void 0&&$e.collapsibleState<Ut.None&&$e.collapsibleState>Ut.Expanded?(console.log("INVALID tree item, invalid collapsibleState",$e.collapsibleState),!1):$e.contextValue!==void 0&&!(0,b.$ge)($e.contextValue)?(console.log("INVALID tree item, invalid contextValue",$e.contextValue),!1):$e.accessibilityInformation!==void 0&&!$e.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",$e.accessibilityInformation),!1):!0}constructor(F,re=Ut.None){this.collapsibleState=re,d.URI.isUri(F)?this.resourceUri=F:this.label=F}};e.$ZJ=cn=ue=Le([J],cn);var Ut;(function(j){j[j.None=0]="None",j[j.Collapsed=1]="Collapsed",j[j.Expanded=2]="Expanded"})(Ut||(e.TreeItemCollapsibleState=Ut={}));var Vt;(function(j){j[j.Unchecked=0]="Unchecked",j[j.Checked=1]="Checked"})(Vt||(e.TreeItemCheckboxState=Vt={}));let Qt=e.$1J=class{async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}constructor(F){this.value=F}};e.$1J=Qt=Le([J],Qt);class ln extends Qt{}e.$2J=ln;class pi extends ln{constructor(F){super(""),u.set(this,void 0),Rt(this,u,F,"f")}asFile(){return it(this,u,"f")}}e.$3J=pi,u=new WeakMap;class wi{constructor(F,re,$e,je){this.name=F,this.uri=re,this._itemId=$e,this.c=je}data(){return this.c()}}e.$4J=wi;let un=e.$5J=class{constructor(F){l.add(this),$.set(this,new Map);for(const[re,$e]of F??[]){const je=it(this,$,"f").get(it(this,l,"m",P).call(this,re));je?je.push($e):it(this,$,"f").set(it(this,l,"m",P).call(this,re),[$e])}}get(F){return it(this,$,"f").get(it(this,l,"m",P).call(this,F))?.[0]}set(F,re){it(this,$,"f").set(it(this,l,"m",P).call(this,F),[re])}forEach(F,re){for(const[$e,je]of it(this,$,"f"))for(const Ve of je)F.call(re,Ve,$e,this)}*[($=new WeakMap,l=new WeakSet,Symbol.iterator)](){for(const[F,re]of it(this,$,"f"))for(const $e of re)yield[F,$e]}};P=function(F){return F.toLowerCase()},e.$5J=un=Le([J],un);let hn=e.$6J=class{constructor(F){this.insertText=F}};e.$6J=hn=Le([J],hn);let fn=e.$7J=class{constructor(F,re,$e){this.id=re,this.label=$e,this.insertText=F}};e.$7J=fn=Le([J],fn);let Ft=e.$8J=class{constructor(F,re){this.id=F,this.color=re}static isThemeIcon(F){return typeof F.id!="string"?(console.log("INVALID ThemeIcon, invalid id",F.id),!1):!0}};e.$8J=Ft=Le([J],Ft),Ft.File=new Ft("file"),Ft.Folder=new Ft("folder");let dn=e.$9J=class{constructor(F){this.id=F}};e.$9J=dn=Le([J],dn);var mn;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace",j[j.WorkspaceFolder=3]="WorkspaceFolder"})(mn||(e.ConfigurationTarget=mn={}));let gn=e.$0J=class{get base(){return this.c}set base(F){this.c=F,this.e=d.URI.file(F)}get baseUri(){return this.e}set baseUri(F){this.e=F,this.c=F.fsPath}constructor(F,re){if(typeof F!="string"&&(!F||!d.URI.isUri(F)&&!d.URI.isUri(F.uri)))throw(0,O.$4)("base");if(typeof re!="string")throw(0,O.$4)("pattern");typeof F=="string"?this.baseUri=d.URI.file(F):d.URI.isUri(F)?this.baseUri=F:this.baseUri=F.uri,this.pattern=re}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};e.$0J=gn=Le([J],gn);const $n=new WeakMap;function vi(j,F){$n.set(j,F)}e.$$J=vi;let zt=e.$_J=class{constructor(F,re,$e,je){this.enabled=typeof F=="boolean"?F:!0,typeof re=="string"&&(this.condition=re),typeof $e=="string"&&(this.hitCondition=$e),typeof je=="string"&&(this.logMessage=je)}get id(){return this.c||(this.c=$n.get(this)??(0,I.$3e)()),this.c}};e.$_J=zt=Le([J],zt);let bn=e.$aK=class extends zt{constructor(F,re,$e,je,Ve){if(super(re,$e,je,Ve),F===null)throw(0,O.$4)("location");this.location=F}};e.$aK=bn=Le([J],bn);let pn=e.$bK=class extends zt{constructor(F,re,$e,je,Ve){super(re,$e,je,Ve),this.functionName=F}};e.$bK=pn=Le([J],pn);let wn=e.$cK=class extends zt{constructor(F,re,$e,je,Ve,xe,tt){if(super(je,Ve,xe,tt),!re)throw(0,O.$4)("dataId");this.label=F,this.dataId=re,this.canPersist=$e}};e.$cK=wn=Le([J],wn);let vn=e.$dK=class{constructor(F,re,$e){this.command=F,this.args=re||[],this.options=$e}};e.$dK=vn=Le([J],vn);let yn=e.$eK=class{constructor(F,re){this.port=F,this.host=re}};e.$eK=yn=Le([J],yn);let En=e.$fK=class{constructor(F){this.path=F}};e.$fK=En=Le([J],En);let kn=e.$gK=class{constructor(F){this.implementation=F}};e.$gK=kn=Le([J],kn);let Dn=e.$hK=class{constructor(F,re,$e){this.session=F,this.threadId=re,this.frameId=$e}};e.$hK=Dn=Le([J],Dn);let Pn=e.$iK=class{constructor(F,re){this.session=F,this.threadId=re}};e.$iK=Pn=Le([J],Pn);let Sn=e.$jK=class{constructor(F,re){this.range=F,this.expression=re}};e.$jK=Sn=Le([J],Sn);var Cn;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(Cn||(e.InlineCompletionTriggerKind=Cn={}));let In=e.$kK=class{constructor(F,re){this.range=F,this.text=re}};e.$kK=In=Le([J],In);let An=e.$lK=class{constructor(F,re,$e=!0){this.range=F,this.variableName=re,this.caseSensitiveLookup=$e}};e.$lK=An=Le([J],An);let Rn=e.$mK=class{constructor(F,re){this.range=F,this.expression=re}};e.$mK=Rn=Le([J],Rn);let Ln=e.$nK=class{constructor(F,re){this.frameId=F,this.stoppedLocation=re}};e.$nK=Ln=Le([J],Ln);var On;(function(j){j[j.Changed=1]="Changed",j[j.Created=2]="Created",j[j.Deleted=3]="Deleted"})(On||(e.FileChangeType=On={}));let Fn=e.$oK=le=class extends Error{static FileExists(F){return new le(F,p.FileSystemProviderErrorCode.FileExists,le.FileExists)}static FileNotFound(F){return new le(F,p.FileSystemProviderErrorCode.FileNotFound,le.FileNotFound)}static FileNotADirectory(F){return new le(F,p.FileSystemProviderErrorCode.FileNotADirectory,le.FileNotADirectory)}static FileIsADirectory(F){return new le(F,p.FileSystemProviderErrorCode.FileIsADirectory,le.FileIsADirectory)}static NoPermissions(F){return new le(F,p.FileSystemProviderErrorCode.NoPermissions,le.NoPermissions)}static Unavailable(F){return new le(F,p.FileSystemProviderErrorCode.Unavailable,le.Unavailable)}constructor(F,re=p.FileSystemProviderErrorCode.Unknown,$e){super(d.URI.isUri(F)?F.toString(!0):F),this.code=$e?.name??"Unknown",(0,p.$3j)(this,re),Object.setPrototypeOf(this,le.prototype),typeof Error.captureStackTrace=="function"&&typeof $e=="function"&&Error.captureStackTrace(this,$e)}};e.$oK=Fn=le=Le([J],Fn);let Nn=e.$pK=class{constructor(F,re,$e){this.start=F,this.end=re,this.kind=$e}};e.$pK=Nn=Le([J],Nn);var jn;(function(j){j[j.Comment=1]="Comment",j[j.Imports=2]="Imports",j[j.Region=3]="Region"})(jn||(e.FoldingRangeKind=jn={}));var Mn;(function(j){j[j.Collapsed=0]="Collapsed",j[j.Expanded=1]="Expanded"})(Mn||(e.CommentThreadCollapsibleState=Mn={}));var Tn;(function(j){j[j.Editing=0]="Editing",j[j.Preview=1]="Preview"})(Tn||(e.CommentMode=Tn={}));var Un;(function(j){j[j.Published=0]="Published",j[j.Draft=1]="Draft"})(Un||(e.CommentState=Un={}));var zn;(function(j){j[j.Unresolved=0]="Unresolved",j[j.Resolved=1]="Resolved"})(zn||(e.CommentThreadState=zn={}));class yi{constructor(F,re=[]){this.tokenTypes=F,this.tokenModifiers=re}}e.$qK=yi;function Ei(j){return typeof j>"u"||(0,b.$he)(j)}class xt{constructor(F){if(this.c=0,this.e=0,this.f=!0,this.g=[],this.h=0,this.j=new Map,this.k=new Map,this.l=!1,F){this.l=!0;for(let re=0,$e=F.tokenTypes.length;re<$e;re++)this.j.set(F.tokenTypes[re],re);for(let re=0,$e=F.tokenModifiers.length;re<$e;re++)this.k.set(F.tokenModifiers[re],re)}}push(F,re,$e,je,Ve){if(typeof F=="number"&&typeof re=="number"&&typeof $e=="number"&&typeof je=="number"&&(typeof Ve=="number"||typeof Ve>"u"))return typeof Ve>"u"&&(Ve=0),this.n(F,re,$e,je,Ve);if(B.isRange(F)&&typeof re=="string"&&Ei($e))return this.m(F,re,$e);throw(0,O.$4)()}m(F,re,$e){if(!this.l)throw new Error("Legend must be provided in constructor");if(F.start.line!==F.end.line)throw new Error("`range` cannot span multiple lines");if(!this.j.has(re))throw new Error("`tokenType` is not in the provided legend");const je=F.start.line,Ve=F.start.character,xe=F.end.character-F.start.character,tt=this.j.get(re);let ht=0;if($e)for(const pt of $e){if(!this.k.has(pt))throw new Error("`tokenModifier` is not in the provided legend");const kt=this.k.get(pt);ht|=1<<kt>>>0}this.n(je,Ve,xe,tt,ht)}n(F,re,$e,je,Ve){if(this.f&&(F<this.c||F===this.c&&re<this.e)){this.f=!1;const ht=this.g.length/5|0;let pt=0,kt=0;for(let Pt=0;Pt<ht;Pt++){let At=this.g[5*Pt],qt=this.g[5*Pt+1];At===0?(At=pt,qt+=kt):At+=pt,this.g[5*Pt]=At,this.g[5*Pt+1]=qt,pt=At,kt=qt}}let xe=F,tt=re;this.f&&this.h>0&&(xe-=this.c,xe===0&&(tt-=this.e)),this.g[this.h++]=xe,this.g[this.h++]=tt,this.g[this.h++]=$e,this.g[this.h++]=je,this.g[this.h++]=Ve,this.c=F,this.e=re}static o(F){const re=[],$e=F.length/5|0;for(let tt=0;tt<$e;tt++)re[tt]=tt;re.sort((tt,ht)=>{const pt=F[5*tt],kt=F[5*ht];if(pt===kt){const Pt=F[5*tt+1],At=F[5*ht+1];return Pt-At}return pt-kt});const je=new Uint32Array(F.length);let Ve=0,xe=0;for(let tt=0;tt<$e;tt++){const ht=5*re[tt],pt=F[ht+0],kt=F[ht+1],Pt=F[ht+2],At=F[ht+3],qt=F[ht+4],bi=pt-Ve,Hi=bi===0?kt-xe:kt,Ht=5*tt;je[Ht+0]=bi,je[Ht+1]=Hi,je[Ht+2]=Pt,je[Ht+3]=At,je[Ht+4]=qt,Ve=pt,xe=kt}return je}build(F){return this.f?new _t(new Uint32Array(this.g),F):new _t(xt.o(this.g),F)}}e.$rK=xt;class _t{constructor(F,re){this.resultId=re,this.data=F}}e.$sK=_t;class ki{constructor(F,re,$e){this.start=F,this.deleteCount=re,this.data=$e}}e.$tK=ki;class Di{constructor(F,re){this.resultId=re,this.edits=F}}e.$uK=Di;var Bn;(function(j){j[j.Separate=0]="Separate",j[j.MergeWithParent=1]="MergeWithParent"})(Bn||(e.DebugConsoleMode=Bn={}));let en=e.$vK=class{constructor(){}};en.Back={iconPath:new Ft("arrow-left")},e.$vK=en=Le([J],en);var qn;(function(j){j[j.Separator=-1]="Separator",j[j.Default=0]="Default"})(qn||(e.QuickPickItemKind=qn={}));var Hn;(function(j){j[j.Info=1]="Info",j[j.Warning=2]="Warning",j[j.Error=3]="Error"})(Hn||(e.InputBoxValidationSeverity=Hn={}));var Wn;(function(j){j[j.UI=1]="UI",j[j.Workspace=2]="Workspace"})(Wn||(e.ExtensionKind=Wn={}));class Pi{static validate(F){if(typeof F.badge=="string"){let re=(0,L.$Td)(F.badge,0);if(re<F.badge.length&&(re+=(0,L.$Td)(F.badge,re)),F.badge.length>re)throw new Error("The 'badge'-property must be undefined or a short character")}else if(F.badge&&!Ft.isThemeIcon(F.badge))throw new Error("The 'badge'-property is not a valid ThemeIcon");if(!F.color&&!F.badge&&!F.tooltip)throw new Error("The decoration is empty");return!0}constructor(F,re,$e){this.badge=F,this.tooltip=re,this.color=$e}}e.$wK=Pi;let Vn=e.$xK=class{constructor(F){this.kind=F}};e.$xK=Vn=Le([J],Vn);var Jn;(function(j){j[j.Light=1]="Light",j[j.Dark=2]="Dark",j[j.HighContrast=3]="HighContrast",j[j.HighContrastLight=4]="HighContrastLight"})(Jn||(e.ColorThemeKind=Jn={}));class Nt{static isNotebookRange(F){return F instanceof Nt?!0:F?typeof F.start=="number"&&typeof F.end=="number":!1}get start(){return this.c}get end(){return this.e}get isEmpty(){return this.c===this.e}constructor(F,re){if(F<0)throw(0,O.$4)("start must be positive");if(re<0)throw(0,O.$4)("end must be positive");F<=re?(this.c=F,this.e=re):(this.c=re,this.e=F)}with(F){let re=this.c,$e=this.e;return F.start!==void 0&&(re=F.start),F.end!==void 0&&($e=F.end),re===this.c&&$e===this.e?this:new Nt(re,$e)}}e.$yK=Nt;class Jt{static validate(F){if(typeof F.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof F.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof F.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(F){return Array.isArray(F)&&F.every(re=>Jt.isNotebookCellData(re))}static isNotebookCellData(F){return!0}constructor(F,re,$e,je,Ve,xe,tt){this.kind=F,this.value=re,this.languageId=$e,this.mime=je,this.outputs=Ve??[],this.metadata=xe,this.executionSummary=tt,Jt.validate(this)}}e.$zK=Jt;class Si{constructor(F){this.cells=F}}e.$AK=Si;class Et{static isNotebookCellOutputItem(F){return F instanceof Et?!0:F?typeof F.mime=="string"&&F.data instanceof Uint8Array:!1}static error(F){const re={name:F.name,message:F.message,stack:F.stack};return Et.json(re,"application/vnd.code.notebook.error")}static stdout(F){return Et.text(F,"application/vnd.code.notebook.stdout")}static stderr(F){return Et.text(F,"application/vnd.code.notebook.stderr")}static bytes(F,re="application/octet-stream"){return new Et(F,re)}static text(F,re=R.$qr.text){const $e=it(Et,k,"f",t).encode(String(F));return new Et($e,re)}static json(F,re="text/x-json"){const $e=JSON.stringify(F,void 0,"	");return Et.text($e,re)}constructor(F,re){this.data=F,this.mime=re;const $e=(0,R.$ur)(re,!0);if(!$e)throw new Error(`INVALID mime type: ${re}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=$e}}e.$BK=Et,k=Et,t={value:new TextEncoder};class Kt{static isNotebookCellOutput(F){return F instanceof Kt?!0:!F||typeof F!="object"?!1:typeof F.id=="string"&&Array.isArray(F.items)}static ensureUniqueMimeTypes(F,re=!1){const $e=new Set,je=new Set;for(let Ve=0;Ve<F.length;Ve++){const xe=F[Ve],tt=(0,R.$ur)(xe.mime);if(!$e.has(tt)||(0,m.$gH)(tt)){$e.add(tt);continue}je.add(Ve),re&&console.warn(`DUPLICATED mime type '${xe.mime}' will be dropped`)}return je.size===0?F:F.filter((Ve,xe)=>!je.has(xe))}constructor(F,re,$e){this.items=Kt.ensureUniqueMimeTypes(F,!0),typeof re=="string"?(this.id=re,this.metadata=$e):(this.id=(0,I.$3e)(),this.metadata=re??$e)}}e.$CK=Kt;var Kn;(function(j){j[j.Markup=1]="Markup",j[j.Code=2]="Code"})(Kn||(e.NotebookCellKind=Kn={}));var Gn;(function(j){j[j.Idle=1]="Idle",j[j.Pending=2]="Pending",j[j.Executing=3]="Executing"})(Gn||(e.NotebookCellExecutionState=Gn={}));var Xn;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(Xn||(e.NotebookCellStatusBarAlignment=Xn={}));var Yn;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(Yn||(e.NotebookEditorRevealType=Yn={}));class Ci{constructor(F,re){this.text=F,this.alignment=re}}e.$DK=Ci;var Zn;(function(j){j[j.Default=1]="Default",j[j.Preferred=2]="Preferred"})(Zn||(e.NotebookControllerAffinity=Zn={}));var Qn;(function(j){j[j.Default=1]="Default",j[j.Preferred=2]="Preferred",j[j.Hidden=-1]="Hidden"})(Qn||(e.NotebookControllerAffinity2=Qn={}));class Ii{constructor(F,re=[]){this.uri=F,this.provides=(0,E.$Gf)(re)}}e.$EK=Ii;class Ai{constructor(F){this.label=F}}e.$FK=Ai;let xn=e.$GK=class{constructor(F,re){this.label=F,this.timestamp=re}};e.$GK=xn=Le([J],xn);var _n;(function(j){j[j.Production=1]="Production",j[j.Development=2]="Development",j[j.Test=3]="Test"})(_n||(e.ExtensionMode=_n={}));var ei;(function(j){j[j.Node=1]="Node",j[j.Webworker=2]="Webworker"})(ei||(e.ExtensionRuntime=ei={}));var ti;(function(j){j[j.Other=0]="Other",j[j.Comment=1]="Comment",j[j.String=2]="String",j[j.RegEx=3]="RegEx"})(ti||(e.StandardTokenType=ti={}));class Ri{constructor(F,re){this.ranges=F,this.wordPattern=re}}e.$HK=Ri;class Li{constructor(F){this.c=F}get autoForwardAction(){return this.c}}e.$IK=Li;var ni;(function(j){j[j.Queued=1]="Queued",j[j.Running=2]="Running",j[j.Passed=3]="Passed",j[j.Failed=4]="Failed",j[j.Skipped=5]="Skipped",j[j.Errored=6]="Errored"})(ni||(e.TestResultState=ni={}));var ii;(function(j){j[j.Run=1]="Run",j[j.Debug=2]="Debug",j[j.Coverage=3]="Coverage"})(ii||(e.TestRunProfileKind=ii={}));let tn=e.$JK=class{constructor(F=void 0,re=void 0,$e=void 0,je=!1){this.include=F,this.exclude=re,this.profile=$e,this.continuous=je}};e.$JK=tn=Le([J],tn);let si=e.$KK=class extends tn{};e.$KK=si=Le([J],si);let ri=e.$LK=ge=class{static diff(F,re,$e){const je=new ge(F);return je.expectedOutput=re,je.actualOutput=$e,je}constructor(F){this.message=F}};e.$LK=ri=ge=Le([J],ri);let oi=e.$MK=class{constructor(F){this.id=F}};e.$MK=oi=Le([J],oi);let Bt=e.$NK=class{constructor(F,re){this.covered=F,this.total=re}};e.$NK=Bt=Le([J],Bt);let ai=e.$OK=se=class{static fromDetails(F,re){const $e=new Bt(0,0),je=new Bt(0,0),Ve=new Bt(0,0);for(const tt of re)if("branches"in tt){$e.total+=1,$e.covered+=tt.executionCount>0?1:0;for(const ht of tt.branches)je.total+=1,je.covered+=ht.executionCount>0?1:0}else Ve.total+=1,Ve.covered+=tt.executionCount>0?1:0;const xe=new se(F,$e,je.total>0?je:void 0,Ve.total>0?Ve:void 0);return xe.detailedCoverage=re,xe}constructor(F,re,$e,je){this.uri=F,this.statementCoverage=re,this.branchCoverage=$e,this.functionCoverage=je}};e.$OK=ai=se=Le([J],ai);let ci=e.$PK=class{constructor(F,re,$e=[]){this.executionCount=F,this.location=re,this.branches=$e}};e.$PK=ci=Le([J],ci);let li=e.$QK=class{constructor(F,re){this.executionCount=F,this.location=re}};e.$QK=li=Le([J],li);let ui=e.$RK=class{constructor(F,re){this.executionCount=F,this.location=re}};e.$RK=ui=Le([J],ui);var hi;(function(j){j[j.None=0]="None",j[j.Option=1]="Option",j[j.Default=2]="Default",j[j.Preferred=3]="Preferred"})(hi||(e.ExternalUriOpenerPriority=hi={}));var fi;(function(j){j[j.Untrusted=0]="Untrusted",j[j.Trusted=1]="Trusted",j[j.Unspecified=2]="Unspecified"})(fi||(e.WorkspaceTrustState=fi={}));var di;(function(j){j[j.Notify=1]="Notify",j[j.OpenBrowser=2]="OpenBrowser",j[j.OpenPreview=3]="OpenPreview",j[j.Silent=4]="Silent",j[j.Ignore=5]="Ignore",j[j.OpenBrowserOnce=6]="OpenBrowserOnce"})(di||(e.PortAutoForwardAction=di={}));class Oi{constructor(F,re,$e,je,Ve,xe){this.kind=F,this.name=re,this.detail=$e,this.uri=je,this.range=Ve,this.selectionRange=xe}}e.$SK=Oi;class Fi{constructor(F){this.uri=F}}e.$TK=Fi;class Ni{constructor(F,re){this.original=F,this.modified=re}}e.$UK=Ni;class ji{constructor(F,re,$e,je){this.base=F,this.input1=re,this.input2=$e,this.result=je}}e.$VK=ji;class Mi{constructor(F,re){this.uri=F,this.viewType=re}}e.$WK=Mi;class Ti{constructor(F){this.viewType=F}}e.$XK=Ti;class Ui{constructor(F,re){this.uri=F,this.notebookType=re}}e.$YK=Ui;class zi{constructor(F,re,$e){this.original=F,this.modified=re,this.notebookType=$e}}e.$ZK=zi;class Bi{constructor(){}}e.$1K=Bi;class qi{constructor(F,re){this.uri=F,this.inputBoxUri=re}}e.$2K=qi;var mi;(function(j){j[j.Up=1]="Up",j[j.Down=2]="Down"})(mi||(e.InteractiveSessionVoteDirection=mi={}));var gi;(function(j){j[j.Action=1]="Action",j[j.Toolbar=2]="Toolbar"})(gi||(e.InteractiveSessionCopyKind=gi={}));var $i;(function(j){j[j.Unhelpful=0]="Unhelpful",j[j.Helpful=1]="Helpful",j[j.Undone=2]="Undone"})($i||(e.InteractiveEditorResponseFeedbackKind=$i={}))}),define(be[265],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$YL=void 0,e.$YL=(0,E.$lh)("environmentVariableService")}),define(be[266],pe([1,0,7,4,61,3,246,8]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bM=e.$aM=e.$_L=e.$$L=e.$0L=e.$9L=e.$8L=e.$7L=e.$6L=void 0;function b(k,t){if(t)if(A.$i)for(const i in t){let r=i;for(const s in k)if(i.toLowerCase()===s.toLowerCase()){r=s;break}const n=t[i];n!==void 0&&d(k,r,n)}else Object.keys(t).forEach(i=>{const r=t[i];r!==void 0&&d(k,i,r)})}e.$6L=b;function d(k,t,i){typeof i=="string"?k[t]=i:delete k[t]}function I(k,t,i,r){k.TERM_PROGRAM="vscode",t&&(k.TERM_PROGRAM_VERSION=t),h(k,r)&&(k.LANG=m(i)),k.COLORTERM="truecolor"}e.$7L=I;function v(k,t){if(t)for(const i of Object.keys(t)){const r=t[i];r!=null&&(k[i]=r)}}async function p(k,t){return await Promise.all(Object.entries(t).map(async([i,r])=>{if(typeof r=="string")try{t[i]=await k(r)}catch{t[i]=r}})),t}function h(k,t){if(t==="on")return!0;if(t==="auto"){const i=k.LANG;return!i||i.search(/\.UTF\-8$/)===-1&&i.search(/\.utf8$/)===-1&&i.search(/\.euc.+/)===-1}return!1}e.$8L=h;function m(k){const t=k?k.split("-"):[],i=t.length;if(i===0)return"en_US.UTF-8";if(i===1){const r={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};t[0]in r&&t.push(r[t[0]])}else t[1]=t[1].toUpperCase();return t.join("_")+".UTF-8"}e.$9L=m;async function g(k,t,i,r,n,s){if(k.cwd){const f=typeof k.cwd=="object"?k.cwd.fsPath:k.cwd,y=await a(f,i);return(0,R.$4L)(y||f)}let c;return!k.ignoreConfigurationCwd&&n&&(i&&(n=await a(n,i,s)),n&&(E.$0b(n)?c=n:r&&(c=E.$$b(r.fsPath,n)))),c||(c=r?r.fsPath:t||""),(0,R.$4L)(c)}e.$0L=g;async function a(k,t,i){if(t)try{return await t(k)}catch(r){i?.error("Could not resolve terminal cwd",r);return}return k}function u(k,t,i){if(i)return r=>i.resolveWithEnvironment(t,k,r)}e.$$L=u;async function l(k,t,i,r,n,s){const c={};if(k.strictEnv)v(c,k.env);else{v(c,s);const f={...t};i&&(f&&await p(i,f),k.env&&await p(i,k.env)),(0,o.$bl)(c,"VSCODE_IPC_HOOK_CLI"),b(c,f),b(c,k.env),I(c,r,A.$v,n)}return c}e.$_L=l;async function $(k,t,i,r,n,s,c=A.$i){let f;if((0,L.$ge)(k)?f=k:(f=k.fsPath,c&&s!==1?f=f.replace(/\\/g,"/"):!c&&s===1&&(f=f.replace(/\//g,"\\"))),!t)return f;const y=f.includes(" "),w=f.includes("(")||f.includes(")"),D=E.$cc(t,".exe"),C=D==="pwsh"||i==="pwsh"||D==="powershell"||i==="powershell";if(C&&(y||f.includes("'")))return`& '${f.replace(/'/g,"''")}'`;if(w&&C)return`& '${f}'`;if(s===1){if(r!==void 0)return r==="gitbash"?(0,R.$2L)(f.replace(/\\/g,"/")):r==="wsl"?n?.getWslPath(f,"win-to-unix")||f:y?`"${f}"`:f;const M=t.toLowerCase();return M.includes("wsl")||M.includes("bash.exe")&&!M.toLowerCase().includes("git")?n?.getWslPath(f,"win-to-unix")||f:y?`"${f}"`:f}return(0,R.$2L)(f)}e.$aM=$;function P(k,t,i){const r=typeof k=="string"?O.URI.parse(k):k;let n=r?(0,L.$ye)(t.getWorkspaceFolder(r)):void 0;if(!n){const s=i.getLastActiveWorkspaceRoot();n=s?(0,L.$ye)(t.getWorkspaceFolder(s)):void 0}return n}e.$bM=P}),define(be[69],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$WH=e.TestPosition=e.TestIdPathParts=void 0;var E;(function(A){A.Delimiter="\0"})(E||(e.TestIdPathParts=E={}));var O;(function(A){A[A.IsSame=0]="IsSame",A[A.Disconnected=1]="Disconnected",A[A.IsChild=2]="IsChild",A[A.IsParent=3]="IsParent"})(O||(e.TestPosition=O={}));class o{static fromExtHostTestItem(R,L,b=R.parent){if(R._isRoot)return new o([L]);const d=[R.id];for(let I=b;I&&I.id!==L;I=I.parent)d.push(I.id);return d.push(L),new o(d.reverse())}static isRoot(R){return!R.includes("\0")}static root(R){const L=R.indexOf("\0");return L===-1?R:R.slice(0,L)}static fromString(R){return new o(R.split("\0"))}static join(R,L){return new o([...R.path,L])}static joinToString(R,L){return R.toString()+"\0"+L}static parentId(R){const L=R.lastIndexOf("\0");return L===-1?void 0:R.slice(0,L)}static localId(R){const L=R.lastIndexOf("\0");return L===-1?R:R.slice(L+1)}static isChild(R,L){return L.startsWith(R)&&L[R.length]==="\0"}static compare(R,L){return R===L?0:o.isChild(R,L)?2:o.isChild(L,R)?3:1}constructor(R,L=R.length){if(this.path=R,this.d=L,R.length===0||L<1)throw new Error("cannot create test with empty path")}get parentId(){return this.d>1?new o(this.path,this.d-1):void 0}get localId(){return this.path[this.d-1]}get controllerId(){return this.path[0]}get isRoot(){return this.d===1}*idsFromRoot(){for(let R=1;R<=this.d;R++)yield new o(this.path,R)}*idsToRoot(){for(let R=this.d;R>0;R--)yield new o(this.path,R)}compare(R){if(typeof R=="string")return o.compare(this.toString(),R);for(let L=0;L<R.d&&L<this.d;L++)if(R.path[L]!==this.path[L])return 1;return R.d>this.d?2:R.d<this.d?3:0}toJSON(){return this.toString()}toString(){if(!this.c){this.c=this.path[0];for(let R=1;R<this.d;R++)this.c+="\0",this.c+=this.path[R]}return this.c}}e.$WH=o}),define(be[90],pe([1,0,4,49,69]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4H=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.$3H=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.$2H=e.$1H=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.$ZH=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.$YH=e.$XH=e.TestRunProfileBitset=e.ExtTestRunProfileKind=e.TestResultState=void 0;var A;(function(y){y[y.Unset=0]="Unset",y[y.Queued=1]="Queued",y[y.Running=2]="Running",y[y.Passed=3]="Passed",y[y.Failed=4]="Failed",y[y.Skipped=5]="Skipped",y[y.Errored=6]="Errored"})(A||(e.TestResultState=A={}));var R;(function(y){y[y.Run=1]="Run",y[y.Debug=2]="Debug",y[y.Coverage=3]="Coverage"})(R||(e.ExtTestRunProfileKind=R={}));var L;(function(y){y[y.Run=2]="Run",y[y.Debug=4]="Debug",y[y.Coverage=8]="Coverage",y[y.HasNonDefaultProfile=16]="HasNonDefaultProfile",y[y.HasConfigurable=32]="HasConfigurable",y[y.SupportsContinuousRun=64]="SupportsContinuousRun"})(L||(e.TestRunProfileBitset=L={})),e.$XH=[2,4,8,16,32,64];const b=y=>"runId"in y;e.$YH=b;var d;(function(y){y.serialize=w=>({range:w.range.toJSON(),uri:w.uri.toJSON()}),y.deserialize=w=>({range:O.$Kr.lift(w.range),uri:E.URI.revive(w.uri)})})(d||(e.IRichLocation=d={}));var I;(function(y){y[y.Error=0]="Error",y[y.Output=1]="Output"})(I||(e.TestMessageType=I={}));var v;(function(y){y.serialize=w=>({message:w.message,type:0,expected:w.expected,actual:w.actual,location:w.location&&d.serialize(w.location)}),y.deserialize=w=>({message:w.message,type:0,expected:w.expected,actual:w.actual,location:w.location&&d.deserialize(w.location)})})(v||(e.ITestErrorMessage=v={}));const p=(y,w)=>`${w?"s":"e"}${y}`;e.$ZH=p;var h;(function(y){y.serialize=w=>({message:w.message,type:1,offset:w.offset,length:w.length,location:w.location&&d.serialize(w.location)}),y.deserialize=w=>({message:w.message,type:1,offset:w.offset,length:w.length,location:w.location&&d.deserialize(w.location)})})(h||(e.ITestOutputMessage=h={}));var m;(function(y){y.serialize=w=>w.type===0?v.serialize(w):h.serialize(w),y.deserialize=w=>w.type===0?v.deserialize(w):h.deserialize(w)})(m||(e.ITestMessage=m={}));var g;(function(y){y.serializeWithoutMessages=w=>({state:w.state,duration:w.duration,messages:[]}),y.serialize=w=>({state:w.state,duration:w.duration,messages:w.messages.map(m.serialize)}),y.deserialize=w=>({state:w.state,duration:w.duration,messages:w.messages.map(m.deserialize)})})(g||(e.ITestTaskState=g={}));const a="\0",u=(y,w)=>y+a+w;e.$1H=u;const l=y=>{const w=y.indexOf(a);return{ctrlId:y.slice(0,w),tagId:y.slice(w+1)}};e.$2H=l;var $;(function(y){y.serialize=w=>({extId:w.extId,label:w.label,tags:w.tags,busy:w.busy,children:void 0,uri:w.uri?.toJSON(),range:w.range?.toJSON()||null,description:w.description,error:w.error,sortText:w.sortText}),y.deserialize=w=>({extId:w.extId,label:w.label,tags:w.tags,busy:w.busy,children:void 0,uri:w.uri?E.URI.revive(w.uri):void 0,range:w.range?O.$Kr.lift(w.range):null,description:w.description,error:w.error,sortText:w.sortText})})($||(e.ITestItem=$={}));var P;(function(y){y[y.NotExpandable=0]="NotExpandable",y[y.Expandable=1]="Expandable",y[y.BusyExpanding=2]="BusyExpanding",y[y.Expanded=3]="Expanded"})(P||(e.TestItemExpandState=P={}));var k;(function(y){y.serialize=w=>({expand:w.expand,item:$.serialize(w.item)}),y.deserialize=w=>({controllerId:o.$WH.root(w.item.extId),expand:w.expand,item:$.deserialize(w.item)})})(k||(e.InternalTestItem=k={}));var t;(function(y){y.serialize=w=>{let D;return w.item&&(D={},w.item.label!==void 0&&(D.label=w.item.label),w.item.tags!==void 0&&(D.tags=w.item.tags),w.item.busy!==void 0&&(D.busy=w.item.busy),w.item.uri!==void 0&&(D.uri=w.item.uri?.toJSON()),w.item.range!==void 0&&(D.range=w.item.range?.toJSON()),w.item.description!==void 0&&(D.description=w.item.description),w.item.error!==void 0&&(D.error=w.item.error),w.item.sortText!==void 0&&(D.sortText=w.item.sortText)),{extId:w.extId,expand:w.expand,item:D}},y.deserialize=w=>{let D;return w.item&&(D={},w.item.label!==void 0&&(D.label=w.item.label),w.item.tags!==void 0&&(D.tags=w.item.tags),w.item.busy!==void 0&&(D.busy=w.item.busy),w.item.range!==void 0&&(D.range=w.item.range?O.$Kr.lift(w.item.range):null),w.item.description!==void 0&&(D.description=w.item.description),w.item.error!==void 0&&(D.error=w.item.error),w.item.sortText!==void 0&&(D.sortText=w.item.sortText)),{extId:w.extId,expand:w.expand,item:D}}})(t||(e.ITestItemUpdate=t={}));const i=(y,w)=>{w.expand!==void 0&&(y.expand=w.expand),w.item!==void 0&&(y.item=y.item?Object.assign(y.item,w.item):w.item)};e.$3H=i;var r;(function(y){y.serializeWithoutMessages=w=>({...k.serialize(w),ownComputedState:w.ownComputedState,computedState:w.computedState,tasks:w.tasks.map(g.serializeWithoutMessages)}),y.serialize=w=>({...k.serialize(w),ownComputedState:w.ownComputedState,computedState:w.computedState,tasks:w.tasks.map(g.serialize)}),y.deserialize=w=>({...k.deserialize(w),ownComputedState:w.ownComputedState,computedState:w.computedState,tasks:w.tasks.map(g.deserialize),retired:!0})})(r||(e.TestResultItem=r={}));var n;(function(y){y[y.Function=0]="Function",y[y.Statement=1]="Statement"})(n||(e.DetailType=n={}));var s;(function(y){y[y.Add=0]="Add",y[y.Update=1]="Update",y[y.DocumentSynced=2]="DocumentSynced",y[y.Remove=3]="Remove",y[y.IncrementPendingExtHosts=4]="IncrementPendingExtHosts",y[y.Retire=5]="Retire",y[y.AddTag=6]="AddTag",y[y.RemoveTag=7]="RemoveTag"})(s||(e.TestDiffOpType=s={}));var c;(function(y){y.deserialize=w=>w.op===0?{op:w.op,item:k.deserialize(w.item)}:w.op===1?{op:w.op,item:t.deserialize(w.item)}:w.op===2?{op:w.op,uri:E.URI.revive(w.uri),docv:w.docv}:w,y.serialize=w=>w.op===0?{op:w.op,item:k.serialize(w.item)}:w.op===1?{op:w.op,item:t.serialize(w.item)}:w})(c||(e.TestsDiffOp=c={}));class f{constructor(){this.c=new Map,this.d=new Map,this.f=new Set,this.g=0,this.h=0,this.tags=this.c}apply(w){const D=this.o();for(const C of w)switch(C.op){case 0:this.j(k.deserialize(C.item),D);break;case 1:this.k(t.deserialize(C.item),D);break;case 3:this.l(C.itemId,D);break;case 5:this.m(C.itemId);break;case 4:this.updatePendingRoots(C.amount);break;case 6:this.c.set(C.tag.id,C.tag);break;case 7:this.c.delete(C.id);break}D.complete?.()}j(w,D){const C=o.$WH.parentId(w.item.extId)?.toString();let M;if(!C)M=this.p(w),this.f.add(M),this.d.set(w.item.extId,M);else if(this.d.has(C)){const X=this.d.get(C);X.children.add(w.item.extId),M=this.p(w,X),this.d.set(w.item.extId,M)}else{console.error(`Test with unknown parent ID: ${JSON.stringify(w)}`);return}return D.add?.(M),w.expand===2&&this.g++,M}k(w,D){const C=this.d.get(w.extId);if(C)return w.expand!==void 0&&(C.expand===2&&this.g--,w.expand===2&&this.g++),(0,e.$3H)(C,w),D.update?.(C),C}l(w,D){const C=this.d.get(w);if(!C)return;const M=o.$WH.parentId(C.item.extId)?.toString();M?this.d.get(M).children.delete(C.item.extId):this.f.delete(C);const X=[[w]];for(;X.length;)for(const ne of X.pop()){const he=this.d.get(ne);he&&(X.push(he.children),this.d.delete(ne),D.remove?.(he,he!==C),he.expand===2&&this.g--)}}m(w){}updatePendingRoots(w){this.h+=w}o(){return{}}}e.$4H=f}),define(be[131],pe([1,0,14,5,2,93,90,69]),function(ae,e,E,O,o,A,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7K=e.$6K=e.$5K=e.$4K=e.$3K=e.TestItemEventOp=void 0;var b;(function(l){l[l.Upsert=0]="Upsert",l[l.SetTags=1]="SetTags",l[l.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",l[l.RemoveChild=3]="RemoveChild",l[l.SetProp=4]="SetProp",l[l.Bulk=5]="Bulk",l[l.DocumentSynced=6]="DocumentSynced"})(b||(e.TestItemEventOp=b={}));const d=(l,$)=>l===$,v=Object.entries({range:(l,$)=>l===$?!0:!l||!$?!1:l.equalsRange($),busy:d,label:d,description:d,error:d,sortText:d,tags:(l,$)=>!(l.length!==$.length||l.some(P=>!$.includes(P)))}),p=(l,$)=>{let P;for(const[k,t]of v)t(l[k],$[k])||(P?P[k]=$[k]:P={[k]:$[k]});return P};class h extends o.$kb{get root(){return this.m.root}constructor($){super(),this.m=$,this.f=this.B(new E.$Cg(()=>this.flushDiff(),200)),this.g=this.B(new O.$5c),this.tree=new Map,this.j=new Map,this.k=[],this.onDidGenerateDiff=this.g.event,this.root.canResolveChildren=!0,this.u(this.root,void 0)}set resolveHandler($){this.h=$;for(const P of this.tree.values())this.G(P)}get resolveHandler(){return this.h}collectDiff(){const $=this.k;return this.k=[],$}pushDiff($){switch($.op){case 2:{for(const P of this.k)if(P.op===2&&P.uri===$.uri){P.docv=$.docv;return}break}case 1:{const P=this.k[this.k.length-1];if(P){if(P.op===1&&P.item.extId===$.item.extId){(0,R.$3H)(P.item,$.item);return}if(P.op===0&&P.item.item.extId===$.item.extId){(0,R.$3H)(P.item,$.item);return}}break}}this.k.push($),this.f.isScheduled()||this.f.schedule()}expand($,P){const k=this.tree.get($);if(k){if((k.expandLevels===void 0||P>k.expandLevels)&&(k.expandLevels=P),k.expand===1){const t=this.I(k);return t.isOpen()?this.H(k,P-1):t.wait().then(()=>this.H(k,P-1))}else if(k.expand===3)return k.resolveBarrier?.isOpen()===!1?k.resolveBarrier.wait().then(()=>this.H(k,P-1)):this.H(k,P-1)}}dispose(){for(const $ of this.tree.values())this.m.getApiFor($.actual).listener=void 0;this.tree.clear(),this.k=[],super.dispose()}p($,P){switch(P.op){case 3:this.L(L.$WH.joinToString($.fullId,P.id));break;case 0:this.u(P.item,$);break;case 5:for(const k of P.ops)this.p($,k);break;case 1:this.w(P.new,P.old,$.fullId.toString());break;case 2:this.G($);break;case 4:this.pushDiff({op:1,item:{extId:$.fullId.toString(),item:P.update}});break;case 6:this.s($.actual.uri);break;default:(0,A.$lc)(P)}}s($){$&&this.pushDiff({op:2,uri:$,docv:this.m.getDocumentVersion($)})}u($,P){const k=L.$WH.fromExtHostTestItem($,this.root.id,P?.actual),t=this.m.getApiFor($);t.parent&&t.parent!==P?.actual&&this.m.getChildren(t.parent).delete($.id);let i=this.tree.get(k.toString());if(!i){i={fullId:k,actual:$,expandLevels:P?.expandLevels?P.expandLevels-1:void 0,expand:0},$.tags.forEach(this.y,this),this.tree.set(i.fullId.toString(),i),this.C($,P),this.pushDiff({op:0,item:{controllerId:this.m.controllerId,expand:i.expand,item:this.m.toITestItem($)}}),this.F($,i,P);return}if(i.actual===$){this.D($,i,P);return}if(i.actual.uri?.toString()!==$.uri?.toString())return this.L(k.toString()),this.u($,P);const r=this.m.getChildren(i.actual),n=i.actual,s=p(this.m.toITestItem(n),this.m.toITestItem($));this.m.getApiFor(n).listener=void 0,i.actual=$,i.expand=0,s&&(s.hasOwnProperty("tags")&&(this.w($.tags,n.tags,k.toString()),delete s.tags),this.p(i,{op:4,update:s})),this.F($,i,P);for(const[c,f]of r)this.m.getChildren($).get(f.id)||this.L(L.$WH.joinToString(k,f.id));this.s(i.actual.uri)}w($,P,k){const t=new Set(P.map(i=>i.id));for(const i of $)t.delete(i.id)||this.y(i);this.pushDiff({op:1,item:{extId:k,item:{tags:$.map(i=>(0,R.$1H)(this.m.controllerId,i.id))}}}),t.forEach(this.z,this)}y($){const P=this.j.get($.id);P?P.refCount++:(this.j.set($.id,{refCount:1}),this.pushDiff({op:6,tag:{id:(0,R.$1H)(this.m.controllerId,$.id)}}))}z($){const P=this.j.get($);P&&!--P.refCount&&(this.j.delete($),this.pushDiff({op:7,id:(0,R.$1H)(this.m.controllerId,$)}))}C($,P){this.m.getApiFor($).parent=P&&P.actual!==this.root?P.actual:void 0}D($,P,k){this.C($,k);const t=this.m.getApiFor($);t.parent=k?.actual,t.listener=i=>this.p(P,i),this.G(P)}F($,P,k){this.D($,P,k);for(const[t,i]of this.m.getChildren($))this.u(i,P)}G($){let P;this.h?$.resolveBarrier?P=$.resolveBarrier.isOpen()?3:2:P=$.actual.canResolveChildren?1:0:P=0,P!==$.expand&&($.expand=P,this.pushDiff({op:1,item:{extId:$.fullId.toString(),expand:P}}),P===1&&$.expandLevels!==void 0&&this.I($))}H($,P){if(P<0)return;const k=[];for(const[t,i]of this.m.getChildren($.actual)){const r=this.expand(L.$WH.joinToString($.fullId,i.id),P);(0,E.$eg)(r)&&k.push(r)}if(k.length)return Promise.all(k).then(()=>{})}I($){if($.resolveBarrier)return $.resolveBarrier;if(!this.h){const i=new E.$qg;return i.open(),i}$.expand=2,this.J($);const P=$.resolveBarrier=new E.$qg,k=i=>{console.error(`Unhandled error in resolveHandler of test controller "${this.m.controllerId}"`,i)};let t;try{t=this.h($.actual===this.root?void 0:$.actual)}catch(i){k(i)}return(0,E.$eg)(t)?t.catch(k).then(()=>{P.open(),this.G($)}):(P.open(),this.G($)),$.resolveBarrier}J($){this.pushDiff({op:1,item:{extId:$.fullId.toString(),expand:$.expand}})}L($){const P=this.tree.get($);if(!P)throw new Error("attempting to remove non-existent child");this.pushDiff({op:3,itemId:$});const k=[P];for(;k.length;){const t=k.pop();if(t){this.m.getApiFor(t.actual).listener=void 0;for(const i of t.actual.tags)this.z(i.id);this.tree.delete(t.fullId.toString());for(const[i,r]of this.m.getChildren(t.actual))k.push(this.tree.get(L.$WH.joinToString(t.fullId,r.id)))}}}flushDiff(){const $=this.collectDiff();$.length&&this.g.fire($)}}e.$3K=h;class m extends Error{constructor($){super(`Attempted to insert a duplicate test item ID ${$}`)}}e.$4K=m;class g extends Error{constructor($){super(`TestItem with ID "${$}" is invalid. Make sure to create it from the createTestItem method.`)}}e.$5K=g;class a extends Error{constructor($,P,k){super(`TestItem with ID "${$}" is from controller "${P}" and cannot be added as a child of an item from controller "${k}".`)}}e.$6K=a;const u=(l,$,P)=>{let k=new Map;return{get size(){return k.size},forEach(t,i){for(const r of k.values())t.call(i,r,this)},[Symbol.iterator](){return k.entries()},replace(t){const i=new Map,r=new Set(k.keys()),n={op:5,ops:[]};for(const s of t){if(!(s instanceof P))throw new g(s.id);const c=$(s).controllerId;if(c!==l.controllerId)throw new a(s.id,c,l.controllerId);if(i.has(s.id))throw new m(s.id);i.set(s.id,s),r.delete(s.id),n.ops.push({op:0,item:s})}for(const s of r.keys())n.ops.push({op:3,id:s});l.listener?.(n),k=i},add(t){if(!(t instanceof P))throw new g(t.id);k.set(t.id,t),l.listener?.({op:0,item:t})},delete(t){k.delete(t)&&l.listener?.({op:3,id:t})},get(t){return k.get(t)},toJSON(){return Array.from(k.values())}}};e.$7K=u}),define(be[132],pe([1,0,131]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9K=e.$8K=void 0;const O=new WeakMap,o=(R,L)=>{const b={controllerId:L};return O.set(R,b),b};e.$8K=o;const A=R=>{const L=O.get(R);if(!L)throw new E.$5K(R?.id||"<unknown>");return L};e.$9K=A}),define(be[267],pe([1,0,24,6]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$KD=e.$JD=e.$ID=e.$HD=e.$GD=e.$FD=e.$ED=e.$DD=e.$CD=e.$BD=e.$AD=e.$zD=e.$yD=e.$xD=e.$wD=e.$vD=e.$uD=e.$tD=e.$sD=e.$rD=e.$qD=e.$pD=e.$oD=e.$nD=void 0,e.$nD=".vscode",e.$oD="settings",e.$pD=`${e.$nD}/${e.$oD}.json`,e.$qD="vscode://schemas/settings/default",e.$rD="vscode://schemas/settings/user",e.$sD="vscode://schemas/settings/profile",e.$tD="vscode://schemas/settings/machine",e.$uD="vscode://schemas/settings/workspace",e.$vD="vscode://schemas/settings/folder",e.$wD="vscode://schemas/launch",e.$xD="vscode://schemas/tasks",e.$yD=[1],e.$zD=[2,3,4,5,6],e.$AD=[3,4,5],e.$BD=[1,...e.$AD],e.$CD=[2,3,4,5,6],e.$DD=[3,4,5,6],e.$ED=[4,5,6],e.$FD="tasks",e.$GD="launch",e.$HD=Object.create(null),e.$HD[e.$FD]=`${e.$nD}/${e.$FD}.json`,e.$HD[e.$GD]=`${e.$nD}/${e.$GD}.json`,e.$ID=Object.create(null),e.$ID[e.$FD]=`${e.$FD}.json`,e.$JD=(0,O.$mh)(E.$Rh),e.$KD=`{
	"version": "2.0.0",
	"tasks": []
}`}),define(be[133],pe([1,0,6]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EL=e.VariableKind=e.$DL=void 0,e.$DL=(0,E.$lh)("configurationResolverService");var O;(function(A){A.Unknown="unknown",A.Env="env",A.Config="config",A.Command="command",A.Input="input",A.ExtensionInstallFolder="extensionInstallFolder",A.WorkspaceFolder="workspaceFolder",A.Cwd="cwd",A.WorkspaceFolderBasename="workspaceFolderBasename",A.UserHome="userHome",A.LineNumber="lineNumber",A.SelectedText="selectedText",A.File="file",A.FileWorkspaceFolder="fileWorkspaceFolder",A.RelativeFile="relativeFile",A.RelativeFileDirname="relativeFileDirname",A.FileDirname="fileDirname",A.FileExtname="fileExtname",A.FileBasename="fileBasename",A.FileBasenameNoExtension="fileBasenameNoExtension",A.FileDirnameBasename="fileDirnameBasename",A.ExecPath="execPath",A.ExecInstallFolder="execInstallFolder",A.PathSeparator="pathSeparator"})(O||(e.VariableKind=O={}));class o extends Error{constructor(R,L){super(L),this.variable=R}}e.$EL=o}),define(be[268],pe([1,0,7,30,8,21,3,162,200,133,17]),function(ae,e,E,O,o,A,R,L,b,d,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cM=void 0;class v{constructor(h,m,g,a){this.h=new Map,this.a=h,this.b=m,this.g=g,a&&(this.c=a.then(u=>this.i(u)))}i(h){if(R.$i){const m=Object.create(null);return Object.keys(h).forEach(g=>{m[g.toLowerCase()]=h[g]}),m}return h}resolveWithEnvironment(h,m,g){return this.l({env:this.i(h),userHome:void 0},m?m.uri:void 0,g)}async resolveAsync(h,m){const g={env:await this.c,userHome:await this.g};return this.l(g,h?h.uri:void 0,m)}async j(h,m,g,a){const u=A.$Dm(m);R.$i&&u.windows?Object.keys(u.windows).forEach($=>u[$]=u.windows[$]):R.$j&&u.osx?Object.keys(u.osx).forEach($=>u[$]=u.osx[$]):R.$k&&u.linux&&Object.keys(u.linux).forEach($=>u[$]=u.linux[$]),delete u.windows,delete u.osx,delete u.linux;const l={env:await this.c,userHome:await this.g};return this.l(l,h?h.uri:void 0,u,g,a)}async resolveAnyAsync(h,m,g){return this.j(h,m,g)}async resolveAnyMap(h,m,g){const a=new Map;return{newConfig:await this.j(h,m,g,a),resolvedVariables:a}}resolveWithInteractionReplace(h,m,g,a){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(h,m,g,a){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(h,m){if(this.h.has(h))throw new Error("Variable "+h+" is contributed twice.");this.h.set(h,m)}async l(h,m,g,a,u){if(o.$ge(g))return this.m(h,m,g,a,u);if(Array.isArray(g))return Promise.all(g.map(l=>this.l(h,m,l,a,u)));if(o.$ie(g)){const l=Object.create(null),$=await Promise.all(Object.keys(g).map(async P=>[await this.m(h,m,P,a,u),await this.l(h,m,g[P],a,u)]));for(const[P,k]of $)l[P]=k;return l}return g}m(h,m,g,a,u){return(0,I.$Bd)(g,v.VARIABLE_REGEXP,async(l,$)=>{if($.includes(v.VARIABLE_LHS))return l;let P=await this.o(h,l,$,m,a);return u?.set($,P),P!==l&&o.$ge(P)&&P.match(v.VARIABLE_REGEXP)&&(P=await this.m(h,m,P,a,u)),P})}n(h){return this.b?this.b.getUriLabel(h,{noPrefix:!0}):h.fsPath}async o(h,m,g,a,u){let l;const $=g.split(":");$.length>1&&(g=$[0],l=$[1]);const P=i=>{const r=this.a.getFilePath();if(r)return(0,L.$Oz)(r);throw new d.$EL(i,(0,b.localize)(0,null,m))},k=i=>{const r=P(i);if(this.a.getWorkspaceFolderPathForFile){const n=this.a.getWorkspaceFolderPathForFile();if(n)return(0,L.$Oz)(n)}throw new d.$EL(i,(0,b.localize)(1,null,m,E.$cc(r)))},t=i=>{if(l){const r=this.a.getFolderUri(l);if(r)return r;throw new d.$EL(i,(0,b.localize)(2,null,m,l))}if(a)return a;throw this.a.getWorkspaceFolderCount()>1?new d.$EL(i,(0,b.localize)(3,null,m)):new d.$EL(i,(0,b.localize)(4,null,m))};switch(g){case"env":if(l){if(h.env){const i=h.env[R.$i?l.toLowerCase():l];if(o.$ge(i))return i}return""}throw new d.$EL(d.VariableKind.Env,(0,b.localize)(5,null,m));case"config":if(l){const i=this.a.getConfigurationValue(a,l);if(o.$pe(i))throw new d.$EL(d.VariableKind.Config,(0,b.localize)(6,null,m,l));if(o.$ie(i))throw new d.$EL(d.VariableKind.Config,(0,b.localize)(7,null,m,l));return i}throw new d.$EL(d.VariableKind.Config,(0,b.localize)(8,null,m));case"command":return this.p(d.VariableKind.Command,m,l,u,"command");case"input":return this.p(d.VariableKind.Input,m,l,u,"input");case"extensionInstallFolder":if(l){const i=await this.a.getExtension(l);if(!i)throw new d.$EL(d.VariableKind.ExtensionInstallFolder,(0,b.localize)(9,null,m,l));return this.n(i.extensionLocation)}throw new d.$EL(d.VariableKind.ExtensionInstallFolder,(0,b.localize)(10,null,m));default:switch(g){case"workspaceRoot":case"workspaceFolder":return(0,L.$Oz)(this.n(t(d.VariableKind.WorkspaceFolder)));case"cwd":return a||l?(0,L.$Oz)(this.n(t(d.VariableKind.Cwd))):O.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return(0,L.$Oz)(E.$cc(this.n(t(d.VariableKind.WorkspaceFolderBasename))));case"userHome":{if(h.userHome)return h.userHome;throw new d.$EL(d.VariableKind.UserHome,(0,b.localize)(11,null,m))}case"lineNumber":{const i=this.a.getLineNumber();if(i)return i;throw new d.$EL(d.VariableKind.LineNumber,(0,b.localize)(12,null,m))}case"selectedText":{const i=this.a.getSelectedText();if(i)return i;throw new d.$EL(d.VariableKind.SelectedText,(0,b.localize)(13,null,m))}case"file":return P(d.VariableKind.File);case"fileWorkspaceFolder":return k(d.VariableKind.FileWorkspaceFolder);case"relativeFile":return a||l?E.$ac(this.n(t(d.VariableKind.RelativeFile)),P(d.VariableKind.RelativeFile)):P(d.VariableKind.RelativeFile);case"relativeFileDirname":{const i=E.$bc(P(d.VariableKind.RelativeFileDirname));if(a||l){const r=E.$ac(this.n(t(d.VariableKind.RelativeFileDirname)),i);return r.length===0?".":r}return i}case"fileDirname":return E.$bc(P(d.VariableKind.FileDirname));case"fileExtname":return E.$dc(P(d.VariableKind.FileExtname));case"fileBasename":return E.$cc(P(d.VariableKind.FileBasename));case"fileBasenameNoExtension":{const i=E.$cc(P(d.VariableKind.FileBasenameNoExtension));return i.slice(0,i.length-E.$dc(i).length)}case"fileDirnameBasename":return E.$cc(E.$bc(P(d.VariableKind.FileDirnameBasename)));case"execPath":{const i=this.a.getExecPath();return i||m}case"execInstallFolder":{const i=this.a.getAppRoot();return i||m}case"pathSeparator":return E.sep;default:try{const i=l?`${g}:${l}`:g;return this.p(d.VariableKind.Unknown,m,i,u,void 0)}catch{return m}}}}p(h,m,g,a,u){if(g&&a){const l=u===void 0?a[g]:a[u+":"+g];if(typeof l=="string")return l;throw new d.$EL(h,(0,b.localize)(14,null,m))}return m}}e.$cM=v,v.VARIABLE_LHS="${",v.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(be[269],pe([1,0,6,89]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tC=e.$sC=e.OpenEditorContext=e.GroupsOrder=e.$rC=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.$qC=void 0,e.$qC=(0,E.$lh)("editorGroupsService");var o;(function(m){m[m.UP=0]="UP",m[m.DOWN=1]="DOWN",m[m.LEFT=2]="LEFT",m[m.RIGHT=3]="RIGHT"})(o||(e.GroupDirection=o={}));var A;(function(m){m[m.HORIZONTAL=0]="HORIZONTAL",m[m.VERTICAL=1]="VERTICAL"})(A||(e.GroupOrientation=A={}));var R;(function(m){m[m.FIRST=0]="FIRST",m[m.LAST=1]="LAST",m[m.NEXT=2]="NEXT",m[m.PREVIOUS=3]="PREVIOUS"})(R||(e.GroupLocation=R={}));var L;(function(m){m[m.MAXIMIZE=0]="MAXIMIZE",m[m.EVEN=1]="EVEN",m[m.TOGGLE=2]="TOGGLE"})(L||(e.GroupsArrangement=L={}));var b;(function(m){m[m.COPY_EDITORS=0]="COPY_EDITORS",m[m.MOVE_EDITORS=1]="MOVE_EDITORS"})(b||(e.MergeGroupMode=b={}));function d(m){const g=m;return(0,O.$eE)(g?.editor)&&(0,O.$eE)(g?.replacement)}e.$rC=d;var I;(function(m){m[m.CREATION_TIME=0]="CREATION_TIME",m[m.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",m[m.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(I||(e.GroupsOrder=I={}));var v;(function(m){m[m.NEW_EDITOR=1]="NEW_EDITOR",m[m.MOVE_EDITOR=2]="MOVE_EDITOR",m[m.COPY_EDITOR=3]="COPY_EDITOR"})(v||(e.OpenEditorContext=v={}));function p(m){const g=m;return!!g&&typeof g.id=="number"&&Array.isArray(g.editors)}e.$sC=p;function h(m){return m.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.$tC=h}),define(be[134],pe([1,0,6,269]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xC=e.$wC=e.$vC=e.$uC=void 0,e.$uC=(0,E.$lh)("editorService"),e.$vC=-1,e.$wC=-2;function o(A){const R=A;return typeof A=="number"||(0,O.$sC)(R)}e.$xC=o}),define(be[135],pe([1,0,18,15,148,71,101,27,141,50,60,21,8,4,49,167,224,132,89,129,69,90,134,130]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChatFollowup=e.ChatReplyFollowup=e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookKernelSourceAction=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.$_K=e.$$K=e.MarkdownString=e.$0K=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var r;(function(ye){function De(x){const{selectionStartLineNumber:Se,selectionStartColumn:Oe,positionLineNumber:We,positionColumn:Ue}=x,Ye=new i.$bJ(Se-1,Oe-1),ct=new i.$bJ(We-1,Ue-1);return new i.$dJ(Ye,ct)}ye.to=De;function de(x){const{anchor:Se,active:Oe}=x;return{selectionStartLineNumber:Se.line+1,selectionStartColumn:Se.character+1,positionLineNumber:Oe.line+1,positionColumn:Oe.character+1}}ye.from=de})(r||(e.Selection=r={}));var n;(function(ye){function De(x){if(!x)return;const{start:Se,end:Oe}=x;return{startLineNumber:Se.line+1,startColumn:Se.character+1,endLineNumber:Oe.line+1,endColumn:Oe.character+1}}ye.from=De;function de(x){if(!x)return;const{startLineNumber:Se,startColumn:Oe,endLineNumber:We,endColumn:Ue}=x;return new i.$cJ(Se-1,Oe-1,We-1,Ue-1)}ye.to=de})(n||(e.Range=n={}));var s;(function(ye){function De(de){switch(de){case 1:return i.StandardTokenType.Comment;case 0:return i.StandardTokenType.Other;case 3:return i.StandardTokenType.RegEx;case 2:return i.StandardTokenType.String}}ye.to=De})(s||(e.TokenType=s={}));var c;(function(ye){function De(x){return new i.$bJ(x.lineNumber-1,x.column-1)}ye.to=De;function de(x){return{lineNumber:x.line+1,column:x.character+1}}ye.from=de})(c||(e.Position=c={}));var f;(function(ye){function De(Se,Oe,We){return(0,E.$jf)((0,E.$Gf)(Se).map(Ue=>de(Ue,Oe,We)))}ye.from=De;function de(Se,Oe,We){if(typeof Se=="string")return{$serialized:!0,language:Se,isBuiltin:We?.isBuiltin};if(Se)return{$serialized:!0,language:Se.language,scheme:x(Se.scheme,Oe),pattern:ke.from(Se.pattern)??void 0,exclusive:Se.exclusive,notebookType:Se.notebookType,isBuiltin:We?.isBuiltin}}function x(Se,Oe){return Oe&&typeof Se=="string"?Oe.transformOutgoingScheme(Se):Se}})(f||(e.DocumentSelector=f={}));var y;(function(ye){function De(x){switch(x){case i.DiagnosticTag.Unnecessary:return 1;case i.DiagnosticTag.Deprecated:return 2}}ye.from=De;function de(x){switch(x){case 1:return i.DiagnosticTag.Unnecessary;case 2:return i.DiagnosticTag.Deprecated;default:return}}ye.to=de})(y||(e.DiagnosticTag=y={}));var w;(function(ye){function De(x){let Se;return x.code&&((0,p.$ge)(x.code)||(0,p.$ke)(x.code)?Se=String(x.code):Se={value:String(x.code.value),target:x.code.target}),{...n.from(x.range),message:x.message,source:x.source,code:Se,severity:C.from(x.severity),relatedInformation:x.relatedInformation&&x.relatedInformation.map(D.from),tags:Array.isArray(x.tags)?(0,E.$jf)(x.tags.map(y.from)):void 0}}ye.from=De;function de(x){const Se=new i.$oJ(n.to(x),x.message,C.to(x.severity));return Se.source=x.source,Se.code=(0,p.$ge)(x.code)?x.code:x.code?.value,Se.relatedInformation=x.relatedInformation&&x.relatedInformation.map(D.to),Se.tags=x.tags&&(0,E.$jf)(x.tags.map(y.to)),Se}ye.to=de})(w||(e.Diagnostic=w={}));var D;(function(ye){function De(x){return{...n.from(x.location.range),message:x.message,resource:x.location.uri}}ye.from=De;function de(x){return new i.$nJ(new i.$mJ(x.resource,n.to(x)),x.message)}ye.to=de})(D||(e.DiagnosticRelatedInformation=D={}));var C;(function(ye){function De(x){switch(x){case i.DiagnosticSeverity.Error:return a.MarkerSeverity.Error;case i.DiagnosticSeverity.Warning:return a.MarkerSeverity.Warning;case i.DiagnosticSeverity.Information:return a.MarkerSeverity.Info;case i.DiagnosticSeverity.Hint:return a.MarkerSeverity.Hint}return a.MarkerSeverity.Error}ye.from=De;function de(x){switch(x){case a.MarkerSeverity.Info:return i.DiagnosticSeverity.Information;case a.MarkerSeverity.Warning:return i.DiagnosticSeverity.Warning;case a.MarkerSeverity.Error:return i.DiagnosticSeverity.Error;case a.MarkerSeverity.Hint:return i.DiagnosticSeverity.Hint;default:return i.DiagnosticSeverity.Error}}ye.to=de})(C||(e.DiagnosticSeverity=C={}));var M;(function(ye){function De(x){return typeof x=="number"&&x>=i.ViewColumn.One?x-1:x===i.ViewColumn.Beside?t.$wC:t.$vC}ye.from=De;function de(x){if(typeof x=="number"&&x>=0)return x+1;throw new Error("invalid 'EditorGroupColumn'")}ye.to=de})(M||(e.ViewColumn=M={}));function X(ye){return typeof ye.range<"u"}function ne(ye){return ye.length===0?!0:!!X(ye[0])}e.$0K=ne;var he;(function(ye){function De(Ue){return Ue.map(ye.from)}ye.fromMany=De;function de(Ue){return Ue&&typeof Ue=="object"&&typeof Ue.language=="string"&&typeof Ue.value=="string"}function x(Ue){let Ye;if(de(Ue)){const{language:at,value:dt}=Ue;Ye={value:"```"+at+`
`+dt+"\n```\n"}}else i.$BJ.isMarkdownString(Ue)?Ye={value:Ue.value,isTrusted:Ue.isTrusted,supportThemeIcons:Ue.supportThemeIcons,supportHtml:Ue.supportHtml,baseUri:Ue.baseUri}:typeof Ue=="string"?Ye={value:Ue}:Ye={value:""};const ct=Object.create(null);Ye.uris=ct;const yt=at=>{try{let dt=h.URI.parse(at,!0);dt=dt.with({query:Se(dt.query,ct)}),ct[at]=dt}catch{}return""},bt=new b.marked.Renderer;return bt.link=yt,bt.image=at=>typeof at=="string"?yt(R.$Nj(at).href):"",(0,b.marked)(Ye.value,{renderer:bt}),Ye}ye.from=x;function Se(Ue,Ye){if(!Ue)return Ue;let ct;try{ct=(0,d.$Tg)(Ue)}catch{}if(!ct)return Ue;let yt=!1;return ct=(0,v.$Fm)(ct,bt=>{if(h.URI.isUri(bt)){const at=`__uri_${Math.random().toString(16).slice(2,8)}`;return Ye[at]=bt,yt=!0,at}else return}),yt?JSON.stringify(ct):Ue}function Oe(Ue){const Ye=new i.$BJ(Ue.value,Ue.supportThemeIcons);return Ye.isTrusted=Ue.isTrusted,Ye.supportHtml=Ue.supportHtml,Ye.baseUri=Ue.baseUri?h.URI.from(Ue.baseUri):void 0,Ye}ye.to=Oe;function We(Ue){if(Ue)return typeof Ue=="string"?Ue:ye.from(Ue)}ye.fromStrict=We})(he||(e.MarkdownString=he={}));function ue(ye){return ne(ye)?ye.map(De=>({range:n.from(De.range),hoverMessage:Array.isArray(De.hoverMessage)?he.fromMany(De.hoverMessage):De.hoverMessage?he.from(De.hoverMessage):void 0,renderOptions:De.renderOptions})):ye.map(De=>({range:n.from(De)}))}e.$$K=ue;function le(ye){return typeof ye>"u"?ye:typeof ye=="string"?h.URI.file(ye):ye}e.$_K=le;var ge;(function(ye){function De(de){return typeof de>"u"?de:{contentText:de.contentText,contentIconPath:de.contentIconPath?le(de.contentIconPath):void 0,border:de.border,borderColor:de.borderColor,fontStyle:de.fontStyle,fontWeight:de.fontWeight,textDecoration:de.textDecoration,color:de.color,backgroundColor:de.backgroundColor,margin:de.margin,width:de.width,height:de.height}}ye.from=De})(ge||(e.ThemableDecorationAttachmentRenderOptions=ge={}));var se;(function(ye){function De(de){return typeof de>"u"?de:{backgroundColor:de.backgroundColor,outline:de.outline,outlineColor:de.outlineColor,outlineStyle:de.outlineStyle,outlineWidth:de.outlineWidth,border:de.border,borderColor:de.borderColor,borderRadius:de.borderRadius,borderSpacing:de.borderSpacing,borderStyle:de.borderStyle,borderWidth:de.borderWidth,fontStyle:de.fontStyle,fontWeight:de.fontWeight,textDecoration:de.textDecoration,cursor:de.cursor,color:de.color,opacity:de.opacity,letterSpacing:de.letterSpacing,gutterIconPath:de.gutterIconPath?le(de.gutterIconPath):void 0,gutterIconSize:de.gutterIconSize,overviewRulerColor:de.overviewRulerColor,before:de.before?ge.from(de.before):void 0,after:de.after?ge.from(de.after):void 0}}ye.from=De})(se||(e.ThemableDecorationRenderOptions=se={}));var J;(function(ye){function De(de){if(typeof de>"u")return de;switch(de){case i.DecorationRangeBehavior.OpenOpen:return 0;case i.DecorationRangeBehavior.ClosedClosed:return 1;case i.DecorationRangeBehavior.OpenClosed:return 2;case i.DecorationRangeBehavior.ClosedOpen:return 3}}ye.from=De})(J||(e.DecorationRangeBehavior=J={}));var te;(function(ye){function De(de){return{isWholeLine:de.isWholeLine,rangeBehavior:de.rangeBehavior?J.from(de.rangeBehavior):void 0,overviewRulerLane:de.overviewRulerLane,light:de.light?se.from(de.light):void 0,dark:de.dark?se.from(de.dark):void 0,backgroundColor:de.backgroundColor,outline:de.outline,outlineColor:de.outlineColor,outlineStyle:de.outlineStyle,outlineWidth:de.outlineWidth,border:de.border,borderColor:de.borderColor,borderRadius:de.borderRadius,borderSpacing:de.borderSpacing,borderStyle:de.borderStyle,borderWidth:de.borderWidth,fontStyle:de.fontStyle,fontWeight:de.fontWeight,textDecoration:de.textDecoration,cursor:de.cursor,color:de.color,opacity:de.opacity,letterSpacing:de.letterSpacing,gutterIconPath:de.gutterIconPath?le(de.gutterIconPath):void 0,gutterIconSize:de.gutterIconSize,overviewRulerColor:de.overviewRulerColor,before:de.before?ge.from(de.before):void 0,after:de.after?ge.from(de.after):void 0}}ye.from=De})(te||(e.DecorationRenderOptions=te={}));var V;(function(ye){function De(x){return{text:x.newText,eol:x.newEol&&Qe.from(x.newEol),range:n.from(x.range)}}ye.from=De;function de(x){const Se=new i.$hJ(n.to(x.range),x.text);return Se.newEol=typeof x.eol>"u"?void 0:Qe.to(x.eol),Se}ye.to=de})(V||(e.TextEdit=V={}));var Z;(function(ye){function De(x,Se){const Oe={edits:[]};if(x instanceof i.$kJ){const We=new L.$ki;for(const Ue of x._allEntries())Ue._type===1&&h.URI.isUri(Ue.to)&&Ue.from===void 0&&We.add(Ue.to);for(const Ue of x._allEntries())if(Ue._type===1){let Ye;Ue.options?.contents&&(ArrayBuffer.isView(Ue.options.contents)?Ye={type:"base64",value:(0,O.$2b)(O.$Ib.wrap(Ue.options.contents))}:Ye={type:"dataTransferItem",id:Ue.options.contents._itemId}),Oe.edits.push({oldResource:Ue.from,newResource:Ue.to,options:{...Ue.options,contents:Ye},metadata:Ue.metadata})}else Ue._type===2?Oe.edits.push({resource:Ue.uri,textEdit:V.from(Ue.edit),versionId:We.has(Ue.uri)?void 0:Se?.getTextDocumentVersion(Ue.uri),metadata:Ue.metadata}):Ue._type===6?Oe.edits.push({resource:Ue.uri,textEdit:{range:n.from(Ue.range),text:Ue.edit.value,insertAsSnippet:!0},versionId:We.has(Ue.uri)?void 0:Se?.getTextDocumentVersion(Ue.uri),metadata:Ue.metadata}):Ue._type===3?Oe.edits.push({metadata:Ue.metadata,resource:Ue.uri,cellEdit:Ue.edit,notebookMetadata:Ue.notebookMetadata,notebookVersionId:Se?.getNotebookDocumentVersion(Ue.uri)}):Ue._type===5&&Oe.edits.push({metadata:Ue.metadata,resource:Ue.uri,notebookVersionId:Se?.getNotebookDocumentVersion(Ue.uri),cellEdit:{editType:1,index:Ue.index,count:Ue.count,cells:Ue.cells.map(Ze.from)}})}return Oe}ye.from=De;function de(x){const Se=new i.$kJ,Oe=new L.$ji;for(const We of x.edits)if(We.textEdit){const Ue=We,Ye=h.URI.revive(Ue.resource),ct=n.to(Ue.textEdit.range),yt=Ue.textEdit.text,bt=Ue.textEdit.insertAsSnippet;let at;bt?at=i.$jJ.replace(ct,new i.$lJ(yt)):at=i.$hJ.replace(ct,yt);const dt=Oe.get(Ye);dt?dt.push(at):Oe.set(Ye,[at])}else Se.renameFile(h.URI.revive(We.oldResource),h.URI.revive(We.newResource),We.options);for(const[We,Ue]of Oe)Se.set(We,Ue);return Se}ye.to=de})(Z||(e.WorkspaceEdit=Z={}));var H;(function(ye){const De=Object.create(null);De[i.SymbolKind.File]=0,De[i.SymbolKind.Module]=1,De[i.SymbolKind.Namespace]=2,De[i.SymbolKind.Package]=3,De[i.SymbolKind.Class]=4,De[i.SymbolKind.Method]=5,De[i.SymbolKind.Property]=6,De[i.SymbolKind.Field]=7,De[i.SymbolKind.Constructor]=8,De[i.SymbolKind.Enum]=9,De[i.SymbolKind.Interface]=10,De[i.SymbolKind.Function]=11,De[i.SymbolKind.Variable]=12,De[i.SymbolKind.Constant]=13,De[i.SymbolKind.String]=14,De[i.SymbolKind.Number]=15,De[i.SymbolKind.Boolean]=16,De[i.SymbolKind.Array]=17,De[i.SymbolKind.Object]=18,De[i.SymbolKind.Key]=19,De[i.SymbolKind.Null]=20,De[i.SymbolKind.EnumMember]=21,De[i.SymbolKind.Struct]=22,De[i.SymbolKind.Event]=23,De[i.SymbolKind.Operator]=24,De[i.SymbolKind.TypeParameter]=25;function de(Se){return typeof De[Se]=="number"?De[Se]:6}ye.from=de;function x(Se){for(const Oe in De)if(De[Oe]===Se)return Number(Oe);return i.SymbolKind.Property}ye.to=x})(H||(e.SymbolKind=H={}));var B;(function(ye){function De(x){switch(x){case i.SymbolTag.Deprecated:return 1}}ye.from=De;function de(x){switch(x){case 1:return i.SymbolTag.Deprecated}}ye.to=de})(B||(e.SymbolTag=B={}));var ie;(function(ye){function De(x){return{name:x.name,kind:H.from(x.kind),tags:x.tags&&x.tags.map(B.from),containerName:x.containerName,location:N.from(x.location)}}ye.from=De;function de(x){const Se=new i.$rJ(x.name,H.to(x.kind),x.containerName,N.to(x.location));return Se.tags=x.tags&&x.tags.map(B.to),Se}ye.to=de})(ie||(e.WorkspaceSymbol=ie={}));var Y;(function(ye){function De(x){const Se={name:x.name||"!!MISSING: name!!",detail:x.detail,range:n.from(x.range),selectionRange:n.from(x.selectionRange),kind:H.from(x.kind),tags:x.tags?.map(B.from)??[]};return x.children&&(Se.children=x.children.map(De)),Se}ye.from=De;function de(x){const Se=new i.$sJ(x.name,x.detail,H.to(x.kind),n.to(x.range),n.to(x.selectionRange));return(0,E.$nf)(x.tags)&&(Se.tags=x.tags.map(B.to)),x.children&&(Se.children=x.children.map(de)),Se}ye.to=de})(Y||(e.DocumentSymbol=Y={}));var _;(function(ye){function De(x){const Se=new i.$xJ(H.to(x.kind),x.name,x.detail||"",h.URI.revive(x.uri),n.to(x.range),n.to(x.selectionRange));return Se._sessionId=x._sessionId,Se._itemId=x._itemId,Se}ye.to=De;function de(x,Se,Oe){if(Se=Se??x._sessionId,Oe=Oe??x._itemId,Se===void 0||Oe===void 0)throw new Error("invalid item");return{_sessionId:Se,_itemId:Oe,name:x.name,detail:x.detail,kind:H.from(x.kind),uri:x.uri,range:n.from(x.range),selectionRange:n.from(x.selectionRange),tags:x.tags?.map(B.from)}}ye.from=de})(_||(e.CallHierarchyItem=_={}));var T;(function(ye){function De(de){return new i.$yJ(_.to(de.from),de.fromRanges.map(x=>n.to(x)))}ye.to=De})(T||(e.CallHierarchyIncomingCall=T={}));var S;(function(ye){function De(de){return new i.$zJ(_.to(de.to),de.fromRanges.map(x=>n.to(x)))}ye.to=De})(S||(e.CallHierarchyOutgoingCall=S={}));var N;(function(ye){function De(x){return{range:x.range&&n.from(x.range),uri:x.uri}}ye.from=De;function de(x){return new i.$mJ(h.URI.revive(x.uri),n.to(x.range))}ye.to=de})(N||(e.location=N={}));var ee;(function(ye){function De(x){const Se=x,Oe=x;return{originSelectionRange:Se.originSelectionRange?n.from(Se.originSelectionRange):void 0,uri:Se.targetUri?Se.targetUri:Oe.uri,range:n.from(Se.targetRange?Se.targetRange:Oe.range),targetSelectionRange:Se.targetSelectionRange?n.from(Se.targetSelectionRange):void 0}}ye.from=De;function de(x){return{targetUri:h.URI.revive(x.uri),targetRange:n.to(x.range),targetSelectionRange:x.targetSelectionRange?n.to(x.targetSelectionRange):void 0,originSelectionRange:x.originSelectionRange?n.to(x.originSelectionRange):void 0}}ye.to=de})(ee||(e.DefinitionLink=ee={}));var oe;(function(ye){function De(x){return{range:n.from(x.range),contents:he.fromMany(x.contents)}}ye.from=De;function de(x){return new i.$pJ(x.contents.map(he.to),n.to(x.range))}ye.to=de})(oe||(e.Hover=oe={}));var z;(function(ye){function De(x){return{range:n.from(x.range),expression:x.expression}}ye.from=De;function de(x){return new i.$jK(n.to(x.range),x.expression)}ye.to=de})(z||(e.EvaluatableExpression=z={}));var q;(function(ye){function De(x){if(x instanceof i.$kK)return{type:"text",range:n.from(x.range),text:x.text};if(x instanceof i.$lK)return{type:"variable",range:n.from(x.range),variableName:x.variableName,caseSensitiveLookup:x.caseSensitiveLookup};if(x instanceof i.$mK)return{type:"expression",range:n.from(x.range),expression:x.expression};throw new Error("Unknown 'InlineValue' type")}ye.from=De;function de(x){switch(x.type){case"text":return{range:n.to(x.range),text:x.text};case"variable":return{range:n.to(x.range),variableName:x.variableName,caseSensitiveLookup:x.caseSensitiveLookup};case"expression":return{range:n.to(x.range),expression:x.expression}}}ye.to=de})(q||(e.InlineValue=q={}));var W;(function(ye){function De(x){return{frameId:x.frameId,stoppedLocation:n.from(x.stoppedLocation)}}ye.from=De;function de(x){return new i.$nK(x.frameId,n.to(x.stoppedLocation))}ye.to=de})(W||(e.InlineValueContext=W={}));var U;(function(ye){function De(x){return{range:n.from(x.range),kind:x.kind}}ye.from=De;function de(x){return new i.$qJ(n.to(x.range),x.kind)}ye.to=de})(U||(e.DocumentHighlight=U={}));var G;(function(ye){function De(de){switch(de){case 1:return i.CompletionTriggerKind.TriggerCharacter;case 2:return i.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return i.CompletionTriggerKind.Invoke}}ye.to=De})(G||(e.CompletionTriggerKind=G={}));var K;(function(ye){function De(de){return{triggerKind:G.to(de.triggerKind),triggerCharacter:de.triggerCharacter}}ye.to=De})(K||(e.CompletionContext=K={}));var Q;(function(ye){function De(x){switch(x){case i.CompletionItemTag.Deprecated:return 1}}ye.from=De;function de(x){switch(x){case 1:return i.CompletionItemTag.Deprecated}}ye.to=de})(Q||(e.CompletionItemTag=Q={}));var ce;(function(ye){const De=new Map([[i.CompletionItemKind.Method,0],[i.CompletionItemKind.Function,1],[i.CompletionItemKind.Constructor,2],[i.CompletionItemKind.Field,3],[i.CompletionItemKind.Variable,4],[i.CompletionItemKind.Class,5],[i.CompletionItemKind.Interface,7],[i.CompletionItemKind.Struct,6],[i.CompletionItemKind.Module,8],[i.CompletionItemKind.Property,9],[i.CompletionItemKind.Unit,12],[i.CompletionItemKind.Value,13],[i.CompletionItemKind.Constant,14],[i.CompletionItemKind.Enum,15],[i.CompletionItemKind.EnumMember,16],[i.CompletionItemKind.Keyword,17],[i.CompletionItemKind.Snippet,27],[i.CompletionItemKind.Text,18],[i.CompletionItemKind.Color,19],[i.CompletionItemKind.File,20],[i.CompletionItemKind.Reference,21],[i.CompletionItemKind.Folder,23],[i.CompletionItemKind.Event,10],[i.CompletionItemKind.Operator,11],[i.CompletionItemKind.TypeParameter,24],[i.CompletionItemKind.Issue,26],[i.CompletionItemKind.User,25]]);function de(Oe){return De.get(Oe)??9}ye.from=de;const x=new Map([[0,i.CompletionItemKind.Method],[1,i.CompletionItemKind.Function],[2,i.CompletionItemKind.Constructor],[3,i.CompletionItemKind.Field],[4,i.CompletionItemKind.Variable],[5,i.CompletionItemKind.Class],[7,i.CompletionItemKind.Interface],[6,i.CompletionItemKind.Struct],[8,i.CompletionItemKind.Module],[9,i.CompletionItemKind.Property],[12,i.CompletionItemKind.Unit],[13,i.CompletionItemKind.Value],[14,i.CompletionItemKind.Constant],[15,i.CompletionItemKind.Enum],[16,i.CompletionItemKind.EnumMember],[17,i.CompletionItemKind.Keyword],[27,i.CompletionItemKind.Snippet],[18,i.CompletionItemKind.Text],[19,i.CompletionItemKind.Color],[20,i.CompletionItemKind.File],[21,i.CompletionItemKind.Reference],[23,i.CompletionItemKind.Folder],[10,i.CompletionItemKind.Event],[11,i.CompletionItemKind.Operator],[24,i.CompletionItemKind.TypeParameter],[25,i.CompletionItemKind.User],[26,i.CompletionItemKind.Issue]]);function Se(Oe){return x.get(Oe)??i.CompletionItemKind.Property}ye.to=Se})(ce||(e.CompletionItemKind=ce={}));var we;(function(ye){function De(de,x){const Se=new i.$HJ(de.label);return Se.insertText=de.insertText,Se.kind=ce.to(de.kind),Se.tags=de.tags?.map(Q.to),Se.detail=de.detail,Se.documentation=R.$Ij(de.documentation)?he.to(de.documentation):de.documentation,Se.sortText=de.sortText,Se.filterText=de.filterText,Se.preselect=de.preselect,Se.commitCharacters=de.commitCharacters,m.$Kr.isIRange(de.range)?Se.range=n.to(de.range):typeof de.range=="object"&&(Se.range={inserting:n.to(de.range.insert),replacing:n.to(de.range.replace)}),Se.keepWhitespace=typeof de.insertTextRules>"u"?!1:!!(de.insertTextRules&1),typeof de.insertTextRules<"u"&&de.insertTextRules&4?Se.insertText=new i.$lJ(de.insertText):(Se.insertText=de.insertText,Se.textEdit=Se.range instanceof i.$cJ?new i.$hJ(Se.range,Se.insertText):void 0),de.additionalTextEdits&&de.additionalTextEdits.length>0&&(Se.additionalTextEdits=de.additionalTextEdits.map(Oe=>V.to(Oe))),Se.command=x&&de.command?x.fromInternal(de.command):void 0,Se}ye.to=De})(we||(e.CompletionItem=we={}));var Pe;(function(ye){function De(x){if(typeof x.label!="string"&&!Array.isArray(x.label))throw new TypeError("Invalid label");return{label:x.label,documentation:he.fromStrict(x.documentation)}}ye.from=De;function de(x){return{label:x.label,documentation:R.$Ij(x.documentation)?he.to(x.documentation):x.documentation}}ye.to=de})(Pe||(e.ParameterInformation=Pe={}));var Ce;(function(ye){function De(x){return{label:x.label,documentation:he.fromStrict(x.documentation),parameters:Array.isArray(x.parameters)?x.parameters.map(Pe.from):[],activeParameter:x.activeParameter}}ye.from=De;function de(x){return{label:x.label,documentation:R.$Ij(x.documentation)?he.to(x.documentation):x.documentation,parameters:Array.isArray(x.parameters)?x.parameters.map(Pe.to):[],activeParameter:x.activeParameter}}ye.to=de})(Ce||(e.SignatureInformation=Ce={}));var Fe;(function(ye){function De(x){return{activeSignature:x.activeSignature,activeParameter:x.activeParameter,signatures:Array.isArray(x.signatures)?x.signatures.map(Ce.from):[]}}ye.from=De;function de(x){return{activeSignature:x.activeSignature,activeParameter:x.activeParameter,signatures:Array.isArray(x.signatures)?x.signatures.map(Ce.to):[]}}ye.to=de})(Fe||(e.SignatureHelp=Fe={}));var ze;(function(ye){function De(de,x){const Se=new i.$GJ(c.to(x.position),typeof x.label=="string"?x.label:x.label.map(me.to.bind(void 0,de)),x.kind&&Ee.to(x.kind));return Se.textEdits=x.textEdits&&x.textEdits.map(V.to),Se.tooltip=R.$Ij(x.tooltip)?he.to(x.tooltip):x.tooltip,Se.paddingLeft=x.paddingLeft,Se.paddingRight=x.paddingRight,Se}ye.to=De})(ze||(e.InlayHint=ze={}));var me;(function(ye){function De(de,x){const Se=new i.$FJ(x.label);return Se.tooltip=R.$Ij(x.tooltip)?he.to(x.tooltip):x.tooltip,g.Command.is(x.command)&&(Se.command=de.fromInternal(x.command)),x.location&&(Se.location=N.to(x.location)),Se}ye.to=De})(me||(e.InlayHintLabelPart=me={}));var Ee;(function(ye){function De(x){return x}ye.from=De;function de(x){return x}ye.to=de})(Ee||(e.InlayHintKind=Ee={}));var ve;(function(ye){function De(x){return{range:n.from(x.range),url:x.target,tooltip:x.tooltip}}ye.from=De;function de(x){let Se;if(x.url)try{Se=typeof x.url=="string"?h.URI.parse(x.url,!0):h.URI.revive(x.url)}catch{}return new i.$MJ(n.to(x.range),Se)}ye.to=de})(ve||(e.DocumentLink=ve={}));var Me;(function(ye){function De(x){const Se=new i.$PJ(x.label);return x.textEdit&&(Se.textEdit=V.to(x.textEdit)),x.additionalTextEdits&&(Se.additionalTextEdits=x.additionalTextEdits.map(Oe=>V.to(Oe))),Se}ye.to=De;function de(x){return{label:x.label,textEdit:x.textEdit?V.from(x.textEdit):void 0,additionalTextEdits:x.additionalTextEdits?x.additionalTextEdits.map(Se=>V.from(Se)):void 0}}ye.from=de})(Me||(e.ColorPresentation=Me={}));var Te;(function(ye){function De(x){return new i.$NJ(x[0],x[1],x[2],x[3])}ye.to=De;function de(x){return[x.red,x.green,x.blue,x.alpha]}ye.from=de})(Te||(e.Color=Te={}));var _e;(function(ye){function De(x){return{range:n.from(x.range)}}ye.from=De;function de(x){return new i.$wJ(n.to(x.range))}ye.to=de})(_e||(e.SelectionRange=_e={}));var qe;(function(ye){function De(de){switch(de){case 2:return i.TextDocumentSaveReason.AfterDelay;case 1:return i.TextDocumentSaveReason.Manual;case 3:case 4:return i.TextDocumentSaveReason.FocusOut}}ye.to=De})(qe||(e.TextDocumentSaveReason=qe={}));var Ge;(function(ye){function De(x){switch(x){case i.TextEditorLineNumbersStyle.Off:return 0;case i.TextEditorLineNumbersStyle.Relative:return 2;case i.TextEditorLineNumbersStyle.On:default:return 1}}ye.from=De;function de(x){switch(x){case 0:return i.TextEditorLineNumbersStyle.Off;case 2:return i.TextEditorLineNumbersStyle.Relative;case 1:default:return i.TextEditorLineNumbersStyle.On}}ye.to=de})(Ge||(e.TextEditorLineNumbersStyle=Ge={}));var Qe;(function(ye){function De(x){if(x===i.EndOfLine.CRLF)return 1;if(x===i.EndOfLine.LF)return 0}ye.from=De;function de(x){if(x===1)return i.EndOfLine.CRLF;if(x===0)return i.EndOfLine.LF}ye.to=de})(Qe||(e.EndOfLine=Qe={}));var st;(function(ye){function De(de){if(typeof de=="object")return de.viewId;switch(de){case i.ProgressLocation.SourceControl:return 3;case i.ProgressLocation.Window:return 10;case i.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}ye.from=De})(st||(e.ProgressLocation=st={}));var Je;(function(ye){function De(x){const Se={start:x.start+1,end:x.end+1};return x.kind&&(Se.kind=Xe.from(x.kind)),Se}ye.from=De;function de(x){const Se={start:x.start-1,end:x.end-1};return x.kind&&(Se.kind=Xe.to(x.kind)),Se}ye.to=de})(Je||(e.FoldingRange=Je={}));var Xe;(function(ye){function De(x){if(x)switch(x){case i.FoldingRangeKind.Comment:return g.$ns.Comment;case i.FoldingRangeKind.Imports:return g.$ns.Imports;case i.FoldingRangeKind.Region:return g.$ns.Region}}ye.from=De;function de(x){if(x)switch(x.value){case g.$ns.Comment.value:return i.FoldingRangeKind.Comment;case g.$ns.Imports.value:return i.FoldingRangeKind.Imports;case g.$ns.Region.value:return i.FoldingRangeKind.Region}}ye.to=de})(Xe||(e.FoldingRangeKind=Xe={}));var fe;(function(ye){function De(de){if(de)return{pinned:typeof de.preview=="boolean"?!de.preview:void 0,inactive:de.background,preserveFocus:de.preserveFocus,selection:typeof de.selection=="object"?n.from(de.selection):void 0,override:typeof de.override=="boolean"?l.$4D.id:void 0}}ye.from=De})(fe||(e.TextEditorOpenOptions=fe={}));var ke;(function(ye){function De(Oe){return Oe instanceof i.$0J?Oe.toJSON():typeof Oe=="string"?Oe:de(Oe)||x(Oe)?new i.$0J(Oe.baseUri??Oe.base,Oe.pattern).toJSON():Oe}ye.from=De;function de(Oe){const We=Oe;return We?h.URI.isUri(We.baseUri)&&typeof We.pattern=="string":!1}function x(Oe){const We=Oe;return We?typeof We.base=="string"&&typeof We.pattern=="string":!1}function Se(Oe){return typeof Oe=="string"?Oe:new i.$0J(h.URI.revive(Oe.baseUri),Oe.pattern)}ye.to=Se})(ke||(e.GlobPattern=ke={}));var Ie;(function(ye){function De(de){if(de){if(Array.isArray(de))return de.map(De);if(typeof de=="string")return de;{const x=de;return{language:x.language,scheme:x.scheme,pattern:ke.from(x.pattern),exclusive:x.exclusive,notebookType:x.notebookType}}}else return}ye.from=De})(Ie||(e.LanguageSelector=Ie={}));var Ae;(function(ye){function De(x){return{start:x.start,end:x.end}}ye.from=De;function de(x){return new i.$yK(x.start,x.end)}ye.to=de})(Ae||(e.NotebookRange=Ae={}));var Ne;(function(ye){function De(x){return{timing:typeof x.runStartTime=="number"&&typeof x.runEndTime=="number"?{startTime:x.runStartTime,endTime:x.runEndTime}:void 0,executionOrder:x.executionOrder,success:x.lastRunSuccess}}ye.to=De;function de(x){return{lastRunSuccess:x.success,runStartTime:x.timing?.startTime,runEndTime:x.timing?.endTime,executionOrder:x.executionOrder}}ye.from=de})(Ne||(e.NotebookCellExecutionSummary=Ne={}));var Be;(function(ye){function De(de){if(de===$.NotebookCellExecutionState.Unconfirmed)return i.NotebookCellExecutionState.Pending;if(de===$.NotebookCellExecutionState.Pending)return;if(de===$.NotebookCellExecutionState.Executing)return i.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${de}`)}ye.to=De})(Be||(e.NotebookCellExecutionState=Be={}));var He;(function(ye){function De(x){switch(x){case i.NotebookCellKind.Markup:return $.CellKind.Markup;case i.NotebookCellKind.Code:default:return $.CellKind.Code}}ye.from=De;function de(x){switch(x){case $.CellKind.Markup:return i.NotebookCellKind.Markup;case $.CellKind.Code:default:return i.NotebookCellKind.Code}}ye.to=de})(He||(e.NotebookCellKind=He={}));var Ke;(function(ye){function De(x){const Se={metadata:x.metadata??Object.create(null),cells:[]};for(const Oe of x.cells)i.$zK.validate(Oe),Se.cells.push(Ze.from(Oe));return Se}ye.from=De;function de(x){const Se=new i.$AK(x.cells.map(Ze.to));return(0,p.$te)(x.metadata)||(Se.metadata=x.metadata),Se}ye.to=de})(Ke||(e.NotebookData=Ke={}));var Ze;(function(ye){function De(x){return{cellKind:He.from(x.kind),language:x.languageId,mime:x.mime,source:x.value,metadata:x.metadata,internalMetadata:Ne.from(x.executionSummary??{}),outputs:x.outputs?x.outputs.map(rt.from):[]}}ye.from=De;function de(x){return new i.$zK(He.to(x.cellKind),x.source,x.language,x.mime,x.outputs?x.outputs.map(rt.to):void 0,x.metadata,x.internalMetadata?Ne.to(x.internalMetadata):void 0)}ye.to=de})(Ze||(e.NotebookCellData=Ze={}));var et;(function(ye){function De(x){return{mime:x.mime,valueBytes:O.$Ib.wrap(x.data)}}ye.from=De;function de(x){return new i.$BK(x.valueBytes.buffer,x.mime)}ye.to=de})(et||(e.NotebookCellOutputItem=et={}));var rt;(function(ye){function De(x){return{outputId:x.id,items:x.items.map(et.from),metadata:x.metadata}}ye.from=De;function de(x){const Se=x.items.map(et.to);return new i.$CK(Se,x.outputId,x.metadata)}ye.to=de})(rt||(e.NotebookCellOutput=rt={}));var nt;(function(ye){function De(Se){return x(Se)?{include:(0,p.$ye)(ke.from(Se.include)),exclude:(0,p.$ye)(ke.from(Se.exclude))}:(0,p.$ye)(ke.from(Se))}ye.from=De;function de(Se){return x(Se)?{include:ke.to(Se.include),exclude:ke.to(Se.exclude)}:ke.to(Se)}ye.to=de;function x(Se){const Oe=Se;return Oe?!(0,p.$pe)(Oe.include)&&!(0,p.$pe)(Oe.exclude):!1}})(nt||(e.NotebookExclusiveDocumentPattern=nt={}));var mt;(function(ye){function De(de,x,Se){const Oe=typeof de.command=="string"?{title:"",command:de.command}:de.command;return{alignment:de.alignment===i.NotebookCellStatusBarAlignment.Left?1:2,command:x.toInternal(Oe,Se),text:de.text,tooltip:de.tooltip,accessibilityInformation:de.accessibilityInformation,priority:de.priority}}ye.from=De})(mt||(e.NotebookStatusBarItem=mt={}));var lt;(function(ye){function De(de,x,Se){const Oe=typeof de.command=="string"?{title:"",command:de.command}:de.command;return{command:x.toInternal(Oe,Se),label:de.label,description:de.description,detail:de.detail,documentation:de.documentation}}ye.from=De})(lt||(e.NotebookKernelSourceAction=lt={}));var Lt;(function(ye){function De(de){return{transientOutputs:de?.transientOutputs??!1,transientCellMetadata:de?.transientCellMetadata??{},transientDocumentMetadata:de?.transientDocumentMetadata??{},cellContentMetadata:de?.cellContentMetadata??{}}}ye.from=De})(Lt||(e.NotebookDocumentContentOptions=Lt={}));var wt;(function(ye){function De(x){return{uri:x.uri,provides:x.provides}}ye.from=De;function de(x){return new i.$EK(h.URI.revive(x.uri),x.provides)}ye.to=de})(wt||(e.NotebookRendererScript=wt={}));var gt;(function(ye){function De(x){return{message:he.fromStrict(x.message)||"",type:0,expected:x.expectedOutput,actual:x.actualOutput,location:x.location&&{range:n.from(x.location.range),uri:x.location.uri}}}ye.from=De;function de(x){const Se=new i.$LK(typeof x.message=="string"?x.message:he.to(x.message));return Se.actualOutput=x.actual,Se.expectedOutput=x.expected,Se.location=x.location?N.to(x.location):void 0,Se}ye.to=de})(gt||(e.TestMessage=gt={}));var vt;(function(ye){ye.namespace=k.$1H,ye.denamespace=k.$2H})(vt||(e.TestTag=vt={}));var St;(function(ye){function De(x){const Se=(0,u.$9K)(x).controllerId;return{extId:P.$WH.fromExtHostTestItem(x,Se).toString(),label:x.label,uri:h.URI.revive(x.uri),busy:x.busy,tags:x.tags.map(Oe=>vt.namespace(Se,Oe.id)),range:m.$Kr.lift(n.from(x.range)),description:x.description||null,sortText:x.sortText||null,error:x.error&&he.fromStrict(x.error)||null}}ye.from=De;function de(x){return{parent:void 0,error:void 0,id:P.$WH.fromString(x.extId).localId,label:x.label,uri:h.URI.revive(x.uri),tags:(x.tags||[]).map(Se=>{const{tagId:Oe}=vt.denamespace(Se);return new i.$MK(Oe)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:n.to(x.range||void 0),canResolveChildren:!1,busy:x.busy,description:x.description||void 0,sortText:x.sortText||void 0}}ye.toPlain=de})(St||(e.TestItem=St={})),function(ye){function De(x){return{id:x.id}}ye.from=De;function de(x){return new i.$MK(x.id)}ye.to=de}(vt||(e.TestTag=vt={}));var Ct;(function(ye){const De=(x,Se)=>{const Oe=[];for(const[Ue,Ye]of Se)P.$WH.compare(Ye.item.extId,Ue)===2&&(Se.delete(Ue),Oe.push(Ye));const We={...St.toPlain(x.item),parent:void 0,taskStates:x.tasks.map(Ue=>({state:Ue.state,duration:Ue.duration,messages:Ue.messages.filter(Ye=>Ye.type===0).map(gt.to)})),children:Oe.map(Ue=>De(Ue,Se))};for(const Ue of We.children)Ue.parent=We;return We};function de(x){const Se=[],Oe=new Map;for(const We of x.items){Oe.set(We.item.extId,We);const Ue=P.$WH.root(We.item.extId);x.request.targets.some(Ye=>Ye.controllerId===Ue&&Ye.testIds.includes(We.item.extId))&&Se.push(We)}return{completedAt:x.completedAt,results:Se.map(We=>De(We,Oe))}}ye.to=de})(Ct||(e.TestResults=Ct={}));var Ot;(function(ye){function De(Oe){return{covered:Oe.covered,total:Oe.covered}}function de(Oe){return"line"in Oe?c.from(Oe):n.from(Oe)}function x(Oe){return"branches"in Oe?{count:Oe.executionCount,location:de(Oe.location),type:1,branches:Oe.branches.length?Oe.branches.map(We=>({count:We.executionCount,location:We.location&&de(We.location)})):void 0}:{type:0,count:Oe.executionCount,location:de(Oe.location)}}ye.fromDetailed=x;function Se(Oe){return{uri:Oe.uri,statement:De(Oe.statementCoverage),branch:Oe.branchCoverage&&De(Oe.branchCoverage),function:Oe.functionCoverage&&De(Oe.functionCoverage),details:Oe.detailedCoverage?.map(x)}}ye.fromFile=Se})(Ot||(e.TestCoverage=Ot={}));var Mt;(function(ye){function De(de){switch(de){case 1:return i.CodeActionTriggerKind.Invoke;case 2:return i.CodeActionTriggerKind.Automatic}}ye.to=De})(Mt||(e.CodeActionTriggerKind=Mt={}));var $t;(function(ye){function De(x){const Se=new i.$SK(H.to(x.kind),x.name,x.detail||"",h.URI.revive(x.uri),n.to(x.range),n.to(x.selectionRange));return Se._sessionId=x._sessionId,Se._itemId=x._itemId,Se}ye.to=De;function de(x,Se,Oe){if(Se=Se??x._sessionId,Oe=Oe??x._itemId,Se===void 0||Oe===void 0)throw new Error("invalid item");return{_sessionId:Se,_itemId:Oe,kind:H.from(x.kind),name:x.name,detail:x.detail??"",uri:x.uri,range:n.from(x.range),selectionRange:n.from(x.selectionRange),tags:x.tags?.map(B.from)}}ye.from=de})($t||(e.TypeHierarchyItem=$t={}));var It;(function(ye){function De(de){if(de)return{value:de.value,tooltip:de.tooltip}}ye.from=De})(It||(e.ViewBadge=It={}));var Dt;(function(ye){function De(Oe,We,Ue){const Ye=We.fileData;return Ye?new i.$3J(new i.$4J(Ye.name,h.URI.revive(Ye.uri),Ye.id,(0,A.$bb)(()=>Ue(Ye.id)))):Oe===I.$qr.uriList&&We.uriListData?new i.$2J(Se(We.uriListData)):new i.$2J(We.asString)}ye.to=De;async function de(Oe,We){const Ue=await We.asString();if(Oe===I.$qr.uriList)return{asString:Ue,fileData:void 0,uriListData:x(Ue)};const Ye=We.asFile();return{asString:Ue,fileData:Ye?{name:Ye.name,uri:Ye.uri,id:Ye._itemId??Ye.id}:void 0}}ye.from=de;function x(Oe){return o.$$r.split(Oe).map(We=>{if(We.startsWith("#"))return We;try{return h.URI.parse(We)}catch{}return We})}function Se(Oe){return o.$$r.create(Oe.map(We=>typeof We=="string"?We:h.URI.revive(We)))}})(Dt||(e.DataTransferItem=Dt={}));var ot;(function(ye){function De(x,Se){const Oe=x.items.map(([We,Ue])=>[We,Dt.to(We,Ue,Se)]);return new i.$5J(Oe)}ye.toDataTransfer=De;async function de(x){const Se={items:[]},Oe=[];for(const[We,Ue]of x)Oe.push((async()=>{Se.items.push([We,await Dt.from(We,Ue)])})());return await Promise.all(Oe),Se}ye.from=de})(ot||(e.DataTransfer=ot={}));var ut;(function(ye){function De(x){return{message:x.message,metadata:x.metadata,title:x.title,tooltip:x.tooltip}}ye.to=De;function de(x){return{kind:"reply",message:x.message,metadata:x.metadata,title:x.title,tooltip:x.tooltip}}ye.from=de})(ut||(e.ChatReplyFollowup=ut={}));var ft;(function(ye){function De(de){return typeof de=="string"?{title:de,message:de,kind:"reply"}:"commandId"in de?{kind:"command",title:de.title??"",commandId:de.commandId??"",args:de.args}:ut.from(de)}ye.from=De})(ft||(e.ChatFollowup=ft={}))}),define(be[270],pe([1,0,49,132,69,131,90,135,4]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pL=e.$oL=e.$nL=e.$mL=void 0;const d=($,P,k,t)=>{let i=P;return{enumerable:!0,configurable:!1,get(){return i},set(r){if(!k(i,r)){const n=i;i=r,$.listener?.(t(r,n))}}}},I=($,P)=>$===P,v={range:($,P)=>$===P?!0:!$||!P?!1:$.isEqual(P),label:I,description:I,sortText:I,busy:I,error:I,canResolveChildren:I,tags:($,P)=>!($.length!==P.length||$.some(k=>!P.find(t=>k.id===t.id)))},p=$=>P=>({op:4,update:$(P)}),h=($,P)=>({range:(()=>{let k;const t=p(i=>({range:E.$Kr.lift(L.Range.from(i))}));return{enumerable:!0,configurable:!1,get(){return k},set(i){$.listener?.({op:6}),v.range(k,i)||(k=i,$.listener?.(t(i)))}}})(),label:d($,P,v.label,p(k=>({label:k}))),description:d($,void 0,v.description,p(k=>({description:k}))),sortText:d($,void 0,v.sortText,p(k=>({sortText:k}))),canResolveChildren:d($,!1,v.canResolveChildren,k=>({op:2,state:k})),busy:d($,!1,v.busy,p(k=>({busy:k}))),error:d($,void 0,v.error,p(k=>({error:L.MarkdownString.fromStrict(k)||null}))),tags:d($,[],v.tags,(k,t)=>({op:1,new:k.map(L.TestTag.from),old:t.map(L.TestTag.from)}))}),m=$=>{const P=o.$WH.fromString($.extId),k=new a(P.controllerId,P.localId,$.label,b.URI.revive($.uri)||void 0);return k.range=L.Range.to($.range||void 0),k.description=$.description||void 0,k.sortText=$.sortText||void 0,k.tags=$.tags.map(t=>L.TestTag.to({id:(0,R.$2H)(t).tagId})),k},g=$=>{let P;for(const k of $.tests){const t=m(k.item);(0,O.$9K)(t).parent=P,P=t}return P};e.$mL=g;class a{constructor(P,k,t,i){if(k.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(k)} symbol`);const r=(0,O.$8K)(this,P);Object.defineProperties(this,{id:{value:k,enumerable:!0,writable:!1},uri:{value:i,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return r.parent instanceof u?void 0:r.parent}},children:{value:(0,A.$7K)(r,O.$9K,a),enumerable:!0,writable:!1},...h(r,t)})}}e.$nL=a;class u extends a{constructor(P,k){super(P,P,k,void 0),this._isRoot=!0}}e.$oL=u;class l extends A.$3K{constructor(P,k,t){super({controllerId:P,getDocumentVersion:i=>i&&t.getDocument(i)?.version,getApiFor:O.$9K,getChildren:i=>i.children,root:new u(P,k),toITestItem:L.TestItem.from})}}e.$pL=l}),define(be[271],pe([1,0,8,267,116,88,86,133,89,134,13,219,265,87]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1L=e.$ZL=void 0,e.$ZL="remoteterminal";let m=e.$1L=class{get onPtyHostExit(){return this.b.listen("$onPtyHostExitEvent")}get onPtyHostStart(){return this.b.listen("$onPtyHostStartEvent")}get onPtyHostUnresponsive(){return this.b.listen("$onPtyHostUnresponsiveEvent")}get onPtyHostResponsive(){return this.b.listen("$onPtyHostResponsiveEvent")}get onPtyHostRequestResolveVariables(){return this.b.listen("$onPtyHostRequestResolveVariablesEvent")}get onProcessData(){return this.b.listen("$onProcessDataEvent")}get onProcessExit(){return this.b.listen("$onProcessExitEvent")}get onProcessReady(){return this.b.listen("$onProcessReadyEvent")}get onProcessReplay(){return this.b.listen("$onProcessReplayEvent")}get onProcessOrphanQuestion(){return this.b.listen("$onProcessOrphanQuestion")}get onExecuteCommand(){return this.b.listen("$onExecuteCommand")}get onDidRequestDetach(){return this.b.listen("$onDidRequestDetach")}get onDidChangeProperty(){return this.b.listen("$onDidChangeProperty")}constructor(a,u,l,$,P,k,t,i,r,n){this.a=a,this.b=u,this.c=l,this.d=$,this.e=P,this.f=k,this.g=t,this.h=i,this.i=r,this.j=n}restartPtyHost(){return this.b.call("$restartPtyHost",[])}async createProcess(a,u,l,$,P,k,t,i){await this.c.whenRemoteConfigurationLoaded();const r=Object.create(null),n=l?(0,E.$ye)(this.d.getWorkspaceFolder(l)):void 0;let s;try{s=(await this.e.resolveAnyMap(n,{shellLaunchConfig:a,configuration:u})).resolvedVariables}catch(ne){this.h.error(ne)}if(s)for(const[ne,he]of s.entries())(/^config:/.test(ne)||ne==="selectedText"||ne==="lineNumber")&&(r[ne]=he);const c=[];for(const[ne,he]of this.f.collections.entries())c.push([ne,(0,R.$Vq)(he.map),(0,R.$Wq)(he.descriptionMap)]);const f=await this.g.resolveAuthority(this.a),y=f.options&&f.options.extensionHostEnv,w=this.d.getWorkspace(),D=w.folders,C=l?this.d.getWorkspaceFolder(l):null,M=b.$lE.getOriginalUri(this.i.activeEditor,{supportSideBySide:b.SideBySideEditor.PRIMARY,filterByScheme:[I.Schemas.file,I.Schemas.vscodeUserData,I.Schemas.vscodeRemote]}),X={configuration:u,resolvedVariables:r,envVariableCollections:c,shellLaunchConfig:a,workspaceId:w.id,workspaceName:this.j.getWorkspaceLabel(w),workspaceFolders:D,activeWorkspaceFolder:C,activeFileResource:M,shouldPersistTerminal:P,options:$,cols:k,rows:t,unicodeVersion:i,resolverEnv:y};return await this.b.call("$createProcess",X)}requestDetachInstance(a,u){return this.b.call("$requestDetachInstance",[a,u])}acceptDetachInstanceReply(a,u){return this.b.call("$acceptDetachInstanceReply",[a,u])}attachToProcess(a){return this.b.call("$attachToProcess",[a])}detachFromProcess(a,u){return this.b.call("$detachFromProcess",[a,u])}listProcesses(){return this.b.call("$listProcesses")}getPerformanceMarks(){return this.b.call("$getPerformanceMarks")}reduceConnectionGraceTime(){return this.b.call("$reduceConnectionGraceTime")}processBinary(a,u){return this.b.call("$processBinary",[a,u])}start(a){return this.b.call("$start",[a])}input(a,u){return this.b.call("$input",[a,u])}acknowledgeDataEvent(a,u){return this.b.call("$acknowledgeDataEvent",[a,u])}setUnicodeVersion(a,u){return this.b.call("$setUnicodeVersion",[a,u])}shutdown(a,u){return this.b.call("$shutdown",[a,u])}resize(a,u,l){return this.b.call("$resize",[a,u,l])}clearBuffer(a){return this.b.call("$clearBuffer",[a])}getInitialCwd(a){return this.b.call("$getInitialCwd",[a])}getCwd(a){return this.b.call("$getCwd",[a])}orphanQuestionReply(a){return this.b.call("$orphanQuestionReply",[a])}sendCommandResult(a,u,l){return this.b.call("$sendCommandResult",[a,u,l])}freePortKillProcess(a){return this.b.call("$freePortKillProcess",[a])}installAutoReply(a,u){return this.b.call("$installAutoReply",[a,u])}uninstallAllAutoReplies(){return this.b.call("$uninstallAllAutoReplies",[])}getDefaultSystemShell(a){return this.b.call("$getDefaultSystemShell",[a])}getProfiles(a,u,l){return this.b.call("$getProfiles",[this.d.getWorkspace().id,a,u,l])}acceptPtyHostResolvedVariables(a,u){return this.b.call("$acceptPtyHostResolvedVariables",[a,u])}getEnvironment(){return this.b.call("$getEnvironment")}getWslPath(a,u){return this.b.call("$getWslPath",[a,u])}setTerminalLayoutInfo(a){const l={workspaceId:this.d.getWorkspace().id,tabs:a?a.tabs:[]};return this.b.call("$setTerminalLayoutInfo",l)}updateTitle(a,u,l){return this.b.call("$updateTitle",[a,u,l])}updateIcon(a,u,l,$){return this.b.call("$updateIcon",[a,u,l,$])}refreshProperty(a,u){return this.b.call("$refreshProperty",[a,u])}updateProperty(a,u,l){return this.b.call("$updateProperty",[a,u,l])}getTerminalLayoutInfo(){const u={workspaceId:this.d.getWorkspace().id};return this.b.call("$getTerminalLayoutInfo",u)}reviveTerminalProcesses(a,u){return this.b.call("$reviveTerminalProcesses",[a,u])}getRevivedPtyNewId(a){return this.b.call("$getRevivedPtyNewId",[a])}serializeTerminalState(a){return this.b.call("$serializeTerminalState",[a])}};e.$1L=m=Le([Re(2,O.$JD),Re(3,A.$uh),Re(4,L.$DL),Re(5,p.$YL),Re(6,o.$sk),Re(7,h.$Iq),Re(8,d.$uC),Re(9,v.$kz)],m)}),define(be[272],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_l=e.$$l=e.$0l=e.$9l=e.$8l=e.ExtHostConnectionType=void 0;var E;(function(I){I[I.IPC=1]="IPC",I[I.Socket=2]="Socket",I[I.MessagePort=3]="MessagePort"})(E||(e.ExtHostConnectionType=E={}));class O{constructor(v){this.pipeName=v,this.type=1}serialize(v){v[O.ENV_KEY]=this.pipeName}}e.$8l=O,O.ENV_KEY="VSCODE_EXTHOST_IPC_HOOK";class o{constructor(){this.type=2}serialize(v){v[o.ENV_KEY]="1"}}e.$9l=o,o.ENV_KEY="VSCODE_EXTHOST_WILL_SEND_SOCKET";class A{constructor(){this.type=3}serialize(v){v[A.ENV_KEY]="1"}}e.$0l=A,A.ENV_KEY="VSCODE_WILL_SEND_MESSAGE_PORT";function R(I){delete I[O.ENV_KEY],delete I[o.ENV_KEY],delete I[A.ENV_KEY]}function L(I,v){R(v),I.serialize(v)}e.$$l=L;function b(I){if(I[O.ENV_KEY])return d(I,new O(I[O.ENV_KEY]));if(I[o.ENV_KEY])return d(I,new o);if(I[A.ENV_KEY])return d(I,new A);throw new Error("No connection information defined in environment!")}e.$_l=b;function d(I,v){return R(I),v}}),define(be[273],pe([1,0,15]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.$Ml=e.$Ll=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var O;(function(d){d[d.Desktop=1]="Desktop",d[d.Web=2]="Web"})(O||(e.UIKind=O={}));var o;(function(d){d[d.VersionMismatch=55]="VersionMismatch",d[d.UnexpectedError=81]="UnexpectedError"})(o||(e.ExtensionHostExitCode=o={}));var A;(function(d){d[d.Initialized=0]="Initialized",d[d.Ready=1]="Ready",d[d.Terminate=2]="Terminate"})(A||(e.MessageType=A={}));function R(d){const I=E.$Ib.alloc(1);switch(d){case 0:I.writeUInt8(1,0);break;case 1:I.writeUInt8(2,0);break;case 2:I.writeUInt8(3,0);break}return I}e.$Ll=R;function L(d,I){if(d.byteLength!==1)return!1;switch(d.readUInt8(0)){case 1:return I===0;case 2:return I===1;case 3:return I===2;default:return!1}}e.$Ml=L;var b;(function(d){d.Start="START_NATIVE_LOG",d.End="END_NATIVE_LOG"})(b||(e.NativeLogMarkers=b={}))}),define(be[274],pe([1,0,6,5,12,261,273,56,36,21,4,2,198]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uL=e.$tL=e.$sL=e.$rL=void 0;let h=e.$rL=class extends v.$kb{constructor(u,l){super(),this.n=u,this.p=l,this.a=this.B(new O.$5c),this.onDidChangeTelemetryEnabled=this.a.event,this.b=this.B(new O.$5c),this.onDidChangeTelemetryConfiguration=this.b.event,this.c={usage:!0,error:!0},this.f=0,this.g=!1,this.i=!1,this.m=new Map,this.j=I.URI.revive(this.n.environment.extensionTelemetryLogResource),this.i=this.n.environment.isExtensionTelemetryLoggingOnly,this.k=l.createLogger(this.j,{id:b.$3n,name:(0,p.localize)(0,null,this.i?" (Not Sent)":""),hidden:!0}),this.B(l.onDidChangeLogLevel($=>{(0,o.$Pi)($)&&this.r()})),this.k.info("Below are logs for extension telemetry events sent to the telemetry output channel API once the log level is set to trace."),this.k.info("===========================================================")}r(){this.p.setVisibility(this.j,this.g&&this.p.getLogLevel()===o.LogLevel.Trace)}getTelemetryConfiguration(){return this.f===3}getTelemetryDetails(){return{isCrashEnabled:this.f>=1,isErrorsEnabled:this.c.error?this.f>=2:!1,isUsageEnabled:this.c.usage?this.f>=3:!1}}instantiateLogger(u,l,$){const P=this.getTelemetryDetails(),k=new m(l,$,u,this.k,this.i,this.getBuiltInCommonProperties(u),{isUsageEnabled:P.isUsageEnabled,isErrorsEnabled:P.isErrorsEnabled}),t=this.m.get(u.identifier.value)??[];return this.m.set(u.identifier.value,[...t,k]),k.apiTelemetryLogger}$initializeTelemetryLevel(u,l,$){this.f=u,this.g=l,this.c=$??{usage:!0,error:!0},this.r()}getBuiltInCommonProperties(u){const l=Object.create(null);switch(l["common.extname"]=`${u.publisher}.${u.name}`,l["common.extversion"]=u.version,l["common.vscodemachineid"]=this.n.telemetryInfo.machineId,l["common.vscodesessionid"]=this.n.telemetryInfo.sessionId,l["common.vscodeversion"]=this.n.version,l["common.isnewappinstall"]=g(this.n.telemetryInfo.firstSessionDate),l["common.product"]=this.n.environment.appHost,this.n.uiKind){case R.UIKind.Web:l["common.uikind"]="web";break;case R.UIKind.Desktop:l["common.uikind"]="desktop";break;default:l["common.uikind"]="unknown"}return l["common.remotename"]=(0,L.$yk)((0,b.$0n)(this.n.remote.authority)),l}$onDidChangeTelemetryLevel(u){this.h=this.getTelemetryConfiguration(),this.f=u;const l=this.getTelemetryDetails();this.m.forEach(($,P)=>{const k=$.filter(t=>!t.isDisposed);k.length===0?this.m.delete(P):this.m.set(P,k)}),this.m.forEach($=>{for(const P of $)P.updateTelemetryEnablements(l.isUsageEnabled,l.isErrorsEnabled)}),this.h!==this.getTelemetryConfiguration()&&this.a.fire(this.getTelemetryConfiguration()),this.b.fire(this.getTelemetryDetails()),this.r()}onExtensionError(u,l){const P=this.m.get(u.value)?.filter(t=>!t.isDisposed);if(!P)return this.m.delete(u.value),!1;let k=!1;for(const t of P)t.ignoreUnhandledExtHostErrors||(t.logError(l),k=!0);return k}};e.$rL=h=Le([Re(0,A.$qL),Re(1,o.$Oi)],h);class m{static validateSender(u){if(typeof u!="object")throw new TypeError("TelemetrySender argument is invalid");if(typeof u.sendEventData!="function")throw new TypeError("TelemetrySender.sendEventData must be a function");if(typeof u.sendErrorData!="function")throw new TypeError("TelemetrySender.sendErrorData must be a function");if(typeof u.flush<"u"&&typeof u.flush!="function")throw new TypeError("TelemetrySender.flush must be a function or undefined")}constructor(u,l,$,P,k,t,i){this.g=$,this.h=P,this.i=k,this.j=t,this.a=new O.$5c,this.ignoreUnhandledExtHostErrors=l?.ignoreUnhandledErrors??!1,this.b=l?.ignoreBuiltInCommonProperties??!1,this.c=l?.additionalCommonProperties,this.f=u,this.d={isUsageEnabled:i.isUsageEnabled,isErrorsEnabled:i.isErrorsEnabled}}updateTelemetryEnablements(u,l){this.e&&(this.d={isUsageEnabled:u,isErrorsEnabled:l},this.a.fire(this.e))}mixInCommonPropsAndCleanData(u){let l="properties"in u?u.properties??{}:u;return l=(0,b.$ao)(l,[]),this.c&&(l=(0,d.$Gm)(l,this.c)),this.b||(l=(0,d.$Gm)(l,this.j)),"properties"in u?u.properties=l:u=l,u}k(u,l){this.f&&(this.g.publisher==="vscode"?u=this.g.name+"/"+u:u=this.g.identifier.value+"/"+u,l=this.mixInCommonPropsAndCleanData(l||{}),this.i||this.f?.sendEventData(u,l),this.h.trace(u,l))}logUsage(u,l){this.d.isUsageEnabled&&this.k(u,l)}logError(u,l){!this.d.isErrorsEnabled||!this.f||(typeof u=="string"?this.k(u,l):this.f.sendErrorData(u,l))}get apiTelemetryLogger(){if(!this.e){const u=this,l={logUsage:u.logUsage.bind(u),get isUsageEnabled(){return u.d.isUsageEnabled},get isErrorsEnabled(){return u.d.isErrorsEnabled},logError:u.logError.bind(u),dispose:u.dispose.bind(u),onDidChangeEnableStates:u.a.event.bind(u)};this.e=Object.freeze(l)}return this.e}get isDisposed(){return!this.f}dispose(){if(this.f?.flush){let u=this.f;this.f=void 0,Promise.resolve(u.flush()).then(u=void 0),this.e=void 0}else this.f=void 0}}e.$sL=m;function g(a){const u=Date.now()-new Date(a).getTime();return isNaN(u)?!1:u<1e3*60*60*24}e.$tL=g,e.$uL=(0,E.$lh)("IExtHostTelemetry")}),define(be[275],pe([1,0,40,201,53]),function(ae,e,E,O,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xM=void 0;function A(R,L,b,d){const I=new E.$Fl;return R.forEach(v=>{const p=I.get(v.identifier);p&&d.warn((0,O.localize)(0,null,p.extensionLocation.fsPath,v.extensionLocation.fsPath)),I.set(v.identifier,v)}),L.forEach(v=>{const p=I.get(v.identifier);if(p)if(p.isBuiltin){if(o.gte(p.version,v.version)){d.warn(`Skipping extension ${v.extensionLocation.path} in favour of the builtin extension ${p.extensionLocation.path}.`);return}v.isBuiltin=!0}else d.warn((0,O.localize)(1,null,p.extensionLocation.fsPath,v.extensionLocation.fsPath));else if(v.isBuiltin){d.warn(`Skipping obsolete builtin extension ${v.extensionLocation.path}`);return}I.set(v.identifier,v)}),b.forEach(v=>{d.info((0,O.localize)(2,null,v.extensionLocation.fsPath));const p=I.get(v.identifier);p&&p.isBuiltin&&(v.isBuiltin=!0),I.set(v.identifier,v)}),Array.from(I.values())}e.$xM=A}),define(be[276],pe([1,0,7,3,30,4,41,51,64,57,275,13]),function(ae,e,E,O,o,A,R,L,b,d,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$BM=e.$AM=void 0;class p{constructor(g,a,u,l,$,P,k){this.b=g,this.c=u,this.d=l,this.f=$,this.g=P,this.h=k;const t=a.args["install-builtin-extension"];if(t){$.trace("Installing builtin extensions passed via args...");const r={isMachineScoped:!!a.args["do-not-sync"],installPreReleaseVersion:!!a.args["pre-release"]};R.mark("code/server/willInstallBuiltinExtensions"),this.a=g.installExtensions([],this.i(t),r,!!a.args.force).then(()=>{R.mark("code/server/didInstallBuiltinExtensions"),$.trace("Finished installing builtin extensions")},n=>{$.error(n)})}else this.a=Promise.resolve();const i=a.args["install-extension"];i&&($.trace("Installing extensions passed via args..."),this.a.then(()=>g.installExtensions(this.i(i),[],{isMachineScoped:!!a.args["do-not-sync"],installPreReleaseVersion:!!a.args["pre-release"],isApplicationScoped:!0},!!a.args.force)).then(()=>{$.trace("Finished installing extensions")},r=>{$.error(r)}))}i(g){return g.map(a=>/\.vsix$/i.test(a)?A.URI.file((0,E.$0b)(a)?a:(0,E.$$b)((0,o.cwd)(),a)):a)}whenExtensionsReady(){return this.a}async scanExtensions(g,a,u,l){R.mark("code/server/willScanExtensions"),this.f.trace(`Scanning extensions using UI language: ${g}`),await this.whenExtensionsReady();const $=u?u.filter(k=>k.scheme===v.Schemas.file).map(k=>k.fsPath):void 0;a=a??this.c.defaultProfile.extensionsResource;const P=await this.j(a,g??O.$v,$,l);return this.f.trace("Scanned Extensions",P),this.q(P),R.mark("code/server/didScanExtensions"),P}async scanSingleExtension(g,a,u){await this.whenExtensionsReady();const l=g.scheme===v.Schemas.file?g.fsPath:null;if(!l)return null;const $=await this.n(l,a,u??O.$v);return $?(this.q([$]),$):null}async j(g,a,u,l){await this.o(a,l);const[$,P,k]=await Promise.all([this.l(a),this.m(g,a),this.k(a,u)]);return(0,I.$xM)($,P,k,this.f)}async k(g,a){return a?(await Promise.all(a.map(u=>this.d.scanOneOrMultipleExtensions(A.URI.file((0,E.$_b)(u)),1,{language:g})))).flat().map(u=>(0,d.$cp)(u,!0)):[]}async l(g){return(await this.d.scanSystemExtensions({language:g,useCache:!0})).map(u=>(0,d.$cp)(u,!1))}async m(g,a){return(await this.d.scanUserExtensions({profileLocation:g,language:a,useCache:!0})).map(l=>(0,d.$cp)(l,!1))}async n(g,a,u){const l=A.URI.file((0,E.$_b)(g)),$=a?0:1,P=await this.d.scanExistingExtension(l,$,{language:u});return P?(0,d.$cp)(P,!1):null}async o(g,a){if(!(g===O.$f||!this.g.isEnabled())){try{if((await this.h.getInstalledLanguages()).find(l=>l.id===g)){this.f.trace(`Language Pack ${g} is already installed. Skipping language pack installation.`);return}}catch(u){this.f.error(u)}if(!a){this.f.trace(`No language pack id provided for language ${g}. Skipping language pack installation.`);return}this.f.trace(`Language Pack ${a} for language ${g} is not installed. It will be installed now.`);try{await this.b.installExtensions([a],[],{isMachineScoped:!0},!0)}catch(u){this.f.error(u)}}}q(g){const a=(t,i)=>t.replace(/file/g,"vscode-remote"),u=t=>{let i="";return i+=t.global?"g":"",i+=t.ignoreCase?"i":"",i+=t.multiline?"m":"",new RegExp(a(t.source,!0),i)},l=new class{mapDefined(t){return b.$wi.create(t)}mapNot(t){return b.$Bi.create(t)}mapEquals(t,i){return t==="resourceScheme"&&typeof i=="string"?b.$xi.create(t,a(i,!1)):b.$xi.create(t,i)}mapNotEquals(t,i){return t==="resourceScheme"&&typeof i=="string"?b.$Ai.create(t,a(i,!1)):b.$Ai.create(t,i)}mapGreater(t,i){return b.$Ci.create(t,i)}mapGreaterEquals(t,i){return b.$Di.create(t,i)}mapSmaller(t,i){return b.$Ei.create(t,i)}mapSmallerEquals(t,i){return b.$Fi.create(t,i)}mapRegex(t,i){return t==="resourceScheme"&&i?b.$Gi.create(t,u(i)):b.$Gi.create(t,i)}mapIn(t,i){return b.$yi.create(t,i)}mapNotIn(t,i){return b.$zi.create(t,i)}},$=t=>{if(!t||!t.when||!/resourceScheme/.test(t.when))return;const i=b.$ri.deserialize(t.when);if(!i)return;const r=i.map(l);t.when=r.serialize()},P=t=>{if(Array.isArray(t))for(const i of t)$(i);else $(t)},k=t=>{for(const i in t)P(t[i])};g.forEach(t=>{t.contributes&&(t.contributes.menus&&k(t.contributes.menus),t.contributes.keybindings&&P(t.contributes.keybindings),t.contributes.views&&k(t.contributes.views))})}}e.$AM=p;class h{constructor(g,a){this.a=g,this.b=a}listen(g,a){throw new Error("Invalid listen")}async call(g,a,u){const l=this.b(g);switch(a){case"whenExtensionsReady":return this.a.whenExtensionsReady();case"scanExtensions":{const $=u[0],P=u[1]?A.URI.revive(l.transformIncoming(u[1])):void 0,k=Array.isArray(u[2])?u[2].map(r=>A.URI.revive(l.transformIncoming(r))):void 0,t=u[3];return(await this.a.scanExtensions($,P,k,t)).map(r=>(0,L.$lm)(r,l))}case"scanSingleExtension":{const $=await this.a.scanSingleExtension(A.URI.revive(l.transformIncoming(u[0])),u[1],u[2]);return $?(0,L.$lm)($,l):null}}throw new Error("Invalid call")}}e.$BM=h}),define(be[136],pe([1,0]),function(ae,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mz=e.$Lz=e.$Kz=e.$Jz=void 0;class E{constructor(b){this._proxyIdentifierBrand=void 0,this.sid=b,this.nid=++E.count}}e.$Jz=E,E.count=0;const O=[];function o(L){const b=new E(L);return O[b.nid]=b,b}e.$Kz=o;function A(L){return O[L].sid}e.$Lz=A;class R{constructor(b){this.value=b}}e.$Mz=R}),define(be[277],pe([1,0,136]),function(ae,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_I=e.$$I=e.ExtHostTestingResource=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.$0I=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var O;(function(g){g[g.Default=0]="Default",g[g.InCenter=1]="InCenter",g[g.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",g[g.AtTop=3]="AtTop"})(O||(e.TextEditorRevealType=O={}));var o;(function(g){g[g.UnknownInput=0]="UnknownInput",g[g.TextInput=1]="TextInput",g[g.TextDiffInput=2]="TextDiffInput",g[g.TextMergeInput=3]="TextMergeInput",g[g.NotebookInput=4]="NotebookInput",g[g.NotebookDiffInput=5]="NotebookDiffInput",g[g.CustomEditorInput=6]="CustomEditorInput",g[g.WebviewEditorInput=7]="WebviewEditorInput",g[g.TerminalEditorInput=8]="TerminalEditorInput",g[g.InteractiveEditorInput=9]="InteractiveEditorInput"})(o||(e.TabInputKind=o={}));var A;(function(g){g[g.TAB_OPEN=0]="TAB_OPEN",g[g.TAB_CLOSE=1]="TAB_CLOSE",g[g.TAB_UPDATE=2]="TAB_UPDATE",g[g.TAB_MOVE=3]="TAB_MOVE"})(A||(e.TabModelOperationKind=A={}));var R;(function(g){g[g.Editable=0]="Editable",g[g.SupportsHotExit=1]="SupportsHotExit"})(R||(e.WebviewEditorCapabilities=R={}));var L;(function(g){g[g.Int8Array=1]="Int8Array",g[g.Uint8Array=2]="Uint8Array",g[g.Uint8ClampedArray=3]="Uint8ClampedArray",g[g.Int16Array=4]="Int16Array",g[g.Uint16Array=5]="Uint16Array",g[g.Int32Array=6]="Int32Array",g[g.Uint32Array=7]="Uint32Array",g[g.Float32Array=8]="Float32Array",g[g.Float64Array=9]="Float64Array",g[g.BigInt64Array=10]="BigInt64Array",g[g.BigUint64Array=11]="BigUint64Array"})(L||(e.WebviewMessageArrayBufferViewType=L={}));var b;(function(g){g[g.Text=1]="Text",g[g.Error=2]="Error",g[g.Rich=3]="Rich"})(b||(e.CellOutputKind=b={}));var d;(function(g){g[g.Default=0]="Default",g[g.InCenter=1]="InCenter",g[g.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",g[g.AtTop=3]="AtTop"})(d||(e.NotebookEditorRevealType=d={}));var I;(function(g){g[g.None=0]="None",g[g.Process=1]="Process",g[g.Output=2]="Output"})(I||(e.CandidatePortSource=I={}));class v{static mixin(a){return a._id=v.a++,a}}e.$0I=v,v.a=0;var p;(function(g){g.label="a",g.kind="b",g.detail="c",g.documentation="d",g.sortText="e",g.filterText="f",g.preselect="g",g.insertText="h",g.insertTextRules="i",g.range="j",g.commitCharacters="k",g.additionalTextEdits="l",g.kindModifier="m",g.commandIdent="n",g.commandId="o",g.commandArguments="p"})(p||(e.ISuggestDataDtoField=p={}));var h;(function(g){g.defaultRanges="a",g.completions="b",g.isIncomplete="c",g.duration="d"})(h||(e.ISuggestResultDtoField=h={}));var m;(function(g){g[g.Workspace=0]="Workspace",g[g.TextDocument=1]="TextDocument"})(m||(e.ExtHostTestingResource=m={})),e.$$I={MainThreadAuthentication:(0,E.$Kz)("MainThreadAuthentication"),MainThreadBulkEdits:(0,E.$Kz)("MainThreadBulkEdits"),MainThreadClipboard:(0,E.$Kz)("MainThreadClipboard"),MainThreadCommands:(0,E.$Kz)("MainThreadCommands"),MainThreadComments:(0,E.$Kz)("MainThreadComments"),MainThreadConfiguration:(0,E.$Kz)("MainThreadConfiguration"),MainThreadConsole:(0,E.$Kz)("MainThreadConsole"),MainThreadDebugService:(0,E.$Kz)("MainThreadDebugService"),MainThreadDecorations:(0,E.$Kz)("MainThreadDecorations"),MainThreadDiagnostics:(0,E.$Kz)("MainThreadDiagnostics"),MainThreadDialogs:(0,E.$Kz)("MainThreadDiaglogs"),MainThreadDocuments:(0,E.$Kz)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,E.$Kz)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,E.$Kz)("MainThreadTextEditors"),MainThreadEditorInsets:(0,E.$Kz)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,E.$Kz)("MainThreadEditorTabs"),MainThreadErrors:(0,E.$Kz)("MainThreadErrors"),MainThreadTreeViews:(0,E.$Kz)("MainThreadTreeViews"),MainThreadDownloadService:(0,E.$Kz)("MainThreadDownloadService"),MainThreadKeytar:(0,E.$Kz)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,E.$Kz)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,E.$Kz)("MainThreadLanguages"),MainThreadLogger:(0,E.$Kz)("MainThreadLogger"),MainThreadMessageService:(0,E.$Kz)("MainThreadMessageService"),MainThreadOutputService:(0,E.$Kz)("MainThreadOutputService"),MainThreadProgress:(0,E.$Kz)("MainThreadProgress"),MainThreadQuickDiff:(0,E.$Kz)("MainThreadQuickDiff"),MainThreadQuickOpen:(0,E.$Kz)("MainThreadQuickOpen"),MainThreadStatusBar:(0,E.$Kz)("MainThreadStatusBar"),MainThreadSecretState:(0,E.$Kz)("MainThreadSecretState"),MainThreadStorage:(0,E.$Kz)("MainThreadStorage"),MainThreadTelemetry:(0,E.$Kz)("MainThreadTelemetry"),MainThreadTerminalService:(0,E.$Kz)("MainThreadTerminalService"),MainThreadWebviews:(0,E.$Kz)("MainThreadWebviews"),MainThreadWebviewPanels:(0,E.$Kz)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,E.$Kz)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,E.$Kz)("MainThreadCustomEditors"),MainThreadUrls:(0,E.$Kz)("MainThreadUrls"),MainThreadUriOpeners:(0,E.$Kz)("MainThreadUriOpeners"),MainThreadProfileContentHandlers:(0,E.$Kz)("MainThreadProfileContentHandlers"),MainThreadWorkspace:(0,E.$Kz)("MainThreadWorkspace"),MainThreadFileSystem:(0,E.$Kz)("MainThreadFileSystem"),MainThreadExtensionService:(0,E.$Kz)("MainThreadExtensionService"),MainThreadSCM:(0,E.$Kz)("MainThreadSCM"),MainThreadSearch:(0,E.$Kz)("MainThreadSearch"),MainThreadShare:(0,E.$Kz)("MainThreadShare"),MainThreadTask:(0,E.$Kz)("MainThreadTask"),MainThreadWindow:(0,E.$Kz)("MainThreadWindow"),MainThreadLabelService:(0,E.$Kz)("MainThreadLabelService"),MainThreadNotebook:(0,E.$Kz)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,E.$Kz)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,E.$Kz)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,E.$Kz)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,E.$Kz)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,E.$Kz)("MainThreadInteractive"),MainThreadChat:(0,E.$Kz)("MainThreadChat"),MainThreadInlineChat:(0,E.$Kz)("MainThreadInlineChatShape"),MainThreadTheming:(0,E.$Kz)("MainThreadTheming"),MainThreadTunnelService:(0,E.$Kz)("MainThreadTunnelService"),MainThreadManagedSockets:(0,E.$Kz)("MainThreadManagedSockets"),MainThreadTimeline:(0,E.$Kz)("MainThreadTimeline"),MainThreadTesting:(0,E.$Kz)("MainThreadTesting"),MainThreadLocalization:(0,E.$Kz)("MainThreadLocalizationShape"),MainThreadSemanticSimilarity:(0,E.$Kz)("MainThreadSemanticSimilarity"),MainThreadIssueReporter:(0,E.$Kz)("MainThreadIssueReporter")},e.$_I={ExtHostCommands:(0,E.$Kz)("ExtHostCommands"),ExtHostConfiguration:(0,E.$Kz)("ExtHostConfiguration"),ExtHostDiagnostics:(0,E.$Kz)("ExtHostDiagnostics"),ExtHostDebugService:(0,E.$Kz)("ExtHostDebugService"),ExtHostDecorations:(0,E.$Kz)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,E.$Kz)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,E.$Kz)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,E.$Kz)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,E.$Kz)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,E.$Kz)("ExtHostEditors"),ExtHostTreeViews:(0,E.$Kz)("ExtHostTreeViews"),ExtHostFileSystem:(0,E.$Kz)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,E.$Kz)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,E.$Kz)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,E.$Kz)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,E.$Kz)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,E.$Kz)("ExtHostQuickOpen"),ExtHostQuickDiff:(0,E.$Kz)("ExtHostQuickDiff"),ExtHostStatusBar:(0,E.$Kz)("ExtHostStatusBar"),ExtHostShare:(0,E.$Kz)("ExtHostShare"),ExtHostExtensionService:(0,E.$Kz)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,E.$Kz)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,E.$Kz)("ExtHostTerminalService"),ExtHostSCM:(0,E.$Kz)("ExtHostSCM"),ExtHostSearch:(0,E.$Kz)("ExtHostSearch"),ExtHostTask:(0,E.$Kz)("ExtHostTask"),ExtHostWorkspace:(0,E.$Kz)("ExtHostWorkspace"),ExtHostWindow:(0,E.$Kz)("ExtHostWindow"),ExtHostWebviews:(0,E.$Kz)("ExtHostWebviews"),ExtHostWebviewPanels:(0,E.$Kz)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,E.$Kz)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,E.$Kz)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,E.$Kz)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,E.$Kz)("ExtHostEditorTabs"),ExtHostProgress:(0,E.$Kz)("ExtHostProgress"),ExtHostComments:(0,E.$Kz)("ExtHostComments"),ExtHostSecretState:(0,E.$Kz)("ExtHostSecretState"),ExtHostStorage:(0,E.$Kz)("ExtHostStorage"),ExtHostUrls:(0,E.$Kz)("ExtHostUrls"),ExtHostUriOpeners:(0,E.$Kz)("ExtHostUriOpeners"),ExtHostProfileContentHandlers:(0,E.$Kz)("ExtHostProfileContentHandlers"),ExtHostOutputService:(0,E.$Kz)("ExtHostOutputService"),ExtHosLabelService:(0,E.$Kz)("ExtHostLabelService"),ExtHostNotebook:(0,E.$Kz)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,E.$Kz)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,E.$Kz)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,E.$Kz)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,E.$Kz)("ExtHostNotebookRenderers"),ExtHostNotebookDocumentSaveParticipant:(0,E.$Kz)("ExtHostNotebookDocumentSaveParticipant"),ExtHostInteractive:(0,E.$Kz)("ExtHostInteractive"),ExtHostInlineChat:(0,E.$Kz)("ExtHostInlineChatShape"),ExtHostChat:(0,E.$Kz)("ExtHostChat"),ExtHostSemanticSimilarity:(0,E.$Kz)("ExtHostSemanticSimilarity"),ExtHostTheming:(0,E.$Kz)("ExtHostTheming"),ExtHostTunnelService:(0,E.$Kz)("ExtHostTunnelService"),ExtHostManagedSockets:(0,E.$Kz)("ExtHostManagedSockets"),ExtHostAuthentication:(0,E.$Kz)("ExtHostAuthentication"),ExtHostTimeline:(0,E.$Kz)("ExtHostTimeline"),ExtHostTesting:(0,E.$Kz)("ExtHostTesting"),ExtHostTelemetry:(0,E.$Kz)("ExtHostTelemetry"),ExtHostLocalization:(0,E.$Kz)("ExtHostLocalization"),ExtHostIssueReporter:(0,E.$Kz)("ExtHostIssueReporter")}});var Rt=this&&this.__classPrivateFieldSet||function(ae,e,E,O,o){if(O==="m")throw new TypeError("Private method is not writable");if(O==="a"&&!o)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ae!==e||!o:!e.has(ae))throw new TypeError("Cannot write private member to an object whose class did not declare it");return O==="a"?o.call(ae,E):o?o.value=E:e.set(ae,E),E},it=this&&this.__classPrivateFieldGet||function(ae,e,E,O){if(E==="a"&&!O)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ae!==e||!O:!e.has(ae))throw new TypeError("Cannot read private member from an object whose class did not declare it");return E==="m"?O:E==="a"?O.call(ae):O?O.value:e.get(ae)};define(be[278],pe([1,0,8,130,135,21,277,18,12,50,49,100,4,2,6,262,270,15,136,38,97,36,274]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t){"use strict";var i,r,n;Object.defineProperty(e,"__esModule",{value:!0}),e.$AL=e.$zL=e.$yL=e.$xL=e.$wL=e.$vL=void 0;let s=e.$vL=class{constructor(C,M,X){i.set(this,void 0),this.b=new Map,this.c=new Map,r.set(this,void 0),n.set(this,void 0),Rt(this,i,C.getProxy(R.$$I.MainThreadCommands),"f"),this.d=M,Rt(this,n,X,"f"),Rt(this,r,C.getProxy(R.$$I.MainThreadTelemetry),"f"),this.converter=new c(this,ne=>{const he=this.c.get(ne);return he?.result===y.Void?he:void 0},M),this.f=[{processArgument(ne){return(0,d.$Ug)(ne)}},{processArgument(ne){return(0,A.$Fm)(ne,function(he){if(I.$Kr.isIRange(he))return o.Range.to(he);if(v.$Jr.isIPosition(he))return o.Position.to(he);if(I.$Kr.isIRange(he.range)&&p.URI.isUri(he.uri))return o.location.to(he);if(he instanceof u.$Ib)return he.buffer.buffer;if(!Array.isArray(he))return he})}}]}registerArgumentProcessor(C){this.f.push(C)}registerApiCommand(C){const M=this.registerCommand(!1,C.id,async(...X)=>{const ne=C.args.map((ue,le)=>{if(!ue.validate(X[le]))throw new Error(`Invalid argument '${ue.name}' when running '${C.id}', received: ${X[le]}`);return ue.convert(X[le])}),he=await this.executeCommand(C.internalId,...ne);return C.result.convert(he,X,this.converter)},void 0,{description:C.description,args:C.args,returns:C.result.description});return this.c.set(C.id,C),new O.$aJ(()=>{M.dispose(),this.c.delete(C.id)})}registerCommand(C,M,X,ne,he,ue){if(this.d.trace("ExtHostCommands#registerCommand",M),!M.trim().length)throw new Error("invalid id");if(this.b.has(M))throw new Error(`command '${M}' already exists`);return this.b.set(M,{callback:X,thisArg:ne,description:he,extension:ue}),C&&it(this,i,"f").$registerCommand(M),new O.$aJ(()=>{this.b.delete(M)&&C&&it(this,i,"f").$unregisterCommand(M)})}executeCommand(C,...M){return this.d.trace("ExtHostCommands#executeCommand",C),this.g(C,M,!0)}async g(C,M,X){if(this.b.has(C))return it(this,i,"f").$fireCommandActivationEvent(C),this.h(C,M,!1);{let ne=!1;const he=(0,A.$Fm)(M,function(ue){if(ue instanceof O.$bJ)return o.Position.from(ue);if(ue instanceof O.$cJ)return o.Range.from(ue);if(ue instanceof O.$mJ)return o.location.from(ue);if(O.$yK.isNotebookRange(ue))return o.NotebookRange.from(ue);if(ue instanceof ArrayBuffer)return ne=!0,u.$Ib.wrap(new Uint8Array(ue));if(ue instanceof Uint8Array)return ne=!0,u.$Ib.wrap(ue);if(ue instanceof u.$Ib)return ne=!0,ue;if(!Array.isArray(ue))return ue});try{const ue=await it(this,i,"f").$executeCommand(C,ne?new l.$Mz(he):he,X);return(0,d.$Ug)(ue)}catch(ue){if(ue instanceof Error&&ue.message==="$executeCommand:retry")return this.g(C,M,!1);throw ue}}}async h(C,M,X){const ne=this.b.get(C);if(!ne)throw new Error("Unknown command");const{callback:he,thisArg:ue,description:le}=ne;if(le)for(let se=0;se<le.args.length;se++)try{(0,E.$xe)(M[se],le.args[se].constraint)}catch{throw new Error(`Running the contributed command: '${C}' failed. Illegal argument '${le.args[se].name}' - ${le.args[se].description}`)}const ge=P.$1c.create();try{return await he.apply(ue,M)}catch(se){if(C===this.converter.delegatingCommandId){const J=this.converter.getActualCommand(...M);J&&(C=J.command)}if(this.d.error(se,C,ne.extension?.identifier),!X)throw se;if(ne.extension?.identifier){const J=it(this,n,"f").onExtensionError(ne.extension.identifier,se);this.d.trace("forwarded error to extension?",J,ne.extension?.identifier)}throw new class extends Error{constructor(){super((0,$.$9h)(se)),this.id=C,this.source=ne.extension?.displayName??ne.extension?.name}}}finally{this.j(ne,C,ge.elapsed())}}j(C,M,X){C.extension&&it(this,r,"f").$publicLog2("Extension:ActionExecuted",{extensionId:C.extension.identifier.value,id:new k.$Xn(M),duration:X})}$executeContributedCommand(C,...M){this.d.trace("ExtHostCommands#$executeContributedCommand",C);const X=this.b.get(C);return X?(M=M.map(ne=>this.f.reduce((he,ue)=>ue.processArgument(he,X.extension?.identifier),ne)),this.h(C,M,!0)):Promise.reject(new Error(`Contributed command '${C}' does not exist.`))}getCommands(C=!1){return this.d.trace("ExtHostCommands#getCommands",C),it(this,i,"f").$getCommands().then(M=>(C&&(M=M.filter(X=>X[0]!=="_")),M))}$getContributedCommandHandlerDescriptions(){const C=Object.create(null);for(const[M,X]of this.b){const{description:ne}=X;ne&&(C[M]=ne)}return Promise.resolve(C)}};i=new WeakMap,r=new WeakMap,n=new WeakMap,e.$vL=s=Le([Re(0,g.$aL),Re(1,b.$Ni),Re(2,t.$uL)],s),e.$wL=(0,m.$lh)("IExtHostCommands");class c{constructor(C,M,X){this.d=C,this.f=M,this.g=X,this.delegatingCommandId=`__vsc${Date.now().toString(36)}`,this.b=new Map,this.c=0,this.d.registerCommand(!0,this.delegatingCommandId,this.h,this)}toInternal(C,M){if(!C)return;const X={$ident:void 0,id:C.command,title:C.title,tooltip:C.tooltip};if(!C.command)return X;const ne=this.f(C.command);if(ne)X.id=ne.internalId,X.arguments=ne.args.map((he,ue)=>he.convert(C.arguments&&C.arguments[ue]));else if((0,L.$nf)(C.arguments)){const he=`${C.command}/${++this.c}`;this.b.set(he,C),M.add((0,h.$ib)(()=>{this.b.delete(he),this.g.trace("CommandsConverter#DISPOSE",he)})),X.$ident=he,X.id=this.delegatingCommandId,X.arguments=[he],this.g.trace("CommandsConverter#CREATE",C.command,he)}return X}fromInternal(C){return typeof C.$ident=="string"?this.b.get(C.$ident):{command:C.id,title:C.title,arguments:C.arguments}}getActualCommand(...C){return this.b.get(C[0])}h(...C){const M=this.getActualCommand(...C);return this.g.trace("CommandsConverter#EXECUTE",C[0],M?M.command:"MISSING"),M?this.d.executeCommand(M.command,...M.arguments||[]):Promise.reject(`Actual command not found, wanted to execute ${C[0]}`)}}e.$xL=c;class f{constructor(C,M,X,ne){this.name=C,this.description=M,this.validate=X,this.convert=ne}optional(){return new f(this.name,`(optional) ${this.description}`,C=>C==null||this.validate(C),C=>C===void 0?void 0:C===null?null:this.convert(C))}with(C,M){return new f(C??this.name,M??this.description,this.validate,this.convert)}}e.$yL=f,f.Uri=new f("uri","Uri of a text document",D=>p.URI.isUri(D),D=>D),f.Position=new f("position","A position in a text document",D=>O.$bJ.isPosition(D),o.Position.from),f.Range=new f("range","A range in a text document",D=>O.$cJ.isRange(D),o.Range.from),f.Selection=new f("selection","A selection in a text document",D=>O.$dJ.isSelection(D),o.Selection.from),f.Number=new f("number","",D=>typeof D=="number",D=>D),f.String=new f("string","",D=>typeof D=="string",D=>D),f.CallHierarchyItem=new f("item","A call hierarchy item",D=>D instanceof O.$xJ,o.CallHierarchyItem.from),f.TypeHierarchyItem=new f("item","A type hierarchy item",D=>D instanceof O.$SK,o.TypeHierarchyItem.from),f.TestItem=new f("testItem","A VS Code TestItem",D=>D instanceof a.$nL,o.TestItem.from);class y{constructor(C,M){this.description=C,this.convert=M}}e.$zL=y,y.Void=new y("no result",D=>D);class w{constructor(C,M,X,ne,he){this.id=C,this.internalId=M,this.description=X,this.args=ne,this.result=he}}e.$AL=w}),define(be[279],pe([1,0,11,2,13,214]),function(ae,e,E,O,o,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hM=e.$gM=void 0,e.$gM="remoteFilesystem";class R extends A.$fM{static register(b,d,I){const v=b.getConnection();if(!v)return O.$kb.None;const p=new O.$jb,h=(async()=>{try{const m=await b.getRawEnvironment();m?d.registerProvider(o.Schemas.vscodeRemote,p.add(new R(m,v))):I.error("Cannot register remote filesystem provider. Remote environment doesnot exist.")}catch(m){I.error("Cannot register remote filesystem provider. Error while fetching remote environment.",(0,E.$8)(m))}})();return p.add(d.onWillActivateFileSystemProvider(m=>{m.scheme===o.Schemas.vscodeRemote&&m.join(h)})),p}constructor(b,d){super(d.getChannel(e.$gM),{pathCaseSensitive:b.os===3})}}e.$hM=R}),define(be[91],pe([1,0,28,14,7,8,23,168,297,298]),function(ae,e,E,O,o,A,R,L,b,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2o=e.$1o=e.zip=e.$Yo=e.$Xo=void 0,e.$Xo="end of central directory record signature not found";const I=new RegExp(e.$Xo);class v extends Error{constructor(i,r){let n=r.message;switch(i){case"CorruptZip":n=`Corrupt ZIP: ${n}`;break}super(n),this.type=i,this.cause=r}}e.$Yo=v;function p(t){const i=t.externalFileAttributes>>16||33188;return[448,56,7].map(r=>i&r).reduce((r,n)=>r+n,i&61440)}function h(t){if(t instanceof v)return t;let i;return I.test(t.message)&&(i="CorruptZip"),new v(i,t)}function m(t,i,r,n,s,c){const f=o.$bc(i),y=o.$$b(n,f);if(!y.startsWith(n))return Promise.reject(new Error(L.localize(0,null,i)));const w=o.$$b(n,i);let D;return c.onCancellationRequested(()=>{D?.destroy()}),Promise.resolve(R.Promises.mkdir(y,{recursive:!0})).then(()=>new Promise((C,M)=>{if(!c.isCancellationRequested)try{D=(0,E.createWriteStream)(w,{mode:r}),D.once("close",()=>C()),D.once("error",M),t.once("error",M),t.pipe(D)}catch(X){M(X)}}))}function g(t,i,r,n){let s=(0,O.$fg)(()=>Promise.resolve()),c=0;return n.onCancellationRequested(()=>{s.cancel(),t.close()}),new Promise((f,y)=>{const w=new O.$mg,D=C=>{C.isCancellationRequested||(c++,t.readEntry())};t.once("error",y),t.once("close",()=>s.then(()=>{n.isCancellationRequested||t.entryCount===c?f():y(new v("Incomplete",new Error(L.localize(1,null,c,t.entryCount))))},y)),t.readEntry(),t.on("entry",C=>{if(n.isCancellationRequested)return;if(!r.sourcePathRegex.test(C.fileName)){D(n);return}const M=C.fileName.replace(r.sourcePathRegex,"");if(/\/$/.test(M)){const he=o.$$b(i,M);s=(0,O.$fg)(ue=>R.Promises.mkdir(he,{recursive:!0}).then(()=>D(ue)).then(void 0,y));return}const X=u(t,C),ne=p(C);s=(0,O.$fg)(he=>w.queue(()=>X.then(ue=>m(ue,M,ne,i,r,he).then(()=>D(he)))).then(null,y))})})}function a(t,i=!1){return new Promise((r,n)=>{(0,b.open)(t,i?{lazyEntries:!0}:void 0,(s,c)=>{s?n(h(s)):r((0,A.$re)(c))})})}function u(t,i){return new Promise((r,n)=>{t.openReadStream(i,(s,c)=>{s?n(h(s)):r((0,A.$re)(c))})})}function l(t,i){return new Promise((r,n)=>{const s=new d.ZipFile;i.forEach(f=>{f.contents?s.addBuffer(typeof f.contents=="string"?Buffer.from(f.contents,"utf8"):f.contents,f.path):f.localPath&&s.addFile(f.localPath,f.path)}),s.end();const c=(0,E.createWriteStream)(t);s.outputStream.pipe(c),s.outputStream.once("error",n),c.once("error",n),c.once("finish",()=>r(t))})}e.zip=l;function $(t,i,r={},n){const s=new RegExp(r.sourcePath?`^${r.sourcePath}`:"");let c=a(t,!0);return r.overwrite&&(c=c.then(f=>R.Promises.rm(i).then(()=>f))),c.then(f=>g(f,i,{sourcePathRegex:s},n))}e.$1o=$;function P(t,i){return a(t).then(r=>new Promise((n,s)=>{r.on("entry",c=>{c.fileName===i&&u(r,c).then(f=>n(f),f=>s(f))}),r.once("close",()=>s(new Error(L.localize(2,null,i))))}))}function k(t,i){return P(t,i).then(r=>new Promise((n,s)=>{const c=[];r.once("error",s),r.on("data",f=>c.push(f)),r.on("end",()=>n(Buffer.concat(c)))}))}e.$2o=k}),define(be[280],pe([1,0,14,11,2,13,3,19,53,8,22,23,91,24,25,31,37,80,16,12]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ep=void 0;let P=e.$ep=class nn extends o.$kb{constructor(t,i,r,n,s,c){super(),this.h=i,this.i=r,this.j=n,this.k=s,this.l=c,this.extensionsDownloadDir=t.extensionsDownloadLocation,this.f=20,this.g=this.u()}async download(t,i,r){await this.g;const n=(0,L.$6f)(this.extensionsDownloadDir,this.v(t));try{await this.r(t,n,c=>this.i.download(t,c,i))}catch(c){throw new g.$Mn(c.message,g.ExtensionManagementErrorCode.Download)}let s=!1;if(r&&this.m(t)){const c=await this.n(t);try{s=await this.k.verify(n.fsPath,c.fsPath,this.l.getLevel()===$.LogLevel.Trace)}catch(f){const y=f;if(s=y.code,y.output&&this.l.trace(`Extension signature verification details for ${t.identifier.id} ${t.version}:
${y.output}`),s===g.ExtensionSignaturetErrorCode.PackageIsInvalidZip||s===g.ExtensionSignaturetErrorCode.SignatureArchiveIsInvalidZip)throw new g.$Mn(p.$Xo,g.ExtensionManagementErrorCode.CorruptZip)}finally{try{await this.delete(c)}catch(f){this.l.error(f)}}}return s===!0?this.l.info(`Extension signature is verified: ${t.identifier.id}`):s===!1?this.l.info(`Extension signature verification is not done: ${t.identifier.id}`):this.l.warn(`Extension signature verification failed with error '${s}': ${t.identifier.id}`),{location:n,verificationStatus:s}}m(t){if(!t.isSigned)return!1;const i=this.j.getValue("extensions.verifySignature");return(0,d.$me)(i)?i:!0}async n(t){await this.g;const i=(0,L.$6f)(this.extensionsDownloadDir,`${this.v(t)}${nn.c}`);return await this.r(t,i,r=>this.i.downloadSignatureArchive(t,r)),i}async r(t,i,r){if(await this.h.exists(i))return;if(i.scheme!==A.Schemas.file){await r(i);return}const n=(0,L.$6f)(this.extensionsDownloadDir,`.${(0,I.$3e)()}`);await this.h.exists(n)||await r(n);try{await this.t(n,i,Date.now()+2*60*1e3)}catch(s){try{await this.h.del(n)}catch{}if(s.code==="ENOTEMPTY")this.l.info("Rename failed because the file was downloaded by another source. So ignoring renaming.",t.identifier.id,i.path);else throw this.l.info(`Rename failed because of ${(0,O.$8)(s)}. Deleted the file from downloaded location`,n.path),s}}async delete(t){await this.g,await this.h.del(t)}async t(t,i,r){try{await v.Promises.rename(t.fsPath,i.fsPath)}catch(n){if(R.$i&&n&&n.code==="EPERM"&&Date.now()<r)return this.l.info(`Failed renaming ${t} to ${i} with 'EPERM' error. Trying again...`),this.t(t,i,r);throw n}}async u(){try{if(!await this.h.exists(this.extensionsDownloadDir)){this.l.trace("Extension VSIX downloads cache dir does not exist");return}const t=await this.h.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(t.children){const i=[],r=[],n=[];for(const f of t.children)if(f.name.endsWith(nn.c))n.push(f.resource);else{const y=a.$co.parse(f.name);y&&r.push([y,f])}const s=(0,a.$ho)(r,([f])=>f),c=[];for(const f of s)f.sort((y,w)=>b.rcompare(y[0].version,w[0].version)),i.push(...f.slice(1).map(y=>y[1].resource)),c.push(f[0][1]);c.sort((f,y)=>f.mtime-y.mtime),i.push(...c.slice(0,Math.max(0,c.length-this.f)).map(f=>f.resource)),i.push(...n),await E.Promises.settled(i.map(f=>(this.l.trace("Deleting from cache",f.path),this.h.del(f))))}}catch(t){this.l.error(t)}}v(t){return this.f?a.$co.create(t).toString().toLowerCase():(0,I.$3e)()}};P.c=".sigzip",e.$ep=P=Le([Re(0,m.$th),Re(1,l.$Oj),Re(2,g.$Ln),Re(3,h.$Rh),Re(4,u.$Ro),Re(5,$.$Ni)],P)}),define(be[281],pe([1,0,91,180]),function(ae,e,E,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gp=void 0;function o(A){return(0,E.$2o)(A,"extension/package.json").then(R=>{try{return JSON.parse(R.toString("utf8"))}catch{throw new Error((0,O.localize)(0,null))}})}e.$gp=o}),define(be[137],pe([1,0,14,15,20,38,11,5,2,27,13,7,3,19,53,8,4,22,23,91,179,79,25,253,31,37,44,57,280,254,281,229,238,77,16,6,12,26,32,34,33]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t,i,r,n,s,c,f,y,w,D,C,M,X,ne,he,ue,le,ge,se){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mp=e.$lp=e.$kp=e.$jp=void 0,e.$jp=(0,ne.$mh)(r.$Nn);let J=e.$kp=class extends i.$3o{constructor(Y,_,T,S,N,ee,oe,z,q,W,U,G){super(Y,_,T,W,G),this.$=N,this.ab=ee,this.bb=oe,this.cb=q,this.db=U,this.Y=this.B(new L.$5c),this.onDidUpdateExtensionMetadata=this.Y.event,this.Z=new Map,this.lb=new d.$ki;const K=this.B(z.createInstance(y.$fp));this.U=this.B(z.createInstance(te,ce=>K.postUninstall(ce))),this.W=this.B(new D.$hp(G,q,U,this,this.v)),this.X=this.B(z.createInstance(f.$ep));const Q=this.B(new C.$ip(this,this.$,G,ee,U,q,T));this.B(Q.onDidChangeExtensionsByAnotherSource(ce=>this.kb(ce))),this.mb()}getTargetPlatform(){return this.eb||(this.eb=(0,n.$mo)(this.cb,this.v)),this.eb}async zip(Y){this.v.trace("ExtensionManagementService#zip",Y.identifier.id);const _=await this.jb(Y),T=await(0,$.zip)((0,h.$6f)(this.X.extensionsDownloadDir,(0,u.$3e)()).fsPath,_);return a.URI.file(T)}async unzip(Y){return this.v.trace("ExtensionManagementService#unzip",Y.toString()),(await this.install(Y)).identifier}async getManifest(Y){const{location:_,cleanup:T}=await this.fb(Y),S=v.$_b(_.fsPath);try{return await(0,w.$gp)(S)}finally{await T()}}getInstalled(Y,_=this.y.defaultProfile.extensionsResource){return this.U.scanExtensions(Y??null,_)}scanAllUserInstalledExtensions(){return this.U.scanAllUserExtensions(!1)}scanInstalledExtensionAtLocation(Y){return this.U.scanUserExtensionAtLocation(Y)}async install(Y,_={}){this.v.trace("ExtensionManagementService#install",Y.toString());const{location:T,cleanup:S}=await this.fb(Y);try{const N=await(0,w.$gp)(v.$_b(T.fsPath)),ee=(0,n.$go)(N.publisher,N.name);if(N.engines&&N.engines.vscode&&!(0,M.$to)(N.engines.vscode,this.w.version,this.w.date))throw new Error(P.localize(0,null,ee,this.w.version));const oe=await this.z([{manifest:N,extension:T,options:_}]);if(oe[0]?.local)return oe[0]?.local;throw oe[0]?.error?oe[0].error:(0,i.$5o)(new Error(`Unknown error while installing extension ${ee}`))}finally{await S()}}async installFromLocation(Y,_){this.v.trace("ExtensionManagementService#installFromLocation",Y.toString());const T=await this.U.scanUserExtensionAtLocation(Y);if(!T)throw new Error(`Cannot find a valid extension from the location ${Y.toString()}`);return await this.ob([[T,void 0]],_),this.v.info("Successfully installed extension",T.identifier.id,_.toString()),T}async installExtensionsFromProfile(Y,_,T){this.v.trace("ExtensionManagementService#installExtensionsFromProfile",Y,_.toString(),T.toString());const S=(await this.U.scanExtensions(1,_)).filter(N=>Y.some(ee=>(0,n.$bo)(ee,N.identifier)));if(S.length){const N=await Promise.all(S.map(ee=>this.U.scanMetadata(ee,_)));await this.ob(S.map((ee,oe)=>[ee,N[oe]]),T),this.v.info("Successfully installed extensions",S.map(ee=>ee.identifier.id),T.toString())}return S}async updateMetadata(Y,_,T=this.y.defaultProfile.extensionsResource){return this.v.trace("ExtensionManagementService#updateMetadata",Y.identifier.id),_.isPreReleaseVersion&&(_.preRelease=!0),_.isMachineScoped=_.isMachineScoped||void 0,_.isBuiltin=_.isBuiltin||void 0,_.pinned=_.pinned||void 0,Y=await this.U.updateMetadata(Y,_,T),this.W.invalidate(T),this.Y.fire(Y),Y}async reinstallFromGallery(Y){if(this.v.trace("ExtensionManagementService#reinstallFromGallery",Y.identifier.id),!this.t.isEnabled())throw new Error(P.localize(1,null));const _=await this.getTargetPlatform(),[T]=await this.t.getExtensions([{...Y.identifier,preRelease:Y.preRelease}],{targetPlatform:_,compatible:!0},o.CancellationToken.None);if(!T)throw new Error(P.localize(2,null));await this.U.setUninstalled(Y);try{await this.U.removeUninstalledExtension(Y)}catch(S){throw new Error(P.localize(3,null,(0,A.$9h)(S)))}return this.installFromGallery(T)}copyExtensions(Y,_){return this.U.copyExtensions(Y,_)}markAsUninstalled(...Y){return this.U.setUninstalled(...Y)}async cleanUp(){this.v.trace("ExtensionManagementService#cleanUp");try{await this.U.cleanUp()}catch(Y){this.v.error(Y)}}async download(Y,_,T){const{location:S}=await this.X.download(Y,_,!T);return S}async fb(Y){if(Y.scheme===I.Schemas.file)return{location:Y,async cleanup(){}};this.v.trace("Downloading extension from",Y.toString());const _=(0,h.$6f)(this.X.extensionsDownloadDir,(0,u.$3e)());return await this.bb.download(Y,_),this.v.info("Downloaded extension to",_.toString()),{location:_,cleanup:async()=>{try{await this.cb.del(_)}catch(S){this.v.error(S)}}}}Q(){return this.y.defaultProfile.extensionsResource}R(Y,_,T){if(a.URI.isUri(_))return new H(Y,_,T,this.t,this.U,this.db,this.y,this.$,this.ab,this.v);const S=n.$co.create(_).toString();let N=this.Z.get(S);return N||(this.Z.set(S,N=new Z(Y,_,T,this.X,this.U,this.db,this.y,this.$,this.ab,this.v)),N.waitUntilTaskIsFinished().finally(()=>this.Z.delete(S))),N}S(Y,_){return new B(Y,_.profileLocation,this.ab)}async jb(Y){const _=async S=>{let N=await l.Promises.readdir(S);N=N.map(z=>v.$$b(S,z));const ee=await Promise.all(N.map(z=>l.Promises.stat(z)));let oe=Promise.resolve([]);return ee.forEach((z,q)=>{const W=N[q];z.isFile()&&(oe=oe.then(U=>[...U,W])),z.isDirectory()&&(oe=oe.then(U=>_(W).then(G=>[...U,...G])))}),oe};return(await _(Y.location.fsPath)).map(S=>({path:`extension/${v.$ac(Y.location.fsPath,S)}`,localPath:S}))}async kb({added:Y,removed:_}){if(_)for(const T of _.extensions)this.v.info("Extensions removed from another source",T.id,_.profileLocation.toString()),this.p.fire({identifier:T,profileLocation:_.profileLocation});if(Y){const S=(await this.U.scanExtensions(1,Y.profileLocation)).filter(N=>Y.extensions.some(ee=>(0,n.$bo)(ee,N.identifier)));this.m.fire(S.map(N=>(this.v.info("Extensions added from another source",N.identifier.id,Y.profileLocation.toString()),{identifier:N.identifier,local:N,profileLocation:Y.profileLocation,operation:1})))}}async mb(){this.B(this.U.onExtract(_=>this.lb.add(_)));const Y=await this.cb.resolve(this.$.userExtensionsLocation);for(const _ of Y.children??[])_.isDirectory&&this.lb.add(_.resource);this.B(this.cb.watch(this.$.userExtensionsLocation)),this.B(this.cb.onDidFilesChange(_=>this.nb(_)))}async nb(Y){if(!Y.affects(this.$.userExtensionsLocation,1))return;const _=[];for(const T of Y.rawAdded){if(this.lb.has(T)||!this.db.extUri.isEqual(this.db.extUri.dirname(T),this.$.userExtensionsLocation)||this.db.extUri.isEqual(T,this.db.extUri.joinPath(this.$.userExtensionsLocation,".obsolete"))||this.db.extUri.basename(T).startsWith(".")||!(await this.cb.stat(T)).isDirectory)continue;const S=await this.U.scanUserExtensionAtLocation(T);S&&S.installedTimestamp===void 0&&(this.lb.add(T),_.push(S))}_.length&&(await this.ob(_.map(T=>[T,void 0]),this.y.defaultProfile.extensionsResource),this.v.info("Added extensions to default profile from external source",_.map(T=>T.identifier.id)))}async ob(Y,_){const T=Y.map(S=>S[0]);await this.pb(T),await this.ab.addExtensionsToProfile(Y,_),this.m.fire(T.map(S=>({local:S,identifier:S.identifier,operation:1,profileLocation:_})))}async pb(Y){const _=await this.U.getUninstalledExtensions();for(const T of Y){const S=n.$co.create(T);_[S.toString()]&&(this.v.trace("Removing the extension from uninstalled list:",S.id),await this.U.setInstalled(S),this.v.info("Removed the extension from uninstalled list:",S.id))}}};e.$kp=J=Le([Re(0,r.$Ln),Re(1,le.$Rk),Re(2,he.$Ni),Re(3,t.$th),Re(4,c.$_o),Re(5,s.$8o),Re(6,k.$qn),Re(7,ne.$kh),Re(8,X.$Oj),Re(9,ue.$6i),Re(10,ge.$lk),Re(11,se.$nk)],J);let te=e.$lp=class extends b.$kb{constructor(Y,_,T,S,N,ee){super(),this.k=Y,this.l=_,this.m=T,this.n=S,this.p=N,this.s=ee,this.h=this.B(new L.$5c),this.onExtract=this.h.event,this.j=Promise.resolve(),this.c=(0,h.$6f)(this.m.userExtensionsLocation,".obsolete"),this.g=new E.$yg}async cleanUp(){await this.z(),this.j=this.j.then(()=>this.C()),await this.j}async scanExtensions(Y,_){const T={includeInvalid:!0,profileLocation:_};let S=[];return Y===null||Y===0?S.push(...await this.m.scanAllExtensions({includeInvalid:!0},T,!1)):Y===1&&S.push(...await this.m.scanUserExtensions(T)),S=Y!==null?S.filter(N=>N.type===Y):S,Promise.all(S.map(N=>this.y(N)))}async scanAllUserExtensions(Y){const _=await this.m.scanUserExtensions({includeAllVersions:!Y,includeInvalid:!0});return Promise.all(_.map(T=>this.y(T)))}async scanUserExtensionAtLocation(Y){try{const _=await this.m.scanExistingExtension(Y,1,{includeInvalid:!0});if(_)return await this.y(_)}catch(_){this.s.error(_)}return null}async extractUserExtension(Y,_,T,S,N){await this.j.catch(()=>{});const ee=Y.toString(),oe=v.$$b(this.m.userExtensionsLocation.fsPath,`.${(0,u.$3e)()}`),z=v.$$b(this.m.userExtensionsLocation.fsPath,ee);let q=await this.l.exists(a.URI.file(z));if(q&&S){try{await l.Promises.rm(z)}catch{throw new r.$Mn(P.localize(4,null,z,Y.id),r.ExtensionManagementErrorCode.Delete)}q=!1}if(!q){await this.u(Y,_,oe,N),await this.m.updateMetadata(a.URI.file(oe),T);try{this.h.fire(a.URI.file(z)),await this.v(Y,oe,z,Date.now()+2*60*1e3),this.s.info("Renamed to",z)}catch(W){try{await l.Promises.rm(oe)}catch{}if(W.code==="ENOTEMPTY")this.s.info("Rename failed because extension was installed by another source. So ignoring renaming.",Y.id);else throw this.s.info(`Rename failed because of ${(0,R.$8)(W)}. Deleted from extracted location`,oe),W}}return this.w(a.URI.file(z),1)}async scanMetadata(Y,_){return _?(await this.n.scanProfileExtensions(_)).find(S=>(0,n.$bo)(S.identifier,Y.identifier))?.metadata:this.m.scanMetadata(Y.location)}async updateMetadata(Y,_,T){return T?await this.n.updateMetadata([[Y,_]],T):await this.m.updateMetadata(Y.location,_),this.w(Y.location,Y.type)}getUninstalledExtensions(){return this.t()}async setUninstalled(...Y){const _=Y.map(T=>n.$co.create(T));await this.t(T=>_.forEach(S=>{T[S.toString()]=!0,this.s.info("Marked extension as uninstalled",S.toString())}))}async setInstalled(Y){await this.t(_=>delete _[Y.toString()])}async removeExtension(Y,_){this.s.trace(`Deleting ${_} extension from disk`,Y.identifier.id,Y.location.fsPath);const T=this.p.extUri.joinPath(this.p.extUri.dirname(Y.location),`._${(0,u.$3e)()}`);await this.v(Y.identifier,Y.location.fsPath,T.fsPath,Date.now()+2*60*1e3),await this.l.del(T,{recursive:!0}),this.s.info("Deleted from disk",Y.identifier.id,Y.location.fsPath)}async removeUninstalledExtension(Y){await this.removeExtension(Y,"uninstalled"),await this.t(_=>delete _[n.$co.create(Y).toString()])}async copyExtensions(Y,_){const T=await this.scanExtensions(1,Y),S=await Promise.all(T.filter(N=>!N.isApplicationScoped).map(async N=>[N,await this.scanMetadata(N,Y)]));await this.n.addExtensionsToProfile(S,_)}async t(Y){return this.g.queue(async()=>{let _;try{_=(await this.l.readFile(this.c,"utf8")).value.toString()}catch(S){if((0,X.$5j)(S)!==1)throw S}let T={};if(_)try{T=JSON.parse(_)}catch{}return Y&&(Y(T),Object.keys(T).length?await this.l.writeFile(this.c,O.$Ib.fromString(JSON.stringify(T))):await this.l.del(this.c)),T})}async u(Y,_,T,S){this.s.trace(`Started extracting the extension from ${_} to ${T}`);try{await l.Promises.rm(T)}catch(N){throw new r.$Mn(this.D(N).message,r.ExtensionManagementErrorCode.Delete)}try{await(0,$.$1o)(_,T,{sourcePath:"extension",overwrite:!0},S),this.s.info(`Extracted extension to ${T}:`,Y.id)}catch(N){try{await l.Promises.rm(T)}catch{}let ee=r.ExtensionManagementErrorCode.Extract;throw N instanceof $.$Yo&&(N.type==="CorruptZip"?ee=r.ExtensionManagementErrorCode.CorruptZip:N.type==="Incomplete"&&(ee=r.ExtensionManagementErrorCode.IncompleteZip)),new r.$Mn(N.message,ee)}}async v(Y,_,T,S){try{await l.Promises.rename(_,T)}catch(N){if(p.$i&&N&&N.code==="EPERM"&&Date.now()<S)return this.s.info(`Failed renaming ${_} to ${T} with 'EPERM' error. Trying again...`,Y.id),this.v(Y,_,T,S);throw new r.$Mn(N.message||P.localize(5,null,_,T),N.code||r.ExtensionManagementErrorCode.Rename)}}async w(Y,_){const T=await this.m.scanExistingExtension(Y,_,{includeInvalid:!0});if(T)return this.y(T);throw new Error(P.localize(6,null,Y.path))}async y(Y){const _=await this.l.resolve(Y.location);let T,S;return _.children&&(T=_.children.find(({name:N})=>/^readme(\.txt|\.md|)$/i.test(N))?.resource,S=_.children.find(({name:N})=>/^changelog(\.txt|\.md|)$/i.test(N))?.resource),{identifier:Y.identifier,type:Y.type,isBuiltin:Y.isBuiltin||!!Y.metadata?.isBuiltin,location:Y.location,manifest:Y.manifest,targetPlatform:Y.targetPlatform,validations:Y.validations,isValid:Y.isValid,readmeUrl:T,changelogUrl:S,publisherDisplayName:Y.metadata?.publisherDisplayName||null,publisherId:Y.metadata?.publisherId||null,isApplicationScoped:!!Y.metadata?.isApplicationScoped,isMachineScoped:!!Y.metadata?.isMachineScoped,isPreReleaseVersion:!!Y.metadata?.isPreReleaseVersion,preRelease:!!Y.metadata?.preRelease,installedTimestamp:Y.metadata?.installedTimestamp,updated:!!Y.metadata?.updated,pinned:!!Y.metadata?.pinned}}async z(){const Y=await this.getUninstalledExtensions();if(Object.keys(Y).length===0){this.s.debug("No uninstalled extensions found.");return}this.s.debug("Removing uninstalled extensions:",Object.keys(Y));const _=await this.m.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),T=new Set;for(const N of _)Y[n.$co.create(N).toString()]||T.add(N.identifier.id.toLowerCase());try{const N=(0,n.$ho)(_,ee=>ee.identifier);await E.Promises.settled(N.map(async ee=>{const oe=ee.sort((z,q)=>m.rcompare(z.manifest.version,q.manifest.version))[0];T.has(oe.identifier.id.toLowerCase())||await this.k(await this.y(oe))}))}catch(N){this.s.error(N)}const S=_.filter(N=>N.metadata&&Y[n.$co.create(N).toString()]);await Promise.allSettled(S.map(N=>this.removeUninstalledExtension(N)))}async C(){this.s.trace("ExtensionManagementService#removeGeneratedFolders");const Y=[];let _;try{_=await this.l.resolve(this.m.userExtensionsLocation)}catch(T){(0,X.$5j)(T)!==1&&this.s.error(T)}for(const T of _?.children??[])T.isDirectory&&T.name.startsWith("._")&&(0,u.$2e)(T.name.substring(2))&&Y.push((async()=>{this.s.trace("Deleting the generated extension folder",T.resource.toString());try{await this.l.del(T.resource,{recursive:!0}),this.s.info("Deleted the generated extension folder",T.resource.toString())}catch(S){this.s.error(S)}})());await Promise.allSettled(Y)}D(Y){const _=Array.isArray(Y)?Y:[Y];return _.length===1?_[0]instanceof Error?_[0]:new Error(_[0]):_.reduce((T,S)=>new Error(`${T.message}${T.message?",":""}${S instanceof Error?S.message:S}`),new Error(""))}};e.$lp=te=Le([Re(1,X.$Oj),Re(2,c.$_o),Re(3,s.$8o),Re(4,ge.$lk),Re(5,he.$Ni)],te);class V extends i.$6o{get profileLocation(){return this.j}get verificationStatus(){return this.k}get operation(){return(0,g.$ne)(this.m.operation)?this.l:this.m.operation}constructor(Y,_,T,S,N,ee,oe,z,q){super(),this.identifier=Y,this.source=_,this.m=T,this.n=S,this.o=N,this.p=ee,this.q=oe,this.s=z,this.t=q,this.j=this.m.profileLocation,this.k=!1,this.l=2}async h(Y){const[_,T]=await this.y(Y);return this.j=_.isBuiltin||_.isApplicationScoped?this.p.defaultProfile.extensionsResource:this.m.profileLocation,this.o.extUri.isEqual(this.p.defaultProfile.extensionsResource,this.j)&&await this.q.initializeDefaultProfileExtensions(),await this.s.addExtensionsToProfile([[_,T]],this.j),_}async v({zipPath:Y,key:_,metadata:T},S,N){let ee=await this.w(_);return ee||(this.t.trace("Extracting extension...",_.id),ee=await this.n.extractUserExtension(_,Y,T,S,N),this.t.info("Extracting extension completed.",_.id)),ee}async w(Y){return await this.x(Y)?(this.t.trace("Removing the extension from uninstalled list:",Y.id),await this.n.setInstalled(Y),this.t.info("Removed the extension from uninstalled list:",Y.id),(await this.n.scanAllUserExtensions(!0)).find(S=>n.$co.create(S).equals(Y))):void 0}async x(Y){return!!(await this.n.getUninstalledExtensions())[Y.toString()]}}class Z extends V{constructor(Y,_,T,S,N,ee,oe,z,q,W){super(_.identifier,_,T,N,ee,oe,z,q,W),this.z=_,this.A=S}async y(Y){const T=(await this.n.scanExtensions(null,this.m.profileLocation)).find(oe=>(0,n.$bo)(oe.identifier,this.z.identifier));T&&(this.l=3);const S={id:this.z.identifier.uuid,publisherId:this.z.publisherId,publisherDisplayName:this.z.publisherDisplayName,targetPlatform:this.z.properties.targetPlatform,isApplicationScoped:this.m.isApplicationScoped||T?.isApplicationScoped,isMachineScoped:this.m.isMachineScoped||T?.isMachineScoped,isBuiltin:this.m.isBuiltin||T?.isBuiltin,isSystem:T?.type===0?!0:void 0,updated:!!T,isPreReleaseVersion:this.z.properties.isPreReleaseVersion,installedTimestamp:Date.now(),pinned:this.m.installGivenVersion?!0:void 0,preRelease:this.z.properties.isPreReleaseVersion||((0,g.$me)(this.m.installPreReleaseVersion)?this.m.installPreReleaseVersion:T?.preRelease)};if(T?.manifest.version===this.z.version)return[await this.n.updateMetadata(T,S),S];const{location:N,verificationStatus:ee}=await this.A.download(this.z,this.l,!this.m.donotVerifySignature);try{return this.k=ee,this.C(N.fsPath),[await this.v({zipPath:N.fsPath,key:n.$co.create(this.z),metadata:S},!1,Y),S]}catch(oe){try{await this.A.delete(N)}catch(z){this.t.warn("Error while deleting the downloaded file",N.toString(),(0,R.$8)(z))}throw oe}}async C(Y){try{await(0,w.$gp)(Y)}catch(_){throw new r.$Mn((0,i.$4o)(_).message,r.ExtensionManagementErrorCode.Invalid)}}}e.$mp=Z;class H extends V{constructor(Y,_,T,S,N,ee,oe,z,q,W){super({id:(0,n.$go)(Y.publisher,Y.name)},_,T,N,ee,oe,z,q,W),this.z=Y,this.A=_,this.B=S}async h(Y){const _=await super.h(Y);return this.E(_,Y),_}async y(Y){const _=new n.$co(this.identifier,this.z.version),S=(await this.n.scanExtensions(1,this.m.profileLocation)).find(oe=>(0,n.$bo)(this.identifier,oe.identifier)),N={isApplicationScoped:this.m.isApplicationScoped||S?.isApplicationScoped,isMachineScoped:this.m.isMachineScoped||S?.isMachineScoped,isBuiltin:this.m.isBuiltin||S?.isBuiltin,installedTimestamp:Date.now(),pinned:this.m.installGivenVersion?!0:void 0};if(S)if(this.l=3,_.equals(new n.$co(S.identifier,S.manifest.version)))try{await this.n.removeExtension(S,"existing")}catch{throw new Error(P.localize(7,null,this.z.displayName||this.z.name))}else!this.m.profileLocation&&m.gt(S.manifest.version,this.z.version)&&await this.n.setUninstalled(S);else{const oe=await this.w(_);if(oe)try{await this.n.removeExtension(oe,"existing")}catch{throw new Error(P.localize(8,null,this.z.displayName||this.z.name))}}return[await this.v({zipPath:v.$_b(this.A.fsPath),key:_,metadata:N},!0,Y),N]}async E(Y,_){try{let[T]=await this.B.getExtensions([{id:Y.identifier.id,version:Y.manifest.version}],_);if(T||([T]=await this.B.getExtensions([{id:Y.identifier.id}],_)),T){const S={id:T.identifier.uuid,publisherDisplayName:T.publisherDisplayName,publisherId:T.publisherId,isPreReleaseVersion:T.properties.isPreReleaseVersion,preRelease:T.properties.isPreReleaseVersion||this.m.installPreReleaseVersion};await this.n.updateMetadata(Y,S,this.m.profileLocation)}}catch{}}}class B extends i.$6o{constructor(Y,_,T){super(),this.extension=Y,this.j=_,this.k=T}async h(Y){await this.k.removeExtensionFromProfile(this.extension,this.j)}}}),define(be[70],pe([1,0,85,75,29,282,15,11,5,2,7,3,22,42,105]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hh=e.$gh=e.$fh=e.$eh=e.$dh=e.$ch=e.$bh=e.$ah=void 0;class g{traceSocketEvent(D,C){m.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,D,C)}constructor(D,C=""){this.f=!0,this.debugLabel=C,this.socket=D,this.traceSocketEvent("created",{type:"NodeSocket"}),this.a=M=>{if(this.traceSocketEvent("error",{code:M?.code,message:M?.message}),M){if(M.code==="EPIPE")return;(0,L.$X)(M)}},this.socket.on("error",this.a),this.b=M=>{this.traceSocketEvent("close",{hadError:M}),this.f=!1},this.socket.on("close",this.b),this.d=()=>{this.traceSocketEvent("nodeEndReceived"),this.f=!1},this.socket.on("end",this.d)}dispose(){this.socket.off("error",this.a),this.socket.off("close",this.b),this.socket.off("end",this.d),this.socket.destroy()}onData(D){const C=M=>{this.traceSocketEvent("read",M),D(R.$Ib.wrap(M))};return this.socket.on("data",C),{dispose:()=>this.socket.off("data",C)}}onClose(D){const C=M=>{D({type:0,hadError:M,error:void 0})};return this.socket.on("close",C),{dispose:()=>this.socket.off("close",C)}}onEnd(D){const C=()=>{D()};return this.socket.on("end",C),{dispose:()=>this.socket.off("end",C)}}write(D){if(!(this.socket.destroyed||!this.f))try{this.traceSocketEvent("write",D),this.socket.write(D.buffer,C=>{if(C){if(C.code==="EPIPE")return;(0,L.$X)(C)}})}catch(C){if(C.code==="EPIPE")return;(0,L.$X)(C)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((D,C)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),D();return}const M=()=>{this.socket.off("close",M),this.socket.off("end",M),this.socket.off("error",M),this.socket.off("timeout",M),this.socket.off("drain",M),this.traceSocketEvent("nodeDrainEnd"),D()};this.socket.on("close",M),this.socket.on("end",M),this.socket.on("error",M),this.socket.on("timeout",M),this.socket.on("drain",M)})}}e.$ah=g;var a;(function(w){w[w.MinHeaderByteSize=2]="MinHeaderByteSize",w[w.MaxWebSocketMessageLength=262144]="MaxWebSocketMessageLength"})(a||(a={}));var u;(function(w){w[w.PeekHeader=1]="PeekHeader",w[w.ReadHeader=2]="ReadHeader",w[w.ReadBody=3]="ReadBody",w[w.Fin=4]="Fin"})(u||(u={}));class l extends d.$kb{get permessageDeflate(){return this.a.permessageDeflate}get recordedInflateBytes(){return this.a.recordedInflateBytes}traceSocketEvent(D,C){this.socket.traceSocketEvent(D,C)}constructor(D,C,M,X){super(),this.f=this.B(new b.$5c),this.g=this.B(new b.$5c),this.h=!1,this.j={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=D,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:C,inflateBytesLength:M?.byteLength||0,recordInflateBytes:X}),this.a=this.B(new $(this,C,M,X,this.f,(ne,he)=>this.k(ne,he))),this.B(this.a.onError(ne=>{console.error(ne),(0,L.$X)(ne),this.g.fire({type:0,hadError:!0,error:ne})})),this.b=new m.$8g,this.B(this.socket.onData(ne=>this.l(ne))),this.B(this.socket.onClose(async ne=>{this.a.isProcessingReadQueue()&&await b.Event.toPromise(this.a.onDidFinishProcessingReadQueue),this.g.fire(ne)}))}dispose(){this.a.isProcessingWriteQueue()?this.B(this.a.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(D){return this.f.event(D)}onClose(D){return this.g.event(D)}onEnd(D){return this.socket.onEnd(D)}write(D){let C=0;for(;C<D.byteLength;)this.a.writeMessage(D.slice(C,Math.min(C+262144,D.byteLength))),C+=262144}k(D,C){if(this.h)return;this.traceSocketEvent("webSocketNodeSocketWrite",D);let M=2;D.byteLength<126?M+=0:D.byteLength<2**16?M+=2:M+=8;const X=R.$Ib.alloc(M);if(C?X.writeUInt8(194,0):X.writeUInt8(130,0),D.byteLength<126)X.writeUInt8(D.byteLength,1);else if(D.byteLength<2**16){X.writeUInt8(126,1);let ne=1;X.writeUInt8(D.byteLength>>>8&255,++ne),X.writeUInt8(D.byteLength>>>0&255,++ne)}else{X.writeUInt8(127,1);let ne=1;X.writeUInt8(0,++ne),X.writeUInt8(0,++ne),X.writeUInt8(0,++ne),X.writeUInt8(0,++ne),X.writeUInt8(D.byteLength>>>24&255,++ne),X.writeUInt8(D.byteLength>>>16&255,++ne),X.writeUInt8(D.byteLength>>>8&255,++ne),X.writeUInt8(D.byteLength>>>0&255,++ne)}this.socket.write(R.$Ib.concat([X,D]))}end(){this.h=!0,this.socket.end()}l(D){if(D.byteLength!==0){for(this.b.acceptChunk(D);this.b.byteLength>=this.j.readLen;)if(this.j.state===1){const C=this.b.peek(this.j.readLen),M=C.readUInt8(0),X=(M&128)>>>7,ne=(M&64)>>>6,he=C.readUInt8(1),ue=(he&128)>>>7,le=he&127;this.j.state=2,this.j.readLen=2+(ue?4:0)+(le===126?2:0)+(le===127?8:0),this.j.fin=X,this.j.firstFrameOfMessage&&(this.j.compressed=!!ne),this.j.firstFrameOfMessage=!!X,this.j.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin})}else if(this.j.state===2){const C=this.b.read(this.j.readLen),M=C.readUInt8(1),X=(M&128)>>>7;let ne=M&127,he=1;ne===126?ne=C.readUInt8(++he)*2**8+C.readUInt8(++he):ne===127&&(ne=C.readUInt8(++he)*0+C.readUInt8(++he)*0+C.readUInt8(++he)*0+C.readUInt8(++he)*0+C.readUInt8(++he)*2**24+C.readUInt8(++he)*2**16+C.readUInt8(++he)*2**8+C.readUInt8(++he));let ue=0;X&&(ue=C.readUInt8(++he)*2**24+C.readUInt8(++he)*2**16+C.readUInt8(++he)*2**8+C.readUInt8(++he)),this.j.state=3,this.j.readLen=ne,this.j.mask=ue,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,mask:this.j.mask})}else if(this.j.state===3){const C=this.b.read(this.j.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",C),t(C,this.j.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",C),this.j.state=1,this.j.readLen=2,this.j.mask=0,this.a.acceptFrame(C,this.j.compressed,!!this.j.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this.a.isProcessingWriteQueue()&&await b.Event.toPromise(this.a.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.$bh=l;class $ extends d.$kb{get permessageDeflate(){return!!(this.b&&this.f)}get recordedInflateBytes(){return this.b?this.b.recordedInflateBytes:R.$Ib.alloc(0)}constructor(D,C,M,X,ne,he){super(),this.l=D,this.m=ne,this.n=he,this.a=this.B(new b.$5c),this.onError=this.a.event,this.g=[],this.h=[],this.j=this.B(new b.$5c),this.onDidFinishProcessingReadQueue=this.j.event,this.k=this.B(new b.$5c),this.onDidFinishProcessingWriteQueue=this.k.event,this.p=!1,this.t=!1,C?(this.b=this.B(new P(this.l,X,M,{windowBits:15})),this.f=this.B(new k(this.l,{windowBits:15})),this.B(this.b.onError(ue=>this.a.fire(ue))),this.B(this.f.onError(ue=>this.a.fire(ue)))):(this.b=null,this.f=null)}writeMessage(D){this.g.push(D),this.r()}async r(){if(!this.p){for(this.p=!0;this.g.length>0;){const D=this.g.shift();if(this.f){const C=await this.s(this.f,D);this.n(C,!0)}else this.n(D,!1)}this.p=!1,this.k.fire()}}isProcessingWriteQueue(){return this.p}s(D,C){return new Promise((M,X)=>{D.write(C),D.flush(ne=>M(ne))})}acceptFrame(D,C,M){this.h.push({data:D,isCompressed:C,isLastFrameOfMessage:M}),this.u()}async u(){if(!this.t){for(this.t=!0;this.h.length>0;){const D=this.h.shift();if(this.b&&D.isCompressed){const C=await this.w(this.b,D.data,D.isLastFrameOfMessage);this.m.fire(C)}else this.m.fire(D.data)}this.t=!1,this.j.fire()}}isProcessingReadQueue(){return this.t}w(D,C,M){return new Promise((X,ne)=>{D.write(C),M&&D.write(R.$Ib.fromByteArray([0,0,255,255])),D.flush(he=>X(he))})}}class P extends d.$kb{get recordedInflateBytes(){return this.j?R.$Ib.concat(this.f):R.$Ib.alloc(0)}constructor(D,C,M,X){super(),this.h=D,this.j=C,this.a=this.B(new b.$5c),this.onError=this.a.event,this.f=[],this.g=[],this.b=(0,A.createInflateRaw)(X),this.b.on("error",ne=>{this.h.traceSocketEvent("zlibInflateError",{message:ne?.message,code:ne?.code}),this.a.fire(ne)}),this.b.on("data",ne=>{this.h.traceSocketEvent("zlibInflateData",ne),this.g.push(R.$Ib.wrap(ne))}),M&&(this.h.traceSocketEvent("zlibInflateInitialWrite",M.buffer),this.b.write(M.buffer),this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateInitialFlushFired"),this.g.length=0}))}write(D){this.j&&this.f.push(D.clone()),this.h.traceSocketEvent("zlibInflateWrite",D),this.b.write(D.buffer)}flush(D){this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateFlushFired");const C=R.$Ib.concat(this.g);this.g.length=0,D(C)})}}class k extends d.$kb{constructor(D,C){super(),this.g=D,this.a=this.B(new b.$5c),this.onError=this.a.event,this.f=[],this.b=(0,A.createDeflateRaw)({windowBits:15}),this.b.on("error",M=>{this.g.traceSocketEvent("zlibDeflateError",{message:M?.message,code:M?.code}),this.a.fire(M)}),this.b.on("data",M=>{this.g.traceSocketEvent("zlibDeflateData",M),this.f.push(R.$Ib.wrap(M))})}write(D){this.g.traceSocketEvent("zlibDeflateWrite",D.buffer),this.b.write(D.buffer)}flush(D){this.b.flush(2,()=>{this.g.traceSocketEvent("zlibDeflateFlushFired");let C=R.$Ib.concat(this.f);this.f.length=0,C=C.slice(0,C.byteLength-4),D(C)})}}function t(w,D){if(D===0)return;const C=w.byteLength>>>2;for(let le=0;le<C;le++){const ge=w.readUInt32BE(le*4);w.writeUInt32BE(ge^D,le*4)}const M=C*4,X=w.byteLength-M,ne=D>>>24&255,he=D>>>16&255,ue=D>>>8&255;X>=1&&w.writeUInt8(w.readUInt8(M)^ne,M),X>=2&&w.writeUInt8(w.readUInt8(M+1)^he,M+1),X>=3&&w.writeUInt8(w.readUInt8(M+2)^ue,M+2)}e.$ch=process.env.XDG_RUNTIME_DIR;const i={[2]:107,[1]:103};function r(){const w=(0,p.$3e)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${w}-sock`;const D=process.platform!=="darwin"&&e.$ch?e.$ch:(0,o.tmpdir)(),C=(0,I.$$b)(D,`vscode-ipc-${w}.sock`);return s(C),C}e.$dh=r;function n(w,D,C){const M=(0,E.createHash)("md5").update(w).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${M}-${C}-${D}-sock`;const X=C.substr(0,4),ne=D.substr(0,6),he=M.substr(0,8);let ue;return process.platform!=="darwin"&&e.$ch&&!process.env.VSCODE_PORTABLE?ue=(0,I.$$b)(e.$ch,`vscode-${he}-${X}-${ne}.sock`):ue=(0,I.$$b)(w,`${X}-${ne}.sock`),s(ue),ue}e.$eh=n;function s(w){const D=i[v.$t];typeof D=="number"&&w.length>=D&&console.warn(`WARNING: IPC handle "${w}" is longer than ${D} chars, try a shorter --user-data-dir`)}class c extends h.$2g{static b(D){const C=b.Event.fromNodeEventEmitter(D,"connection");return b.Event.map(C,M=>({protocol:new m.$9g(new g(M,"ipc-server-connection")),onDidClientDisconnect:b.Event.once(b.Event.fromNodeEventEmitter(M,"close"))}))}constructor(D){super(c.b(D)),this.d=D}dispose(){super.dispose(),this.d&&(this.d.close(),this.d=null)}}e.$fh=c;function f(w){return new Promise((D,C)=>{const M=(0,O.createServer)();M.on("error",C),M.listen(w,()=>{M.removeListener("error",C),D(new c(M))})})}e.$gh=f;function y(w,D){return new Promise((C,M)=>{const X=(0,O.createConnection)(w,()=>{X.removeListener("error",M),C(m.$0g.fromSocket(new g(X,`ipc-client${D}`),D))});X.once("error",M)})}e.$hh=y}),define(be[138],pe([1,0,83,14,15,11,8,24,25,84,12,43,232,282]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Aq=e.$zq=void 0;let m=e.$zq=class extends v.$vo{constructor(l,$,P,k){super(k),this.j=l,this.k=$,this.l=P,this.m(),this.B(l.onDidChangeConfiguration(t=>{t.affectsConfiguration("http")&&this.m()}))}m(){const l=this.j.getValue("http");this.f=l?.proxy,this.g=!!l?.proxyStrictSSL,this.h=l?.proxyAuthorization}async request(l,$){const{f:P,g:k}=this;let t;try{t=await(0,d.$ul)(this.j,this.l,this.k.args,process.env)}catch(n){this.i||(this.i=!0,this.l.error("resolving shell environment failed",(0,A.$8)(n)))}const i={...process.env,...t},r=l.agent?l.agent:await(0,p.$yq)(l.url||"",i,{proxyUrl:P,strictSSL:k});return l.agent=r,l.strictSSL=k,this.h&&(l.headers={...l.headers||{},"Proxy-Authorization":this.h}),this.c(l.isChromiumNetwork?"electron":"node",l,()=>a(l,$))}async resolveProxy(l){}};e.$zq=m=Le([Re(0,L.$Rh),Re(1,b.$th),Re(2,I.$Ni),Re(3,I.$Oi)],m);async function g(u){return((0,E.parse)(u.url).protocol==="https:"?await new Promise((P,k)=>{ae(["https"],P,k)}):await new Promise((P,k)=>{ae(["http"],P,k)})).request}async function a(u,l){return O.Promises.withAsyncBody(async($,P)=>{const k=(0,E.parse)(u.url),t=u.getRawRequest?u.getRawRequest(u):await g(u),i={hostname:k.hostname,port:k.port?parseInt(k.port):k.protocol==="https:"?443:80,protocol:k.protocol,path:k.path,method:u.type||"GET",headers:u.headers,agent:u.agent,rejectUnauthorized:(0,R.$me)(u.strictSSL)?u.strictSSL:!0};u.user&&u.password&&(i.auth=u.user+":"+u.password);const r=t(i,n=>{const s=(0,R.$ke)(u.followRedirects)?u.followRedirects:3;if(n.statusCode&&n.statusCode>=300&&n.statusCode<400&&s>0&&n.headers.location)a({...u,url:n.headers.location,followRedirects:s-1},l).then($,P);else{let c=n;!u.isChromiumNetwork&&n.headers["content-encoding"]==="gzip"&&(c=n.pipe((0,h.createGunzip)())),$({res:n,stream:(0,o.$Wb)(c)})}});r.on("error",P),u.timeout&&r.setTimeout(u.timeout),u.isChromiumNetwork&&r.removeHeader("Content-Length"),u.data&&typeof u.data=="string"&&r.write(u.data),r.end(),l.onCancellationRequested(()=>{r.abort(),P(new A.$2)})})}e.$Aq=a}),define(be[139],pe([1,0,52,75,127,13,7,15,5,70,84,12,45,3,61,126,2,272,24]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bm=e.$am=void 0;async function $(n={},s,c,f,y,w){const D=await(0,o.$2k)(c,f.userDataPath);let C={};if(s)try{C=await(0,I.$ul)(w,y,f.args,process.env)}catch(le){y.error("ExtensionHostConnection#buildUserEnvironment resolving shell environment failed",le)}const X={...process.env,...C,VSCODE_AMD_ENTRYPOINT:"vs/workbench/api/node/extensionHostProcess",VSCODE_HANDLES_UNCAUGHT_ERRORS:"true",VSCODE_NLS_CONFIG:JSON.stringify(D,void 0,0),...n},ne=f.isBuilt?(0,R.$$b)(f.appRoot,"bin"):(0,R.$$b)(f.appRoot,"resources","server","bin-dev"),he=(0,R.$$b)(ne,"remote-cli");let ue=t(X,"PATH");return ue?ue=he+R.$ic+ue:ue=he,i(X,"PATH",ue),f.args["without-browser-env-var"]||(X.BROWSER=(0,R.$$b)(ne,"helpers",h.$i?"browser.cmd":"browser.sh")),r(X),X}e.$am=$;class P{constructor(s,c){this.socket=s,this.initialDataChunk=c}socketDrain(){return this.socket.drain()}toIExtHostSocketMessage(){let s,c,f;return this.socket instanceof d.$ah?(s=!0,c=!1,f=L.$Ib.alloc(0)):(s=!1,c=this.socket.permessageDeflate,f=this.socket.recordedInflateBytes),{type:"VSCODE_EXTHOST_IPC_SOCKET",initialDataChunk:this.initialDataChunk.buffer.toString("base64"),skipWebSocketFrames:s,permessageDeflate:c,inflateBytes:f.buffer.toString("base64")}}}let k=e.$bm=class{constructor(s,c,f,y,w,D,C,M){this.i=s,this.j=w,this.l=D,this.m=C,this.n=M,this.b=new b.$5c,this.onClose=this.b.event,this.c=!h.$i||!this.j.args["socket-path"],this.d=!1,this.f=c,this.g=null,this.h=new P(f,y),this.p("New connection established.")}get o(){return`[${this.f}][${this.i.substr(0,8)}][ExtensionHostConnection] `}p(s){this.l.info(`${this.o}${s}`)}q(s){this.l.error(`${this.o}${s}`)}async r(s,c){const f=new a.$jb;f.add(c.socket),f.add((0,a.$ib)(()=>{s.destroy()}));const y=()=>{f.dispose()};f.add(c.socket.onEnd(y)),f.add(c.socket.onClose(y)),f.add(b.Event.fromNodeEventEmitter(s,"end")(y)),f.add(b.Event.fromNodeEventEmitter(s,"close")(y)),f.add(b.Event.fromNodeEventEmitter(s,"error")(y)),f.add(c.socket.onData(w=>s.write(w.buffer))),f.add(b.Event.fromNodeEventEmitter(s,"data")(w=>{c.socket.write(L.$Ib.wrap(w))})),c.initialDataChunk.byteLength>0&&s.write(c.initialDataChunk.buffer)}async s(s,c){await c.socketDrain();const f=c.toIExtHostSocketMessage();let y;c.socket instanceof d.$ah?y=c.socket.socket:y=c.socket.socket.socket,s.send(f,y)}shortenReconnectionGraceTimeIfNecessary(){if(!this.g)return;const s={type:"VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"};this.g.send(s)}acceptReconnection(s,c,f){this.f=s,this.p("The client has reconnected.");const y=new P(c,f);if(!this.g){this.h=y;return}this.s(this.g,y)}t(){this.d||(this.d=!0,this.h&&(this.h.socket.end(),this.h=null),this.g&&(this.g.kill(),this.g=null),this.b.fire(void 0))}async start(s){try{let c=process.execArgv?process.execArgv.filter(he=>!/^--inspect(-brk)?=/.test(he)):[];s.port&&!process.pkg&&(c=[`--inspect${s.break?"-brk":""}=${s.port}`]);const f=await $(s.env,!0,s.language,this.j,this.l,this.n);(0,m.$cl)(f);let y;if(this.c)(0,u.$$l)(new u.$9l,f),y=null;else{const{namedPipeServer:he,pipeName:ue}=await this.u();(0,u.$$l)(new u.$8l(ue),f),y=he}const w={env:f,execArgv:c,silent:!0},D=["--type=extensionHost","--transformURIs"],C=this.j.args["use-host-proxy"];D.push(`--useHostProxy=${C?"true":"false"}`),this.g=E.fork(A.$1e.asFileUri("bootstrap-fork").fsPath,D,w);const M=this.g.pid;this.p(`<${M}> Launched Extension Host Process.`),this.g.stdout.setEncoding("utf8"),this.g.stderr.setEncoding("utf8");const X=b.Event.fromNodeEventEmitter(this.g.stdout,"data"),ne=b.Event.fromNodeEventEmitter(this.g.stderr,"data");if(X(he=>this.p(`<${M}> ${he}`)),ne(he=>this.p(`<${M}><stderr> ${he}`)),this.g.on("error",he=>{this.q(`<${M}> Extension Host Process had an error`),this.l.error(he),this.t()}),this.g.on("exit",(he,ue)=>{this.m.setExitInfo(this.i,{code:he,signal:ue}),this.p(`<${M}> Extension Host Process exited with code: ${he}, signal: ${ue}.`),this.t()}),y)y.on("connection",he=>{y.close(),this.r(he,this.h)});else{const he=ue=>{ue.type==="VSCODE_EXTHOST_IPC_READY"&&(this.g.removeListener("message",he),this.s(this.g,this.h),this.h=null)};this.g.on("message",he)}}catch(c){console.error("ExtensionHostConnection errored"),c&&console.error(c)}}u(){return new Promise((s,c)=>{const f=(0,d.$dh)(),y=O.createServer();y.on("error",c),y.listen(f,()=>{y?.removeListener("error",c),s({pipeName:f,namedPipeServer:y})})})}};e.$bm=k=Le([Re(4,p.$Xl),Re(5,v.$Ni),Re(6,g.$6l),Re(7,l.$Rh)],k);function t(n,s){const c=Object.keys(n).filter(y=>y.toLowerCase()===s.toLowerCase()),f=c.length>0?c[0]:s;return n[f]}function i(n,s,c){const f=Object.keys(n).filter(w=>w.toLowerCase()===s.toLowerCase()),y=f.length>0?f[0]:s;n[y]=c}function r(n){for(const s of Object.keys(n))n[s]===null&&delete n[s]}}),define(be[283],pe([1,0,81,12,63,115,24,43,138,36,32,31,124,137,80,109,54,2,110,66,13,16,26,45,118,82,119,11,4,7,30,230,79,34,122,62,3,57,128,33,44,67,125,123,112,113,195,284]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t,i,r,n,s,c,f,y,w,D,C,M,X,ne,he,ue,le,ge,se,J,te,V,Z,H,B,ie){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.run=void 0;class Y extends u.$kb{constructor(N,ee){super(),this.a=N,this.b=ee,this.c()}c(){process.once("exit",()=>this.dispose())}async run(){const N=await this.f();await N.invokeFunction(async ee=>{const oe=ee.get(R.$Rh),z=ee.get(O.$Ni);he.$i&&(oe.getValue("security.restrictUNCAccess")===!1?(0,ie.disableUNCAccessRestrictions)():(0,ie.addUNCHostToAllowlist)(oe.getValue("security.allowedUNCHosts")));try{await this.g(N.createInstance(r.$To,new O.$Vi(z.getLevel(),!1)))}catch(q){throw z.error(q),console.error((0,c.$8)(q)),q}})}async f(){const N=new E.$jh,ee={_serviceBrand:void 0,...a.default};N.set(t.$6i,ee);const oe=new i.$Yl(this.a,ee);N.set(i.$Xl,oe);const z=new H.$mM((0,O.$2i)(oe),oe.logsHome);N.set(O.$Oi,z);const q=new Z.$wM(this.B(z.createLogger("remoteCLI",{name:(0,B.localize)(0,null)})));N.set(O.$Ni,q),q.trace(`Remote configuration data at ${this.b}`),q.trace("process arguments:",this.a);const W=this.B(new l.$op(q));N.set(k.$Oj,W),W.registerProvider(P.Schemas.file,this.B(new $.$Np(q)));const U=new X.$$q(W);N.set(M.$lk,U);const G=this.B(new te.$uM(U,oe,W,q));N.set(ge.$nk,G);const K=this.B(new A.$hn(G.defaultProfile.settingsResource,W,new J.$Tm,q));return N.set(R.$Rh,K),await Promise.all([K.initialize(),G.init()]),N.set(L.$uo,new o.$ih(b.$zq)),N.set(C.$qn,new o.$ih(D.$LM)),N.set(I.$Rk,d.$Zn),N.set(v.$Ln,new o.$ih(p.$Qo)),N.set(se.$8o,new o.$ih(V.$vM)),N.set(ue.$_o,new o.$ih(le.$iM)),N.set(m.$Ro,new o.$ih(m.$So)),N.set(h.$jp,new o.$ih(h.$kp)),N.set(n.$tq,new o.$ih(s.$vq)),new g.$Qp(N)}async g(N){if(this.a["list-extensions"])return N.listExtensions(!!this.a["show-versions"],this.a.category);if(this.a["install-extension"]||this.a["install-builtin-extension"]){const ee={isMachineScoped:!!this.a["do-not-sync"],installPreReleaseVersion:!!this.a["pre-release"]};return N.installExtensions(this.h(this.a["install-extension"]||[]),this.h(this.a["install-builtin-extension"]||[]),ee,!!this.a.force)}else{if(this.a["uninstall-extension"])return N.uninstallExtensions(this.h(this.a["uninstall-extension"]),!!this.a.force);if(this.a["locate-extension"])return N.locateExtension(this.a["locate-extension"])}}h(N){return N.map(ee=>/\.vsix$/i.test(ee)?f.URI.file((0,y.$0b)(ee)?ee:(0,y.$$b)((0,w.cwd)(),ee)):ee)}}function _(S){setTimeout(()=>process.exit(S),0)}async function T(S,N,ee){if(S.help){const z=a.default.serverApplicationName+(he.$i?".cmd":"");console.log((0,ne.$jl)(a.default.nameLong,z,a.default.version,ee,{noInputFiles:!0,noPipe:!0}));return}if(S.version){console.log((0,ne.$kl)(a.default.version,a.default.commit));return}const oe=new Y(S,N);try{await oe.run(),_(0)}catch{_(1)}finally{oe.dispose()}}e.run=T}),define(be[285],pe([1,0,70,299,28,278,4,12,88]),function(ae,e,E,O,o,A,R,L,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$CL=e.$BL=void 0;class d{constructor(p,h,m){this.b=p,this.c=h,this.f=m,this.a=O.createServer((g,a)=>this.h(g,a)),this.g().catch(g=>(h.error(g),""))}get ipcHandlePath(){return this.f}async g(){try{this.a.listen(this.ipcHandlePath),this.a.on("error",p=>this.c.error(p))}catch{this.c.error("Could not start open from terminal server.")}return this.f}h(p,h){const m=(a,u)=>{h.writeHead(a,{"content-type":"application/json"}),h.end(JSON.stringify(u||null),l=>l&&this.c.error(l))},g=[];p.setEncoding("utf8"),p.on("data",a=>g.push(a)),p.on("end",async()=>{try{const a=JSON.parse(g.join(""));let u;switch(a.type){case"open":u=await this.i(a);break;case"openExternal":u=await this.j(a);break;case"status":u=await this.l(a);break;case"extensionManagement":u=await this.k(a);break;default:m(404,`Unknown message type: ${a.type}`);break}m(200,u)}catch(a){const u=a instanceof Error?a.message:JSON.stringify(a);m(500,u),this.c.error("Error while processing pipe request",a)}})}async i(p){const{fileURIs:h,folderURIs:m,forceNewWindow:g,diffMode:a,mergeMode:u,addMode:l,forceReuseWindow:$,gotoLineMode:P,waitMarkerFilePath:k,remoteAuthority:t}=p,i=[];if(Array.isArray(m))for(const c of m)try{i.push({folderUri:R.URI.parse(c)})}catch{}if(Array.isArray(h))for(const c of h)try{(0,b.$Qh)(c)?i.push({workspaceUri:R.URI.parse(c)}):i.push({fileUri:R.URI.parse(c)})}catch{}const r=k?R.URI.file(k):void 0,s={forceNewWindow:g,diffMode:a,mergeMode:u,addMode:l,gotoLineMode:P,forceReuseWindow:$,preferNewWindow:!$&&!r&&!l,waitMarkerFileURI:r,remoteAuthority:t};this.b.executeCommand("_remoteCLI.windowOpen",i,s)}async j(p){for(const h of p.uris){const m=R.URI.parse(h),g=m.scheme==="file"?m:h;await this.b.executeCommand("_remoteCLI.openExternal",g)}}async k(p){const h=g=>g?.map(a=>/\.vsix$/i.test(a)?R.URI.parse(a):a),m={list:p.list,install:h(p.install),uninstall:h(p.uninstall),force:p.force};return await this.b.executeCommand("_remoteCLI.manageExtensions",m)}async l(p){return await this.b.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this.a.close(),this.f&&process.platform!=="win32"&&o.existsSync(this.f)&&o.unlinkSync(this.f)}}e.$BL=d;let I=e.$CL=class extends d{constructor(p,h){super(p,h,(0,E.$dh)())}};e.$CL=I=Le([Re(0,A.$wL),Re(1,L.$Ni)],I)}),define(be[286],pe([1,0,29,5,21,2,7,3,4,70,68,285,121,86,266,268,139,8]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dM=void 0;class l extends g.$cM{constructor(k,t,i,r,n){super({getFolderUri:s=>{const c=t.filter(f=>f.name===s);if(c&&c.length>0)return c[0].uri},getWorkspaceFolderCount:()=>t.length,getConfigurationValue:(s,c)=>r[`config:${c}`],getExecPath:()=>k.VSCODE_EXEC_PATH,getAppRoot:()=>k.VSCODE_CWD,getFilePath:()=>{if(i)return R.$9b(i.fsPath)},getSelectedText:()=>r.selectedText,getLineNumber:()=>r.lineNumber,getExtension:async s=>{const f=(await n.getInstalled()).find(y=>y.identifier.id===s);return f&&{extensionLocation:f.location}}},void 0,Promise.resolve(E.homedir()),Promise.resolve(k))}}class $ extends A.$kb{constructor(k,t,i,r,n,s){super(),this.g=k,this.h=t,this.i=i,this.j=r,this.l=n,this.m=s,this.a=0,this.b=new Map,this.c=this.B(new O.$5c),this.onExecuteCommand=this.c.event}async call(k,t,i){switch(t){case"$restartPtyHost":return this.i.restartPtyHost?.apply(this.i,i);case"$createProcess":{const r=(0,I.$_q)(k.remoteAuthority);return this.n(r,i)}case"$attachToProcess":return this.i.attachToProcess.apply(this.i,i);case"$detachFromProcess":return this.i.detachFromProcess.apply(this.i,i);case"$listProcesses":return this.i.listProcesses.apply(this.i,i);case"$getPerformanceMarks":return this.i.getPerformanceMarks.apply(this.i,i);case"$orphanQuestionReply":return this.i.orphanQuestionReply.apply(this.i,i);case"$acceptPtyHostResolvedVariables":return this.i.acceptPtyHostResolvedVariables?.apply(this.i,i);case"$start":return this.i.start.apply(this.i,i);case"$input":return this.i.input.apply(this.i,i);case"$acknowledgeDataEvent":return this.i.acknowledgeDataEvent.apply(this.i,i);case"$shutdown":return this.i.shutdown.apply(this.i,i);case"$resize":return this.i.resize.apply(this.i,i);case"$clearBuffer":return this.i.clearBuffer.apply(this.i,i);case"$getInitialCwd":return this.i.getInitialCwd.apply(this.i,i);case"$getCwd":return this.i.getCwd.apply(this.i,i);case"$processBinary":return this.i.processBinary.apply(this.i,i);case"$sendCommandResult":return this.r(i[0],i[1],i[2]);case"$installAutoReply":return this.i.installAutoReply.apply(this.i,i);case"$uninstallAllAutoReplies":return this.i.uninstallAllAutoReplies.apply(this.i,i);case"$getDefaultSystemShell":return this.s.apply(this,i);case"$getProfiles":return this.t.apply(this,i);case"$getEnvironment":return this.u();case"$getWslPath":return this.w(i[0],i[1]);case"$getTerminalLayoutInfo":return this.i.getTerminalLayoutInfo(i);case"$setTerminalLayoutInfo":return this.i.setTerminalLayoutInfo(i);case"$serializeTerminalState":return this.i.serializeTerminalState.apply(this.i,i);case"$reviveTerminalProcesses":return this.i.reviveTerminalProcesses.apply(this.i,i);case"$getRevivedPtyNewId":return this.i.getRevivedPtyNewId.apply(this.i,i);case"$setUnicodeVersion":return this.i.setUnicodeVersion.apply(this.i,i);case"$reduceConnectionGraceTime":return this.y();case"$updateIcon":return this.i.updateIcon.apply(this.i,i);case"$updateTitle":return this.i.updateTitle.apply(this.i,i);case"$updateProperty":return this.i.updateProperty.apply(this.i,i);case"$refreshProperty":return this.i.refreshProperty.apply(this.i,i);case"$requestDetachInstance":return this.i.requestDetachInstance(i[0],i[1]);case"$acceptDetachedInstance":return this.i.acceptDetachInstanceReply(i[0],i[1]);case"$freePortKillProcess":return this.i.freePortKillProcess?.apply(this.i,i)}throw new Error(`IPC Command ${t} not found`)}listen(k,t,i){switch(t){case"$onPtyHostExitEvent":return this.i.onPtyHostExit||O.Event.None;case"$onPtyHostStartEvent":return this.i.onPtyHostStart||O.Event.None;case"$onPtyHostUnresponsiveEvent":return this.i.onPtyHostUnresponsive||O.Event.None;case"$onPtyHostResponsiveEvent":return this.i.onPtyHostResponsive||O.Event.None;case"$onPtyHostRequestResolveVariablesEvent":return this.i.onPtyHostRequestResolveVariables||O.Event.None;case"$onProcessDataEvent":return this.i.onProcessData;case"$onProcessReadyEvent":return this.i.onProcessReady;case"$onProcessExitEvent":return this.i.onProcessExit;case"$onProcessReplayEvent":return this.i.onProcessReplay;case"$onProcessOrphanQuestion":return this.i.onProcessOrphanQuestion;case"$onExecuteCommand":return this.onExecuteCommand;case"$onDidRequestDetach":return this.i.onDidRequestDetach||O.Event.None;case"$onDidChangeProperty":return this.i.onDidChangeProperty;default:break}throw new Error("Not supported")}async n(k,t){const i={name:t.shellLaunchConfig.name,executable:t.shellLaunchConfig.executable,args:t.shellLaunchConfig.args,cwd:typeof t.shellLaunchConfig.cwd=="string"||typeof t.shellLaunchConfig.cwd>"u"?t.shellLaunchConfig.cwd:b.URI.revive(k.transformIncoming(t.shellLaunchConfig.cwd)),env:t.shellLaunchConfig.env,useShellEnvironment:t.shellLaunchConfig.useShellEnvironment,reconnectionProperties:t.shellLaunchConfig.reconnectionProperties,type:t.shellLaunchConfig.type,isFeatureTerminal:t.shellLaunchConfig.isFeatureTerminal},r=await(0,a.$am)(t.resolverEnv,!!t.shellLaunchConfig.useShellEnvironment,L.$v,this.g,this.h,this.m);this.h.trace("baseEnv",r);const n=ge=>({uri:b.URI.revive(k.transformIncoming(ge.uri)),name:ge.name,index:ge.index,toResource:()=>{throw new Error("Not implemented")}}),s=t.workspaceFolders.map(n),c=t.activeWorkspaceFolder?n(t.activeWorkspaceFolder):void 0,f=t.activeFileResource?b.URI.revive(k.transformIncoming(t.activeFileResource)):void 0,y=new l(r,s,f,t.resolvedVariables,this.l),w=m.$$L(c,process.env,y),D=await m.$0L(i,E.homedir(),w,c?.uri,t.configuration["terminal.integrated.cwd"],this.h);i.cwd=D;const C=L.$i?"terminal.integrated.env.windows":L.$j?"terminal.integrated.env.osx":"terminal.integrated.env.linux",M=t.configuration[C],X=await m.$_L(i,M,w,this.j.version,t.configuration["terminal.integrated.detectLocale"],r);if(!i.strictEnv){const ge=[];for(const[V,Z,H]of t.envVariableCollections)ge.push([V,{map:(0,h.$Xq)(Z),descriptionMap:(0,h.$Yq)(H)}]);const se=new Map(ge),J=new p.$2q(se),te=c?(0,u.$ye)(c):void 0;await J.applyToProcessEnvironment(X,{workspaceFolder:te},w)}this.h.debug("Terminal process launching on remote agent",{shellLaunchConfig:i,initialCwd:D,cols:t.cols,rows:t.rows,env:X});const ne=(0,d.$dh)();X.VSCODE_IPC_HOOK_CLI=ne;const he=await this.i.createProcess(i,D,t.cols,t.rows,t.unicodeVersion,X,r,t.options,t.shouldPersistTerminal,t.workspaceId,t.workspaceName),ue={executeCommand:(ge,...se)=>this.p(he,ge,se,k)},le=new v.$BL(ue,this.h,ne);return this.i.onProcessExit(ge=>ge.id===he&&le.dispose()),{persistentTerminalId:he,resolvedShellLaunchConfig:i}}p(k,t,i,r){let n,s;const c=new Promise((w,D)=>{n=w,s=D}),f=++this.a;this.b.set(f,{resolve:n,reject:s,uriTransformer:r});const y=(0,o.$Fm)(i,w=>{if(w&&w.$mid===1)return r.transformOutgoing(w);if(w&&w instanceof b.URI)return r.transformOutgoingURI(w)});return this.c.fire({reqId:f,persistentProcessId:k,commandId:t,commandArgs:y}),c}r(k,t,i){const r=this.b.get(k);if(!r)return;this.b.delete(k);const n=(0,o.$Fm)(i,s=>{if(s&&s.$mid===1)return r.uriTransformer.transformIncoming(s)});t?r.reject(n):r.resolve(n)}s(k){return this.i.getDefaultSystemShell(k)}async t(k,t,i,r){return this.i.getProfiles?.(k,t,i,r)||[]}u(){return{...process.env}}w(k,t){return this.i.getWslPath(k,t)}y(){return this.i.reduceConnectionGraceTime()}}e.$dM=$}),define(be[287],pe([1,0,29,5,2,13,7,99,23,42,24,115,78,225,203,79,204,25,124,31,80,118,213,137,16,110,66,63,109,81,82,119,12,54,26,43,231,138,117,32,36,244,87,252,34,122,263,264,236,242,286,68,45,271,279,126,57,128,44,33,67,243,113,125,123,112,111,197,276,228,256,249]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t,i,r,n,s,c,f,y,w,D,C,M,X,ne,he,ue,le,ge,se,J,te,V,Z,H,B,ie,Y,_,T,S,N,ee,oe,z,q,W,U,G,K,Q,ce,we,Pe,Ce,Fe,ze,me,Ee,ve,Me){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$GM=e.$FM=void 0;const Te="monacoworkbench";async function _e(ke,Ie,Ae,Ne){const Be=new y.$jh,He=new Qe,Ke={_serviceBrand:void 0,...M.default};Be.set(X.$6i,Ke);const Ze=new N.$Yl(Ie,Ke);Be.set(u.$sh,Ze),Be.set(u.$th,Ze);const et=new ce.$mM((0,C.$2i)(Ze),Ze.logsHome);Be.set(C.$Oi,et),He.registerChannel("logger",new Fe.$Kq(et,ot=>Ge(ot.remoteAuthority)));const rt=et.createLogger("remoteagent",{name:(0,ze.localize)(0,null)}),nt=new Ce.$wM(rt,[new st((0,C.$2i)(Ze))]);Be.set(C.$Ni,nt),setTimeout(()=>fe(Ze.logsHome.fsPath).then(null,ot=>nt.error(ot)),1e4),nt.onDidChangeLogLevel(ot=>(0,C.log)(nt,ot,`Log level changed to ${(0,C.$3i)(nt.getLevel())}`)),nt.trace(`Remote configuration data at ${Ae}`),nt.trace("process arguments:",Ze.args),Array.isArray(Ke.serverGreeting)&&nt.info(`

${Ke.serverGreeting.join(`
`)}

`),He.registerChannel(m.$on.ChannelName,new m.$on);const mt=new d.$6g(ot=>ot.clientId==="renderer"),lt=Ne.add(new n.$op(nt));Be.set(r.$Oj,lt),lt.registerProvider(A.Schemas.file,Ne.add(new s.$Np(nt)));const Lt=new H.$$q(lt);Be.set(Z.$lk,Lt);const wt=new v.$hn(Ze.machineSettingsResource,lt,new K.$Tm,nt);Be.set(I.$Rh,wt);const gt=new we.$uM(Lt,Ze,lt,nt);Be.set(G.$nk,gt),He.registerChannel("userDataProfiles",new ve.$CM(gt,ot=>Ge(ot.remoteAuthority)));const[,,vt]=await Promise.all([wt.initialize(),gt.init(),(0,L.$qm)(nt.error.bind(nt))]),St=new z.$7l;Be.set(z.$6l,St),Be.set(ne.$uo,new c.$ih(ue.$zq));let Ct=se.$4n;const Ot=(0,se.$$n)(Ke,wt);if((0,se.$6n)(Ke,Ze)){Ke.aiConfig&&Ke.aiConfig.ariaKey&&(Ct=new Q.$kM(Ot,Te,null,Ke.aiConfig.ariaKey),Ne.add((0,o.$ib)(()=>Ct?.flush())));const ot={appenders:[Ct],commonProperties:(0,le.$Vn)((0,E.release)(),(0,E.hostname)(),process.arch,Ke.commit,Ke.version+"-remote",vt,Ot,"remoteAgent"),piiPaths:(0,se.$_n)(Ze)},ut=Ze.args["telemetry-level"];let ft=3;ut==="all"?ft=3:ut==="error"?ft=2:ut==="crash"?ft=1:ut!==void 0&&(ft=0),Be.set(_.$mr,new c.$ih(_.$kr,[ot,ft]))}else Be.set(_.$mr,_.$lr);Be.set($.$Ln,new c.$ih(l.$Qo));const Mt=He.getChannel("download",mt);Be.set(g.$qn,new a.$sn(Mt,()=>Ge("renderer"))),Be.set(U.$8o,new c.$ih(Pe.$vM)),Be.set(q.$_o,new c.$ih(W.$iM)),Be.set(P.$Ro,new c.$ih(P.$So)),Be.set(i.$jp,new c.$ih(i.$kp));const $t=new f.$Qp(Be);Be.set(w.$tq,$t.createInstance(D.$vq));const It=$t.createInstance(Me.$EM,{graceTime:108e5,shortGraceTime:3e5,scrollback:wt.getValue("terminal.integrated.persistentSessionScrollback")??100}),Dt=$t.createInstance(V.$7q,It);return Be.set(te.$Fq,Dt),Be.set(p.$jn,new c.$ih(h.$mn)),$t.invokeFunction(ot=>{const ut=ot.get(i.$jp),ft=ot.get(q.$_o),ye=ot.get($.$Ln),De=ot.get(w.$tq),de=new B.$gr(ke,Ze,gt,St);He.registerChannel("remoteextensionsenvironment",de);const x=new Y.$nr(ot.get(_.$mr),Ct);He.registerChannel("telemetry",x),He.registerChannel(ee.$ZL,new T.$dM(Ze,nt,Dt,Ke,ut,wt));const Se=new me.$AM($t.createInstance(k.$To,nt),Ze,gt,ft,nt,ye,De);He.registerChannel(Ee.$zM,new me.$BM(Se,Ye=>Ge(Ye.remoteAuthority)));const Oe=new ie.$jr(nt,Ze);He.registerChannel(oe.$gM,Oe),He.registerChannel("request",new he.$wq(ot.get(ne.$uo)));const We=new t.$Uo(ut,Ye=>Ge(Ye.remoteAuthority));He.registerChannel("extensions",We);const Ue=d.ProxyChannel.fromService(ot.get(p.$jn));return He.registerChannel("credentials",Ue),Se.whenExtensionsReady().then(()=>ut.cleanUp()),Ne.add(new J.default(ot.get(ge.$Rk))),{telemetryService:ot.get(ge.$Rk)}}),{socketServer:He,instantiationService:$t}}e.$FM=_e;const qe=Object.create(null);function Ge(ke){return qe[ke]||(qe[ke]=(0,S.$_q)(ke)),qe[ke]}class Qe extends d.$2g{constructor(){const Ie=new O.$5c;super(Ie.event),this.b=Ie}acceptConnection(Ie,Ae){this.b.fire({protocol:Ie,onDidClientDisconnect:Ae})}}e.$GM=Qe;class st extends C.$Si{constructor(Ie=C.$Qi){super(),this.setLevel(Ie),this.g=!!process.stdout.isTTY}trace(Ie,...Ae){this.f(C.LogLevel.Trace)&&(this.g?console.log(`\x1B[90m[${Je()}]\x1B[0m`,Ie,...Ae):console.log(`[${Je()}]`,Ie,...Ae))}debug(Ie,...Ae){this.f(C.LogLevel.Debug)&&(this.g?console.log(`\x1B[90m[${Je()}]\x1B[0m`,Ie,...Ae):console.log(`[${Je()}]`,Ie,...Ae))}info(Ie,...Ae){this.f(C.LogLevel.Info)&&(this.g?console.log(`\x1B[90m[${Je()}]\x1B[0m`,Ie,...Ae):console.log(`[${Je()}]`,Ie,...Ae))}warn(Ie,...Ae){this.f(C.LogLevel.Warning)&&(this.g?console.warn(`\x1B[93m[${Je()}]\x1B[0m`,Ie,...Ae):console.warn(`[${Je()}]`,Ie,...Ae))}error(Ie,...Ae){this.f(C.LogLevel.Error)&&(this.g?console.error(`\x1B[91m[${Je()}]\x1B[0m`,Ie,...Ae):console.error(`[${Je()}]`,Ie,...Ae))}dispose(){}flush(){}}function Je(){const ke=new Date;return`${Xe(ke.getHours())}:${Xe(ke.getMinutes())}:${Xe(ke.getSeconds())}`}function Xe(ke){return ke<10?`0${ke}`:String(ke)}async function fe(ke){const Ie=R.$cc(ke),Ae=R.$bc(ke),He=(await b.Promises.readdir(Ae)).filter(Ze=>/^\d{8}T\d{6}$/.test(Ze)).sort().filter(Ze=>Ze!==Ie),Ke=He.slice(0,Math.max(0,He.length-9));await Promise.all(Ke.map(Ze=>b.Promises.rm(R.$$b(Ae,Ze))))}}),define(be[288],pe([1,0,85,28,75,289,83,140,15,11,39,2,13,7,41,3,17,4,22,163,151,284,105,70,24,6,12,26,56,32,139,257,258,45,287,260]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p,h,m,g,a,u,l,$,P,k,t,i,r,n,s,c,f,y,w,D,C,M,X,ne){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$KM=void 0;const he=5*60*1e3;let ue=class extends v.$kb{constructor(J,te,V,Z,H,B,ie,Y){super(),this.k=J,this.l=te,this.m=V,this.n=H,this.p=B,this.r=ie,this.s=Y,this.h=ge.create(this.p),this.i=(0,f.$zk)(B),this.a=Object.create(null),this.b=Object.create(null),this.f=new Set,this.g=Z?this.s.createInstance(ne.$JM,this.l):null,this.r.info("Extension host agent started."),this.F(!0)}async handleRequest(J,te){if(J.method!=="GET")return(0,ne.$HM)(J,te,405,`Unsupported method ${J.method}`);if(!J.url)return(0,ne.$HM)(J,te,400,"Bad request.");const V=R.parse(J.url,!0);let Z=V.pathname;if(!Z)return(0,ne.$HM)(J,te,400,"Bad request.");if(Z.startsWith(this.i)&&Z.charCodeAt(this.i.length)===47&&(Z=Z.substring(this.i.length)),Z==="/version")return te.writeHead(200,{"Content-Type":"text/plain"}),void te.end(this.p.commit||"");if(Z==="/delay-shutdown")return this.H(),te.writeHead(200),void te.end("OK");if(!(0,C.$im)(this.l,J,V))return(0,ne.$HM)(J,te,403,"Forbidden.");if(Z==="/vscode-remote-resource"){const H=V.query.path;if(typeof H!="string")return(0,ne.$HM)(J,te,400,"Bad request.");let B;try{B=u.URI.from({scheme:p.Schemas.file,path:H}).fsPath}catch{return(0,ne.$HM)(J,te,400,"Bad request.")}const ie=Object.create(null);this.n.isBuilt&&((0,I.$He)(B,this.n.builtinExtensionsPath,!g.$k)||(0,I.$He)(B,this.n.extensionsPath,!g.$k))&&(ie["Cache-Control"]="public, max-age=31536000"),ie.Vary="Origin";const Y=J.headers.origin;return Y&&this.h.matches(Y)&&(ie["Access-Control-Allow-Origin"]=Y),(0,ne.$IM)(B,1,this.r,J,te,ie)}if(this.g){this.g.handle(J,te,V);return}return te.writeHead(404,{"Content-Type":"text/plain"}),void te.end("Not found")}handleUpgrade(J,te){let V=(0,l.$3e)(),Z=!1,H=!1;if(J.url){const S=R.parse(J.url,!0).query;typeof S.reconnectionToken=="string"&&(V=S.reconnectionToken),S.reconnection==="true"&&(Z=!0),S.skipWebSocketFrames==="true"&&(H=!0)}if(J.headers.upgrade===void 0||J.headers.upgrade.toLowerCase()!=="websocket"){te.end("HTTP/1.1 400 Bad Request");return}const B=J.headers["sec-websocket-key"],ie=E.createHash("sha1");ie.update(B+"258EAFA5-E914-47DA-95CA-C5AB0DC85B11");const _=["HTTP/1.1 101 Switching Protocols","Upgrade: websocket","Connection: Upgrade",`Sec-WebSocket-Accept: ${ie.digest("base64")}`];let T=!1;if(!H&&!this.n.args["disable-websocket-compression"]&&J.headers["sec-websocket-extensions"]){const S=Array.isArray(J.headers["sec-websocket-extensions"])?J.headers["sec-websocket-extensions"]:[J.headers["sec-websocket-extensions"]];for(const N of S)if(!/\b((server_max_window_bits)|(server_no_context_takeover)|(client_no_context_takeover))\b/.test(N)){if(/\b(permessage-deflate)\b/.test(N)){T=!0,_.push("Sec-WebSocket-Extensions: permessage-deflate");break}if(/\b(x-webkit-deflate-frame)\b/.test(N)){T=!0,_.push("Sec-WebSocket-Extensions: x-webkit-deflate-frame");break}}}te.write(_.join(`\r
`)+`\r
\r
`),te.setTimeout(0),te.setNoDelay(!0),H?this.v(new i.$ah(te,`server-connection-${V}`),Z,V):this.v(new i.$bh(new i.$ah(te,`server-connection-${V}`),T,null,!0),Z,V)}handleServerError(J){this.r.error("Error occurred in server"),this.r.error(J)}t(J){let te;return J instanceof i.$ah?te=J.socket:te=J.socket.socket,te.remoteAddress||"<unknown>"}async u(J,te,V){const Z=te.getSocket();this.r.error(`${J} ${V}.`);const H={type:"error",reason:V};te.sendControl(b.$Ib.fromString(JSON.stringify(H))),te.dispose(),await Z.drain(),Z.dispose()}v(J,te,V){const Z=this.t(J),H=`[${Z}][${V.substr(0,8)}]`,B=new t.$_g({socket:J}),ie=this.m?new this.m.validator:null,Y=this.m?new this.m.signer:null;let _;(function(ee){ee[ee.WaitingForAuth=0]="WaitingForAuth",ee[ee.WaitingForConnectionType=1]="WaitingForConnectionType",ee[ee.Done=2]="Done",ee[ee.Error=3]="Error"})(_||(_={}));let T=0;const S=ee=>{T=3,N.dispose(),this.u(H,B,ee)},N=B.onControlMessage(ee=>{if(T===0){let oe;try{oe=JSON.parse(ee.toString())}catch{return S("Malformed first message")}if(oe.type!=="auth")return S("Invalid first message");if(this.l.type===2&&!this.l.validate(oe.auth))return S("Unauthorized client refused: auth mismatch");let z=(0,l.$3e)();if(Y)try{z=Y.sign(oe.data)}catch{}let q=(0,l.$3e)();if(ie)try{q=ie.createNewMessage(q)}catch{}const W={type:"sign",data:q,signedData:z};B.sendControl(b.$Ib.fromString(JSON.stringify(W))),T=1}else if(T===1){let oe;try{oe=JSON.parse(ee.toString())}catch{return S("Malformed second message")}if(oe.type!=="connectionType")return S("Invalid second message");if(typeof oe.signedData!="string")return S("Invalid second message field type");const z=oe.commit,q=this.p.commit;if(z&&q&&z!==q)return S("Client refused: version mismatch");let W=!1;if(!ie)W=!0;else if(this.l.validate(oe.signedData))W=!0;else try{W=ie.validate(oe.signedData)==="ok"}catch{}if(!W){if(this.n.isBuilt)return S("Unauthorized client refused");this.r.error(`${H} Unauthorized client handshake failed but we proceed because of dev mode.`)}for(const U in this.b)this.b[U].shortenReconnectionGraceTimeIfNecessary();for(const U in this.a)this.a[U].shortenReconnectionGraceTimeIfNecessary();T=2,N.dispose(),this.w(Z,H,B,J,te,V,oe)}})}async w(J,te,V,Z,H,B,ie){const Y=ie.desiredConnectionType===1?`${te}[ManagementConnection]`:ie.desiredConnectionType===2?`${te}[ExtensionHostConnection]`:te;if(ie.desiredConnectionType===1)if(H){if(!this.b[B])return this.f.has(B)?this.u(Y,V,"Unknown reconnection token (seen before)"):this.u(Y,V,"Unknown reconnection token (never seen)");V.sendControl(b.$Ib.fromString(JSON.stringify({type:"ok"})));const _=V.readEntireBuffer();V.dispose(),this.b[B].acceptReconnection(J,Z,_)}else{if(this.b[B])return this.u(Y,V,"Duplicate reconnection token");V.sendControl(b.$Ib.fromString(JSON.stringify({type:"ok"})));const _=new D.$cm(this.r,B,J,V);this.k.acceptConnection(_.protocol,_.onClose),this.b[B]=_,this.f.add(B),_.onClose(()=>{delete this.b[B]})}else if(ie.desiredConnectionType===2){const _=ie.args||{language:"en"},T=await this.C(_);if(T.port&&this.r.trace(`${Y} - startParams debug port ${T.port}`),this.r.trace(`${Y} - startParams language: ${T.language}`),this.r.trace(`${Y} - startParams env: ${JSON.stringify(T.env)}`),H){if(!this.a[B])return this.f.has(B)?this.u(Y,V,"Unknown reconnection token (seen before)"):this.u(Y,V,"Unknown reconnection token (never seen)");V.sendPause(),V.sendControl(b.$Ib.fromString(JSON.stringify(T.port?{debugPort:T.port}:{})));const S=V.readEntireBuffer();V.dispose(),this.a[B].acceptReconnection(J,Z,S)}else{if(this.a[B])return this.u(Y,V,"Duplicate reconnection token");V.sendPause(),V.sendControl(b.$Ib.fromString(JSON.stringify(T.port?{debugPort:T.port}:{})));const S=V.readEntireBuffer();V.dispose();const N=this.s.createInstance(w.$bm,B,J,Z,S);this.a[B]=N,this.f.add(B),N.onClose(()=>{delete this.a[B],this.D()}),N.start(T)}}else if(ie.desiredConnectionType===3){const _=ie.args;this.y(V,_)}else return this.u(Y,V,"Unknown initial data received")}async y(J,te){const V=J.getSocket().socket,Z=J.readEntireBuffer();J.dispose(),V.pause();const H=await this.z(te.host,te.port);Z.byteLength>0&&H.write(Z.buffer),H.on("end",()=>V.end()),H.on("close",()=>V.end()),H.on("error",()=>V.destroy()),V.on("end",()=>H.end()),V.on("close",()=>H.end()),V.on("error",()=>H.destroy()),H.pipe(V),V.pipe(H)}z(J,te){return new Promise((V,Z)=>{const H=o.createConnection({host:J,port:te},()=>{H.removeListener("error",Z),H.pause(),V(H)});H.once("error",Z)})}C(J){return typeof J.port=="number"?(0,P.$5e)(J.port,10,5e3).then(te=>(J.port=te,J)):(J.debugId=void 0,J.port=void 0,J.break=void 0,Promise.resolve(J))}async D(){if(!this.n.args["enable-remote-auto-shutdown"])return;this.I(),!!Object.keys(this.a).length||(console.log("Last EH closed, waiting before shutting down"),this.r.info("Last EH closed, waiting before shutting down"),this.F())}F(J=!1){this.n.args["enable-remote-auto-shutdown"]&&(this.n.args["remote-auto-shutdown-without-delay"]&&!J?this.G():this.j=setTimeout(()=>{this.j=void 0,this.G()},he))}G(){if(!!Object.keys(this.a).length){console.log("New EH opened, aborting shutdown"),this.r.info("New EH opened, aborting shutdown");return}else console.log("Last EH closed, shutting down"),this.r.info("Last EH closed, shutting down"),this.dispose(),process.exit(0)}H(){this.j&&(console.log("Got delay-shutdown request while in shutdown timeout, delaying"),this.r.info("Got delay-shutdown request while in shutdown timeout, delaying"),this.I(),this.F())}I(){this.j&&(console.log("Cancelling previous shutdown timeout"),this.r.info("Cancelling previous shutdown timeout"),clearTimeout(this.j),this.j=void 0)}};ue=Le([Re(4,M.$Xl),Re(5,c.$6i),Re(6,s.$Ni),Re(7,n.$kh)],ue);async function le(se,J,te){const V=await(0,C.$hm)(J);V instanceof C.$fm&&(console.warn(V.message),process.exit(1));function Z(W){(0,d.setUnexpectedErrorHandler)(U=>{(0,d.$W)(U)&&U.stack&&/unexpectedErrorHandler/.test(U.stack)||W(U)})}const H=[];Z(W=>{H.push(W),console.error(W)});let B=!1;process.on("SIGPIPE",()=>{B||(B=!0,(0,d.$X)(new Error("Unexpected SIGPIPE")))});const ie=new v.$jb,{socketServer:Y,instantiationService:_}=await(0,X.$FM)(V,J,te,ie);_.invokeFunction(W=>{const U=W.get(s.$Ni);H.forEach(G=>U.error(G)),H.length=0,Z(G=>U.error(G))}),_.invokeFunction(W=>{const U=W.get(r.$Rh);g.$i&&(U.getValue("security.restrictUNCAccess")===!1?(0,k.disableUNCAccessRestrictions)():(0,k.addUNCHostToAllowlist)(U.getValue("security.allowedUNCHosts")))}),_.invokeFunction(W=>{const U=W.get(s.$Ni);if(g.$i&&process.env.HOMEDRIVE&&process.env.HOMEPATH){const G=(0,h.$$b)(process.env.HOMEDRIVE,"node_modules"),K=(0,h.$bc)((0,h.$$b)(process.env.HOMEDRIVE,process.env.HOMEPATH)),Q=(0,h.$$b)(K,"node_modules");if(O.existsSync(G)||O.existsSync(Q)){const ce=`

*
* !!!! Server terminated due to presence of CVE-2020-1416 !!!!
*
* Please remove the following directories and re-try
* ${G}
* ${Q}
*
* For more information on the vulnerability https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-1416
*

`;U.warn(ce),console.warn(ce),process.exit(0)}}});const T=_.invokeFunction(W=>{const U=W.get(s.$Ni);if(O.existsSync((0,h.$$b)(p.$1e.asFileUri("").fsPath,"../node_modules/vsda")))try{return globalThis._VSCODE_NODE_MODULES.vsda}catch(K){U.error(K)}return null}),S=O.existsSync(p.$1e.asFileUri("vs/code/browser/workbench/workbench.html").fsPath);if(S&&se&&typeof se!="string"){const W=V.type!==0?`?${p.$Ue}=${V.value}`:"";console.log(`Web UI available at http://localhost${se.port===80?"":`:${se.port}`}/${W}`)}const N=_.createInstance(ue,Y,V,T,S);m.mark("code/server/ready");const ee=A.performance.now(),oe=global.vscodeServerStartTime,z=global.vscodeServerListenTime,q=global.vscodeServerCodeLoadedTime;if(_.invokeFunction(async W=>{const U=W.get(y.$Rk);if(U.publicLog2("serverStart",{startTime:oe,startedTime:z,codeLoadedTime:q,readyTime:ee}),g.$k){const G=W.get(s.$Ni),K=await(0,$.$4e)(G.error.bind(G));K&&U.publicLog2("serverPlatformInfo",{platformId:K.id,platformVersionId:K.version_id,platformIdLike:K.id_like})}}),J["print-startup-performance"]){const W=L.$R.get();let U="";U+=`

### Load AMD-module
`,U+=L.$R.toMarkdownTable(["Module","Duration"],W.amdLoad),U+=`

### Load commonjs-module
`,U+=L.$R.toMarkdownTable(["Module","Duration"],W.nodeRequire),U+=`

### Invoke AMD-module factory
`,U+=L.$R.toMarkdownTable(["Module","Duration"],W.amdInvoke),U+=`

### Invoke commonjs-module
`,U+=L.$R.toMarkdownTable(["Module","Duration"],W.nodeEval),U+=`Start-up time: ${z-oe}
`,U+=`Code loading time: ${q-oe}
`,U+=`Initialized time: ${ee-oe}
`,U+=`
`,console.log(U)}return N}e.$KM=le;class ge{static create(J){const te=J.webEndpointUrlTemplate,V=J.commit,Z=J.quality;if(!te||!V||!Z)return new ge(null);const H=(0,l.$3e)(),ie=new URL(te.replace("{{uuid}}",H).replace("{{commit}}",V).replace("{{quality}}",Z)).origin,Y=(0,a.$ld)(ie).replace(H,"[a-zA-Z0-9\\-]+");try{const _=(0,a.$td)(`^${Y}$`,!0,{matchCase:!1});return new ge(_)}catch{return new ge(null)}}constructor(J){this.a=J}matches(J){return this.a?this.a.test(J):!1}}}),define(be[300],pe([1,0,29,28,13,283,288,62,7,289,45,54,41]),function(ae,e,E,O,o,A,R,L,b,d,I,v,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createServer=e.spawnCli=void 0,p.mark("code/server/codeLoaded"),global.vscodeServerCodeLoadedTime=d.performance.now();const h={onMultipleValues:(n,s)=>{console.error(`Option '${n}' can only be defined once. Using value ${s}.`)},onEmptyValue:n=>{console.error(`Ignoring option '${n}': Value must not be empty.`)},onUnknownOption:n=>{console.error(`Ignoring option '${n}': not supported for server.`)},onDeprecatedOption:(n,s)=>{console.warn(`Option '${n}' is deprecated: ${s}`)}},m=(0,L.$hl)(process.argv.slice(2),I.$Wl,h),g=m["server-data-dir"]||process.env.VSCODE_AGENT_FOLDER||(0,b.$$b)(E.homedir(),v.default.serverDataFolderName||".vscode-remote"),a=(0,b.$$b)(g,"data"),u=(0,b.$$b)(a,"User"),l=(0,b.$$b)(u,"globalStorage"),$=(0,b.$$b)(u,"History"),P=(0,b.$$b)(a,"Machine");m["user-data-dir"]=a;const k=(0,b.$bc)(o.$1e.asFileUri("").fsPath),t=(0,b.$$b)(k,"extensions");m["builtin-extensions-dir"]=t,m["extensions-dir"]=m["extensions-dir"]||(0,b.$$b)(g,"extensions"),[g,m["extensions-dir"],a,u,P,l,$].forEach(n=>{try{O.existsSync(n)||O.mkdirSync(n,{mode:448})}catch(s){console.error(s)}});function i(){(0,A.run)(m,g,I.$Wl)}e.spawnCli=i;function r(n){return(0,R.$KM)(n,m,g)}e.createServer=r})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/2ccd690cbff1569e4a83d7c43d45101f817401dc/core/vs/server/node/server.main.js.map
