/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var De=["exports","require","vs/base/common/uri","vs/base/common/event","vs/base/common/lifecycle","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/workbench/api/common/extHostTypes","vs/base/common/errors","vs/base/common/strings","vs/base/common/platform","vs/base/common/path","vs/base/common/types","vs/nls","vs/nls!vs/workbench/api/node/extensionHostProcess","vs/workbench/api/common/extHostTypeConverters","vs/base/common/network","vs/base/common/async","vs/platform/log/common/log","vs/base/common/arrays","vs/workbench/api/common/extHostRpcService","vs/base/common/cancellation","vs/base/common/buffer","vs/base/common/resources","vs/base/common/objects","vs/platform/extensions/common/extensions","vs/workbench/api/common/extHostInitDataService","vs/workbench/services/extensions/common/extensions","vs/base/common/map","vs/base/node/pfs","vs/platform/files/common/files","vs/base/common/extpath","vs/base/common/uuid","vs/base/common/glob","vs/workbench/services/search/common/search","vs/editor/common/core/range","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/base/common/stopwatch","vs/base/common/severity","vs/base/common/process","vs/platform/registry/common/platform","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostExtensionService","vs/base/common/errorMessage","child_process","vs/platform/contextkey/common/contextkey","vs/base/common/iterator","fs","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostVariableResolverService","vs/base/common/assert","vs/base/common/lazy","vs/base/common/themables","vs/editor/common/core/position","vs/platform/configuration/common/configuration","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/contrib/testing/common/testId","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostFileSystemConsumer","vs/base/common/collections","vs/base/common/decorators","vs/base/common/functional","vs/base/common/linkedList","vs/base/common/normalization","vs/base/common/hash","vs/base/common/ternarySearchTree","vs/base/common/codicons","vs/base/common/marshalling","os","vs/base/parts/ipc/common/ipc","vs/editor/common/languages","vs/platform/files/common/watcher","vs/platform/remote/common/remoteHosts","vs/platform/telemetry/common/telemetryUtils","vs/workbench/api/common/cache","vs/workbench/contrib/testing/common/testTypes","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostWebview","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/stream","vs/base/common/mime","vs/base/common/processes","vs/base/common/htmlContent","vs/base/node/extpath","vs/base/node/processes","vs/platform/instantiation/common/descriptors","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/serviceCollection","vs/platform/jsonschemas/common/jsonContributionRegistry","net","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/contrib/webview/common/webview","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostLocalizationService","vs/workbench/api/common/extHostManagedSockets","vs/workbench/api/common/extHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/idGenerator","vs/base/common/numbers","vs/base/common/filters","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/model","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/labels","vs/base/common/uriIpc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/services/semanticTokensDto","vs/editor/common/config/editorOptions","vs/platform/extensionManagement/common/extensionManagement","vs/platform/markers/common/markers","vs/platform/opener/common/opener","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/extensionManagement/common/implicitActivationEvents","vs/platform/tunnel/common/tunnel","vs/workbench/common/editor","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostOutput","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/json","vs/base/common/marked/marked","vs/base/common/cache","vs/base/common/symbols","vs/base/common/iconLabels","vs/base/common/dataTransfer","vs/editor/common/core/selection","vs/editor/common/core/textModelDefaults","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/linkComputer","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/treeViewsDnd","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/common/actions","vs/base/common/actions","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/platform","vs/base/common/console","vs/base/parts/ipc/node/ipc.cp","vs/editor/common/languageSelector","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/contextkey/common/contextkey","vs/nls!vs/platform/contextkey/common/scanner","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostChat","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostLanguageFeatures","vs/nls!vs/workbench/api/common/extHostLogService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTelemetry","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/api/node/extHostTunnelService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/nls!vs/workbench/contrib/tasks/common/tasks","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionsRegistry","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/contextkey/common/scanner","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/environment/common/environment","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/io","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/node/diskFileSystemProvider","vs/platform/log/common/logService","vs/platform/log/node/spdlogLog","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/product/common/productService","vs/platform/configuration/common/configurationModels","vs/platform/sign/common/abstractSignService","vs/platform/sign/node/signService","vs/platform/telemetry/common/commonProperties","vs/platform/telemetry/common/telemetry","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/terminal/common/environmentVariableShared","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/iconRegistry","vs/platform/workspace/common/editSessions","vs/platform/workspace/common/virtualWorkspace","vs/workbench/api/common/extHostLogService","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/node/proxyResolver","http","vs/workbench/api/node/uriTransformer","vs/workbench/common/views","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/debug/node/terminals","vs/workbench/api/common/extHostTheming","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/api/common/extHostCodeInsets","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionHostEnv","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/extensionsApiProposals","vs/workbench/services/extensions/common/extensionsRegistry","vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/workbench/contrib/tasks/common/tasks","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostChat","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostConsoleForwarder","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostInlineChat","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostIssueReporter","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostProfileContentHandler","vs/workbench/api/common/extHostQuickDiff","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostSemanticSimilarity","vs/workbench/api/common/extHostShare","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostConsoleForwarder","vs/workbench/api/node/extHostDiskFileSystemProvider","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostLoggerService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/output/common/output","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostVariableResolverService","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/services/search/node/ripgrepFileSearch","@vscode/ripgrep","vs/workbench/services/search/node/fileSearch","string_decoder","vs/workbench/services/textfile/common/encoding","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","util","vs/base/common/semver/semver","graceful-fs","https","tls","@vscode/proxy-agent","events","vscode-regexpp","crypto","zlib","vs/workbench/api/node/extensionHostProcess","minimist"],Ce=function(re){for(var e=[],b=0,A=re.length;b<A;b++)e[b]=De[re[b]];return e};define(De[65],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$L=e.$K=e.$J=e.$I=void 0;function b(R,g){const k=Object.create(null);for(const m of R){const L=g(m);let I=k[L];I||(I=k[L]=[]),I.push(m)}return k}e.$I=b;function A(R,g){const k=[],m=[];for(const L of R)g.has(L)||k.push(L);for(const L of g)R.has(L)||m.push(L);return{removed:k,added:m}}e.$J=A;function h(R,g){const k=[],m=[];for(const[L,I]of R)g.has(L)||k.push(I);for(const[L,I]of g)R.has(L)||m.push(I);return{removed:k,added:m}}e.$K=h;class F{constructor(){this.a=new Map}add(g,k){let m=this.a.get(g);m||(m=new Set,this.a.set(g,m)),m.add(k)}delete(g,k){const m=this.a.get(g);m&&(m.delete(k),m.size===0&&this.a.delete(g))}forEach(g,k){const m=this.a.get(g);m&&m.forEach(k)}}e.$L=F}),define(De[66],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rg=e.$Qg=e.$Pg=void 0;function b(R){return(g,k,m)=>{let L=null,I=null;if(typeof m.value=="function"?(L="value",I=m.value):typeof m.get=="function"&&(L="get",I=m.get),!I)throw new Error("not supported");m[L]=R(I,k)}}function A(R,g,k){let m=null,L=null;if(typeof k.value=="function"?(m="value",L=k.value,L.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof k.get=="function"&&(m="get",L=k.get),!L)throw new Error("not supported");const I=`$memoize$${g}`;k[m]=function(...v){return this.hasOwnProperty(I)||Object.defineProperty(this,I,{configurable:!1,enumerable:!1,writable:!1,value:L.apply(this,v)}),this[I]}}e.$Pg=A;function h(R,g,k){return b((m,L)=>{const I=`$debounce$${L}`,v=`$debounce$result$${L}`;return function(...D){this[v]||(this[v]=k?k():void 0),clearTimeout(this[I]),g&&(this[v]=g(this[v],...D),D=[this[v]]),this[I]=setTimeout(()=>{m.apply(this,D),this[v]=k?k():void 0},R)}})}e.$Qg=h;function F(R,g,k){return b((m,L)=>{const I=`$throttle$timer$${L}`,v=`$throttle$result$${L}`,D=`$throttle$lastRun$${L}`,C=`$throttle$pending$${L}`;return function(...w){if(this[v]||(this[v]=k?k():void 0),(this[D]===null||this[D]===void 0)&&(this[D]=-Number.MAX_VALUE),g&&(this[v]=g(this[v],...w)),this[C])return;const i=this[D]+R;i<=Date.now()?(this[D]=Date.now(),m.apply(this,[this[v]]),this[v]=k?k():void 0):(this[C]=!0,this[I]=setTimeout(()=>{this[C]=!1,this[D]=Date.now(),m.apply(this,[this[v]]),this[v]=k?k():void 0},i-Date.now()))}})}e.$Rg=F}),define(De[8],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ab=e.$_=e.$$=e.$0=e.$9=e.$8=e.$7=e.$6=e.$5=e.$4=e.$3=e.$2=e.$1=e.$Z=e.$Y=e.$X=e.$W=e.setUnexpectedErrorHandler=e.$U=e.$T=void 0;class b{constructor(){this.b=[],this.a=function(o){setTimeout(()=>{throw o.stack?f.isErrorNoTelemetry(o)?new f(o.message+`

`+o.stack):new Error(o.message+`

`+o.stack):o},0)}}addListener(o){return this.b.push(o),()=>{this.d(o)}}c(o){this.b.forEach(s=>{s(o)})}d(o){this.b.splice(this.b.indexOf(o),1)}setUnexpectedErrorHandler(o){this.a=o}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(o){this.a(o),this.c(o)}onUnexpectedExternalError(o){this.a(o)}}e.$T=b,e.$U=new b;function A(n){e.$U.setUnexpectedErrorHandler(n)}e.setUnexpectedErrorHandler=A;function h(n){if(!n||typeof n!="object")return!1;const o=n;return o.code==="EPIPE"&&o.syscall?.toUpperCase()==="WRITE"}e.$W=h;function F(n){m(n)||e.$U.onUnexpectedError(n)}e.$X=F;function R(n){m(n)||e.$U.onUnexpectedExternalError(n)}e.$Y=R;function g(n){if(n instanceof Error){const{name:o,message:s}=n,t=n.stacktrace||n.stack;return{$isError:!0,name:o,message:s,stack:t,noTelemetry:f.isErrorNoTelemetry(n)}}return n}e.$Z=g;const k="Canceled";function m(n){return n instanceof L?!0:n instanceof Error&&n.name===k&&n.message===k}e.$1=m;class L extends Error{constructor(){super(k),this.name=this.message}}e.$2=L;function I(){const n=new Error(k);return n.name=n.message,n}e.$3=I;function v(n){return n?new Error(`Illegal argument: ${n}`):new Error("Illegal argument")}e.$4=v;function D(n){return n?new Error(`Illegal state: ${n}`):new Error("Illegal state")}e.$5=D;function C(n){return n?new Error(`readonly property '${n} cannot be changed'`):new Error("readonly property cannot be changed")}e.$6=C;function w(n){const o=new Error(`${n} has been disposed`);return o.name="DISPOSED",o}e.$7=w;function i(n){return n?n.message?n.message:n.stack?n.stack.split(`
`)[0]:String(n):"Error"}e.$8=i;class l extends Error{constructor(o){super("NotImplemented"),o&&(this.message=o)}}e.$9=l;class a extends Error{constructor(o){super("NotSupported"),o&&(this.message=o)}}e.$0=a;class p extends Error{constructor(){super(...arguments),this.isExpected=!0}}e.$$=p;class f extends Error{constructor(o){super(o),this.name="CodeExpectedError"}static fromError(o){if(o instanceof f)return o;const s=new f;return s.message=o.message,s.stack=o.stack,s}static isErrorNoTelemetry(o){return o.name==="CodeExpectedError"}}e.$_=f;class E extends Error{constructor(o){super(o||"An unexpected bug occurred."),Object.setPrototypeOf(this,E.prototype)}}e.$ab=E}),define(De[19],Ce([1,0,8]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sf=e.$Rf=e.$Qf=e.$Pf=e.$Of=e.$Nf=e.$Mf=e.$Lf=e.CompareResult=e.$Kf=e.$Jf=e.$If=e.$Hf=e.$Gf=e.$Ff=e.$Ef=e.$Df=e.$Cf=e.$Bf=e.$Af=e.$zf=e.$yf=e.$xf=e.$wf=e.$vf=e.$uf=e.$tf=e.$sf=e.$rf=e.$qf=e.$pf=e.$of=e.$nf=e.$mf=e.$lf=e.$kf=e.$jf=e.$if=e.top=e.$gf=e.$ff=e.$ef=e.$df=e.$cf=e.$bf=e.$af=e.$_e=e.$$e=e.$0e=e.$9e=void 0;function A(ee,te=0){return ee[ee.length-(1+te)]}e.$9e=A;function h(ee){if(ee.length===0)throw new Error("Invalid tail call");return[ee.slice(0,ee.length-1),ee[ee.length-1]]}e.$0e=h;function F(ee,te,ue=(Z,le)=>Z===le){if(ee===te)return!0;if(!ee||!te||ee.length!==te.length)return!1;for(let Z=0,le=ee.length;Z<le;Z++)if(!ue(ee[Z],te[Z]))return!1;return!0}e.$$e=F;function R(ee,te){const ue=ee.length-1;te<ue&&(ee[te]=ee[ue]),ee.pop()}e.$_e=R;function g(ee,te,ue){return k(ee.length,Z=>ue(ee[Z],te))}e.$af=g;function k(ee,te){let ue=0,Z=ee-1;for(;ue<=Z;){const le=(ue+Z)/2|0,se=te(le);if(se<0)ue=le+1;else if(se>0)Z=le-1;else return le}return-(ue+1)}e.$bf=k;function m(ee,te){let ue=0,Z=ee.length;if(Z===0)return 0;for(;ue<Z;){const le=Math.floor((ue+Z)/2);te(ee[le])?Z=le:ue=le+1}return ue}e.$cf=m;function L(ee,te,ue){if(ee=ee|0,ee>=te.length)throw new TypeError("invalid index");const Z=te[Math.floor(te.length*Math.random())],le=[],se=[],oe=[];for(const T of te){const K=ue(T,Z);K<0?le.push(T):K>0?se.push(T):oe.push(T)}return ee<le.length?L(ee,le,ue):ee<le.length+oe.length?oe[0]:L(ee-(le.length+oe.length),se,ue)}e.$df=L;function I(ee,te){const ue=[];let Z;for(const le of ee.slice(0).sort(te))!Z||te(Z[0],le)!==0?(Z=[le],ue.push(Z)):Z.push(le);return ue}e.$ef=I;function v(ee,te,ue){const Z=[];function le(T,K,X){if(K===0&&X.length===0)return;const x=Z[Z.length-1];x&&x.start+x.deleteCount===T?(x.deleteCount+=K,x.toInsert.push(...X)):Z.push({start:T,deleteCount:K,toInsert:X})}let se=0,oe=0;for(;;){if(se===ee.length){le(se,0,te.slice(oe));break}if(oe===te.length){le(se,ee.length-se,[]);break}const T=ee[se],K=te[oe],X=ue(T,K);X===0?(se+=1,oe+=1):X<0?(le(se,1,[]),se+=1):X>0&&(le(se,0,[K]),oe+=1)}return Z}e.$ff=v;function D(ee,te,ue){const Z=v(ee,te,ue),le=[],se=[];for(const oe of Z)le.push(...ee.slice(oe.start,oe.start+oe.deleteCount)),se.push(...oe.toInsert);return{removed:le,added:se}}e.$gf=D;function C(ee,te,ue){if(ue===0)return[];const Z=ee.slice(0,ue).sort(te);return i(ee,te,Z,ue,ee.length),Z}e.top=C;function w(ee,te,ue,Z,le){return ue===0?Promise.resolve([]):new Promise((se,oe)=>{(async()=>{const T=ee.length,K=ee.slice(0,ue).sort(te);for(let X=ue,x=Math.min(ue+Z,T);X<T;X=x,x=Math.min(x+Z,T)){if(X>ue&&await new Promise(me=>setTimeout(me)),le&&le.isCancellationRequested)throw new b.$2;i(ee,te,K,X,x)}return K})().then(se,oe)})}e.$if=w;function i(ee,te,ue,Z,le){for(const se=ue.length;Z<le;Z++){const oe=ee[Z];if(te(oe,ue[se-1])<0){ue.pop();const T=m(ue,K=>te(oe,K)<0);ue.splice(T,0,oe)}}}function l(ee){return ee.filter(te=>!!te)}e.$jf=l;function a(ee){let te=0;for(let ue=0;ue<ee.length;ue++)ee[ue]&&(ee[te]=ee[ue],te+=1);ee.length=te}e.$kf=a;function p(ee,te,ue){ee.splice(ue,0,ee.splice(te,1)[0])}e.$lf=p;function f(ee){return!Array.isArray(ee)||ee.length===0}e.$mf=f;function E(ee){return Array.isArray(ee)&&ee.length>0}e.$nf=E;function n(ee,te=ue=>ue){const ue=new Set;return ee.filter(Z=>{const le=te(Z);return ue.has(le)?!1:(ue.add(le),!0)})}e.$of=n;function o(ee){const te=new Set;return ue=>{const Z=ee(ue);return te.has(Z)?!1:(te.add(Z),!0)}}e.$pf=o;function s(ee,te){const ue=t(ee,te);if(ue!==-1)return ee[ue]}e.$qf=s;function t(ee,te){for(let ue=ee.length-1;ue>=0;ue--){const Z=ee[ue];if(te(Z))return ue}return-1}e.$rf=t;function u(ee,te){return ee.length>0?ee[0]:te}e.$sf=u;function $(ee,te){return ee.length>0?ee[ee.length-1]:te}e.$tf=$;function d(ee,te,ue=(Z,le)=>Z===le){let Z=0;for(let le=0,se=Math.min(ee.length,te.length);le<se&&ue(ee[le],te[le]);le++)Z++;return Z}e.$uf=d;function S(ee){return[].concat(...ee)}e.$vf=S;function y(ee,te){let ue=typeof te=="number"?ee:0;typeof te=="number"?ue=ee:(ue=0,te=ee);const Z=[];if(ue<=te)for(let le=ue;le<te;le++)Z.push(le);else for(let le=ue;le>te;le--)Z.push(le);return Z}e.$wf=y;function c(ee,te,ue){return ee.reduce((Z,le)=>(Z[te(le)]=ue?ue(le):le,Z),Object.create(null))}e.$xf=c;function r(ee,te){return ee.push(te),()=>P(ee,te)}e.$yf=r;function P(ee,te){const ue=ee.indexOf(te);if(ue>-1)return ee.splice(ue,1),te}e.$zf=P;function N(ee,te,ue){const Z=ee.slice(0,te),le=ee.slice(te);return Z.concat(ue,le)}e.$Af=N;function U(ee,te){let ue;if(typeof te=="number"){let Z=te;ue=()=>{const le=Math.sin(Z++)*179426549;return le-Math.floor(le)}}else ue=Math.random;for(let Z=ee.length-1;Z>0;Z-=1){const le=Math.floor(ue()*(Z+1)),se=ee[Z];ee[Z]=ee[le],ee[le]=se}}e.$Bf=U;function q(ee,te){const ue=ee.indexOf(te);ue>-1&&(ee.splice(ue,1),ee.unshift(te))}e.$Cf=q;function W(ee,te){const ue=ee.indexOf(te);ue>-1&&(ee.splice(ue,1),ee.push(te))}e.$Df=W;function O(ee,te){for(const ue of te)ee.push(ue)}e.$Ef=O;function J(ee,te){return Array.isArray(ee)?ee.map(te):te(ee)}e.$Ff=J;function z(ee){return Array.isArray(ee)?ee:[ee]}e.$Gf=z;function j(ee){return ee[Math.floor(Math.random()*ee.length)]}e.$Hf=j;function he(ee,te){for(const ue of ee){const Z=te(ue);if(Z!==void 0)return Z}}e.$If=he;function ie(ee,te,ue){const Z=V(ee,te),le=ee.length,se=ue.length;ee.length=le+se;for(let oe=le-1;oe>=Z;oe--)ee[oe+se]=ee[oe];for(let oe=0;oe<se;oe++)ee[oe+Z]=ue[oe]}e.$Jf=ie;function ne(ee,te,ue,Z){const le=V(ee,te),se=ee.splice(le,ue);return ie(ee,le,Z),se}e.$Kf=ne;function V(ee,te){return te<0?Math.max(te+ee.length,0):Math.min(te,ee.length)}var H;(function(ee){function te(le){return le<0}ee.isLessThan=te;function ue(le){return le>0}ee.isGreaterThan=ue;function Z(le){return le===0}ee.isNeitherLessOrGreaterThan=Z,ee.greaterThan=1,ee.lessThan=-1,ee.neitherLessOrGreaterThan=0})(H||(e.CompareResult=H={}));function ce(ee,te){return(ue,Z)=>te(ee(ue),ee(Z))}e.$Lf=ce;function pe(...ee){return(te,ue)=>{for(const Z of ee){const le=Z(te,ue);if(!H.isNeitherLessOrGreaterThan(le))return le}return H.neitherLessOrGreaterThan}}e.$Mf=pe;const ye=(ee,te)=>ee-te;e.$Nf=ye;function ge(ee,te){if(ee.length===0)return;let ue=ee[0];for(let Z=1;Z<ee.length;Z++){const le=ee[Z];te(le,ue)>0&&(ue=le)}return ue}e.$Of=ge;function M(ee,te){if(ee.length===0)return;let ue=ee[0];for(let Z=1;Z<ee.length;Z++){const le=ee[Z];te(le,ue)>=0&&(ue=le)}return ue}e.$Pf=M;function Q(ee,te){return ge(ee,(ue,Z)=>-te(ue,Z))}e.$Qf=Q;class ve{constructor(te){this.f=te,this.c=0,this.d=this.f.length-1}get length(){return this.d-this.c+1}takeWhile(te){let ue=this.c;for(;ue<this.f.length&&te(this.f[ue]);)ue++;const Z=ue===this.c?null:this.f.slice(this.c,ue);return this.c=ue,Z}takeFromEndWhile(te){let ue=this.d;for(;ue>=0&&te(this.f[ue]);)ue--;const Z=ue===this.d?null:this.f.slice(ue+1,this.d+1);return this.d=ue,Z}peek(){if(this.length!==0)return this.f[this.c]}peekLast(){if(this.length!==0)return this.f[this.d]}dequeue(){const te=this.f[this.c];return this.c++,te}removeLast(){const te=this.f[this.d];return this.d--,te}takeCount(te){const ue=this.f.slice(this.c,this.c+te);return this.c+=te,ue}}e.$Rf=ve;class Se{constructor(te){this.iterate=te}forEach(te){this.iterate(ue=>(te(ue),!0))}toArray(){const te=[];return this.iterate(ue=>(te.push(ue),!0)),te}filter(te){return new Se(ue=>this.iterate(Z=>te(Z)?ue(Z):!0))}map(te){return new Se(ue=>this.iterate(Z=>ue(te(Z))))}some(te){let ue=!1;return this.iterate(Z=>(ue=te(Z),!ue)),ue}findFirst(te){let ue;return this.iterate(Z=>te(Z)?(ue=Z,!1):!0),ue}findLast(te){let ue;return this.iterate(Z=>(te(Z)&&(ue=Z),!0)),ue}findLastMaxBy(te){let ue,Z=!0;return this.iterate(le=>((Z||H.isGreaterThan(te(le,ue)))&&(Z=!1,ue=le),!0)),ue}}e.$Sf=Se,Se.empty=new Se(ee=>{})}),define(De[53],Ce([1,0,8]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oc=e.$nc=e.$mc=e.$lc=e.ok=void 0;function A(k,m){if(!k)throw new Error(m?`Assertion failed (${m})`:"Assertion Failed")}e.ok=A;function h(k,m="Unreachable"){throw new Error(m)}e.$lc=h;function F(k){if(!k)throw new b.$ab("Assertion Failed")}e.$mc=F;function R(k){if(!k()){debugger;k(),(0,b.$X)(new b.$ab("Assertion Failed"))}}e.$nc=R;function g(k,m){let L=0;for(;L<k.length-1;){const I=k[L],v=k[L+1];if(!m(I,v))return!1;L++}return!0}e.$oc=g}),define(De[67],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bb=void 0;function b(A){const h=this;let F=!1,R;return function(){return F||(F=!0,R=A.apply(h,arguments)),R}}e.$bb=b}),define(De[111],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gL=e.$fL=void 0;class b{constructor(h){this.a=h,this.b=0}nextId(){return this.a+ ++this.b}}e.$fL=b,e.$gL=new b("id#")}),define(De[48],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var b;(function(A){function h(f){return f&&typeof f=="object"&&typeof f[Symbol.iterator]=="function"}A.is=h;const F=Object.freeze([]);function R(){return F}A.empty=R;function*g(f){yield f}A.single=g;function k(f){return h(f)?f:g(f)}A.wrap=k;function m(f){return f||F}A.from=m;function L(f){return!f||f[Symbol.iterator]().next().done===!0}A.isEmpty=L;function I(f){return f[Symbol.iterator]().next().value}A.first=I;function v(f,E){for(const n of f)if(E(n))return!0;return!1}A.some=v;function D(f,E){for(const n of f)if(E(n))return n}A.find=D;function*C(f,E){for(const n of f)E(n)&&(yield n)}A.filter=C;function*w(f,E){let n=0;for(const o of f)yield E(o,n++)}A.map=w;function*i(...f){for(const E of f)for(const n of E)yield n}A.concat=i;function l(f,E,n){let o=n;for(const s of f)o=E(o,s);return o}A.reduce=l;function*a(f,E,n=f.length){for(E<0&&(E+=f.length),n<0?n+=f.length:n>f.length&&(n=f.length);E<n;E++)yield f[E]}A.slice=a;function p(f,E=Number.POSITIVE_INFINITY){const n=[];if(E===0)return[n,f];const o=f[Symbol.iterator]();for(let s=0;s<E;s++){const t=o.next();if(t.done)return[n,A.empty()];n.push(t.value)}return[n,{[Symbol.iterator](){return o}}]}A.consume=p})(b||(e.Iterable=b={}))}),define(De[150],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cm=e.$Bm=e.$Am=e.$zm=e.$ym=e.$xm=e.$wm=e.$vm=e.$um=e.$tm=e.$sm=e.$rm=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var b;(function(n){n[n.None=0]="None",n[n.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=2]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",n[n.InvalidUnicode=4]="InvalidUnicode",n[n.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",n[n.InvalidCharacter=6]="InvalidCharacter"})(b||(e.ScanError=b={}));var A;(function(n){n[n.OpenBraceToken=1]="OpenBraceToken",n[n.CloseBraceToken=2]="CloseBraceToken",n[n.OpenBracketToken=3]="OpenBracketToken",n[n.CloseBracketToken=4]="CloseBracketToken",n[n.CommaToken=5]="CommaToken",n[n.ColonToken=6]="ColonToken",n[n.NullKeyword=7]="NullKeyword",n[n.TrueKeyword=8]="TrueKeyword",n[n.FalseKeyword=9]="FalseKeyword",n[n.StringLiteral=10]="StringLiteral",n[n.NumericLiteral=11]="NumericLiteral",n[n.LineCommentTrivia=12]="LineCommentTrivia",n[n.BlockCommentTrivia=13]="BlockCommentTrivia",n[n.LineBreakTrivia=14]="LineBreakTrivia",n[n.Trivia=15]="Trivia",n[n.Unknown=16]="Unknown",n[n.EOF=17]="EOF"})(A||(e.SyntaxKind=A={}));var h;(function(n){n[n.InvalidSymbol=1]="InvalidSymbol",n[n.InvalidNumberFormat=2]="InvalidNumberFormat",n[n.PropertyNameExpected=3]="PropertyNameExpected",n[n.ValueExpected=4]="ValueExpected",n[n.ColonExpected=5]="ColonExpected",n[n.CommaExpected=6]="CommaExpected",n[n.CloseBraceExpected=7]="CloseBraceExpected",n[n.CloseBracketExpected=8]="CloseBracketExpected",n[n.EndOfFileExpected=9]="EndOfFileExpected",n[n.InvalidCommentToken=10]="InvalidCommentToken",n[n.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=12]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",n[n.InvalidUnicode=14]="InvalidUnicode",n[n.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",n[n.InvalidCharacter=16]="InvalidCharacter"})(h||(e.ParseErrorCode=h={}));var F;(function(n){n.DEFAULT={allowTrailingComma:!0}})(F||(e.ParseOptions=F={}));function R(n,o=!1){let s=0;const t=n.length;let u="",$=0,d=16,S=0;function y(W){let O=0,J=0;for(;O<W;){const z=n.charCodeAt(s);if(z>=48&&z<=57)J=J*16+z-48;else if(z>=65&&z<=70)J=J*16+z-65+10;else if(z>=97&&z<=102)J=J*16+z-97+10;else break;s++,O++}return O<W&&(J=-1),J}function c(W){s=W,u="",$=0,d=16,S=0}function r(){const W=s;if(n.charCodeAt(s)===48)s++;else for(s++;s<n.length&&m(n.charCodeAt(s));)s++;if(s<n.length&&n.charCodeAt(s)===46)if(s++,s<n.length&&m(n.charCodeAt(s)))for(s++;s<n.length&&m(n.charCodeAt(s));)s++;else return S=3,n.substring(W,s);let O=s;if(s<n.length&&(n.charCodeAt(s)===69||n.charCodeAt(s)===101))if(s++,(s<n.length&&n.charCodeAt(s)===43||n.charCodeAt(s)===45)&&s++,s<n.length&&m(n.charCodeAt(s))){for(s++;s<n.length&&m(n.charCodeAt(s));)s++;O=s}else S=3;return n.substring(W,O)}function P(){let W="",O=s;for(;;){if(s>=t){W+=n.substring(O,s),S=2;break}const J=n.charCodeAt(s);if(J===34){W+=n.substring(O,s),s++;break}if(J===92){if(W+=n.substring(O,s),s++,s>=t){S=2;break}switch(n.charCodeAt(s++)){case 34:W+='"';break;case 92:W+="\\";break;case 47:W+="/";break;case 98:W+="\b";break;case 102:W+="\f";break;case 110:W+=`
`;break;case 114:W+="\r";break;case 116:W+="	";break;case 117:{const j=y(4);j>=0?W+=String.fromCharCode(j):S=4;break}default:S=5}O=s;continue}if(J>=0&&J<=31)if(k(J)){W+=n.substring(O,s),S=2;break}else S=6;s++}return W}function N(){if(u="",S=0,$=s,s>=t)return $=t,d=17;let W=n.charCodeAt(s);if(g(W)){do s++,u+=String.fromCharCode(W),W=n.charCodeAt(s);while(g(W));return d=15}if(k(W))return s++,u+=String.fromCharCode(W),W===13&&n.charCodeAt(s)===10&&(s++,u+=`
`),d=14;switch(W){case 123:return s++,d=1;case 125:return s++,d=2;case 91:return s++,d=3;case 93:return s++,d=4;case 58:return s++,d=6;case 44:return s++,d=5;case 34:return s++,u=P(),d=10;case 47:{const O=s-1;if(n.charCodeAt(s+1)===47){for(s+=2;s<t&&!k(n.charCodeAt(s));)s++;return u=n.substring(O,s),d=12}if(n.charCodeAt(s+1)===42){s+=2;const J=t-1;let z=!1;for(;s<J;){if(n.charCodeAt(s)===42&&n.charCodeAt(s+1)===47){s+=2,z=!0;break}s++}return z||(s++,S=1),u=n.substring(O,s),d=13}return u+=String.fromCharCode(W),s++,d=16}case 45:if(u+=String.fromCharCode(W),s++,s===t||!m(n.charCodeAt(s)))return d=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u+=r(),d=11;default:for(;s<t&&U(W);)s++,W=n.charCodeAt(s);if($!==s){switch(u=n.substring($,s),u){case"true":return d=8;case"false":return d=9;case"null":return d=7}return d=16}return u+=String.fromCharCode(W),s++,d=16}}function U(W){if(g(W)||k(W))return!1;switch(W){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function q(){let W;do W=N();while(W>=12&&W<=15);return W}return{setPosition:c,getPosition:()=>s,scan:o?q:N,getToken:()=>d,getTokenValue:()=>u,getTokenOffset:()=>$,getTokenLength:()=>s-$,getTokenError:()=>S}}e.$rm=R;function g(n){return n===32||n===9||n===11||n===12||n===160||n===5760||n>=8192&&n<=8203||n===8239||n===8287||n===12288||n===65279}function k(n){return n===10||n===13||n===8232||n===8233}function m(n){return n>=48&&n<=57}var L;(function(n){n[n.nullCharacter=0]="nullCharacter",n[n.maxAsciiCharacter=127]="maxAsciiCharacter",n[n.lineFeed=10]="lineFeed",n[n.carriageReturn=13]="carriageReturn",n[n.lineSeparator=8232]="lineSeparator",n[n.paragraphSeparator=8233]="paragraphSeparator",n[n.nextLine=133]="nextLine",n[n.space=32]="space",n[n.nonBreakingSpace=160]="nonBreakingSpace",n[n.enQuad=8192]="enQuad",n[n.emQuad=8193]="emQuad",n[n.enSpace=8194]="enSpace",n[n.emSpace=8195]="emSpace",n[n.threePerEmSpace=8196]="threePerEmSpace",n[n.fourPerEmSpace=8197]="fourPerEmSpace",n[n.sixPerEmSpace=8198]="sixPerEmSpace",n[n.figureSpace=8199]="figureSpace",n[n.punctuationSpace=8200]="punctuationSpace",n[n.thinSpace=8201]="thinSpace",n[n.hairSpace=8202]="hairSpace",n[n.zeroWidthSpace=8203]="zeroWidthSpace",n[n.narrowNoBreakSpace=8239]="narrowNoBreakSpace",n[n.ideographicSpace=12288]="ideographicSpace",n[n.mathematicalSpace=8287]="mathematicalSpace",n[n.ogham=5760]="ogham",n[n._=95]="_",n[n.$=36]="$",n[n._0=48]="_0",n[n._1=49]="_1",n[n._2=50]="_2",n[n._3=51]="_3",n[n._4=52]="_4",n[n._5=53]="_5",n[n._6=54]="_6",n[n._7=55]="_7",n[n._8=56]="_8",n[n._9=57]="_9",n[n.a=97]="a",n[n.b=98]="b",n[n.c=99]="c",n[n.d=100]="d",n[n.e=101]="e",n[n.f=102]="f",n[n.g=103]="g",n[n.h=104]="h",n[n.i=105]="i",n[n.j=106]="j",n[n.k=107]="k",n[n.l=108]="l",n[n.m=109]="m",n[n.n=110]="n",n[n.o=111]="o",n[n.p=112]="p",n[n.q=113]="q",n[n.r=114]="r",n[n.s=115]="s",n[n.t=116]="t",n[n.u=117]="u",n[n.v=118]="v",n[n.w=119]="w",n[n.x=120]="x",n[n.y=121]="y",n[n.z=122]="z",n[n.A=65]="A",n[n.B=66]="B",n[n.C=67]="C",n[n.D=68]="D",n[n.E=69]="E",n[n.F=70]="F",n[n.G=71]="G",n[n.H=72]="H",n[n.I=73]="I",n[n.J=74]="J",n[n.K=75]="K",n[n.L=76]="L",n[n.M=77]="M",n[n.N=78]="N",n[n.O=79]="O",n[n.P=80]="P",n[n.Q=81]="Q",n[n.R=82]="R",n[n.S=83]="S",n[n.T=84]="T",n[n.U=85]="U",n[n.V=86]="V",n[n.W=87]="W",n[n.X=88]="X",n[n.Y=89]="Y",n[n.Z=90]="Z",n[n.ampersand=38]="ampersand",n[n.asterisk=42]="asterisk",n[n.at=64]="at",n[n.backslash=92]="backslash",n[n.bar=124]="bar",n[n.caret=94]="caret",n[n.closeBrace=125]="closeBrace",n[n.closeBracket=93]="closeBracket",n[n.closeParen=41]="closeParen",n[n.colon=58]="colon",n[n.comma=44]="comma",n[n.dot=46]="dot",n[n.doubleQuote=34]="doubleQuote",n[n.equals=61]="equals",n[n.exclamation=33]="exclamation",n[n.greaterThan=62]="greaterThan",n[n.lessThan=60]="lessThan",n[n.minus=45]="minus",n[n.openBrace=123]="openBrace",n[n.openBracket=91]="openBracket",n[n.openParen=40]="openParen",n[n.percent=37]="percent",n[n.plus=43]="plus",n[n.question=63]="question",n[n.semicolon=59]="semicolon",n[n.singleQuote=39]="singleQuote",n[n.slash=47]="slash",n[n.tilde=126]="tilde",n[n.backspace=8]="backspace",n[n.formFeed=12]="formFeed",n[n.byteOrderMark=65279]="byteOrderMark",n[n.tab=9]="tab",n[n.verticalTab=11]="verticalTab"})(L||(L={}));function I(n,o){const s=[],t=new Object;let u;const $={value:{},offset:0,length:0,type:"object",parent:void 0};let d=!1;function S(y,c,r,P){$.value=y,$.offset=c,$.length=r,$.type=P,$.colonOffset=void 0,u=$}try{p(n,{onObjectBegin:(y,c)=>{if(o<=y)throw t;u=void 0,d=o>y,s.push("")},onObjectProperty:(y,c,r)=>{if(o<c||(S(y,c,r,"property"),s[s.length-1]=y,o<=c+r))throw t},onObjectEnd:(y,c)=>{if(o<=y)throw t;u=void 0,s.pop()},onArrayBegin:(y,c)=>{if(o<=y)throw t;u=void 0,s.push(0)},onArrayEnd:(y,c)=>{if(o<=y)throw t;u=void 0,s.pop()},onLiteralValue:(y,c,r)=>{if(o<c||(S(y,c,r,E(y)),o<=c+r))throw t},onSeparator:(y,c,r)=>{if(o<=c)throw t;if(y===":"&&u&&u.type==="property")u.colonOffset=c,d=!1,u=void 0;else if(y===","){const P=s[s.length-1];typeof P=="number"?s[s.length-1]=P+1:(d=!0,s[s.length-1]=""),u=void 0}}})}catch(y){if(y!==t)throw y}return{path:s,previousNode:u,isAtPropertyKey:d,matches:y=>{let c=0;for(let r=0;c<y.length&&r<s.length;r++)if(y[c]===s[r]||y[c]==="*")c++;else if(y[c]!=="**")return!1;return c===y.length}}}e.$sm=I;function v(n,o=[],s=F.DEFAULT){let t=null,u=[];const $=[];function d(y){Array.isArray(u)?u.push(y):t!==null&&(u[t]=y)}return p(n,{onObjectBegin:()=>{const y={};d(y),$.push(u),u=y,t=null},onObjectProperty:y=>{t=y},onObjectEnd:()=>{u=$.pop()},onArrayBegin:()=>{const y=[];d(y),$.push(u),u=y,t=null},onArrayEnd:()=>{u=$.pop()},onLiteralValue:d,onError:(y,c,r)=>{o.push({error:y,offset:c,length:r})}},s),u[0]}e.$tm=v;function D(n,o=[],s=F.DEFAULT){let t={type:"array",offset:-1,length:-1,children:[],parent:void 0};function u(y){t.type==="property"&&(t.length=y-t.offset,t=t.parent)}function $(y){return t.children.push(y),y}p(n,{onObjectBegin:y=>{t=$({type:"object",offset:y,length:-1,parent:t,children:[]})},onObjectProperty:(y,c,r)=>{t=$({type:"property",offset:c,length:-1,parent:t,children:[]}),t.children.push({type:"string",value:y,offset:c,length:r,parent:t})},onObjectEnd:(y,c)=>{t.length=y+c-t.offset,t=t.parent,u(y+c)},onArrayBegin:(y,c)=>{t=$({type:"array",offset:y,length:-1,parent:t,children:[]})},onArrayEnd:(y,c)=>{t.length=y+c-t.offset,t=t.parent,u(y+c)},onLiteralValue:(y,c,r)=>{$({type:E(y),offset:c,length:r,parent:t,value:y}),u(c+r)},onSeparator:(y,c,r)=>{t.type==="property"&&(y===":"?t.colonOffset=c:y===","&&u(c))},onError:(y,c,r)=>{o.push({error:y,offset:c,length:r})}},s);const S=t.children[0];return S&&delete S.parent,S}e.$um=D;function C(n,o){if(!n)return;let s=n;for(const t of o)if(typeof t=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let u=!1;for(const $ of s.children)if(Array.isArray($.children)&&$.children[0].value===t){s=$.children[1],u=!0;break}if(!u)return}else{const u=t;if(s.type!=="array"||u<0||!Array.isArray(s.children)||u>=s.children.length)return;s=s.children[u]}return s}e.$vm=C;function w(n){if(!n.parent||!n.parent.children)return[];const o=w(n.parent);if(n.parent.type==="property"){const s=n.parent.children[0].value;o.push(s)}else if(n.parent.type==="array"){const s=n.parent.children.indexOf(n);s!==-1&&o.push(s)}return o}e.$wm=w;function i(n){switch(n.type){case"array":return n.children.map(i);case"object":{const o=Object.create(null);for(const s of n.children){const t=s.children[1];t&&(o[s.children[0].value]=i(t))}return o}case"null":case"string":case"number":case"boolean":return n.value;default:return}}e.$xm=i;function l(n,o,s=!1){return o>=n.offset&&o<n.offset+n.length||s&&o===n.offset+n.length}e.$ym=l;function a(n,o,s=!1){if(l(n,o,s)){const t=n.children;if(Array.isArray(t))for(let u=0;u<t.length&&t[u].offset<=o;u++){const $=a(t[u],o,s);if($)return $}return n}}e.$zm=a;function p(n,o,s=F.DEFAULT){const t=R(n,!1);function u(ce){return ce?()=>ce(t.getTokenOffset(),t.getTokenLength()):()=>!0}function $(ce){return ce?pe=>ce(pe,t.getTokenOffset(),t.getTokenLength()):()=>!0}const d=u(o.onObjectBegin),S=$(o.onObjectProperty),y=u(o.onObjectEnd),c=u(o.onArrayBegin),r=u(o.onArrayEnd),P=$(o.onLiteralValue),N=$(o.onSeparator),U=u(o.onComment),q=$(o.onError),W=s&&s.disallowComments,O=s&&s.allowTrailingComma;function J(){for(;;){const ce=t.scan();switch(t.getTokenError()){case 4:z(14);break;case 5:z(15);break;case 3:z(13);break;case 1:W||z(11);break;case 2:z(12);break;case 6:z(16);break}switch(ce){case 12:case 13:W?z(10):U();break;case 16:z(1);break;case 15:case 14:break;default:return ce}}}function z(ce,pe=[],ye=[]){if(q(ce),pe.length+ye.length>0){let ge=t.getToken();for(;ge!==17;){if(pe.indexOf(ge)!==-1){J();break}else if(ye.indexOf(ge)!==-1)break;ge=J()}}}function j(ce){const pe=t.getTokenValue();return ce?P(pe):S(pe),J(),!0}function he(){switch(t.getToken()){case 11:{let ce=0;try{ce=JSON.parse(t.getTokenValue()),typeof ce!="number"&&(z(2),ce=0)}catch{z(2)}P(ce);break}case 7:P(null);break;case 8:P(!0);break;case 9:P(!1);break;default:return!1}return J(),!0}function ie(){return t.getToken()!==10?(z(3,[],[2,5]),!1):(j(!1),t.getToken()===6?(N(":"),J(),H()||z(4,[],[2,5])):z(5,[],[2,5]),!0)}function ne(){d(),J();let ce=!1;for(;t.getToken()!==2&&t.getToken()!==17;){if(t.getToken()===5){if(ce||z(4,[],[]),N(","),J(),t.getToken()===2&&O)break}else ce&&z(6,[],[]);ie()||z(4,[],[2,5]),ce=!0}return y(),t.getToken()!==2?z(7,[2],[]):J(),!0}function V(){c(),J();let ce=!1;for(;t.getToken()!==4&&t.getToken()!==17;){if(t.getToken()===5){if(ce||z(4,[],[]),N(","),J(),t.getToken()===4&&O)break}else ce&&z(6,[],[]);H()||z(4,[],[4,5]),ce=!0}return r(),t.getToken()!==4?z(8,[4],[]):J(),!0}function H(){switch(t.getToken()){case 3:return V();case 1:return ne();case 10:return j(!0);default:return he()}}return J(),t.getToken()===17?s.allowEmptyContent?!0:(z(4,[],[]),!1):H()?(t.getToken()!==17&&z(9,[],[]),!0):(z(4,[],[]),!1)}e.$Am=p;function f(n,o){const s=R(n),t=[];let u,$=0,d;do switch(d=s.getPosition(),u=s.scan(),u){case 12:case 13:case 17:$!==d&&t.push(n.substring($,d)),o!==void 0&&t.push(s.getTokenValue().replace(/[^\r\n]/g,o)),$=s.getPosition();break}while(u!==17);return t.join("")}e.$Bm=f;function E(n){switch(typeof n){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(n){if(Array.isArray(n))return"array"}else return"null";return"object"}default:return"null"}}e.$Cm=E}),define(De[54],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$S=void 0;class b{constructor(h){this.d=h,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(h){this.c=h}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}e.$S=b}),define(De[4],Ce([1,0,67,48]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sb=e.$rb=e.$qb=e.$pb=e.$ob=e.$nb=e.$mb=e.$lb=e.$kb=e.$jb=e.$ib=e.$hb=e.$gb=e.$fb=e.$eb=e.$db=e.$cb=void 0;const h=!1;let F=null;function R($){F=$}if(e.$cb=R,h){const $="__is_disposable_tracked__";R(new class{trackDisposable(d){const S=new Error("Potentially leaked disposable").stack;setTimeout(()=>{d[$]||console.log(S)},3e3)}setParent(d,S){if(d&&d!==a.None)try{d[$]=!0}catch{}}markAsDisposed(d){if(d&&d!==a.None)try{d[$]=!0}catch{}}markAsSingleton(d){}})}function g($){return F?.trackDisposable($),$}function k($){F?.markAsDisposed($)}function m($,d){F?.setParent($,d)}function L($,d){if(F)for(const S of $)F.setParent(S,d)}function I($){return F?.markAsSingleton($),$}e.$db=I;function v($){return typeof $.dispose=="function"&&$.dispose.length===0}e.$eb=v;function D($){if(A.Iterable.is($)){const d=[];for(const S of $)if(S)try{S.dispose()}catch(y){d.push(y)}if(d.length===1)throw d[0];if(d.length>1)throw new AggregateError(d,"Encountered errors while disposing of store");return Array.isArray($)?[]:$}else if($)return $.dispose(),$}e.$fb=D;function C($){for(const d of $)v(d)&&d.dispose();return[]}e.$gb=C;function w(...$){const d=i(()=>D($));return L($,d),d}e.$hb=w;function i($){const d=g({dispose:(0,b.$bb)(()=>{k(d),$()})});return d}e.$ib=i;class l{constructor(){this.f=new Set,this.g=!1,g(this)}dispose(){this.g||(k(this),this.g=!0,this.clear())}get isDisposed(){return this.g}clear(){if(this.f.size!==0)try{D(this.f)}finally{this.f.clear()}}add(d){if(!d)return d;if(d===this)throw new Error("Cannot register a disposable on itself!");return m(d,this),this.g?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.f.add(d),d}}e.$jb=l,l.DISABLE_DISPOSED_WARNING=!1;class a{constructor(){this.q=new l,g(this),m(this.q,this)}dispose(){k(this),this.q.dispose()}B(d){if(d===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(d)}}e.$kb=a,a.None=Object.freeze({dispose(){}});class p{constructor(){this.b=!1,g(this)}get value(){return this.b?void 0:this.a}set value(d){this.b||d===this.a||(this.a?.dispose(),d&&m(d,this),this.a=d)}clear(){this.value=void 0}dispose(){this.b=!0,k(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const d=this.a;return this.a=void 0,d&&m(d,null),d}}e.$lb=p;class f{constructor(d){this.b=d,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}e.$mb=f;class E{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,g(this)}set(d){let S=d;return this.unset=()=>S=void 0,this.isset=()=>S!==void 0,this.dispose=()=>{S&&(S(),S=void 0,k(this))},this}}e.$nb=E;class n{constructor(){this.a=new Map}acquire(d,...S){let y=this.a.get(d);y||(y={counter:0,object:this.b(d,...S)},this.a.set(d,y));const{object:c}=y,r=(0,b.$bb)(()=>{--y.counter===0&&(this.c(d,y.object),this.a.delete(d))});return y.counter++,{object:c,dispose:r}}}e.$ob=n;class o{constructor(d){this.a=d}async acquire(d,...S){const y=this.a.acquire(d,...S);try{return{object:await y.object,dispose:()=>y.dispose()}}catch(c){throw y.dispose(),c}}}e.$pb=o;class s{constructor(d){this.object=d}dispose(){}}e.$qb=s;function t($){const d=new l;try{$(d)}finally{d.dispose()}}e.$rb=t;class u{constructor(){this.a=new Map,this.b=!1,g(this)}dispose(){k(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this.a.size)try{D(this.a.values())}finally{this.a.clear()}}has(d){return this.a.has(d)}get(d){return this.a.get(d)}set(d,S,y=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),y||this.a.get(d)?.dispose(),this.a.set(d,S)}deleteAndDispose(d){this.a.get(d)?.dispose(),this.a.delete(d)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}e.$sb=u}),define(De[68],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jc=void 0;class b{constructor(F){this.element=F,this.next=b.Undefined,this.prev=b.Undefined}}b.Undefined=new b(void 0);class A{constructor(){this.a=b.Undefined,this.b=b.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===b.Undefined}clear(){let F=this.a;for(;F!==b.Undefined;){const R=F.next;F.prev=b.Undefined,F.next=b.Undefined,F=R}this.a=b.Undefined,this.b=b.Undefined,this.c=0}unshift(F){return this.d(F,!1)}push(F){return this.d(F,!0)}d(F,R){const g=new b(F);if(this.a===b.Undefined)this.a=g,this.b=g;else if(R){const m=this.b;this.b=g,g.prev=m,m.next=g}else{const m=this.a;this.a=g,g.next=m,m.prev=g}this.c+=1;let k=!1;return()=>{k||(k=!0,this.e(g))}}shift(){if(this.a!==b.Undefined){const F=this.a.element;return this.e(this.a),F}}pop(){if(this.b!==b.Undefined){const F=this.b.element;return this.e(this.b),F}}e(F){if(F.prev!==b.Undefined&&F.next!==b.Undefined){const R=F.prev;R.next=F.next,F.next.prev=R}else F.prev===b.Undefined&&F.next===b.Undefined?(this.a=b.Undefined,this.b=b.Undefined):F.next===b.Undefined?(this.b=this.b.prev,this.b.next=b.Undefined):F.prev===b.Undefined&&(this.a=this.a.next,this.a.prev=b.Undefined);this.c-=1}*[Symbol.iterator](){let F=this.a;for(;F!==b.Undefined;)yield F.element,F=F.next}}e.$jc=A}),define(De[28],Ce([1,0]),function(re,e){"use strict";var b,A,h;Object.defineProperty(e,"__esModule",{value:!0}),e.$ni=e.$mi=e.$li=e.Touch=e.$ki=e.$ji=e.$ii=e.$hi=e.$gi=void 0;function F(w,i,l){let a=w.get(i);return a===void 0&&(a=l,w.set(i,a)),a}e.$gi=F;function R(w){const i=[];return w.forEach((l,a)=>{i.push(`${a} => ${l}`)}),`Map(${w.size}) {${i.join(", ")}}`}e.$hi=R;function g(w){const i=[];return w.forEach(l=>{i.push(l)}),`Set(${w.size}) {${i.join(", ")}}`}e.$ii=g;class k{constructor(i,l){this.uri=i,this.value=l}}class m{constructor(i,l){this[b]="ResourceMap",i instanceof m?(this.b=new Map(i.b),this.c=l??m.a):(this.b=new Map,this.c=i??m.a)}set(i,l){return this.b.set(this.c(i),new k(i,l)),this}get(i){return this.b.get(this.c(i))?.value}has(i){return this.b.has(this.c(i))}get size(){return this.b.size}clear(){this.b.clear()}delete(i){return this.b.delete(this.c(i))}forEach(i,l){typeof l<"u"&&(i=i.bind(l));for(const[a,p]of this.b)i(p.value,p.uri,this)}*values(){for(const i of this.b.values())yield i.value}*keys(){for(const i of this.b.values())yield i.uri}*entries(){for(const i of this.b.values())yield[i.uri,i.value]}*[(b=Symbol.toStringTag,Symbol.iterator)](){for(const[,i]of this.b)yield[i.uri,i.value]}}e.$ji=m,m.a=w=>w.toString();class L{constructor(i,l){this[A]="ResourceSet",!i||typeof i=="function"?this.a=new m(i):(this.a=new m(l),i.forEach(this.add,this))}get size(){return this.a.size}add(i){return this.a.set(i,i),this}clear(){this.a.clear()}delete(i){return this.a.delete(i)}forEach(i,l){this.a.forEach((a,p)=>i.call(l,p,p,this))}has(i){return this.a.has(i)}entries(){return this.a.entries()}keys(){return this.a.keys()}values(){return this.a.keys()}[(A=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.$ki=L;var I;(function(w){w[w.None=0]="None",w[w.AsOld=1]="AsOld",w[w.AsNew=2]="AsNew"})(I||(e.Touch=I={}));class v{constructor(){this[h]="LinkedMap",this.a=new Map,this.b=void 0,this.c=void 0,this.d=0,this.e=0}clear(){this.a.clear(),this.b=void 0,this.c=void 0,this.d=0,this.e++}isEmpty(){return!this.b&&!this.c}get size(){return this.d}get first(){return this.b?.value}get last(){return this.c?.value}has(i){return this.a.has(i)}get(i,l=0){const a=this.a.get(i);if(a)return l!==0&&this.j(a,l),a.value}set(i,l,a=0){let p=this.a.get(i);if(p)p.value=l,a!==0&&this.j(p,a);else{switch(p={key:i,value:l,next:void 0,previous:void 0},a){case 0:this.h(p);break;case 1:this.g(p);break;case 2:this.h(p);break;default:this.h(p);break}this.a.set(i,p),this.d++}return this}delete(i){return!!this.remove(i)}remove(i){const l=this.a.get(i);if(l)return this.a.delete(i),this.i(l),this.d--,l.value}shift(){if(!this.b&&!this.c)return;if(!this.b||!this.c)throw new Error("Invalid list");const i=this.b;return this.a.delete(i.key),this.i(i),this.d--,i.value}forEach(i,l){const a=this.e;let p=this.b;for(;p;){if(l?i.bind(l)(p.value,p.key,this):i(p.value,p.key,this),this.e!==a)throw new Error("LinkedMap got modified during iteration.");p=p.next}}keys(){const i=this,l=this.e;let a=this.b;const p={[Symbol.iterator](){return p},next(){if(i.e!==l)throw new Error("LinkedMap got modified during iteration.");if(a){const f={value:a.key,done:!1};return a=a.next,f}else return{value:void 0,done:!0}}};return p}values(){const i=this,l=this.e;let a=this.b;const p={[Symbol.iterator](){return p},next(){if(i.e!==l)throw new Error("LinkedMap got modified during iteration.");if(a){const f={value:a.value,done:!1};return a=a.next,f}else return{value:void 0,done:!0}}};return p}entries(){const i=this,l=this.e;let a=this.b;const p={[Symbol.iterator](){return p},next(){if(i.e!==l)throw new Error("LinkedMap got modified during iteration.");if(a){const f={value:[a.key,a.value],done:!1};return a=a.next,f}else return{value:void 0,done:!0}}};return p}[(h=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}f(i){if(i>=this.size)return;if(i===0){this.clear();return}let l=this.b,a=this.size;for(;l&&a>i;)this.a.delete(l.key),l=l.next,a--;this.b=l,this.d=a,l&&(l.previous=void 0),this.e++}g(i){if(!this.b&&!this.c)this.c=i;else if(this.b)i.next=this.b,this.b.previous=i;else throw new Error("Invalid list");this.b=i,this.e++}h(i){if(!this.b&&!this.c)this.b=i;else if(this.c)i.previous=this.c,this.c.next=i;else throw new Error("Invalid list");this.c=i,this.e++}i(i){if(i===this.b&&i===this.c)this.b=void 0,this.c=void 0;else if(i===this.b){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this.b=i.next}else if(i===this.c){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this.c=i.previous}else{const l=i.next,a=i.previous;if(!l||!a)throw new Error("Invalid list");l.previous=a,a.next=l}i.next=void 0,i.previous=void 0,this.e++}j(i,l){if(!this.b||!this.c)throw new Error("Invalid list");if(!(l!==1&&l!==2)){if(l===1){if(i===this.b)return;const a=i.next,p=i.previous;i===this.c?(p.next=void 0,this.c=p):(a.previous=p,p.next=a),i.previous=void 0,i.next=this.b,this.b.previous=i,this.b=i,this.e++}else if(l===2){if(i===this.c)return;const a=i.next,p=i.previous;i===this.b?(a.previous=void 0,this.b=a):(a.previous=p,p.next=a),i.next=void 0,i.previous=this.c,this.c.next=i,this.c=i,this.e++}}}toJSON(){const i=[];return this.forEach((l,a)=>{i.push([a,l])}),i}fromJSON(i){this.clear();for(const[l,a]of i)this.set(l,a)}}e.$li=v;class D extends v{constructor(i,l=1){super(),this.k=i,this.l=Math.min(Math.max(0,l),1)}get limit(){return this.k}set limit(i){this.k=i,this.m()}get ratio(){return this.l}set ratio(i){this.l=Math.min(Math.max(0,i),1),this.m()}get(i,l=2){return super.get(i,l)}peek(i){return super.get(i,0)}set(i,l){return super.set(i,l,2),this.m(),this}m(){this.size>this.k&&this.f(Math.round(this.k*this.l))}}e.$mi=D;class C{constructor(){this.a=new Map}add(i){return this.a.set(i,(this.a.get(i)||0)+1),this}delete(i){let l=this.a.get(i)||0;return l===0?!1:(l--,l===0?this.a.delete(i):this.a.set(i,l),!0)}has(i){return this.a.has(i)}}e.$ni=C}),function(re,e){typeof define=="function"&&define.amd?define(De[151],Ce([0]),e):typeof exports=="object"&&typeof module<"u"?e(exports):(re=typeof globalThis<"u"?globalThis:re||self,e(re.marked={}))}(this,function(re){"use strict";function e(ee,te){for(var ue=0;ue<te.length;ue++){var Z=te[ue];Z.enumerable=Z.enumerable||!1,Z.configurable=!0,"value"in Z&&(Z.writable=!0),Object.defineProperty(ee,Z.key,Z)}}function b(ee,te,ue){return te&&e(ee.prototype,te),ue&&e(ee,ue),Object.defineProperty(ee,"prototype",{writable:!1}),ee}function A(ee,te){if(ee){if(typeof ee=="string")return h(ee,te);var ue=Object.prototype.toString.call(ee).slice(8,-1);if(ue==="Object"&&ee.constructor&&(ue=ee.constructor.name),ue==="Map"||ue==="Set")return Array.from(ee);if(ue==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(ue))return h(ee,te)}}function h(ee,te){(te==null||te>ee.length)&&(te=ee.length);for(var ue=0,Z=new Array(te);ue<te;ue++)Z[ue]=ee[ue];return Z}function F(ee,te){var ue=typeof Symbol<"u"&&ee[Symbol.iterator]||ee["@@iterator"];if(ue)return(ue=ue.call(ee)).next.bind(ue);if(Array.isArray(ee)||(ue=A(ee))||te&&ee&&typeof ee.length=="number"){ue&&(ee=ue);var Z=0;return function(){return Z>=ee.length?{done:!0}:{done:!1,value:ee[Z++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function R(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}re.defaults=R();function g(ee){re.defaults=ee}var k=/[&<>"']/,m=/[&<>"']/g,L=/[<>"']|&(?!#?\w+;)/,I=/[<>"']|&(?!#?\w+;)/g,v={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},D=function(te){return v[te]};function C(ee,te){if(te){if(k.test(ee))return ee.replace(m,D)}else if(L.test(ee))return ee.replace(I,D);return ee}var w=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function i(ee){return ee.replace(w,function(te,ue){return ue=ue.toLowerCase(),ue==="colon"?":":ue.charAt(0)==="#"?ue.charAt(1)==="x"?String.fromCharCode(parseInt(ue.substring(2),16)):String.fromCharCode(+ue.substring(1)):""})}var l=/(^|[^\[])\^/g;function a(ee,te){ee=typeof ee=="string"?ee:ee.source,te=te||"";var ue={replace:function(le,se){return se=se.source||se,se=se.replace(l,"$1"),ee=ee.replace(le,se),ue},getRegex:function(){return new RegExp(ee,te)}};return ue}var p=/[^\w:]/g,f=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function E(ee,te,ue){if(ee){var Z;try{Z=decodeURIComponent(i(ue)).replace(p,"").toLowerCase()}catch{return null}if(Z.indexOf("javascript:")===0||Z.indexOf("vbscript:")===0||Z.indexOf("data:")===0)return null}te&&!f.test(ue)&&(ue=u(te,ue));try{ue=encodeURI(ue).replace(/%25/g,"%")}catch{return null}return ue}var n={},o=/^[^:]+:\/*[^/]*$/,s=/^([^:]+:)[\s\S]*$/,t=/^([^:]+:\/*[^/]*)[\s\S]*$/;function u(ee,te){n[" "+ee]||(o.test(ee)?n[" "+ee]=ee+"/":n[" "+ee]=y(ee,"/",!0)),ee=n[" "+ee];var ue=ee.indexOf(":")===-1;return te.substring(0,2)==="//"?ue?te:ee.replace(s,"$1")+te:te.charAt(0)==="/"?ue?te:ee.replace(t,"$1")+te:ee+te}var $={exec:function(){}};function d(ee){for(var te=1,ue,Z;te<arguments.length;te++){ue=arguments[te];for(Z in ue)Object.prototype.hasOwnProperty.call(ue,Z)&&(ee[Z]=ue[Z])}return ee}function S(ee,te){var ue=ee.replace(/\|/g,function(se,oe,T){for(var K=!1,X=oe;--X>=0&&T[X]==="\\";)K=!K;return K?"|":" |"}),Z=ue.split(/ \|/),le=0;if(Z[0].trim()||Z.shift(),Z.length>0&&!Z[Z.length-1].trim()&&Z.pop(),Z.length>te)Z.splice(te);else for(;Z.length<te;)Z.push("");for(;le<Z.length;le++)Z[le]=Z[le].trim().replace(/\\\|/g,"|");return Z}function y(ee,te,ue){var Z=ee.length;if(Z===0)return"";for(var le=0;le<Z;){var se=ee.charAt(Z-le-1);if(se===te&&!ue)le++;else if(se!==te&&ue)le++;else break}return ee.slice(0,Z-le)}function c(ee,te){if(ee.indexOf(te[1])===-1)return-1;for(var ue=ee.length,Z=0,le=0;le<ue;le++)if(ee[le]==="\\")le++;else if(ee[le]===te[0])Z++;else if(ee[le]===te[1]&&(Z--,Z<0))return le;return-1}function r(ee){ee&&ee.sanitize&&!ee.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function P(ee,te){if(te<1)return"";for(var ue="";te>1;)te&1&&(ue+=ee),te>>=1,ee+=ee;return ue+ee}function N(ee,te,ue,Z){var le=te.href,se=te.title?C(te.title):null,oe=ee[1].replace(/\\([\[\]])/g,"$1");if(ee[0].charAt(0)!=="!"){Z.state.inLink=!0;var T={type:"link",raw:ue,href:le,title:se,text:oe,tokens:Z.inlineTokens(oe)};return Z.state.inLink=!1,T}return{type:"image",raw:ue,href:le,title:se,text:C(oe)}}function U(ee,te){var ue=ee.match(/^(\s+)(?:```)/);if(ue===null)return te;var Z=ue[1];return te.split(`
`).map(function(le){var se=le.match(/^\s+/);if(se===null)return le;var oe=se[0];return oe.length>=Z.length?le.slice(Z.length):le}).join(`
`)}var q=function(){function ee(ue){this.options=ue||re.defaults}var te=ee.prototype;return te.space=function(Z){var le=this.rules.block.newline.exec(Z);if(le&&le[0].length>0)return{type:"space",raw:le[0]}},te.code=function(Z){var le=this.rules.block.code.exec(Z);if(le){var se=le[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:le[0],codeBlockStyle:"indented",text:this.options.pedantic?se:y(se,`
`)}}},te.fences=function(Z){var le=this.rules.block.fences.exec(Z);if(le){var se=le[0],oe=U(se,le[3]||"");return{type:"code",raw:se,lang:le[2]?le[2].trim():le[2],text:oe}}},te.heading=function(Z){var le=this.rules.block.heading.exec(Z);if(le){var se=le[2].trim();if(/#$/.test(se)){var oe=y(se,"#");(this.options.pedantic||!oe||/ $/.test(oe))&&(se=oe.trim())}return{type:"heading",raw:le[0],depth:le[1].length,text:se,tokens:this.lexer.inline(se)}}},te.hr=function(Z){var le=this.rules.block.hr.exec(Z);if(le)return{type:"hr",raw:le[0]}},te.blockquote=function(Z){var le=this.rules.block.blockquote.exec(Z);if(le){var se=le[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:le[0],tokens:this.lexer.blockTokens(se,[]),text:se}}},te.list=function(Z){var le=this.rules.block.list.exec(Z);if(le){var se,oe,T,K,X,x,me,Ee,fe,Ie,Pe,qe,Ve=le[1].trim(),tt=Ve.length>1,Ge={type:"list",raw:"",ordered:tt,start:tt?+Ve.slice(0,-1):"",loose:!1,items:[]};Ve=tt?"\\d{1,9}\\"+Ve.slice(-1):"\\"+Ve,this.options.pedantic&&(Ve=tt?Ve:"[*+-]");for(var Qe=new RegExp("^( {0,3}"+Ve+")((?:[	 ][^\\n]*)?(?:\\n|$))");Z&&(qe=!1,!(!(le=Qe.exec(Z))||this.rules.block.hr.test(Z)));){if(se=le[0],Z=Z.substring(se.length),Ee=le[2].split(`
`,1)[0],fe=Z.split(`
`,1)[0],this.options.pedantic?(K=2,Pe=Ee.trimLeft()):(K=le[2].search(/[^ ]/),K=K>4?1:K,Pe=Ee.slice(K),K+=le[1].length),x=!1,!Ee&&/^ *$/.test(fe)&&(se+=fe+`
`,Z=Z.substring(fe.length+1),qe=!0),!qe)for(var st=new RegExp("^ {0,"+Math.min(3,K-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),at=new RegExp("^ {0,"+Math.min(3,K-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)"),xe=new RegExp("^ {0,"+Math.min(3,K-1)+"}(?:```|~~~)"),rt=new RegExp("^ {0,"+Math.min(3,K-1)+"}#");Z&&(Ie=Z.split(`
`,1)[0],Ee=Ie,this.options.pedantic&&(Ee=Ee.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(xe.test(Ee)||rt.test(Ee)||st.test(Ee)||at.test(Z)));){if(Ee.search(/[^ ]/)>=K||!Ee.trim())Pe+=`
`+Ee.slice(K);else if(!x)Pe+=`
`+Ee;else break;!x&&!Ee.trim()&&(x=!0),se+=Ie+`
`,Z=Z.substring(Ie.length+1)}Ge.loose||(me?Ge.loose=!0:/\n *\n *$/.test(se)&&(me=!0)),this.options.gfm&&(oe=/^\[[ xX]\] /.exec(Pe),oe&&(T=oe[0]!=="[ ] ",Pe=Pe.replace(/^\[[ xX]\] +/,""))),Ge.items.push({type:"list_item",raw:se,task:!!oe,checked:T,loose:!1,text:Pe}),Ge.raw+=se}Ge.items[Ge.items.length-1].raw=se.trimRight(),Ge.items[Ge.items.length-1].text=Pe.trimRight(),Ge.raw=Ge.raw.trimRight();var de=Ge.items.length;for(X=0;X<de;X++){this.lexer.state.top=!1,Ge.items[X].tokens=this.lexer.blockTokens(Ge.items[X].text,[]);var Me=Ge.items[X].tokens.filter(function(Y){return Y.type==="space"}),_=Me.every(function(Y){for(var we=Y.raw.split(""),je=0,Oe=F(we),Ze;!(Ze=Oe()).done;){var et=Ze.value;if(et===`
`&&(je+=1),je>1)return!0}return!1});!Ge.loose&&Me.length&&_&&(Ge.loose=!0,Ge.items[X].loose=!0)}return Ge}},te.html=function(Z){var le=this.rules.block.html.exec(Z);if(le){var se={type:"html",raw:le[0],pre:!this.options.sanitizer&&(le[1]==="pre"||le[1]==="script"||le[1]==="style"),text:le[0]};if(this.options.sanitize){var oe=this.options.sanitizer?this.options.sanitizer(le[0]):C(le[0]);se.type="paragraph",se.text=oe,se.tokens=this.lexer.inline(oe)}return se}},te.def=function(Z){var le=this.rules.block.def.exec(Z);if(le){le[3]&&(le[3]=le[3].substring(1,le[3].length-1));var se=le[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:se,raw:le[0],href:le[2],title:le[3]}}},te.table=function(Z){var le=this.rules.block.table.exec(Z);if(le){var se={type:"table",header:S(le[1]).map(function(me){return{text:me}}),align:le[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:le[3]&&le[3].trim()?le[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(se.header.length===se.align.length){se.raw=le[0];var oe=se.align.length,T,K,X,x;for(T=0;T<oe;T++)/^ *-+: *$/.test(se.align[T])?se.align[T]="right":/^ *:-+: *$/.test(se.align[T])?se.align[T]="center":/^ *:-+ *$/.test(se.align[T])?se.align[T]="left":se.align[T]=null;for(oe=se.rows.length,T=0;T<oe;T++)se.rows[T]=S(se.rows[T],se.header.length).map(function(me){return{text:me}});for(oe=se.header.length,K=0;K<oe;K++)se.header[K].tokens=this.lexer.inline(se.header[K].text);for(oe=se.rows.length,K=0;K<oe;K++)for(x=se.rows[K],X=0;X<x.length;X++)x[X].tokens=this.lexer.inline(x[X].text);return se}}},te.lheading=function(Z){var le=this.rules.block.lheading.exec(Z);if(le)return{type:"heading",raw:le[0],depth:le[2].charAt(0)==="="?1:2,text:le[1],tokens:this.lexer.inline(le[1])}},te.paragraph=function(Z){var le=this.rules.block.paragraph.exec(Z);if(le){var se=le[1].charAt(le[1].length-1)===`
`?le[1].slice(0,-1):le[1];return{type:"paragraph",raw:le[0],text:se,tokens:this.lexer.inline(se)}}},te.text=function(Z){var le=this.rules.block.text.exec(Z);if(le)return{type:"text",raw:le[0],text:le[0],tokens:this.lexer.inline(le[0])}},te.escape=function(Z){var le=this.rules.inline.escape.exec(Z);if(le)return{type:"escape",raw:le[0],text:C(le[1])}},te.tag=function(Z){var le=this.rules.inline.tag.exec(Z);if(le)return!this.lexer.state.inLink&&/^<a /i.test(le[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(le[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(le[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(le[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:le[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(le[0]):C(le[0]):le[0]}},te.link=function(Z){var le=this.rules.inline.link.exec(Z);if(le){var se=le[2].trim();if(!this.options.pedantic&&/^</.test(se)){if(!/>$/.test(se))return;var oe=y(se.slice(0,-1),"\\");if((se.length-oe.length)%2===0)return}else{var T=c(le[2],"()");if(T>-1){var K=le[0].indexOf("!")===0?5:4,X=K+le[1].length+T;le[2]=le[2].substring(0,T),le[0]=le[0].substring(0,X).trim(),le[3]=""}}var x=le[2],me="";if(this.options.pedantic){var Ee=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(x);Ee&&(x=Ee[1],me=Ee[3])}else me=le[3]?le[3].slice(1,-1):"";return x=x.trim(),/^</.test(x)&&(this.options.pedantic&&!/>$/.test(se)?x=x.slice(1):x=x.slice(1,-1)),N(le,{href:x&&x.replace(this.rules.inline._escapes,"$1"),title:me&&me.replace(this.rules.inline._escapes,"$1")},le[0],this.lexer)}},te.reflink=function(Z,le){var se;if((se=this.rules.inline.reflink.exec(Z))||(se=this.rules.inline.nolink.exec(Z))){var oe=(se[2]||se[1]).replace(/\s+/g," ");if(oe=le[oe.toLowerCase()],!oe||!oe.href){var T=se[0].charAt(0);return{type:"text",raw:T,text:T}}return N(se,oe,se[0],this.lexer)}},te.emStrong=function(Z,le,se){se===void 0&&(se="");var oe=this.rules.inline.emStrong.lDelim.exec(Z);if(oe&&!(oe[3]&&se.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var T=oe[1]||oe[2]||"";if(!T||T&&(se===""||this.rules.inline.punctuation.exec(se))){var K=oe[0].length-1,X,x,me=K,Ee=0,fe=oe[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(fe.lastIndex=0,le=le.slice(-1*Z.length+K);(oe=fe.exec(le))!=null;)if(X=oe[1]||oe[2]||oe[3]||oe[4]||oe[5]||oe[6],!!X){if(x=X.length,oe[3]||oe[4]){me+=x;continue}else if((oe[5]||oe[6])&&K%3&&!((K+x)%3)){Ee+=x;continue}if(me-=x,!(me>0)){if(x=Math.min(x,x+me+Ee),Math.min(K,x)%2){var Ie=Z.slice(1,K+oe.index+x);return{type:"em",raw:Z.slice(0,K+oe.index+x+1),text:Ie,tokens:this.lexer.inlineTokens(Ie)}}var Pe=Z.slice(2,K+oe.index+x-1);return{type:"strong",raw:Z.slice(0,K+oe.index+x+1),text:Pe,tokens:this.lexer.inlineTokens(Pe)}}}}}},te.codespan=function(Z){var le=this.rules.inline.code.exec(Z);if(le){var se=le[2].replace(/\n/g," "),oe=/[^ ]/.test(se),T=/^ /.test(se)&&/ $/.test(se);return oe&&T&&(se=se.substring(1,se.length-1)),se=C(se,!0),{type:"codespan",raw:le[0],text:se}}},te.br=function(Z){var le=this.rules.inline.br.exec(Z);if(le)return{type:"br",raw:le[0]}},te.del=function(Z){var le=this.rules.inline.del.exec(Z);if(le)return{type:"del",raw:le[0],text:le[2],tokens:this.lexer.inlineTokens(le[2])}},te.autolink=function(Z,le){var se=this.rules.inline.autolink.exec(Z);if(se){var oe,T;return se[2]==="@"?(oe=C(this.options.mangle?le(se[1]):se[1]),T="mailto:"+oe):(oe=C(se[1]),T=oe),{type:"link",raw:se[0],text:oe,href:T,tokens:[{type:"text",raw:oe,text:oe}]}}},te.url=function(Z,le){var se;if(se=this.rules.inline.url.exec(Z)){var oe,T;if(se[2]==="@")oe=C(this.options.mangle?le(se[0]):se[0]),T="mailto:"+oe;else{var K;do K=se[0],se[0]=this.rules.inline._backpedal.exec(se[0])[0];while(K!==se[0]);oe=C(se[0]),se[1]==="www."?T="http://"+oe:T=oe}return{type:"link",raw:se[0],text:oe,href:T,tokens:[{type:"text",raw:oe,text:oe}]}}},te.inlineText=function(Z,le){var se=this.rules.inline.text.exec(Z);if(se){var oe;return this.lexer.state.inRawBlock?oe=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(se[0]):C(se[0]):se[0]:oe=C(this.options.smartypants?le(se[0]):se[0]),{type:"text",raw:se[0],text:oe}}},ee}(),W={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:$,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};W._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,W._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,W.def=a(W.def).replace("label",W._label).replace("title",W._title).getRegex(),W.bullet=/(?:[*+-]|\d{1,9}[.)])/,W.listItemStart=a(/^( *)(bull) */).replace("bull",W.bullet).getRegex(),W.list=a(W.list).replace(/bull/g,W.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+W.def.source+")").getRegex(),W._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",W._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,W.html=a(W.html,"i").replace("comment",W._comment).replace("tag",W._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),W.paragraph=a(W._paragraph).replace("hr",W.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",W._tag).getRegex(),W.blockquote=a(W.blockquote).replace("paragraph",W.paragraph).getRegex(),W.normal=d({},W),W.gfm=d({},W.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),W.gfm.table=a(W.gfm.table).replace("hr",W.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",W._tag).getRegex(),W.gfm.paragraph=a(W._paragraph).replace("hr",W.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",W.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",W._tag).getRegex(),W.pedantic=d({},W.normal,{html:a(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",W._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:$,paragraph:a(W.normal._paragraph).replace("hr",W.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",W.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var O={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:$,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:$,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};O._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",O.punctuation=a(O.punctuation).replace(/punctuation/g,O._punctuation).getRegex(),O.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,O.escapedEmSt=/\\\*|\\_/g,O._comment=a(W._comment).replace("(?:-->|$)","-->").getRegex(),O.emStrong.lDelim=a(O.emStrong.lDelim).replace(/punct/g,O._punctuation).getRegex(),O.emStrong.rDelimAst=a(O.emStrong.rDelimAst,"g").replace(/punct/g,O._punctuation).getRegex(),O.emStrong.rDelimUnd=a(O.emStrong.rDelimUnd,"g").replace(/punct/g,O._punctuation).getRegex(),O._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,O._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,O._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,O.autolink=a(O.autolink).replace("scheme",O._scheme).replace("email",O._email).getRegex(),O._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,O.tag=a(O.tag).replace("comment",O._comment).replace("attribute",O._attribute).getRegex(),O._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,O._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,O._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,O.link=a(O.link).replace("label",O._label).replace("href",O._href).replace("title",O._title).getRegex(),O.reflink=a(O.reflink).replace("label",O._label).replace("ref",W._label).getRegex(),O.nolink=a(O.nolink).replace("ref",W._label).getRegex(),O.reflinkSearch=a(O.reflinkSearch,"g").replace("reflink",O.reflink).replace("nolink",O.nolink).getRegex(),O.normal=d({},O),O.pedantic=d({},O.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:a(/^!?\[(label)\]\((.*?)\)/).replace("label",O._label).getRegex(),reflink:a(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",O._label).getRegex()}),O.gfm=d({},O.normal,{escape:a(O.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),O.gfm.url=a(O.gfm.url,"i").replace("email",O.gfm._extended_email).getRegex(),O.breaks=d({},O.gfm,{br:a(O.br).replace("{2,}","*").getRegex(),text:a(O.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function J(ee){return ee.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function z(ee){var te="",ue,Z,le=ee.length;for(ue=0;ue<le;ue++)Z=ee.charCodeAt(ue),Math.random()>.5&&(Z="x"+Z.toString(16)),te+="&#"+Z+";";return te}var j=function(){function ee(ue){this.tokens=[],this.tokens.links=Object.create(null),this.options=ue||re.defaults,this.options.tokenizer=this.options.tokenizer||new q,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var Z={block:W.normal,inline:O.normal};this.options.pedantic?(Z.block=W.pedantic,Z.inline=O.pedantic):this.options.gfm&&(Z.block=W.gfm,this.options.breaks?Z.inline=O.breaks:Z.inline=O.gfm),this.tokenizer.rules=Z}ee.lex=function(Z,le){var se=new ee(le);return se.lex(Z)},ee.lexInline=function(Z,le){var se=new ee(le);return se.inlineTokens(Z)};var te=ee.prototype;return te.lex=function(Z){Z=Z.replace(/\r\n|\r/g,`
`),this.blockTokens(Z,this.tokens);for(var le;le=this.inlineQueue.shift();)this.inlineTokens(le.src,le.tokens);return this.tokens},te.blockTokens=function(Z,le){var se=this;le===void 0&&(le=[]),this.options.pedantic?Z=Z.replace(/\t/g,"    ").replace(/^ +$/gm,""):Z=Z.replace(/^( *)(\t+)/gm,function(me,Ee,fe){return Ee+"    ".repeat(fe.length)});for(var oe,T,K,X;Z;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(me){return(oe=me.call({lexer:se},Z,le))?(Z=Z.substring(oe.raw.length),le.push(oe),!0):!1}))){if(oe=this.tokenizer.space(Z)){Z=Z.substring(oe.raw.length),oe.raw.length===1&&le.length>0?le[le.length-1].raw+=`
`:le.push(oe);continue}if(oe=this.tokenizer.code(Z)){Z=Z.substring(oe.raw.length),T=le[le.length-1],T&&(T.type==="paragraph"||T.type==="text")?(T.raw+=`
`+oe.raw,T.text+=`
`+oe.text,this.inlineQueue[this.inlineQueue.length-1].src=T.text):le.push(oe);continue}if(oe=this.tokenizer.fences(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.heading(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.hr(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.blockquote(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.list(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.html(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.def(Z)){Z=Z.substring(oe.raw.length),T=le[le.length-1],T&&(T.type==="paragraph"||T.type==="text")?(T.raw+=`
`+oe.raw,T.text+=`
`+oe.raw,this.inlineQueue[this.inlineQueue.length-1].src=T.text):this.tokens.links[oe.tag]||(this.tokens.links[oe.tag]={href:oe.href,title:oe.title});continue}if(oe=this.tokenizer.table(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.lheading(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(K=Z,this.options.extensions&&this.options.extensions.startBlock&&function(){var me=1/0,Ee=Z.slice(1),fe=void 0;se.options.extensions.startBlock.forEach(function(Ie){fe=Ie.call({lexer:this},Ee),typeof fe=="number"&&fe>=0&&(me=Math.min(me,fe))}),me<1/0&&me>=0&&(K=Z.substring(0,me+1))}(),this.state.top&&(oe=this.tokenizer.paragraph(K))){T=le[le.length-1],X&&T.type==="paragraph"?(T.raw+=`
`+oe.raw,T.text+=`
`+oe.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=T.text):le.push(oe),X=K.length!==Z.length,Z=Z.substring(oe.raw.length);continue}if(oe=this.tokenizer.text(Z)){Z=Z.substring(oe.raw.length),T=le[le.length-1],T&&T.type==="text"?(T.raw+=`
`+oe.raw,T.text+=`
`+oe.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=T.text):le.push(oe);continue}if(Z){var x="Infinite loop on byte: "+Z.charCodeAt(0);if(this.options.silent){console.error(x);break}else throw new Error(x)}}return this.state.top=!0,le},te.inline=function(Z,le){return le===void 0&&(le=[]),this.inlineQueue.push({src:Z,tokens:le}),le},te.inlineTokens=function(Z,le){var se=this;le===void 0&&(le=[]);var oe,T,K,X=Z,x,me,Ee;if(this.tokens.links){var fe=Object.keys(this.tokens.links);if(fe.length>0)for(;(x=this.tokenizer.rules.inline.reflinkSearch.exec(X))!=null;)fe.includes(x[0].slice(x[0].lastIndexOf("[")+1,-1))&&(X=X.slice(0,x.index)+"["+P("a",x[0].length-2)+"]"+X.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(x=this.tokenizer.rules.inline.blockSkip.exec(X))!=null;)X=X.slice(0,x.index)+"["+P("a",x[0].length-2)+"]"+X.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(x=this.tokenizer.rules.inline.escapedEmSt.exec(X))!=null;)X=X.slice(0,x.index)+"++"+X.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;Z;)if(me||(Ee=""),me=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(Pe){return(oe=Pe.call({lexer:se},Z,le))?(Z=Z.substring(oe.raw.length),le.push(oe),!0):!1}))){if(oe=this.tokenizer.escape(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.tag(Z)){Z=Z.substring(oe.raw.length),T=le[le.length-1],T&&oe.type==="text"&&T.type==="text"?(T.raw+=oe.raw,T.text+=oe.text):le.push(oe);continue}if(oe=this.tokenizer.link(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.reflink(Z,this.tokens.links)){Z=Z.substring(oe.raw.length),T=le[le.length-1],T&&oe.type==="text"&&T.type==="text"?(T.raw+=oe.raw,T.text+=oe.text):le.push(oe);continue}if(oe=this.tokenizer.emStrong(Z,X,Ee)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.codespan(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.br(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.del(Z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(oe=this.tokenizer.autolink(Z,z)){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(!this.state.inLink&&(oe=this.tokenizer.url(Z,z))){Z=Z.substring(oe.raw.length),le.push(oe);continue}if(K=Z,this.options.extensions&&this.options.extensions.startInline&&function(){var Pe=1/0,qe=Z.slice(1),Ve=void 0;se.options.extensions.startInline.forEach(function(tt){Ve=tt.call({lexer:this},qe),typeof Ve=="number"&&Ve>=0&&(Pe=Math.min(Pe,Ve))}),Pe<1/0&&Pe>=0&&(K=Z.substring(0,Pe+1))}(),oe=this.tokenizer.inlineText(K,J)){Z=Z.substring(oe.raw.length),oe.raw.slice(-1)!=="_"&&(Ee=oe.raw.slice(-1)),me=!0,T=le[le.length-1],T&&T.type==="text"?(T.raw+=oe.raw,T.text+=oe.text):le.push(oe);continue}if(Z){var Ie="Infinite loop on byte: "+Z.charCodeAt(0);if(this.options.silent){console.error(Ie);break}else throw new Error(Ie)}}return le},b(ee,null,[{key:"rules",get:function(){return{block:W,inline:O}}}]),ee}(),he=function(){function ee(ue){this.options=ue||re.defaults}var te=ee.prototype;return te.code=function(Z,le,se){var oe=(le||"").match(/\S*/)[0];if(this.options.highlight){var T=this.options.highlight(Z,oe);T!=null&&T!==Z&&(se=!0,Z=T)}return Z=Z.replace(/\n$/,"")+`
`,oe?'<pre><code class="'+this.options.langPrefix+C(oe,!0)+'">'+(se?Z:C(Z,!0))+`</code></pre>
`:"<pre><code>"+(se?Z:C(Z,!0))+`</code></pre>
`},te.blockquote=function(Z){return`<blockquote>
`+Z+`</blockquote>
`},te.html=function(Z){return Z},te.heading=function(Z,le,se,oe){if(this.options.headerIds){var T=this.options.headerPrefix+oe.slug(se);return"<h"+le+' id="'+T+'">'+Z+"</h"+le+`>
`}return"<h"+le+">"+Z+"</h"+le+`>
`},te.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},te.list=function(Z,le,se){var oe=le?"ol":"ul",T=le&&se!==1?' start="'+se+'"':"";return"<"+oe+T+`>
`+Z+"</"+oe+`>
`},te.listitem=function(Z){return"<li>"+Z+`</li>
`},te.checkbox=function(Z){return"<input "+(Z?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},te.paragraph=function(Z){return"<p>"+Z+`</p>
`},te.table=function(Z,le){return le&&(le="<tbody>"+le+"</tbody>"),`<table>
<thead>
`+Z+`</thead>
`+le+`</table>
`},te.tablerow=function(Z){return`<tr>
`+Z+`</tr>
`},te.tablecell=function(Z,le){var se=le.header?"th":"td",oe=le.align?"<"+se+' align="'+le.align+'">':"<"+se+">";return oe+Z+("</"+se+`>
`)},te.strong=function(Z){return"<strong>"+Z+"</strong>"},te.em=function(Z){return"<em>"+Z+"</em>"},te.codespan=function(Z){return"<code>"+Z+"</code>"},te.br=function(){return this.options.xhtml?"<br/>":"<br>"},te.del=function(Z){return"<del>"+Z+"</del>"},te.link=function(Z,le,se){if(Z=E(this.options.sanitize,this.options.baseUrl,Z),Z===null)return se;var oe='<a href="'+C(Z)+'"';return le&&(oe+=' title="'+le+'"'),oe+=">"+se+"</a>",oe},te.image=function(Z,le,se){if(Z=E(this.options.sanitize,this.options.baseUrl,Z),Z===null)return se;var oe='<img src="'+Z+'" alt="'+se+'"';return le&&(oe+=' title="'+le+'"'),oe+=this.options.xhtml?"/>":">",oe},te.text=function(Z){return Z},ee}(),ie=function(){function ee(){}var te=ee.prototype;return te.strong=function(Z){return Z},te.em=function(Z){return Z},te.codespan=function(Z){return Z},te.del=function(Z){return Z},te.html=function(Z){return Z},te.text=function(Z){return Z},te.link=function(Z,le,se){return""+se},te.image=function(Z,le,se){return""+se},te.br=function(){return""},ee}(),ne=function(){function ee(){this.seen={}}var te=ee.prototype;return te.serialize=function(Z){return Z.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},te.getNextSafeSlug=function(Z,le){var se=Z,oe=0;if(this.seen.hasOwnProperty(se)){oe=this.seen[Z];do oe++,se=Z+"-"+oe;while(this.seen.hasOwnProperty(se))}return le||(this.seen[Z]=oe,this.seen[se]=0),se},te.slug=function(Z,le){le===void 0&&(le={});var se=this.serialize(Z);return this.getNextSafeSlug(se,le.dryrun)},ee}(),V=function(){function ee(ue){this.options=ue||re.defaults,this.options.renderer=this.options.renderer||new he,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new ie,this.slugger=new ne}ee.parse=function(Z,le){var se=new ee(le);return se.parse(Z)},ee.parseInline=function(Z,le){var se=new ee(le);return se.parseInline(Z)};var te=ee.prototype;return te.parse=function(Z,le){le===void 0&&(le=!0);var se="",oe,T,K,X,x,me,Ee,fe,Ie,Pe,qe,Ve,tt,Ge,Qe,st,at,xe,rt,de=Z.length;for(oe=0;oe<de;oe++){if(Pe=Z[oe],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Pe.type]&&(rt=this.options.extensions.renderers[Pe.type].call({parser:this},Pe),rt!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(Pe.type))){se+=rt||"";continue}switch(Pe.type){case"space":continue;case"hr":{se+=this.renderer.hr();continue}case"heading":{se+=this.renderer.heading(this.parseInline(Pe.tokens),Pe.depth,i(this.parseInline(Pe.tokens,this.textRenderer)),this.slugger);continue}case"code":{se+=this.renderer.code(Pe.text,Pe.lang,Pe.escaped);continue}case"table":{for(fe="",Ee="",X=Pe.header.length,T=0;T<X;T++)Ee+=this.renderer.tablecell(this.parseInline(Pe.header[T].tokens),{header:!0,align:Pe.align[T]});for(fe+=this.renderer.tablerow(Ee),Ie="",X=Pe.rows.length,T=0;T<X;T++){for(me=Pe.rows[T],Ee="",x=me.length,K=0;K<x;K++)Ee+=this.renderer.tablecell(this.parseInline(me[K].tokens),{header:!1,align:Pe.align[K]});Ie+=this.renderer.tablerow(Ee)}se+=this.renderer.table(fe,Ie);continue}case"blockquote":{Ie=this.parse(Pe.tokens),se+=this.renderer.blockquote(Ie);continue}case"list":{for(qe=Pe.ordered,Ve=Pe.start,tt=Pe.loose,X=Pe.items.length,Ie="",T=0;T<X;T++)Qe=Pe.items[T],st=Qe.checked,at=Qe.task,Ge="",Qe.task&&(xe=this.renderer.checkbox(st),tt?Qe.tokens.length>0&&Qe.tokens[0].type==="paragraph"?(Qe.tokens[0].text=xe+" "+Qe.tokens[0].text,Qe.tokens[0].tokens&&Qe.tokens[0].tokens.length>0&&Qe.tokens[0].tokens[0].type==="text"&&(Qe.tokens[0].tokens[0].text=xe+" "+Qe.tokens[0].tokens[0].text)):Qe.tokens.unshift({type:"text",text:xe}):Ge+=xe),Ge+=this.parse(Qe.tokens,tt),Ie+=this.renderer.listitem(Ge,at,st);se+=this.renderer.list(Ie,qe,Ve);continue}case"html":{se+=this.renderer.html(Pe.text);continue}case"paragraph":{se+=this.renderer.paragraph(this.parseInline(Pe.tokens));continue}case"text":{for(Ie=Pe.tokens?this.parseInline(Pe.tokens):Pe.text;oe+1<de&&Z[oe+1].type==="text";)Pe=Z[++oe],Ie+=`
`+(Pe.tokens?this.parseInline(Pe.tokens):Pe.text);se+=le?this.renderer.paragraph(Ie):Ie;continue}default:{var Me='Token with "'+Pe.type+'" type was not found.';if(this.options.silent){console.error(Me);return}else throw new Error(Me)}}}return se},te.parseInline=function(Z,le){le=le||this.renderer;var se="",oe,T,K,X=Z.length;for(oe=0;oe<X;oe++){if(T=Z[oe],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[T.type]&&(K=this.options.extensions.renderers[T.type].call({parser:this},T),K!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(T.type))){se+=K||"";continue}switch(T.type){case"escape":{se+=le.text(T.text);break}case"html":{se+=le.html(T.text);break}case"link":{se+=le.link(T.href,T.title,this.parseInline(T.tokens,le));break}case"image":{se+=le.image(T.href,T.title,T.text);break}case"strong":{se+=le.strong(this.parseInline(T.tokens,le));break}case"em":{se+=le.em(this.parseInline(T.tokens,le));break}case"codespan":{se+=le.codespan(T.text);break}case"br":{se+=le.br();break}case"del":{se+=le.del(this.parseInline(T.tokens,le));break}case"text":{se+=le.text(T.text);break}default:{var x='Token with "'+T.type+'" type was not found.';if(this.options.silent){console.error(x);return}else throw new Error(x)}}}return se},ee}();function H(ee,te,ue){if(typeof ee>"u"||ee===null)throw new Error("marked(): input parameter is undefined or null");if(typeof ee!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(ee)+", string expected");if(typeof te=="function"&&(ue=te,te=null),te=d({},H.defaults,te||{}),r(te),ue){var Z=te.highlight,le;try{le=j.lex(ee,te)}catch(X){return ue(X)}var se=function(x){var me;if(!x)try{te.walkTokens&&H.walkTokens(le,te.walkTokens),me=V.parse(le,te)}catch(Ee){x=Ee}return te.highlight=Z,x?ue(x):ue(null,me)};if(!Z||Z.length<3||(delete te.highlight,!le.length))return se();var oe=0;H.walkTokens(le,function(X){X.type==="code"&&(oe++,setTimeout(function(){Z(X.text,X.lang,function(x,me){if(x)return se(x);me!=null&&me!==X.text&&(X.text=me,X.escaped=!0),oe--,oe===0&&se()})},0))}),oe===0&&se();return}function T(X){if(X.message+=`
Please report this to https://github.com/markedjs/marked.`,te.silent)return"<p>An error occurred:</p><pre>"+C(X.message+"",!0)+"</pre>";throw X}try{var K=j.lex(ee,te);if(te.walkTokens){if(te.async)return Promise.all(H.walkTokens(K,te.walkTokens)).then(function(){return V.parse(K,te)}).catch(T);H.walkTokens(K,te.walkTokens)}return V.parse(K,te)}catch(X){T(X)}}H.options=H.setOptions=function(ee){return d(H.defaults,ee),g(H.defaults),H},H.getDefaults=R,H.defaults=re.defaults,H.use=function(){for(var ee=arguments.length,te=new Array(ee),ue=0;ue<ee;ue++)te[ue]=arguments[ue];var Z=d.apply(void 0,[{}].concat(te)),le=H.defaults.extensions||{renderers:{},childTokens:{}},se;te.forEach(function(oe){if(oe.extensions&&(se=!0,oe.extensions.forEach(function(K){if(!K.name)throw new Error("extension name required");if(K.renderer){var X=le.renderers?le.renderers[K.name]:null;X?le.renderers[K.name]=function(){for(var x=arguments.length,me=new Array(x),Ee=0;Ee<x;Ee++)me[Ee]=arguments[Ee];var fe=K.renderer.apply(this,me);return fe===!1&&(fe=X.apply(this,me)),fe}:le.renderers[K.name]=K.renderer}if(K.tokenizer){if(!K.level||K.level!=="block"&&K.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");le[K.level]?le[K.level].unshift(K.tokenizer):le[K.level]=[K.tokenizer],K.start&&(K.level==="block"?le.startBlock?le.startBlock.push(K.start):le.startBlock=[K.start]:K.level==="inline"&&(le.startInline?le.startInline.push(K.start):le.startInline=[K.start]))}K.childTokens&&(le.childTokens[K.name]=K.childTokens)})),oe.renderer&&function(){var K=H.defaults.renderer||new he,X=function(Ee){var fe=K[Ee];K[Ee]=function(){for(var Ie=arguments.length,Pe=new Array(Ie),qe=0;qe<Ie;qe++)Pe[qe]=arguments[qe];var Ve=oe.renderer[Ee].apply(K,Pe);return Ve===!1&&(Ve=fe.apply(K,Pe)),Ve}};for(var x in oe.renderer)X(x);Z.renderer=K}(),oe.tokenizer&&function(){var K=H.defaults.tokenizer||new q,X=function(Ee){var fe=K[Ee];K[Ee]=function(){for(var Ie=arguments.length,Pe=new Array(Ie),qe=0;qe<Ie;qe++)Pe[qe]=arguments[qe];var Ve=oe.tokenizer[Ee].apply(K,Pe);return Ve===!1&&(Ve=fe.apply(K,Pe)),Ve}};for(var x in oe.tokenizer)X(x);Z.tokenizer=K}(),oe.walkTokens){var T=H.defaults.walkTokens;Z.walkTokens=function(K){var X=[];return X.push(oe.walkTokens.call(this,K)),T&&(X=X.concat(T.call(this,K))),X}}se&&(Z.extensions=le),H.setOptions(Z)})},H.walkTokens=function(ee,te){for(var ue=[],Z=function(){var T=se.value;switch(ue=ue.concat(te.call(H,T)),T.type){case"table":{for(var K=F(T.header),X;!(X=K()).done;){var x=X.value;ue=ue.concat(H.walkTokens(x.tokens,te))}for(var me=F(T.rows),Ee;!(Ee=me()).done;)for(var fe=Ee.value,Ie=F(fe),Pe;!(Pe=Ie()).done;){var qe=Pe.value;ue=ue.concat(H.walkTokens(qe.tokens,te))}break}case"list":{ue=ue.concat(H.walkTokens(T.items,te));break}default:H.defaults.extensions&&H.defaults.extensions.childTokens&&H.defaults.extensions.childTokens[T.type]?H.defaults.extensions.childTokens[T.type].forEach(function(Ve){ue=ue.concat(H.walkTokens(T[Ve],te))}):T.tokens&&(ue=ue.concat(H.walkTokens(T.tokens,te)))}},le=F(ee),se;!(se=le()).done;)Z();return ue},H.parseInline=function(ee,te){if(typeof ee>"u"||ee===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof ee!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(ee)+", string expected");te=d({},H.defaults,te||{}),r(te);try{var ue=j.lexInline(ee,te);return te.walkTokens&&H.walkTokens(ue,te.walkTokens),V.parseInline(ue,te)}catch(Z){if(Z.message+=`
Please report this to https://github.com/markedjs/marked.`,te.silent)return"<p>An error occurred:</p><pre>"+C(Z.message+"",!0)+"</pre>";throw Z}},H.Parser=V,H.parser=V.parse,H.Renderer=he,H.TextRenderer=ie,H.Lexer=j,H.lexer=j.lex,H.Tokenizer=q,H.Slugger=ne,H.parse=H;var ce=H.options,pe=H.setOptions,ye=H.use,ge=H.walkTokens,M=H.parseInline,Q=H,ve=V.parse,Se=j.lex;re.Lexer=j,re.Parser=V,re.Renderer=he,re.Slugger=ne,re.TextRenderer=ie,re.Tokenizer=q,re.getDefaults=R,re.lexer=Se,re.marked=H,re.options=ce,re.parse=Q,re.parseInline=M,re.parser=ve,re.setOptions=pe,re.use=ye,re.walkTokens=ge,Object.defineProperty(re,"__esModule",{value:!0})}),define(De[69],Ce([1,0,28]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5k=e.$4k=e.$3k=void 0;const A=new b.$mi(1e4);function h(m){return k(m,"NFC",A)}e.$3k=h;const F=new b.$mi(1e4);function R(m){return k(m,"NFD",F)}e.$4k=R;const g=/[^\u0000-\u0080]/;function k(m,L,I){if(!m)return m;const v=I.get(m);if(v)return v;let D;return g.test(m)?D=m.normalize(L):D=m,I.set(m,D),D}e.$5k=function(){const m=/[\u0300-\u036f]/g;return function(L){return R(L).replace(m,"")}}()}),define(De[112],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tl=e.$sl=e.$rl=e.rot=e.$pl=void 0;function b(g,k,m){return Math.min(Math.max(g,k),m)}e.$pl=b;function A(g,k){return(k+g%k)%k}e.rot=A;class h{constructor(){this.a=0}getNext(){return this.a++}}e.$rl=h;class F{constructor(){this.a=1,this.b=0}update(k){return this.b=this.b+(k-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}e.$sl=F;class R{constructor(k){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(k),this.c.fill(0,0,k)}update(k){const m=this.c[this.d];return this.c[this.d]=k,this.d=(this.d+1)%this.c.length,this.e-=m,this.e+=k,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}e.$tl=R}),function(){function re(h){const F=[];typeof h=="number"&&F.push("code/timeOrigin",h);function R(k){F.push(k,Date.now())}function g(){const k=[];for(let m=0;m<F.length;m+=2)k.push({name:F[m],startTime:F[m+1]});return k}return{mark:R,getMarks:g}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?re():{mark(h){performance.mark(h)},getMarks(){let h=performance.timeOrigin;typeof h!="number"&&(h=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const F=[{name:"code/timeOrigin",startTime:Math.round(h)}];for(const R of performance.getEntriesByType("mark"))F.push({name:R.name,startTime:Math.round(h+R.startTime)});return F}};if(typeof process=="object"){const h=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return re(h)}else return console.trace("perf-util loaded in UNKNOWN environment"),re()}function b(h){return h.MonacoPerformanceMarks||(h.MonacoPerformanceMarks=e()),h.MonacoPerformanceMarks}var A;typeof global=="object"?A=global:typeof self=="object"?A=self:A={},typeof define=="function"?define("vs/base/common/performance",[],function(){return b(A)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=b(A):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),A.perf=b(A))}(),function(re,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var b=e();for(var A in b)(typeof exports=="object"?exports:re)[A]=b[A]}}(typeof self<"u"?self:this,function(){return function(re){var e={};function b(A){if(e[A])return e[A].exports;var h=e[A]={i:A,l:!1,exports:{}};return re[A].call(h.exports,h,h.exports,b),h.l=!0,h.exports}return b.m=re,b.c=e,b.d=function(A,h,F){b.o(A,h)||Object.defineProperty(A,h,{enumerable:!0,get:F})},b.r=function(A){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(A,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(A,"__esModule",{value:!0})},b.t=function(A,h){if(1&h&&(A=b(A)),8&h||4&h&&typeof A=="object"&&A&&A.__esModule)return A;var F=Object.create(null);if(b.r(F),Object.defineProperty(F,"default",{enumerable:!0,value:A}),2&h&&typeof A!="string")for(var R in A)b.d(F,R,function(g){return A[g]}.bind(null,R));return F},b.n=function(A){var h=A&&A.__esModule?function(){return A.default}:function(){return A};return b.d(h,"a",h),h},b.o=function(A,h){return Object.prototype.hasOwnProperty.call(A,h)},b.p="",b(b.s=0)}([function(re,e,b){(function(A){var h;e=re.exports=ye,h=typeof A=="object"&&A.env&&A.env.NODE_DEBUG&&/\bsemver\b/i.test(A.env.NODE_DEBUG)?function(){var fe=Array.prototype.slice.call(arguments,0);fe.unshift("SEMVER"),console.log.apply(console,fe)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var F=256,R=Number.MAX_SAFE_INTEGER||9007199254740991,g=e.re=[],k=e.src=[],m=0,L=m++;k[L]="0|[1-9]\\d*";var I=m++;k[I]="[0-9]+";var v=m++;k[v]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var D=m++;k[D]="("+k[L]+")\\.("+k[L]+")\\.("+k[L]+")";var C=m++;k[C]="("+k[I]+")\\.("+k[I]+")\\.("+k[I]+")";var w=m++;k[w]="(?:"+k[L]+"|"+k[v]+")";var i=m++;k[i]="(?:"+k[I]+"|"+k[v]+")";var l=m++;k[l]="(?:-("+k[w]+"(?:\\."+k[w]+")*))";var a=m++;k[a]="(?:-?("+k[i]+"(?:\\."+k[i]+")*))";var p=m++;k[p]="[0-9A-Za-z-]+";var f=m++;k[f]="(?:\\+("+k[p]+"(?:\\."+k[p]+")*))";var E=m++,n="v?"+k[D]+k[l]+"?"+k[f]+"?";k[E]="^"+n+"$";var o="[v=\\s]*"+k[C]+k[a]+"?"+k[f]+"?",s=m++;k[s]="^"+o+"$";var t=m++;k[t]="((?:<|>)?=?)";var u=m++;k[u]=k[I]+"|x|X|\\*";var $=m++;k[$]=k[L]+"|x|X|\\*";var d=m++;k[d]="[v=\\s]*("+k[$]+")(?:\\.("+k[$]+")(?:\\.("+k[$]+")(?:"+k[l]+")?"+k[f]+"?)?)?";var S=m++;k[S]="[v=\\s]*("+k[u]+")(?:\\.("+k[u]+")(?:\\.("+k[u]+")(?:"+k[a]+")?"+k[f]+"?)?)?";var y=m++;k[y]="^"+k[t]+"\\s*"+k[d]+"$";var c=m++;k[c]="^"+k[t]+"\\s*"+k[S]+"$";var r=m++;k[r]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var P=m++;k[P]="(?:~>?)";var N=m++;k[N]="(\\s*)"+k[P]+"\\s+",g[N]=new RegExp(k[N],"g");var U=m++;k[U]="^"+k[P]+k[d]+"$";var q=m++;k[q]="^"+k[P]+k[S]+"$";var W=m++;k[W]="(?:\\^)";var O=m++;k[O]="(\\s*)"+k[W]+"\\s+",g[O]=new RegExp(k[O],"g");var J=m++;k[J]="^"+k[W]+k[d]+"$";var z=m++;k[z]="^"+k[W]+k[S]+"$";var j=m++;k[j]="^"+k[t]+"\\s*("+o+")$|^$";var he=m++;k[he]="^"+k[t]+"\\s*("+n+")$|^$";var ie=m++;k[ie]="(\\s*)"+k[t]+"\\s*("+o+"|"+k[d]+")",g[ie]=new RegExp(k[ie],"g");var ne=m++;k[ne]="^\\s*("+k[d]+")\\s+-\\s+("+k[d]+")\\s*$";var V=m++;k[V]="^\\s*("+k[S]+")\\s+-\\s+("+k[S]+")\\s*$";var H=m++;k[H]="(<|>)?=?\\s*\\*";for(var ce=0;ce<35;ce++)h(ce,k[ce]),g[ce]||(g[ce]=new RegExp(k[ce]));function pe(fe,Ie){if(fe instanceof ye)return fe;if(typeof fe!="string"||fe.length>F||!(Ie?g[s]:g[E]).test(fe))return null;try{return new ye(fe,Ie)}catch{return null}}function ye(fe,Ie){if(fe instanceof ye){if(fe.loose===Ie)return fe;fe=fe.version}else if(typeof fe!="string")throw new TypeError("Invalid Version: "+fe);if(fe.length>F)throw new TypeError("version is longer than "+F+" characters");if(!(this instanceof ye))return new ye(fe,Ie);h("SemVer",fe,Ie),this.loose=Ie;var Pe=fe.trim().match(Ie?g[s]:g[E]);if(!Pe)throw new TypeError("Invalid Version: "+fe);if(this.raw=fe,this.major=+Pe[1],this.minor=+Pe[2],this.patch=+Pe[3],this.major>R||this.major<0)throw new TypeError("Invalid major version");if(this.minor>R||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>R||this.patch<0)throw new TypeError("Invalid patch version");Pe[4]?this.prerelease=Pe[4].split(".").map(function(qe){if(/^[0-9]+$/.test(qe)){var Ve=+qe;if(Ve>=0&&Ve<R)return Ve}return qe}):this.prerelease=[],this.build=Pe[5]?Pe[5].split("."):[],this.format()}e.parse=pe,e.valid=function(fe,Ie){var Pe=pe(fe,Ie);return Pe?Pe.version:null},e.clean=function(fe,Ie){var Pe=pe(fe.trim().replace(/^[=v]+/,""),Ie);return Pe?Pe.version:null},e.SemVer=ye,ye.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},ye.prototype.toString=function(){return this.version},ye.prototype.compare=function(fe){return h("SemVer.compare",this.version,this.loose,fe),fe instanceof ye||(fe=new ye(fe,this.loose)),this.compareMain(fe)||this.comparePre(fe)},ye.prototype.compareMain=function(fe){return fe instanceof ye||(fe=new ye(fe,this.loose)),M(this.major,fe.major)||M(this.minor,fe.minor)||M(this.patch,fe.patch)},ye.prototype.comparePre=function(fe){if(fe instanceof ye||(fe=new ye(fe,this.loose)),this.prerelease.length&&!fe.prerelease.length)return-1;if(!this.prerelease.length&&fe.prerelease.length)return 1;if(!this.prerelease.length&&!fe.prerelease.length)return 0;var Ie=0;do{var Pe=this.prerelease[Ie],qe=fe.prerelease[Ie];if(h("prerelease compare",Ie,Pe,qe),Pe===void 0&&qe===void 0)return 0;if(qe===void 0)return 1;if(Pe===void 0)return-1;if(Pe!==qe)return M(Pe,qe)}while(++Ie)},ye.prototype.inc=function(fe,Ie){switch(fe){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",Ie);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",Ie);break;case"prepatch":this.prerelease.length=0,this.inc("patch",Ie),this.inc("pre",Ie);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",Ie),this.inc("pre",Ie);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var Pe=this.prerelease.length;--Pe>=0;)typeof this.prerelease[Pe]=="number"&&(this.prerelease[Pe]++,Pe=-2);Pe===-1&&this.prerelease.push(0)}Ie&&(this.prerelease[0]===Ie?isNaN(this.prerelease[1])&&(this.prerelease=[Ie,0]):this.prerelease=[Ie,0]);break;default:throw new Error("invalid increment argument: "+fe)}return this.format(),this.raw=this.version,this},e.inc=function(fe,Ie,Pe,qe){typeof Pe=="string"&&(qe=Pe,Pe=void 0);try{return new ye(fe,Pe).inc(Ie,qe).version}catch{return null}},e.diff=function(fe,Ie){if(ee(fe,Ie))return null;var Pe=pe(fe),qe=pe(Ie);if(Pe.prerelease.length||qe.prerelease.length){for(var Ve in Pe)if((Ve==="major"||Ve==="minor"||Ve==="patch")&&Pe[Ve]!==qe[Ve])return"pre"+Ve;return"prerelease"}for(var Ve in Pe)if((Ve==="major"||Ve==="minor"||Ve==="patch")&&Pe[Ve]!==qe[Ve])return Ve},e.compareIdentifiers=M;var ge=/^[0-9]+$/;function M(fe,Ie){var Pe=ge.test(fe),qe=ge.test(Ie);return Pe&&qe&&(fe=+fe,Ie=+Ie),Pe&&!qe?-1:qe&&!Pe?1:fe<Ie?-1:fe>Ie?1:0}function Q(fe,Ie,Pe){return new ye(fe,Pe).compare(new ye(Ie,Pe))}function ve(fe,Ie,Pe){return Q(fe,Ie,Pe)>0}function Se(fe,Ie,Pe){return Q(fe,Ie,Pe)<0}function ee(fe,Ie,Pe){return Q(fe,Ie,Pe)===0}function te(fe,Ie,Pe){return Q(fe,Ie,Pe)!==0}function ue(fe,Ie,Pe){return Q(fe,Ie,Pe)>=0}function Z(fe,Ie,Pe){return Q(fe,Ie,Pe)<=0}function le(fe,Ie,Pe,qe){var Ve;switch(Ie){case"===":typeof fe=="object"&&(fe=fe.version),typeof Pe=="object"&&(Pe=Pe.version),Ve=fe===Pe;break;case"!==":typeof fe=="object"&&(fe=fe.version),typeof Pe=="object"&&(Pe=Pe.version),Ve=fe!==Pe;break;case"":case"=":case"==":Ve=ee(fe,Pe,qe);break;case"!=":Ve=te(fe,Pe,qe);break;case">":Ve=ve(fe,Pe,qe);break;case">=":Ve=ue(fe,Pe,qe);break;case"<":Ve=Se(fe,Pe,qe);break;case"<=":Ve=Z(fe,Pe,qe);break;default:throw new TypeError("Invalid operator: "+Ie)}return Ve}function se(fe,Ie){if(fe instanceof se){if(fe.loose===Ie)return fe;fe=fe.value}if(!(this instanceof se))return new se(fe,Ie);h("comparator",fe,Ie),this.loose=Ie,this.parse(fe),this.semver===oe?this.value="":this.value=this.operator+this.semver.version,h("comp",this)}e.rcompareIdentifiers=function(fe,Ie){return M(Ie,fe)},e.major=function(fe,Ie){return new ye(fe,Ie).major},e.minor=function(fe,Ie){return new ye(fe,Ie).minor},e.patch=function(fe,Ie){return new ye(fe,Ie).patch},e.compare=Q,e.compareLoose=function(fe,Ie){return Q(fe,Ie,!0)},e.rcompare=function(fe,Ie,Pe){return Q(Ie,fe,Pe)},e.sort=function(fe,Ie){return fe.sort(function(Pe,qe){return e.compare(Pe,qe,Ie)})},e.rsort=function(fe,Ie){return fe.sort(function(Pe,qe){return e.rcompare(Pe,qe,Ie)})},e.gt=ve,e.lt=Se,e.eq=ee,e.neq=te,e.gte=ue,e.lte=Z,e.cmp=le,e.Comparator=se;var oe={};function T(fe,Ie){if(fe instanceof T)return fe.loose===Ie?fe:new T(fe.raw,Ie);if(fe instanceof se)return new T(fe.value,Ie);if(!(this instanceof T))return new T(fe,Ie);if(this.loose=Ie,this.raw=fe,this.set=fe.split(/\s*\|\|\s*/).map(function(Pe){return this.parseRange(Pe.trim())},this).filter(function(Pe){return Pe.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+fe);this.format()}function K(fe){return!fe||fe.toLowerCase()==="x"||fe==="*"}function X(fe,Ie,Pe,qe,Ve,tt,Ge,Qe,st,at,xe,rt,de){return((Ie=K(Pe)?"":K(qe)?">="+Pe+".0.0":K(Ve)?">="+Pe+"."+qe+".0":">="+Ie)+" "+(Qe=K(st)?"":K(at)?"<"+(+st+1)+".0.0":K(xe)?"<"+st+"."+(+at+1)+".0":rt?"<="+st+"."+at+"."+xe+"-"+rt:"<="+Qe)).trim()}function x(fe,Ie){for(var Pe=0;Pe<fe.length;Pe++)if(!fe[Pe].test(Ie))return!1;if(Ie.prerelease.length){for(Pe=0;Pe<fe.length;Pe++)if(h(fe[Pe].semver),fe[Pe].semver!==oe&&fe[Pe].semver.prerelease.length>0){var qe=fe[Pe].semver;if(qe.major===Ie.major&&qe.minor===Ie.minor&&qe.patch===Ie.patch)return!0}return!1}return!0}function me(fe,Ie,Pe){try{Ie=new T(Ie,Pe)}catch{return!1}return Ie.test(fe)}function Ee(fe,Ie,Pe,qe){var Ve,tt,Ge,Qe,st;switch(fe=new ye(fe,qe),Ie=new T(Ie,qe),Pe){case">":Ve=ve,tt=Z,Ge=Se,Qe=">",st=">=";break;case"<":Ve=Se,tt=ue,Ge=ve,Qe="<",st="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(me(fe,Ie,qe))return!1;for(var at=0;at<Ie.set.length;++at){var xe=Ie.set[at],rt=null,de=null;if(xe.forEach(function(Me){Me.semver===oe&&(Me=new se(">=0.0.0")),rt=rt||Me,de=de||Me,Ve(Me.semver,rt.semver,qe)?rt=Me:Ge(Me.semver,de.semver,qe)&&(de=Me)}),rt.operator===Qe||rt.operator===st||(!de.operator||de.operator===Qe)&&tt(fe,de.semver)||de.operator===st&&Ge(fe,de.semver))return!1}return!0}se.prototype.parse=function(fe){var Ie=this.loose?g[j]:g[he],Pe=fe.match(Ie);if(!Pe)throw new TypeError("Invalid comparator: "+fe);this.operator=Pe[1],this.operator==="="&&(this.operator=""),Pe[2]?this.semver=new ye(Pe[2],this.loose):this.semver=oe},se.prototype.toString=function(){return this.value},se.prototype.test=function(fe){return h("Comparator.test",fe,this.loose),this.semver===oe||(typeof fe=="string"&&(fe=new ye(fe,this.loose)),le(fe,this.operator,this.semver,this.loose))},se.prototype.intersects=function(fe,Ie){if(!(fe instanceof se))throw new TypeError("a Comparator is required");var Pe;if(this.operator==="")return Pe=new T(fe.value,Ie),me(this.value,Pe,Ie);if(fe.operator==="")return Pe=new T(this.value,Ie),me(fe.semver,Pe,Ie);var qe=!(this.operator!==">="&&this.operator!==">"||fe.operator!==">="&&fe.operator!==">"),Ve=!(this.operator!=="<="&&this.operator!=="<"||fe.operator!=="<="&&fe.operator!=="<"),tt=this.semver.version===fe.semver.version,Ge=!(this.operator!==">="&&this.operator!=="<="||fe.operator!==">="&&fe.operator!=="<="),Qe=le(this.semver,"<",fe.semver,Ie)&&(this.operator===">="||this.operator===">")&&(fe.operator==="<="||fe.operator==="<"),st=le(this.semver,">",fe.semver,Ie)&&(this.operator==="<="||this.operator==="<")&&(fe.operator===">="||fe.operator===">");return qe||Ve||tt&&Ge||Qe||st},e.Range=T,T.prototype.format=function(){return this.range=this.set.map(function(fe){return fe.join(" ").trim()}).join("||").trim(),this.range},T.prototype.toString=function(){return this.range},T.prototype.parseRange=function(fe){var Ie=this.loose;fe=fe.trim(),h("range",fe,Ie);var Pe=Ie?g[V]:g[ne];fe=fe.replace(Pe,X),h("hyphen replace",fe),fe=fe.replace(g[ie],"$1$2$3"),h("comparator trim",fe,g[ie]),fe=(fe=(fe=fe.replace(g[N],"$1~")).replace(g[O],"$1^")).split(/\s+/).join(" ");var qe=Ie?g[j]:g[he],Ve=fe.split(" ").map(function(tt){return function(Ge,Qe){return h("comp",Ge),Ge=function(st,at){return st.trim().split(/\s+/).map(function(xe){return function(rt,de){h("caret",rt,de);var Me=de?g[z]:g[J];return rt.replace(Me,function(_,Y,we,je,Oe){var Ze;return h("caret",rt,_,Y,we,je,Oe),K(Y)?Ze="":K(we)?Ze=">="+Y+".0.0 <"+(+Y+1)+".0.0":K(je)?Ze=Y==="0"?">="+Y+"."+we+".0 <"+Y+"."+(+we+1)+".0":">="+Y+"."+we+".0 <"+(+Y+1)+".0.0":Oe?(h("replaceCaret pr",Oe),Oe.charAt(0)!=="-"&&(Oe="-"+Oe),Ze=Y==="0"?we==="0"?">="+Y+"."+we+"."+je+Oe+" <"+Y+"."+we+"."+(+je+1):">="+Y+"."+we+"."+je+Oe+" <"+Y+"."+(+we+1)+".0":">="+Y+"."+we+"."+je+Oe+" <"+(+Y+1)+".0.0"):(h("no pr"),Ze=Y==="0"?we==="0"?">="+Y+"."+we+"."+je+" <"+Y+"."+we+"."+(+je+1):">="+Y+"."+we+"."+je+" <"+Y+"."+(+we+1)+".0":">="+Y+"."+we+"."+je+" <"+(+Y+1)+".0.0"),h("caret return",Ze),Ze})}(xe,at)}).join(" ")}(Ge,Qe),h("caret",Ge),Ge=function(st,at){return st.trim().split(/\s+/).map(function(xe){return function(rt,de){var Me=de?g[q]:g[U];return rt.replace(Me,function(_,Y,we,je,Oe){var Ze;return h("tilde",rt,_,Y,we,je,Oe),K(Y)?Ze="":K(we)?Ze=">="+Y+".0.0 <"+(+Y+1)+".0.0":K(je)?Ze=">="+Y+"."+we+".0 <"+Y+"."+(+we+1)+".0":Oe?(h("replaceTilde pr",Oe),Oe.charAt(0)!=="-"&&(Oe="-"+Oe),Ze=">="+Y+"."+we+"."+je+Oe+" <"+Y+"."+(+we+1)+".0"):Ze=">="+Y+"."+we+"."+je+" <"+Y+"."+(+we+1)+".0",h("tilde return",Ze),Ze})}(xe,at)}).join(" ")}(Ge,Qe),h("tildes",Ge),Ge=function(st,at){return h("replaceXRanges",st,at),st.split(/\s+/).map(function(xe){return function(rt,de){rt=rt.trim();var Me=de?g[c]:g[y];return rt.replace(Me,function(_,Y,we,je,Oe,Ze){h("xRange",rt,_,Y,we,je,Oe,Ze);var et=K(we),nt=et||K(je),ft=nt||K(Oe);return Y==="="&&ft&&(Y=""),et?_=Y===">"||Y==="<"?"<0.0.0":"*":Y&&ft?(nt&&(je=0),ft&&(Oe=0),Y===">"?(Y=">=",nt?(we=+we+1,je=0,Oe=0):ft&&(je=+je+1,Oe=0)):Y==="<="&&(Y="<",nt?we=+we+1:je=+je+1),_=Y+we+"."+je+"."+Oe):nt?_=">="+we+".0.0 <"+(+we+1)+".0.0":ft&&(_=">="+we+"."+je+".0 <"+we+"."+(+je+1)+".0"),h("xRange return",_),_})}(xe,at)}).join(" ")}(Ge,Qe),h("xrange",Ge),Ge=function(st,at){return h("replaceStars",st,at),st.trim().replace(g[H],"")}(Ge,Qe),h("stars",Ge),Ge}(tt,Ie)}).join(" ").split(/\s+/);return this.loose&&(Ve=Ve.filter(function(tt){return!!tt.match(qe)})),Ve=Ve.map(function(tt){return new se(tt,Ie)})},T.prototype.intersects=function(fe,Ie){if(!(fe instanceof T))throw new TypeError("a Range is required");return this.set.some(function(Pe){return Pe.every(function(qe){return fe.set.some(function(Ve){return Ve.every(function(tt){return qe.intersects(tt,Ie)})})})})},e.toComparators=function(fe,Ie){return new T(fe,Ie).set.map(function(Pe){return Pe.map(function(qe){return qe.value}).join(" ").trim().split(" ")})},T.prototype.test=function(fe){if(!fe)return!1;typeof fe=="string"&&(fe=new ye(fe,this.loose));for(var Ie=0;Ie<this.set.length;Ie++)if(x(this.set[Ie],fe))return!0;return!1},e.satisfies=me,e.maxSatisfying=function(fe,Ie,Pe){var qe=null,Ve=null;try{var tt=new T(Ie,Pe)}catch{return null}return fe.forEach(function(Ge){tt.test(Ge)&&(qe&&Ve.compare(Ge)!==-1||(Ve=new ye(qe=Ge,Pe)))}),qe},e.minSatisfying=function(fe,Ie,Pe){var qe=null,Ve=null;try{var tt=new T(Ie,Pe)}catch{return null}return fe.forEach(function(Ge){tt.test(Ge)&&(qe&&Ve.compare(Ge)!==1||(Ve=new ye(qe=Ge,Pe)))}),qe},e.validRange=function(fe,Ie){try{return new T(fe,Ie).range||"*"}catch{return null}},e.ltr=function(fe,Ie,Pe){return Ee(fe,Ie,"<",Pe)},e.gtr=function(fe,Ie,Pe){return Ee(fe,Ie,">",Pe)},e.outside=Ee,e.prerelease=function(fe,Ie){var Pe=pe(fe,Ie);return Pe&&Pe.prerelease.length?Pe.prerelease:null},e.intersects=function(fe,Ie,Pe){return fe=new T(fe,Pe),Ie=new T(Ie,Pe),fe.intersects(Ie)},e.coerce=function(fe){if(fe instanceof ye)return fe;if(typeof fe!="string")return null;var Ie=fe.match(g[r]);return Ie==null?null:pe((Ie[1]||"0")+"."+(Ie[2]||"0")+"."+(Ie[3]||"0"))}}).call(this,b(1))},function(re,e){var b,A,h=re.exports={};function F(){throw new Error("setTimeout has not been defined")}function R(){throw new Error("clearTimeout has not been defined")}function g(i){if(b===setTimeout)return setTimeout(i,0);if((b===F||!b)&&setTimeout)return b=setTimeout,setTimeout(i,0);try{return b(i,0)}catch{try{return b.call(null,i,0)}catch{return b.call(this,i,0)}}}(function(){try{b=typeof setTimeout=="function"?setTimeout:F}catch{b=F}try{A=typeof clearTimeout=="function"?clearTimeout:R}catch{A=R}})();var k,m=[],L=!1,I=-1;function v(){L&&k&&(L=!1,k.length?m=k.concat(m):I=-1,m.length&&D())}function D(){if(!L){var i=g(v);L=!0;for(var l=m.length;l;){for(k=m,m=[];++I<l;)k&&k[I].run();I=-1,l=m.length}k=null,L=!1,function(a){if(A===clearTimeout)return clearTimeout(a);if((A===R||!A)&&clearTimeout)return A=clearTimeout,clearTimeout(a);try{A(a)}catch{try{return A.call(null,a)}catch{return A.call(this,a)}}}(i)}}function C(i,l){this.fun=i,this.array=l}function w(){}h.nextTick=function(i){var l=new Array(arguments.length-1);if(arguments.length>1)for(var a=1;a<arguments.length;a++)l[a-1]=arguments[a];m.push(new C(i,l)),m.length!==1||L||g(D)},C.prototype.run=function(){this.fun.apply(null,this.array)},h.title="browser",h.browser=!0,h.env={},h.argv=[],h.version="",h.versions={},h.on=w,h.addListener=w,h.once=w,h.off=w,h.removeListener=w,h.removeAllListeners=w,h.emit=w,h.prependListener=w,h.prependOnceListener=w,h.listeners=function(i){return[]},h.binding=function(i){throw new Error("process.binding is not supported")},h.cwd=function(){return"/"},h.chdir=function(i){throw new Error("process.chdir is not supported")},h.umask=function(){return 0}}])}),define(De[39],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1c=void 0;const b=globalThis.performance&&typeof globalThis.performance.now=="function";class A{static create(F){return new A(F)}constructor(F){this.c=b&&F===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this.a=this.c(),this.b=-1}stop(){this.b=this.c()}reset(){this.a=this.c(),this.b=-1}elapsed(){return this.b!==-1?this.b-this.a:this.c()-this.a}}e.$1c=A}),define(De[3],Ce([1,0,8,67,4,68,39]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ad=e.$_c=e.$$c=e.$0c=e.$9c=e.$8c=e.$7c=e.$6c=e.$5c=e.$4c=e.$3c=e.Event=void 0;const g=!1,k=!1;var m;(function(S){S.None=()=>h.$kb.None;function y(ee){if(k){const{onDidAddListener:te}=ee,ue=C.create();let Z=0;ee.onDidAddListener=()=>{++Z===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),ue.print()),te?.()}}}function c(ee,te){return z(ee,()=>{},0,void 0,!0,void 0,te)}S.defer=c;function r(ee){return(te,ue=null,Z)=>{let le=!1,se;return se=ee(oe=>{if(!le)return se?se.dispose():le=!0,te.call(ue,oe)},null,Z),le&&se.dispose(),se}}S.once=r;function P(ee,te,ue){return J((Z,le=null,se)=>ee(oe=>Z.call(le,te(oe)),null,se),ue)}S.map=P;function N(ee,te,ue){return J((Z,le=null,se)=>ee(oe=>{te(oe),Z.call(le,oe)},null,se),ue)}S.forEach=N;function U(ee,te,ue){return J((Z,le=null,se)=>ee(oe=>te(oe)&&Z.call(le,oe),null,se),ue)}S.filter=U;function q(ee){return ee}S.signal=q;function W(...ee){return(te,ue=null,Z)=>(0,h.$hb)(...ee.map(le=>le(se=>te.call(ue,se),null,Z)))}S.any=W;function O(ee,te,ue,Z){let le=ue;return P(ee,se=>(le=te(le,se),le),Z)}S.reduce=O;function J(ee,te){let ue;const Z={onWillAddFirstListener(){ue=ee(le.fire,le)},onDidRemoveLastListener(){ue?.dispose()}};te||y(Z);const le=new p(Z);return te?.add(le),le.event}function z(ee,te,ue=100,Z=!1,le=!1,se,oe){let T,K,X,x=0,me;const Ee={leakWarningThreshold:se,onWillAddFirstListener(){T=ee(Ie=>{x++,K=te(K,Ie),Z&&!X&&(fe.fire(K),K=void 0),me=()=>{const Pe=K;K=void 0,X=void 0,(!Z||x>1)&&fe.fire(Pe),x=0},typeof ue=="number"?(clearTimeout(X),X=setTimeout(me,ue)):X===void 0&&(X=0,queueMicrotask(me))})},onWillRemoveListener(){le&&x>0&&me?.()},onDidRemoveLastListener(){me=void 0,T.dispose()}};oe||y(Ee);const fe=new p(Ee);return oe?.add(fe),fe.event}S.debounce=z;function j(ee,te=0,ue){return S.debounce(ee,(Z,le)=>Z?(Z.push(le),Z):[le],te,void 0,!0,void 0,ue)}S.accumulate=j;function he(ee,te=(Z,le)=>Z===le,ue){let Z=!0,le;return U(ee,se=>{const oe=Z||!te(se,le);return Z=!1,le=se,oe},ue)}S.latch=he;function ie(ee,te,ue){return[S.filter(ee,te,ue),S.filter(ee,Z=>!te(Z),ue)]}S.split=ie;function ne(ee,te=!1,ue=[]){let Z=ue.slice(),le=ee(T=>{Z?Z.push(T):oe.fire(T)});const se=()=>{Z?.forEach(T=>oe.fire(T)),Z=null},oe=new p({onWillAddFirstListener(){le||(le=ee(T=>oe.fire(T)))},onDidAddFirstListener(){Z&&(te?setTimeout(se):se())},onDidRemoveLastListener(){le&&le.dispose(),le=null}});return oe.event}S.buffer=ne;class V{constructor(te){this.event=te,this.d=new h.$jb}map(te){return new V(P(this.event,te,this.d))}forEach(te){return new V(N(this.event,te,this.d))}filter(te){return new V(U(this.event,te,this.d))}reduce(te,ue){return new V(O(this.event,te,ue,this.d))}latch(){return new V(he(this.event,void 0,this.d))}debounce(te,ue=100,Z=!1,le=!1,se){return new V(z(this.event,te,ue,Z,le,se,this.d))}on(te,ue,Z){return this.event(te,ue,Z)}once(te,ue,Z){return r(this.event)(te,ue,Z)}dispose(){this.d.dispose()}}function H(ee){return new V(ee)}S.chain=H;function ce(ee,te,ue=Z=>Z){const Z=(...T)=>oe.fire(ue(...T)),le=()=>ee.on(te,Z),se=()=>ee.removeListener(te,Z),oe=new p({onWillAddFirstListener:le,onDidRemoveLastListener:se});return oe.event}S.fromNodeEventEmitter=ce;function pe(ee,te,ue=Z=>Z){const Z=(...T)=>oe.fire(ue(...T)),le=()=>ee.addEventListener(te,Z),se=()=>ee.removeEventListener(te,Z),oe=new p({onWillAddFirstListener:le,onDidRemoveLastListener:se});return oe.event}S.fromDOMEventEmitter=pe;function ye(ee){return new Promise(te=>r(ee)(te))}S.toPromise=ye;function ge(ee,te){return te(void 0),ee(ue=>te(ue))}S.runAndSubscribe=ge;function M(ee,te){let ue=null;function Z(se){ue?.dispose(),ue=new h.$jb,te(se,ue)}Z(void 0);const le=ee(se=>Z(se));return(0,h.$ib)(()=>{le.dispose(),ue?.dispose()})}S.runAndSubscribeWithStore=M;class Q{constructor(te,ue){this._observable=te,this.d=0,this.f=!1;const Z={onWillAddFirstListener:()=>{te.addObserver(this)},onDidRemoveLastListener:()=>{te.removeObserver(this)}};ue||y(Z),this.emitter=new p(Z),ue&&ue.add(this.emitter)}beginUpdate(te){this.d++}handlePossibleChange(te){}handleChange(te,ue){this.f=!0}endUpdate(te){this.d--,this.d===0&&(this._observable.reportChanges(),this.f&&(this.f=!1,this.emitter.fire(this._observable.get())))}}function ve(ee,te){return new Q(ee,te).emitter.event}S.fromObservable=ve;function Se(ee){return te=>{let ue=0,Z=!1;const le={beginUpdate(){ue++},endUpdate(){ue--,ue===0&&(ee.reportChanges(),Z&&(Z=!1,te()))},handlePossibleChange(){},handleChange(){Z=!0}};return ee.addObserver(le),{dispose(){ee.removeObserver(le)}}}}S.fromObservableLight=Se})(m||(e.Event=m={}));class L{constructor(y){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${y}_${L.d++}`,L.all.add(this)}start(y){this.f=new R.$1c,this.listenerCount=y}stop(){if(this.f){const y=this.f.elapsed();this.durations.push(y),this.elapsedOverall+=y,this.invocationCount+=1,this.f=void 0}}}e.$3c=L,L.all=new Set,L.d=0;let I=-1;function v(S){const y=I;return I=S,{dispose(){I=y}}}e.$4c=v;class D{constructor(y,c=Math.random().toString(18).slice(2,5)){this.threshold=y,this.name=c,this.f=0}dispose(){this.d?.clear()}check(y,c){const r=this.threshold;if(r<=0||c<r)return;this.d||(this.d=new Map);const P=this.d.get(y.value)||0;if(this.d.set(y.value,P+1),this.f-=1,this.f<=0){this.f=r*.5;let N,U=0;for(const[q,W]of this.d)(!N||U<W)&&(N=q,U=W);console.warn(`[${this.name}] potential listener LEAK detected, having ${c} listeners already. MOST frequent listener (${U}):`),console.warn(N)}return()=>{const N=this.d.get(y.value)||0;this.d.set(y.value,N-1)}}}class C{static create(){return new C(new Error().stack??"")}constructor(y){this.value=y}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}let w=0;class i{constructor(y){this.value=y,this.id=w++}}const l=2,a=(S,y)=>{if(S instanceof i)y(S);else for(let c=0;c<S.length;c++){const r=S[c];r&&y(r)}};class p{constructor(y){this.u=0,this.d=y,this.f=I>0||this.d?.leakWarningThreshold?new D(this.d?.leakWarningThreshold??I):void 0,this.g=this.d?._profName?new L(this.d._profName):void 0,this.t=this.d?.deliveryQueue}dispose(){if(!this.j){if(this.j=!0,this.t?.current===this&&this.t.reset(),this.q){if(g){const y=this.q;queueMicrotask(()=>{a(y,c=>c.stack?.print())})}this.q=void 0,this.u=0}this.d?.onDidRemoveLastListener?.(),this.f?.dispose()}}get event(){return this.m??=(y,c,r)=>{if(this.f&&this.u>this.f.threshold*3)return console.warn(`[${this.f.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),h.$kb.None;if(this.j)return h.$kb.None;c&&(y=y.bind(c));const P=new i(y);let N,U;this.f&&this.u>=Math.ceil(this.f.threshold*.2)&&(P.stack=C.create(),N=this.f.check(P.stack,this.u+1)),g&&(P.stack=U??C.create()),this.q?this.q instanceof i?(this.t??=new E,this.q=[this.q,P]):this.q.push(P):(this.d?.onWillAddFirstListener?.(this),this.q=P,this.d?.onDidAddFirstListener?.(this)),this.u++;const q=(0,h.$ib)(()=>{N?.(),this.v(P)});return r instanceof h.$jb?r.add(q):Array.isArray(r)&&r.push(q),q},this.m}v(y){if(this.d?.onWillRemoveListener?.(this),!this.q)return;if(this.u===1){this.q=void 0,this.d?.onDidRemoveLastListener?.(this),this.u=0;return}const c=this.q,r=c.indexOf(y);if(r===-1)throw console.log("disposed?",this.j),console.log("size?",this.u),console.log("arr?",JSON.stringify(this.q)),new Error("Attempted to dispose unknown listener");this.u--,c[r]=void 0;const P=this.t.current===this;if(this.u*l<=c.length){let N=0;for(let U=0;U<c.length;U++)c[U]?c[N++]=c[U]:P&&(this.t.end--,N<this.t.i&&this.t.i--);c.length=N}}w(y,c){if(!y)return;const r=this.d?.onListenerError||b.$X;if(!r){y.value(c);return}try{y.value(c)}catch(P){r(P)}}x(y){const c=y.current.q;for(;y.i<y.end;)this.w(c[y.i++],y.value);y.reset()}fire(y){if(this.t?.current&&(this.x(this.t),this.g?.stop()),this.g?.start(this.u),this.q)if(this.q instanceof i)this.w(this.q,y);else{const c=this.t;c.enqueue(this,y,this.q.length),this.x(c)}this.g?.stop()}hasListeners(){return this.u>0}}e.$5c=p;const f=()=>new E;e.$6c=f;class E{constructor(){this.i=-1,this.end=0}enqueue(y,c,r){this.i=0,this.end=r,this.current=y,this.value=c}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class n extends p{async fireAsync(y,c,r){if(this.q)for(this.h||(this.h=new F.$jc),a(this.q,P=>this.h.push([P.value,y]));this.h.size>0&&!c.isCancellationRequested;){const[P,N]=this.h.shift(),U=[],q={...N,token:c,waitUntil:W=>{if(Object.isFrozen(U))throw new Error("waitUntil can NOT be called asynchronous");r&&(W=r(W,P)),U.push(W)}};try{P(q)}catch(W){(0,b.$X)(W);continue}Object.freeze(U),await Promise.allSettled(U).then(W=>{for(const O of W)O.status==="rejected"&&(0,b.$X)(O.reason)})}}}e.$7c=n;class o extends p{get isPaused(){return this.h!==0}constructor(y){super(y),this.h=0,this.s=new F.$jc,this.y=y?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.y){if(this.s.size>0){const y=Array.from(this.s);this.s.clear(),super.fire(this.y(y))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(y){this.u&&(this.h!==0?this.s.push(y):super.fire(y))}}e.$8c=o;class s extends o{constructor(y){super(y),this.k=y.delay??100}fire(y){this.o||(this.pause(),this.o=setTimeout(()=>{this.o=void 0,this.resume()},this.k)),super.fire(y)}}e.$9c=s;class t extends p{constructor(y){super(y),this.h=[],this.k=y?.merge}fire(y){this.hasListeners()&&(this.h.push(y),this.h.length===1&&queueMicrotask(()=>{this.k?super.fire(this.k(this.h)):this.h.forEach(c=>super.fire(c)),this.h=[]}))}}e.$0c=t;class u{constructor(){this.f=!1,this.g=[],this.d=new p({onWillAddFirstListener:()=>this.h(),onDidRemoveLastListener:()=>this.j()})}get event(){return this.d.event}add(y){const c={event:y,listener:null};this.g.push(c),this.f&&this.k(c);const r=()=>{this.f&&this.m(c);const P=this.g.indexOf(c);this.g.splice(P,1)};return(0,h.$ib)((0,A.$bb)(r))}h(){this.f=!0,this.g.forEach(y=>this.k(y))}j(){this.f=!1,this.g.forEach(y=>this.m(y))}k(y){y.listener=y.event(c=>this.d.fire(c))}m(y){y.listener&&y.listener.dispose(),y.listener=null}dispose(){this.d.dispose()}}e.$$c=u;class ${constructor(){this.d=[]}wrapEvent(y){return(c,r,P)=>y(N=>{const U=this.d[this.d.length-1];U?U.push(()=>c.call(r,N)):c.call(r,N)},void 0,P)}bufferEvents(y){const c=[];this.d.push(c);const r=y();return this.d.pop(),c.forEach(P=>P()),r}}e.$_c=$;class d{constructor(){this.d=!1,this.f=m.None,this.g=h.$kb.None,this.h=new p({onDidAddFirstListener:()=>{this.d=!0,this.g=this.f(this.h.fire,this.h)},onDidRemoveLastListener:()=>{this.d=!1,this.g.dispose()}}),this.event=this.h.event}set input(y){this.f=y,this.d&&(this.g.dispose(),this.g=y(this.h.fire,this.h))}dispose(){this.g.dispose(),this.h.dispose()}}e.$ad=d}),define(De[21],Ce([1,0,3]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bd=e.CancellationToken=void 0;const A=Object.freeze(function(g,k){const m=setTimeout(g.bind(k),0);return{dispose(){clearTimeout(m)}}});var h;(function(g){function k(m){return m===g.None||m===g.Cancelled||m instanceof F?!0:!m||typeof m!="object"?!1:typeof m.isCancellationRequested=="boolean"&&typeof m.onCancellationRequested=="function"}g.isCancellationToken=k,g.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:b.Event.None}),g.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:A})})(h||(e.CancellationToken=h={}));class F{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?A:(this.b||(this.b=new b.$5c),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class R{constructor(k){this.a=void 0,this.b=void 0,this.b=k&&k.onCancellationRequested(this.cancel,this)}get token(){return this.a||(this.a=new F),this.a}cancel(){this.a?this.a instanceof F&&this.a.cancel():this.a=h.Cancelled}dispose(k=!1){k&&this.cancel(),this.b?.dispose(),this.a?this.a instanceof F&&this.a.dispose():this.a=h.None}}e.$bd=R}),define(De[152],Ce([1,0,21]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ed=e.$dd=e.$cd=void 0;class A{constructor(g){this.b=g,this.a=null}get(){if(this.a)return this.a;const g=new b.$bd,k=this.b(g.token);return this.a={promise:k,dispose:()=>{this.a=null,g.cancel(),g.dispose()}},this.a}}e.$cd=A;class h{constructor(g){this.c=g,this.a=void 0,this.b=void 0}get(g){const k=JSON.stringify(g);return this.b!==k&&(this.b=k,this.a=this.c(g)),this.a}}e.$dd=h;class F{get cachedValues(){return this.a}constructor(g){this.b=g,this.a=new Map}get(g){if(this.a.has(g))return this.a.get(g);const k=this.b(g);return this.a.set(g,k),k}}e.$ed=F}),define(De[91],Ce([1,0,8,4]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hb=e.$Gb=e.$Fb=e.$Eb=e.$Db=e.$Cb=e.$Bb=e.$Ab=e.$zb=e.$yb=e.$xb=e.$wb=e.$vb=e.$ub=e.$tb=void 0;function h(f){const E=f;return E?typeof E.read=="function":!1}e.$tb=h;function F(f){const E=f;return E?[E.on,E.pause,E.resume,E.destroy].every(n=>typeof n=="function"):!1}e.$ub=F;function R(f){const E=f;return E?F(E.stream)&&Array.isArray(E.buffer)&&typeof E.ended=="boolean":!1}e.$vb=R;function g(f,E){return new k(f,E)}e.$wb=g;class k{constructor(E,n){this.e=E,this.f=n,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(E){if(!this.a.destroyed){if(this.a.flowing)this.g(E);else if(this.b.data.push(E),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(n=>this.d.push(n))}}error(E){this.a.destroyed||(this.a.flowing?this.h(E):this.b.error.push(E))}end(E){this.a.destroyed||(typeof E<"u"&&this.write(E),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(E){this.c.data.slice(0).forEach(n=>n(E))}h(E){this.c.error.length===0?(0,b.$X)(E):this.c.error.slice(0).forEach(n=>n(E))}i(){this.c.end.slice(0).forEach(E=>E())}on(E,n){if(!this.a.destroyed)switch(E){case"data":this.c.data.push(n),this.resume();break;case"end":this.c.end.push(n),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(n),this.a.flowing&&this.k();break}}removeListener(E,n){if(this.a.destroyed)return;let o;switch(E){case"data":o=this.c.data;break;case"end":o=this.c.end;break;case"error":o=this.c.error;break}if(o){const s=o.indexOf(n);s>=0&&o.splice(s,1)}}j(){if(this.b.data.length>0){const E=this.e(this.b.data);this.g(E),this.b.data.length=0;const n=[...this.d];this.d.length=0,n.forEach(o=>o())}}k(){if(this.c.error.length>0){for(const E of this.b.error)this.h(E);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function m(f,E){const n=[];let o;for(;(o=f.read())!==null;)n.push(o);return E(n)}e.$xb=m;function L(f,E,n){const o=[];let s;for(;(s=f.read())!==null&&o.length<n;)o.push(s);return s===null&&o.length>0?E(o):{read:()=>{if(o.length>0)return o.shift();if(typeof s<"u"){const t=s;return s=void 0,t}return f.read()}}}e.$yb=L;function I(f,E){return new Promise((n,o)=>{const s=[];v(f,{onData:t=>{E&&s.push(t)},onError:t=>{E?o(t):n(void 0)},onEnd:()=>{n(E?E(s):void 0)}})})}e.$zb=I;function v(f,E){let n=!1;return f.on("error",o=>{n||E.onError(o)}),f.on("end",()=>{n||E.onEnd()}),f.on("data",o=>{n||E.onData(o)}),(0,A.$ib)(()=>n=!0)}e.$Ab=v;function D(f,E){return new Promise((n,o)=>{const s=new A.$jb,t=[],u=S=>{if(t.push(S),t.length>E)return s.dispose(),f.pause(),n({stream:f,buffer:t,ended:!1})},$=S=>o(S),d=()=>n({stream:f,buffer:t,ended:!0});s.add((0,A.$ib)(()=>f.removeListener("error",$))),f.on("error",$),s.add((0,A.$ib)(()=>f.removeListener("end",d))),f.on("end",d),s.add((0,A.$ib)(()=>f.removeListener("data",u))),f.on("data",u)})}e.$Bb=D;function C(f,E){const n=g(E);return n.end(f),n}e.$Cb=C;function w(){const f=g(()=>{throw new Error("not supported")});return f.end(),f}e.$Db=w;function i(f){let E=!1;return{read:()=>E?null:(E=!0,f)}}e.$Eb=i;function l(f,E,n){const o=g(n);return v(f,{onData:s=>o.write(E.data(s)),onError:s=>o.error(E.error?E.error(s):s),onEnd:()=>o.end()}),o}e.$Fb=l;function a(f,E,n){let o=!1;return{read:()=>{const s=E.read();return o?s:(o=!0,s!==null?n([f,s]):f)}}}e.$Gb=a;function p(f,E,n){let o=!1;const s=g(n);return v(E,{onData:t=>o?s.write(t):(o=!0,s.write(n([f,t]))),onError:t=>s.error(t),onEnd:()=>{o||(o=!0,s.write(f)),s.end()}}),s}e.$Hb=p}),define(De[22],Ce([1,0,54,91]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2b=e.$1b=e.$Zb=e.$Yb=e.$Xb=e.$Wb=e.$Vb=e.$Ub=e.$Tb=e.$Sb=e.$Rb=e.$Qb=e.$Pb=e.$Ob=e.$Nb=e.$Mb=e.$Lb=e.$Kb=e.$Jb=e.$Ib=void 0;const h=typeof Buffer<"u",F=new b.$S(()=>new Uint8Array(256));let R,g;class k{static alloc(c){return h?new k(Buffer.allocUnsafe(c)):new k(new Uint8Array(c))}static wrap(c){return h&&!Buffer.isBuffer(c)&&(c=Buffer.from(c.buffer,c.byteOffset,c.byteLength)),new k(c)}static fromString(c,r){return!(r?.dontUseNodeBuffer||!1)&&h?new k(Buffer.from(c)):(R||(R=new TextEncoder),new k(R.encode(c)))}static fromByteArray(c){const r=k.alloc(c.length);for(let P=0,N=c.length;P<N;P++)r.buffer[P]=c[P];return r}static concat(c,r){if(typeof r>"u"){r=0;for(let U=0,q=c.length;U<q;U++)r+=c[U].byteLength}const P=k.alloc(r);let N=0;for(let U=0,q=c.length;U<q;U++){const W=c[U];P.set(W,N),N+=W.byteLength}return P}constructor(c){this.buffer=c,this.byteLength=this.buffer.byteLength}clone(){const c=k.alloc(this.byteLength);return c.set(this),c}toString(){return h?this.buffer.toString():(g||(g=new TextDecoder),g.decode(this.buffer))}slice(c,r){return new k(this.buffer.subarray(c,r))}set(c,r){if(c instanceof k)this.buffer.set(c.buffer,r);else if(c instanceof Uint8Array)this.buffer.set(c,r);else if(c instanceof ArrayBuffer)this.buffer.set(new Uint8Array(c),r);else if(ArrayBuffer.isView(c))this.buffer.set(new Uint8Array(c.buffer,c.byteOffset,c.byteLength),r);else throw new Error("Unknown argument 'array'")}readUInt32BE(c){return I(this.buffer,c)}writeUInt32BE(c,r){v(this.buffer,c,r)}readUInt32LE(c){return D(this.buffer,c)}writeUInt32LE(c,r){C(this.buffer,c,r)}readUInt8(c){return w(this.buffer,c)}writeUInt8(c,r){i(this.buffer,c,r)}indexOf(c){const r=c instanceof k?c.buffer:c,P=r.byteLength,N=this.buffer,U=N.byteLength;if(P===0)return 0;if(P===1)return N.indexOf(r[0]);if(P>U)return-1;const q=F.value;q.fill(r.length);for(let z=0;z<r.length;z++)q[r[z]]=r.length-z-1;let W=r.length-1,O=W,J=-1;for(;W<U;)if(N[W]===r[O]){if(O===0){J=W;break}W--,O--}else W+=Math.max(r.length-O,q[N[W]]),O=r.length-1;return J}}e.$Ib=k;function m(y,c){return y[c+0]<<0>>>0|y[c+1]<<8>>>0}e.$Jb=m;function L(y,c,r){y[r+0]=c&255,c=c>>>8,y[r+1]=c&255}e.$Kb=L;function I(y,c){return y[c]*2**24+y[c+1]*2**16+y[c+2]*2**8+y[c+3]}e.$Lb=I;function v(y,c,r){y[r+3]=c,c=c>>>8,y[r+2]=c,c=c>>>8,y[r+1]=c,c=c>>>8,y[r]=c}e.$Mb=v;function D(y,c){return y[c+0]<<0>>>0|y[c+1]<<8>>>0|y[c+2]<<16>>>0|y[c+3]<<24>>>0}e.$Nb=D;function C(y,c,r){y[r+0]=c&255,c=c>>>8,y[r+1]=c&255,c=c>>>8,y[r+2]=c&255,c=c>>>8,y[r+3]=c&255}e.$Ob=C;function w(y,c){return y[c]}e.$Pb=w;function i(y,c,r){y[r]=c}e.$Qb=i;function l(y){return A.$xb(y,c=>k.concat(c))}e.$Rb=l;function a(y){return A.$Eb(y)}e.$Sb=a;function p(y){return A.$zb(y,c=>k.concat(c))}e.$Tb=p;async function f(y){return y.ended?k.concat(y.buffer):k.concat([...y.buffer,await p(y.stream)])}e.$Ub=f;function E(y){return A.$Cb(y,c=>k.concat(c))}e.$Vb=E;function n(y){return A.$Fb(y,{data:c=>typeof c=="string"?k.fromString(c):k.wrap(c)},c=>k.concat(c))}e.$Wb=n;function o(y){return A.$wb(c=>k.concat(c),y)}e.$Xb=o;function s(y,c){return A.$Gb(y,c,r=>k.concat(r))}e.$Yb=s;function t(y,c){return A.$Hb(y,c,r=>k.concat(r))}e.$Zb=t;function u(y){let c=0,r=0,P=0;const N=new Uint8Array(Math.floor(y.length/4*3)),U=W=>{switch(r){case 3:N[P++]=c|W,r=0;break;case 2:N[P++]=c|W>>>2,c=W<<6,r=3;break;case 1:N[P++]=c|W>>>4,c=W<<4,r=2;break;default:c=W<<2,r=1}};for(let W=0;W<y.length;W++){const O=y.charCodeAt(W);if(O>=65&&O<=90)U(O-65);else if(O>=97&&O<=122)U(O-97+26);else if(O>=48&&O<=57)U(O-48+52);else if(O===43||O===45)U(62);else if(O===47||O===95)U(63);else{if(O===61)break;throw new SyntaxError(`Unexpected base64 character ${y[W]}`)}}const q=P;for(;r>0;)U(0);return k.wrap(N).slice(0,q)}e.$1b=u;const $="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",d="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function S({buffer:y},c=!0,r=!1){const P=r?d:$;let N="";const U=y.byteLength%3;let q=0;for(;q<y.byteLength-U;q+=3){const W=y[q+0],O=y[q+1],J=y[q+2];N+=P[W>>>2],N+=P[(W<<4|O>>>4)&63],N+=P[(O<<2|J>>>6)&63],N+=P[J&63]}if(U===1){const W=y[q+0];N+=P[W>>>2],N+=P[W<<4&63],c&&(N+="==")}else if(U===2){const W=y[q+0],O=y[q+1];N+=P[W>>>2],N+=P[(W<<4|O>>>4)&63],N+=P[O<<2&63],c&&(N+="=")}return N}e.$2b=S}),define(De[9],Ce([1,0,152,54]),function(re,e,b,A){"use strict";var h;Object.defineProperty(e,"__esModule",{value:!0}),e.$fe=e.$ee=e.$de=e.$ce=e.GraphemeBreakType=e.$be=e.$ae=e.$_d=e.$$d=e.$0d=e.$9d=e.$8d=e.$7d=e.$6d=e.$5d=e.$4d=e.$3d=e.$2d=e.$1d=e.$Zd=e.$Yd=e.$Xd=e.$Wd=e.$Vd=e.$Ud=e.$Td=e.$Sd=e.$Rd=e.$Qd=e.$Pd=e.$Od=e.$Nd=e.$Md=e.$Ld=e.$Kd=e.$Jd=e.$Id=e.$Hd=e.$Gd=e.$Fd=e.$Ed=e.$Dd=e.$Cd=e.$Bd=e.$Ad=e.$zd=e.$yd=e.$xd=e.$wd=e.$vd=e.$ud=e.$td=e.$sd=e.$rd=e.$qd=e.$pd=e.$od=e.$nd=e.$md=e.$ld=e.$kd=e.$jd=e.$id=e.$hd=void 0;function F(de){return!de||typeof de!="string"?!0:de.trim().length===0}e.$hd=F;const R=/{(\d+)}/g;function g(de,...Me){return Me.length===0?de:de.replace(R,function(_,Y){const we=parseInt(Y,10);return isNaN(we)||we<0||we>=Me.length?_:Me[we]})}e.$id=g;const k=/{([^}]+)}/g;function m(de,Me){return de.replace(k,(_,Y)=>Me[Y]??_)}e.$jd=m;function L(de){return de.replace(/[<>&]/g,function(Me){switch(Me){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return Me}})}e.$kd=L;function I(de){return de.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.$ld=I;function v(de,Me){let _=0;const Y=Me.charCodeAt(0);for(let we=de.length-1;we>=0;we--)de.charCodeAt(we)===Y&&_++;return _}e.$md=v;function D(de,Me,_="\u2026"){return de.length<=Me?de:`${de.substr(0,Me)}${_}`}e.$nd=D;function C(de,Me=" "){const _=w(de,Me);return i(_,Me)}e.$od=C;function w(de,Me){if(!de||!Me)return de;const _=Me.length;if(_===0||de.length===0)return de;let Y=0;for(;de.indexOf(Me,Y)===Y;)Y=Y+_;return de.substring(Y)}e.$pd=w;function i(de,Me){if(!de||!Me)return de;const _=Me.length,Y=de.length;if(_===0||Y===0)return de;let we=Y,je=-1;for(;je=de.lastIndexOf(Me,we-1),!(je===-1||je+_!==we);){if(je===0)return"";we=je}return de.substring(0,we)}e.$qd=i;function l(de){return de.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.$rd=l;function a(de){return de.replace(/\*/g,"")}e.$sd=a;function p(de,Me,_={}){if(!de)throw new Error("Cannot create regex from empty string");Me||(de=I(de)),_.wholeWord&&(/\B/.test(de.charAt(0))||(de="\\b"+de),/\B/.test(de.charAt(de.length-1))||(de=de+"\\b"));let Y="";return _.global&&(Y+="g"),_.matchCase||(Y+="i"),_.multiline&&(Y+="m"),_.unicode&&(Y+="u"),new RegExp(de,Y)}e.$td=p;function f(de){return de.source==="^"||de.source==="^$"||de.source==="$"||de.source==="^\\s*$"?!1:!!(de.exec("")&&de.lastIndex===0)}e.$ud=f;function E(de){return!!de.match(/([^\\]|^)(\\\\)*\\\d+/)}e.$vd=E;function n(de){return(de.global?"g":"")+(de.ignoreCase?"i":"")+(de.multiline?"m":"")+(de.unicode?"u":"")}e.$wd=n;function o(de){return de.split(/\r\n|\r|\n/)}e.$xd=o;function s(de){for(let Me=0,_=de.length;Me<_;Me++){const Y=de.charCodeAt(Me);if(Y!==32&&Y!==9)return Me}return-1}e.$yd=s;function t(de,Me=0,_=de.length){for(let Y=Me;Y<_;Y++){const we=de.charCodeAt(Y);if(we!==32&&we!==9)return de.substring(Me,Y)}return de.substring(Me,_)}e.$zd=t;function u(de,Me=de.length-1){for(let _=Me;_>=0;_--){const Y=de.charCodeAt(_);if(Y!==32&&Y!==9)return _}return-1}e.$Ad=u;function $(de,Me,_){const Y=[];let we=0;for(const je of de.matchAll(Me)){if(Y.push(de.slice(we,je.index)),je.index===void 0)throw new Error("match.index should be defined");we=je.index+je[0].length,Y.push(_(je[0],...je.slice(1),je.index,de,je.groups))}return Y.push(de.slice(we)),Promise.all(Y).then(je=>je.join(""))}e.$Bd=$;function d(de,Me){return de<Me?-1:de>Me?1:0}e.$Cd=d;function S(de,Me,_=0,Y=de.length,we=0,je=Me.length){for(;_<Y&&we<je;_++,we++){const et=de.charCodeAt(_),nt=Me.charCodeAt(we);if(et<nt)return-1;if(et>nt)return 1}const Oe=Y-_,Ze=je-we;return Oe<Ze?-1:Oe>Ze?1:0}e.$Dd=S;function y(de,Me){return c(de,Me,0,de.length,0,Me.length)}e.$Ed=y;function c(de,Me,_=0,Y=de.length,we=0,je=Me.length){for(;_<Y&&we<je;_++,we++){let et=de.charCodeAt(_),nt=Me.charCodeAt(we);if(et===nt)continue;if(et>=128||nt>=128)return S(de.toLowerCase(),Me.toLowerCase(),_,Y,we,je);P(et)&&(et-=32),P(nt)&&(nt-=32);const ft=et-nt;if(ft!==0)return ft}const Oe=Y-_,Ze=je-we;return Oe<Ze?-1:Oe>Ze?1:0}e.$Fd=c;function r(de){return de>=48&&de<=57}e.$Gd=r;function P(de){return de>=97&&de<=122}e.$Hd=P;function N(de){return de>=65&&de<=90}e.$Id=N;function U(de,Me){return de.length===Me.length&&c(de,Me)===0}e.$Jd=U;function q(de,Me){const _=Me.length;return Me.length>de.length?!1:c(de,Me,0,_)===0}e.$Kd=q;function W(de,Me){const _=Math.min(de.length,Me.length);let Y;for(Y=0;Y<_;Y++)if(de.charCodeAt(Y)!==Me.charCodeAt(Y))return Y;return _}e.$Ld=W;function O(de,Me){const _=Math.min(de.length,Me.length);let Y;const we=de.length-1,je=Me.length-1;for(Y=0;Y<_;Y++)if(de.charCodeAt(we-Y)!==Me.charCodeAt(je-Y))return Y;return _}e.$Md=O;function J(de){return 55296<=de&&de<=56319}e.$Nd=J;function z(de){return 56320<=de&&de<=57343}e.$Od=z;function j(de,Me){return(de-55296<<10)+(Me-56320)+65536}e.$Pd=j;function he(de,Me,_){const Y=de.charCodeAt(_);if(J(Y)&&_+1<Me){const we=de.charCodeAt(_+1);if(z(we))return j(Y,we)}return Y}e.$Qd=he;function ie(de,Me){const _=de.charCodeAt(Me-1);if(z(_)&&Me>1){const Y=de.charCodeAt(Me-2);if(J(Y))return j(Y,_)}return _}class ne{get offset(){return this.e}constructor(Me,_=0){this.c=Me,this.d=Me.length,this.e=_}setOffset(Me){this.e=Me}prevCodePoint(){const Me=ie(this.c,this.e);return this.e-=Me>=65536?2:1,Me}nextCodePoint(){const Me=he(this.c,this.d,this.e);return this.e+=Me>=65536?2:1,Me}eol(){return this.e>=this.d}}e.$Rd=ne;class V{get offset(){return this.c.offset}constructor(Me,_=0){this.c=new ne(Me,_)}nextGraphemeLength(){const Me=Ve.getInstance(),_=this.c,Y=_.offset;let we=Me.getGraphemeBreakType(_.nextCodePoint());for(;!_.eol();){const je=_.offset,Oe=Me.getGraphemeBreakType(_.nextCodePoint());if(Pe(we,Oe)){_.setOffset(je);break}we=Oe}return _.offset-Y}prevGraphemeLength(){const Me=Ve.getInstance(),_=this.c,Y=_.offset;let we=Me.getGraphemeBreakType(_.prevCodePoint());for(;_.offset>0;){const je=_.offset,Oe=Me.getGraphemeBreakType(_.prevCodePoint());if(Pe(Oe,we)){_.setOffset(je);break}we=Oe}return Y-_.offset}eol(){return this.c.eol()}}e.$Sd=V;function H(de,Me){return new V(de,Me).nextGraphemeLength()}e.$Td=H;function ce(de,Me){return new V(de,Me).prevGraphemeLength()}e.$Ud=ce;function pe(de,Me){Me>0&&z(de.charCodeAt(Me))&&Me--;const _=Me+H(de,Me);return[_-ce(de,_),_]}e.$Vd=pe;function ye(de){const Me=new V(de);let _=0;for(;!Me.eol();)_++,Me.nextGraphemeLength();return _}e.$Wd=ye;let ge;function M(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function Q(de){return ge||(ge=M()),ge.test(de)}e.$Xd=Q;const ve=/^[\t\n\r\x20-\x7E]*$/;function Se(de){return ve.test(de)}e.$Yd=Se,e.$Zd=/[\u2028\u2029]/;function ee(de){return e.$Zd.test(de)}e.$1d=ee;function te(de){return de>=11904&&de<=55215||de>=63744&&de<=64255||de>=65281&&de<=65374}e.$2d=te;function ue(de){return de>=127462&&de<=127487||de===8986||de===8987||de===9200||de===9203||de>=9728&&de<=10175||de===11088||de===11093||de>=127744&&de<=128591||de>=128640&&de<=128764||de>=128992&&de<=129008||de>=129280&&de<=129535||de>=129648&&de<=129782}e.$3d=ue;function Z(de,Me){if(de.length<Me)return de;const _=/\b/g;let Y=0;for(;_.test(de)&&!(de.length-_.lastIndex<Me);)Y=_.lastIndex,_.lastIndex+=1;return de.substring(Y).replace(/^\s/,"")}e.$4d=Z;const le=/(:?\x1b\[|\x9B)[=?>!]?[\d;:]*["$#'* ]?[a-zA-Z@^`{}|~]/g,se=/\x1b\].*?\x07/g;function oe(de){return de&&(de=de.replace(le,"").replace(se,"")),de}e.$5d=oe,e.$6d=String.fromCharCode(65279);function T(de){return!!(de&&de.length>0&&de.charCodeAt(0)===65279)}e.$7d=T;function K(de){return T(de)?de.substr(1):de}e.$8d=K;function X(de,Me){if(!de||!Me||de.length<Me.length)return!1;const _=Me.length,Y=de.toLowerCase();let we=0,je=-1;for(;we<_;){const Oe=Y.indexOf(Me[we],je+1);if(Oe<0)return!1;je=Oe,we++}return!0}e.$9d=X;function x(de,Me=!1){return de?(Me&&(de=de.replace(/\\./g,"")),de.toLowerCase()!==de):!1}e.$0d=x;function me(de){return de.charAt(0).toUpperCase()+de.slice(1)}e.$$d=me;function Ee(de,Me=1){if(Me===0)return"";let _=-1;do _=de.indexOf(`
`,_+1),Me--;while(Me>0&&_>=0);return _===-1?de:(de[_-1]==="\r"&&_--,de.substr(0,_))}e.$_d=Ee;function fe(de){return de=de%(2*26),de<26?String.fromCharCode(97+de):String.fromCharCode(65+de-26)}e.$ae=fe;function Ie(de){return Ve.getInstance().getGraphemeBreakType(de)}e.$be=Ie;function Pe(de,Me){return de===0?Me!==5&&Me!==7:de===2&&Me===3?!1:de===4||de===2||de===3||Me===4||Me===2||Me===3?!0:!(de===8&&(Me===8||Me===9||Me===11||Me===12)||(de===11||de===9)&&(Me===9||Me===10)||(de===12||de===10)&&Me===10||Me===5||Me===13||Me===7||de===1||de===13&&Me===14||de===6&&Me===6)}var qe;(function(de){de[de.Other=0]="Other",de[de.Prepend=1]="Prepend",de[de.CR=2]="CR",de[de.LF=3]="LF",de[de.Control=4]="Control",de[de.Extend=5]="Extend",de[de.Regional_Indicator=6]="Regional_Indicator",de[de.SpacingMark=7]="SpacingMark",de[de.L=8]="L",de[de.V=9]="V",de[de.T=10]="T",de[de.LV=11]="LV",de[de.LVT=12]="LVT",de[de.ZWJ=13]="ZWJ",de[de.Extended_Pictographic=14]="Extended_Pictographic"})(qe||(e.GraphemeBreakType=qe={}));class Ve{static getInstance(){return Ve.c||(Ve.c=new Ve),Ve.c}constructor(){this.d=tt()}getGraphemeBreakType(Me){if(Me<32)return Me===10?3:Me===13?2:4;if(Me<127)return 0;const _=this.d,Y=_.length/3;let we=1;for(;we<=Y;)if(Me<_[3*we])we=2*we;else if(Me>_[3*we+1])we=2*we+1;else return _[3*we+2];return 0}}Ve.c=null;function tt(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Ge(de,Me){if(de===0)return 0;const _=Qe(de,Me);if(_!==void 0)return _;const Y=new ne(Me,de);return Y.prevCodePoint(),Y.offset}e.$ce=Ge;function Qe(de,Me){const _=new ne(Me,de);let Y=_.prevCodePoint();for(;st(Y)||Y===65039||Y===8419;){if(_.offset===0)return;Y=_.prevCodePoint()}if(!ue(Y))return;let we=_.offset;return we>0&&_.prevCodePoint()===8205&&(we=_.offset),we}function st(de){return 127995<=de&&de<=127999}var at;(function(de){de[de.zwj=8205]="zwj",de[de.emojiVariantSelector=65039]="emojiVariantSelector",de[de.enclosingKeyCap=8419]="enclosingKeyCap"})(at||(at={})),e.$de="\xA0";class xe{static getInstance(Me){return xe.d.get(Array.from(Me))}static getLocales(){return xe.e.value}constructor(Me){this.f=Me}isAmbiguous(Me){return this.f.has(Me)}getPrimaryConfusable(Me){return this.f.get(Me)}getConfusableCodePoints(){return new Set(this.f.keys())}}e.$ee=xe,h=xe,xe.c=new A.$S(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),xe.d=new b.$dd(de=>{function Me(nt){const ft=new Map;for(let vt=0;vt<nt.length;vt+=2)ft.set(nt[vt],nt[vt+1]);return ft}function _(nt,ft){const vt=new Map(nt);for(const[Nt,Tt]of ft)vt.set(Nt,Tt);return vt}function Y(nt,ft){if(!nt)return ft;const vt=new Map;for(const[Nt,Tt]of nt)ft.has(Nt)&&vt.set(Nt,Tt);return vt}const we=h.c.value;let je=de.filter(nt=>!nt.startsWith("_")&&nt in we);je.length===0&&(je=["_default"]);let Oe;for(const nt of je){const ft=Me(we[nt]);Oe=Y(Oe,ft)}const Ze=Me(we._common),et=_(Ze,Oe);return new xe(et)}),xe.e=new A.$S(()=>Object.keys(xe.c.value).filter(de=>!de.startsWith("_")));class rt{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static e(){return this.d||(this.d=new Set(rt.c())),this.d}static isInvisibleCharacter(Me){return rt.e().has(Me)}static get codePoints(){return rt.e()}}e.$fe=rt,rt.d=void 0}),define(De[113],Ce([1,0,28,9]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vj=e.$uj=e.$tj=e.$sj=e.FuzzyScore=e.$rj=e.$qj=e.$pj=e.$oj=e.$nj=e.$mj=e.$lj=e.$kj=e.$jj=e.$ij=e.$hj=e.$gj=e.or=void 0;function h(...se){return function(oe,T){for(let K=0,X=se.length;K<X;K++){const x=se[K](oe,T);if(x)return x}return null}}e.or=h,e.$gj=F.bind(void 0,!1),e.$hj=F.bind(void 0,!0);function F(se,oe,T){if(!T||T.length<oe.length)return null;let K;return se?K=A.$Kd(T,oe):K=T.indexOf(oe)===0,K?oe.length>0?[{start:0,end:oe.length}]:[]:null}function R(se,oe){const T=oe.toLowerCase().indexOf(se.toLowerCase());return T===-1?null:[{start:T,end:T+se.length}]}e.$ij=R;function g(se,oe){return k(se.toLowerCase(),oe.toLowerCase(),0,0)}e.$jj=g;function k(se,oe,T,K){if(T===se.length)return[];if(K===oe.length)return null;if(se[T]===oe[K]){let X=null;return(X=k(se,oe,T+1,K+1))?l({start:K,end:K+1},X):null}return k(se,oe,T,K+1)}function m(se){return 97<=se&&se<=122}function L(se){return 65<=se&&se<=90}e.$kj=L;function I(se){return 48<=se&&se<=57}function v(se){return se===32||se===9||se===10||se===13}const D=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(se=>D.add(se.charCodeAt(0)));function C(se){return v(se)||D.has(se)}function w(se,oe){return se===oe||C(se)&&C(oe)}function i(se){return m(se)||L(se)||I(se)}function l(se,oe){return oe.length===0?oe=[se]:se.end===oe[0].start?oe[0].start=se.start:oe.unshift(se),oe}function a(se,oe){for(let T=oe;T<se.length;T++){const K=se.charCodeAt(T);if(L(K)||I(K)||T>0&&!i(se.charCodeAt(T-1)))return T}return se.length}function p(se,oe,T,K){if(T===se.length)return[];if(K===oe.length)return null;if(se[T]!==oe[K].toLowerCase())return null;{let X=null,x=K+1;for(X=p(se,oe,T+1,K+1);!X&&(x=a(oe,x))<oe.length;)X=p(se,oe,T+1,x),x++;return X===null?null:l({start:K,end:K+1},X)}}function f(se){let oe=0,T=0,K=0,X=0,x=0;for(let Pe=0;Pe<se.length;Pe++)x=se.charCodeAt(Pe),L(x)&&oe++,m(x)&&T++,i(x)&&K++,I(x)&&X++;const me=oe/se.length,Ee=T/se.length,fe=K/se.length,Ie=X/se.length;return{upperPercent:me,lowerPercent:Ee,alphaPercent:fe,numericPercent:Ie}}function E(se){const{upperPercent:oe,lowerPercent:T}=se;return T===0&&oe>.6}function n(se){const{upperPercent:oe,lowerPercent:T,alphaPercent:K,numericPercent:X}=se;return T>.2&&oe<.8&&K>.6&&X<.2}function o(se){let oe=0,T=0,K=0,X=0;for(let x=0;x<se.length;x++)K=se.charCodeAt(x),L(K)&&oe++,m(K)&&T++,v(K)&&X++;return(oe===0||T===0)&&X===0?se.length<=30:oe<=5}function s(se,oe){if(!oe||(oe=oe.trim(),oe.length===0)||!o(se)||oe.length>60)return null;const T=f(oe);if(!n(T)){if(!E(T))return null;oe=oe.toLowerCase()}let K=null,X=0;for(se=se.toLowerCase();X<oe.length&&(K=p(se,oe,0,X))===null;)X=a(oe,X+1);return K}e.$lj=s;function t(se,oe,T=!1){if(!oe||oe.length===0)return null;let K=null,X=0;for(se=se.toLowerCase(),oe=oe.toLowerCase();X<oe.length&&(K=u(se,oe,0,X,T))===null;)X=$(oe,X+1);return K}e.$mj=t;function u(se,oe,T,K,X){if(T===se.length)return[];if(K===oe.length)return null;if(w(se.charCodeAt(T),oe.charCodeAt(K))){let x=null,me=K+1;if(x=u(se,oe,T+1,K+1,X),!X)for(;!x&&(me=$(oe,me))<oe.length;)x=u(se,oe,T+1,me,X),me++;return x?se.charCodeAt(T)!==oe.charCodeAt(K)?x:l({start:K,end:K+1},x):null}else return null}function $(se,oe){for(let T=oe;T<se.length;T++)if(C(se.charCodeAt(T))||T>0&&C(se.charCodeAt(T-1)))return T;return se.length}const d=h(e.$hj,s,R),S=h(e.$hj,s,g),y=new b.$mi(1e4);function c(se,oe,T=!1){if(typeof se!="string"||typeof oe!="string")return null;let K=y.get(se);K||(K=new RegExp(A.$rd(se),"i"),y.set(se,K));const X=K.exec(oe);return X?[{start:X.index,end:X.index+X[0].length}]:T?S(se,oe):d(se,oe)}e.$nj=c;function r(se,oe){const T=ve(se,se.toLowerCase(),0,oe,oe.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return T?N(T):null}e.$oj=r;function P(se,oe,T,K,X,x){const me=Math.min(13,se.length);for(;T<me;T++){const Ee=ve(se,oe,T,K,X,x,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(Ee)return Ee}return[0,x]}e.$pj=P;function N(se){if(typeof se>"u")return[];const oe=[],T=se[1];for(let K=se.length-1;K>1;K--){const X=se[K]+T,x=oe[oe.length-1];x&&x.end===X?x.end=X+1:oe.push({start:X,end:X+1})}return oe}e.$qj=N;const U=128;function q(){const se=[],oe=[];for(let T=0;T<=U;T++)oe[T]=0;for(let T=0;T<=U;T++)se.push(oe.slice(0));return se}function W(se){const oe=[];for(let T=0;T<=se;T++)oe[T]=0;return oe}const O=W(2*U),J=W(2*U),z=q(),j=q(),he=q(),ie=!1;function ne(se,oe,T,K,X){function x(Ee,fe,Ie=" "){for(;Ee.length<fe;)Ee=Ie+Ee;return Ee}let me=` |   |${K.split("").map(Ee=>x(Ee,3)).join("|")}
`;for(let Ee=0;Ee<=T;Ee++)Ee===0?me+=" |":me+=`${oe[Ee-1]}|`,me+=se[Ee].slice(0,X+1).map(fe=>x(fe.toString(),3)).join("|")+`
`;return me}function V(se,oe,T,K){se=se.substr(oe),T=T.substr(K),console.log(ne(j,se,se.length,T,T.length)),console.log(ne(he,se,se.length,T,T.length)),console.log(ne(z,se,se.length,T,T.length))}function H(se,oe){if(oe<0||oe>=se.length)return!1;const T=se.codePointAt(oe);switch(T){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!A.$3d(T)}}function ce(se,oe){if(oe<0||oe>=se.length)return!1;switch(se.charCodeAt(oe)){case 32:case 9:return!0;default:return!1}}function pe(se,oe,T){return oe[se]!==T[se]}function ye(se,oe,T,K,X,x,me=!1){for(;oe<T&&X<x;)se[oe]===K[X]&&(me&&(O[oe]=X),oe+=1),X+=1;return oe===T}e.$rj=ye;var ge;(function(se){se[se.Diag=1]="Diag",se[se.Left=2]="Left",se[se.LeftLeft=3]="LeftLeft"})(ge||(ge={}));var M;(function(se){se.Default=[-100,0];function oe(T){return!T||T.length===2&&T[0]===-100&&T[1]===0}se.isDefault=oe})(M||(e.FuzzyScore=M={}));class Q{constructor(oe,T){this.firstMatchCanBeWeak=oe,this.boostFullMatch=T}}e.$sj=Q,Q.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function ve(se,oe,T,K,X,x,me=Q.default){const Ee=se.length>U?U:se.length,fe=K.length>U?U:K.length;if(T>=Ee||x>=fe||Ee-T>fe-x||!ye(oe,T,Ee,X,x,fe,!0))return;Se(Ee,fe,T,x,oe,X);let Ie=1,Pe=1,qe=T,Ve=x;const tt=[!1];for(Ie=1,qe=T;qe<Ee;Ie++,qe++){const xe=O[qe],rt=J[qe],de=qe+1<Ee?J[qe+1]:fe;for(Pe=xe-x+1,Ve=xe;Ve<de;Pe++,Ve++){let Me=Number.MIN_SAFE_INTEGER,_=!1;Ve<=rt&&(Me=ee(se,oe,qe,T,K,X,Ve,fe,x,z[Ie-1][Pe-1]===0,tt));let Y=0;Me!==Number.MAX_SAFE_INTEGER&&(_=!0,Y=Me+j[Ie-1][Pe-1]);const we=Ve>xe,je=we?j[Ie][Pe-1]+(z[Ie][Pe-1]>0?-5:0):0,Oe=Ve>xe+1&&z[Ie][Pe-1]>0,Ze=Oe?j[Ie][Pe-2]+(z[Ie][Pe-2]>0?-5:0):0;if(Oe&&(!we||Ze>=je)&&(!_||Ze>=Y))j[Ie][Pe]=Ze,he[Ie][Pe]=3,z[Ie][Pe]=0;else if(we&&(!_||je>=Y))j[Ie][Pe]=je,he[Ie][Pe]=2,z[Ie][Pe]=0;else if(_)j[Ie][Pe]=Y,he[Ie][Pe]=1,z[Ie][Pe]=z[Ie-1][Pe-1]+1;else throw new Error("not possible")}}if(ie&&V(se,T,K,x),!tt[0]&&!me.firstMatchCanBeWeak)return;Ie--,Pe--;const Ge=[j[Ie][Pe],x];let Qe=0,st=0;for(;Ie>=1;){let xe=Pe;do{const rt=he[Ie][xe];if(rt===3)xe=xe-2;else if(rt===2)xe=xe-1;else break}while(xe>=1);Qe>1&&oe[T+Ie-1]===X[x+Pe-1]&&!pe(xe+x-1,K,X)&&Qe+1>z[Ie][xe]&&(xe=Pe),xe===Pe?Qe++:Qe=1,st||(st=xe),Ie--,Pe=xe-1,Ge.push(Pe)}fe===Ee&&me.boostFullMatch&&(Ge[0]+=2);const at=st-Ee;return Ge[0]-=at,Ge}e.$tj=ve;function Se(se,oe,T,K,X,x){let me=se-1,Ee=oe-1;for(;me>=T&&Ee>=K;)X[me]===x[Ee]&&(J[me]=Ee,me--),Ee--}function ee(se,oe,T,K,X,x,me,Ee,fe,Ie,Pe){if(oe[T]!==x[me])return Number.MIN_SAFE_INTEGER;let qe=1,Ve=!1;return me===T-K?qe=se[T]===X[me]?7:5:pe(me,X,x)&&(me===0||!pe(me-1,X,x))?(qe=se[T]===X[me]?7:5,Ve=!0):H(x,me)&&(me===0||!H(x,me-1))?qe=5:(H(x,me-1)||ce(x,me-1))&&(qe=5,Ve=!0),qe>1&&T===K&&(Pe[0]=!0),Ve||(Ve=pe(me,X,x)||H(x,me-1)||ce(x,me-1)),T===K?me>fe&&(qe-=Ve?3:5):Ie?qe+=Ve?2:0:qe+=Ve?0:1,me+1===Ee&&(qe-=Ve?3:5),qe}function te(se,oe,T,K,X,x,me){return Z(se,oe,T,K,X,x,!0,me)}e.$uj=te;function ue(se,oe,T,K,X,x,me){return Z(se,oe,T,K,X,x,!1,me)}e.$vj=ue;function Z(se,oe,T,K,X,x,me,Ee){let fe=ve(se,oe,T,K,X,x,Ee);if(fe&&!me)return fe;if(se.length>=3){const Ie=Math.min(7,se.length-1);for(let Pe=T+1;Pe<Ie;Pe++){const qe=le(se,Pe);if(qe){const Ve=ve(qe,qe.toLowerCase(),T,K,X,x,Ee);Ve&&(Ve[0]-=3,(!fe||Ve[0]>fe[0])&&(fe=Ve))}}}return fe}function le(se,oe){if(oe+1>=se.length)return;const T=se[oe],K=se[oe+1];if(T!==K)return se.slice(0,oe)+K+T+se.slice(oe+2)}}),define(De[70],Ce([1,0,9]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fi=e.$ei=e.$di=e.$ci=e.$bi=e.$ai=e.$_h=void 0;function A(l){return h(l,0)}e.$_h=A;function h(l,a){switch(typeof l){case"object":return l===null?F(349,a):Array.isArray(l)?k(l,a):m(l,a);case"string":return g(l,a);case"boolean":return R(l,a);case"number":return F(l,a);case"undefined":return F(937,a);default:return F(617,a)}}e.$ai=h;function F(l,a){return(a<<5)-a+l|0}e.$bi=F;function R(l,a){return F(l?433:863,a)}function g(l,a){a=F(149417,a);for(let p=0,f=l.length;p<f;p++)a=F(l.charCodeAt(p),a);return a}e.$ci=g;function k(l,a){return a=F(104579,a),l.reduce((p,f)=>h(f,p),a)}function m(l,a){return a=F(181387,a),Object.keys(l).sort().reduce((p,f)=>(p=g(f,p),h(l[f],p)),a)}class L{constructor(){this.g=0}get value(){return this.g}hash(a){return this.g=h(a,this.g),this.g}}e.$di=L;var I;(function(l){l[l.BLOCK_SIZE=64]="BLOCK_SIZE",l[l.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(I||(I={}));function v(l,a,p=32){const f=p-a,E=~((1<<f)-1);return(l<<a|(E&l)>>>f)>>>0}function D(l,a=0,p=l.byteLength,f=0){for(let E=0;E<p;E++)l[a+E]=f}function C(l,a,p="0"){for(;l.length<a;)l=p+l;return l}function w(l,a=32){return l instanceof ArrayBuffer?Array.from(new Uint8Array(l)).map(p=>p.toString(16).padStart(2,"0")).join(""):C((l>>>0).toString(16),a/4)}e.$ei=w;class i{constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(a){const p=a.length;if(p===0)return;const f=this.p;let E=this.r,n=this.u,o,s;for(n!==0?(o=n,s=-1,n=0):(o=a.charCodeAt(0),s=0);;){let t=o;if(b.$Nd(o))if(s+1<p){const u=a.charCodeAt(s+1);b.$Od(u)?(s++,t=b.$Pd(o,u)):t=65533}else{n=o;break}else b.$Od(o)&&(t=65533);if(E=this.w(f,E,t),s++,s<p)o=a.charCodeAt(s);else break}this.r=E,this.u=n}w(a,p,f){return f<128?a[p++]=f:f<2048?(a[p++]=192|(f&1984)>>>6,a[p++]=128|(f&63)>>>0):f<65536?(a[p++]=224|(f&61440)>>>12,a[p++]=128|(f&4032)>>>6,a[p++]=128|(f&63)>>>0):(a[p++]=240|(f&1835008)>>>18,a[p++]=128|(f&258048)>>>12,a[p++]=128|(f&4032)>>>6,a[p++]=128|(f&63)>>>0),p>=64&&(this.y(),p-=64,this.t+=64,a[0]=a[64+0],a[1]=a[64+1],a[2]=a[64+2]),p}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),w(this.h)+w(this.l)+w(this.m)+w(this.n)+w(this.o)}x(){this.p[this.r++]=128,D(this.p,this.r),this.r>56&&(this.y(),D(this.p));const a=8*this.t;this.q.setUint32(56,Math.floor(a/4294967296),!1),this.q.setUint32(60,a%4294967296,!1),this.y()}y(){const a=i.g,p=this.q;for(let d=0;d<64;d+=4)a.setUint32(d,p.getUint32(d,!1),!1);for(let d=64;d<320;d+=4)a.setUint32(d,v(a.getUint32(d-12,!1)^a.getUint32(d-32,!1)^a.getUint32(d-56,!1)^a.getUint32(d-64,!1),1),!1);let f=this.h,E=this.l,n=this.m,o=this.n,s=this.o,t,u,$;for(let d=0;d<80;d++)d<20?(t=E&n|~E&o,u=1518500249):d<40?(t=E^n^o,u=1859775393):d<60?(t=E&n|E&o|n&o,u=2400959708):(t=E^n^o,u=3395469782),$=v(f,5)+t+s+u+a.getUint32(d*4,!1)&4294967295,s=o,o=n,n=v(E,30),E=f,f=$;this.h=this.h+f&4294967295,this.l=this.l+E&4294967295,this.m=this.m+n&4294967295,this.n=this.n+o&4294967295,this.o=this.o+s&4294967295}}e.$fi=i,i.g=new DataView(new ArrayBuffer(320))}),define(De[40],Ce([1,0,9]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var A;(function(h){h[h.Ignore=0]="Ignore",h[h.Info=1]="Info",h[h.Warning=2]="Warning",h[h.Error=3]="Error"})(A||(A={})),function(h){const F="error",R="warning",g="warn",k="info",m="ignore";function L(v){return v?b.$Jd(F,v)?h.Error:b.$Jd(R,v)||b.$Jd(g,v)?h.Warning:b.$Jd(k,v)?h.Info:h.Ignore:h.Ignore}h.fromValue=L;function I(v){switch(v){case h.Error:return F;case h.Warning:return R;case h.Info:return k;default:return m}}h.toString=I}(A||(A={})),e.default=A}),define(De[153],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2c=void 0,e.$2c=Symbol("MicrotaskDelay")}),define(De[71],Ce([1,0,19,9]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rh=e.$qh=e.$ph=e.$oh=e.$nh=void 0;class h{constructor(){this.b="",this.c=0}reset(D){return this.b=D,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(D){const C=D.charCodeAt(0),w=this.b.charCodeAt(this.c);return C-w}value(){return this.b[this.c]}}e.$nh=h;class F{constructor(D=!0){this.e=D}reset(D){return this.b=D,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let D=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(D)this.c++;else break;else D=!1;return this}cmp(D){return this.e?(0,A.$Dd)(D,this.b,0,D.length,this.c,this.d):(0,A.$Fd)(D,this.b,0,D.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.$oh=F;class R{constructor(D=!0,C=!0){this.f=D,this.g=C}reset(D){this.d=0,this.e=0,this.b=D,this.c=D.length;for(let C=D.length-1;C>=0;C--,this.c--){const w=this.b.charCodeAt(C);if(!(w===47||this.f&&w===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let D=!0;for(;this.e<this.c;this.e++){const C=this.b.charCodeAt(this.e);if(C===47||this.f&&C===92)if(D)this.d++;else break;else D=!1}return this}cmp(D){return this.g?(0,A.$Dd)(D,this.b,0,D.length,this.d,this.e):(0,A.$Fd)(D,this.b,0,D.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.$ph=R;var g;(function(v){v[v.Scheme=1]="Scheme",v[v.Authority=2]="Authority",v[v.Path=3]="Path",v[v.Query=4]="Query",v[v.Fragment=5]="Fragment"})(g||(g={}));class k{constructor(D,C){this.f=D,this.g=C,this.d=[],this.e=0}reset(D){return this.c=D,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new R(!1,!this.f(D)),this.b.reset(D.path),this.b.value()&&this.d.push(3)),this.g(D)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(D){if(this.d[this.e]===1)return(0,A.$Ed)(D,this.c.scheme);if(this.d[this.e]===2)return(0,A.$Ed)(D,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(D);if(this.d[this.e]===4)return(0,A.$Cd)(D,this.c.query);if(this.d[this.e]===5)return(0,A.$Cd)(D,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.$qh=k;class m{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const D=this.right;return this.right=D.left,D.left=this,this.updateHeight(),D.updateHeight(),D}rotateRight(){const D=this.left;return this.left=D.right,D.right=this,this.updateHeight(),D.updateHeight(),D}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var L;(function(v){v[v.Left=-1]="Left",v[v.Mid=0]="Mid",v[v.Right=1]="Right"})(L||(L={}));class I{static forUris(D=()=>!1,C=()=>!1){return new I(new k(D,C))}static forPaths(D=!1){return new I(new R(void 0,!D))}static forStrings(){return new I(new h)}static forConfigKeys(){return new I(new F)}constructor(D){this.b=D}clear(){this.c=void 0}fill(D,C){if(C){const w=C.slice(0);(0,b.$Bf)(w);for(const i of w)this.set(i,D)}else{const w=D.slice(0);(0,b.$Bf)(w);for(const i of w)this.set(i[0],i[1])}}set(D,C){const w=this.b.reset(D);let i;this.c||(this.c=new m,this.c.segment=w.value());const l=[];for(i=this.c;;){const p=w.cmp(i.segment);if(p>0)i.left||(i.left=new m,i.left.segment=w.value()),l.push([-1,i]),i=i.left;else if(p<0)i.right||(i.right=new m,i.right.segment=w.value()),l.push([1,i]),i=i.right;else if(w.hasNext())w.next(),i.mid||(i.mid=new m,i.mid.segment=w.value()),l.push([0,i]),i=i.mid;else break}const a=i.value;i.value=C,i.key=D;for(let p=l.length-1;p>=0;p--){const f=l[p][1];f.updateHeight();const E=f.balanceFactor();if(E<-1||E>1){const n=l[p][0],o=l[p+1][0];if(n===1&&o===1)l[p][1]=f.rotateLeft();else if(n===-1&&o===-1)l[p][1]=f.rotateRight();else if(n===1&&o===-1)f.right=l[p+1][1]=l[p+1][1].rotateRight(),l[p][1]=f.rotateLeft();else if(n===-1&&o===1)f.left=l[p+1][1]=l[p+1][1].rotateLeft(),l[p][1]=f.rotateRight();else throw new Error;if(p>0)switch(l[p-1][0]){case-1:l[p-1][1].left=l[p][1];break;case 1:l[p-1][1].right=l[p][1];break;case 0:l[p-1][1].mid=l[p][1];break}else this.c=l[0][1]}}return a}get(D){return this.d(D)?.value}d(D){const C=this.b.reset(D);let w=this.c;for(;w;){const i=C.cmp(w.segment);if(i>0)w=w.left;else if(i<0)w=w.right;else if(C.hasNext())C.next(),w=w.mid;else break}return w}has(D){const C=this.d(D);return!(C?.value===void 0&&C?.mid===void 0)}delete(D){return this.e(D,!1)}deleteSuperstr(D){return this.e(D,!0)}e(D,C){const w=this.b.reset(D),i=[];let l=this.c;for(;l;){const a=w.cmp(l.segment);if(a>0)i.push([-1,l]),l=l.left;else if(a<0)i.push([1,l]),l=l.right;else if(w.hasNext())w.next(),i.push([0,l]),l=l.mid;else break}if(l){if(C?(l.left=void 0,l.mid=void 0,l.right=void 0,l.height=1):(l.key=void 0,l.value=void 0),!l.mid&&!l.value)if(l.left&&l.right){const a=this.f(l.right);if(a.key){const{key:p,value:f,segment:E}=a;this.e(a.key,!1),l.key=p,l.value=f,l.segment=E}}else{const a=l.left??l.right;if(i.length>0){const[p,f]=i[i.length-1];switch(p){case-1:f.left=a;break;case 0:f.mid=a;break;case 1:f.right=a;break}}else this.c=a}for(let a=i.length-1;a>=0;a--){const p=i[a][1];p.updateHeight();const f=p.balanceFactor();if(f>1?(p.right.balanceFactor()>=0||(p.right=p.right.rotateRight()),i[a][1]=p.rotateLeft()):f<-1&&(p.left.balanceFactor()<=0||(p.left=p.left.rotateLeft()),i[a][1]=p.rotateRight()),a>0)switch(i[a-1][0]){case-1:i[a-1][1].left=i[a][1];break;case 1:i[a-1][1].right=i[a][1];break;case 0:i[a-1][1].mid=i[a][1];break}else this.c=i[0][1]}}}f(D){for(;D.left;)D=D.left;return D}findSubstr(D){const C=this.b.reset(D);let w=this.c,i;for(;w;){const l=C.cmp(w.segment);if(l>0)w=w.left;else if(l<0)w=w.right;else if(C.hasNext())C.next(),i=w.value||i,w=w.mid;else break}return w&&w.value||i}findSuperstr(D){return this.g(D,!1)}g(D,C){const w=this.b.reset(D);let i=this.c;for(;i;){const l=w.cmp(i.segment);if(l>0)i=i.left;else if(l<0)i=i.right;else if(w.hasNext())w.next(),i=i.mid;else return i.mid?this.h(i.mid):C?i.value:void 0}}hasElementOrSubtree(D){return this.g(D,!0)!==void 0}forEach(D){for(const[C,w]of this)D(w,C)}*[Symbol.iterator](){yield*this.h(this.c)}h(D){const C=[];return this.j(D,C),C[Symbol.iterator]()}j(D,C){D&&(D.left&&this.j(D.left,C),D.value&&C.push([D.key,D.value]),D.mid&&this.j(D.mid,C),D.right&&this.j(D.right,C))}_isBalanced(){const D=C=>{if(!C)return!0;const w=C.balanceFactor();return w<-1||w>1?!1:D(C.left)&&D(C.right)};return D(this.c)}}e.$rh=I}),define(De[12],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ze=e.$ye=e.$xe=e.$we=e.$ve=e.$ue=e.$te=e.$se=e.$re=e.$qe=e.$pe=e.$oe=e.$ne=e.$me=e.$le=e.$ke=e.$je=e.$ie=e.$he=e.$ge=void 0;function b(o){return typeof o=="string"}e.$ge=b;function A(o){return Array.isArray(o)&&o.every(s=>b(s))}e.$he=A;function h(o){return typeof o=="object"&&o!==null&&!Array.isArray(o)&&!(o instanceof RegExp)&&!(o instanceof Date)}e.$ie=h;function F(o){const s=Object.getPrototypeOf(Uint8Array);return typeof o=="object"&&o instanceof s}e.$je=F;function R(o){return typeof o=="number"&&!isNaN(o)}e.$ke=R;function g(o){return!!o&&typeof o[Symbol.iterator]=="function"}e.$le=g;function k(o){return o===!0||o===!1}e.$me=k;function m(o){return typeof o>"u"}e.$ne=m;function L(o){return!I(o)}e.$oe=L;function I(o){return m(o)||o===null}e.$pe=I;function v(o,s){if(!o)throw new Error(s?`Unexpected type, expected '${s}'`:"Unexpected type")}e.$qe=v;function D(o){if(I(o))throw new Error("Assertion Failed: argument is undefined or null");return o}e.$re=D;function C(...o){const s=[];for(let t=0;t<o.length;t++){const u=o[t];if(I(u))throw new Error(`Assertion Failed: argument at index ${t} is undefined or null`);s.push(u)}return s}e.$se=C;const w=Object.prototype.hasOwnProperty;function i(o){if(!h(o))return!1;for(const s in o)if(w.call(o,s))return!1;return!0}e.$te=i;function l(o){return typeof o=="function"}e.$ue=l;function a(...o){return o.length>0&&o.every(l)}e.$ve=a;function p(o,s){const t=Math.min(o.length,s.length);for(let u=0;u<t;u++)f(o[u],s[u])}e.$we=p;function f(o,s){if(b(s)){if(typeof o!==s)throw new Error(`argument does not match constraint: typeof ${s}`)}else if(l(s)){try{if(o instanceof s)return}catch{}if(!I(o)&&o.constructor===s||s.length===1&&s.call(void 0,o)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.$xe=f;function E(o){return o===null?void 0:o}e.$ye=E;function n(o){return typeof o>"u"?null:o}e.$ze=n}),define(De[72],Ce([1,0,12]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yj=e.$xj=e.$wj=void 0;const A=Object.create(null);function h(g,k){if((0,b.$ge)(k)){const m=A[k];if(m===void 0)throw new Error(`${g} references an unknown codicon: ${k}`);k=m}return A[g]=k,{id:g}}function F(){return A}e.$wj=F;function R(){return Object.values(e.$yj)}e.$xj=R,e.$yj={add:h("add",6e4),plus:h("plus",6e4),gistNew:h("gist-new",6e4),repoCreate:h("repo-create",6e4),lightbulb:h("lightbulb",60001),lightBulb:h("light-bulb",60001),repo:h("repo",60002),repoDelete:h("repo-delete",60002),gistFork:h("gist-fork",60003),repoForked:h("repo-forked",60003),gitPullRequest:h("git-pull-request",60004),gitPullRequestAbandoned:h("git-pull-request-abandoned",60004),recordKeys:h("record-keys",60005),keyboard:h("keyboard",60005),tag:h("tag",60006),tagAdd:h("tag-add",60006),tagRemove:h("tag-remove",60006),person:h("person",60007),personFollow:h("person-follow",60007),personOutline:h("person-outline",60007),personFilled:h("person-filled",60007),gitBranch:h("git-branch",60008),gitBranchCreate:h("git-branch-create",60008),gitBranchDelete:h("git-branch-delete",60008),sourceControl:h("source-control",60008),mirror:h("mirror",60009),mirrorPublic:h("mirror-public",60009),star:h("star",60010),starAdd:h("star-add",60010),starDelete:h("star-delete",60010),starEmpty:h("star-empty",60010),comment:h("comment",60011),commentAdd:h("comment-add",60011),alert:h("alert",60012),warning:h("warning",60012),search:h("search",60013),searchSave:h("search-save",60013),logOut:h("log-out",60014),signOut:h("sign-out",60014),logIn:h("log-in",60015),signIn:h("sign-in",60015),eye:h("eye",60016),eyeUnwatch:h("eye-unwatch",60016),eyeWatch:h("eye-watch",60016),circleFilled:h("circle-filled",60017),primitiveDot:h("primitive-dot",60017),closeDirty:h("close-dirty",60017),debugBreakpoint:h("debug-breakpoint",60017),debugBreakpointDisabled:h("debug-breakpoint-disabled",60017),debugHint:h("debug-hint",60017),primitiveSquare:h("primitive-square",60018),edit:h("edit",60019),pencil:h("pencil",60019),info:h("info",60020),issueOpened:h("issue-opened",60020),gistPrivate:h("gist-private",60021),gitForkPrivate:h("git-fork-private",60021),lock:h("lock",60021),mirrorPrivate:h("mirror-private",60021),close:h("close",60022),removeClose:h("remove-close",60022),x:h("x",60022),repoSync:h("repo-sync",60023),sync:h("sync",60023),clone:h("clone",60024),desktopDownload:h("desktop-download",60024),beaker:h("beaker",60025),microscope:h("microscope",60025),vm:h("vm",60026),deviceDesktop:h("device-desktop",60026),file:h("file",60027),fileText:h("file-text",60027),more:h("more",60028),ellipsis:h("ellipsis",60028),kebabHorizontal:h("kebab-horizontal",60028),mailReply:h("mail-reply",60029),reply:h("reply",60029),organization:h("organization",60030),organizationFilled:h("organization-filled",60030),organizationOutline:h("organization-outline",60030),newFile:h("new-file",60031),fileAdd:h("file-add",60031),newFolder:h("new-folder",60032),fileDirectoryCreate:h("file-directory-create",60032),trash:h("trash",60033),trashcan:h("trashcan",60033),history:h("history",60034),clock:h("clock",60034),folder:h("folder",60035),fileDirectory:h("file-directory",60035),symbolFolder:h("symbol-folder",60035),logoGithub:h("logo-github",60036),markGithub:h("mark-github",60036),github:h("github",60036),terminal:h("terminal",60037),console:h("console",60037),repl:h("repl",60037),zap:h("zap",60038),symbolEvent:h("symbol-event",60038),error:h("error",60039),stop:h("stop",60039),variable:h("variable",60040),symbolVariable:h("symbol-variable",60040),array:h("array",60042),symbolArray:h("symbol-array",60042),symbolModule:h("symbol-module",60043),symbolPackage:h("symbol-package",60043),symbolNamespace:h("symbol-namespace",60043),symbolObject:h("symbol-object",60043),symbolMethod:h("symbol-method",60044),symbolFunction:h("symbol-function",60044),symbolConstructor:h("symbol-constructor",60044),symbolBoolean:h("symbol-boolean",60047),symbolNull:h("symbol-null",60047),symbolNumeric:h("symbol-numeric",60048),symbolNumber:h("symbol-number",60048),symbolStructure:h("symbol-structure",60049),symbolStruct:h("symbol-struct",60049),symbolParameter:h("symbol-parameter",60050),symbolTypeParameter:h("symbol-type-parameter",60050),symbolKey:h("symbol-key",60051),symbolText:h("symbol-text",60051),symbolReference:h("symbol-reference",60052),goToFile:h("go-to-file",60052),symbolEnum:h("symbol-enum",60053),symbolValue:h("symbol-value",60053),symbolRuler:h("symbol-ruler",60054),symbolUnit:h("symbol-unit",60054),activateBreakpoints:h("activate-breakpoints",60055),archive:h("archive",60056),arrowBoth:h("arrow-both",60057),arrowDown:h("arrow-down",60058),arrowLeft:h("arrow-left",60059),arrowRight:h("arrow-right",60060),arrowSmallDown:h("arrow-small-down",60061),arrowSmallLeft:h("arrow-small-left",60062),arrowSmallRight:h("arrow-small-right",60063),arrowSmallUp:h("arrow-small-up",60064),arrowUp:h("arrow-up",60065),bell:h("bell",60066),bold:h("bold",60067),book:h("book",60068),bookmark:h("bookmark",60069),debugBreakpointConditionalUnverified:h("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:h("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:h("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:h("debug-breakpoint-data-unverified",60072),debugBreakpointData:h("debug-breakpoint-data",60073),debugBreakpointDataDisabled:h("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:h("debug-breakpoint-log-unverified",60074),debugBreakpointLog:h("debug-breakpoint-log",60075),debugBreakpointLogDisabled:h("debug-breakpoint-log-disabled",60075),briefcase:h("briefcase",60076),broadcast:h("broadcast",60077),browser:h("browser",60078),bug:h("bug",60079),calendar:h("calendar",60080),caseSensitive:h("case-sensitive",60081),check:h("check",60082),checklist:h("checklist",60083),chevronDown:h("chevron-down",60084),dropDownButton:h("drop-down-button",60084),chevronLeft:h("chevron-left",60085),chevronRight:h("chevron-right",60086),chevronUp:h("chevron-up",60087),chromeClose:h("chrome-close",60088),chromeMaximize:h("chrome-maximize",60089),chromeMinimize:h("chrome-minimize",60090),chromeRestore:h("chrome-restore",60091),circle:h("circle",60092),circleOutline:h("circle-outline",60092),debugBreakpointUnverified:h("debug-breakpoint-unverified",60092),circleSlash:h("circle-slash",60093),circuitBoard:h("circuit-board",60094),clearAll:h("clear-all",60095),clippy:h("clippy",60096),closeAll:h("close-all",60097),cloudDownload:h("cloud-download",60098),cloudUpload:h("cloud-upload",60099),code:h("code",60100),collapseAll:h("collapse-all",60101),colorMode:h("color-mode",60102),commentDiscussion:h("comment-discussion",60103),compareChanges:h("compare-changes",60157),creditCard:h("credit-card",60105),dash:h("dash",60108),dashboard:h("dashboard",60109),database:h("database",60110),debugContinue:h("debug-continue",60111),debugDisconnect:h("debug-disconnect",60112),debugPause:h("debug-pause",60113),debugRestart:h("debug-restart",60114),debugStart:h("debug-start",60115),debugStepInto:h("debug-step-into",60116),debugStepOut:h("debug-step-out",60117),debugStepOver:h("debug-step-over",60118),debugStop:h("debug-stop",60119),debug:h("debug",60120),deviceCameraVideo:h("device-camera-video",60121),deviceCamera:h("device-camera",60122),deviceMobile:h("device-mobile",60123),diffAdded:h("diff-added",60124),diffIgnored:h("diff-ignored",60125),diffModified:h("diff-modified",60126),diffRemoved:h("diff-removed",60127),diffRenamed:h("diff-renamed",60128),diff:h("diff",60129),discard:h("discard",60130),editorLayout:h("editor-layout",60131),emptyWindow:h("empty-window",60132),exclude:h("exclude",60133),extensions:h("extensions",60134),eyeClosed:h("eye-closed",60135),fileBinary:h("file-binary",60136),fileCode:h("file-code",60137),fileMedia:h("file-media",60138),filePdf:h("file-pdf",60139),fileSubmodule:h("file-submodule",60140),fileSymlinkDirectory:h("file-symlink-directory",60141),fileSymlinkFile:h("file-symlink-file",60142),fileZip:h("file-zip",60143),files:h("files",60144),filter:h("filter",60145),flame:h("flame",60146),foldDown:h("fold-down",60147),foldUp:h("fold-up",60148),fold:h("fold",60149),folderActive:h("folder-active",60150),folderOpened:h("folder-opened",60151),gear:h("gear",60152),gift:h("gift",60153),gistSecret:h("gist-secret",60154),gist:h("gist",60155),gitCommit:h("git-commit",60156),gitCompare:h("git-compare",60157),gitMerge:h("git-merge",60158),githubAction:h("github-action",60159),githubAlt:h("github-alt",60160),globe:h("globe",60161),grabber:h("grabber",60162),graph:h("graph",60163),gripper:h("gripper",60164),heart:h("heart",60165),home:h("home",60166),horizontalRule:h("horizontal-rule",60167),hubot:h("hubot",60168),inbox:h("inbox",60169),issueClosed:h("issue-closed",60324),issueReopened:h("issue-reopened",60171),issues:h("issues",60172),italic:h("italic",60173),jersey:h("jersey",60174),json:h("json",60175),bracket:h("bracket",60175),kebabVertical:h("kebab-vertical",60176),key:h("key",60177),law:h("law",60178),lightbulbAutofix:h("lightbulb-autofix",60179),linkExternal:h("link-external",60180),link:h("link",60181),listOrdered:h("list-ordered",60182),listUnordered:h("list-unordered",60183),liveShare:h("live-share",60184),loading:h("loading",60185),location:h("location",60186),mailRead:h("mail-read",60187),mail:h("mail",60188),markdown:h("markdown",60189),megaphone:h("megaphone",60190),mention:h("mention",60191),milestone:h("milestone",60192),mortarBoard:h("mortar-board",60193),move:h("move",60194),multipleWindows:h("multiple-windows",60195),mute:h("mute",60196),noNewline:h("no-newline",60197),note:h("note",60198),octoface:h("octoface",60199),openPreview:h("open-preview",60200),package_:h("package",60201),paintcan:h("paintcan",60202),pin:h("pin",60203),play:h("play",60204),run:h("run",60204),plug:h("plug",60205),preserveCase:h("preserve-case",60206),preview:h("preview",60207),project:h("project",60208),pulse:h("pulse",60209),question:h("question",60210),quote:h("quote",60211),radioTower:h("radio-tower",60212),reactions:h("reactions",60213),references:h("references",60214),refresh:h("refresh",60215),regex:h("regex",60216),remoteExplorer:h("remote-explorer",60217),remote:h("remote",60218),remove:h("remove",60219),replaceAll:h("replace-all",60220),replace:h("replace",60221),repoClone:h("repo-clone",60222),repoForcePush:h("repo-force-push",60223),repoPull:h("repo-pull",60224),repoPush:h("repo-push",60225),report:h("report",60226),requestChanges:h("request-changes",60227),rocket:h("rocket",60228),rootFolderOpened:h("root-folder-opened",60229),rootFolder:h("root-folder",60230),rss:h("rss",60231),ruby:h("ruby",60232),saveAll:h("save-all",60233),saveAs:h("save-as",60234),save:h("save",60235),screenFull:h("screen-full",60236),screenNormal:h("screen-normal",60237),searchStop:h("search-stop",60238),server:h("server",60240),settingsGear:h("settings-gear",60241),settings:h("settings",60242),shield:h("shield",60243),smiley:h("smiley",60244),sortPrecedence:h("sort-precedence",60245),splitHorizontal:h("split-horizontal",60246),splitVertical:h("split-vertical",60247),squirrel:h("squirrel",60248),starFull:h("star-full",60249),starHalf:h("star-half",60250),symbolClass:h("symbol-class",60251),symbolColor:h("symbol-color",60252),symbolCustomColor:h("symbol-customcolor",60252),symbolConstant:h("symbol-constant",60253),symbolEnumMember:h("symbol-enum-member",60254),symbolField:h("symbol-field",60255),symbolFile:h("symbol-file",60256),symbolInterface:h("symbol-interface",60257),symbolKeyword:h("symbol-keyword",60258),symbolMisc:h("symbol-misc",60259),symbolOperator:h("symbol-operator",60260),symbolProperty:h("symbol-property",60261),wrench:h("wrench",60261),wrenchSubaction:h("wrench-subaction",60261),symbolSnippet:h("symbol-snippet",60262),tasklist:h("tasklist",60263),telescope:h("telescope",60264),textSize:h("text-size",60265),threeBars:h("three-bars",60266),thumbsdown:h("thumbsdown",60267),thumbsup:h("thumbsup",60268),tools:h("tools",60269),triangleDown:h("triangle-down",60270),triangleLeft:h("triangle-left",60271),triangleRight:h("triangle-right",60272),triangleUp:h("triangle-up",60273),twitter:h("twitter",60274),unfold:h("unfold",60275),unlock:h("unlock",60276),unmute:h("unmute",60277),unverified:h("unverified",60278),verified:h("verified",60279),versions:h("versions",60280),vmActive:h("vm-active",60281),vmOutline:h("vm-outline",60282),vmRunning:h("vm-running",60283),watch:h("watch",60284),whitespace:h("whitespace",60285),wholeWord:h("whole-word",60286),window:h("window",60287),wordWrap:h("word-wrap",60288),zoomIn:h("zoom-in",60289),zoomOut:h("zoom-out",60290),listFilter:h("list-filter",60291),listFlat:h("list-flat",60292),listSelection:h("list-selection",60293),selection:h("selection",60293),listTree:h("list-tree",60294),debugBreakpointFunctionUnverified:h("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:h("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:h("debug-breakpoint-function-disabled",60296),debugStackframeActive:h("debug-stackframe-active",60297),circleSmallFilled:h("circle-small-filled",60298),debugStackframeDot:h("debug-stackframe-dot",60298),debugStackframe:h("debug-stackframe",60299),debugStackframeFocused:h("debug-stackframe-focused",60299),debugBreakpointUnsupported:h("debug-breakpoint-unsupported",60300),symbolString:h("symbol-string",60301),debugReverseContinue:h("debug-reverse-continue",60302),debugStepBack:h("debug-step-back",60303),debugRestartFrame:h("debug-restart-frame",60304),callIncoming:h("call-incoming",60306),callOutgoing:h("call-outgoing",60307),menu:h("menu",60308),expandAll:h("expand-all",60309),feedback:h("feedback",60310),groupByRefType:h("group-by-ref-type",60311),ungroupByRefType:h("ungroup-by-ref-type",60312),account:h("account",60313),bellDot:h("bell-dot",60314),debugConsole:h("debug-console",60315),library:h("library",60316),output:h("output",60317),runAll:h("run-all",60318),syncIgnored:h("sync-ignored",60319),pinned:h("pinned",60320),githubInverted:h("github-inverted",60321),debugAlt:h("debug-alt",60305),serverProcess:h("server-process",60322),serverEnvironment:h("server-environment",60323),pass:h("pass",60324),stopCircle:h("stop-circle",60325),playCircle:h("play-circle",60326),record:h("record",60327),debugAltSmall:h("debug-alt-small",60328),vmConnect:h("vm-connect",60329),cloud:h("cloud",60330),merge:h("merge",60331),exportIcon:h("export",60332),graphLeft:h("graph-left",60333),magnet:h("magnet",60334),notebook:h("notebook",60335),redo:h("redo",60336),checkAll:h("check-all",60337),pinnedDirty:h("pinned-dirty",60338),passFilled:h("pass-filled",60339),circleLargeFilled:h("circle-large-filled",60340),circleLarge:h("circle-large",60341),circleLargeOutline:h("circle-large-outline",60341),combine:h("combine",60342),gather:h("gather",60342),table:h("table",60343),variableGroup:h("variable-group",60344),typeHierarchy:h("type-hierarchy",60345),typeHierarchySub:h("type-hierarchy-sub",60346),typeHierarchySuper:h("type-hierarchy-super",60347),gitPullRequestCreate:h("git-pull-request-create",60348),runAbove:h("run-above",60349),runBelow:h("run-below",60350),notebookTemplate:h("notebook-template",60351),debugRerun:h("debug-rerun",60352),workspaceTrusted:h("workspace-trusted",60353),workspaceUntrusted:h("workspace-untrusted",60354),workspaceUnspecified:h("workspace-unspecified",60355),terminalCmd:h("terminal-cmd",60356),terminalDebian:h("terminal-debian",60357),terminalLinux:h("terminal-linux",60358),terminalPowershell:h("terminal-powershell",60359),terminalTmux:h("terminal-tmux",60360),terminalUbuntu:h("terminal-ubuntu",60361),terminalBash:h("terminal-bash",60362),arrowSwap:h("arrow-swap",60363),copy:h("copy",60364),personAdd:h("person-add",60365),filterFilled:h("filter-filled",60366),wand:h("wand",60367),debugLineByLine:h("debug-line-by-line",60368),inspect:h("inspect",60369),layers:h("layers",60370),layersDot:h("layers-dot",60371),layersActive:h("layers-active",60372),compass:h("compass",60373),compassDot:h("compass-dot",60374),compassActive:h("compass-active",60375),azure:h("azure",60376),issueDraft:h("issue-draft",60377),gitPullRequestClosed:h("git-pull-request-closed",60378),gitPullRequestDraft:h("git-pull-request-draft",60379),debugAll:h("debug-all",60380),debugCoverage:h("debug-coverage",60381),runErrors:h("run-errors",60382),folderLibrary:h("folder-library",60383),debugContinueSmall:h("debug-continue-small",60384),beakerStop:h("beaker-stop",60385),graphLine:h("graph-line",60386),graphScatter:h("graph-scatter",60387),pieChart:h("pie-chart",60388),bracketDot:h("bracket-dot",60389),bracketError:h("bracket-error",60390),lockSmall:h("lock-small",60391),azureDevops:h("azure-devops",60392),verifiedFilled:h("verified-filled",60393),newLine:h("newline",60394),layout:h("layout",60395),layoutActivitybarLeft:h("layout-activitybar-left",60396),layoutActivitybarRight:h("layout-activitybar-right",60397),layoutPanelLeft:h("layout-panel-left",60398),layoutPanelCenter:h("layout-panel-center",60399),layoutPanelJustify:h("layout-panel-justify",60400),layoutPanelRight:h("layout-panel-right",60401),layoutPanel:h("layout-panel",60402),layoutSidebarLeft:h("layout-sidebar-left",60403),layoutSidebarRight:h("layout-sidebar-right",60404),layoutStatusbar:h("layout-statusbar",60405),layoutMenubar:h("layout-menubar",60406),layoutCentered:h("layout-centered",60407),layoutSidebarRightOff:h("layout-sidebar-right-off",60416),layoutPanelOff:h("layout-panel-off",60417),layoutSidebarLeftOff:h("layout-sidebar-left-off",60418),target:h("target",60408),indent:h("indent",60409),recordSmall:h("record-small",60410),errorSmall:h("error-small",60411),arrowCircleDown:h("arrow-circle-down",60412),arrowCircleLeft:h("arrow-circle-left",60413),arrowCircleRight:h("arrow-circle-right",60414),arrowCircleUp:h("arrow-circle-up",60415),heartFilled:h("heart-filled",60420),map:h("map",60421),mapFilled:h("map-filled",60422),circleSmall:h("circle-small",60423),bellSlash:h("bell-slash",60424),bellSlashDot:h("bell-slash-dot",60425),commentUnresolved:h("comment-unresolved",60426),gitPullRequestGoToChanges:h("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:h("git-pull-request-new-changes",60428),searchFuzzy:h("search-fuzzy",60429),commentDraft:h("comment-draft",60430),send:h("send",60431),sparkle:h("sparkle",60432),insert:h("insert",60433),dialogError:h("dialog-error","error"),dialogWarning:h("dialog-warning","warning"),dialogInfo:h("dialog-info","info"),dialogClose:h("dialog-close","close"),treeItemExpanded:h("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:h("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:h("tree-filter-on-type-off","list-selection"),treeFilterClear:h("tree-filter-clear","close"),treeItemLoading:h("tree-item-loading","loading"),menuSelection:h("menu-selection","check"),menuSubmenu:h("menu-submenu","chevron-right"),menuBarMore:h("menubar-more","more"),scrollbarButtonLeft:h("scrollbar-button-left","triangle-left"),scrollbarButtonRight:h("scrollbar-button-right","triangle-right"),scrollbarButtonUp:h("scrollbar-button-up","triangle-up"),scrollbarButtonDown:h("scrollbar-button-down","triangle-down"),toolBarMore:h("toolbar-more","more"),quickInputBack:h("quick-input-back","arrow-left")}}),define(De[24],Ce([1,0,12]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Om=e.$Nm=e.$Mm=e.$Lm=e.$Km=e.$Jm=e.$Im=e.$Hm=e.$Gm=e.$Fm=e.$Em=e.$Dm=void 0;function A(l){if(!l||typeof l!="object"||l instanceof RegExp)return l;const a=Array.isArray(l)?[]:{};return Object.entries(l).forEach(([p,f])=>{a[p]=f&&typeof f=="object"?A(f):f}),a}e.$Dm=A;function h(l){if(!l||typeof l!="object")return l;const a=[l];for(;a.length>0;){const p=a.shift();Object.freeze(p);for(const f in p)if(F.call(p,f)){const E=p[f];typeof E=="object"&&!Object.isFrozen(E)&&!(0,b.$je)(E)&&a.push(E)}}return l}e.$Em=h;const F=Object.prototype.hasOwnProperty;function R(l,a){return g(l,a,new Set)}e.$Fm=R;function g(l,a,p){if((0,b.$pe)(l))return l;const f=a(l);if(typeof f<"u")return f;if(Array.isArray(l)){const E=[];for(const n of l)E.push(g(n,a,p));return E}if((0,b.$ie)(l)){if(p.has(l))throw new Error("Cannot clone recursive data-structure");p.add(l);const E={};for(const n in l)F.call(l,n)&&(E[n]=g(l[n],a,p));return p.delete(l),E}return l}function k(l,a,p=!0){return(0,b.$ie)(l)?((0,b.$ie)(a)&&Object.keys(a).forEach(f=>{f in l?p&&((0,b.$ie)(l[f])&&(0,b.$ie)(a[f])?k(l[f],a[f],p):l[f]=a[f]):l[f]=a[f]}),l):a}e.$Gm=k;function m(l,a){if(l===a)return!0;if(l==null||a===null||a===void 0||typeof l!=typeof a||typeof l!="object"||Array.isArray(l)!==Array.isArray(a))return!1;let p,f;if(Array.isArray(l)){if(l.length!==a.length)return!1;for(p=0;p<l.length;p++)if(!m(l[p],a[p]))return!1}else{const E=[];for(f in l)E.push(f);E.sort();const n=[];for(f in a)n.push(f);if(n.sort(),!m(E,n))return!1;for(p=0;p<E.length;p++)if(!m(l[E[p]],a[E[p]]))return!1}return!0}e.$Hm=m;function L(l){const a=new Set;return JSON.stringify(l,(p,f)=>{if((0,b.$ie)(f)||Array.isArray(f)){if(a.has(f))return"[Circular]";a.add(f)}return f})}e.$Im=L;function I(l,a){const p=Object.create(null);return!l||!a||Object.keys(a).forEach(E=>{const n=l[E],o=a[E];m(n,o)||(p[E]=o)}),p}e.$Jm=I;function v(l,a){const p=a.toLowerCase(),f=Object.keys(l).find(E=>E.toLowerCase()===p);return f?l[f]:l[a]}e.$Km=v;function D(l,a){const p=Object.create(null);for(const[f,E]of Object.entries(l))a(f,E)&&(p[f]=E);return p}e.$Lm=D;function C(l){let a=[],p=Object.getPrototypeOf(l);for(;Object.prototype!==p;)a=a.concat(Object.getOwnPropertyNames(p)),p=Object.getPrototypeOf(p);return a}e.$Mm=C;function w(l){const a=[];for(const p of C(l))typeof l[p]=="function"&&a.push(p);return a}e.$Nm=w;function i(l,a){const p=E=>function(){const n=Array.prototype.slice.call(arguments,0);return a(E,n)},f={};for(const E of l)f[E]=p(E);return f}e.$Om=i}),define(De[55],Ce([1,0,72]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeIcon=e.$zj=e.ThemeColor=void 0;var A;(function(R){function g(k){return k&&typeof k=="object"&&typeof k.id=="string"}R.isThemeColor=g})(A||(e.ThemeColor=A={}));function h(R){return{id:R}}e.$zj=h;var F;(function(R){R.iconNameSegment="[A-Za-z0-9]+",R.iconNameExpression="[A-Za-z0-9-]+",R.iconModifierExpression="~[A-Za-z]+",R.iconNameCharacter="[A-Za-z0-9~-]";const g=new RegExp(`^(${R.iconNameExpression})(${R.iconModifierExpression})?$`);function k(a){const p=g.exec(a.id);if(!p)return k(b.$yj.error);const[,f,E]=p,n=["codicon","codicon-"+f];return E&&n.push("codicon-modifier-"+E.substring(1)),n}R.asClassNameArray=k;function m(a){return k(a).join(" ")}R.asClassName=m;function L(a){return"."+k(a).join(".")}R.asCSSSelector=L;function I(a){return a&&typeof a=="object"&&typeof a.id=="string"&&(typeof a.color>"u"||A.isThemeColor(a.color))}R.isThemeIcon=I;const v=new RegExp(`^\\$\\((${R.iconNameExpression}(?:${R.iconModifierExpression})?)\\)$`);function D(a){const p=v.exec(a);if(!p)return;const[,f]=p;return{id:f}}R.fromString=D;function C(a){return{id:a}}R.fromId=C;function w(a,p){let f=a.id;const E=f.lastIndexOf("~");return E!==-1&&(f=f.substring(0,E)),p&&(f=`${f}~${p}`),{id:f}}R.modify=w;function i(a){const p=a.id.lastIndexOf("~");if(p!==-1)return a.id.substring(p+1)}R.getModifier=i;function l(a,p){return a.id===p.id&&a.color?.id===p.color?.id}R.isEqual=l})(F||(e.ThemeIcon=F={}))}),define(De[154],Ce([1,0,113,9,55]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fj=e.$Ej=e.$Dj=e.$Cj=e.$Bj=e.$Aj=void 0;const F="$(",R=new RegExp(`\\$\\(${h.ThemeIcon.iconNameExpression}(?:${h.ThemeIcon.iconModifierExpression})?\\)`,"g"),g=new RegExp(`(\\\\)?${R.source}`,"g");function k(l){return l.replace(g,(a,p)=>p?a:`\\${a}`)}e.$Aj=k;const m=new RegExp(`\\\\${R.source}`,"g");function L(l){return l.replace(m,a=>`\\${a}`)}e.$Bj=L;const I=new RegExp(`(\\s)?(\\\\)?${R.source}(\\s)?`,"g");function v(l){return l.indexOf(F)===-1?l:l.replace(I,(a,p,f,E)=>f?a:p||E||"")}e.$Cj=v;function D(l){return l?l.replace(/\$\((.*?)\)/g,(a,p)=>` ${p} `).trim():""}e.$Dj=D;const C=new RegExp(`\\$\\(${h.ThemeIcon.iconNameCharacter}+\\)`,"g");function w(l){C.lastIndex=0;let a="";const p=[];let f=0;for(;;){const E=C.lastIndex,n=C.exec(l),o=l.substring(E,n?.index);if(o.length>0){a+=o;for(let s=0;s<o.length;s++)p.push(f)}if(!n)break;f+=n[0].length}return{text:a,iconOffsets:p}}e.$Ej=w;function i(l,a,p=!1){const{text:f,iconOffsets:E}=a;if(!E||E.length===0)return(0,b.$nj)(l,f,p);const n=(0,A.$pd)(f," "),o=f.length-n.length,s=(0,b.$nj)(l,n,p);if(s)for(const t of s){const u=E[t.start+o]+o;t.start+=u,t.end+=u}return s}e.$Fj=i}),define(De[114],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gd=e.$fd=e.Constants=void 0;var b;(function(F){F[F.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",F[F.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",F[F.MAX_UINT_8=255]="MAX_UINT_8",F[F.MAX_UINT_16=65535]="MAX_UINT_16",F[F.MAX_UINT_32=4294967295]="MAX_UINT_32",F[F.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(b||(e.Constants=b={}));function A(F){return F<0?0:F>255?255:F|0}e.$fd=A;function h(F){return F<0?0:F>4294967295?4294967295:F|0}e.$gd=h}),define(De[32],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3e=e.$2e=void 0;const b=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function A(h){return b.test(h)}e.$2e=A,e.$3e=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let h;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?h=crypto.getRandomValues.bind(crypto):h=function(g){for(let k=0;k<g.length;k++)g[k]=Math.floor(Math.random()*256);return g};const F=new Uint8Array(16),R=[];for(let g=0;g<256;g++)R.push(g.toString(16).padStart(2,"0"));return function(){h(F),F[6]=F[6]&15|64,F[8]=F[8]&63|128;let k=0,m="";return m+=R[F[k++]],m+=R[F[k++]],m+=R[F[k++]],m+=R[F[k++]],m+="-",m+=R[F[k++]],m+=R[F[k++]],m+="-",m+=R[F[k++]],m+=R[F[k++]],m+="-",m+=R[F[k++]],m+=R[F[k++]],m+="-",m+=R[F[k++]],m+=R[F[k++]],m+=R[F[k++]],m+=R[F[k++]],m+=R[F[k++]],m+=R[F[k++]],m}}()}),define(De[155],Ce([1,0,19,48,32]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$r=e.$0r=e.$9r=e.$8r=e.$7r=void 0;function F(I){return{asString:async()=>I,asFile:()=>{},value:typeof I=="string"?I:void 0}}e.$7r=F;function R(I,v,D){const C={id:(0,h.$3e)(),name:I,uri:v,data:D};return{asString:async()=>"",asFile:()=>C,value:void 0}}e.$8r=R;class g{constructor(){this.a=new Map}get size(){let v=0;for(const D of this.a)v++;return v}has(v){return this.a.has(this.b(v))}matches(v){const D=[...this.a.keys()];return A.Iterable.some(this,([C,w])=>w.asFile())&&D.push("files"),L(k(v),D)}get(v){return this.a.get(this.b(v))?.[0]}append(v,D){const C=this.a.get(v);C?C.push(D):this.a.set(this.b(v),[D])}replace(v,D){this.a.set(this.b(v),[D])}delete(v){this.a.delete(this.b(v))}*[Symbol.iterator](){for(const[v,D]of this.a)for(const C of D)yield[v,C]}b(v){return k(v)}}e.$9r=g;function k(I){return I.toLowerCase()}function m(I,v){return L(k(I),v.map(k))}e.$0r=m;function L(I,v){if(I==="*/*")return v.length>0;if(v.includes(I))return!0;const D=I.match(/^([a-z]+)\/([a-z]+|\*)$/i);if(!D)return!1;const[C,w,i]=D;return i==="*"?v.some(l=>l.startsWith(w+"/")):!1}e.$$r=Object.freeze({create:I=>(0,b.$of)(I.map(v=>v.toString())).join(`\r
`),split:I=>I.split(`\r
`),parse:I=>e.$$r.split(I).filter(v=>!v.startsWith("#"))})}),define(De[115],Ce([1,0,114]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zr=e.$Yr=void 0;class A{constructor(g){const k=(0,b.$fd)(g);this.c=k,this.a=A.d(k),this.b=new Map}static d(g){const k=new Uint8Array(256);return k.fill(g),k}set(g,k){const m=(0,b.$fd)(k);g>=0&&g<256?this.a[g]=m:this.b.set(g,m)}get(g){return g>=0&&g<256?this.a[g]:this.b.get(g)||this.c}clear(){this.a.fill(this.c),this.b.clear()}}e.$Yr=A;var h;(function(R){R[R.False=0]="False",R[R.True=1]="True"})(h||(h={}));class F{constructor(){this.a=new A(0)}add(g){this.a.set(g,1)}has(g){return this.a.get(g)===1}clear(){return this.a.clear()}}e.$Zr=F}),define(De[56],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jr=void 0;class b{constructor(h,F){this.lineNumber=h,this.column=F}with(h=this.lineNumber,F=this.column){return h===this.lineNumber&&F===this.column?this:new b(h,F)}delta(h=0,F=0){return this.with(this.lineNumber+h,this.column+F)}equals(h){return b.equals(this,h)}static equals(h,F){return!h&&!F?!0:!!h&&!!F&&h.lineNumber===F.lineNumber&&h.column===F.column}isBefore(h){return b.isBefore(this,h)}static isBefore(h,F){return h.lineNumber<F.lineNumber?!0:F.lineNumber<h.lineNumber?!1:h.column<F.column}isBeforeOrEqual(h){return b.isBeforeOrEqual(this,h)}static isBeforeOrEqual(h,F){return h.lineNumber<F.lineNumber?!0:F.lineNumber<h.lineNumber?!1:h.column<=F.column}static compare(h,F){const R=h.lineNumber|0,g=F.lineNumber|0;if(R===g){const k=h.column|0,m=F.column|0;return k-m}return R-g}clone(){return new b(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(h){return new b(h.lineNumber,h.column)}static isIPosition(h){return h&&typeof h.lineNumber=="number"&&typeof h.column=="number"}}e.$Jr=b}),define(De[35],Ce([1,0,56]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kr=void 0;class A{constructor(F,R,g,k){F>g||F===g&&R>k?(this.startLineNumber=g,this.startColumn=k,this.endLineNumber=F,this.endColumn=R):(this.startLineNumber=F,this.startColumn=R,this.endLineNumber=g,this.endColumn=k)}isEmpty(){return A.isEmpty(this)}static isEmpty(F){return F.startLineNumber===F.endLineNumber&&F.startColumn===F.endColumn}containsPosition(F){return A.containsPosition(this,F)}static containsPosition(F,R){return!(R.lineNumber<F.startLineNumber||R.lineNumber>F.endLineNumber||R.lineNumber===F.startLineNumber&&R.column<F.startColumn||R.lineNumber===F.endLineNumber&&R.column>F.endColumn)}static strictContainsPosition(F,R){return!(R.lineNumber<F.startLineNumber||R.lineNumber>F.endLineNumber||R.lineNumber===F.startLineNumber&&R.column<=F.startColumn||R.lineNumber===F.endLineNumber&&R.column>=F.endColumn)}containsRange(F){return A.containsRange(this,F)}static containsRange(F,R){return!(R.startLineNumber<F.startLineNumber||R.endLineNumber<F.startLineNumber||R.startLineNumber>F.endLineNumber||R.endLineNumber>F.endLineNumber||R.startLineNumber===F.startLineNumber&&R.startColumn<F.startColumn||R.endLineNumber===F.endLineNumber&&R.endColumn>F.endColumn)}strictContainsRange(F){return A.strictContainsRange(this,F)}static strictContainsRange(F,R){return!(R.startLineNumber<F.startLineNumber||R.endLineNumber<F.startLineNumber||R.startLineNumber>F.endLineNumber||R.endLineNumber>F.endLineNumber||R.startLineNumber===F.startLineNumber&&R.startColumn<=F.startColumn||R.endLineNumber===F.endLineNumber&&R.endColumn>=F.endColumn)}plusRange(F){return A.plusRange(this,F)}static plusRange(F,R){let g,k,m,L;return R.startLineNumber<F.startLineNumber?(g=R.startLineNumber,k=R.startColumn):R.startLineNumber===F.startLineNumber?(g=R.startLineNumber,k=Math.min(R.startColumn,F.startColumn)):(g=F.startLineNumber,k=F.startColumn),R.endLineNumber>F.endLineNumber?(m=R.endLineNumber,L=R.endColumn):R.endLineNumber===F.endLineNumber?(m=R.endLineNumber,L=Math.max(R.endColumn,F.endColumn)):(m=F.endLineNumber,L=F.endColumn),new A(g,k,m,L)}intersectRanges(F){return A.intersectRanges(this,F)}static intersectRanges(F,R){let g=F.startLineNumber,k=F.startColumn,m=F.endLineNumber,L=F.endColumn;const I=R.startLineNumber,v=R.startColumn,D=R.endLineNumber,C=R.endColumn;return g<I?(g=I,k=v):g===I&&(k=Math.max(k,v)),m>D?(m=D,L=C):m===D&&(L=Math.min(L,C)),g>m||g===m&&k>L?null:new A(g,k,m,L)}equalsRange(F){return A.equalsRange(this,F)}static equalsRange(F,R){return!F&&!R?!0:!!F&&!!R&&F.startLineNumber===R.startLineNumber&&F.startColumn===R.startColumn&&F.endLineNumber===R.endLineNumber&&F.endColumn===R.endColumn}getEndPosition(){return A.getEndPosition(this)}static getEndPosition(F){return new b.$Jr(F.endLineNumber,F.endColumn)}getStartPosition(){return A.getStartPosition(this)}static getStartPosition(F){return new b.$Jr(F.startLineNumber,F.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(F,R){return new A(this.startLineNumber,this.startColumn,F,R)}setStartPosition(F,R){return new A(F,R,this.endLineNumber,this.endColumn)}collapseToStart(){return A.collapseToStart(this)}static collapseToStart(F){return new A(F.startLineNumber,F.startColumn,F.startLineNumber,F.startColumn)}collapseToEnd(){return A.collapseToEnd(this)}static collapseToEnd(F){return new A(F.endLineNumber,F.endColumn,F.endLineNumber,F.endColumn)}delta(F){return new A(this.startLineNumber+F,this.startColumn,this.endLineNumber+F,this.endColumn)}static fromPositions(F,R=F){return new A(F.lineNumber,F.column,R.lineNumber,R.column)}static lift(F){return F?new A(F.startLineNumber,F.startColumn,F.endLineNumber,F.endColumn):null}static isIRange(F){return F&&typeof F.startLineNumber=="number"&&typeof F.startColumn=="number"&&typeof F.endLineNumber=="number"&&typeof F.endColumn=="number"}static areIntersectingOrTouching(F,R){return!(F.endLineNumber<R.startLineNumber||F.endLineNumber===R.startLineNumber&&F.endColumn<R.startColumn||R.endLineNumber<F.startLineNumber||R.endLineNumber===F.startLineNumber&&R.endColumn<F.startColumn)}static areIntersecting(F,R){return!(F.endLineNumber<R.startLineNumber||F.endLineNumber===R.startLineNumber&&F.endColumn<=R.startColumn||R.endLineNumber<F.startLineNumber||R.endLineNumber===F.startLineNumber&&R.endColumn<=F.startColumn)}static compareRangesUsingStarts(F,R){if(F&&R){const m=F.startLineNumber|0,L=R.startLineNumber|0;if(m===L){const I=F.startColumn|0,v=R.startColumn|0;if(I===v){const D=F.endLineNumber|0,C=R.endLineNumber|0;if(D===C){const w=F.endColumn|0,i=R.endColumn|0;return w-i}return D-C}return I-v}return m-L}return(F?1:0)-(R?1:0)}static compareRangesUsingEnds(F,R){return F.endLineNumber===R.endLineNumber?F.endColumn===R.endColumn?F.startLineNumber===R.startLineNumber?F.startColumn-R.startColumn:F.startLineNumber-R.startLineNumber:F.endColumn-R.endColumn:F.endLineNumber-R.endLineNumber}static spansMultipleLines(F){return F.endLineNumber>F.startLineNumber}toJSON(){return this}}e.$Kr=A}),define(De[156],Ce([1,0,56,35]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sr=e.SelectionDirection=void 0;var h;(function(R){R[R.LTR=0]="LTR",R[R.RTL=1]="RTL"})(h||(e.SelectionDirection=h={}));class F extends A.$Kr{constructor(g,k,m,L){super(g,k,m,L),this.selectionStartLineNumber=g,this.selectionStartColumn=k,this.positionLineNumber=m,this.positionColumn=L}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(g){return F.selectionsEqual(this,g)}static selectionsEqual(g,k){return g.selectionStartLineNumber===k.selectionStartLineNumber&&g.selectionStartColumn===k.selectionStartColumn&&g.positionLineNumber===k.positionLineNumber&&g.positionColumn===k.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(g,k){return this.getDirection()===0?new F(this.startLineNumber,this.startColumn,g,k):new F(g,k,this.startLineNumber,this.startColumn)}getPosition(){return new b.$Jr(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new b.$Jr(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(g,k){return this.getDirection()===0?new F(g,k,this.endLineNumber,this.endColumn):new F(this.endLineNumber,this.endColumn,g,k)}static fromPositions(g,k=g){return new F(g.lineNumber,g.column,k.lineNumber,k.column)}static fromRange(g,k){return k===0?new F(g.startLineNumber,g.startColumn,g.endLineNumber,g.endColumn):new F(g.endLineNumber,g.endColumn,g.startLineNumber,g.startColumn)}static liftSelection(g){return new F(g.selectionStartLineNumber,g.selectionStartColumn,g.positionLineNumber,g.positionColumn)}static selectionsArrEqual(g,k){if(g&&!k||!g&&k)return!1;if(!g&&!k)return!0;if(g.length!==k.length)return!1;for(let m=0,L=g.length;m<L;m++)if(!this.selectionsEqual(g[m],k[m]))return!1;return!0}static isISelection(g){return g&&typeof g.selectionStartLineNumber=="number"&&typeof g.selectionStartColumn=="number"&&typeof g.positionLineNumber=="number"&&typeof g.positionColumn=="number"}static createWithDirection(g,k,m,L,I){return I===0?new F(g,k,m,L):new F(m,L,g,k)}}e.$Sr=F}),define(De[157],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dr=void 0,e.$Dr={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!0,independentColorPoolPerBracketType:!1}}}),define(De[158],Ce([1,0,115]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2r=e.$1r=e.WordCharacterClass=void 0;var A;(function(R){R[R.Regular=0]="Regular",R[R.Whitespace=1]="Whitespace",R[R.WordSeparator=2]="WordSeparator"})(A||(e.WordCharacterClass=A={}));class h extends b.$Yr{constructor(g){super(0);for(let k=0,m=g.length;k<m;k++)this.set(g.charCodeAt(k),2);this.set(32,1),this.set(9,1)}}e.$1r=h;function F(R){const g={};return k=>(g.hasOwnProperty(k)||(g[k]=R(k)),g[k])}e.$2r=F(R=>new h(R))}),define(De[116],Ce([1,0,48,4,68]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ir=e.$Hr=e.$Gr=e.$Fr=e.$Er=void 0,e.$Er="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function F(I=""){let v="(-?\\d*\\.\\d\\w*)|([^";for(const D of e.$Er)I.indexOf(D)>=0||(v+="\\"+D);return v+="\\s]+)",new RegExp(v,"g")}e.$Fr=F();function R(I){let v=e.$Fr;if(I&&I instanceof RegExp)if(I.global)v=I;else{let D="g";I.ignoreCase&&(D+="i"),I.multiline&&(D+="m"),I.unicode&&(D+="u"),v=new RegExp(I.source,D)}return v.lastIndex=0,v}e.$Gr=R;const g=new h.$jc;g.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function k(I){const v=g.unshift(I);return(0,A.$ib)(v)}e.$Hr=k;function m(I,v,D,C,w){if(w||(w=b.Iterable.first(g)),D.length>w.maxLen){let f=I-w.maxLen/2;return f<0?f=0:C+=f,D=D.substring(f,I+w.maxLen/2),m(I,v,D,C,w)}const i=Date.now(),l=I-1-C;let a=-1,p=null;for(let f=1;!(Date.now()-i>=w.timeBudget);f++){const E=l-w.windowSize*f;v.lastIndex=Math.max(0,E);const n=L(v,D,l,a);if(!n&&p||(p=n,E<=0))break;a=E}if(p){const f={word:p[0],startColumn:C+1+p.index,endColumn:C+1+p.index+p[0].length};return v.lastIndex=0,f}return null}e.$Ir=m;function L(I,v,D,C){let w;for(;w=I.exec(v);){const i=w.index||0;if(i<=D&&I.lastIndex>=D)return w;if(C>0&&i>C)return null}return null}}),define(De[159],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vs=e.$us=e.IndentAction=void 0;var b;(function(R){R[R.None=0]="None",R[R.Indent=1]="Indent",R[R.IndentOutdent=2]="IndentOutdent",R[R.Outdent=3]="Outdent"})(b||(e.IndentAction=b={}));class A{constructor(g){if(this.e=null,this.f=!1,this.open=g.open,this.close=g.close,this.b=!0,this.c=!0,this.d=!0,Array.isArray(g.notIn))for(let k=0,m=g.notIn.length;k<m;k++)switch(g.notIn[k]){case"string":this.b=!1;break;case"comment":this.c=!1;break;case"regex":this.d=!1;break}}isOK(g){switch(g){case 0:return!0;case 1:return this.c;case 2:return this.b;case 3:return this.d}}shouldAutoClose(g,k){if(g.getTokenCount()===0)return!0;const m=g.findTokenIndexAtOffset(k-2),L=g.getStandardTokenType(m);return this.isOK(L)}g(g,k){for(let m=g;m<=k;m++){const L=String.fromCharCode(m);if(!this.open.includes(L)&&!this.close.includes(L))return L}return null}findNeutralCharacter(){return this.f||(this.f=!0,this.e||(this.e=this.g(48,57)),this.e||(this.e=this.g(97,122)),this.e||(this.e=this.g(65,90))),this.e}}e.$us=A;class h{constructor(g){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const k of g)F(this.autoClosingPairsOpenByStart,k.open.charAt(0),k),F(this.autoClosingPairsOpenByEnd,k.open.charAt(k.open.length-1),k),F(this.autoClosingPairsCloseByStart,k.close.charAt(0),k),F(this.autoClosingPairsCloseByEnd,k.close.charAt(k.close.length-1),k),k.close.length===1&&k.open.length===1&&F(this.autoClosingPairsCloseSingleChar,k.close,k)}}e.$vs=h;function F(R,g,k){R.has(g)?R.get(g).push(k):R.set(g,[k])}}),define(De[160],Ce([1,0,115]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zW=e.$yW=e.$xW=e.State=void 0;var A;(function(D){D[D.Invalid=0]="Invalid",D[D.Start=1]="Start",D[D.H=2]="H",D[D.HT=3]="HT",D[D.HTT=4]="HTT",D[D.HTTP=5]="HTTP",D[D.F=6]="F",D[D.FI=7]="FI",D[D.FIL=8]="FIL",D[D.BeforeColon=9]="BeforeColon",D[D.AfterColon=10]="AfterColon",D[D.AlmostThere=11]="AlmostThere",D[D.End=12]="End",D[D.Accept=13]="Accept",D[D.LastKnownState=14]="LastKnownState"})(A||(e.State=A={}));class h{constructor(C,w,i){const l=new Uint8Array(C*w);for(let a=0,p=C*w;a<p;a++)l[a]=i;this.a=l,this.rows=C,this.cols=w}get(C,w){return this.a[C*this.cols+w]}set(C,w,i){this.a[C*this.cols+w]=i}}class F{constructor(C){let w=0,i=0;for(let a=0,p=C.length;a<p;a++){const[f,E,n]=C[a];E>w&&(w=E),f>i&&(i=f),n>i&&(i=n)}w++,i++;const l=new h(i,w,0);for(let a=0,p=C.length;a<p;a++){const[f,E,n]=C[a];l.set(f,E,n)}this.a=l,this.b=w}nextState(C,w){return w<0||w>=this.b?0:this.a.get(C,w)}}e.$xW=F;let R=null;function g(){return R===null&&(R=new F([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),R}var k;(function(D){D[D.None=0]="None",D[D.ForceTermination=1]="ForceTermination",D[D.CannotEndIn=2]="CannotEndIn"})(k||(k={}));let m=null;function L(){if(m===null){m=new b.$Yr(0);const D=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let w=0;w<D.length;w++)m.set(D.charCodeAt(w),1);const C=".,;:";for(let w=0;w<C.length;w++)m.set(C.charCodeAt(w),2)}return m}class I{static a(C,w,i,l,a){let p=a-1;do{const f=w.charCodeAt(p);if(C.get(f)!==2)break;p--}while(p>l);if(l>0){const f=w.charCodeAt(l-1),E=w.charCodeAt(p);(f===40&&E===41||f===91&&E===93||f===123&&E===125)&&p--}return{range:{startLineNumber:i,startColumn:l+1,endLineNumber:i,endColumn:p+2},url:w.substring(l,p+1)}}static computeLinks(C,w=g()){const i=L(),l=[];for(let a=1,p=C.getLineCount();a<=p;a++){const f=C.getLineContent(a),E=f.length;let n=0,o=0,s=0,t=1,u=!1,$=!1,d=!1,S=!1;for(;n<E;){let y=!1;const c=f.charCodeAt(n);if(t===13){let r;switch(c){case 40:u=!0,r=0;break;case 41:r=u?0:1;break;case 91:d=!0,$=!0,r=0;break;case 93:d=!1,r=$?0:1;break;case 123:S=!0,r=0;break;case 125:r=S?0:1;break;case 39:case 34:case 96:s===c?r=1:s===39||s===34||s===96?r=0:r=1;break;case 42:r=s===42?1:0;break;case 124:r=s===124?1:0;break;case 32:r=d?0:1;break;default:r=i.get(c)}r===1&&(l.push(I.a(i,f,a,o,n)),y=!0)}else if(t===12){let r;c===91?($=!0,r=0):r=i.get(c),r===1?y=!0:t=13}else t=w.nextState(t,c),t===0&&(y=!0);y&&(t=1,u=!1,$=!1,S=!1,o=n+1,s=c),n++}t===13&&l.push(I.a(i,f,a,o,E))}return l}}e.$yW=I;function v(D){return!D||typeof D.getLineCount!="function"||typeof D.getLineContent!="function"?[]:I.computeLinks(D)}e.$zW=v}),define(De[117],Ce([1,0,24]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ut=e.$Tt=e.$St=e.$Rt=e.ModelConstants=e.PositionAffinity=e.$Qt=e.TrackedRangeStickiness=e.$Pt=e.$Ot=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.InjectedTextCursorStops=e.MinimapPosition=e.GlyphMarginLane=e.OverviewRulerLane=void 0;var A;(function(f){f[f.Left=1]="Left",f[f.Center=2]="Center",f[f.Right=4]="Right",f[f.Full=7]="Full"})(A||(e.OverviewRulerLane=A={}));var h;(function(f){f[f.Left=1]="Left",f[f.Right=2]="Right"})(h||(e.GlyphMarginLane=h={}));var F;(function(f){f[f.Inline=1]="Inline",f[f.Gutter=2]="Gutter"})(F||(e.MinimapPosition=F={}));var R;(function(f){f[f.Both=0]="Both",f[f.Right=1]="Right",f[f.Left=2]="Left",f[f.None=3]="None"})(R||(e.InjectedTextCursorStops=R={}));var g;(function(f){f[f.TextDefined=0]="TextDefined",f[f.LF=1]="LF",f[f.CRLF=2]="CRLF"})(g||(e.EndOfLinePreference=g={}));var k;(function(f){f[f.LF=1]="LF",f[f.CRLF=2]="CRLF"})(k||(e.DefaultEndOfLine=k={}));var m;(function(f){f[f.LF=0]="LF",f[f.CRLF=1]="CRLF"})(m||(e.EndOfLineSequence=m={}));class L{get originalIndentSize(){return this.a?"tabSize":this.indentSize}constructor(E){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,E.tabSize|0),E.indentSize==="tabSize"?(this.indentSize=this.tabSize,this.a=!0):(this.indentSize=Math.max(1,E.indentSize|0),this.a=!1),this.insertSpaces=!!E.insertSpaces,this.defaultEOL=E.defaultEOL|0,this.trimAutoWhitespace=!!E.trimAutoWhitespace,this.bracketPairColorizationOptions=E.bracketPairColorizationOptions}equals(E){return this.tabSize===E.tabSize&&this.a===E.a&&this.indentSize===E.indentSize&&this.insertSpaces===E.insertSpaces&&this.defaultEOL===E.defaultEOL&&this.trimAutoWhitespace===E.trimAutoWhitespace&&(0,b.$Hm)(this.bracketPairColorizationOptions,E.bracketPairColorizationOptions)}createChangeEvent(E){return{tabSize:this.tabSize!==E.tabSize,indentSize:this.indentSize!==E.indentSize,insertSpaces:this.insertSpaces!==E.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==E.trimAutoWhitespace}}}e.$Ot=L;class I{constructor(E,n){this._findMatchBrand=void 0,this.range=E,this.matches=n}}e.$Pt=I;var v;(function(f){f[f.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",f[f.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",f[f.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",f[f.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(v||(e.TrackedRangeStickiness=v={}));function D(f){return f&&typeof f.read=="function"}e.$Qt=D;var C;(function(f){f[f.Left=0]="Left",f[f.Right=1]="Right",f[f.None=2]="None",f[f.LeftOfInjectedText=3]="LeftOfInjectedText",f[f.RightOfInjectedText=4]="RightOfInjectedText"})(C||(e.PositionAffinity=C={}));var w;(function(f){f[f.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(w||(e.ModelConstants=w={}));class i{constructor(E,n,o,s,t,u){this.identifier=E,this.range=n,this.text=o,this.forceMoveMarkers=s,this.isAutoWhitespaceEdit=t,this._isTracked=u}}e.$Rt=i;class l{constructor(E,n,o){this.regex=E,this.wordSeparators=n,this.simpleSearch=o}}e.$St=l;class a{constructor(E,n,o){this.reverseEdits=E,this.changes=n,this.trimAutoWhitespaceLineNumbers=o}}e.$Tt=a;function p(f){return!f.isTooLargeForSyncing()&&!f.isForSimpleWidget}e.$Ut=p}),define(De[161],Ce([1,0,19,114]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ou=e.$nu=e.$mu=void 0;class h{constructor(k){this.a=k,this.b=new Uint32Array(k.length),this.c=new Int32Array(1),this.c[0]=-1}getCount(){return this.a.length}insertValues(k,m){k=(0,A.$gd)(k);const L=this.a,I=this.b,v=m.length;return v===0?!1:(this.a=new Uint32Array(L.length+v),this.a.set(L.subarray(0,k),0),this.a.set(L.subarray(k),k+v),this.a.set(m,k),k-1<this.c[0]&&(this.c[0]=k-1),this.b=new Uint32Array(this.a.length),this.c[0]>=0&&this.b.set(I.subarray(0,this.c[0]+1)),!0)}setValue(k,m){return k=(0,A.$gd)(k),m=(0,A.$gd)(m),this.a[k]===m?!1:(this.a[k]=m,k-1<this.c[0]&&(this.c[0]=k-1),!0)}removeValues(k,m){k=(0,A.$gd)(k),m=(0,A.$gd)(m);const L=this.a,I=this.b;if(k>=L.length)return!1;const v=L.length-k;return m>=v&&(m=v),m===0?!1:(this.a=new Uint32Array(L.length-m),this.a.set(L.subarray(0,k),0),this.a.set(L.subarray(k+m),k),this.b=new Uint32Array(this.a.length),k-1<this.c[0]&&(this.c[0]=k-1),this.c[0]>=0&&this.b.set(I.subarray(0,this.c[0]+1)),!0)}getTotalSum(){return this.a.length===0?0:this.d(this.a.length-1)}getPrefixSum(k){return k<0?0:(k=(0,A.$gd)(k),this.d(k))}d(k){if(k<=this.c[0])return this.b[k];let m=this.c[0]+1;m===0&&(this.b[0]=this.a[0],m++),k>=this.a.length&&(k=this.a.length-1);for(let L=m;L<=k;L++)this.b[L]=this.b[L-1]+this.a[L];return this.c[0]=Math.max(this.c[0],k),this.b[k]}getIndexOf(k){k=Math.floor(k),this.getTotalSum();let m=0,L=this.a.length-1,I=0,v=0,D=0;for(;m<=L;)if(I=m+(L-m)/2|0,v=this.b[I],D=v-this.a[I],k<D)L=I-1;else if(k>=v)m=I+1;else break;return new R(I,k-D)}}e.$mu=h;class F{constructor(k){this.a=k,this.b=!1,this.c=-1,this.d=[],this.e=[]}getTotalSum(){return this.g(),this.e.length}getPrefixSum(k){return this.g(),k===0?0:this.d[k-1]}getIndexOf(k){this.g();const m=this.e[k],L=m>0?this.d[m-1]:0;return new R(m,k-L)}removeValues(k,m){this.a.splice(k,m),this.f(k)}insertValues(k,m){this.a=(0,b.$Af)(this.a,k,m),this.f(k)}f(k){this.b=!1,this.c=Math.min(this.c,k-1)}g(){if(!this.b){for(let k=this.c+1,m=this.a.length;k<m;k++){const L=this.a[k],I=k>0?this.d[k-1]:0;this.d[k]=I+L;for(let v=0;v<L;v++)this.e[I+v]=k}this.d.length=this.a.length,this.e.length=this.d[this.d.length-1],this.b=!0,this.c=this.a.length-1}}setValue(k,m){this.a[k]!==m&&(this.a[k]=m,this.f(k))}}e.$nu=F;class R{constructor(k,m){this.index=k,this.remainder=m,this._prefixSumIndexOfResultBrand=void 0,this.index=k,this.remainder=m}}e.$ou=R}),define(De[162],Ce([1,0,9,56,161]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pu=void 0;class F{constructor(g,k,m,L){this.d=g,this.f=k,this.g=m,this.h=L,this.j=null,this.k=null}dispose(){this.f.length=0}get version(){return this.h}getText(){return this.k===null&&(this.k=this.f.join(this.g)),this.k}onEvents(g){g.eol&&g.eol!==this.g&&(this.g=g.eol,this.j=null);const k=g.changes;for(const m of k)this.o(m.range),this.p(new A.$Jr(m.range.startLineNumber,m.range.startColumn),m.text);this.h=g.versionId,this.k=null}l(){if(!this.j){const g=this.g.length,k=this.f.length,m=new Uint32Array(k);for(let L=0;L<k;L++)m[L]=this.f[L].length+g;this.j=new h.$mu(m)}}n(g,k){this.f[g]=k,this.j&&this.j.setValue(g,this.f[g].length+this.g.length)}o(g){if(g.startLineNumber===g.endLineNumber){if(g.startColumn===g.endColumn)return;this.n(g.startLineNumber-1,this.f[g.startLineNumber-1].substring(0,g.startColumn-1)+this.f[g.startLineNumber-1].substring(g.endColumn-1));return}this.n(g.startLineNumber-1,this.f[g.startLineNumber-1].substring(0,g.startColumn-1)+this.f[g.endLineNumber-1].substring(g.endColumn-1)),this.f.splice(g.startLineNumber,g.endLineNumber-g.startLineNumber),this.j&&this.j.removeValues(g.startLineNumber,g.endLineNumber-g.startLineNumber)}p(g,k){if(k.length===0)return;const m=(0,b.$xd)(k);if(m.length===1){this.n(g.lineNumber-1,this.f[g.lineNumber-1].substring(0,g.column-1)+m[0]+this.f[g.lineNumber-1].substring(g.column-1));return}m[m.length-1]+=this.f[g.lineNumber-1].substring(g.column-1),this.n(g.lineNumber-1,this.f[g.lineNumber-1].substring(0,g.column-1)+m[0]);const L=new Uint32Array(m.length-1);for(let I=1;I<m.length;I++)this.f.splice(g.lineNumber+I-1,0,m[I]),L[I-1]=m[I].length+this.g.length;this.j&&this.j.insertValues(g.lineNumber,L)}}e.$pu=F}),define(De[163],Ce([1,0,9,158,56,35,117]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$JB=e.$IB=e.$HB=e.$GB=e.$FB=e.$EB=void 0;const g=999;class k{constructor(a,p,f,E){this.searchString=a,this.isRegex=p,this.matchCase=f,this.wordSeparators=E}parseSearchRequest(){if(this.searchString==="")return null;let a;this.isRegex?a=m(this.searchString):a=this.searchString.indexOf(`
`)>=0;let p=null;try{p=b.$td(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:a,global:!0,unicode:!0})}catch{return null}if(!p)return null;let f=!this.isRegex&&!a;return f&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(f=this.matchCase),new R.$St(p,this.wordSeparators?(0,A.$2r)(this.wordSeparators):null,f?this.searchString:null)}}e.$EB=k;function m(l){if(!l||l.length===0)return!1;for(let a=0,p=l.length;a<p;a++){const f=l.charCodeAt(a);if(f===10)return!0;if(f===92){if(a++,a>=p)break;const E=l.charCodeAt(a);if(E===110||E===114||E===87)return!0}}return!1}e.$FB=m;function L(l,a,p){if(!p)return new R.$Pt(l,null);const f=[];for(let E=0,n=a.length;E<n;E++)f[E]=a[E];return new R.$Pt(l,f)}e.$GB=L;class I{constructor(a){const p=[];let f=0;for(let E=0,n=a.length;E<n;E++)a.charCodeAt(E)===10&&(p[f++]=E);this.a=p}findLineFeedCountBeforeOffset(a){const p=this.a;let f=0,E=p.length-1;if(E===-1||a<=p[0])return 0;for(;f<E;){const n=f+((E-f)/2>>0);p[n]>=a?E=n-1:p[n+1]>=a?(f=n,E=n):f=n+1}return f+1}}class v{static findMatches(a,p,f,E,n){const o=p.parseSearchRequest();return o?o.regex.multiline?this.b(a,f,new i(o.wordSeparators,o.regex),E,n):this.c(a,f,o,E,n):[]}static a(a,p,f,E,n,o){let s,t=0;E?(t=E.findLineFeedCountBeforeOffset(n),s=p+n+t):s=p+n;let u;if(E){const y=E.findLineFeedCountBeforeOffset(n+o.length)-t;u=s+o.length+y}else u=s+o.length;const $=a.getPositionAt(s),d=a.getPositionAt(u);return new F.$Kr($.lineNumber,$.column,d.lineNumber,d.column)}static b(a,p,f,E,n){const o=a.getOffsetAt(p.getStartPosition()),s=a.getValueInRange(p,1),t=a.getEOL()===`\r
`?new I(s):null,u=[];let $=0,d;for(f.reset(0);d=f.next(s);)if(u[$++]=L(this.a(a,o,s,t,d.index,d[0]),d,E),$>=n)return u;return u}static c(a,p,f,E,n){const o=[];let s=0;if(p.startLineNumber===p.endLineNumber){const u=a.getLineContent(p.startLineNumber).substring(p.startColumn-1,p.endColumn-1);return s=this.d(f,u,p.startLineNumber,p.startColumn-1,s,o,E,n),o}const t=a.getLineContent(p.startLineNumber).substring(p.startColumn-1);s=this.d(f,t,p.startLineNumber,p.startColumn-1,s,o,E,n);for(let u=p.startLineNumber+1;u<p.endLineNumber&&s<n;u++)s=this.d(f,a.getLineContent(u),u,0,s,o,E,n);if(s<n){const u=a.getLineContent(p.endLineNumber).substring(0,p.endColumn-1);s=this.d(f,u,p.endLineNumber,0,s,o,E,n)}return o}static d(a,p,f,E,n,o,s,t){const u=a.wordSeparators;if(!s&&a.simpleSearch){const S=a.simpleSearch,y=S.length,c=p.length;let r=-y;for(;(r=p.indexOf(S,r+y))!==-1;)if((!u||w(u,p,c,r,y))&&(o[n++]=new R.$Pt(new F.$Kr(f,r+1+E,f,r+1+y+E),null),n>=t))return n;return n}const $=new i(a.wordSeparators,a.regex);let d;$.reset(0);do if(d=$.next(p),d&&(o[n++]=L(new F.$Kr(f,d.index+1+E,f,d.index+1+d[0].length+E),d,s),n>=t))return n;while(d);return n}static findNextMatch(a,p,f,E){const n=p.parseSearchRequest();if(!n)return null;const o=new i(n.wordSeparators,n.regex);return n.regex.multiline?this.e(a,f,o,E):this.f(a,f,o,E)}static e(a,p,f,E){const n=new h.$Jr(p.lineNumber,1),o=a.getOffsetAt(n),s=a.getLineCount(),t=a.getValueInRange(new F.$Kr(n.lineNumber,n.column,s,a.getLineMaxColumn(s)),1),u=a.getEOL()===`\r
`?new I(t):null;f.reset(p.column-1);const $=f.next(t);return $?L(this.a(a,o,t,u,$.index,$[0]),$,E):p.lineNumber!==1||p.column!==1?this.e(a,new h.$Jr(1,1),f,E):null}static f(a,p,f,E){const n=a.getLineCount(),o=p.lineNumber,s=a.getLineContent(o),t=this.g(f,s,o,p.column,E);if(t)return t;for(let u=1;u<=n;u++){const $=(o+u-1)%n,d=a.getLineContent($+1),S=this.g(f,d,$+1,1,E);if(S)return S}return null}static g(a,p,f,E,n){a.reset(E-1);const o=a.next(p);return o?L(new F.$Kr(f,o.index+1,f,o.index+1+o[0].length),o,n):null}static findPreviousMatch(a,p,f,E){const n=p.parseSearchRequest();if(!n)return null;const o=new i(n.wordSeparators,n.regex);return n.regex.multiline?this.h(a,f,o,E):this.j(a,f,o,E)}static h(a,p,f,E){const n=this.b(a,new F.$Kr(1,1,p.lineNumber,p.column),f,E,10*g);if(n.length>0)return n[n.length-1];const o=a.getLineCount();return p.lineNumber!==o||p.column!==a.getLineMaxColumn(o)?this.h(a,new h.$Jr(o,a.getLineMaxColumn(o)),f,E):null}static j(a,p,f,E){const n=a.getLineCount(),o=p.lineNumber,s=a.getLineContent(o).substring(0,p.column-1),t=this.k(f,s,o,E);if(t)return t;for(let u=1;u<=n;u++){const $=(n+o-u-1)%n,d=a.getLineContent($+1),S=this.k(f,d,$+1,E);if(S)return S}return null}static k(a,p,f,E){let n=null,o;for(a.reset(0);o=a.next(p);)n=L(new F.$Kr(f,o.index+1,f,o.index+1+o[0].length),o,E);return n}}e.$HB=v;function D(l,a,p,f,E){if(f===0)return!0;const n=a.charCodeAt(f-1);if(l.get(n)!==0||n===13||n===10)return!0;if(E>0){const o=a.charCodeAt(f);if(l.get(o)!==0)return!0}return!1}function C(l,a,p,f,E){if(f+E===p)return!0;const n=a.charCodeAt(f+E);if(l.get(n)!==0||n===13||n===10)return!0;if(E>0){const o=a.charCodeAt(f+E-1);if(l.get(o)!==0)return!0}return!1}function w(l,a,p,f,E){return D(l,a,p,f,E)&&C(l,a,p,f,E)}e.$IB=w;class i{constructor(a,p){this._wordSeparators=a,this.a=p,this.b=-1,this.c=0}reset(a){this.a.lastIndex=a,this.b=-1,this.c=0}next(a){const p=a.length;let f;do{if(this.b+this.c===p||(f=this.a.exec(a),!f))return null;const E=f.index,n=f[0].length;if(E===this.b&&n===this.c){if(n===0){b.$Qd(a,p,this.a.lastIndex)>65535?this.a.lastIndex+=2:this.a.lastIndex+=1;continue}return null}if(this.b=E,this.c=n,!this._wordSeparators||w(this._wordSeparators,a,p,E,n))return f}while(f);return null}}e.$JB=i}),define(De[164],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$93=e.$83=void 0;class b{constructor(){this.a=new Map}removeDragOperationTransfer(F){if(F&&this.a.has(F)){const R=this.a.get(F);return this.a.delete(F),R}}addDragOperationTransfer(F,R){this.a.set(F,R)}}e.$83=b;class A{constructor(F){this.identifier=F}}e.$93=A}),define(De[165],Ce([1,0,3,4]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$as=void 0;class h{constructor(){this.a=new Map,this.b=new Map,this.c=new b.$5c,this.onDidChange=this.c.event,this.d=null}handleChange(g){this.c.fire({changedLanguages:g,changedColorMap:!1})}register(g,k){return this.a.set(g,k),this.handleChange([g]),(0,A.$ib)(()=>{this.a.get(g)===k&&(this.a.delete(g),this.handleChange([g]))})}get(g){return this.a.get(g)||null}registerFactory(g,k){this.b.get(g)?.dispose();const m=new F(this,g,k);return this.b.set(g,m),(0,A.$ib)(()=>{const L=this.b.get(g);!L||L!==m||(this.b.delete(g),L.dispose())})}async getOrCreate(g){const k=this.get(g);if(k)return k;const m=this.b.get(g);return!m||m.isResolved?null:(await m.resolve(),this.get(g))}isResolved(g){if(this.get(g))return!0;const m=this.b.get(g);return!!(!m||m.isResolved)}setColorMap(g){this.d=g,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}e.$as=h;class F extends A.$kb{get isResolved(){return this.c}constructor(g,k,m){super(),this.f=g,this.g=k,this.h=m,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}async resolve(){return this.b||(this.b=this.i()),this.b}async i(){const g=await this.h.tokenizationSupport;this.c=!0,g&&!this.a&&this.B(this.f.register(this.g,g))}}}),define(De[166],Ce([13,14]),function(re,e){return re.create("vs/base/common/actions",e)}),define(De[167],Ce([1,0,3,4,166]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8h=e.$7h=e.$6h=e.$5h=e.$4h=e.$3h=void 0;class F extends A.$kb{constructor(v,D="",C="",w=!0,i){super(),this.h=this.B(new b.$5c),this.onDidChange=this.h.event,this.w=!0,this.j=v,this.m=D,this.u=C,this.w=w,this.C=i}get id(){return this.j}get label(){return this.m}set label(v){this.D(v)}D(v){this.m!==v&&(this.m=v,this.h.fire({label:v}))}get tooltip(){return this.n||""}set tooltip(v){this.F(v)}F(v){this.n!==v&&(this.n=v,this.h.fire({tooltip:v}))}get class(){return this.u}set class(v){this.G(v)}G(v){this.u!==v&&(this.u=v,this.h.fire({class:v}))}get enabled(){return this.w}set enabled(v){this.H(v)}H(v){this.w!==v&&(this.w=v,this.h.fire({enabled:v}))}get checked(){return this.z}set checked(v){this.I(v)}I(v){this.z!==v&&(this.z=v,this.h.fire({checked:v}))}async run(v,D){this.C&&await this.C(v)}}e.$3h=F;class R extends A.$kb{constructor(){super(...arguments),this.f=this.B(new b.$5c),this.onWillRun=this.f.event,this.h=this.B(new b.$5c),this.onDidRun=this.h.event}async run(v,D){if(!v.enabled)return;this.f.fire({action:v});let C;try{await this.k(v,D)}catch(w){C=w}this.h.fire({action:v,error:C})}async k(v,D){await v.run(D)}}e.$4h=R;class g{constructor(){this.id=g.ID,this.label="",this.tooltip="",this.class="separator",this.enabled=!1,this.checked=!1}static join(...v){let D=[];for(const C of v)C.length&&(D.length?D=[...D,new g,...C]:D=C);return D}async run(){}}e.$5h=g,g.ID="vs.actions.separator";class k{get actions(){return this.a}constructor(v,D,C,w){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=v,this.label=D,this.class=w,this.a=C}async run(){}}e.$6h=k;class m extends F{constructor(){super(m.ID,h.localize(0,null),void 0,!1)}}e.$7h=m,m.ID="vs.actions.empty";function L(I){return{id:I.id,label:I.label,class:void 0,enabled:I.enabled??!0,checked:I.checked??!1,run:async()=>I.run(),tooltip:I.label}}e.$8h=L}),define(De[168],Ce([13,14]),function(re,e){return re.create("vs/base/common/date",e)}),define(De[169],Ce([1,0,168]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ol=e.$Nl=void 0;const A=60,h=A*60,F=h*24,R=F*7,g=F*30,k=F*365;function m(I,v,D,C){typeof I!="number"&&(I=I.getTime());const w=Math.round((new Date().getTime()-I)/1e3);if(w<-30)return(0,b.localize)(0,null,m(new Date().getTime()+w*1e3,!1));if(!C&&w<30)return(0,b.localize)(1,null);let i;return w<A?(i=w,v?i===1?D?(0,b.localize)(2,null,i):(0,b.localize)(3,null,i):D?(0,b.localize)(4,null,i):(0,b.localize)(5,null,i):i===1?D?(0,b.localize)(6,null,i):(0,b.localize)(7,null,i):D?(0,b.localize)(8,null,i):(0,b.localize)(9,null,i)):w<h?(i=Math.floor(w/A),v?i===1?D?(0,b.localize)(10,null,i):(0,b.localize)(11,null,i):D?(0,b.localize)(12,null,i):(0,b.localize)(13,null,i):i===1?D?(0,b.localize)(14,null,i):(0,b.localize)(15,null,i):D?(0,b.localize)(16,null,i):(0,b.localize)(17,null,i)):w<F?(i=Math.floor(w/h),v?i===1?D?(0,b.localize)(18,null,i):(0,b.localize)(19,null,i):D?(0,b.localize)(20,null,i):(0,b.localize)(21,null,i):i===1?D?(0,b.localize)(22,null,i):(0,b.localize)(23,null,i):D?(0,b.localize)(24,null,i):(0,b.localize)(25,null,i)):w<R?(i=Math.floor(w/F),v?i===1?(0,b.localize)(26,null,i):(0,b.localize)(27,null,i):i===1?(0,b.localize)(28,null,i):(0,b.localize)(29,null,i)):w<g?(i=Math.floor(w/R),v?i===1?D?(0,b.localize)(30,null,i):(0,b.localize)(31,null,i):D?(0,b.localize)(32,null,i):(0,b.localize)(33,null,i):i===1?D?(0,b.localize)(34,null,i):(0,b.localize)(35,null,i):D?(0,b.localize)(36,null,i):(0,b.localize)(37,null,i)):w<k?(i=Math.floor(w/g),v?i===1?D?(0,b.localize)(38,null,i):(0,b.localize)(39,null,i):D?(0,b.localize)(40,null,i):(0,b.localize)(41,null,i):i===1?D?(0,b.localize)(42,null,i):(0,b.localize)(43,null,i):D?(0,b.localize)(44,null,i):(0,b.localize)(45,null,i)):(i=Math.floor(w/k),v?i===1?D?(0,b.localize)(46,null,i):(0,b.localize)(47,null,i):D?(0,b.localize)(48,null,i):(0,b.localize)(49,null,i):i===1?D?(0,b.localize)(50,null,i):(0,b.localize)(51,null,i):D?(0,b.localize)(52,null,i):(0,b.localize)(53,null,i))}e.$Nl=m;function L(I){return I.getFullYear()+"-"+String(I.getMonth()+1).padStart(2,"0")+"-"+String(I.getDate()).padStart(2,"0")+"T"+String(I.getHours()).padStart(2,"0")+":"+String(I.getMinutes()).padStart(2,"0")+":"+String(I.getSeconds()).padStart(2,"0")+"."+(I.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.$Ol=L}),define(De[170],Ce([13,14]),function(re,e){return re.create("vs/base/common/errorMessage",e)}),define(De[45],Ce([1,0,19,12,170]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$h=e.$0h=e.$9h=void 0;function F(I,v){return v&&(I.stack||I.stacktrace)?h.localize(0,null,g(I),R(I.stack)||R(I.stacktrace)):g(I)}function R(I){return Array.isArray(I)?I.join(`
`):I}function g(I){return I.code==="ERR_UNC_HOST_NOT_ALLOWED"?`${I.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`:typeof I.code=="string"&&typeof I.errno=="number"&&typeof I.syscall=="string"?h.localize(1,null,I.message):I.message||h.localize(2,null)}function k(I=null,v=!1){if(!I)return h.localize(3,null);if(Array.isArray(I)){const D=b.$jf(I),C=k(D[0],v);return D.length>1?h.localize(4,null,C,D.length):C}if(A.$ge(I))return I;if(I.detail){const D=I.detail;if(D.error)return F(D.error,v);if(D.exception)return F(D.exception,v)}return I.stack?F(I,v):I.message?I.message:h.localize(5,null)}e.$9h=k;function m(I){const v=I;return v instanceof Error&&Array.isArray(v.actions)}e.$0h=m;function L(I,v){let D;return typeof I=="string"?D=new Error(I):D=I,D.actions=v,D}e.$$h=L}),define(De[171],Ce([13,14]),function(re,e){return re.create("vs/base/common/platform",e)}),define(De[10],Ce([1,0,171]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$H=e.$G=e.$F=e.$E=e.$D=e.$C=e.OS=e.OperatingSystem=e.$A=e.$z=e.$y=e.$x=e.$w=e.Language=e.$v=e.$u=e.$t=e.$s=e.$r=e.$q=e.$p=e.$o=e.$n=e.$m=e.$l=e.$k=e.$j=e.$i=e.$h=e.Platform=e.$g=e.$f=void 0,e.$f="en";let A=!1,h=!1,F=!1,R=!1,g=!1,k=!1,m=!1,L=!1,I=!1,v=!1,D,C=e.$f,w=e.$f,i,l;e.$g=typeof self=="object"?self:typeof global=="object"?global:{};let a;typeof e.$g.vscode<"u"&&typeof e.$g.vscode.process<"u"?a=e.$g.vscode.process:typeof process<"u"&&(a=process);const p=typeof a?.versions?.electron=="string",f=p&&a?.type==="renderer";if(typeof navigator=="object"&&!f)l=navigator.userAgent,A=l.indexOf("Windows")>=0,h=l.indexOf("Macintosh")>=0,L=(l.indexOf("Macintosh")>=0||l.indexOf("iPad")>=0||l.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,F=l.indexOf("Linux")>=0,v=l?.indexOf("Mobi")>=0,k=!0,D=b.getConfiguredDefaultLocale(b.localize(0,null))||e.$f,C=D,w=navigator.language;else if(typeof a=="object"){A=a.platform==="win32",h=a.platform==="darwin",F=a.platform==="linux",R=F&&!!a.env.SNAP&&!!a.env.SNAP_REVISION,m=p,I=!!a.env.CI||!!a.env.BUILD_ARTIFACTSTAGINGDIRECTORY,D=e.$f,C=e.$f;const S=a.env.VSCODE_NLS_CONFIG;if(S)try{const y=JSON.parse(S),c=y.availableLanguages["*"];D=y.locale,w=y.osLocale,C=c||e.$f,i=y._translationsConfigFile}catch{}g=!0}else console.error("Unable to resolve platform.");var E;(function(S){S[S.Web=0]="Web",S[S.Mac=1]="Mac",S[S.Linux=2]="Linux",S[S.Windows=3]="Windows"})(E||(e.Platform=E={}));function n(S){switch(S){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.$h=n;let o=0;h?o=1:A?o=3:F&&(o=2),e.$i=A,e.$j=h,e.$k=F,e.$l=R,e.$m=g,e.$n=m,e.$o=k,e.$p=k&&typeof e.$g.importScripts=="function",e.$q=L,e.$r=v,e.$s=I,e.$t=o,e.$u=l,e.$v=C;var s;(function(S){function y(){return e.$v}S.value=y;function c(){return e.$v.length===2?e.$v==="en":e.$v.length>=3?e.$v[0]==="e"&&e.$v[1]==="n"&&e.$v[2]==="-":!1}S.isDefaultVariant=c;function r(){return e.$v==="en"}S.isDefault=r})(s||(e.Language=s={})),e.$w=D,e.$x=w,e.$y=i,e.$z=typeof e.$g.postMessage=="function"&&!e.$g.importScripts,e.$A=(()=>{if(e.$z){const S=[];e.$g.addEventListener("message",c=>{if(c.data&&c.data.vscodeScheduleAsyncWork)for(let r=0,P=S.length;r<P;r++){const N=S[r];if(N.id===c.data.vscodeScheduleAsyncWork){S.splice(r,1),N.callback();return}}});let y=0;return c=>{const r=++y;S.push({id:r,callback:c}),e.$g.postMessage({vscodeScheduleAsyncWork:r},"*")}}return S=>setTimeout(S)})();var t;(function(S){S[S.Windows=1]="Windows",S[S.Macintosh=2]="Macintosh",S[S.Linux=3]="Linux"})(t||(e.OperatingSystem=t={})),e.OS=h||L?2:A?1:3;let u=!0,$=!1;function d(){if(!$){$=!0;const S=new Uint8Array(2);S[0]=1,S[1]=2,u=new Uint16Array(S.buffer)[0]===(2<<8)+1}return u}e.$C=d,e.$D=!!(e.$u&&e.$u.indexOf("Chrome")>=0),e.$E=!!(e.$u&&e.$u.indexOf("Firefox")>=0),e.$F=!!(!e.$D&&e.$u&&e.$u.indexOf("Safari")>=0),e.$G=!!(e.$u&&e.$u.indexOf("Edg/")>=0),e.$H=!!(e.$u&&e.$u.indexOf("Android")>=0)}),define(De[41],Ce([1,0,10]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6b=e.$5b=e.env=e.cwd=void 0;let A;if(typeof b.$g.vscode<"u"&&typeof b.$g.vscode.process<"u"){const h=b.$g.vscode.process;A={get platform(){return h.platform},get arch(){return h.arch},get env(){return h.env},cwd(){return h.cwd()}}}else typeof process<"u"?A={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:A={get platform(){return b.$i?"win32":b.$j?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=A.cwd,e.env=A.env,e.$5b=A.platform,e.$6b=A.arch}),define(De[11],Ce([1,0,41]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ic=e.sep=e.$gc=e.$fc=e.$ec=e.$dc=e.$cc=e.$bc=e.$ac=e.$_b=e.$$b=e.$0b=e.$9b=e.$8b=e.$7b=void 0;const A=65,h=97,F=90,R=122,g=46,k=47,m=92,L=58,I=63;class v extends Error{constructor(o,s,t){let u;typeof s=="string"&&s.indexOf("not ")===0?(u="must not be",s=s.replace(/^not /,"")):u="must be";const $=o.indexOf(".")!==-1?"property":"argument";let d=`The "${o}" ${$} ${u} of type ${s}`;d+=`. Received type ${typeof t}`,super(d),this.code="ERR_INVALID_ARG_TYPE"}}function D(n,o){if(n===null||typeof n!="object")throw new v(o,"Object",n)}function C(n,o){if(typeof n!="string")throw new v(o,"string",n)}const w=b.$5b==="win32";function i(n){return n===k||n===m}function l(n){return n===k}function a(n){return n>=A&&n<=F||n>=h&&n<=R}function p(n,o,s,t){let u="",$=0,d=-1,S=0,y=0;for(let c=0;c<=n.length;++c){if(c<n.length)y=n.charCodeAt(c);else{if(t(y))break;y=k}if(t(y)){if(!(d===c-1||S===1))if(S===2){if(u.length<2||$!==2||u.charCodeAt(u.length-1)!==g||u.charCodeAt(u.length-2)!==g){if(u.length>2){const r=u.lastIndexOf(s);r===-1?(u="",$=0):(u=u.slice(0,r),$=u.length-1-u.lastIndexOf(s)),d=c,S=0;continue}else if(u.length!==0){u="",$=0,d=c,S=0;continue}}o&&(u+=u.length>0?`${s}..`:"..",$=2)}else u.length>0?u+=`${s}${n.slice(d+1,c)}`:u=n.slice(d+1,c),$=c-d-1;d=c,S=0}else y===g&&S!==-1?++S:S=-1}return u}function f(n,o){D(o,"pathObject");const s=o.dir||o.root,t=o.base||`${o.name||""}${o.ext||""}`;return s?s===o.root?`${s}${t}`:`${s}${n}${t}`:t}e.$7b={resolve(...n){let o="",s="",t=!1;for(let u=n.length-1;u>=-1;u--){let $;if(u>=0){if($=n[u],C($,"path"),$.length===0)continue}else o.length===0?$=b.cwd():($=b.env[`=${o}`]||b.cwd(),($===void 0||$.slice(0,2).toLowerCase()!==o.toLowerCase()&&$.charCodeAt(2)===m)&&($=`${o}\\`));const d=$.length;let S=0,y="",c=!1;const r=$.charCodeAt(0);if(d===1)i(r)&&(S=1,c=!0);else if(i(r))if(c=!0,i($.charCodeAt(1))){let P=2,N=P;for(;P<d&&!i($.charCodeAt(P));)P++;if(P<d&&P!==N){const U=$.slice(N,P);for(N=P;P<d&&i($.charCodeAt(P));)P++;if(P<d&&P!==N){for(N=P;P<d&&!i($.charCodeAt(P));)P++;(P===d||P!==N)&&(y=`\\\\${U}\\${$.slice(N,P)}`,S=P)}}}else S=1;else a(r)&&$.charCodeAt(1)===L&&(y=$.slice(0,2),S=2,d>2&&i($.charCodeAt(2))&&(c=!0,S=3));if(y.length>0)if(o.length>0){if(y.toLowerCase()!==o.toLowerCase())continue}else o=y;if(t){if(o.length>0)break}else if(s=`${$.slice(S)}\\${s}`,t=c,c&&o.length>0)break}return s=p(s,!t,"\\",i),t?`${o}\\${s}`:`${o}${s}`||"."},normalize(n){C(n,"path");const o=n.length;if(o===0)return".";let s=0,t,u=!1;const $=n.charCodeAt(0);if(o===1)return l($)?"\\":n;if(i($))if(u=!0,i(n.charCodeAt(1))){let S=2,y=S;for(;S<o&&!i(n.charCodeAt(S));)S++;if(S<o&&S!==y){const c=n.slice(y,S);for(y=S;S<o&&i(n.charCodeAt(S));)S++;if(S<o&&S!==y){for(y=S;S<o&&!i(n.charCodeAt(S));)S++;if(S===o)return`\\\\${c}\\${n.slice(y)}\\`;S!==y&&(t=`\\\\${c}\\${n.slice(y,S)}`,s=S)}}}else s=1;else a($)&&n.charCodeAt(1)===L&&(t=n.slice(0,2),s=2,o>2&&i(n.charCodeAt(2))&&(u=!0,s=3));let d=s<o?p(n.slice(s),!u,"\\",i):"";return d.length===0&&!u&&(d="."),d.length>0&&i(n.charCodeAt(o-1))&&(d+="\\"),t===void 0?u?`\\${d}`:d:u?`${t}\\${d}`:`${t}${d}`},isAbsolute(n){C(n,"path");const o=n.length;if(o===0)return!1;const s=n.charCodeAt(0);return i(s)||o>2&&a(s)&&n.charCodeAt(1)===L&&i(n.charCodeAt(2))},join(...n){if(n.length===0)return".";let o,s;for(let $=0;$<n.length;++$){const d=n[$];C(d,"path"),d.length>0&&(o===void 0?o=s=d:o+=`\\${d}`)}if(o===void 0)return".";let t=!0,u=0;if(typeof s=="string"&&i(s.charCodeAt(0))){++u;const $=s.length;$>1&&i(s.charCodeAt(1))&&(++u,$>2&&(i(s.charCodeAt(2))?++u:t=!1))}if(t){for(;u<o.length&&i(o.charCodeAt(u));)u++;u>=2&&(o=`\\${o.slice(u)}`)}return e.$7b.normalize(o)},relative(n,o){if(C(n,"from"),C(o,"to"),n===o)return"";const s=e.$7b.resolve(n),t=e.$7b.resolve(o);if(s===t||(n=s.toLowerCase(),o=t.toLowerCase(),n===o))return"";let u=0;for(;u<n.length&&n.charCodeAt(u)===m;)u++;let $=n.length;for(;$-1>u&&n.charCodeAt($-1)===m;)$--;const d=$-u;let S=0;for(;S<o.length&&o.charCodeAt(S)===m;)S++;let y=o.length;for(;y-1>S&&o.charCodeAt(y-1)===m;)y--;const c=y-S,r=d<c?d:c;let P=-1,N=0;for(;N<r;N++){const q=n.charCodeAt(u+N);if(q!==o.charCodeAt(S+N))break;q===m&&(P=N)}if(N!==r){if(P===-1)return t}else{if(c>r){if(o.charCodeAt(S+N)===m)return t.slice(S+N+1);if(N===2)return t.slice(S+N)}d>r&&(n.charCodeAt(u+N)===m?P=N:N===2&&(P=3)),P===-1&&(P=0)}let U="";for(N=u+P+1;N<=$;++N)(N===$||n.charCodeAt(N)===m)&&(U+=U.length===0?"..":"\\..");return S+=P,U.length>0?`${U}${t.slice(S,y)}`:(t.charCodeAt(S)===m&&++S,t.slice(S,y))},toNamespacedPath(n){if(typeof n!="string"||n.length===0)return n;const o=e.$7b.resolve(n);if(o.length<=2)return n;if(o.charCodeAt(0)===m){if(o.charCodeAt(1)===m){const s=o.charCodeAt(2);if(s!==I&&s!==g)return`\\\\?\\UNC\\${o.slice(2)}`}}else if(a(o.charCodeAt(0))&&o.charCodeAt(1)===L&&o.charCodeAt(2)===m)return`\\\\?\\${o}`;return n},dirname(n){C(n,"path");const o=n.length;if(o===0)return".";let s=-1,t=0;const u=n.charCodeAt(0);if(o===1)return i(u)?n:".";if(i(u)){if(s=t=1,i(n.charCodeAt(1))){let S=2,y=S;for(;S<o&&!i(n.charCodeAt(S));)S++;if(S<o&&S!==y){for(y=S;S<o&&i(n.charCodeAt(S));)S++;if(S<o&&S!==y){for(y=S;S<o&&!i(n.charCodeAt(S));)S++;if(S===o)return n;S!==y&&(s=t=S+1)}}}}else a(u)&&n.charCodeAt(1)===L&&(s=o>2&&i(n.charCodeAt(2))?3:2,t=s);let $=-1,d=!0;for(let S=o-1;S>=t;--S)if(i(n.charCodeAt(S))){if(!d){$=S;break}}else d=!1;if($===-1){if(s===-1)return".";$=s}return n.slice(0,$)},basename(n,o){o!==void 0&&C(o,"ext"),C(n,"path");let s=0,t=-1,u=!0,$;if(n.length>=2&&a(n.charCodeAt(0))&&n.charCodeAt(1)===L&&(s=2),o!==void 0&&o.length>0&&o.length<=n.length){if(o===n)return"";let d=o.length-1,S=-1;for($=n.length-1;$>=s;--$){const y=n.charCodeAt($);if(i(y)){if(!u){s=$+1;break}}else S===-1&&(u=!1,S=$+1),d>=0&&(y===o.charCodeAt(d)?--d===-1&&(t=$):(d=-1,t=S))}return s===t?t=S:t===-1&&(t=n.length),n.slice(s,t)}for($=n.length-1;$>=s;--$)if(i(n.charCodeAt($))){if(!u){s=$+1;break}}else t===-1&&(u=!1,t=$+1);return t===-1?"":n.slice(s,t)},extname(n){C(n,"path");let o=0,s=-1,t=0,u=-1,$=!0,d=0;n.length>=2&&n.charCodeAt(1)===L&&a(n.charCodeAt(0))&&(o=t=2);for(let S=n.length-1;S>=o;--S){const y=n.charCodeAt(S);if(i(y)){if(!$){t=S+1;break}continue}u===-1&&($=!1,u=S+1),y===g?s===-1?s=S:d!==1&&(d=1):s!==-1&&(d=-1)}return s===-1||u===-1||d===0||d===1&&s===u-1&&s===t+1?"":n.slice(s,u)},format:f.bind(null,"\\"),parse(n){C(n,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(n.length===0)return o;const s=n.length;let t=0,u=n.charCodeAt(0);if(s===1)return i(u)?(o.root=o.dir=n,o):(o.base=o.name=n,o);if(i(u)){if(t=1,i(n.charCodeAt(1))){let P=2,N=P;for(;P<s&&!i(n.charCodeAt(P));)P++;if(P<s&&P!==N){for(N=P;P<s&&i(n.charCodeAt(P));)P++;if(P<s&&P!==N){for(N=P;P<s&&!i(n.charCodeAt(P));)P++;P===s?t=P:P!==N&&(t=P+1)}}}}else if(a(u)&&n.charCodeAt(1)===L){if(s<=2)return o.root=o.dir=n,o;if(t=2,i(n.charCodeAt(2))){if(s===3)return o.root=o.dir=n,o;t=3}}t>0&&(o.root=n.slice(0,t));let $=-1,d=t,S=-1,y=!0,c=n.length-1,r=0;for(;c>=t;--c){if(u=n.charCodeAt(c),i(u)){if(!y){d=c+1;break}continue}S===-1&&(y=!1,S=c+1),u===g?$===-1?$=c:r!==1&&(r=1):$!==-1&&(r=-1)}return S!==-1&&($===-1||r===0||r===1&&$===S-1&&$===d+1?o.base=o.name=n.slice(d,S):(o.name=n.slice(d,$),o.base=n.slice(d,S),o.ext=n.slice($,S))),d>0&&d!==t?o.dir=n.slice(0,d-1):o.dir=o.root,o},sep:"\\",delimiter:";",win32:null,posix:null};const E=(()=>{if(w){const n=/\\/g;return()=>{const o=b.cwd().replace(n,"/");return o.slice(o.indexOf("/"))}}return()=>b.cwd()})();e.$8b={resolve(...n){let o="",s=!1;for(let t=n.length-1;t>=-1&&!s;t--){const u=t>=0?n[t]:E();C(u,"path"),u.length!==0&&(o=`${u}/${o}`,s=u.charCodeAt(0)===k)}return o=p(o,!s,"/",l),s?`/${o}`:o.length>0?o:"."},normalize(n){if(C(n,"path"),n.length===0)return".";const o=n.charCodeAt(0)===k,s=n.charCodeAt(n.length-1)===k;return n=p(n,!o,"/",l),n.length===0?o?"/":s?"./":".":(s&&(n+="/"),o?`/${n}`:n)},isAbsolute(n){return C(n,"path"),n.length>0&&n.charCodeAt(0)===k},join(...n){if(n.length===0)return".";let o;for(let s=0;s<n.length;++s){const t=n[s];C(t,"path"),t.length>0&&(o===void 0?o=t:o+=`/${t}`)}return o===void 0?".":e.$8b.normalize(o)},relative(n,o){if(C(n,"from"),C(o,"to"),n===o||(n=e.$8b.resolve(n),o=e.$8b.resolve(o),n===o))return"";const s=1,t=n.length,u=t-s,$=1,d=o.length-$,S=u<d?u:d;let y=-1,c=0;for(;c<S;c++){const P=n.charCodeAt(s+c);if(P!==o.charCodeAt($+c))break;P===k&&(y=c)}if(c===S)if(d>S){if(o.charCodeAt($+c)===k)return o.slice($+c+1);if(c===0)return o.slice($+c)}else u>S&&(n.charCodeAt(s+c)===k?y=c:c===0&&(y=0));let r="";for(c=s+y+1;c<=t;++c)(c===t||n.charCodeAt(c)===k)&&(r+=r.length===0?"..":"/..");return`${r}${o.slice($+y)}`},toNamespacedPath(n){return n},dirname(n){if(C(n,"path"),n.length===0)return".";const o=n.charCodeAt(0)===k;let s=-1,t=!0;for(let u=n.length-1;u>=1;--u)if(n.charCodeAt(u)===k){if(!t){s=u;break}}else t=!1;return s===-1?o?"/":".":o&&s===1?"//":n.slice(0,s)},basename(n,o){o!==void 0&&C(o,"ext"),C(n,"path");let s=0,t=-1,u=!0,$;if(o!==void 0&&o.length>0&&o.length<=n.length){if(o===n)return"";let d=o.length-1,S=-1;for($=n.length-1;$>=0;--$){const y=n.charCodeAt($);if(y===k){if(!u){s=$+1;break}}else S===-1&&(u=!1,S=$+1),d>=0&&(y===o.charCodeAt(d)?--d===-1&&(t=$):(d=-1,t=S))}return s===t?t=S:t===-1&&(t=n.length),n.slice(s,t)}for($=n.length-1;$>=0;--$)if(n.charCodeAt($)===k){if(!u){s=$+1;break}}else t===-1&&(u=!1,t=$+1);return t===-1?"":n.slice(s,t)},extname(n){C(n,"path");let o=-1,s=0,t=-1,u=!0,$=0;for(let d=n.length-1;d>=0;--d){const S=n.charCodeAt(d);if(S===k){if(!u){s=d+1;break}continue}t===-1&&(u=!1,t=d+1),S===g?o===-1?o=d:$!==1&&($=1):o!==-1&&($=-1)}return o===-1||t===-1||$===0||$===1&&o===t-1&&o===s+1?"":n.slice(o,t)},format:f.bind(null,"/"),parse(n){C(n,"path");const o={root:"",dir:"",base:"",ext:"",name:""};if(n.length===0)return o;const s=n.charCodeAt(0)===k;let t;s?(o.root="/",t=1):t=0;let u=-1,$=0,d=-1,S=!0,y=n.length-1,c=0;for(;y>=t;--y){const r=n.charCodeAt(y);if(r===k){if(!S){$=y+1;break}continue}d===-1&&(S=!1,d=y+1),r===g?u===-1?u=y:c!==1&&(c=1):u!==-1&&(c=-1)}if(d!==-1){const r=$===0&&s?1:$;u===-1||c===0||c===1&&u===d-1&&u===$+1?o.base=o.name=n.slice(r,d):(o.name=n.slice(r,u),o.base=n.slice(r,d),o.ext=n.slice(u,d))}return $>0?o.dir=n.slice(0,$-1):s&&(o.dir="/"),o},sep:"/",delimiter:":",win32:null,posix:null},e.$8b.win32=e.$7b.win32=e.$7b,e.$8b.posix=e.$7b.posix=e.$8b,e.$9b=w?e.$7b.normalize:e.$8b.normalize,e.$0b=w?e.$7b.isAbsolute:e.$8b.isAbsolute,e.$$b=w?e.$7b.join:e.$8b.join,e.$_b=w?e.$7b.resolve:e.$8b.resolve,e.$ac=w?e.$7b.relative:e.$8b.relative,e.$bc=w?e.$7b.dirname:e.$8b.dirname,e.$cc=w?e.$7b.basename:e.$8b.basename,e.$dc=w?e.$7b.extname:e.$8b.extname,e.$ec=w?e.$7b.format:e.$8b.format,e.$fc=w?e.$7b.parse:e.$8b.parse,e.$gc=w?e.$7b.toNamespacedPath:e.$8b.toNamespacedPath,e.sep=w?e.$7b.sep:e.$8b.sep,e.$ic=w?e.$7b.delimiter:e.$8b.delimiter}),define(De[118],Ce([1,0,54,11]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7p=e.$6p=e.$5p=e.$4p=e.$3p=e.$2p=e.$1p=e.$Zp=e.$Yp=e.$Xp=e.$Wp=e.$Vp=e.$Up=void 0;const h=new b.$S(()=>{const S=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:S,collatorIsNumeric:S.resolvedOptions().numeric}}),F=new b.$S(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),R=new b.$S(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function g(S,y,c=!1){const r=S||"",P=y||"",N=h.value.collator.compare(r,P);return h.value.collatorIsNumeric&&N===0&&r!==P?r<P?-1:1:N}e.$Up=g;function k(S,y){const c=F.value.collator;return S=S||"",y=y||"",f(c,S,y)}e.$Vp=k;function m(S,y){const c=F.value.collator;return S=S||"",y=y||"",s(S,y)||f(c,S,y)}e.$Wp=m;function L(S,y){const c=F.value.collator;return S=S||"",y=y||"",o(S,y)||f(c,S,y)}e.$Xp=L;function I(S,y){return S=S||"",y=y||"",S===y?0:S<y?-1:1}e.$Yp=I;function v(S,y){const[c,r]=a(S),[P,N]=a(y);let U=h.value.collator.compare(r,N);if(U===0){if(h.value.collatorIsNumeric&&r!==N)return r<N?-1:1;if(U=h.value.collator.compare(c,P),h.value.collatorIsNumeric&&U===0&&c!==P)return c<P?-1:1}return U}e.$Zp=v;function D(S,y){S=S||"",y=y||"";const c=p(S),r=p(y),P=F.value.collator,N=R.value.collator;return f(N,c,r)||f(P,S,y)}e.$1p=D;function C(S,y){S=S||"",y=y||"";const c=p(S),r=p(y),P=F.value.collator,N=R.value.collator;return f(N,c,r)||s(S,y)||f(P,S,y)}e.$2p=C;function w(S,y){S=S||"",y=y||"";const c=p(S),r=p(y),P=F.value.collator,N=R.value.collator;return f(N,c,r)||o(S,y)||f(P,S,y)}e.$3p=w;function i(S,y){S=S||"",y=y||"";const c=p(S).toLowerCase(),r=p(y).toLowerCase();return c!==r?c<r?-1:1:S!==y?S<y?-1:1:0}e.$4p=i;const l=/^(.*?)(\.([^.]*))?$/;function a(S,y=!1){const c=S?l.exec(S):[];let r=[c&&c[1]||"",c&&c[3]||""];return y&&(!r[0]&&r[1]||r[0]&&r[0].charAt(0)===".")&&(r=[r[0]+"."+r[1],""]),r}function p(S){const y=S?l.exec(S):[];return y&&y[1]&&y[1].charAt(0)!=="."&&y[3]||""}function f(S,y,c){const r=S.compare(y,c);return r!==0?r:y.length!==c.length?y.length<c.length?-1:1:0}function E(S){const y=S.charAt(0);return y.toLocaleUpperCase()!==y}function n(S){const y=S.charAt(0);return y.toLocaleLowerCase()!==y}function o(S,y){return E(S)&&n(y)?-1:n(S)&&E(y)?1:0}function s(S,y){return n(S)&&E(y)?-1:E(S)&&n(y)?1:0}function t(S,y,c=!1){return c||(S=S&&S.toLowerCase(),y=y&&y.toLowerCase()),S===y?0:S<y?-1:1}function u(S,y,c=!1){const r=S.split(A.sep),P=y.split(A.sep),N=r.length-1,U=P.length-1;let q,W;for(let O=0;;O++){if(q=N===O,W=U===O,q&&W)return g(r[O],P[O],c);if(q)return-1;if(W)return 1;const J=t(r[O],P[O],c);if(J!==0)return J}}e.$5p=u;function $(S,y,c){const r=S.toLowerCase(),P=y.toLowerCase(),N=d(S,y,c);if(N)return N;const U=r.endsWith(c),q=P.endsWith(c);if(U!==q)return U?-1:1;const W=g(r,P);return W!==0?W:r.localeCompare(P)}e.$6p=$;function d(S,y,c){const r=S.toLowerCase(),P=y.toLowerCase(),N=r.startsWith(c),U=P.startsWith(c);if(N!==U)return N?-1:1;if(N&&U){if(r.length<P.length)return-1;if(r.length>P.length)return 1}return 0}e.$7p=d}),define(De[31],Ce([1,0,11,10,9,12]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pe=e.$Oe=e.$Ne=e.$Me=e.$Le=e.$Ke=e.$Je=e.$Ie=e.$He=e.$Ge=e.$Fe=e.$Ee=e.$De=e.$Ce=e.$Be=e.$Ae=void 0;function R($){return $===47||$===92}e.$Ae=R;function g($){return $.replace(/[\\/]/g,b.$8b.sep)}e.$Be=g;function k($){return $.indexOf("/")===-1&&($=g($)),/^[a-zA-Z]:(\/|$)/.test($)&&($="/"+$),$}e.$Ce=k;function m($,d=b.$8b.sep){if(!$)return"";const S=$.length,y=$.charCodeAt(0);if(R(y)){if(R($.charCodeAt(1))&&!R($.charCodeAt(2))){let r=3;const P=r;for(;r<S&&!R($.charCodeAt(r));r++);if(P!==r&&!R($.charCodeAt(r+1))){for(r+=1;r<S;r++)if(R($.charCodeAt(r)))return $.slice(0,r+1).replace(/[\\/]/g,d)}}return d}else if(l(y)&&$.charCodeAt(1)===58)return R($.charCodeAt(2))?$.slice(0,2)+d:$.slice(0,2);let c=$.indexOf("://");if(c!==-1){for(c+=3;c<S;c++)if(R($.charCodeAt(c)))return $.slice(0,c+1)}return""}e.$De=m;function L($){if(!A.$i||!$||$.length<5)return!1;let d=$.charCodeAt(0);if(d!==92||(d=$.charCodeAt(1),d!==92))return!1;let S=2;const y=S;for(;S<$.length&&(d=$.charCodeAt(S),d!==92);S++);return!(y===S||(d=$.charCodeAt(S+1),isNaN(d)||d===92))}e.$Ee=L;const I=/[\\/:\*\?"<>\|]/g,v=/[\\/]/g,D=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function C($,d=A.$i){const S=d?I:v;return!(!$||$.length===0||/^\s+$/.test($)||(S.lastIndex=0,S.test($))||d&&D.test($)||$==="."||$===".."||d&&$[$.length-1]==="."||d&&$.length!==$.trim().length||$.length>255)}e.$Fe=C;function w($,d,S){const y=$===d;return!S||y?y:!$||!d?!1:(0,h.$Jd)($,d)}e.$Ge=w;function i($,d,S,y=b.sep){if($===d)return!0;if(!$||!d||d.length>$.length)return!1;if(S){if(!(0,h.$Kd)($,d))return!1;if(d.length===$.length)return!0;let r=d.length;return d.charAt(d.length-1)===y&&r--,$.charAt(r)===y}return d.charAt(d.length-1)!==y&&(d+=y),$.indexOf(d)===0}e.$He=i;function l($){return $>=65&&$<=90||$>=97&&$<=122}e.$Ie=l;function a($,d){return A.$i&&$.endsWith(":")&&($+=b.sep),(0,b.$0b)($)||($=(0,b.$$b)(d,$)),$=(0,b.$9b)($),A.$i?($=(0,h.$qd)($,b.sep),$.endsWith(":")&&($+=b.sep)):($=(0,h.$qd)($,b.sep),$||($=b.sep)),$}e.$Je=a;function p($){const d=(0,b.$9b)($);return A.$i?$.length>3?!1:f(d)&&($.length===2||d.charCodeAt(2)===92):d===b.$8b.sep}e.$Ke=p;function f($,d=A.$i){return d?l($.charCodeAt(0))&&$.charCodeAt(1)===58:!1}e.$Le=f;function E($,d=A.$i){return f($,d)?$[0]:void 0}e.$Me=E;function n($,d,S){return d.length>$.length?-1:$===d?0:(S&&($=$.toLowerCase(),d=d.toLowerCase()),$.indexOf(d))}e.$Ne=n;function o($){const d=$.split(":");let S,y,c;for(const r of d){const P=Number(r);(0,F.$ke)(P)?y===void 0?y=P:c===void 0&&(c=P):S=S?[S,r].join(":"):r}if(!S)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:S,line:y!==void 0?y:void 0,column:c!==void 0?c:y!==void 0?1:void 0}}e.$Oe=o;const s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",t="BDEFGHIJKMOQRSTUVWXYZbdefghijkmoqrstuvwxyz0123456789";function u($,d,S=8){let y="";for(let r=0;r<S;r++){let P;r===0&&A.$i&&!d&&(S===3||S===4)?P=t:P=s,y+=P.charAt(Math.floor(Math.random()*P.length))}let c;return d?c=`${d}-${y}`:c=y,$?(0,b.$$b)($,c):c}e.$Pe=u}),define(De[119],Ce([1,0,118,113,70,11,10,9]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$aq=e.$_p=e.$$p=e.$0p=e.$9p=e.$8p=void 0;const k=0,m=[k,[]];function L(z,j,he,ie){if(!z||!j)return m;const ne=z.length,V=j.length;if(ne<V)return m;const H=z.toLowerCase();return I(j,he,V,z,H,ne,ie)}e.$8p=L;function I(z,j,he,ie,ne,V,H){const ce=[],pe=[];for(let Q=0;Q<he;Q++){const ve=Q*V,Se=ve-V,ee=Q>0,te=z[Q],ue=j[Q];for(let Z=0;Z<V;Z++){const le=Z>0,se=ve+Z,oe=se-1,T=Se+Z-1,K=le?ce[oe]:0,X=ee&&le?ce[T]:0,x=ee&&le?pe[T]:0;let me;!X&&ee?me=0:me=v(te,ue,ie,ne,Z,x),me&&X+me>=K&&(H||ee||ne.startsWith(j,Z))?(pe[se]=x+1,ce[se]=X+me):(pe[se]=k,ce[se]=K)}}const ye=[];let ge=he-1,M=V-1;for(;ge>=0&&M>=0;){const Q=ge*V+M;pe[Q]===k||(ye.push(M),ge--),M--}return[ce[he*V-1],ye.reverse()]}function v(z,j,he,ie,ne,V){let H=0;if(!D(j,ie[ne]))return H;if(H+=1,V>0&&(H+=V*5),z===he[ne]&&(H+=1),ne===0)H+=8;else{const ce=C(he.charCodeAt(ne-1));ce?H+=ce:(0,A.$kj)(he.charCodeAt(ne))&&V===0&&(H+=2)}return H}function D(z,j){return z===j?!0:z==="/"||z==="\\"?j==="/"||j==="\\":!1}function C(z){switch(z){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const w=[void 0,[]];function i(z,j,he=0,ie=0){const ne=j;return ne.values&&ne.values.length>1?l(z,ne.values,he,ie):a(z,j,he,ie)}e.$9p=i;function l(z,j,he,ie){let ne=0;const V=[];for(const H of j){const[ce,pe]=a(z,H,he,ie);if(typeof ce!="number")return w;ne+=ce,V.push(...pe)}return[ne,S(V)]}function a(z,j,he,ie){const ne=(0,A.$tj)(j.original,j.originalLowercase,he,z,z.toLowerCase(),ie,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return ne?[ne[0],(0,A.$qj)(ne)]:w}const p=Object.freeze({score:0}),f=1<<18,E=1<<17,n=1<<16;function o(z,j,he,ie){const ne=ie.values?ie.values:[ie];return(0,h.$_h)({[ie.normalized]:{values:ne.map(H=>({value:H.normalized,expectContiguousMatch:H.expectContiguousMatch})),label:z,description:j,allowNonContiguousMatches:he}})}function s(z,j,he,ie,ne){if(!z||!j.normalized)return p;const V=ie.getItemLabel(z);if(!V)return p;const H=ie.getItemDescription(z),ce=o(V,H,he,j),pe=ne[ce];if(pe)return pe;const ye=t(V,H,ie.getItemPath(z),j,he);return ne[ce]=ye,ye}e.$0p=s;function t(z,j,he,ie,ne){const V=!he||!ie.containsPathSeparator;return he&&(R.$k?ie.pathNormalized===he:(0,g.$Jd)(ie.pathNormalized,he))?{score:f,labelMatch:[{start:0,end:z.length}],descriptionMatch:j?[{start:0,end:j.length}]:void 0}:ie.values&&ie.values.length>1?u(z,j,he,ie.values,V,ne):$(z,j,he,ie,V,ne)}function u(z,j,he,ie,ne,V){let H=0;const ce=[],pe=[];for(const ye of ie){const{score:ge,labelMatch:M,descriptionMatch:Q}=$(z,j,he,ye,ne,V);if(ge===k)return p;H+=ge,M&&ce.push(...M),Q&&pe.push(...Q)}return{score:H,labelMatch:S(ce),descriptionMatch:S(pe)}}function $(z,j,he,ie,ne,V){if(ne||!j){const[H,ce]=L(z,ie.normalized,ie.normalizedLowercase,V&&!ie.expectContiguousMatch);if(H){const pe=(0,A.$hj)(ie.normalized,z);let ye;if(pe){ye=E;const ge=Math.round(ie.normalized.length/z.length*100);ye+=ge}else ye=n;return{score:ye+H,labelMatch:pe||d(ce)}}}if(j){let H=j;he&&(H=`${j}${F.sep}`);const ce=H.length,pe=`${H}${z}`,[ye,ge]=L(pe,ie.normalized,ie.normalizedLowercase,V&&!ie.expectContiguousMatch);if(ye){const M=d(ge),Q=[],ve=[];return M.forEach(Se=>{Se.start<ce&&Se.end>ce?(Q.push({start:0,end:Se.end-ce}),ve.push({start:Se.start,end:ce})):Se.start>=ce?Q.push({start:Se.start-ce,end:Se.end-ce}):ve.push(Se)}),{score:ye,labelMatch:Q,descriptionMatch:ve}}}return p}function d(z){const j=[];if(!z)return j;let he;for(const ie of z)he&&he.end===ie?he.end+=1:(he={start:ie,end:ie+1},j.push(he));return j}function S(z){const j=z.sort((ne,V)=>ne.start-V.start),he=[];let ie;for(const ne of j)!ie||!y(ie,ne)?(ie=ne,he.push(ne)):(ie.start=Math.min(ie.start,ne.start),ie.end=Math.max(ie.end,ne.end));return he}function y(z,j){return!(z.end<j.start||j.end<z.start)}function c(z,j,he,ie,ne,V){const H=s(z,he,ie,ne,V),ce=s(j,he,ie,ne,V),pe=H.score,ye=ce.score;if((pe===f||ye===f)&&pe!==ye)return pe===f?-1:1;if(pe>n||ye>n){if(pe!==ye)return pe>ye?-1:1;if(pe<E&&ye<E){const te=P(H.labelMatch,ce.labelMatch);if(te!==0)return te}const Se=ne.getItemLabel(z)||"",ee=ne.getItemLabel(j)||"";if(Se.length!==ee.length)return Se.length-ee.length}if(pe!==ye)return pe>ye?-1:1;const ge=Array.isArray(H.labelMatch)&&H.labelMatch.length>0,M=Array.isArray(ce.labelMatch)&&ce.labelMatch.length>0;if(ge&&!M)return-1;if(M&&!ge)return 1;const Q=r(z,H,ne),ve=r(j,ce,ne);return Q&&ve&&Q!==ve?ve>Q?-1:1:N(z,j,he,ne)}e.$$p=c;function r(z,j,he){let ie=-1,ne=-1;if(j.descriptionMatch&&j.descriptionMatch.length?ie=j.descriptionMatch[0].start:j.labelMatch&&j.labelMatch.length&&(ie=j.labelMatch[0].start),j.labelMatch&&j.labelMatch.length){if(ne=j.labelMatch[j.labelMatch.length-1].end,j.descriptionMatch&&j.descriptionMatch.length){const V=he.getItemDescription(z);V&&(ne+=V.length)}}else j.descriptionMatch&&j.descriptionMatch.length&&(ne=j.descriptionMatch[j.descriptionMatch.length-1].end);return ne-ie}function P(z,j){if(!z&&!j||(!z||!z.length)&&(!j||!j.length))return 0;if(!j||!j.length)return-1;if(!z||!z.length)return 1;const he=z[0].start,ne=z[z.length-1].end-he,V=j[0].start,ce=j[j.length-1].end-V;return ne===ce?0:ce<ne?1:-1}function N(z,j,he,ie){const ne=ie.getItemLabel(z)||"",V=ie.getItemLabel(j)||"",H=ie.getItemDescription(z),ce=ie.getItemDescription(j),pe=ne.length+(H?H.length:0),ye=V.length+(ce?ce.length:0);if(pe!==ye)return pe-ye;const ge=ie.getItemPath(z),M=ie.getItemPath(j);return ge&&M&&ge.length!==M.length?ge.length-M.length:ne!==V?(0,b.$6p)(ne,V,he.normalized):H&&ce&&H!==ce?(0,b.$6p)(H,ce,he.normalized):ge&&M&&ge!==M?(0,b.$6p)(ge,M,he.normalized):0}function U(z){return z.startsWith('"')&&z.endsWith('"')}const q=" ";function W(z){typeof z!="string"&&(z="");const j=z.toLowerCase(),{pathNormalized:he,normalized:ie,normalizedLowercase:ne}=O(z),V=he.indexOf(F.sep)>=0,H=U(z);let ce;const pe=z.split(q);if(pe.length>1)for(const ye of pe){const ge=U(ye),{pathNormalized:M,normalized:Q,normalizedLowercase:ve}=O(ye);Q&&(ce||(ce=[]),ce.push({original:ye,originalLowercase:ye.toLowerCase(),pathNormalized:M,normalized:Q,normalizedLowercase:ve,expectContiguousMatch:ge}))}return{original:z,originalLowercase:j,pathNormalized:he,normalized:ie,normalizedLowercase:ne,values:ce,containsPathSeparator:V,expectContiguousMatch:H}}e.$_p=W;function O(z){let j;R.$i?j=z.replace(/\//g,F.sep):j=z.replace(/\\/g,F.sep);const he=(0,g.$sd)(j).replace(/\s|"/g,"");return{pathNormalized:j,normalized:he,normalizedLowercase:he.toLowerCase()}}function J(z){return Array.isArray(z)?W(z.map(j=>j.original).join(q)):W(z.original)}e.$aq=J}),define(De[92],Ce([1,0,11]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ur=e.$tr=e.$sr=e.$rr=e.$qr=void 0,e.$qr=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const A={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},h={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function F(L){const I=(0,b.$dc)(L),v=A[I.toLowerCase()];return v!==void 0?v:R(L)}e.$rr=F;function R(L){const I=(0,b.$dc)(L);return h[I.toLowerCase()]}e.$sr=R;function g(L){for(const I in h)if(h[I]===L)return I}e.$tr=g;const k=/^(.+)\/(.+?)(;.+)?$/;function m(L,I){const v=k.exec(L);return v?`${v[1].toLowerCase()}/${v[2].toLowerCase()}${v[3]??""}`:I?void 0:L}e.$ur=m}),define(De[93],Ce([1,0,10]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cl=e.$bl=e.TerminateResponseCode=e.Source=void 0;var A;(function(g){g[g.stdout=0]="stdout",g[g.stderr=1]="stderr"})(A||(e.Source=A={}));var h;(function(g){g[g.Success=0]="Success",g[g.Unknown=1]="Unknown",g[g.AccessDenied=2]="AccessDenied",g[g.ProcessNotFound=3]="ProcessNotFound"})(h||(e.TerminateResponseCode=h={}));function F(g,...k){const m=k.reduce((v,D)=>(v[D]=!0,v),{}),L=[/^ELECTRON_.+$/,/^VSCODE_(?!(PORTABLE|SHELL_LOGIN|ENV_REPLACE|ENV_APPEND|ENV_PREPEND)).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(g).filter(v=>!m[v]).forEach(v=>{for(let D=0;D<L.length;D++)if(v.search(L[D])!==-1){delete g[v];break}})}e.$bl=F;function R(g){g&&(delete g.DEBUG,b.$j&&delete g.DYLD_LIBRARY_PATH,b.$k&&delete g.LD_PRELOAD)}e.$cl=R}),define(De[2],Ce([1,0,11,10]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Se=e.$Re=e.URI=void 0;const h=/^\w[\w\d+.-]*$/,F=/^\//,R=/^\/\//;function g(t,u){if(!t.scheme&&u)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${t.authority}", path: "${t.path}", query: "${t.query}", fragment: "${t.fragment}"}`);if(t.scheme&&!h.test(t.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(t.path){if(t.authority){if(!F.test(t.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(R.test(t.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function k(t,u){return!t&&!u?"file":t}function m(t,u){switch(t){case"https":case"http":case"file":u?u[0]!==I&&(u=I+u):u=I;break}return u}const L="",I="/",v=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class D{static isUri(u){return u instanceof D?!0:u?typeof u.authority=="string"&&typeof u.fragment=="string"&&typeof u.path=="string"&&typeof u.query=="string"&&typeof u.scheme=="string"&&typeof u.fsPath=="string"&&typeof u.with=="function"&&typeof u.toString=="function":!1}constructor(u,$,d,S,y,c=!1){typeof u=="object"?(this.scheme=u.scheme||L,this.authority=u.authority||L,this.path=u.path||L,this.query=u.query||L,this.fragment=u.fragment||L):(this.scheme=k(u,c),this.authority=$||L,this.path=m(this.scheme,d||L),this.query=S||L,this.fragment=y||L,g(this,c))}get fsPath(){return f(this,!1)}with(u){if(!u)return this;let{scheme:$,authority:d,path:S,query:y,fragment:c}=u;return $===void 0?$=this.scheme:$===null&&($=L),d===void 0?d=this.authority:d===null&&(d=L),S===void 0?S=this.path:S===null&&(S=L),y===void 0?y=this.query:y===null&&(y=L),c===void 0?c=this.fragment:c===null&&(c=L),$===this.scheme&&d===this.authority&&S===this.path&&y===this.query&&c===this.fragment?this:new i($,d,S,y,c)}static parse(u,$=!1){const d=v.exec(u);return d?new i(d[2]||L,s(d[4]||L),s(d[5]||L),s(d[7]||L),s(d[9]||L),$):new i(L,L,L,L,L)}static file(u){let $=L;if(A.$i&&(u=u.replace(/\\/g,I)),u[0]===I&&u[1]===I){const d=u.indexOf(I,2);d===-1?($=u.substring(2),u=I):($=u.substring(2,d),u=u.substring(d)||I)}return new i("file",$,u,L,L)}static from(u,$){return new i(u.scheme,u.authority,u.path,u.query,u.fragment,$)}static joinPath(u,...$){if(!u.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let d;return A.$i&&u.scheme==="file"?d=D.file(b.$7b.join(f(u,!0),...$)).path:d=b.$8b.join(u.path,...$),u.with({path:d})}toString(u=!1){return E(this,u)}toJSON(){return this}static revive(u){if(u){if(u instanceof D)return u;{const $=new i(u);return $._formatted=u.external??null,$._fsPath=u._sep===w?u.fsPath??null:null,$}}else return u}}e.URI=D;function C(t){return!t||typeof t!="object"?!1:typeof t.scheme=="string"&&(typeof t.authority=="string"||typeof t.authority>"u")&&(typeof t.path=="string"||typeof t.path>"u")&&(typeof t.query=="string"||typeof t.query>"u")&&(typeof t.fragment=="string"||typeof t.fragment>"u")}e.$Re=C;const w=A.$i?1:void 0;class i extends D{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=f(this,!1)),this._fsPath}toString(u=!1){return u?E(this,!0):(this._formatted||(this._formatted=E(this,!1)),this._formatted)}toJSON(){const u={$mid:1};return this._fsPath&&(u.fsPath=this._fsPath,u._sep=w),this._formatted&&(u.external=this._formatted),this.path&&(u.path=this.path),this.scheme&&(u.scheme=this.scheme),this.authority&&(u.authority=this.authority),this.query&&(u.query=this.query),this.fragment&&(u.fragment=this.fragment),u}}const l={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function a(t,u,$){let d,S=-1;for(let y=0;y<t.length;y++){const c=t.charCodeAt(y);if(c>=97&&c<=122||c>=65&&c<=90||c>=48&&c<=57||c===45||c===46||c===95||c===126||u&&c===47||$&&c===91||$&&c===93||$&&c===58)S!==-1&&(d+=encodeURIComponent(t.substring(S,y)),S=-1),d!==void 0&&(d+=t.charAt(y));else{d===void 0&&(d=t.substr(0,y));const r=l[c];r!==void 0?(S!==-1&&(d+=encodeURIComponent(t.substring(S,y)),S=-1),d+=r):S===-1&&(S=y)}}return S!==-1&&(d+=encodeURIComponent(t.substring(S))),d!==void 0?d:t}function p(t){let u;for(let $=0;$<t.length;$++){const d=t.charCodeAt($);d===35||d===63?(u===void 0&&(u=t.substr(0,$)),u+=l[d]):u!==void 0&&(u+=t[$])}return u!==void 0?u:t}function f(t,u){let $;return t.authority&&t.path.length>1&&t.scheme==="file"?$=`//${t.authority}${t.path}`:t.path.charCodeAt(0)===47&&(t.path.charCodeAt(1)>=65&&t.path.charCodeAt(1)<=90||t.path.charCodeAt(1)>=97&&t.path.charCodeAt(1)<=122)&&t.path.charCodeAt(2)===58?u?$=t.path.substr(1):$=t.path[1].toLowerCase()+t.path.substr(2):$=t.path,A.$i&&($=$.replace(/\//g,"\\")),$}e.$Se=f;function E(t,u){const $=u?p:a;let d="",{scheme:S,authority:y,path:c,query:r,fragment:P}=t;if(S&&(d+=S,d+=":"),(y||S==="file")&&(d+=I,d+=I),y){let N=y.indexOf("@");if(N!==-1){const U=y.substr(0,N);y=y.substr(N+1),N=U.lastIndexOf(":"),N===-1?d+=$(U,!1,!1):(d+=$(U.substr(0,N),!1,!1),d+=":",d+=$(U.substr(N+1),!1,!0)),d+="@"}y=y.toLowerCase(),N=y.lastIndexOf(":"),N===-1?d+=$(y,!1,!0):(d+=$(y.substr(0,N),!1,!0),d+=y.substr(N))}if(c){if(c.length>=3&&c.charCodeAt(0)===47&&c.charCodeAt(2)===58){const N=c.charCodeAt(1);N>=65&&N<=90&&(c=`/${String.fromCharCode(N+32)}:${c.substr(3)}`)}else if(c.length>=2&&c.charCodeAt(1)===58){const N=c.charCodeAt(0);N>=65&&N<=90&&(c=`${String.fromCharCode(N+32)}:${c.substr(2)}`)}d+=$(c,!0,!1)}return r&&(d+="?",d+=$(r,!1,!1)),P&&(d+="#",d+=u?P:a(P,!1,!1)),d}function n(t){try{return decodeURIComponent(t)}catch{return t.length>3?t.substr(0,3)+n(t.substr(3)):t}}const o=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function s(t){return t.match(o)?t.replace(o,u=>n(u)):t}}),define(De[172],Ce([1,0,2]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.$Ap=e.$zp=e.$yp=void 0;function A(m){const L=m;return L&&typeof L.type=="string"&&typeof L.severity=="string"}e.$yp=A;function h(m){const L=[];let I;try{const v=JSON.parse(m.arguments),D=v[v.length-1];D&&D.__$stack&&(v.pop(),I=D.__$stack),L.push(...v)}catch{L.push("Unable to log remote console arguments",m.arguments)}return{args:L,stack:I}}e.$zp=h;function F(m){if(typeof m!="string")return F(h(m).stack);const L=m;if(L){const I=R(L),v=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(I||"");if(v&&v.length===4)return{uri:b.URI.file(v[1]),line:Number(v[2]),column:Number(v[3])}}}e.$Ap=F;function R(m){if(!m)return m;const L=m.indexOf(`
`);return L===-1?m:m.substring(0,L)}function g(m,L){const{args:I,stack:v}=h(m),D=typeof I[0]=="string"&&I.length===1;let C=R(v);C&&(C=`(${C.trim()})`);let w=[];if(typeof I[0]=="string"?C&&D?w=[`%c[${L}] %c${I[0]} %c${C}`,k("blue"),k(""),k("grey")]:w=[`%c[${L}] %c${I[0]}`,k("blue"),k(""),...I.slice(1)]:w=[`%c[${L}]%`,k("blue"),...I],C&&!D&&w.push(C),typeof console[m.severity]!="function")throw new Error("Unknown console method");console[m.severity].apply(console,w)}e.log=g;function k(m){return`color: ${m}`}}),define(De[73],Ce([1,0,22,9,2]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ug=e.$Tg=e.$Sg=void 0;function F(m){return JSON.stringify(m,g)}e.$Sg=F;function R(m){let L=JSON.parse(m);return L=k(L),L}e.$Tg=R;function g(m,L){return L instanceof RegExp?{$mid:2,source:L.source,flags:(0,A.$wd)(L)}:L}function k(m,L=0){if(!m||L>200)return m;if(typeof m=="object"){switch(m.$mid){case 1:return h.URI.revive(m);case 2:return new RegExp(m.source,m.flags);case 16:return new Date(m.source)}if(m instanceof b.$Ib||m instanceof Uint8Array)return m;if(Array.isArray(m))for(let I=0;I<m.length;++I)m[I]=k(m[I],L+1);else for(const I in m)Object.hasOwnProperty.call(m,I)&&(m[I]=k(m[I],L+1))}return m}e.$Ug=k}),define(De[16],Ce([1,0,8,10,2]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.$1e=e.$Ze=e.$Ye=e.$Xe=e.$We=e.$Ve=e.$Ue=e.$Te=e.Schemas=void 0;var F;(function(m){m.inMemory="inmemory",m.vscode="vscode",m.internal="private",m.walkThrough="walkThrough",m.walkThroughSnippet="walkThroughSnippet",m.http="http",m.https="https",m.file="file",m.mailto="mailto",m.untitled="untitled",m.data="data",m.command="command",m.vscodeRemote="vscode-remote",m.vscodeRemoteResource="vscode-remote-resource",m.vscodeManagedRemoteResource="vscode-managed-remote-resource",m.vscodeUserData="vscode-userdata",m.vscodeCustomEditor="vscode-custom-editor",m.vscodeNotebookCell="vscode-notebook-cell",m.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",m.vscodeNotebookCellOutput="vscode-notebook-cell-output",m.vscodeInteractiveInput="vscode-interactive-input",m.vscodeSettings="vscode-settings",m.vscodeWorkspaceTrust="vscode-workspace-trust",m.vscodeTerminal="vscode-terminal",m.vscodeChatSesssion="vscode-chat-editor",m.webviewPanel="webview-panel",m.vscodeWebview="vscode-webview",m.extension="extension",m.vscodeFileResource="vscode-file",m.tmp="tmp",m.vsls="vsls",m.vscodeSourceControl="vscode-scm"})(F||(e.Schemas=F={})),e.$Te="vscode-tkn",e.$Ue="tkn";class R{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${F.vscodeRemoteResource}`}setPreferredWebSchema(L){this.d=L}setDelegate(L){this.e=L}setServerRootPath(L){this.f=`${L}/${F.vscodeRemoteResource}`}set(L,I,v){this.a[L]=I,this.b[L]=v}setConnectionToken(L,I){this.c[L]=I}getPreferredWebSchema(){return this.d}rewrite(L){if(this.e)try{return this.e(L)}catch(i){return b.$X(i),L}const I=L.authority;let v=this.a[I];v&&v.indexOf(":")!==-1&&v.indexOf("[")===-1&&(v=`[${v}]`);const D=this.b[I],C=this.c[I];let w=`path=${encodeURIComponent(L.path)}`;return typeof C=="string"&&(w+=`&${e.$Ue}=${encodeURIComponent(C)}`),h.URI.from({scheme:A.$o?this.d:F.vscodeRemoteResource,authority:`${v}:${D}`,path:this.f,query:w})}}e.$Ve=new R,e.$We="vs/../../extensions",e.$Xe="vs/../../node_modules",e.$Ye="vs/../../node_modules.asar",e.$Ze="vs/../../node_modules.asar.unpacked";class g{asBrowserUri(L){const I=this.b(L,re);return this.uriToBrowserUri(I)}uriToBrowserUri(L){return L.scheme===F.vscodeRemote?e.$Ve.rewrite(L):L.scheme===F.file&&(A.$m||A.$p&&A.$g.origin===`${F.vscodeFileResource}://${g.a}`)?L.with({scheme:F.vscodeFileResource,authority:L.authority||g.a,query:null,fragment:null}):L}asFileUri(L){const I=this.b(L,re);return this.uriToFileUri(I)}uriToFileUri(L){return L.scheme===F.vscodeFileResource?L.with({scheme:F.file,authority:L.authority!==g.a?L.authority:null,query:null,fragment:null}):L}b(L,I){return h.URI.isUri(L)?L:h.URI.parse(I.toUrl(L))}}g.a="vscode-app",e.$1e=new g;var k;(function(m){const L=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);m.CoopAndCoep=Object.freeze(L.get("3"));const I="vscode-coi";function v(C){let w;typeof C=="string"?w=new URL(C).searchParams:C instanceof URL?w=C.searchParams:h.URI.isUri(C)&&(w=new URL(C.toString(!0)).searchParams);const i=w?.get(I);if(i)return L.get(i)}m.getHeadersFromQuery=v;function D(C,w,i){if(!globalThis.crossOriginIsolated)return;const l=w&&i?"3":i?"2":"1";C instanceof URLSearchParams?C.set(I,l):C[I]=l}m.addSearchParam=D})(k||(e.COI=k={}))}),define(De[23],Ce([1,0,31,16,11,10,9,2]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dg=e.DataUri=e.$cg=e.$bg=e.$ag=e.$_f=e.$$f=e.$0f=e.$9f=e.$8f=e.$7f=e.$6f=e.$5f=e.$4f=e.$3f=e.$2f=e.$1f=e.$Zf=e.$Yf=e.$Xf=e.$Wf=e.$Vf=e.$Uf=e.$Tf=void 0;function k(D){return(0,g.$Se)(D,!0)}e.$Tf=k;class m{constructor(C){this.a=C}compare(C,w,i=!1){return C===w?0:(0,R.$Cd)(this.getComparisonKey(C,i),this.getComparisonKey(w,i))}isEqual(C,w,i=!1){return C===w?!0:!C||!w?!1:this.getComparisonKey(C,i)===this.getComparisonKey(w,i)}getComparisonKey(C,w=!1){return C.with({path:this.a(C)?C.path.toLowerCase():void 0,fragment:w?null:void 0}).toString()}ignorePathCasing(C){return this.a(C)}isEqualOrParent(C,w,i=!1){if(C.scheme===w.scheme){if(C.scheme===A.Schemas.file)return b.$He(k(C),k(w),this.a(C))&&C.query===w.query&&(i||C.fragment===w.fragment);if((0,e.$$f)(C.authority,w.authority))return b.$He(C.path,w.path,this.a(C),"/")&&C.query===w.query&&(i||C.fragment===w.fragment)}return!1}joinPath(C,...w){return g.URI.joinPath(C,...w)}basenameOrAuthority(C){return(0,e.$3f)(C)||C.authority}basename(C){return h.$8b.basename(C.path)}extname(C){return h.$8b.extname(C.path)}dirname(C){if(C.path.length===0)return C;let w;return C.scheme===A.Schemas.file?w=g.URI.file(h.$bc(k(C))).path:(w=h.$8b.dirname(C.path),C.authority&&w.length&&w.charCodeAt(0)!==47&&(console.error(`dirname("${C.toString})) resulted in a relative path`),w="/")),C.with({path:w})}normalizePath(C){if(!C.path.length)return C;let w;return C.scheme===A.Schemas.file?w=g.URI.file(h.$9b(k(C))).path:w=h.$8b.normalize(C.path),C.with({path:w})}relativePath(C,w){if(C.scheme!==w.scheme||!(0,e.$$f)(C.authority,w.authority))return;if(C.scheme===A.Schemas.file){const a=h.$ac(k(C),k(w));return F.$i?b.$Be(a):a}let i=C.path||"/";const l=w.path||"/";if(this.a(C)){let a=0;for(const p=Math.min(i.length,l.length);a<p&&!(i.charCodeAt(a)!==l.charCodeAt(a)&&i.charAt(a).toLowerCase()!==l.charAt(a).toLowerCase());a++);i=l.substr(0,a)+i.substr(a)}return h.$8b.relative(i,l)}resolvePath(C,w){if(C.scheme===A.Schemas.file){const i=g.URI.file(h.$_b(k(C),w));return C.with({authority:i.authority,path:i.path})}return w=b.$Ce(w),C.with({path:h.$8b.resolve(C.path,w)})}isAbsolutePath(C){return!!C.path&&C.path[0]==="/"}isEqualAuthority(C,w){return C===w||C!==void 0&&w!==void 0&&(0,R.$Jd)(C,w)}hasTrailingPathSeparator(C,w=h.sep){if(C.scheme===A.Schemas.file){const i=k(C);return i.length>b.$De(i).length&&i[i.length-1]===w}else{const i=C.path;return i.length>1&&i.charCodeAt(i.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(C.fsPath)}}removeTrailingPathSeparator(C,w=h.sep){return(0,e.$_f)(C,w)?C.with({path:C.path.substr(0,C.path.length-1)}):C}addTrailingPathSeparator(C,w=h.sep){let i=!1;if(C.scheme===A.Schemas.file){const l=k(C);i=l!==void 0&&l.length===b.$De(l).length&&l[l.length-1]===w}else{w="/";const l=C.path;i=l.length===1&&l.charCodeAt(l.length-1)===47}return!i&&!(0,e.$_f)(C,w)?C.with({path:C.path+"/"}):C}}e.$Uf=m,e.$Vf=new m(()=>!1),e.$Wf=new m(D=>D.scheme===A.Schemas.file?!F.$k:!0),e.$Xf=new m(D=>!0),e.$Yf=e.$Vf.isEqual.bind(e.$Vf),e.$Zf=e.$Vf.isEqualOrParent.bind(e.$Vf),e.$1f=e.$Vf.getComparisonKey.bind(e.$Vf),e.$2f=e.$Vf.basenameOrAuthority.bind(e.$Vf),e.$3f=e.$Vf.basename.bind(e.$Vf),e.$4f=e.$Vf.extname.bind(e.$Vf),e.$5f=e.$Vf.dirname.bind(e.$Vf),e.$6f=e.$Vf.joinPath.bind(e.$Vf),e.$7f=e.$Vf.normalizePath.bind(e.$Vf),e.$8f=e.$Vf.relativePath.bind(e.$Vf),e.$9f=e.$Vf.resolvePath.bind(e.$Vf),e.$0f=e.$Vf.isAbsolutePath.bind(e.$Vf),e.$$f=e.$Vf.isEqualAuthority.bind(e.$Vf),e.$_f=e.$Vf.hasTrailingPathSeparator.bind(e.$Vf),e.$ag=e.$Vf.removeTrailingPathSeparator.bind(e.$Vf),e.$bg=e.$Vf.addTrailingPathSeparator.bind(e.$Vf);function L(D,C){const w=[];for(let i=0;i<D.length;i++){const l=C(D[i]);D.some((a,p)=>p===i?!1:(0,e.$Zf)(l,C(a)))||w.push(D[i])}return w}e.$cg=L;var I;(function(D){D.META_DATA_LABEL="label",D.META_DATA_DESCRIPTION="description",D.META_DATA_SIZE="size",D.META_DATA_MIME="mime";function C(w){const i=new Map;w.path.substring(w.path.indexOf(";")+1,w.path.lastIndexOf(";")).split(";").forEach(p=>{const[f,E]=p.split(":");f&&E&&i.set(f,E)});const a=w.path.substring(0,w.path.indexOf(";"));return a&&i.set(D.META_DATA_MIME,a),i}D.parseMetaData=C})(I||(e.DataUri=I={}));function v(D,C,w){if(C){let i=D.path;return i&&i[0]!==h.$8b.sep&&(i=h.$8b.sep+i),D.with({scheme:w,authority:C,path:i})}return D.with({scheme:w})}e.$dg=v}),define(De[17],Ce([1,0,21,8,3,4,23,10,153]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Og=e.$Ng=e.$Mg=e.Promises=e.$Lg=e.$Kg=e.$Jg=e.$Ig=e.$Hg=e.$Gg=e.$Fg=e.$Eg=e.$Dg=e.$Cg=e.$Bg=e.$Ag=e.$zg=e.$yg=e.$xg=e.$wg=e.$vg=e.$ug=e.$tg=e.$sg=e.$rg=e.$qg=e.$pg=e.$og=e.$ng=e.$mg=e.$lg=e.$kg=e.$jg=e.$ig=e.$hg=e.$gg=e.$fg=e.$eg=void 0;function m(ge){return!!ge&&typeof ge.then=="function"}e.$eg=m;function L(ge){const M=new b.$bd,Q=ge(M.token),ve=new Promise((Se,ee)=>{const te=M.token.onCancellationRequested(()=>{te.dispose(),M.dispose(),ee(new A.$2)});Promise.resolve(Q).then(ue=>{te.dispose(),M.dispose(),Se(ue)},ue=>{te.dispose(),M.dispose(),ee(ue)})});return new class{cancel(){M.cancel()}then(Se,ee){return ve.then(Se,ee)}catch(Se){return this.then(void 0,Se)}finally(Se){return ve.finally(Se)}}}e.$fg=L;function I(ge,M,Q){return new Promise((ve,Se)=>{const ee=M.onCancellationRequested(()=>{ee.dispose(),ve(Q)});ge.then(ve,Se).finally(()=>ee.dispose())})}e.$gg=I;function v(ge,M){return new Promise((Q,ve)=>{const Se=M.onCancellationRequested(()=>{Se.dispose(),ve(new A.$2)});ge.then(Q,ve).finally(()=>Se.dispose())})}e.$hg=v;async function D(ge){let M=-1;const Q=ge.map((ve,Se)=>ve.then(ee=>(M=Se,ee)));try{return await Promise.race(Q)}finally{ge.forEach((ve,Se)=>{Se!==M&&ve.cancel()})}}e.$ig=D;function C(ge,M,Q){let ve;const Se=setTimeout(()=>{ve?.(void 0),Q?.()},M);return Promise.race([ge.finally(()=>clearTimeout(Se)),new Promise(ee=>ve=ee)])}e.$jg=C;function w(ge){return new Promise((M,Q)=>{const ve=ge();m(ve)?ve.then(M,Q):M(ve)})}e.$kg=w;class i{constructor(){this.f=!1,this.a=null,this.b=null,this.d=null}queue(M){if(this.f)throw new Error("Throttler is disposed");if(this.a){if(this.d=M,!this.b){const Q=()=>{if(this.b=null,this.f)return;const ve=this.queue(this.d);return this.d=null,ve};this.b=new Promise(ve=>{this.a.then(Q,Q).then(ve)})}return new Promise((Q,ve)=>{this.b.then(Q,ve)})}return this.a=M(),new Promise((Q,ve)=>{this.a.then(Se=>{this.a=null,Q(Se)},Se=>{this.a=null,ve(Se)})})}dispose(){this.f=!0}}e.$lg=i;class l{constructor(){this.a=Promise.resolve(null)}queue(M){return this.a=this.a.then(()=>M(),()=>M())}}e.$mg=l;class a{constructor(){this.a=new Map}queue(M,Q){const Se=(this.a.get(M)??Promise.resolve()).catch(()=>{}).then(Q).finally(()=>{this.a.get(M)===Se&&this.a.delete(M)});return this.a.set(M,Se),Se}}e.$ng=a;const p=(ge,M)=>{let Q=!0;const ve=setTimeout(()=>{Q=!1,M()},ge);return{isTriggered:()=>Q,dispose:()=>{clearTimeout(ve),Q=!1}}},f=ge=>{let M=!0;return queueMicrotask(()=>{M&&(M=!1,ge())}),{isTriggered:()=>M,dispose:()=>{M=!1}}};class E{constructor(M){this.defaultDelay=M,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(M,Q=this.defaultDelay){this.g=M,this.h(),this.b||(this.b=new Promise((Se,ee)=>{this.d=Se,this.f=ee}).then(()=>{if(this.b=null,this.d=null,this.g){const Se=this.g;return this.g=null,Se()}}));const ve=()=>{this.a=null,this.d?.(null)};return this.a=Q===k.$2c?f(ve):p(Q,ve),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new A.$2),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.$og=E;class n{constructor(M){this.a=new E(M),this.b=new i}trigger(M,Q){return this.a.trigger(()=>this.b.queue(M),Q)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose()}}e.$pg=n;class o{constructor(){this.a=!1,this.b=new Promise((M,Q)=>{this.d=M})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.$qg=o;class s extends o{constructor(M){super(),this.f=setTimeout(()=>this.open(),M)}open(){clearTimeout(this.f),super.open()}}e.$rg=s;function t(ge,M){return M?new Promise((Q,ve)=>{const Se=setTimeout(()=>{ee.dispose(),Q()},ge),ee=M.onCancellationRequested(()=>{clearTimeout(Se),ee.dispose(),ve(new A.$2)})}):L(Q=>t(ge,Q))}e.$sg=t;function u(ge,M=0){const Q=setTimeout(ge,M);return(0,F.$ib)(()=>clearTimeout(Q))}e.$tg=u;function $(ge){const M=[];let Q=0;const ve=ge.length;function Se(){return Q<ve?ge[Q++]():null}function ee(te){te!=null&&M.push(te);const ue=Se();return ue?ue.then(ee):Promise.resolve(M)}return Promise.resolve(null).then(ee)}e.$ug=$;function d(ge,M=ve=>!!ve,Q=null){let ve=0;const Se=ge.length,ee=()=>{if(ve>=Se)return Promise.resolve(Q);const te=ge[ve++];return Promise.resolve(te()).then(Z=>M(Z)?Promise.resolve(Z):ee())};return ee()}e.$vg=d;function S(ge,M=ve=>!!ve,Q=null){if(ge.length===0)return Promise.resolve(Q);let ve=ge.length;const Se=()=>{ve=-1;for(const ee of ge)ee.cancel?.()};return new Promise((ee,te)=>{for(const ue of ge)ue.then(Z=>{--ve>=0&&M(Z)?(Se(),ee(Z)):ve===0&&ee(Q)}).catch(Z=>{--ve>=0&&(Se(),te(Z))})})}e.$wg=S;class y{constructor(M){this.a=0,this.d=M,this.f=[],this.b=0,this.g=new h.$5c}get onDrained(){return this.g.event}get size(){return this.a}queue(M){return this.a++,new Promise((Q,ve)=>{this.f.push({factory:M,c:Q,e:ve}),this.h()})}h(){for(;this.f.length&&this.b<this.d;){const M=this.f.shift();this.b++;const Q=M.factory();Q.then(M.c,M.e),Q.then(()=>this.j(),()=>this.j())}}j(){this.a--,this.b--,this.f.length>0?this.h():this.g.fire()}dispose(){this.g.dispose()}}e.$xg=y;class c extends y{constructor(){super(1)}}e.$yg=c;class r{constructor(){this.a=new Map,this.b=new Set}async whenDrained(){if(this.d())return;const M=new ne;return this.b.add(M),M.p}d(){for(const[,M]of this.a)if(M.size>0)return!1;return!0}queueFor(M,Q=R.$Vf){const ve=Q.getComparisonKey(M);let Se=this.a.get(ve);return Se||(Se=new c,h.Event.once(Se.onDrained)(()=>{Se?.dispose(),this.a.delete(ve),this.f()}),this.a.set(ve,Se)),Se}f(){this.d()&&this.g()}g(){for(const M of this.b)M.complete();this.b.clear()}dispose(){for(const[,M]of this.a)M.dispose();this.a.clear(),this.g()}}e.$zg=r;class P{constructor(M,Q){this.a=-1,typeof M=="function"&&typeof Q=="number"&&this.setIfNotSet(M,Q)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(M,Q){this.cancel(),this.a=setTimeout(()=>{this.a=-1,M()},Q)}setIfNotSet(M,Q){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,M()},Q))}}e.$Ag=P;class N{constructor(){this.a=-1}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearInterval(this.a),this.a=-1)}cancelAndSet(M,Q){this.cancel(),this.a=setInterval(()=>{M()},Q)}}e.$Bg=N;class U{constructor(M,Q){this.b=-1,this.a=M,this.d=Q,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(M=this.d){this.cancel(),this.b=setTimeout(this.f,M)}get delay(){return this.d}set delay(M){this.d=M}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.$Cg=U;class q{constructor(M,Q){Q%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${Q}ms is not a multiple of 1000ms.`),this.a=M,this.b=Q,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(M=this.b){M%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${M}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(M/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.$Dg=q;class W extends U{constructor(M,Q){super(M,Q),this.j=[]}work(M){this.j.push(M),this.isScheduled()||this.schedule()}h(){const M=this.j;this.j=[],this.a?.(M)}dispose(){this.j=[],super.dispose()}}e.$Eg=W;class O extends F.$kb{constructor(M,Q){super(),this.g=M,this.h=Q,this.a=[],this.b=this.B(new F.$lb),this.f=!1}get pending(){return this.a.length}work(M){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+M.length>this.g.maxBufferedWork)return!1}else if(this.pending+M.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const Q of M)this.a.push(Q);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new U(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.$Fg=O,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.$Gg=ge=>{(0,g.$A)(()=>{if(M)return;const Q=Date.now()+15;ge(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,Q-Date.now())}}))});let M=!1;return{dispose(){M||(M=!0)}}}:e.$Gg=(ge,M)=>{const Q=requestIdleCallback(ge,typeof M=="number"?{timeout:M}:void 0);let ve=!1;return{dispose(){ve||(ve=!0,cancelIdleCallback(Q))}}}}();class J{constructor(M){this.d=!1,this.a=()=>{try{this.f=M()}catch(Q){this.g=Q}finally{this.d=!0}},this.b=(0,e.$Gg)(()=>this.a())}dispose(){this.b.dispose()}get value(){if(this.d||(this.b.dispose(),this.a()),this.g)throw this.g;return this.f}get isInitialized(){return this.d}}e.$Hg=J;async function z(ge,M,Q){let ve;for(let Se=0;Se<Q;Se++)try{return await ge()}catch(ee){ve=ee,await t(M)}throw ve}e.$Ig=z;class j{hasPending(M){return this.a?typeof M=="number"?this.a.taskId===M:!!this.a:!1}get pending(){return this.a?.promise}cancelPending(){this.a?.cancel()}setPending(M,Q,ve){return this.a={taskId:M,cancel:()=>ve?.(),promise:Q},Q.then(()=>this.d(M),()=>this.d(M)),Q}d(M){this.a&&M===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const M=this.b;this.b=void 0,M.run().then(M.promiseResolve,M.promiseReject)}}setNext(M){if(this.b)this.b.run=M;else{let Q,ve;const Se=new Promise((ee,te)=>{Q=ee,ve=te});this.b={run:M,promise:Se,promiseResolve:Q,promiseReject:ve}}return this.b.promise}hasNext(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.$Jg=j;class he{constructor(M,Q=()=>Date.now()){this.d=M,this.f=Q,this.a=0,this.b=0}increment(){const M=this.f();return M-this.a>this.d&&(this.a=M,this.b=0),this.b++,this.b}}e.$Kg=he;var ie;(function(ge){ge[ge.Resolved=0]="Resolved",ge[ge.Rejected=1]="Rejected"})(ie||(ie={}));class ne{get isRejected(){return this.d?.outcome===1}get isResolved(){return this.d?.outcome===0}get isSettled(){return!!this.d}get value(){return this.d?.outcome===0?this.d?.value:void 0}constructor(){this.p=new Promise((M,Q)=>{this.a=M,this.b=Q})}complete(M){return new Promise(Q=>{this.a(M),this.d={outcome:0,value:M},Q()})}error(M){return new Promise(Q=>{this.b(M),this.d={outcome:1,value:M},Q()})}cancel(){return this.error(new A.$2)}}e.$Lg=ne;var V;(function(ge){async function M(ve){let Se;const ee=await Promise.all(ve.map(te=>te.then(ue=>ue,ue=>{Se||(Se=ue)})));if(typeof Se<"u")throw Se;return ee}ge.settled=M;function Q(ve){return new Promise(async(Se,ee)=>{try{await ve(Se,ee)}catch(te){ee(te)}})}ge.withAsyncBody=Q})(V||(e.Promises=V={}));var H;(function(ge){ge[ge.Initial=0]="Initial",ge[ge.DoneOK=1]="DoneOK",ge[ge.DoneError=2]="DoneError"})(H||(H={}));class ce{static fromArray(M){return new ce(Q=>{Q.emitMany(M)})}static fromPromise(M){return new ce(async Q=>{Q.emitMany(await M)})}static fromPromises(M){return new ce(async Q=>{await Promise.all(M.map(async ve=>Q.emitOne(await ve)))})}static merge(M){return new ce(async Q=>{await Promise.all(M.map(async ve=>{for await(const Se of ve)Q.emitOne(Se)}))})}constructor(M){this.a=0,this.b=[],this.d=null,this.f=new h.$5c,queueMicrotask(async()=>{const Q={emitOne:ve=>this.g(ve),emitMany:ve=>this.h(ve),reject:ve=>this.k(ve)};try{await Promise.resolve(M(Q)),this.j()}catch(ve){this.k(ve)}finally{Q.emitOne=void 0,Q.emitMany=void 0,Q.reject=void 0}})}[Symbol.asyncIterator](){let M=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(M<this.b.length)return{done:!1,value:this.b[M++]};if(this.a===1)return{done:!0,value:void 0};await h.Event.toPromise(this.f.event)}while(!0)}}}static map(M,Q){return new ce(async ve=>{for await(const Se of M)ve.emitOne(Q(Se))})}map(M){return ce.map(this,M)}static filter(M,Q){return new ce(async ve=>{for await(const Se of M)Q(Se)&&ve.emitOne(Se)})}filter(M){return ce.filter(this,M)}static coalesce(M){return ce.filter(M,Q=>!!Q)}coalesce(){return ce.coalesce(this)}static async toPromise(M){const Q=[];for await(const ve of M)Q.push(ve);return Q}toPromise(){return ce.toPromise(this)}g(M){this.a===0&&(this.b.push(M),this.f.fire())}h(M){this.a===0&&(this.b=this.b.concat(M),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k(M){this.a===0&&(this.a=2,this.d=M,this.f.fire())}}e.$Mg=ce,ce.EMPTY=ce.fromArray([]);class pe extends ce{constructor(M,Q){super(Q),this.l=M}cancel(){this.l.cancel()}}e.$Ng=pe;function ye(ge){const M=new b.$bd,Q=ge(M.token);return new pe(M,async ve=>{const Se=M.token.onCancellationRequested(()=>{Se.dispose(),M.dispose(),ve.reject(new A.$2)});try{for await(const ee of Q){if(M.token.isCancellationRequested)return;ve.emitOne(ee)}Se.dispose(),M.dispose()}catch(ee){Se.dispose(),M.dispose(),ve.reject(ee)}})}e.$Og=ye}),define(De[33],Ce([1,0,19,17,31,28,11,10,9]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ej=e.$dj=e.$cj=e.$bj=e.$aj=e.$_i=e.$$i=e.$0i=e.$9i=e.$8i=void 0;function m(){return Object.create(null)}e.$8i=m,e.$9i="**",e.$0i="/";const L="[/\\\\]",I="[^/\\\\]",v=/\//g;function D(he,ie){switch(he){case 0:return"";case 1:return`${I}*?`;default:return`(?:${L}|${I}+${L}${ie?`|${L}${I}+`:""})*?`}}function C(he,ie){if(!he)return[];const ne=[];let V=!1,H=!1,ce="";for(const pe of he){switch(pe){case ie:if(!V&&!H){ne.push(ce),ce="";continue}break;case"{":V=!0;break;case"}":V=!1;break;case"[":H=!0;break;case"]":H=!1;break}ce+=pe}return ce&&ne.push(ce),ne}e.$$i=C;function w(he){if(!he)return"";let ie="";const ne=C(he,e.$0i);if(ne.every(V=>V===e.$9i))ie=".*";else{let V=!1;ne.forEach((H,ce)=>{if(H===e.$9i){if(V)return;ie+=D(2,ce===ne.length-1)}else{let pe=!1,ye="",ge=!1,M="";for(const Q of H){if(Q!=="}"&&pe){ye+=Q;continue}if(ge&&(Q!=="]"||!M)){let ve;Q==="-"?ve=Q:(Q==="^"||Q==="!")&&!M?ve="^":Q===e.$0i?ve="":ve=(0,k.$ld)(Q),M+=ve;continue}switch(Q){case"{":pe=!0;continue;case"[":ge=!0;continue;case"}":{const Se=`(?:${C(ye,",").map(ee=>w(ee)).join("|")})`;ie+=Se,pe=!1,ye="";break}case"]":{ie+="["+M+"]",ge=!1,M="";break}case"?":ie+=I;continue;case"*":ie+=D(1);continue;default:ie+=(0,k.$ld)(Q)}}ce<ne.length-1&&(ne[ce+1]!==e.$9i||ce+2<ne.length)&&(ie+=L)}V=H===e.$9i})}return ie}const i=/^\*\*\/\*\.[\w\.-]+$/,l=/^\*\*\/([\w\.-]+)\/?$/,a=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,p=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,f=/^\*\*((\/[\w\.-]+)+)\/?$/,E=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,n=new F.$mi(1e4),o=function(){return!1},s=function(){return null};function t(he,ie){if(!he)return s;let ne;typeof he!="string"?ne=he.pattern:ne=he,ne=ne.trim();const V=`${ne}_${!!ie.trimForExclusions}`;let H=n.get(V);if(H)return u(H,he);let ce;return i.test(ne)?H=d(ne.substr(4),ne):(ce=l.exec($(ne,ie)))?H=S(ce[1],ne):(ie.trimForExclusions?p:a).test(ne)?H=y(ne,ie):(ce=f.exec($(ne,ie)))?H=c(ce[1].substr(1),ne,!0):(ce=E.exec($(ne,ie)))?H=c(ce[1],ne,!1):H=r(ne),n.set(V,H),u(H,he)}function u(he,ie){if(typeof ie=="string")return he;const ne=function(V,H){return(0,h.$He)(V,ie.base,!g.$k)?he((0,k.$pd)(V.substr(ie.base.length),R.sep),H):null};return ne.allBasenames=he.allBasenames,ne.allPaths=he.allPaths,ne.basenames=he.basenames,ne.patterns=he.patterns,ne}function $(he,ie){return ie.trimForExclusions&&he.endsWith("/**")?he.substr(0,he.length-2):he}function d(he,ie){return function(ne,V){return typeof ne=="string"&&ne.endsWith(he)?ie:null}}function S(he,ie){const ne=`/${he}`,V=`\\${he}`,H=function(pe,ye){return typeof pe!="string"?null:ye?ye===he?ie:null:pe===he||pe.endsWith(ne)||pe.endsWith(V)?ie:null},ce=[he];return H.basenames=ce,H.patterns=[ie],H.allBasenames=ce,H}function y(he,ie){const ne=z(he.slice(1,-1).split(",").map(ye=>t(ye,ie)).filter(ye=>ye!==s),he),V=ne.length;if(!V)return s;if(V===1)return ne[0];const H=function(ye,ge){for(let M=0,Q=ne.length;M<Q;M++)if(ne[M](ye,ge))return he;return null},ce=ne.find(ye=>!!ye.allBasenames);ce&&(H.allBasenames=ce.allBasenames);const pe=ne.reduce((ye,ge)=>ge.allPaths?ye.concat(ge.allPaths):ye,[]);return pe.length&&(H.allPaths=pe),H}function c(he,ie,ne){const V=R.sep===R.$8b.sep,H=V?he:he.replace(v,R.sep),ce=R.sep+H,pe=R.$8b.sep+he;let ye;return ne?ye=function(ge,M){return typeof ge=="string"&&(ge===H||ge.endsWith(ce)||!V&&(ge===he||ge.endsWith(pe)))?ie:null}:ye=function(ge,M){return typeof ge=="string"&&(ge===H||!V&&ge===he)?ie:null},ye.allPaths=[(ne?"*/":"./")+he],ye}function r(he){try{const ie=new RegExp(`^${w(he)}$`);return function(ne){return ie.lastIndex=0,typeof ne=="string"&&ie.test(ne)?he:null}}catch{return s}}function P(he,ie,ne){return!he||typeof ie!="string"?!1:N(he)(ie,void 0,ne)}e.$_i=P;function N(he,ie={}){if(!he)return o;if(typeof he=="string"||U(he)){const ne=t(he,ie);if(ne===s)return o;const V=function(H,ce){return!!ne(H,ce)};return ne.allBasenames&&(V.allBasenames=ne.allBasenames),ne.allPaths&&(V.allPaths=ne.allPaths),V}return O(he,ie)}e.$aj=N;function U(he){const ie=he;return ie?typeof ie.base=="string"&&typeof ie.pattern=="string":!1}e.$bj=U;function q(he){return he.allBasenames||[]}e.$cj=q;function W(he){return he.allPaths||[]}e.$dj=W;function O(he,ie){const ne=z(Object.getOwnPropertyNames(he).map(ye=>J(ye,he[ye],ie)).filter(ye=>ye!==s)),V=ne.length;if(!V)return s;if(!ne.some(ye=>!!ye.requiresSiblings)){if(V===1)return ne[0];const ye=function(Q,ve){let Se;for(let ee=0,te=ne.length;ee<te;ee++){const ue=ne[ee](Q,ve);if(typeof ue=="string")return ue;(0,A.$eg)(ue)&&(Se||(Se=[]),Se.push(ue))}return Se?(async()=>{for(const ee of Se){const te=await ee;if(typeof te=="string")return te}return null})():null},ge=ne.find(Q=>!!Q.allBasenames);ge&&(ye.allBasenames=ge.allBasenames);const M=ne.reduce((Q,ve)=>ve.allPaths?Q.concat(ve.allPaths):Q,[]);return M.length&&(ye.allPaths=M),ye}const H=function(ye,ge,M){let Q,ve;for(let Se=0,ee=ne.length;Se<ee;Se++){const te=ne[Se];te.requiresSiblings&&M&&(ge||(ge=(0,R.$cc)(ye)),Q||(Q=ge.substr(0,ge.length-(0,R.$dc)(ye).length)));const ue=te(ye,ge,Q,M);if(typeof ue=="string")return ue;(0,A.$eg)(ue)&&(ve||(ve=[]),ve.push(ue))}return ve?(async()=>{for(const Se of ve){const ee=await Se;if(typeof ee=="string")return ee}return null})():null},ce=ne.find(ye=>!!ye.allBasenames);ce&&(H.allBasenames=ce.allBasenames);const pe=ne.reduce((ye,ge)=>ge.allPaths?ye.concat(ge.allPaths):ye,[]);return pe.length&&(H.allPaths=pe),H}function J(he,ie,ne){if(ie===!1)return s;const V=t(he,ne);if(V===s)return s;if(typeof ie=="boolean")return V;if(ie){const H=ie.when;if(typeof H=="string"){const ce=(pe,ye,ge,M)=>{if(!M||!V(pe,ye))return null;const Q=H.replace("$(basename)",()=>ge),ve=M(Q);return(0,A.$eg)(ve)?ve.then(Se=>Se?he:null):ve?he:null};return ce.requiresSiblings=!0,ce}}return V}function z(he,ie){const ne=he.filter(ye=>!!ye.basenames);if(ne.length<2)return he;const V=ne.reduce((ye,ge)=>{const M=ge.basenames;return M?ye.concat(M):ye},[]);let H;if(ie){H=[];for(let ye=0,ge=V.length;ye<ge;ye++)H.push(ie)}else H=ne.reduce((ye,ge)=>{const M=ge.patterns;return M?ye.concat(M):ye},[]);const ce=function(ye,ge){if(typeof ye!="string")return null;if(!ge){let Q;for(Q=ye.length;Q>0;Q--){const ve=ye.charCodeAt(Q-1);if(ve===47||ve===92)break}ge=ye.substr(Q)}const M=V.indexOf(ge);return M!==-1?H[M]:null};ce.basenames=V,ce.patterns=H,ce.allBasenames=V;const pe=he.filter(ye=>!ye.basenames);return pe.push(ce),pe}function j(he,ie){return(0,b.$$e)(he,ie,(ne,V)=>typeof ne=="string"&&typeof V=="string"?ne===V:typeof ne!="string"&&typeof V!="string"?ne.base===V.base&&ne.pattern===V.pattern:!1)}e.$ej=j}),define(De[94],Ce([1,0,8,154,23,9,2]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nj=e.$Mj=e.$Lj=e.$Kj=e.$Jj=e.$Ij=e.$Hj=e.$Gj=e.MarkdownStringTextNewlineStyle=void 0;var g;(function(i){i[i.Paragraph=0]="Paragraph",i[i.Break=1]="Break"})(g||(e.MarkdownStringTextNewlineStyle=g={}));class k{constructor(l="",a=!1){if(this.value=l,typeof this.value!="string")throw(0,b.$4)("value");typeof a=="boolean"?(this.isTrusted=a,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=a.isTrusted??void 0,this.supportThemeIcons=a.supportThemeIcons??!1,this.supportHtml=a.supportHtml??!1)}appendText(l,a=0){return this.value+=v(this.supportThemeIcons?(0,A.$Aj)(l):l).replace(/([ \t]+)/g,(p,f)=>"&nbsp;".repeat(f.length)).replace(/\>/gm,"\\>").replace(/\n/g,a===1?`\\
`:`

`),this}appendMarkdown(l){return this.value+=l,this}appendCodeblock(l,a){return this.value+="\n```",this.value+=l,this.value+=`
`,this.value+=a,this.value+="\n```\n",this}appendLink(l,a,p){return this.value+="[",this.value+=this.c(a,"]"),this.value+="](",this.value+=this.c(String(l),")"),p&&(this.value+=` "${this.c(this.c(p,'"'),")")}"`),this.value+=")",this}c(l,a){const p=new RegExp((0,F.$ld)(a),"g");return l.replace(p,(f,E)=>l.charAt(E-1)!=="\\"?`\\${f}`:f)}}e.$Gj=k;function m(i){return L(i)?!i.value:Array.isArray(i)?i.every(m):!0}e.$Hj=m;function L(i){return i instanceof k?!0:i&&typeof i=="object"?typeof i.value=="string"&&(typeof i.isTrusted=="boolean"||typeof i.isTrusted=="object"||i.isTrusted===void 0)&&(typeof i.supportThemeIcons=="boolean"||i.supportThemeIcons===void 0):!1}e.$Ij=L;function I(i,l){return i===l?!0:!i||!l?!1:i.value===l.value&&i.isTrusted===l.isTrusted&&i.supportThemeIcons===l.supportThemeIcons&&i.supportHtml===l.supportHtml&&(i.baseUri===l.baseUri||!!i.baseUri&&!!l.baseUri&&(0,h.$Yf)(R.URI.from(i.baseUri),R.URI.from(l.baseUri)))}e.$Jj=I;function v(i){return i.replace(/[\\`*_{}[\]()#+\-!~]/g,"\\$&")}e.$Kj=v;function D(i){return i.replace(/"/g,"&quot;")}e.$Lj=D;function C(i){return i&&i.replace(/\\([\\`*_{}[\]()#+\-.!~])/g,"$1")}e.$Mj=C;function w(i){const l=[],a=i.split("|").map(f=>f.trim());i=a[0];const p=a[1];if(p){const f=/height=(\d+)/.exec(p),E=/width=(\d+)/.exec(p),n=f?f[1]:"",o=E?E[1]:"",s=isFinite(parseInt(o)),t=isFinite(parseInt(n));s&&l.push(`width="${o}"`),t&&l.push(`height="${n}"`)}return{href:i,dimensions:l}}e.$Nj=w}),define(De[120],Ce([1,0,19,31,11,10,23,9]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wz=e.$Vz=e.$Uz=e.$Tz=e.$Sz=e.$Rz=e.$Qz=e.$Pz=e.$Oz=e.$Nz=void 0;function k(t,u){const{os:$,tildify:d,relative:S}=u;if(S){const r=m(t,S,$);if(typeof r=="string")return r}let y=t.fsPath;if($===1&&!F.$i?y=y.replace(/\//g,"\\"):$!==1&&F.$i&&(y=y.replace(/\\/g,"/")),$!==1&&d?.userHome){const r=d.userHome.fsPath;let P;t.scheme!==d.userHome.scheme&&t.path.startsWith(h.$8b.sep)?P=d.userHome.with({path:t.path}).fsPath:P=t.fsPath,y=v(P,r,$)}return($===1?h.$7b:h.$8b).normalize(L(y,$===1))}e.$Nz=k;function m(t,u,$){const d=$===1?h.$7b:h.$8b,S=$===3?R.$Vf:R.$Xf,y=u.getWorkspace(),c=(0,b.$sf)(y.folders);if(!c)return;t.scheme!==c.uri.scheme&&t.path.startsWith(h.$8b.sep)&&(t=c.uri.with({path:t.path}));const r=u.getWorkspaceFolder(t);if(!r)return;let P;if(S.isEqual(r.uri,t)?P="":P=S.relativePath(r.uri,t)??"",P&&(P=d.normalize(P)),y.folders.length>1&&!u.noPrefix){const N=r.name?r.name:S.basenameOrAuthority(r.uri);P=P?`${N} \u2022 ${P}`:N}return P}function L(t,u=F.$i){return(0,A.$Le)(t,u)?t.charAt(0).toUpperCase()+t.slice(1):t}e.$Oz=L;let I=Object.create(null);function v(t,u,$=F.OS){if($===1||!t||!u)return t;let d=I.original===u?I.normalized:void 0;d||(d=u,F.$i&&(d=(0,A.$Be)(d)),d=`${(0,g.$qd)(d,h.$8b.sep)}${h.$8b.sep}`,I={original:u,normalized:d});let S=t;return F.$i&&(S=(0,A.$Be)(S)),($===3?S.startsWith(d):(0,g.$Kd)(S,d))?`~/${S.substr(d.length)}`:t}e.$Pz=v;function D(t,u){return t.replace(/^~($|\/|\\)/,`${u}$1`)}e.$Qz=D;const C="\u2026",w="\\\\",i="~";function l(t,u=h.sep){const $=new Array(t.length);let d=!1;for(let S=0;S<t.length;S++){const y=t[S];if(y===""){$[S]=`.${u}`;continue}if(!y){$[S]=y;continue}d=!0;let c="",r=y;r.indexOf(w)===0?(c=r.substr(0,r.indexOf(w)+w.length),r=r.substr(r.indexOf(w)+w.length)):r.indexOf(u)===0?(c=r.substr(0,r.indexOf(u)+u.length),r=r.substr(r.indexOf(u)+u.length)):r.indexOf(i)===0&&(c=r.substr(0,r.indexOf(i)+i.length),r=r.substr(r.indexOf(i)+i.length));const P=r.split(u);for(let N=1;d&&N<=P.length;N++)for(let U=P.length-N;d&&U>=0;U--){d=!1;let q=P.slice(U,U+N).join(u);for(let W=0;!d&&W<t.length;W++)if(W!==S&&t[W]&&t[W].indexOf(q)>-1){const O=U+N===P.length,J=U>0&&t[W].indexOf(u)>-1?u+q:q,z=t[W].endsWith(J);d=!O||z}if(!d){let W="";(P[0].endsWith(":")||c!=="")&&(U===1&&(U=0,N++,q=P[0]+u+q),U>0&&(W=P[0]+u),W=c+W),U>0&&(W=W+C+u),W=W+q,U+N<P.length&&(W=W+u+C),$[S]=W}}d&&($[S]=y)}return $}e.$Rz=l;var a;(function(t){t[t.TEXT=0]="TEXT",t[t.VARIABLE=1]="VARIABLE",t[t.SEPARATOR=2]="SEPARATOR"})(a||(a={}));function p(t,u=Object.create(null)){const $=[];let d=!1,S="";for(const y of t)if(y==="$"||d&&y==="{")S&&$.push({value:S,type:a.TEXT}),S="",d=!0;else if(y==="}"&&d){const c=u[S];if(typeof c=="string")c.length&&$.push({value:c,type:a.VARIABLE});else if(c){const r=$[$.length-1];(!r||r.type!==a.SEPARATOR)&&$.push({value:c.label,type:a.SEPARATOR})}S="",d=!1}else S+=y;return S&&!d&&$.push({value:S,type:a.TEXT}),$.filter((y,c)=>{if(y.type===a.SEPARATOR){const r=$[c-1],P=$[c+1];return[r,P].every(N=>N&&(N.type===a.VARIABLE||N.type===a.TEXT)&&N.value.length>0)}return!0}).map(y=>y.value).join("")}e.$Sz=p;function f(t,u){return F.$j||u?t.replace(/\(&&\w\)|&&/g,"").replace(/&/g,F.$j?"&":"&&"):t.replace(/&&|&/g,$=>$==="&"?"&&":"&")}e.$Tz=f;function E(t,u){return F.$j||u?t.replace(/\(&&\w\)|&&/g,""):F.$i?t.replace(/&&|&/g,$=>$==="&"?"&&":"&"):t.replace(/&&/g,"_")}e.$Uz=E;function n(t){return t.replace(/&/g,"&&")}e.$Vz=n;function o(t){if(t.endsWith("]")){const u=t.lastIndexOf(" [",t.length-2);if(u!==-1){const $=s(t.substring(0,u));return{name:$.name,parentPath:$.parentPath+t.substring(u)}}}return s(t)}e.$Wz=o;function s(t){const u=t.indexOf("/")!==-1?h.$8b:h.$7b,$=u.basename(t),d=u.dirname(t);return $.length?{name:$,parentPath:d}:{name:d,parentPath:""}}}),define(De[121],Ce([1,0,22,2]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nm=e.$mm=e.$lm=e.$km=e.$jm=void 0;function h(I){return I.toJSON()}class F{constructor(v){this.a=v}transformIncoming(v){const D=this.a.transformIncoming(v);return D===v?v:h(A.URI.from(D))}transformOutgoing(v){const D=this.a.transformOutgoing(v);return D===v?v:h(A.URI.from(D))}transformOutgoingURI(v){const D=this.a.transformOutgoing(v);return D===v?v:A.URI.from(D)}transformOutgoingScheme(v){return this.a.transformOutgoingScheme(v)}}e.$jm=F,e.$km=new class{transformIncoming(I){return I}transformOutgoing(I){return I}transformOutgoingURI(I){return I}transformOutgoingScheme(I){return I}};function R(I,v,D){if(!I||D>200)return null;if(typeof I=="object"){if(I instanceof A.URI)return v.transformOutgoing(I);for(const C in I)if(Object.hasOwnProperty.call(I,C)){const w=R(I[C],v,D+1);w!==null&&(I[C]=w)}}return null}function g(I,v){const D=R(I,v,0);return D===null?I:D}e.$lm=g;function k(I,v,D,C){if(!I||C>200)return null;if(typeof I=="object"){if(I.$mid===1)return D?A.URI.revive(v.transformIncoming(I)):v.transformIncoming(I);if(I instanceof b.$Ib)return null;for(const w in I)if(Object.hasOwnProperty.call(I,w)){const i=k(I[w],v,D,C+1);i!==null&&(I[w]=i)}}return null}function m(I,v){const D=k(I,v,!1,0);return D===null?I:D}e.$mm=m;function L(I,v){const D=k(I,v,!0,0);return D===null?I:D}e.$nm=L}),define(De[29],Ce([1,0,49,74,345,17,31,69,11,10,23,2]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var v;(function(O){O[O.UNLINK=0]="UNLINK",O[O.MOVE=1]="MOVE"})(v||(e.RimRafMode=v={}));async function D(O,J=v.UNLINK,z){if((0,R.$Ke)(O))throw new Error("rimraf - will refuse to recursively delete root");return J===v.UNLINK?w(O):C(O,z)}async function C(O,J=(0,R.$Pe)((0,A.tmpdir)())){try{try{await b.promises.rename(O,J)}catch(z){return z.code==="ENOENT"?void 0:w(O)}w(J).catch(z=>{})}catch(z){if(z.code!=="ENOENT")throw z}}async function w(O){return(0,h.promisify)(b.rm)(O,{recursive:!0,force:!0,maxRetries:3})}function i(O){if((0,R.$Ke)(O))throw new Error("rimraf - will refuse to recursively delete root");b.rmSync(O,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=i;async function l(O,J){return f(await(J?a(O):(0,h.promisify)(b.readdir)(O)))}async function a(O){try{return await(0,h.promisify)(b.readdir)(O,{withFileTypes:!0})}catch(j){console.warn("[node.js fs] readdir with filetypes failed with error: ",j)}const J=[],z=await l(O);for(const j of z){let he=!1,ie=!1,ne=!1;try{const V=await e.Promises.lstat((0,k.$$b)(O,j));he=V.isFile(),ie=V.isDirectory(),ne=V.isSymbolicLink()}catch(V){console.warn("[node.js fs] unexpected error from lstat after readdir: ",V)}J.push({name:j,isFile:()=>he,isDirectory:()=>ie,isSymbolicLink:()=>ne})}return J}function p(O){return f(b.readdirSync(O))}e.readdirSync=p;function f(O){return O.map(J=>typeof J=="string"?m.$j?(0,g.$3k)(J):J:(J.name=m.$j?(0,g.$3k)(J.name):J.name,J))}async function E(O){const J=await l(O),z=[];for(const j of J)await o.existsDirectory((0,k.$$b)(O,j))&&z.push(j);return z}function n(O,J=1e3){return new Promise(z=>{let j=!1;const he=setInterval(()=>{j||(j=!0,b.access(O,ie=>{j=!1,ie&&(clearInterval(he),z(void 0))}))},J)})}e.whenDeleted=n;var o;(function(O){async function J(he){let ie;try{if(ie=await e.Promises.lstat(he),!ie.isSymbolicLink())return{stat:ie}}catch{}try{return{stat:await e.Promises.stat(he),symbolicLink:ie?.isSymbolicLink()?{dangling:!1}:void 0}}catch(ne){if(ne.code==="ENOENT"&&ie)return{stat:ie,symbolicLink:{dangling:!0}};if(m.$i&&ne.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(he)),symbolicLink:{dangling:!1}}}catch(V){if(V.code==="ENOENT"&&ie)return{stat:ie,symbolicLink:{dangling:!0}};throw V}throw ne}}O.stat=J;async function z(he){try{const{stat:ie,symbolicLink:ne}=await O.stat(he);return ie.isFile()&&ne?.dangling!==!0}catch{}return!1}O.existsFile=z;async function j(he){try{const{stat:ie,symbolicLink:ne}=await O.stat(he);return ie.isDirectory()&&ne?.dangling!==!0}catch{}return!1}O.existsDirectory=j})(o||(e.SymlinkSupport=o={}));const s=new F.$zg;function t(O,J,z){return s.queueFor(I.URI.file(O),L.$Wf).queue(()=>{const j=y(z);return new Promise((he,ie)=>d(O,J,j,ne=>ne?ie(ne):he()))})}let u=!0;function $(O){u=O}e.configureFlushOnWrite=$;function d(O,J,z,j){if(!u)return b.writeFile(O,J,{mode:z.mode,flag:z.flag},j);b.open(O,z.flag,z.mode,(he,ie)=>{if(he)return j(he);b.writeFile(ie,J,ne=>{if(ne)return b.close(ie,()=>j(ne));b.fdatasync(ie,V=>(V&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",V),$(!1)),b.close(ie,H=>j(H))))})})}function S(O,J,z){const j=y(z);if(!u)return b.writeFileSync(O,J,{mode:j.mode,flag:j.flag});const he=b.openSync(O,j.flag,j.mode);try{b.writeFileSync(he,J);try{b.fdatasyncSync(he)}catch(ie){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",ie),$(!1)}}finally{b.closeSync(he)}}e.writeFileSync=S;function y(O){return O?{mode:typeof O.mode=="number"?O.mode:438,flag:typeof O.flag=="string"?O.flag:"w"}:{mode:438,flag:"w"}}async function c(O,J){if(O!==J)try{await e.Promises.rename(O,J)}catch(z){if(O.toLowerCase()!==J.toLowerCase()&&z.code==="EXDEV"||O.endsWith("."))await r(O,J,{preserveSymlinks:!1}),await D(O,v.MOVE);else throw z}}async function r(O,J,z){return N(O,J,{root:{source:O,target:J},options:z,handledSourcePaths:new Set})}const P=511;async function N(O,J,z){if(z.handledSourcePaths.has(O))return;z.handledSourcePaths.add(O);const{stat:j,symbolicLink:he}=await o.stat(O);if(he){if(z.options.preserveSymlinks)try{return await W(O,J,z)}catch(ie){console.warn("[node.js fs] copy of symlink failed: ",ie)}if(he.dangling)return}return j.isDirectory()?U(O,J,j.mode&P,z):q(O,J,j.mode&P)}async function U(O,J,z,j){await e.Promises.mkdir(J,{recursive:!0,mode:z});const he=await l(O);for(const ie of he)await N((0,k.$$b)(O,ie),(0,k.$$b)(J,ie),j)}async function q(O,J,z){await e.Promises.copyFile(O,J),await e.Promises.chmod(J,z)}async function W(O,J,z){let j=await e.Promises.readlink(O);(0,R.$He)(j,z.root.source,!m.$k)&&(j=(0,k.$$b)(z.root.target,j.substr(z.root.source.length+1))),await e.Promises.symlink(j,J)}e.Promises=new class{get access(){return(0,h.promisify)(b.access)}get stat(){return(0,h.promisify)(b.stat)}get lstat(){return(0,h.promisify)(b.lstat)}get utimes(){return(0,h.promisify)(b.utimes)}get read(){return(O,J,z,j,he)=>new Promise((ie,ne)=>{b.read(O,J,z,j,he,(V,H,ce)=>V?ne(V):ie({bytesRead:H,buffer:ce}))})}get readFile(){return(0,h.promisify)(b.readFile)}get write(){return(O,J,z,j,he)=>new Promise((ie,ne)=>{b.write(O,J,z,j,he,(V,H,ce)=>V?ne(V):ie({bytesWritten:H,buffer:ce}))})}get appendFile(){return(0,h.promisify)(b.appendFile)}get fdatasync(){return(0,h.promisify)(b.fdatasync)}get truncate(){return(0,h.promisify)(b.truncate)}get rename(){return(0,h.promisify)(b.rename)}get copyFile(){return(0,h.promisify)(b.copyFile)}get open(){return(0,h.promisify)(b.open)}get close(){return(0,h.promisify)(b.close)}get symlink(){return(0,h.promisify)(b.symlink)}get readlink(){return(0,h.promisify)(b.readlink)}get chmod(){return(0,h.promisify)(b.chmod)}get mkdir(){return(0,h.promisify)(b.mkdir)}get unlink(){return(0,h.promisify)(b.unlink)}get rmdir(){return(0,h.promisify)(b.rmdir)}get realpath(){return(0,h.promisify)(b.realpath)}async exists(O){try{return await e.Promises.access(O),!0}catch{return!1}}get readdir(){return l}get readDirsInDir(){return E}get writeFile(){return t}get rm(){return D}get move(){return c}get copy(){return r}}}),define(De[95],Ce([1,0,49,11,10,9,29]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ip=e.$Hp=e.$Gp=e.$Fp=void 0;function g(v){if(h.$k)return v;const D=(0,A.$bc)(v);if(v===D)return v;const C=((0,A.$cc)(v)||v).toLowerCase();try{const i=(0,R.readdirSync)(D).filter(l=>l.toLowerCase()===C);if(i.length===1){const l=g(D);if(l)return(0,A.$$b)(l,i[0])}else if(i.length>1){const l=i.indexOf(C);if(l>=0){const a=g(D);if(a)return(0,A.$$b)(a,i[l])}}}catch{}return null}e.$Fp=g;async function k(v){if(h.$k)return v;const D=(0,A.$bc)(v);if(v===D)return v;const C=((0,A.$cc)(v)||v).toLowerCase();try{const i=(await R.Promises.readdir(D)).filter(l=>l.toLowerCase()===C);if(i.length===1){const l=await k(D);if(l)return(0,A.$$b)(l,i[0])}else if(i.length>1){const l=i.indexOf(C);if(l>=0){const a=await k(D);if(a)return(0,A.$$b)(a,i[l])}}}catch{}return null}e.$Gp=k;async function m(v){try{return await R.Promises.realpath(v)}catch{const C=I(v);return await R.Promises.access(C,b.constants.R_OK),C}}e.$Hp=m;function L(v){try{return b.realpathSync(v)}catch{const C=I(v);return b.accessSync(C,b.constants.R_OK),C}}e.$Ip=L;function I(v){return(0,F.$qd)((0,A.$9b)(v),A.sep)}}),define(De[96],Ce([1,0,11,10,41,93,12,29]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.$el=e.$dl=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return F.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return F.TerminateResponseCode}});function k(I=h.env){return I.comspec||"cmd.exe"}e.$dl=k;function m(I){let v=[],D=!1;const C=function(w){if(D){v.push(w);return}(!I.send(w,l=>{if(l&&console.error(l),D=!1,v.length>0){const a=v.slice(0);v=[],a.forEach(p=>C(p))}})||A.$i)&&(D=!0)};return{send:C}}e.$el=m;var L;(function(I){async function v(D,C,w){if(b.$0b(D))return D;if(C===void 0&&(C=h.cwd()),b.$bc(D)!=="."||(w===void 0&&R.$ge(h.env.PATH)&&(w=h.env.PATH.split(b.$ic)),w===void 0||w.length===0))return b.$$b(C,D);async function l(a){if(await g.Promises.exists(a)){let p;try{p=await g.Promises.stat(a)}catch(f){f.message.startsWith("EACCES")&&(p=await g.Promises.lstat(a))}return p?!p.isDirectory():!1}return!1}for(const a of w){let p;if(b.$0b(a)?p=b.$$b(a,D):p=b.$$b(C,a,D),await l(p))return p;let f=p+".com";if(await l(f)||(f=p+".exe",await l(f)))return f}return b.$$b(C,D)}I.findExecutable=v})(L||(e.win32=L={}))});var He=this&&this.__decorate||function(re,e,b,A){var h=arguments.length,F=h<3?e:A===null?A=Object.getOwnPropertyDescriptor(e,b):A,R;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")F=Reflect.decorate(re,e,b,A);else for(var g=re.length-1;g>=0;g--)(R=re[g])&&(F=(h<3?R(F):h>3?R(e,b,F):R(e,b))||F);return h>3&&F&&Object.defineProperty(e,b,F),F};define(De[75],Ce([1,0,19,17,22,21,66,8,3,4,73,9,12]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7g=e.ProxyChannel=e.$6g=e.$5g=e.$4g=e.$3g=e.$2g=e.$1g=e.RequestInitiator=e.$Zg=e.$Yg=e.$Xg=e.$Wg=e.$Vg=void 0;var D;(function(ie){ie[ie.Promise=100]="Promise",ie[ie.PromiseCancel=101]="PromiseCancel",ie[ie.EventListen=102]="EventListen",ie[ie.EventDispose=103]="EventDispose"})(D||(D={}));function C(ie){switch(ie){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var w;(function(ie){ie[ie.Initialize=200]="Initialize",ie[ie.PromiseSuccess=201]="PromiseSuccess",ie[ie.PromiseError=202]="PromiseError",ie[ie.PromiseErrorObj=203]="PromiseErrorObj",ie[ie.EventFire=204]="EventFire"})(w||(w={}));function i(ie){switch(ie){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var l;(function(ie){ie[ie.Uninitialized=0]="Uninitialized",ie[ie.Idle=1]="Idle"})(l||(l={}));function a(ie){let ne=0;for(let V=0;;V+=7){const H=ie.read(1);if(ne|=(H.buffer[0]&127)<<V,!(H.buffer[0]&128))return ne}}const p=s(0);function f(ie,ne){if(ne===0){ie.write(p);return}let V=0;for(let ce=ne;ce!==0;ce=ce>>>7)V++;const H=h.$Ib.alloc(V);for(let ce=0;ne!==0;ce++)H.buffer[ce]=ne&127,ne=ne>>>7,ne>0&&(H.buffer[ce]|=128);ie.write(H)}class E{constructor(ne){this.b=ne,this.a=0}read(ne){const V=this.b.slice(this.a,this.a+ne);return this.a+=V.byteLength,V}}e.$Vg=E;class n{constructor(){this.a=[]}get buffer(){return h.$Ib.concat(this.a)}write(ne){this.a.push(ne)}}e.$Wg=n;var o;(function(ie){ie[ie.Undefined=0]="Undefined",ie[ie.String=1]="String",ie[ie.Buffer=2]="Buffer",ie[ie.VSBuffer=3]="VSBuffer",ie[ie.Array=4]="Array",ie[ie.Object=5]="Object",ie[ie.Int=6]="Int"})(o||(o={}));function s(ie){const ne=h.$Ib.alloc(1);return ne.writeUInt8(ie,0),ne}const t={Undefined:s(o.Undefined),String:s(o.String),Buffer:s(o.Buffer),VSBuffer:s(o.VSBuffer),Array:s(o.Array),Object:s(o.Object),Uint:s(o.Int)},u=typeof Buffer<"u";function $(ie,ne){if(typeof ne>"u")ie.write(t.Undefined);else if(typeof ne=="string"){const V=h.$Ib.fromString(ne);ie.write(t.String),f(ie,V.byteLength),ie.write(V)}else if(u&&Buffer.isBuffer(ne)){const V=h.$Ib.wrap(ne);ie.write(t.Buffer),f(ie,V.byteLength),ie.write(V)}else if(ne instanceof h.$Ib)ie.write(t.VSBuffer),f(ie,ne.byteLength),ie.write(ne);else if(Array.isArray(ne)){ie.write(t.Array),f(ie,ne.length);for(const V of ne)$(ie,V)}else if(typeof ne=="number"&&(ne|0)===ne)ie.write(t.Uint),f(ie,ne);else{const V=h.$Ib.fromString(JSON.stringify(ne));ie.write(t.Object),f(ie,V.byteLength),ie.write(V)}}e.$Xg=$;function d(ie){switch(ie.read(1).readUInt8(0)){case o.Undefined:return;case o.String:return ie.read(a(ie)).toString();case o.Buffer:return ie.read(a(ie)).buffer;case o.VSBuffer:return ie.read(a(ie));case o.Array:{const V=a(ie),H=[];for(let ce=0;ce<V;ce++)H.push(d(ie));return H}case o.Object:return JSON.parse(ie.read(a(ie)).toString());case o.Int:return a(ie)}}e.$Yg=d;class S{constructor(ne,V,H=null,ce=1e3){this.h=ne,this.j=V,this.k=H,this.l=ce,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(pe=>this.q(pe)),this.m({type:200})}registerChannel(ne,V){this.b.set(ne,V),setTimeout(()=>this.w(ne),0)}m(ne){switch(ne.type){case 200:{const V=this.o([ne.type]);this.k?.logOutgoing(V,0,1,i(ne.type));return}case 201:case 202:case 204:case 203:{const V=this.o([ne.type,ne.id],ne.data);this.k?.logOutgoing(V,ne.id,1,i(ne.type),ne.data);return}}}o(ne,V=void 0){const H=new n;return $(H,ne),$(H,V),this.p(H.buffer)}p(ne){try{return this.h.send(ne),ne.byteLength}catch{return 0}}q(ne){const V=new E(ne),H=d(V),ce=d(V),pe=H[0];switch(pe){case 100:return this.k?.logIncoming(ne.byteLength,H[1],1,`${C(pe)}: ${H[2]}.${H[3]}`,ce),this.s({type:pe,id:H[1],channelName:H[2],name:H[3],arg:ce});case 102:return this.k?.logIncoming(ne.byteLength,H[1],1,`${C(pe)}: ${H[2]}.${H[3]}`,ce),this.t({type:pe,id:H[1],channelName:H[2],name:H[3],arg:ce});case 101:return this.k?.logIncoming(ne.byteLength,H[1],1,`${C(pe)}`),this.u({type:pe,id:H[1]});case 103:return this.k?.logIncoming(ne.byteLength,H[1],1,`${C(pe)}`),this.u({type:pe,id:H[1]})}}s(ne){const V=this.b.get(ne.channelName);if(!V){this.v(ne);return}const H=new F.$bd;let ce;try{ce=V.call(this.j,ne.name,ne.arg,H.token)}catch(ge){ce=Promise.reject(ge)}const pe=ne.id;ce.then(ge=>{this.m({id:pe,data:ge,type:201}),this.d.delete(ne.id)},ge=>{ge instanceof Error?this.m({id:pe,data:{message:ge.message,name:ge.name,stack:ge.stack?ge.stack.split?ge.stack.split(`
`):ge.stack:void 0},type:202}):this.m({id:pe,data:ge,type:203}),this.d.delete(ne.id)});const ye=(0,m.$ib)(()=>H.cancel());this.d.set(ne.id,ye)}t(ne){const V=this.b.get(ne.channelName);if(!V){this.v(ne);return}const H=ne.id,pe=V.listen(this.j,ne.name,ne.arg)(ye=>this.m({id:H,data:ye,type:204}));this.d.set(ne.id,pe)}u(ne){const V=this.d.get(ne.id);V&&(V.dispose(),this.d.delete(ne.id))}v(ne){let V=this.g.get(ne.channelName);V||(V=[],this.g.set(ne.channelName,V));const H=setTimeout(()=>{console.error(`Unknown channel: ${ne.channelName}`),ne.type===100&&this.m({id:ne.id,data:{name:"Unknown channel",message:`Channel name '${ne.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);V.push({request:ne,timeoutTimer:H})}w(ne){const V=this.g.get(ne);if(V){for(const H of V)switch(clearTimeout(H.timeoutTimer),H.request.type){case 100:this.s(H.request);break;case 102:this.t(H.request);break}this.g.delete(ne)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,m.$fb)(this.d.values()),this.d.clear()}}e.$Zg=S;var y;(function(ie){ie[ie.LocalSide=0]="LocalSide",ie[ie.OtherSide=1]="OtherSide"})(y||(e.RequestInitiator=y={}));class c{constructor(ne,V=null){this.l=ne,this.a=!1,this.b=l.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new k.$5c,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(H=>this.s(H)),this.j=V}getChannel(ne){const V=this;return{call(H,ce,pe){return V.a?Promise.reject(new g.$2):V.m(ne,H,ce,pe)},listen(H,ce){return V.a?k.Event.None:V.o(ne,H,ce)}}}m(ne,V,H,ce=F.CancellationToken.None){const pe=this.g++,ge={id:pe,type:100,channelName:ne,name:V,arg:H};if(ce.isCancellationRequested)return Promise.reject(new g.$2);let M;return new Promise((ve,Se)=>{if(ce.isCancellationRequested)return Se(new g.$2);const ee=()=>{const le=se=>{switch(se.type){case 201:this.f.delete(pe),ve(se.data);break;case 202:{this.f.delete(pe);const oe=new Error(se.data.message);oe.stack=Array.isArray(se.data.stack)?se.data.stack.join(`
`):se.data.stack,oe.name=se.data.name,Se(oe);break}case 203:this.f.delete(pe),Se(se.data);break}};this.f.set(pe,le),this.p(ge)};let te=null;this.b===l.Idle?ee():(te=(0,A.$fg)(le=>this.u()),te.then(()=>{te=null,ee()}));const ue=()=>{te?(te.cancel(),te=null):this.p({id:pe,type:101}),Se(new g.$2)},Z=ce.onCancellationRequested(ue);M=(0,m.$hb)((0,m.$ib)(ue),Z),this.d.add(M)}).finally(()=>{this.d.delete(M)})}o(ne,V,H){const ce=this.g++,ye={id:ce,type:102,channelName:ne,name:V,arg:H};let ge=null;const M=new k.$5c({onWillAddFirstListener:()=>{ge=(0,A.$fg)(ve=>this.u()),ge.then(()=>{ge=null,this.d.add(M),this.p(ye)})},onDidRemoveLastListener:()=>{ge?(ge.cancel(),ge=null):(this.d.delete(M),this.p({id:ce,type:103}))}}),Q=ve=>M.fire(ve.data);return this.f.set(ce,Q),M.event}p(ne){switch(ne.type){case 100:case 102:{const V=this.q([ne.type,ne.id,ne.channelName,ne.name],ne.arg);this.j?.logOutgoing(V,ne.id,0,`${C(ne.type)}: ${ne.channelName}.${ne.name}`,ne.arg);return}case 101:case 103:{const V=this.q([ne.type,ne.id]);this.j?.logOutgoing(V,ne.id,0,C(ne.type));return}}}q(ne,V=void 0){const H=new n;return $(H,ne),$(H,V),this.r(H.buffer)}r(ne){try{return this.l.send(ne),ne.byteLength}catch{return 0}}s(ne){const V=new E(ne),H=d(V),ce=d(V),pe=H[0];switch(pe){case 200:return this.j?.logIncoming(ne.byteLength,0,0,i(pe)),this.t({type:H[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(ne.byteLength,H[1],0,i(pe),ce),this.t({type:H[0],id:H[1],data:ce})}}t(ne){if(ne.type===200){this.b=l.Idle,this.k.fire();return}this.f.get(ne.id)?.(ne)}get onDidInitializePromise(){return k.Event.toPromise(this.onDidInitialize)}u(){return this.b===l.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,m.$fb)(this.d.values()),this.d.clear()}}e.$1g=c,He([R.$Pg],c.prototype,"onDidInitializePromise",null);class r{get connections(){const ne=[];return this.f.forEach(V=>ne.push(V)),ne}constructor(ne){this.a=new Map,this.f=new Set,this.g=new k.$5c,this.onDidAddConnection=this.g.event,this.h=new k.$5c,this.onDidRemoveConnection=this.h.event,ne(({protocol:V,onDidClientDisconnect:H})=>{k.Event.once(V.onMessage)(pe=>{const ye=new E(pe),ge=d(ye),M=new S(V,ge),Q=new c(V);this.a.forEach((Se,ee)=>M.registerChannel(ee,Se));const ve={channelServer:M,channelClient:Q,ctx:ge};this.f.add(ve),this.g.fire(ve),H(()=>{M.dispose(),Q.dispose(),this.f.delete(ve),this.h.fire(ve)})})})}getChannel(ne,V){const H=this;return{call(ce,pe,ye){let ge;if((0,v.$ue)(V)){const Q=(0,b.$Hf)(H.connections.filter(V));ge=Q?Promise.resolve(Q):k.Event.toPromise(k.Event.filter(H.onDidAddConnection,V))}else ge=V.routeCall(H,ce,pe);const M=ge.then(Q=>Q.channelClient.getChannel(ne));return N(M).call(ce,pe,ye)},listen(ce,pe){if((0,v.$ue)(V))return H.j(ne,V,ce,pe);const ye=V.routeEvent(H,ce,pe).then(ge=>ge.channelClient.getChannel(ne));return N(ye).listen(ce,pe)}}}j(ne,V,H,ce){const pe=this;let ye=new m.$jb;const ge=new k.$5c({onWillAddFirstListener:()=>{ye=new m.$jb;const M=new k.$$c,Q=new Map,ve=ee=>{const ue=ee.channelClient.getChannel(ne).listen(H,ce),Z=M.add(ue);Q.set(ee,Z)},Se=ee=>{const te=Q.get(ee);te&&(te.dispose(),Q.delete(ee))};pe.connections.filter(V).forEach(ve),k.Event.filter(pe.onDidAddConnection,V)(ve,void 0,ye),pe.onDidRemoveConnection(Se,void 0,ye),M.event(ge.fire,ge,ye),ye.add(M)},onDidRemoveLastListener:()=>{ye.dispose()}});return ge.event}registerChannel(ne,V){this.a.set(ne,V),this.f.forEach(H=>{H.channelServer.registerChannel(ne,V)})}dispose(){this.a.clear(),this.f.clear(),this.g.dispose(),this.h.dispose()}}e.$2g=r;class P{constructor(ne,V,H=null){const ce=new n;$(ce,V),ne.send(ce.buffer),this.a=new c(ne,H),this.d=new S(ne,V,H)}getChannel(ne){return this.a.getChannel(ne)}registerChannel(ne,V){this.d.registerChannel(ne,V)}dispose(){this.a.dispose(),this.d.dispose()}}e.$3g=P;function N(ie){return{call(ne,V,H){return ie.then(ce=>ce.call(ne,V,H))},listen(ne,V){const H=new k.$ad;return ie.then(ce=>H.input=ce.listen(ne,V)),H.event}}}e.$4g=N;function U(ie){let ne=!1;return{call(V,H,ce){return ne?ie.call(V,H,ce):(0,A.$sg)(0).then(()=>ne=!0).then(()=>ie.call(V,H,ce))},listen(V,H){if(ne)return ie.listen(V,H);const ce=new k.$ad;return(0,A.$sg)(0).then(()=>ne=!0).then(()=>ce.input=ie.listen(V,H)),ce.event}}}e.$5g=U;class q{constructor(ne){this.a=ne}routeCall(ne){return this.b(ne)}routeEvent(ne){return this.b(ne)}async b(ne){for(const V of ne.connections)if(await Promise.resolve(this.a(V.ctx)))return Promise.resolve(V);return await k.Event.toPromise(ne.onDidAddConnection),await this.b(ne)}}e.$6g=q;var W;(function(ie){function ne(pe,ye){const ge=pe,M=ye&&ye.disableMarshalling,Q=new Map;for(const ve in ge)H(ve)&&Q.set(ve,k.Event.buffer(ge[ve],!0));return new class{listen(ve,Se,ee){const te=Q.get(Se);if(te)return te;if(ce(Se)){const ue=ge[Se];if(typeof ue=="function")return ue.call(ge,ee)}throw new Error(`Event not found: ${Se}`)}call(ve,Se,ee){const te=ge[Se];if(typeof te=="function"){if(!M&&Array.isArray(ee))for(let ue=0;ue<ee.length;ue++)ee[ue]=(0,L.$Ug)(ee[ue]);return te.apply(ge,ee)}throw new Error(`Method not found: ${Se}`)}}}ie.fromService=ne;function V(pe,ye){const ge=ye&&ye.disableMarshalling;return new Proxy({},{get(M,Q){if(typeof Q=="string")return ye?.properties?.has(Q)?ye.properties.get(Q):ce(Q)?function(ve){return pe.listen(Q,ve)}:H(Q)?pe.listen(Q):async function(...ve){let Se;ye&&!(0,v.$pe)(ye.context)?Se=[ye.context,...ve]:Se=ve;const ee=await pe.call(Q,Se);return ge?ee:(0,L.$Ug)(ee)};throw new Error(`Property not found: ${String(Q)}`)}})}ie.toService=V;function H(pe){return pe[0]==="o"&&pe[1]==="n"&&I.$Id(pe.charCodeAt(2))}function ce(pe){return/^onDynamic/.test(pe)&&I.$Id(pe.charCodeAt(9))}})(W||(e.ProxyChannel=W={}));const O=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function J(ie){if(Array.isArray(ie))return ie;if(ie&&typeof ie=="object"&&typeof ie.toString=="function"){const ne=ie.toString();if(ne!=="[object Object]")return ne}return ie}function z(ie){return Array.isArray(ie)?ie.map(J):J(ie)}function j(ie,ne,V,H,ce,pe,ye){ye=z(ye);const ge=O[ce],M=ge[H%ge.length];let Q=[`%c[${ie}]%c[${String(ne).padStart(7," ")}]%c[len: ${String(V).padStart(5," ")}]%c${String(H).padStart(5," ")} - ${pe}`,"color: darkgreen","color: grey","color: grey",`color: ${M}`];/\($/.test(pe)?(Q=Q.concat(ye),Q.push(")")):Q.push(ye),console.log.apply(console,Q)}class he{constructor(ne,V){this.d=ne,this.f=V,this.a=0,this.b=0}logOutgoing(ne,V,H,ce,pe){this.b+=ne,j(this.d,this.b,ne,V,H,ce,pe)}logIncoming(ne,V,H,ce,pe){this.a+=ne,j(this.f,this.a,ne,V,H,ce,pe)}}e.$7g=he}),define(De[122],Ce([1,0,22,3,4,75]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_g=e.$$g=e.$0g=e.$9g=e.ProtocolConstants=e.$8g=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var R;(function(t){t.Created="created",t.Read="read",t.Write="write",t.Open="open",t.Error="error",t.Close="close",t.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",t.NodeEndReceived="nodeEndReceived",t.NodeEndSent="nodeEndSent",t.NodeDrainBegin="nodeDrainBegin",t.NodeDrainEnd="nodeDrainEnd",t.zlibInflateError="zlibInflateError",t.zlibInflateData="zlibInflateData",t.zlibInflateInitialWrite="zlibInflateInitialWrite",t.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",t.zlibInflateWrite="zlibInflateWrite",t.zlibInflateFlushFired="zlibInflateFlushFired",t.zlibDeflateError="zlibDeflateError",t.zlibDeflateData="zlibDeflateData",t.zlibDeflateWrite="zlibDeflateWrite",t.zlibDeflateFlushFired="zlibDeflateFlushFired",t.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",t.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",t.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",t.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",t.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",t.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",t.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",t.ProtocolHeaderRead="protocolHeaderRead",t.ProtocolMessageRead="protocolMessageRead",t.ProtocolHeaderWrite="protocolHeaderWrite",t.ProtocolMessageWrite="protocolMessageWrite",t.ProtocolWrite="protocolWrite"})(R||(e.SocketDiagnosticsEventType=R={}));var g;(function(t){t.enableDiagnostics=!1,t.records=[];const u=new WeakMap;let $=0;function d(y,c){if(!u.has(y)){const r=String(++$);u.set(y,r)}return u.get(y)}function S(y,c,r,P){if(!t.enableDiagnostics)return;const N=d(y,c);if(P instanceof b.$Ib||P instanceof Uint8Array||P instanceof ArrayBuffer||ArrayBuffer.isView(P)){const U=b.$Ib.alloc(P.byteLength);U.set(P),t.records.push({timestamp:Date.now(),id:N,label:c,type:r,buff:U})}else t.records.push({timestamp:Date.now(),id:N,label:c,type:r,data:P})}t.traceSocketEvent=S})(g||(e.SocketDiagnostics=g={}));var k;(function(t){t[t.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",t[t.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(k||(e.SocketCloseEventType=k={}));let m=null;function L(){return m||(m=b.$Ib.alloc(0)),m}class I{get byteLength(){return this.b}constructor(){this.a=[],this.b=0}acceptChunk(u){this.a.push(u),this.b+=u.byteLength}read(u){return this.c(u,!0)}peek(u){return this.c(u,!1)}c(u,$){if(u===0)return L();if(u>this.b)throw new Error("Cannot read so many bytes!");if(this.a[0].byteLength===u){const c=this.a[0];return $&&(this.a.shift(),this.b-=u),c}if(this.a[0].byteLength>u){const c=this.a[0].slice(0,u);return $&&(this.a[0]=this.a[0].slice(u),this.b-=u),c}const d=b.$Ib.alloc(u);let S=0,y=0;for(;u>0;){const c=this.a[y];if(c.byteLength>u){const r=c.slice(0,u);d.set(r,S),S+=u,$&&(this.a[y]=c.slice(u),this.b-=u),u-=u}else d.set(c,S),S+=c.byteLength,$?(this.a.shift(),this.b-=c.byteLength):y++,u-=c.byteLength}return d}}e.$8g=I;var v;(function(t){t[t.None=0]="None",t[t.Regular=1]="Regular",t[t.Control=2]="Control",t[t.Ack=3]="Ack",t[t.Disconnect=5]="Disconnect",t[t.ReplayRequest=6]="ReplayRequest",t[t.Pause=7]="Pause",t[t.Resume=8]="Resume",t[t.KeepAlive=9]="KeepAlive"})(v||(v={}));function D(t){switch(t){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive"}}var C;(function(t){t[t.HeaderLength=13]="HeaderLength",t[t.AcknowledgeTime=2e3]="AcknowledgeTime",t[t.TimeoutTime=2e4]="TimeoutTime",t[t.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",t[t.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime",t[t.KeepAliveSendTime=5e3]="KeepAliveSendTime"})(C||(e.ProtocolConstants=C={}));class w{constructor(u,$,d,S){this.type=u,this.id=$,this.ack=d,this.data=S,this.writtenTime=0}get size(){return this.data.byteLength}}class i extends h.$kb{constructor(u){super(),this.f=this.B(new A.$5c),this.onMessage=this.f.event,this.g={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this.a=u,this.b=!1,this.c=new I,this.B(this.a.onData($=>this.acceptChunk($))),this.lastReadTime=Date.now()}acceptChunk(u){if(!(!u||u.byteLength===0))for(this.lastReadTime=Date.now(),this.c.acceptChunk(u);this.c.byteLength>=this.g.readLen;){const $=this.c.read(this.g.readLen);if(this.g.readHead)this.g.readHead=!1,this.g.readLen=$.readUInt32BE(9),this.g.messageType=$.readUInt8(0),this.g.id=$.readUInt32BE(1),this.g.ack=$.readUInt32BE(5),this.a.traceSocketEvent("protocolHeaderRead",{messageType:D(this.g.messageType),id:this.g.id,ack:this.g.ack,messageSize:this.g.readLen});else{const d=this.g.messageType,S=this.g.id,y=this.g.ack;if(this.g.readHead=!0,this.g.readLen=13,this.g.messageType=0,this.g.id=0,this.g.ack=0,this.a.traceSocketEvent("protocolMessageRead",$),this.f.fire(new w(d,S,y,$)),this.b)break}}}readEntireBuffer(){return this.c.read(this.c.byteLength)}dispose(){this.b=!0,super.dispose()}}class l{constructor(u){this.k=null,this.a=!1,this.b=!1,this.c=u,this.d=[],this.f=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this.a=!0}drain(){return this.flush(),this.c.drain()}flush(){this.m()}pause(){this.b=!0}resume(){this.b=!1,this.l()}write(u){if(this.a)return;u.writtenTime=Date.now(),this.lastWriteTime=Date.now();const $=b.$Ib.alloc(13);$.writeUInt8(u.type,0),$.writeUInt32BE(u.id,1),$.writeUInt32BE(u.ack,5),$.writeUInt32BE(u.data.byteLength,9),this.c.traceSocketEvent("protocolHeaderWrite",{messageType:D(u.type),id:u.id,ack:u.ack,messageSize:u.data.byteLength}),this.c.traceSocketEvent("protocolMessageWrite",u.data),this.j($,u.data)}g(u,$){const d=this.f===0;return this.d.push(u,$),this.f+=u.byteLength+$.byteLength,d}h(){const u=b.$Ib.concat(this.d,this.f);return this.d.length=0,this.f=0,u}j(u,$){this.g(u,$)&&this.l()}l(){this.k||(this.k=setTimeout(()=>{this.k=null,this.m()}))}m(){if(this.f===0||this.b)return;const u=this.h();this.c.traceSocketEvent("protocolWrite",{byteLength:u.byteLength}),this.c.write(u)}}class a extends h.$kb{constructor(u){super(),this.f=new A.$5c,this.onMessage=this.f.event,this.g=new A.$5c,this.onDidDispose=this.g.event,this.a=u,this.b=this.B(new l(this.a)),this.c=this.B(new i(this.a)),this.B(this.c.onMessage($=>{$.type===1&&this.f.fire($.data)})),this.B(this.a.onClose(()=>this.g.fire()))}drain(){return this.b.drain()}getSocket(){return this.a}sendDisconnect(){}send(u){this.b.write(new w(1,0,0,u))}}e.$9g=a;class p extends F.$3g{static fromSocket(u,$){return new p(new a(u),$)}get onDidDispose(){return this.b.onDidDispose}constructor(u,$,d=null){super(u,$,d),this.b=u}dispose(){super.dispose();const u=this.b.getSocket();this.b.sendDisconnect(),this.b.dispose(),u.end()}}e.$0g=p;class f{constructor(){this.b=!1,this.c=!1,this.d=[],this.a=new A.$5c({onWillAddFirstListener:()=>{this.b=!0,queueMicrotask(()=>this.f())},onDidRemoveLastListener:()=>{this.b=!1}}),this.event=this.a.event}f(){if(!this.c){for(this.c=!0;this.b&&this.d.length>0;)this.a.fire(this.d.shift());this.c=!1}}fire(u){this.b?this.d.length>0?this.d.push(u):this.a.fire(u):this.d.push(u)}flushBuffer(){this.d=[]}}e.$$g=f;class E{constructor(u){this.data=u,this.next=null}}class n{constructor(){this.a=null,this.b=null}length(){let u=0,$=this.a;for(;$;)$=$.next,u++;return u}peek(){return this.a?this.a.data:null}toArray(){const u=[];let $=0,d=this.a;for(;d;)u[$++]=d.data,d=d.next;return u}pop(){if(this.a){if(this.a===this.b){this.a=null,this.b=null;return}this.a=this.a.next}}push(u){const $=new E(u);if(!this.a){this.a=$,this.b=$;return}this.b.next=$,this.b=$}}class o{static getInstance(){return o.b||(o.b=new o),o.b}constructor(){this.c=[];const u=Date.now();for(let $=0;$<o.a;$++)this.c[$]=u-1e3*$;setInterval(()=>{for(let $=o.a;$>=1;$--)this.c[$]=this.c[$-1];this.c[0]=Date.now()},1e3)}d(){const u=Date.now(),$=(1+o.a)*1e3;let d=0;for(let S=0;S<o.a;S++)u-this.c[S]<=$&&d++;return 1-d/o.a}hasHighLoad(){return this.d()>=.5}}o.a=10,o.b=null;class s{get unacknowledgedCount(){return this.c-this.d}constructor(u){this.u=new f,this.onControlMessage=this.u.event,this.v=new f,this.onMessage=this.v.event,this.w=new f,this.onDidDispose=this.w.event,this.x=new f,this.onSocketClose=this.x.event,this.y=new f,this.onSocketTimeout=this.y.event,this.s=u.loadEstimator??o.getInstance(),this.t=u.sendKeepAlive??!0,this.a=!1,this.b=new n,this.c=0,this.d=0,this.f=null,this.g=0,this.h=0,this.j=0,this.k=null,this.m=0,this.n=Date.now(),this.r=new h.$jb,this.o=u.socket,this.p=this.r.add(new l(this.o)),this.q=this.r.add(new i(this.o)),this.r.add(this.q.onMessage($=>this.z($))),this.r.add(this.o.onClose($=>this.x.fire($))),u.initialChunk&&this.q.acceptChunk(u.initialChunk),this.t?this.l=setInterval(()=>{this.D()},5e3):this.l=null}dispose(){this.f&&(clearTimeout(this.f),this.f=null),this.k&&(clearTimeout(this.k),this.k=null),this.l&&(clearInterval(this.l),this.l=null),this.r.dispose()}drain(){return this.p.drain()}sendDisconnect(){const u=new w(5,0,0,L());this.p.write(u),this.p.flush()}sendPause(){const u=new w(7,0,0,L());this.p.write(u)}sendResume(){const u=new w(8,0,0,L());this.p.write(u)}pauseSocketWriting(){this.p.pause()}getSocket(){return this.o}getMillisSinceLastIncomingData(){return Date.now()-this.q.lastReadTime}beginAcceptReconnection(u,$){this.a=!0,this.r.dispose(),this.r=new h.$jb,this.u.flushBuffer(),this.x.flushBuffer(),this.y.flushBuffer(),this.o.dispose(),this.m=0,this.n=Date.now(),this.o=u,this.p=this.r.add(new l(this.o)),this.q=this.r.add(new i(this.o)),this.r.add(this.q.onMessage(d=>this.z(d))),this.r.add(this.o.onClose(d=>this.x.fire(d))),this.q.acceptChunk($)}endAcceptReconnection(){this.a=!1,this.h=this.g;const u=new w(3,0,this.h,L());this.p.write(u);const $=this.b.toArray();for(let d=0,S=$.length;d<S;d++)this.p.write($[d]);this.B()}acceptDisconnect(){this.w.fire()}z(u){if(u.ack>this.d){this.d=u.ack;do{const $=this.b.peek();if($&&$.id<=u.ack)this.b.pop();else break}while(!0)}switch(u.type){case 0:break;case 1:{if(u.id>this.g)if(u.id!==this.g+1){const $=Date.now();$-this.m>1e4&&(this.m=$,this.p.write(new w(6,0,0,L())))}else this.g=u.id,this.j=Date.now(),this.A(),this.v.fire(u.data);break}case 2:{this.u.fire(u.data);break}case 3:break;case 5:{this.w.fire();break}case 6:{const $=this.b.toArray();for(let d=0,S=$.length;d<S;d++)this.p.write($[d]);this.B();break}case 7:{this.p.pause();break}case 8:{this.p.resume();break}case 9:break}}readEntireBuffer(){return this.q.readEntireBuffer()}flush(){this.p.flush()}send(u){const $=++this.c;this.h=this.g;const d=new w(1,$,this.h,u);this.b.push(d),this.a||(this.p.write(d),this.B())}sendControl(u){const $=new w(2,0,0,u);this.p.write($)}A(){if(this.g<=this.h||this.k)return;const u=Date.now()-this.j;if(u>=2e3){this.C();return}this.k=setTimeout(()=>{this.k=null,this.A()},2e3-u+5)}B(){if(this.c<=this.d||this.f||this.a)return;const u=this.b.peek(),$=Date.now()-u.writtenTime,d=Date.now()-this.q.lastReadTime,S=Date.now()-this.n;if($>=2e4&&d>=2e4&&S>=2e4&&!this.s.hasHighLoad()){this.n=Date.now(),this.y.fire({unacknowledgedMsgCount:this.b.length(),timeSinceOldestUnacknowledgedMsg:$,timeSinceLastReceivedSomeData:d});return}const y=Math.max(2e4-$,2e4-d,2e4-S,500);this.f=setTimeout(()=>{this.f=null,this.B()},y)}C(){if(this.g<=this.h)return;this.h=this.g;const u=new w(3,0,this.h,L());this.p.write(u)}D(){this.h=this.g;const u=new w(9,0,this.h,L());this.p.write(u)}}e.$_g=s}),define(De[173],Ce([1,0,46,17,22,21,172,8,3,4,24,96,93,75]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dp=e.$Cp=void 0;class C extends D.$Zg{constructor(l){super({send:a=>{try{process.send?.(a.buffer.toString("base64"))}catch{}},onMessage:k.Event.fromNodeEventEmitter(process,"message",a=>h.$Ib.wrap(Buffer.from(a,"base64")))},l),process.once("disconnect",()=>this.dispose())}}e.$Cp=C;class w{constructor(l,a){this.i=l,this.j=a,this.c=new Set,this.g=new Map,this.h=new k.$5c,this.onDidProcessExit=this.h.event;const p=a&&a.timeout?a.timeout:6e4;this.b=new A.$og(p),this.d=null,this.f=null}getChannel(l){const a=this;return{call(p,f,E){return a.k(l,p,f,E)},listen(p,f){return a.l(l,p,f)}}}k(l,a,p,f=F.CancellationToken.None){if(!this.b)return Promise.reject(new Error("disposed"));if(f.isCancellationRequested)return Promise.reject(g.$3());this.b.cancel();const E=this.n(l),n=(0,A.$fg)(t=>E.call(a,p,t)),o=f.onCancellationRequested(()=>n.cancel()),s=(0,m.$ib)(()=>n.cancel());return this.c.add(s),n.finally(()=>{o.dispose(),this.c.delete(s),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}),n}l(l,a,p){if(!this.b)return k.Event.None;this.b.cancel();let f;const E=new k.$5c({onWillAddFirstListener:()=>{f=this.n(l).listen(a,p)(E.fire,E),this.c.add(f)},onDidRemoveLastListener:()=>{this.c.delete(f),f.dispose(),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}});return E.event}get m(){if(!this.f){const l=this.j&&this.j.args?this.j.args:[],a=Object.create(null);a.env={...(0,L.$Dm)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.j&&this.j.env&&(a.env={...a.env,...this.j.env}),this.j&&this.j.freshExecArgv&&(a.execArgv=[]),this.j&&typeof this.j.debug=="number"&&(a.execArgv=["--nolazy","--inspect="+this.j.debug]),this.j&&typeof this.j.debugBrk=="number"&&(a.execArgv=["--nolazy","--inspect-brk="+this.j.debugBrk]),a.execArgv===void 0&&(a.execArgv=process.execArgv.filter(u=>!/^--inspect(-brk)?=/.test(u)).filter(u=>!u.startsWith("--vscode-"))),(0,v.$cl)(a.env),this.d=(0,b.fork)(this.i,l,a);const p=new k.$5c;k.Event.fromNodeEventEmitter(this.d,"message",u=>u)(u=>{if((0,R.$yp)(u)){(0,R.log)(u,`IPC Library: ${this.j.serverName}`);return}p.fire(h.$Ib.wrap(Buffer.from(u,"base64")))});const E=this.j.useQueue?(0,I.$el)(this.d):this.d,n=u=>this.d&&this.d.connected&&E.send(u.buffer.toString("base64")),o=p.event,s={send:n,onMessage:o};this.f=new D.$1g(s);const t=()=>this.o();process.once("exit",t),this.d.on("error",u=>console.warn('IPC "'+this.j.serverName+'" errored with '+u)),this.d.on("exit",(u,$)=>{process.removeListener("exit",t),this.c.forEach(d=>(0,m.$fb)(d)),this.c.clear(),u!==0&&$!=="SIGTERM"&&console.warn('IPC "'+this.j.serverName+'" crashed with exit code '+u+" and signal "+$),this.b?.cancel(),this.o(),this.h.fire({code:u,signal:$})})}return this.f}n(l){let a=this.g.get(l);return a||(a=this.m.getChannel(l),this.g.set(l,a)),a}o(){this.f&&(this.d&&(this.d.kill(),this.d=null),this.f=null,this.g.clear())}dispose(){this.h.dispose(),this.b?.cancel(),this.b=void 0,this.o(),this.c.clear()}}e.$Dp=w}),define(De[174],Ce([1,0,33,11]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xE=void 0;function h(F,R,g,k,m,L){if(Array.isArray(F)){let I=0;for(const v of F){const D=h(v,R,g,k,m,L);if(D===10)return D;D>I&&(I=D)}return I}else{if(typeof F=="string")return k?F==="*"?5:F===g?10:0:0;if(F){const{language:I,pattern:v,scheme:D,hasAccessToAllModels:C,notebookType:w}=F;if(!k&&!C)return 0;w&&m&&(R=m);let i=0;if(D)if(D===R.scheme)i=10;else if(D==="*")i=5;else return 0;if(I)if(I===g)i=10;else if(I==="*")i=Math.max(i,5);else return 0;if(w)if(w===L)i=10;else if(w==="*"&&L!==void 0)i=Math.max(i,5);else return 0;if(v){let l;if(typeof v=="string"?l=v:l={...v,base:(0,A.$9b)(v.base)},l===R.fsPath||(0,b.$_i)(l,R.fsPath))i=10;else return 0}return i}else return 0}}e.$xE=h}),define(De[76],Ce([1,0,72,2,35,165]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.$ps=e.$os=e.InlayHintKind=e.CommentState=e.CommentMode=e.CommentThreadState=e.CommentThreadCollapsibleState=e.Command=e.$ns=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.$ms=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.$ls=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.$ks=e.$js=e.$is=void 0;class R{constructor(P,N,U){this.offset=P,this.type=N,this.language=U,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}e.$is=R;class g{constructor(P,N){this.tokens=P,this.endState=N,this._tokenizationResultBrand=void 0}}e.$js=g;class k{constructor(P,N){this.tokens=P,this.endState=N,this._encodedTokenizationResultBrand=void 0}}e.$ks=k;var m;(function(r){r[r.Method=0]="Method",r[r.Function=1]="Function",r[r.Constructor=2]="Constructor",r[r.Field=3]="Field",r[r.Variable=4]="Variable",r[r.Class=5]="Class",r[r.Struct=6]="Struct",r[r.Interface=7]="Interface",r[r.Module=8]="Module",r[r.Property=9]="Property",r[r.Event=10]="Event",r[r.Operator=11]="Operator",r[r.Unit=12]="Unit",r[r.Value=13]="Value",r[r.Constant=14]="Constant",r[r.Enum=15]="Enum",r[r.EnumMember=16]="EnumMember",r[r.Keyword=17]="Keyword",r[r.Text=18]="Text",r[r.Color=19]="Color",r[r.File=20]="File",r[r.Reference=21]="Reference",r[r.Customcolor=22]="Customcolor",r[r.Folder=23]="Folder",r[r.TypeParameter=24]="TypeParameter",r[r.User=25]="User",r[r.Issue=26]="Issue",r[r.Snippet=27]="Snippet"})(m||(e.CompletionItemKind=m={}));var L;(function(r){const P=new Map;P.set(0,b.$yj.symbolMethod),P.set(1,b.$yj.symbolFunction),P.set(2,b.$yj.symbolConstructor),P.set(3,b.$yj.symbolField),P.set(4,b.$yj.symbolVariable),P.set(5,b.$yj.symbolClass),P.set(6,b.$yj.symbolStruct),P.set(7,b.$yj.symbolInterface),P.set(8,b.$yj.symbolModule),P.set(9,b.$yj.symbolProperty),P.set(10,b.$yj.symbolEvent),P.set(11,b.$yj.symbolOperator),P.set(12,b.$yj.symbolUnit),P.set(13,b.$yj.symbolValue),P.set(15,b.$yj.symbolEnum),P.set(14,b.$yj.symbolConstant),P.set(15,b.$yj.symbolEnum),P.set(16,b.$yj.symbolEnumMember),P.set(17,b.$yj.symbolKeyword),P.set(27,b.$yj.symbolSnippet),P.set(18,b.$yj.symbolText),P.set(19,b.$yj.symbolColor),P.set(20,b.$yj.symbolFile),P.set(21,b.$yj.symbolReference),P.set(22,b.$yj.symbolCustomColor),P.set(23,b.$yj.symbolFolder),P.set(24,b.$yj.symbolTypeParameter),P.set(25,b.$yj.account),P.set(26,b.$yj.issues);function N(W){let O=P.get(W);return O||(console.info("No codicon found for CompletionItemKind "+W),O=b.$yj.symbolProperty),O}r.toIcon=N;const U=new Map;U.set("method",0),U.set("function",1),U.set("constructor",2),U.set("field",3),U.set("variable",4),U.set("class",5),U.set("struct",6),U.set("interface",7),U.set("module",8),U.set("property",9),U.set("event",10),U.set("operator",11),U.set("unit",12),U.set("value",13),U.set("constant",14),U.set("enum",15),U.set("enum-member",16),U.set("enumMember",16),U.set("keyword",17),U.set("snippet",27),U.set("text",18),U.set("color",19),U.set("file",20),U.set("reference",21),U.set("customcolor",22),U.set("folder",23),U.set("type-parameter",24),U.set("typeParameter",24),U.set("account",25),U.set("issue",26);function q(W,O){let J=U.get(W);return typeof J>"u"&&!O&&(J=9),J}r.fromString=q})(L||(e.CompletionItemKinds=L={}));var I;(function(r){r[r.Deprecated=1]="Deprecated"})(I||(e.CompletionItemTag=I={}));var v;(function(r){r[r.None=0]="None",r[r.KeepWhitespace=1]="KeepWhitespace",r[r.InsertAsSnippet=4]="InsertAsSnippet"})(v||(e.CompletionItemInsertTextRule=v={}));var D;(function(r){r[r.Invoke=0]="Invoke",r[r.TriggerCharacter=1]="TriggerCharacter",r[r.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(D||(e.CompletionTriggerKind=D={}));var C;(function(r){r[r.Automatic=0]="Automatic",r[r.Explicit=1]="Explicit"})(C||(e.InlineCompletionTriggerKind=C={}));class w{constructor(P,N,U,q){this.range=P,this.text=N,this.completionKind=U,this.isSnippetText=q}equals(P){return h.$Kr.lift(this.range).equalsRange(P.range)&&this.text===P.text&&this.completionKind===P.completionKind&&this.isSnippetText===P.isSnippetText}}e.$ls=w;var i;(function(r){r[r.Invoke=1]="Invoke",r[r.Auto=2]="Auto"})(i||(e.CodeActionTriggerType=i={}));var l;(function(r){r[r.Invoke=1]="Invoke",r[r.TriggerCharacter=2]="TriggerCharacter",r[r.ContentChange=3]="ContentChange"})(l||(e.SignatureHelpTriggerKind=l={}));var a;(function(r){r[r.Text=0]="Text",r[r.Read=1]="Read",r[r.Write=2]="Write"})(a||(e.DocumentHighlightKind=a={}));function p(r){return r&&A.URI.isUri(r.uri)&&h.$Kr.isIRange(r.range)&&(h.$Kr.isIRange(r.originSelectionRange)||h.$Kr.isIRange(r.targetSelectionRange))}e.$ms=p;var f;(function(r){r[r.File=0]="File",r[r.Module=1]="Module",r[r.Namespace=2]="Namespace",r[r.Package=3]="Package",r[r.Class=4]="Class",r[r.Method=5]="Method",r[r.Property=6]="Property",r[r.Field=7]="Field",r[r.Constructor=8]="Constructor",r[r.Enum=9]="Enum",r[r.Interface=10]="Interface",r[r.Function=11]="Function",r[r.Variable=12]="Variable",r[r.Constant=13]="Constant",r[r.String=14]="String",r[r.Number=15]="Number",r[r.Boolean=16]="Boolean",r[r.Array=17]="Array",r[r.Object=18]="Object",r[r.Key=19]="Key",r[r.Null=20]="Null",r[r.EnumMember=21]="EnumMember",r[r.Struct=22]="Struct",r[r.Event=23]="Event",r[r.Operator=24]="Operator",r[r.TypeParameter=25]="TypeParameter"})(f||(e.SymbolKind=f={}));var E;(function(r){r[r.Deprecated=1]="Deprecated"})(E||(e.SymbolTag=E={}));var n;(function(r){const P=new Map;P.set(0,b.$yj.symbolFile),P.set(1,b.$yj.symbolModule),P.set(2,b.$yj.symbolNamespace),P.set(3,b.$yj.symbolPackage),P.set(4,b.$yj.symbolClass),P.set(5,b.$yj.symbolMethod),P.set(6,b.$yj.symbolProperty),P.set(7,b.$yj.symbolField),P.set(8,b.$yj.symbolConstructor),P.set(9,b.$yj.symbolEnum),P.set(10,b.$yj.symbolInterface),P.set(11,b.$yj.symbolFunction),P.set(12,b.$yj.symbolVariable),P.set(13,b.$yj.symbolConstant),P.set(14,b.$yj.symbolString),P.set(15,b.$yj.symbolNumber),P.set(16,b.$yj.symbolBoolean),P.set(17,b.$yj.symbolArray),P.set(18,b.$yj.symbolObject),P.set(19,b.$yj.symbolKey),P.set(20,b.$yj.symbolNull),P.set(21,b.$yj.symbolEnumMember),P.set(22,b.$yj.symbolStruct),P.set(23,b.$yj.symbolEvent),P.set(24,b.$yj.symbolOperator),P.set(25,b.$yj.symbolTypeParameter);function N(U){let q=P.get(U);return q||(console.info("No codicon found for SymbolKind "+U),q=b.$yj.symbolProperty),q}r.toIcon=N})(n||(e.SymbolKinds=n={}));class o{static fromValue(P){switch(P){case"comment":return o.Comment;case"imports":return o.Imports;case"region":return o.Region}return new o(P)}constructor(P){this.value=P}}e.$ns=o,o.Comment=new o("comment"),o.Imports=new o("imports"),o.Region=new o("region");var s;(function(r){function P(N){return!N||typeof N!="object"?!1:typeof N.id=="string"&&typeof N.title=="string"}r.is=P})(s||(e.Command=s={}));var t;(function(r){r[r.Collapsed=0]="Collapsed",r[r.Expanded=1]="Expanded"})(t||(e.CommentThreadCollapsibleState=t={}));var u;(function(r){r[r.Unresolved=0]="Unresolved",r[r.Resolved=1]="Resolved"})(u||(e.CommentThreadState=u={}));var $;(function(r){r[r.Editing=0]="Editing",r[r.Preview=1]="Preview"})($||(e.CommentMode=$={}));var d;(function(r){r[r.Published=0]="Published",r[r.Draft=1]="Draft"})(d||(e.CommentState=d={}));var S;(function(r){r[r.Type=1]="Type",r[r.Parameter=2]="Parameter"})(S||(e.InlayHintKind=S={}));class y{constructor(P){this.b=P,this.a=null}dispose(){this.a&&this.a.then(P=>{P&&P.dispose()})}get tokenizationSupport(){return this.a||(this.a=this.b()),this.a}}e.$os=y,e.$ps=new F.$as;var c;(function(r){r[r.None=0]="None",r[r.Option=1]="Option",r[r.Default=2]="Default",r[r.Preferred=3]="Preferred"})(c||(e.ExternalUriOpenerPriority=c={}))}),define(De[123],Ce([1,0,22,10]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$d7=e.$c7=void 0;var h;(function(I){I[I.Full=1]="Full",I[I.Delta=2]="Delta"})(h||(h={}));function F(I){for(let v=0,D=I.length;v<D;v+=4){const C=I[v+0],w=I[v+1],i=I[v+2],l=I[v+3];I[v+0]=l,I[v+1]=i,I[v+2]=w,I[v+3]=C}}function R(I){const v=new Uint8Array(I.buffer,I.byteOffset,I.length*4);return A.$C()||F(v),b.$Ib.wrap(v)}function g(I){const v=I.buffer;if(A.$C()||F(v),v.byteOffset%4===0)return new Uint32Array(v.buffer,v.byteOffset,v.length/4);{const D=new Uint8Array(v.byteLength);return D.set(v),new Uint32Array(D.buffer,D.byteOffset,D.length/4)}}function k(I){const v=new Uint32Array(m(I));let D=0;if(v[D++]=I.id,I.type==="full")v[D++]=1,v[D++]=I.data.length,v.set(I.data,D),D+=I.data.length;else{v[D++]=2,v[D++]=I.deltas.length;for(const C of I.deltas)v[D++]=C.start,v[D++]=C.deleteCount,C.data?(v[D++]=C.data.length,v.set(C.data,D),D+=C.data.length):v[D++]=0}return R(v)}e.$c7=k;function m(I){let v=0;if(v+=1+1,I.type==="full")v+=1+I.data.length;else{v+=1,v+=(1+1+1)*I.deltas.length;for(const D of I.deltas)D.data&&(v+=D.data.length)}return v}function L(I){const v=g(I);let D=0;const C=v[D++];if(v[D++]===1){const a=v[D++],p=v.subarray(D,D+a);return D+=a,{id:C,type:"full",data:p}}const i=v[D++],l=[];for(let a=0;a<i;a++){const p=v[D++],f=v[D++],E=v[D++];let n;E>0&&(n=v.subarray(D,D+E),D+=E),l[a]={start:p,deleteCount:f,data:n}}return{id:C,type:"delta",deltas:l}}e.$d7=L}),define(De[175],Ce([13,14]),function(re,e){return re.create("vs/editor/common/config/editorOptions",e)}),define(De[124],Ce([1,0,19,24,10,157,116,175]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontVariations=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedFloat=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var k;(function(_){_[_.None=0]="None",_[_.Keep=1]="Keep",_[_.Brackets=2]="Brackets",_[_.Advanced=3]="Advanced",_[_.Full=4]="Full"})(k||(e.EditorAutoIndentStrategy=k={})),e.MINIMAP_GUTTER_WIDTH=8;class m{constructor(Y){this.c=Y}hasChanged(Y){return this.c[Y]}}e.ConfigurationChangedEvent=m;class L{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=L;class I{constructor(Y,we,je,Oe){this.id=Y,this.name=we,this.defaultValue=je,this.schema=Oe}applyUpdate(Y,we){return D(Y,we)}compute(Y,we,je){return je}}class v{constructor(Y,we){this.newValue=Y,this.didChange=we}}e.ApplyUpdateResult=v;function D(_,Y){if(typeof _!="object"||typeof Y!="object"||!_||!Y)return new v(Y,_!==Y);if(Array.isArray(_)||Array.isArray(Y)){const je=Array.isArray(_)&&Array.isArray(Y)&&b.$$e(_,Y);return new v(Y,!je)}let we=!1;for(const je in Y)if(Y.hasOwnProperty(je)){const Oe=D(_[je],Y[je]);Oe.didChange&&(_[je]=Oe.newValue,we=!0)}return new v(_,we)}class C{constructor(Y){this.schema=void 0,this.id=Y,this.name="_never_",this.defaultValue=void 0}applyUpdate(Y,we){return D(Y,we)}validate(Y){return this.defaultValue}}class w{constructor(Y,we,je,Oe){this.id=Y,this.name=we,this.defaultValue=je,this.schema=Oe}applyUpdate(Y,we){return D(Y,we)}validate(Y){return typeof Y>"u"?this.defaultValue:Y}compute(Y,we,je){return je}}function i(_,Y){return typeof _>"u"?Y:_==="false"?!1:!!_}e.boolean=i;class l extends w{constructor(Y,we,je,Oe=void 0){typeof Oe<"u"&&(Oe.type="boolean",Oe.default=je),super(Y,we,je,Oe)}validate(Y){return i(Y,this.defaultValue)}}function a(_,Y,we,je){if(typeof _>"u")return Y;let Oe=parseInt(_,10);return isNaN(Oe)?Y:(Oe=Math.max(we,Oe),Oe=Math.min(je,Oe),Oe|0)}e.clampedInt=a;class p extends w{static clampedInt(Y,we,je,Oe){return a(Y,we,je,Oe)}constructor(Y,we,je,Oe,Ze,et=void 0){typeof et<"u"&&(et.type="integer",et.default=je,et.minimum=Oe,et.maximum=Ze),super(Y,we,je,et),this.minimum=Oe,this.maximum=Ze}validate(Y){return p.clampedInt(Y,this.defaultValue,this.minimum,this.maximum)}}function f(_,Y,we,je){if(typeof _>"u")return Y;const Oe=E.float(_,Y);return E.clamp(Oe,we,je)}e.clampedFloat=f;class E extends w{static clamp(Y,we,je){return Y<we?we:Y>je?je:Y}static float(Y,we){if(typeof Y=="number")return Y;if(typeof Y>"u")return we;const je=parseFloat(Y);return isNaN(je)?we:je}constructor(Y,we,je,Oe,Ze){typeof Ze<"u"&&(Ze.type="number",Ze.default=je),super(Y,we,je,Ze),this.validationFn=Oe}validate(Y){return this.validationFn(E.float(Y,this.defaultValue))}}class n extends w{static string(Y,we){return typeof Y!="string"?we:Y}constructor(Y,we,je,Oe=void 0){typeof Oe<"u"&&(Oe.type="string",Oe.default=je),super(Y,we,je,Oe)}validate(Y){return n.string(Y,this.defaultValue)}}function o(_,Y,we,je){return typeof _!="string"?Y:je&&_ in je?je[_]:we.indexOf(_)===-1?Y:_}e.stringSet=o;class s extends w{constructor(Y,we,je,Oe,Ze=void 0){typeof Ze<"u"&&(Ze.type="string",Ze.enum=Oe,Ze.default=je),super(Y,we,je,Ze),this.c=Oe}validate(Y){return o(Y,this.defaultValue,this.c)}}class t extends I{constructor(Y,we,je,Oe,Ze,et,nt=void 0){typeof nt<"u"&&(nt.type="string",nt.enum=Ze,nt.default=Oe),super(Y,we,je,nt),this.c=Ze,this.d=et}validate(Y){return typeof Y!="string"?this.defaultValue:this.c.indexOf(Y)===-1?this.defaultValue:this.d(Y)}}function u(_){switch(_){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class $ extends I{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[g.localize(0,null),g.localize(1,null),g.localize(2,null)],default:"auto",tags:["accessibility"],description:g.localize(3,null)})}validate(Y){switch(Y){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(Y,we,je){return je===0?Y.accessibilitySupport:je}}class d extends I{constructor(){const Y={insertSpace:!0,ignoreEmptyLines:!0};super(21,"comments",Y,{"editor.comments.insertSpace":{type:"boolean",default:Y.insertSpace,description:g.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:Y.ignoreEmptyLines,description:g.localize(5,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{insertSpace:i(we.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:i(we.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var S;(function(_){_[_.Hidden=0]="Hidden",_[_.Blink=1]="Blink",_[_.Smooth=2]="Smooth",_[_.Phase=3]="Phase",_[_.Expand=4]="Expand",_[_.Solid=5]="Solid"})(S||(e.TextEditorCursorBlinkingStyle=S={}));function y(_){switch(_){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var c;(function(_){_[_.Line=1]="Line",_[_.Block=2]="Block",_[_.Underline=3]="Underline",_[_.LineThin=4]="LineThin",_[_.BlockOutline=5]="BlockOutline",_[_.UnderlineThin=6]="UnderlineThin"})(c||(e.TextEditorCursorStyle=c={}));function r(_){switch(_){case c.Line:return"line";case c.Block:return"block";case c.Underline:return"underline";case c.LineThin:return"line-thin";case c.BlockOutline:return"block-outline";case c.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=r;function P(_){switch(_){case"line":return c.Line;case"block":return c.Block;case"underline":return c.Underline;case"line-thin":return c.LineThin;case"block-outline":return c.BlockOutline;case"underline-thin":return c.UnderlineThin}}class N extends C{constructor(){super(138)}compute(Y,we,je){const Oe=["monaco-editor"];return we.get(37)&&Oe.push(we.get(37)),Y.extraEditorClassName&&Oe.push(Y.extraEditorClassName),we.get(71)==="default"?Oe.push("mouse-default"):we.get(71)==="copy"&&Oe.push("mouse-copy"),we.get(108)&&Oe.push("showUnused"),we.get(136)&&Oe.push("showDeprecated"),Oe.join(" ")}}class U extends l{constructor(){super(35,"emptySelectionClipboard",!0,{description:g.localize(6,null)})}compute(Y,we,je){return je&&Y.emptySelectionClipboard}}class q extends I{constructor(){const Y={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(39,"find",Y,{"editor.find.cursorMoveOnType":{type:"boolean",default:Y.cursorMoveOnType,description:g.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:Y.seedSearchStringFromSelection,enumDescriptions:[g.localize(8,null),g.localize(9,null),g.localize(10,null)],description:g.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:Y.autoFindInSelection,enumDescriptions:[g.localize(12,null),g.localize(13,null),g.localize(14,null)],description:g.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:Y.globalFindClipboard,description:g.localize(16,null),included:h.$j},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:Y.addExtraSpaceOnTop,description:g.localize(17,null)},"editor.find.loop":{type:"boolean",default:Y.loop,description:g.localize(18,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{cursorMoveOnType:i(we.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof Y.seedSearchStringFromSelection=="boolean"?Y.seedSearchStringFromSelection?"always":"never":o(we.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof Y.autoFindInSelection=="boolean"?Y.autoFindInSelection?"always":"never":o(we.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:i(we.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:i(we.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:i(we.loop,this.defaultValue.loop)}}}class W extends I{constructor(){super(49,"fontLigatures",W.OFF,{anyOf:[{type:"boolean",description:g.localize(19,null)},{type:"string",description:g.localize(20,null)}],description:g.localize(21,null),default:!1})}validate(Y){return typeof Y>"u"?this.defaultValue:typeof Y=="string"?Y==="false"?W.OFF:Y==="true"?W.ON:Y:Y?W.ON:W.OFF}}e.EditorFontLigatures=W,W.OFF='"liga" off, "calt" off',W.ON='"liga" on, "calt" on';class O extends I{constructor(){super(52,"fontVariations",O.OFF,{anyOf:[{type:"boolean",description:g.localize(22,null)},{type:"string",description:g.localize(23,null)}],description:g.localize(24,null),default:!1})}validate(Y){return typeof Y>"u"?this.defaultValue:typeof Y=="string"?Y==="false"?O.OFF:Y==="true"?O.TRANSLATE:Y:Y?O.TRANSLATE:O.OFF}compute(Y,we,je){return Y.fontInfo.fontVariationSettings}}e.EditorFontVariations=O,O.OFF="normal",O.TRANSLATE="translate";class J extends C{constructor(){super(48)}compute(Y,we,je){return Y.fontInfo}}class z extends w{constructor(){super(50,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:g.localize(25,null)})}validate(Y){const we=E.float(Y,this.defaultValue);return we===0?e.EDITOR_FONT_DEFAULTS.fontSize:E.clamp(we,6,100)}compute(Y,we,je){return Y.fontInfo.fontSize}}class j extends I{constructor(){super(51,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:j.d,maximum:j.e,errorMessage:g.localize(26,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:j.c}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:g.localize(27,null)})}validate(Y){return Y==="normal"||Y==="bold"?Y:String(p.clampedInt(Y,e.EDITOR_FONT_DEFAULTS.fontWeight,j.d,j.e))}}j.c=["normal","bold","100","200","300","400","500","600","700","800","900"],j.d=1,j.e=1e3;class he extends I{constructor(){const Y={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},we={type:"string",enum:["peek","gotoAndPeek","goto"],default:Y.multiple,enumDescriptions:[g.localize(28,null),g.localize(29,null),g.localize(30,null)]},je=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(56,"gotoLocation",Y,{"editor.gotoLocation.multiple":{deprecationMessage:g.localize(31,null)},"editor.gotoLocation.multipleDefinitions":{description:g.localize(32,null),...we},"editor.gotoLocation.multipleTypeDefinitions":{description:g.localize(33,null),...we},"editor.gotoLocation.multipleDeclarations":{description:g.localize(34,null),...we},"editor.gotoLocation.multipleImplementations":{description:g.localize(35,null),...we},"editor.gotoLocation.multipleReferences":{description:g.localize(36,null),...we},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:Y.alternativeDefinitionCommand,enum:je,description:g.localize(37,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:Y.alternativeTypeDefinitionCommand,enum:je,description:g.localize(38,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:Y.alternativeDeclarationCommand,enum:je,description:g.localize(39,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:Y.alternativeImplementationCommand,enum:je,description:g.localize(40,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:Y.alternativeReferenceCommand,enum:je,description:g.localize(41,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{multiple:o(we.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:we.multipleDefinitions??o(we.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:we.multipleTypeDefinitions??o(we.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:we.multipleDeclarations??o(we.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:we.multipleImplementations??o(we.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:we.multipleReferences??o(we.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:n.string(we.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:n.string(we.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:n.string(we.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:n.string(we.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:n.string(we.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class ie extends I{constructor(){const Y={enabled:!0,delay:300,sticky:!0,above:!0};super(58,"hover",Y,{"editor.hover.enabled":{type:"boolean",default:Y.enabled,description:g.localize(42,null)},"editor.hover.delay":{type:"number",default:Y.delay,minimum:0,maximum:1e4,description:g.localize(43,null)},"editor.hover.sticky":{type:"boolean",default:Y.sticky,description:g.localize(44,null)},"editor.hover.above":{type:"boolean",default:Y.above,description:g.localize(45,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),delay:p.clampedInt(we.delay,this.defaultValue.delay,0,1e4),sticky:i(we.sticky,this.defaultValue.sticky),above:i(we.above,this.defaultValue.above)}}}var ne;(function(_){_[_.None=0]="None",_[_.Text=1]="Text",_[_.Blocks=2]="Blocks"})(ne||(e.RenderMinimap=ne={}));class V extends C{constructor(){super(141)}compute(Y,we,je){return V.computeLayout(we,{memory:Y.memory,outerWidth:Y.outerWidth,outerHeight:Y.outerHeight,isDominatedByLongLines:Y.isDominatedByLongLines,lineHeight:Y.fontInfo.lineHeight,viewLineCount:Y.viewLineCount,lineNumbersDigitCount:Y.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:Y.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:Y.fontInfo.maxDigitWidth,pixelRatio:Y.pixelRatio,glyphMarginDecorationLaneCount:Y.glyphMarginDecorationLaneCount})}static computeContainedMinimapLineCount(Y){const we=Y.height/Y.lineHeight,je=Math.floor(Y.paddingTop/Y.lineHeight);let Oe=Math.floor(Y.paddingBottom/Y.lineHeight);Y.scrollBeyondLastLine&&(Oe=Math.max(Oe,we-1));const Ze=(je+Y.viewLineCount+Oe)/(Y.pixelRatio*Y.height),et=Math.floor(Y.viewLineCount/Ze);return{typicalViewportLineCount:we,extraLinesBeforeFirstLine:je,extraLinesBeyondLastLine:Oe,desiredRatio:Ze,minimapLineCount:et}}static c(Y,we){const je=Y.outerWidth,Oe=Y.outerHeight,Ze=Y.pixelRatio;if(!Y.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Ze*Oe),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Oe};const et=we.stableMinimapLayoutInput,nt=et&&Y.outerHeight===et.outerHeight&&Y.lineHeight===et.lineHeight&&Y.typicalHalfwidthCharacterWidth===et.typicalHalfwidthCharacterWidth&&Y.pixelRatio===et.pixelRatio&&Y.scrollBeyondLastLine===et.scrollBeyondLastLine&&Y.paddingTop===et.paddingTop&&Y.paddingBottom===et.paddingBottom&&Y.minimap.enabled===et.minimap.enabled&&Y.minimap.side===et.minimap.side&&Y.minimap.size===et.minimap.size&&Y.minimap.showSlider===et.minimap.showSlider&&Y.minimap.renderCharacters===et.minimap.renderCharacters&&Y.minimap.maxColumn===et.minimap.maxColumn&&Y.minimap.scale===et.minimap.scale&&Y.verticalScrollbarWidth===et.verticalScrollbarWidth&&Y.isViewportWrapping===et.isViewportWrapping,ft=Y.lineHeight,vt=Y.typicalHalfwidthCharacterWidth,Nt=Y.scrollBeyondLastLine,Tt=Y.minimap.renderCharacters;let Et=Ze>=2?Math.round(Y.minimap.scale*2):Y.minimap.scale;const Bt=Y.minimap.maxColumn,Ot=Y.minimap.size,jt=Y.minimap.side,Vt=Y.verticalScrollbarWidth,Ht=Y.viewLineCount,lt=Y.remainingWidth,gt=Y.isViewportWrapping,Wt=Tt?2:3;let Rt=Math.floor(Ze*Oe);const Ct=Rt/Ze;let ut=!1,Pt=!1,Mt=Wt*Et,Fe=Et/Ze,Le=1;if(Ot==="fill"||Ot==="fit"){const{typicalViewportLineCount:it,extraLinesBeforeFirstLine:kt,extraLinesBeyondLastLine:It,desiredRatio:At,minimapLineCount:bt}=V.computeContainedMinimapLineCount({viewLineCount:Ht,scrollBeyondLastLine:Nt,paddingTop:Y.paddingTop,paddingBottom:Y.paddingBottom,height:Oe,lineHeight:ft,pixelRatio:Ze});if(Ht/bt>1)ut=!0,Pt=!0,Et=1,Mt=1,Fe=Et/Ze;else{let mt=!1,yt=Et+1;if(Ot==="fit"){const wt=Math.ceil((kt+Ht+It)*Mt);gt&&nt&&lt<=we.stableFitRemainingWidth?(mt=!0,yt=we.stableFitMaxMinimapScale):mt=wt>Rt}if(Ot==="fill"||mt){ut=!0;const wt=Et;Mt=Math.min(ft*Ze,Math.max(1,Math.floor(1/At))),gt&&nt&&lt<=we.stableFitRemainingWidth&&(yt=we.stableFitMaxMinimapScale),Et=Math.min(yt,Math.max(1,Math.floor(Mt/Wt))),Et>wt&&(Le=Math.min(2,Et/wt)),Fe=Et/Ze/Le,Rt=Math.ceil(Math.max(it,kt+Ht+It)*Mt),gt?(we.stableMinimapLayoutInput=Y,we.stableFitRemainingWidth=lt,we.stableFitMaxMinimapScale=Et):(we.stableMinimapLayoutInput=null,we.stableFitRemainingWidth=0)}}}const Ae=Math.floor(Bt*Fe),ae=Math.min(Ae,Math.max(0,Math.floor((lt-Vt-2)*Fe/(vt+Fe)))+e.MINIMAP_GUTTER_WIDTH);let Ne=Math.floor(Ze*ae);const Be=Ne/Ze;Ne=Math.floor(Ne*Le);const Ye=Tt?1:2,Ke=jt==="left"?0:je-ae-Vt;return{renderMinimap:Ye,minimapLeft:Ke,minimapWidth:ae,minimapHeightIsEditorHeight:ut,minimapIsSampling:Pt,minimapScale:Et,minimapLineHeight:Mt,minimapCanvasInnerWidth:Ne,minimapCanvasInnerHeight:Rt,minimapCanvasOuterWidth:Be,minimapCanvasOuterHeight:Ct}}static computeLayout(Y,we){const je=we.outerWidth|0,Oe=we.outerHeight|0,Ze=we.lineHeight|0,et=we.lineNumbersDigitCount|0,nt=we.typicalHalfwidthCharacterWidth,ft=we.maxDigitWidth,vt=we.pixelRatio,Nt=we.viewLineCount,Tt=Y.get(133),Et=Tt==="inherit"?Y.get(132):Tt,Bt=Et==="inherit"?Y.get(128):Et,Ot=Y.get(131),jt=we.isDominatedByLongLines,Vt=Y.get(55),Ht=Y.get(65).renderType!==0,lt=Y.get(66),gt=Y.get(102),Wt=Y.get(81),Rt=Y.get(70),Ct=Y.get(100),ut=Ct.verticalScrollbarSize,Pt=Ct.verticalHasArrows,Mt=Ct.arrowSize,Fe=Ct.horizontalScrollbarSize,Le=Y.get(41),Ae=Y.get(107)!=="never";let ae=Y.get(63);Le&&Ae&&(ae+=16);let Ne=0;if(Ht){const qt=Math.max(et,lt);Ne=Math.round(qt*ft)}let Be=0;Vt&&(Be=Ze*we.glyphMarginDecorationLaneCount);let Ye=0,Ke=Ye+Be,it=Ke+Ne,kt=it+ae;const It=je-Be-Ne-ae;let At=!1,bt=!1,pt=-1;Et==="inherit"&&jt?(At=!0,bt=!0):Bt==="on"||Bt==="bounded"?bt=!0:Bt==="wordWrapColumn"&&(pt=Ot);const mt=V.c({outerWidth:je,outerHeight:Oe,lineHeight:Ze,typicalHalfwidthCharacterWidth:nt,pixelRatio:vt,scrollBeyondLastLine:gt,paddingTop:Wt.top,paddingBottom:Wt.bottom,minimap:Rt,verticalScrollbarWidth:ut,viewLineCount:Nt,remainingWidth:It,isViewportWrapping:bt},we.memory||new L);mt.renderMinimap!==0&&mt.minimapLeft===0&&(Ye+=mt.minimapWidth,Ke+=mt.minimapWidth,it+=mt.minimapWidth,kt+=mt.minimapWidth);const yt=It-mt.minimapWidth,wt=Math.max(1,Math.floor((yt-ut-2)/nt)),Zt=Pt?Mt:0;return bt&&(pt=Math.max(1,wt),Bt==="bounded"&&(pt=Math.min(pt,Ot))),{width:je,height:Oe,glyphMarginLeft:Ye,glyphMarginWidth:Be,glyphMarginDecorationLaneCount:we.glyphMarginDecorationLaneCount,lineNumbersLeft:Ke,lineNumbersWidth:Ne,decorationsLeft:it,decorationsWidth:ae,contentLeft:kt,contentWidth:yt,minimap:mt,viewportColumn:wt,isWordWrapMinified:At,isViewportWrapping:bt,wrappingColumn:pt,verticalScrollbarWidth:ut,horizontalScrollbarHeight:Fe,overviewRuler:{top:Zt,width:ut,height:Oe-2*Zt,right:0}}}}e.EditorLayoutInfoComputer=V;class H extends I{constructor(){super(135,"wrappingStrategy","simple",{"editor.wrappingStrategy":{enumDescriptions:[g.localize(46,null),g.localize(47,null)],type:"string",enum:["simple","advanced"],default:"simple",description:g.localize(48,null)}})}validate(Y){return o(Y,"simple",["simple","advanced"])}compute(Y,we,je){return we.get(2)===2?"advanced":je}}class ce extends I{constructor(){const Y={enabled:!0};super(62,"lightbulb",Y,{"editor.lightbulb.enabled":{type:"boolean",default:Y.enabled,description:g.localize(49,null)}})}validate(Y){return!Y||typeof Y!="object"?this.defaultValue:{enabled:i(Y.enabled,this.defaultValue.enabled)}}}class pe extends I{constructor(){const Y={enabled:!1,maxLineCount:5,defaultModel:"outlineModel"};super(112,"stickyScroll",Y,{"editor.stickyScroll.enabled":{type:"boolean",default:Y.enabled,description:g.localize(50,null)},"editor.stickyScroll.maxLineCount":{type:"number",default:Y.maxLineCount,minimum:1,maximum:10,description:g.localize(51,null)},"editor.stickyScroll.defaultModel":{type:"string",enum:["outlineModel","foldingProviderModel","indentationModel"],default:Y.defaultModel,description:g.localize(52,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),maxLineCount:p.clampedInt(we.maxLineCount,this.defaultValue.maxLineCount,1,10),defaultModel:o(we.defaultModel,this.defaultValue.defaultModel,["outlineModel","foldingProviderModel","indentationModel"])}}}class ye extends I{constructor(){const Y={enabled:"on",fontSize:0,fontFamily:"",padding:!1};super(137,"inlayHints",Y,{"editor.inlayHints.enabled":{type:"string",default:Y.enabled,description:g.localize(53,null),enum:["on","onUnlessPressed","offUnlessPressed","off"],markdownEnumDescriptions:[g.localize(54,null),g.localize(55,null,h.$j?"Ctrl+Option":"Ctrl+Alt"),g.localize(56,null,h.$j?"Ctrl+Option":"Ctrl+Alt"),g.localize(57,null)]},"editor.inlayHints.fontSize":{type:"number",default:Y.fontSize,markdownDescription:g.localize(58,null,"`#editor.fontSize#`","`5`")},"editor.inlayHints.fontFamily":{type:"string",default:Y.fontFamily,markdownDescription:g.localize(59,null,"`#editor.fontFamily#`")},"editor.inlayHints.padding":{type:"boolean",default:Y.padding,description:g.localize(60,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return typeof we.enabled=="boolean"&&(we.enabled=we.enabled?"on":"off"),{enabled:o(we.enabled,this.defaultValue.enabled,["on","off","offUnlessPressed","onUnlessPressed"]),fontSize:p.clampedInt(we.fontSize,this.defaultValue.fontSize,0,100),fontFamily:n.string(we.fontFamily,this.defaultValue.fontFamily),padding:i(we.padding,this.defaultValue.padding)}}}class ge extends I{constructor(){super(63,"lineDecorationsWidth",10)}validate(Y){return typeof Y=="string"&&/^\d+(\.\d+)?ch$/.test(Y)?-parseFloat(Y.substring(0,Y.length-2)):p.clampedInt(Y,this.defaultValue,0,1e3)}compute(Y,we,je){return je<0?p.clampedInt(-je*Y.fontInfo.typicalHalfwidthCharacterWidth,this.defaultValue,0,1e3):je}}class M extends E{constructor(){super(64,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,Y=>E.clamp(Y,0,150),{markdownDescription:g.localize(61,null)})}compute(Y,we,je){return Y.fontInfo.lineHeight}}class Q extends I{constructor(){const Y={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",autohide:!1,renderCharacters:!0,maxColumn:120,scale:1};super(70,"minimap",Y,{"editor.minimap.enabled":{type:"boolean",default:Y.enabled,description:g.localize(62,null)},"editor.minimap.autohide":{type:"boolean",default:Y.autohide,description:g.localize(63,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[g.localize(64,null),g.localize(65,null),g.localize(66,null)],default:Y.size,description:g.localize(67,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:Y.side,description:g.localize(68,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:Y.showSlider,description:g.localize(69,null)},"editor.minimap.scale":{type:"number",default:Y.scale,minimum:1,maximum:3,enum:[1,2,3],description:g.localize(70,null)},"editor.minimap.renderCharacters":{type:"boolean",default:Y.renderCharacters,description:g.localize(71,null)},"editor.minimap.maxColumn":{type:"number",default:Y.maxColumn,description:g.localize(72,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),autohide:i(we.autohide,this.defaultValue.autohide),size:o(we.size,this.defaultValue.size,["proportional","fill","fit"]),side:o(we.side,this.defaultValue.side,["right","left"]),showSlider:o(we.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:i(we.renderCharacters,this.defaultValue.renderCharacters),scale:p.clampedInt(we.scale,1,1,3),maxColumn:p.clampedInt(we.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function ve(_){return _==="ctrlCmd"?h.$j?"metaKey":"ctrlKey":"altKey"}class Se extends I{constructor(){super(81,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:g.localize(73,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:g.localize(74,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{top:p.clampedInt(we.top,0,0,1e3),bottom:p.clampedInt(we.bottom,0,0,1e3)}}}class ee extends I{constructor(){const Y={enabled:!0,cycle:!0};super(83,"parameterHints",Y,{"editor.parameterHints.enabled":{type:"boolean",default:Y.enabled,description:g.localize(75,null)},"editor.parameterHints.cycle":{type:"boolean",default:Y.cycle,description:g.localize(76,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),cycle:i(we.cycle,this.defaultValue.cycle)}}}class te extends C{constructor(){super(139)}compute(Y,we,je){return Y.pixelRatio}}class ue extends I{constructor(){const Y={other:"on",comments:"off",strings:"off"},we=[{type:"boolean"},{type:"string",enum:["on","inline","off"],enumDescriptions:[g.localize(77,null),g.localize(78,null),g.localize(79,null)]}];super(86,"quickSuggestions",Y,{type:"object",additionalProperties:!1,properties:{strings:{anyOf:we,default:Y.strings,description:g.localize(80,null)},comments:{anyOf:we,default:Y.comments,description:g.localize(81,null)},other:{anyOf:we,default:Y.other,description:g.localize(82,null)}},default:Y,markdownDescription:g.localize(83,null,"#editor.suggestOnTriggerCharacters#")}),this.defaultValue=Y}validate(Y){if(typeof Y=="boolean"){const vt=Y?"on":"off";return{comments:vt,strings:vt,other:vt}}if(!Y||typeof Y!="object")return this.defaultValue;const{other:we,comments:je,strings:Oe}=Y,Ze=["on","inline","off"];let et,nt,ft;return typeof we=="boolean"?et=we?"on":"off":et=o(we,this.defaultValue.other,Ze),typeof je=="boolean"?nt=je?"on":"off":nt=o(je,this.defaultValue.comments,Ze),typeof Oe=="boolean"?ft=Oe?"on":"off":ft=o(Oe,this.defaultValue.strings,Ze),{other:et,comments:nt,strings:ft}}}var Z;(function(_){_[_.Off=0]="Off",_[_.On=1]="On",_[_.Relative=2]="Relative",_[_.Interval=3]="Interval",_[_.Custom=4]="Custom"})(Z||(e.RenderLineNumbersType=Z={}));class le extends I{constructor(){super(65,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[g.localize(84,null),g.localize(85,null),g.localize(86,null),g.localize(87,null)],default:"on",description:g.localize(88,null)})}validate(Y){let we=this.defaultValue.renderType,je=this.defaultValue.renderFn;return typeof Y<"u"&&(typeof Y=="function"?(we=4,je=Y):Y==="interval"?we=3:Y==="relative"?we=2:Y==="on"?we=1:we=0),{renderType:we,renderFn:je}}}function se(_){const Y=_.get(95);return Y==="editable"?_.get(88):Y!=="on"}e.filterValidationDecorations=se;class oe extends I{constructor(){const Y=[],we={type:"number",description:g.localize(89,null)};super(99,"rulers",Y,{type:"array",items:{anyOf:[we,{type:["object"],properties:{column:we,color:{type:"string",description:g.localize(90,null),format:"color-hex"}}}]},default:Y,description:g.localize(91,null)})}validate(Y){if(Array.isArray(Y)){const we=[];for(const je of Y)if(typeof je=="number")we.push({column:p.clampedInt(je,0,0,1e4),color:null});else if(je&&typeof je=="object"){const Oe=je;we.push({column:p.clampedInt(Oe.column,0,0,1e4),color:Oe.color})}return we.sort((je,Oe)=>je.column-Oe.column),we}return this.defaultValue}}class T extends I{constructor(){super(89,"readOnlyMessage",void 0)}validate(Y){return!Y||typeof Y!="object"?this.defaultValue:Y}}function K(_,Y){if(typeof _!="string")return Y;switch(_){case"hidden":return 2;case"visible":return 3;default:return 1}}class X extends I{constructor(){const Y={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(100,"scrollbar",Y,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[g.localize(92,null),g.localize(93,null),g.localize(94,null)],default:"auto",description:g.localize(95,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[g.localize(96,null),g.localize(97,null),g.localize(98,null)],default:"auto",description:g.localize(99,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:Y.verticalScrollbarSize,description:g.localize(100,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:Y.horizontalScrollbarSize,description:g.localize(101,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:Y.scrollByPage,description:g.localize(102,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y,je=p.clampedInt(we.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Oe=p.clampedInt(we.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:p.clampedInt(we.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:K(we.vertical,this.defaultValue.vertical),horizontal:K(we.horizontal,this.defaultValue.horizontal),useShadows:i(we.useShadows,this.defaultValue.useShadows),verticalHasArrows:i(we.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:i(we.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:i(we.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:i(we.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:je,horizontalSliderSize:p.clampedInt(we.horizontalSliderSize,je,0,1e3),verticalScrollbarSize:Oe,verticalSliderSize:p.clampedInt(we.verticalSliderSize,Oe,0,1e3),scrollByPage:i(we.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class x extends I{constructor(){const Y={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(122,"unicodeHighlight",Y,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Y.nonBasicASCII,description:g.localize(103,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:Y.invisibleCharacters,description:g.localize(104,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:Y.ambiguousCharacters,description:g.localize(105,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Y.includeComments,description:g.localize(106,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Y.includeStrings,description:g.localize(107,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:Y.allowedCharacters,description:g.localize(108,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:Y.allowedLocales,description:g.localize(109,null)}})}applyUpdate(Y,we){let je=!1;we.allowedCharacters&&Y&&(A.$Hm(Y.allowedCharacters,we.allowedCharacters)||(Y={...Y,allowedCharacters:we.allowedCharacters},je=!0)),we.allowedLocales&&Y&&(A.$Hm(Y.allowedLocales,we.allowedLocales)||(Y={...Y,allowedLocales:we.allowedLocales},je=!0));const Oe=super.applyUpdate(Y,we);return je?new v(Oe.newValue,!0):Oe}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{nonBasicASCII:Ie(we.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:i(we.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:i(we.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:Ie(we.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:Ie(we.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.c(Y.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.c(Y.allowedLocales,this.defaultValue.allowedLocales)}}c(Y,we){if(typeof Y!="object"||!Y)return we;const je={};for(const[Oe,Ze]of Object.entries(Y))Ze===!0&&(je[Oe]=!0);return je}}class me extends I{constructor(){const Y={enabled:!0,mode:"subwordSmart",showToolbar:"onHover",suppressSuggestions:!1,keepOnBlur:!1};super(60,"inlineSuggest",Y,{"editor.inlineSuggest.enabled":{type:"boolean",default:Y.enabled,description:g.localize(110,null)},"editor.inlineSuggest.showToolbar":{type:"string",default:Y.showToolbar,enum:["always","onHover"],enumDescriptions:[g.localize(111,null),g.localize(112,null)],description:g.localize(113,null)},"editor.inlineSuggest.suppressSuggestions":{type:"boolean",default:Y.suppressSuggestions,description:g.localize(114,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),mode:o(we.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"]),showToolbar:o(we.showToolbar,this.defaultValue.showToolbar,["always","onHover"]),suppressSuggestions:i(we.suppressSuggestions,this.defaultValue.suppressSuggestions),keepOnBlur:i(we.keepOnBlur,this.defaultValue.keepOnBlur)}}}class Ee extends I{constructor(){const Y={enabled:F.$Dr.bracketPairColorizationOptions.enabled,independentColorPoolPerBracketType:F.$Dr.bracketPairColorizationOptions.independentColorPoolPerBracketType};super(13,"bracketPairColorization",Y,{"editor.bracketPairColorization.enabled":{type:"boolean",default:Y.enabled,markdownDescription:g.localize(115,null,"`#workbench.colorCustomizations#`")},"editor.bracketPairColorization.independentColorPoolPerBracketType":{type:"boolean",default:Y.independentColorPoolPerBracketType,description:g.localize(116,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),independentColorPoolPerBracketType:i(we.independentColorPoolPerBracketType,this.defaultValue.independentColorPoolPerBracketType)}}}class fe extends I{constructor(){const Y={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(14,"guides",Y,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[g.localize(117,null),g.localize(118,null),g.localize(119,null)],default:Y.bracketPairs,description:g.localize(120,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[g.localize(121,null),g.localize(122,null),g.localize(123,null)],default:Y.bracketPairsHorizontal,description:g.localize(124,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:Y.highlightActiveBracketPair,description:g.localize(125,null)},"editor.guides.indentation":{type:"boolean",default:Y.indentation,description:g.localize(126,null)},"editor.guides.highlightActiveIndentation":{type:["boolean","string"],enum:[!0,"always",!1],enumDescriptions:[g.localize(127,null),g.localize(128,null),g.localize(129,null)],default:Y.highlightActiveIndentation,description:g.localize(130,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{bracketPairs:Ie(we.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:Ie(we.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:i(we.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:i(we.indentation,this.defaultValue.indentation),highlightActiveIndentation:Ie(we.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation,[!0,!1,"always"])}}}function Ie(_,Y,we){const je=we.indexOf(_);return je===-1?Y:we[je]}class Pe extends I{constructor(){const Y={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!1,localityBonus:!1,shareSuggestSelections:!1,selectionMode:"always",showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,matchOnWordStartOnly:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(115,"suggest",Y,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[g.localize(131,null),g.localize(132,null)],default:Y.insertMode,description:g.localize(133,null)},"editor.suggest.filterGraceful":{type:"boolean",default:Y.filterGraceful,description:g.localize(134,null)},"editor.suggest.localityBonus":{type:"boolean",default:Y.localityBonus,description:g.localize(135,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:Y.shareSuggestSelections,markdownDescription:g.localize(136,null)},"editor.suggest.selectionMode":{type:"string",enum:["always","never","whenTriggerCharacter","whenQuickSuggestion"],enumDescriptions:[g.localize(137,null),g.localize(138,null),g.localize(139,null),g.localize(140,null)],default:Y.selectionMode,markdownDescription:g.localize(141,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:Y.snippetsPreventQuickSuggestions,description:g.localize(142,null)},"editor.suggest.showIcons":{type:"boolean",default:Y.showIcons,description:g.localize(143,null)},"editor.suggest.showStatusBar":{type:"boolean",default:Y.showStatusBar,description:g.localize(144,null)},"editor.suggest.preview":{type:"boolean",default:Y.preview,description:g.localize(145,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:Y.showInlineDetails,description:g.localize(146,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:g.localize(147,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:g.localize(148,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:g.localize(149,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:g.localize(150,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:g.localize(151,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:g.localize(152,null)},"editor.suggest.matchOnWordStartOnly":{type:"boolean",default:!0,markdownDescription:g.localize(153,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:g.localize(154,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:g.localize(155,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:g.localize(156,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:g.localize(157,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:g.localize(158,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:g.localize(159,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:g.localize(160,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:g.localize(161,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:g.localize(162,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:g.localize(163,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:g.localize(164,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:g.localize(165,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:g.localize(166,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:g.localize(167,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:g.localize(168,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:g.localize(169,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:g.localize(170,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:g.localize(171,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:g.localize(172,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:g.localize(173,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:g.localize(174,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:g.localize(175,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:g.localize(176,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:g.localize(177,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:g.localize(178,null)}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{insertMode:o(we.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:i(we.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:i(we.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:i(we.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:i(we.shareSuggestSelections,this.defaultValue.shareSuggestSelections),selectionMode:o(we.selectionMode,this.defaultValue.selectionMode,["always","never","whenQuickSuggestion","whenTriggerCharacter"]),showIcons:i(we.showIcons,this.defaultValue.showIcons),showStatusBar:i(we.showStatusBar,this.defaultValue.showStatusBar),preview:i(we.preview,this.defaultValue.preview),previewMode:o(we.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:i(we.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:i(we.showMethods,this.defaultValue.showMethods),showFunctions:i(we.showFunctions,this.defaultValue.showFunctions),showConstructors:i(we.showConstructors,this.defaultValue.showConstructors),showDeprecated:i(we.showDeprecated,this.defaultValue.showDeprecated),matchOnWordStartOnly:i(we.matchOnWordStartOnly,this.defaultValue.matchOnWordStartOnly),showFields:i(we.showFields,this.defaultValue.showFields),showVariables:i(we.showVariables,this.defaultValue.showVariables),showClasses:i(we.showClasses,this.defaultValue.showClasses),showStructs:i(we.showStructs,this.defaultValue.showStructs),showInterfaces:i(we.showInterfaces,this.defaultValue.showInterfaces),showModules:i(we.showModules,this.defaultValue.showModules),showProperties:i(we.showProperties,this.defaultValue.showProperties),showEvents:i(we.showEvents,this.defaultValue.showEvents),showOperators:i(we.showOperators,this.defaultValue.showOperators),showUnits:i(we.showUnits,this.defaultValue.showUnits),showValues:i(we.showValues,this.defaultValue.showValues),showConstants:i(we.showConstants,this.defaultValue.showConstants),showEnums:i(we.showEnums,this.defaultValue.showEnums),showEnumMembers:i(we.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:i(we.showKeywords,this.defaultValue.showKeywords),showWords:i(we.showWords,this.defaultValue.showWords),showColors:i(we.showColors,this.defaultValue.showColors),showFiles:i(we.showFiles,this.defaultValue.showFiles),showReferences:i(we.showReferences,this.defaultValue.showReferences),showFolders:i(we.showFolders,this.defaultValue.showFolders),showTypeParameters:i(we.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:i(we.showSnippets,this.defaultValue.showSnippets),showUsers:i(we.showUsers,this.defaultValue.showUsers),showIssues:i(we.showIssues,this.defaultValue.showIssues)}}}class qe extends I{constructor(){super(110,"smartSelect",{selectLeadingAndTrailingWhitespace:!0,selectSubwords:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:g.localize(179,null),default:!0,type:"boolean"},"editor.smartSelect.selectSubwords":{description:g.localize(180,null),default:!0,type:"boolean"}})}validate(Y){return!Y||typeof Y!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:i(Y.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace),selectSubwords:i(Y.selectSubwords,this.defaultValue.selectSubwords)}}}var Ve;(function(_){_[_.None=0]="None",_[_.Same=1]="Same",_[_.Indent=2]="Indent",_[_.DeepIndent=3]="DeepIndent"})(Ve||(e.WrappingIndent=Ve={}));class tt extends I{constructor(){super(134,"wrappingIndent",1,{"editor.wrappingIndent":{type:"string",enum:["none","same","indent","deepIndent"],enumDescriptions:[g.localize(181,null),g.localize(182,null),g.localize(183,null),g.localize(184,null)],description:g.localize(185,null),default:"same"}})}validate(Y){switch(Y){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}return 1}compute(Y,we,je){return we.get(2)===2?0:je}}class Ge extends C{constructor(){super(142)}compute(Y,we,je){const Oe=we.get(141);return{isDominatedByLongLines:Y.isDominatedByLongLines,isWordWrapMinified:Oe.isWordWrapMinified,isViewportWrapping:Oe.isViewportWrapping,wrappingColumn:Oe.wrappingColumn}}}class Qe extends I{constructor(){const Y={enabled:!0,showDropSelector:"afterDrop"};super(34,"dropIntoEditor",Y,{"editor.dropIntoEditor.enabled":{type:"boolean",default:Y.enabled,markdownDescription:g.localize(186,null)},"editor.dropIntoEditor.showDropSelector":{type:"string",markdownDescription:g.localize(187,null),enum:["afterDrop","never"],enumDescriptions:[g.localize(188,null),g.localize(189,null)],default:"afterDrop"}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),showDropSelector:o(we.showDropSelector,this.defaultValue.showDropSelector,["afterDrop","never"])}}}class st extends I{constructor(){const Y={enabled:!0,showPasteSelector:"afterPaste"};super(82,"pasteAs",Y,{"editor.pasteAs.enabled":{type:"boolean",default:Y.enabled,markdownDescription:g.localize(190,null)},"editor.pasteAs.showPasteSelector":{type:"string",markdownDescription:g.localize(191,null),enum:["afterPaste","never"],enumDescriptions:[g.localize(192,null),g.localize(193,null)],default:"afterPaste"}})}validate(Y){if(!Y||typeof Y!="object")return this.defaultValue;const we=Y;return{enabled:i(we.enabled,this.defaultValue.enabled),showPasteSelector:o(we.showPasteSelector,this.defaultValue.showPasteSelector,["afterPaste","never"])}}}const at="Consolas, 'Courier New', monospace",xe="Menlo, Monaco, 'Courier New', monospace",rt="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:h.$j?xe:h.$k?rt:at,fontWeight:"normal",fontSize:h.$j?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function de(_){return e.editorOptionsRegistry[_.id]=_,_}var Me;(function(_){_[_.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",_[_.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",_[_.accessibilitySupport=2]="accessibilitySupport",_[_.accessibilityPageSize=3]="accessibilityPageSize",_[_.ariaLabel=4]="ariaLabel",_[_.autoClosingBrackets=5]="autoClosingBrackets",_[_.screenReaderAnnounceInlineSuggestion=6]="screenReaderAnnounceInlineSuggestion",_[_.autoClosingDelete=7]="autoClosingDelete",_[_.autoClosingOvertype=8]="autoClosingOvertype",_[_.autoClosingQuotes=9]="autoClosingQuotes",_[_.autoIndent=10]="autoIndent",_[_.automaticLayout=11]="automaticLayout",_[_.autoSurround=12]="autoSurround",_[_.bracketPairColorization=13]="bracketPairColorization",_[_.guides=14]="guides",_[_.codeLens=15]="codeLens",_[_.codeLensFontFamily=16]="codeLensFontFamily",_[_.codeLensFontSize=17]="codeLensFontSize",_[_.colorDecorators=18]="colorDecorators",_[_.colorDecoratorsLimit=19]="colorDecoratorsLimit",_[_.columnSelection=20]="columnSelection",_[_.comments=21]="comments",_[_.contextmenu=22]="contextmenu",_[_.copyWithSyntaxHighlighting=23]="copyWithSyntaxHighlighting",_[_.cursorBlinking=24]="cursorBlinking",_[_.cursorSmoothCaretAnimation=25]="cursorSmoothCaretAnimation",_[_.cursorStyle=26]="cursorStyle",_[_.cursorSurroundingLines=27]="cursorSurroundingLines",_[_.cursorSurroundingLinesStyle=28]="cursorSurroundingLinesStyle",_[_.cursorWidth=29]="cursorWidth",_[_.disableLayerHinting=30]="disableLayerHinting",_[_.disableMonospaceOptimizations=31]="disableMonospaceOptimizations",_[_.domReadOnly=32]="domReadOnly",_[_.dragAndDrop=33]="dragAndDrop",_[_.dropIntoEditor=34]="dropIntoEditor",_[_.emptySelectionClipboard=35]="emptySelectionClipboard",_[_.experimentalWhitespaceRendering=36]="experimentalWhitespaceRendering",_[_.extraEditorClassName=37]="extraEditorClassName",_[_.fastScrollSensitivity=38]="fastScrollSensitivity",_[_.find=39]="find",_[_.fixedOverflowWidgets=40]="fixedOverflowWidgets",_[_.folding=41]="folding",_[_.foldingStrategy=42]="foldingStrategy",_[_.foldingHighlight=43]="foldingHighlight",_[_.foldingImportsByDefault=44]="foldingImportsByDefault",_[_.foldingMaximumRegions=45]="foldingMaximumRegions",_[_.unfoldOnClickAfterEndOfLine=46]="unfoldOnClickAfterEndOfLine",_[_.fontFamily=47]="fontFamily",_[_.fontInfo=48]="fontInfo",_[_.fontLigatures=49]="fontLigatures",_[_.fontSize=50]="fontSize",_[_.fontWeight=51]="fontWeight",_[_.fontVariations=52]="fontVariations",_[_.formatOnPaste=53]="formatOnPaste",_[_.formatOnType=54]="formatOnType",_[_.glyphMargin=55]="glyphMargin",_[_.gotoLocation=56]="gotoLocation",_[_.hideCursorInOverviewRuler=57]="hideCursorInOverviewRuler",_[_.hover=58]="hover",_[_.inDiffEditor=59]="inDiffEditor",_[_.inlineSuggest=60]="inlineSuggest",_[_.letterSpacing=61]="letterSpacing",_[_.lightbulb=62]="lightbulb",_[_.lineDecorationsWidth=63]="lineDecorationsWidth",_[_.lineHeight=64]="lineHeight",_[_.lineNumbers=65]="lineNumbers",_[_.lineNumbersMinChars=66]="lineNumbersMinChars",_[_.linkedEditing=67]="linkedEditing",_[_.links=68]="links",_[_.matchBrackets=69]="matchBrackets",_[_.minimap=70]="minimap",_[_.mouseStyle=71]="mouseStyle",_[_.mouseWheelScrollSensitivity=72]="mouseWheelScrollSensitivity",_[_.mouseWheelZoom=73]="mouseWheelZoom",_[_.multiCursorMergeOverlapping=74]="multiCursorMergeOverlapping",_[_.multiCursorModifier=75]="multiCursorModifier",_[_.multiCursorPaste=76]="multiCursorPaste",_[_.multiCursorLimit=77]="multiCursorLimit",_[_.occurrencesHighlight=78]="occurrencesHighlight",_[_.overviewRulerBorder=79]="overviewRulerBorder",_[_.overviewRulerLanes=80]="overviewRulerLanes",_[_.padding=81]="padding",_[_.pasteAs=82]="pasteAs",_[_.parameterHints=83]="parameterHints",_[_.peekWidgetDefaultFocus=84]="peekWidgetDefaultFocus",_[_.definitionLinkOpensInPeek=85]="definitionLinkOpensInPeek",_[_.quickSuggestions=86]="quickSuggestions",_[_.quickSuggestionsDelay=87]="quickSuggestionsDelay",_[_.readOnly=88]="readOnly",_[_.readOnlyMessage=89]="readOnlyMessage",_[_.renameOnType=90]="renameOnType",_[_.renderControlCharacters=91]="renderControlCharacters",_[_.renderFinalNewline=92]="renderFinalNewline",_[_.renderLineHighlight=93]="renderLineHighlight",_[_.renderLineHighlightOnlyWhenFocus=94]="renderLineHighlightOnlyWhenFocus",_[_.renderValidationDecorations=95]="renderValidationDecorations",_[_.renderWhitespace=96]="renderWhitespace",_[_.revealHorizontalRightPadding=97]="revealHorizontalRightPadding",_[_.roundedSelection=98]="roundedSelection",_[_.rulers=99]="rulers",_[_.scrollbar=100]="scrollbar",_[_.scrollBeyondLastColumn=101]="scrollBeyondLastColumn",_[_.scrollBeyondLastLine=102]="scrollBeyondLastLine",_[_.scrollPredominantAxis=103]="scrollPredominantAxis",_[_.selectionClipboard=104]="selectionClipboard",_[_.selectionHighlight=105]="selectionHighlight",_[_.selectOnLineNumbers=106]="selectOnLineNumbers",_[_.showFoldingControls=107]="showFoldingControls",_[_.showUnused=108]="showUnused",_[_.snippetSuggestions=109]="snippetSuggestions",_[_.smartSelect=110]="smartSelect",_[_.smoothScrolling=111]="smoothScrolling",_[_.stickyScroll=112]="stickyScroll",_[_.stickyTabStops=113]="stickyTabStops",_[_.stopRenderingLineAfter=114]="stopRenderingLineAfter",_[_.suggest=115]="suggest",_[_.suggestFontSize=116]="suggestFontSize",_[_.suggestLineHeight=117]="suggestLineHeight",_[_.suggestOnTriggerCharacters=118]="suggestOnTriggerCharacters",_[_.suggestSelection=119]="suggestSelection",_[_.tabCompletion=120]="tabCompletion",_[_.tabIndex=121]="tabIndex",_[_.unicodeHighlighting=122]="unicodeHighlighting",_[_.unusualLineTerminators=123]="unusualLineTerminators",_[_.useShadowDOM=124]="useShadowDOM",_[_.useTabStops=125]="useTabStops",_[_.wordBreak=126]="wordBreak",_[_.wordSeparators=127]="wordSeparators",_[_.wordWrap=128]="wordWrap",_[_.wordWrapBreakAfterCharacters=129]="wordWrapBreakAfterCharacters",_[_.wordWrapBreakBeforeCharacters=130]="wordWrapBreakBeforeCharacters",_[_.wordWrapColumn=131]="wordWrapColumn",_[_.wordWrapOverride1=132]="wordWrapOverride1",_[_.wordWrapOverride2=133]="wordWrapOverride2",_[_.wrappingIndent=134]="wrappingIndent",_[_.wrappingStrategy=135]="wrappingStrategy",_[_.showDeprecated=136]="showDeprecated",_[_.inlayHints=137]="inlayHints",_[_.editorClassName=138]="editorClassName",_[_.pixelRatio=139]="pixelRatio",_[_.tabFocusMode=140]="tabFocusMode",_[_.layoutInfo=141]="layoutInfo",_[_.wrappingInfo=142]="wrappingInfo",_[_.defaultColorDecorators=143]="defaultColorDecorators",_[_.colorDecoratorsActivatedOn=144]="colorDecoratorsActivatedOn"})(Me||(e.EditorOption=Me={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:de(new l(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:g.localize(194,null)})),acceptSuggestionOnEnter:de(new s(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",g.localize(195,null),""],markdownDescription:g.localize(196,null)})),accessibilitySupport:de(new $),accessibilityPageSize:de(new p(3,"accessibilityPageSize",10,1,1073741824,{description:g.localize(197,null),tags:["accessibility"]})),ariaLabel:de(new n(4,"ariaLabel",g.localize(198,null))),screenReaderAnnounceInlineSuggestion:de(new l(6,"screenReaderAnnounceInlineSuggestion",!0,{description:g.localize(199,null),tags:["accessibility"]})),autoClosingBrackets:de(new s(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",g.localize(200,null),g.localize(201,null),""],description:g.localize(202,null)})),autoClosingDelete:de(new s(7,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",g.localize(203,null),""],description:g.localize(204,null)})),autoClosingOvertype:de(new s(8,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",g.localize(205,null),""],description:g.localize(206,null)})),autoClosingQuotes:de(new s(9,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",g.localize(207,null),g.localize(208,null),""],description:g.localize(209,null)})),autoIndent:de(new t(10,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],u,{enumDescriptions:[g.localize(210,null),g.localize(211,null),g.localize(212,null),g.localize(213,null),g.localize(214,null)],description:g.localize(215,null)})),automaticLayout:de(new l(11,"automaticLayout",!1)),autoSurround:de(new s(12,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[g.localize(216,null),g.localize(217,null),g.localize(218,null),""],description:g.localize(219,null)})),bracketPairColorization:de(new Ee),bracketPairGuides:de(new fe),stickyTabStops:de(new l(113,"stickyTabStops",!1,{description:g.localize(220,null)})),codeLens:de(new l(15,"codeLens",!0,{description:g.localize(221,null)})),codeLensFontFamily:de(new n(16,"codeLensFontFamily","",{description:g.localize(222,null)})),codeLensFontSize:de(new p(17,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:g.localize(223,null)})),colorDecorators:de(new l(18,"colorDecorators",!0,{description:g.localize(224,null)})),colorDecoratorActivatedOn:de(new s(144,"colorDecoratorsActivatedOn","clickAndHover",["clickAndHover","hover","click"],{enumDescriptions:[g.localize(225,null),g.localize(226,null),g.localize(227,null)],description:g.localize(228,null)})),colorDecoratorsLimit:de(new p(19,"colorDecoratorsLimit",500,1,1e6,{markdownDescription:g.localize(229,null)})),columnSelection:de(new l(20,"columnSelection",!1,{description:g.localize(230,null)})),comments:de(new d),contextmenu:de(new l(22,"contextmenu",!0)),copyWithSyntaxHighlighting:de(new l(23,"copyWithSyntaxHighlighting",!0,{description:g.localize(231,null)})),cursorBlinking:de(new t(24,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],y,{description:g.localize(232,null)})),cursorSmoothCaretAnimation:de(new s(25,"cursorSmoothCaretAnimation","off",["off","explicit","on"],{enumDescriptions:[g.localize(233,null),g.localize(234,null),g.localize(235,null)],description:g.localize(236,null)})),cursorStyle:de(new t(26,"cursorStyle",c.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],P,{description:g.localize(237,null)})),cursorSurroundingLines:de(new p(27,"cursorSurroundingLines",0,0,1073741824,{description:g.localize(238,null)})),cursorSurroundingLinesStyle:de(new s(28,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[g.localize(239,null),g.localize(240,null)],description:g.localize(241,null)})),cursorWidth:de(new p(29,"cursorWidth",0,0,1073741824,{markdownDescription:g.localize(242,null)})),disableLayerHinting:de(new l(30,"disableLayerHinting",!1)),disableMonospaceOptimizations:de(new l(31,"disableMonospaceOptimizations",!1)),domReadOnly:de(new l(32,"domReadOnly",!1)),dragAndDrop:de(new l(33,"dragAndDrop",!0,{description:g.localize(243,null)})),emptySelectionClipboard:de(new U),dropIntoEditor:de(new Qe),stickyScroll:de(new pe),experimentalWhitespaceRendering:de(new s(36,"experimentalWhitespaceRendering","svg",["svg","font","off"],{enumDescriptions:[g.localize(244,null),g.localize(245,null),g.localize(246,null)],description:g.localize(247,null)})),extraEditorClassName:de(new n(37,"extraEditorClassName","")),fastScrollSensitivity:de(new E(38,"fastScrollSensitivity",5,_=>_<=0?5:_,{markdownDescription:g.localize(248,null)})),find:de(new q),fixedOverflowWidgets:de(new l(40,"fixedOverflowWidgets",!1)),folding:de(new l(41,"folding",!0,{description:g.localize(249,null)})),foldingStrategy:de(new s(42,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[g.localize(250,null),g.localize(251,null)],description:g.localize(252,null)})),foldingHighlight:de(new l(43,"foldingHighlight",!0,{description:g.localize(253,null)})),foldingImportsByDefault:de(new l(44,"foldingImportsByDefault",!1,{description:g.localize(254,null)})),foldingMaximumRegions:de(new p(45,"foldingMaximumRegions",5e3,10,65e3,{description:g.localize(255,null)})),unfoldOnClickAfterEndOfLine:de(new l(46,"unfoldOnClickAfterEndOfLine",!1,{description:g.localize(256,null)})),fontFamily:de(new n(47,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:g.localize(257,null)})),fontInfo:de(new J),fontLigatures2:de(new W),fontSize:de(new z),fontWeight:de(new j),fontVariations:de(new O),formatOnPaste:de(new l(53,"formatOnPaste",!1,{description:g.localize(258,null)})),formatOnType:de(new l(54,"formatOnType",!1,{description:g.localize(259,null)})),glyphMargin:de(new l(55,"glyphMargin",!0,{description:g.localize(260,null)})),gotoLocation:de(new he),hideCursorInOverviewRuler:de(new l(57,"hideCursorInOverviewRuler",!1,{description:g.localize(261,null)})),hover:de(new ie),inDiffEditor:de(new l(59,"inDiffEditor",!1)),letterSpacing:de(new E(61,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,_=>E.clamp(_,-5,20),{description:g.localize(262,null)})),lightbulb:de(new ce),lineDecorationsWidth:de(new ge),lineHeight:de(new M),lineNumbers:de(new le),lineNumbersMinChars:de(new p(66,"lineNumbersMinChars",5,1,300)),linkedEditing:de(new l(67,"linkedEditing",!1,{description:g.localize(263,null)})),links:de(new l(68,"links",!0,{description:g.localize(264,null)})),matchBrackets:de(new s(69,"matchBrackets","always",["always","near","never"],{description:g.localize(265,null)})),minimap:de(new Q),mouseStyle:de(new s(71,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:de(new E(72,"mouseWheelScrollSensitivity",1,_=>_===0?1:_,{markdownDescription:g.localize(266,null)})),mouseWheelZoom:de(new l(73,"mouseWheelZoom",!1,{markdownDescription:g.localize(267,null)})),multiCursorMergeOverlapping:de(new l(74,"multiCursorMergeOverlapping",!0,{description:g.localize(268,null)})),multiCursorModifier:de(new t(75,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],ve,{markdownEnumDescriptions:[g.localize(269,null),g.localize(270,null)],markdownDescription:g.localize(271,null)})),multiCursorPaste:de(new s(76,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[g.localize(272,null),g.localize(273,null)],markdownDescription:g.localize(274,null)})),multiCursorLimit:de(new p(77,"multiCursorLimit",1e4,1,1e5,{markdownDescription:g.localize(275,null)})),occurrencesHighlight:de(new l(78,"occurrencesHighlight",!0,{description:g.localize(276,null)})),overviewRulerBorder:de(new l(79,"overviewRulerBorder",!0,{description:g.localize(277,null)})),overviewRulerLanes:de(new p(80,"overviewRulerLanes",3,0,3)),padding:de(new Se),pasteAs:de(new st),parameterHints:de(new ee),peekWidgetDefaultFocus:de(new s(84,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[g.localize(278,null),g.localize(279,null)],description:g.localize(280,null)})),definitionLinkOpensInPeek:de(new l(85,"definitionLinkOpensInPeek",!1,{description:g.localize(281,null)})),quickSuggestions:de(new ue),quickSuggestionsDelay:de(new p(87,"quickSuggestionsDelay",10,0,1073741824,{description:g.localize(282,null)})),readOnly:de(new l(88,"readOnly",!1)),readOnlyMessage:de(new T),renameOnType:de(new l(90,"renameOnType",!1,{description:g.localize(283,null),markdownDeprecationMessage:g.localize(284,null)})),renderControlCharacters:de(new l(91,"renderControlCharacters",!0,{description:g.localize(285,null),restricted:!0})),renderFinalNewline:de(new s(92,"renderFinalNewline",h.$k?"dimmed":"on",["off","on","dimmed"],{description:g.localize(286,null)})),renderLineHighlight:de(new s(93,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",g.localize(287,null)],description:g.localize(288,null)})),renderLineHighlightOnlyWhenFocus:de(new l(94,"renderLineHighlightOnlyWhenFocus",!1,{description:g.localize(289,null)})),renderValidationDecorations:de(new s(95,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:de(new s(96,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",g.localize(290,null),g.localize(291,null),g.localize(292,null),""],description:g.localize(293,null)})),revealHorizontalRightPadding:de(new p(97,"revealHorizontalRightPadding",15,0,1e3)),roundedSelection:de(new l(98,"roundedSelection",!0,{description:g.localize(294,null)})),rulers:de(new oe),scrollbar:de(new X),scrollBeyondLastColumn:de(new p(101,"scrollBeyondLastColumn",4,0,1073741824,{description:g.localize(295,null)})),scrollBeyondLastLine:de(new l(102,"scrollBeyondLastLine",!0,{description:g.localize(296,null)})),scrollPredominantAxis:de(new l(103,"scrollPredominantAxis",!0,{description:g.localize(297,null)})),selectionClipboard:de(new l(104,"selectionClipboard",!0,{description:g.localize(298,null),included:h.$k})),selectionHighlight:de(new l(105,"selectionHighlight",!0,{description:g.localize(299,null)})),selectOnLineNumbers:de(new l(106,"selectOnLineNumbers",!0)),showFoldingControls:de(new s(107,"showFoldingControls","mouseover",["always","never","mouseover"],{enumDescriptions:[g.localize(300,null),g.localize(301,null),g.localize(302,null)],description:g.localize(303,null)})),showUnused:de(new l(108,"showUnused",!0,{description:g.localize(304,null)})),showDeprecated:de(new l(136,"showDeprecated",!0,{description:g.localize(305,null)})),inlayHints:de(new ye),snippetSuggestions:de(new s(109,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[g.localize(306,null),g.localize(307,null),g.localize(308,null),g.localize(309,null)],description:g.localize(310,null)})),smartSelect:de(new qe),smoothScrolling:de(new l(111,"smoothScrolling",!1,{description:g.localize(311,null)})),stopRenderingLineAfter:de(new p(114,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:de(new Pe),inlineSuggest:de(new me),suggestFontSize:de(new p(116,"suggestFontSize",0,0,1e3,{markdownDescription:g.localize(312,null,"`0`","`#editor.fontSize#`")})),suggestLineHeight:de(new p(117,"suggestLineHeight",0,0,1e3,{markdownDescription:g.localize(313,null,"`0`","`#editor.lineHeight#`")})),suggestOnTriggerCharacters:de(new l(118,"suggestOnTriggerCharacters",!0,{description:g.localize(314,null)})),suggestSelection:de(new s(119,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[g.localize(315,null),g.localize(316,null),g.localize(317,null)],description:g.localize(318,null)})),tabCompletion:de(new s(120,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[g.localize(319,null),g.localize(320,null),g.localize(321,null)],description:g.localize(322,null)})),tabIndex:de(new p(121,"tabIndex",0,-1,1073741824)),unicodeHighlight:de(new x),unusualLineTerminators:de(new s(123,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[g.localize(323,null),g.localize(324,null),g.localize(325,null)],description:g.localize(326,null)})),useShadowDOM:de(new l(124,"useShadowDOM",!0)),useTabStops:de(new l(125,"useTabStops",!0,{description:g.localize(327,null)})),wordBreak:de(new s(126,"wordBreak","normal",["normal","keepAll"],{markdownEnumDescriptions:[g.localize(328,null),g.localize(329,null)],description:g.localize(330,null)})),wordSeparators:de(new n(127,"wordSeparators",R.$Er,{description:g.localize(331,null)})),wordWrap:de(new s(128,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[g.localize(332,null),g.localize(333,null),g.localize(334,null),g.localize(335,null)],description:g.localize(336,null)})),wordWrapBreakAfterCharacters:de(new n(129,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:de(new n(130,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:de(new p(131,"wordWrapColumn",80,1,1073741824,{markdownDescription:g.localize(337,null)})),wordWrapOverride1:de(new s(132,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:de(new s(133,"wordWrapOverride2","inherit",["off","on","inherit"])),editorClassName:de(new N),defaultColorDecorators:de(new l(143,"defaultColorDecorators",!1,{markdownDescription:g.localize(338,null)})),pixelRatio:de(new te),tabFocusMode:de(new l(140,"tabFocusMode",!1,{markdownDescription:g.localize(339,null)})),layoutInfo:de(new V),wrappingInfo:de(new Ge),wrappingIndent:de(new tt),wrappingStrategy:de(new H)}}),define(De[176],Ce([13,14]),function(re,e){return re.create("vs/platform/configuration/common/configurationRegistry",e)}),define(De[177],Ce([13,14]),function(re,e){return re.create("vs/platform/contextkey/common/contextkey",e)}),define(De[178],Ce([13,14]),function(re,e){return re.create("vs/platform/contextkey/common/scanner",e)}),define(De[179],Ce([13,14]),function(re,e){return re.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(De[180],Ce([13,14]),function(re,e){return re.create("vs/platform/extensions/common/extensionValidator",e)}),define(De[181],Ce([13,14]),function(re,e){return re.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(De[182],Ce([13,14]),function(re,e){return re.create("vs/platform/files/common/files",e)}),define(De[183],Ce([13,14]),function(re,e){return re.create("vs/platform/files/common/io",e)}),define(De[184],Ce([13,14]),function(re,e){return re.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(De[185],Ce([13,14]),function(re,e){return re.create("vs/platform/markers/common/markers",e)}),define(De[186],Ce([13,14]),function(re,e){return re.create("vs/platform/theme/common/iconRegistry",e)}),define(De[187],Ce([13,14]),function(re,e){return re.create("vs/platform/workspace/common/workspace",e)}),define(De[188],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostChat",e)}),define(De[189],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(De[190],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostExtensionService",e)}),define(De[191],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostLanguageFeatures",e)}),define(De[192],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostLogService",e)}),define(De[193],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostProgress",e)}),define(De[194],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostStatusBar",e)}),define(De[195],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostTelemetry",e)}),define(De[196],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostTerminalService",e)}),define(De[197],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostTreeViews",e)}),define(De[198],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/common/extHostWorkspace",e)}),define(De[199],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/node/extHostDebugService",e)}),define(De[200],Ce([13,14]),function(re,e){return re.create("vs/workbench/api/node/extHostTunnelService",e)}),define(De[201],Ce([13,14]),function(re,e){return re.create("vs/workbench/common/editor",e)}),define(De[202],Ce([13,14]),function(re,e){return re.create("vs/workbench/common/views",e)}),define(De[203],Ce([13,14]),function(re,e){return re.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(De[204],Ce([13,14]),function(re,e){return re.create("vs/workbench/contrib/debug/common/debug",e)}),define(De[205],Ce([13,14]),function(re,e){return re.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(De[206],Ce([13,14]),function(re,e){return re.create("vs/workbench/contrib/tasks/common/taskDefinitionRegistry",e)}),define(De[207],Ce([13,14]),function(re,e){return re.create("vs/workbench/contrib/tasks/common/tasks",e)}),define(De[208],Ce([13,14]),function(re,e){return re.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(De[209],Ce([13,14]),function(re,e){return re.create("vs/workbench/services/extensions/common/extensionsRegistry",e)}),define(De[210],Ce([13,14]),function(re,e){return re.create("vs/workbench/services/search/common/queryBuilder",e)}),define(De[211],Ce([1,0,8,178]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oi=e.TokenType=void 0;var h;(function(m){m[m.LParen=0]="LParen",m[m.RParen=1]="RParen",m[m.Neg=2]="Neg",m[m.Eq=3]="Eq",m[m.NotEq=4]="NotEq",m[m.Lt=5]="Lt",m[m.LtEq=6]="LtEq",m[m.Gt=7]="Gt",m[m.GtEq=8]="GtEq",m[m.RegexOp=9]="RegexOp",m[m.RegexStr=10]="RegexStr",m[m.True=11]="True",m[m.False=12]="False",m[m.In=13]="In",m[m.Not=14]="Not",m[m.And=15]="And",m[m.Or=16]="Or",m[m.Str=17]="Str",m[m.QuotedStr=18]="QuotedStr",m[m.Error=19]="Error",m[m.EOF=20]="EOF"})(h||(e.TokenType=h={}));function F(...m){switch(m.length){case 1:return(0,A.localize)(0,null,m[0]);case 2:return(0,A.localize)(1,null,m[0],m[1]);case 3:return(0,A.localize)(2,null,m[0],m[1],m[2]);default:return}}const R=(0,A.localize)(3,null),g=(0,A.localize)(4,null);class k{constructor(){this.c="",this.d=0,this.e=0,this.f=[],this.g=[],this.m=/[a-zA-Z0-9_<>\-\./\\:\*\?\+\[\]\^,#@;"%\$\p{L}-]+/uy}static getLexeme(L){switch(L.type){case 0:return"(";case 1:return")";case 2:return"!";case 3:return L.isTripleEq?"===":"==";case 4:return L.isTripleEq?"!==":"!=";case 5:return"<";case 6:return"<=";case 7:return">=";case 8:return">=";case 9:return"=~";case 10:return L.lexeme;case 11:return"true";case 12:return"false";case 13:return"in";case 14:return"not";case 15:return"&&";case 16:return"||";case 17:return L.lexeme;case 18:return L.lexeme;case 19:return L.lexeme;case 20:return"EOF";default:throw(0,b.$5)(`unhandled token type: ${JSON.stringify(L)}; have you forgotten to add a case?`)}}get errors(){return this.g}reset(L){return this.c=L,this.d=0,this.e=0,this.f=[],this.g=[],this}scan(){for(;!this.r();)switch(this.d=this.e,this.i()){case 40:this.k(0);break;case 41:this.k(1);break;case 33:if(this.h(61)){const I=this.h(61);this.f.push({type:4,offset:this.d,isTripleEq:I})}else this.k(2);break;case 39:this.o();break;case 47:this.q();break;case 61:if(this.h(61)){const I=this.h(61);this.f.push({type:3,offset:this.d,isTripleEq:I})}else this.h(126)?this.k(9):this.l(F("==","=~"));break;case 60:this.k(this.h(61)?6:5);break;case 62:this.k(this.h(61)?8:7);break;case 38:this.h(38)?this.k(15):this.l(F("&&"));break;case 124:this.h(124)?this.k(16):this.l(F("||"));break;case 32:case 13:case 9:case 10:case 160:break;default:this.n()}return this.d=this.e,this.k(20),Array.from(this.f)}h(L){return this.r()||this.c.charCodeAt(this.e)!==L?!1:(this.e++,!0)}i(){return this.c.charCodeAt(this.e++)}j(){return this.r()?0:this.c.charCodeAt(this.e)}k(L){this.f.push({type:L,offset:this.d})}l(L){const I=this.d,v=this.c.substring(this.d,this.e),D={type:19,offset:this.d,lexeme:v};this.g.push({offset:I,lexeme:v,additionalInfo:L}),this.f.push(D)}n(){this.m.lastIndex=this.d;const L=this.m.exec(this.c);if(L){this.e=this.d+L[0].length;const I=this.c.substring(this.d,this.e),v=k.b.get(I);v?this.k(v):this.f.push({type:17,lexeme:I,offset:this.d})}}o(){for(;this.j()!==39&&!this.r();)this.i();if(this.r()){this.l(R);return}this.i(),this.f.push({type:18,lexeme:this.c.substring(this.d+1,this.e-1),offset:this.d+1})}q(){let L=this.e,I=!1,v=!1;for(;;){if(L>=this.c.length){this.e=L,this.l(g);return}const C=this.c.charCodeAt(L);if(I)I=!1;else if(C===47&&!v){L++;break}else C===91?v=!0:C===92?I=!0:C===93&&(v=!1);L++}for(;L<this.c.length&&k.a.has(this.c.charCodeAt(L));)L++;this.e=L;const D=this.c.substring(this.d,this.e);this.f.push({type:10,lexeme:D,offset:this.d})}r(){return this.e>=this.c.length}}e.$oi=k,k.a=new Set(["i","g","s","m","y","u"].map(m=>m.charCodeAt(0))),k.b=new Map([["not",14],["in",13],["false",12],["true",11]])}),define(De[212],Ce([1,0,23,40,180,346]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$to=e.$so=e.$ro=e.$qo=e.$po=e.$oo=e.$no=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,g=/^-(\d{4})(\d{2})(\d{2})$/;function k(l){return l=l.trim(),l==="*"||R.test(l)}e.$no=k;function m(l){if(!k(l))return null;if(l=l.trim(),l==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const a=l.match(R);return a?{hasCaret:a[1]==="^",hasGreaterEquals:a[1]===">=",majorBase:a[2]==="x"?0:parseInt(a[2],10),majorMustEqual:a[2]!=="x",minorBase:a[4]==="x"?0:parseInt(a[4],10),minorMustEqual:a[4]!=="x",patchBase:a[6]==="x"?0:parseInt(a[6],10),patchMustEqual:a[6]!=="x",preRelease:a[8]||null}:null}e.$oo=m;function L(l){if(!l)return null;const a=l.majorBase,p=l.majorMustEqual,f=l.minorBase;let E=l.minorMustEqual;const n=l.patchBase;let o=l.patchMustEqual;l.hasCaret&&(a===0||(E=!1),o=!1);let s=0;if(l.preRelease){const t=g.exec(l.preRelease);if(t){const[,u,$,d]=t;s=Date.UTC(Number(u),Number($)-1,Number(d))}}return{majorBase:a,majorMustEqual:p,minorBase:f,minorMustEqual:E,patchBase:n,patchMustEqual:o,isMinimum:l.hasGreaterEquals,notBefore:s}}e.$po=L;function I(l,a,p){let f;typeof l=="string"?f=L(m(l)):f=l;let E;a instanceof Date?E=a.getTime():typeof a=="string"&&(E=new Date(a).getTime());let n;if(typeof p=="string"?n=L(m(p)):n=p,!f||!n)return!1;const o=f.majorBase,s=f.minorBase,t=f.patchBase;let u=n.majorBase,$=n.minorBase,d=n.patchBase;const S=n.notBefore;let y=n.majorMustEqual,c=n.minorMustEqual,r=n.patchMustEqual;return n.isMinimum?o>u?!0:o<u?!1:s>$?!0:s<$||E&&E<S?!1:t>=d:(o===1&&u===0&&(!y||!c||!r)&&(u=1,$=0,d=0,y=!0,c=!1,r=!1),o<u?!1:o>u?!y:s<$?!1:s>$?!c:t<d?!1:t>d?!r:!(E&&E<S))}e.$qo=I;function v(l,a,p,f,E){const n=[];if(typeof f.publisher<"u"&&typeof f.publisher!="string")return n.push([A.default.Error,h.localize(0,null)]),n;if(typeof f.name!="string")return n.push([A.default.Error,h.localize(1,null,"name")]),n;if(typeof f.version!="string")return n.push([A.default.Error,h.localize(2,null,"version")]),n;if(!f.engines)return n.push([A.default.Error,h.localize(3,null,"engines")]),n;if(typeof f.engines.vscode!="string")return n.push([A.default.Error,h.localize(4,null,"engines.vscode")]),n;if(typeof f.extensionDependencies<"u"&&!i(f.extensionDependencies))return n.push([A.default.Error,h.localize(5,null,"extensionDependencies")]),n;if(typeof f.activationEvents<"u"){if(!i(f.activationEvents))return n.push([A.default.Error,h.localize(6,null,"activationEvents")]),n;if(typeof f.main>"u"&&typeof f.browser>"u")return n.push([A.default.Error,h.localize(7,null,"activationEvents","main","browser")]),n}if(typeof f.extensionKind<"u"&&typeof f.main>"u"&&n.push([A.default.Warning,h.localize(8,null,"extensionKind")]),typeof f.main<"u"){if(typeof f.main!="string")return n.push([A.default.Error,h.localize(9,null,"main")]),n;{const t=(0,b.$6f)(p,f.main);(0,b.$Zf)(t,p)||n.push([A.default.Warning,h.localize(10,null,t.path,p.path)])}}if(typeof f.browser<"u"){if(typeof f.browser!="string")return n.push([A.default.Error,h.localize(11,null,"browser")]),n;{const t=(0,b.$6f)(p,f.browser);(0,b.$Zf)(t,p)||n.push([A.default.Warning,h.localize(12,null,t.path,p.path)])}}if(!F.valid(f.version))return n.push([A.default.Error,h.localize(13,null)]),n;const o=[];if(!D(l,a,f,E,o))for(const t of o)n.push([A.default.Error,t]);return n}e.$ro=v;function D(l,a,p,f,E){return f||typeof p.main>"u"&&typeof p.browser>"u"?!0:w(l,a,p.engines.vscode,E)}e.$so=D;function C(l,a,p){return l==="*"||w(a,p,l)}e.$to=C;function w(l,a,p,f=[]){const E=L(m(p));if(!E)return f.push(h.localize(14,null,p)),!1;if(E.majorBase===0){if(!E.majorMustEqual||!E.minorMustEqual)return f.push(h.localize(15,null,p)),!1}else if(!E.majorMustEqual)return f.push(h.localize(16,null,p)),!1;return I(l,a,E)?!0:(f.push(h.localize(17,null,l,p)),!1)}function i(l){if(!Array.isArray(l))return!1;for(let a=0,p=l.length;a<p;a++)if(typeof l[a]!="string")return!1;return!0}}),define(De[97],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ih=void 0;class b{constructor(h,F=[],R=!1){this.ctor=h,this.staticArguments=F,this.supportsDelayedInstantiation=R}}e.$ih=b}),define(De[98],Ce([1,0,97]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9q=e.$8q=e.InstantiationType=void 0;const A=[];var h;(function(g){g[g.Eager=0]="Eager",g[g.Delayed=1]="Delayed"})(h||(e.InstantiationType=h={}));function F(g,k,m){k instanceof b.$ih||(k=new b.$ih(k,[],!!m)),A.push([g,k])}e.$8q=F;function R(){return A}e.$9q=R}),define(De[213],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pp=e.$Op=void 0;class b{constructor(F,R){this.key=F,this.data=R,this.incoming=new Map,this.outgoing=new Map}}e.$Op=b;class A{constructor(F){this.b=F,this.a=new Map}roots(){const F=[];for(const R of this.a.values())R.outgoing.size===0&&F.push(R);return F}insertEdge(F,R){const g=this.lookupOrInsertNode(F),k=this.lookupOrInsertNode(R);g.outgoing.set(k.key,k),k.incoming.set(g.key,g)}removeNode(F){const R=this.b(F);this.a.delete(R);for(const g of this.a.values())g.outgoing.delete(R),g.incoming.delete(R)}lookupOrInsertNode(F){const R=this.b(F);let g=this.a.get(R);return g||(g=new b(R,F),this.a.set(R,g)),g}lookup(F){return this.a.get(this.b(F))}isEmpty(){return this.a.size===0}toString(){const F=[];for(const[R,g]of this.a)F.push(`${R}
	(-> incoming)[${[...g.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...g.outgoing.keys()].join(",")}]
`);return F.join(`
`)}findCycleSlow(){for(const[F,R]of this.a){const g=new Set([F]),k=this.c(R,g);if(k)return k}}c(F,R){for(const[g,k]of F.outgoing){if(R.has(g))return[...R,g].join(" -> ");R.add(g);const m=this.c(k,R);if(m)return m;R.delete(g)}}}e.$Pp=A}),define(De[5],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mh=e.$lh=e.$kh=e._util=void 0;var b;(function(R){R.serviceIds=new Map,R.DI_TARGET="$di$target",R.DI_DEPENDENCIES="$di$dependencies";function g(k){return k[R.DI_DEPENDENCIES]||[]}R.getServiceDependencies=g})(b||(e._util=b={})),e.$kh=h("instantiationService");function A(R,g,k){g[b.DI_TARGET]===g?g[b.DI_DEPENDENCIES].push({id:R,index:k}):(g[b.DI_DEPENDENCIES]=[{id:R,index:k}],g[b.DI_TARGET]=g)}function h(R){if(b.serviceIds.has(R))return b.serviceIds.get(R);const g=function(k,m,L){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");A(g,k,L)};return g.toString=()=>R,b.serviceIds.set(R,g),g}e.$lh=h;function F(R){return R}e.$mh=F}),define(De[57],Ce([1,0,12,2,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2h=e.$1h=e.$Zh=e.$Yh=e.$Xh=e.$Wh=e.$Vh=e.$Uh=e.ConfigurationTarget=e.$Th=e.$Sh=e.$Rh=void 0,e.$Rh=(0,h.$lh)("configurationService");function F(l){return l&&typeof l=="object"&&(!l.overrideIdentifier||typeof l.overrideIdentifier=="string")&&(!l.resource||l.resource instanceof A.URI)}e.$Sh=F;function R(l){return l&&typeof l=="object"&&(!l.overrideIdentifiers||Array.isArray(l.overrideIdentifiers))&&!l.overrideIdentifier&&(!l.resource||l.resource instanceof A.URI)}e.$Th=R;var g;(function(l){l[l.APPLICATION=1]="APPLICATION",l[l.USER=2]="USER",l[l.USER_LOCAL=3]="USER_LOCAL",l[l.USER_REMOTE=4]="USER_REMOTE",l[l.WORKSPACE=5]="WORKSPACE",l[l.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",l[l.DEFAULT=7]="DEFAULT",l[l.MEMORY=8]="MEMORY"})(g||(e.ConfigurationTarget=g={}));function k(l){switch(l){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.$Uh=k;function m(l){return l.applicationValue!==void 0||l.userValue!==void 0||l.userLocalValue!==void 0||l.userRemoteValue!==void 0||l.workspaceValue!==void 0||l.workspaceFolderValue!==void 0}e.$Vh=m;function L(l,a){const p=Object.create(null);for(const f in l)I(p,f,l[f],a);return p}e.$Wh=L;function I(l,a,p,f){const E=a.split("."),n=E.pop();let o=l;for(let s=0;s<E.length;s++){const t=E[s];let u=o[t];switch(typeof u){case"undefined":u=o[t]=Object.create(null);break;case"object":break;default:f(`Ignoring ${a} as ${E.slice(0,s+1).join(".")} is ${JSON.stringify(u)}`);return}o=u}if(typeof o=="object"&&o!==null)try{o[n]=p}catch{f(`Ignoring ${a} as ${E.join(".")} is ${JSON.stringify(o)}`)}else f(`Ignoring ${a} as ${E.join(".")} is ${JSON.stringify(o)}`)}e.$Xh=I;function v(l,a){const p=a.split(".");D(l,p)}e.$Yh=v;function D(l,a){const p=a.shift();if(a.length===0){delete l[p];return}if(Object.keys(l).indexOf(p)!==-1){const f=l[p];typeof f=="object"&&!Array.isArray(f)&&(D(f,a),Object.keys(f).length===0&&delete l[p])}}function C(l,a,p){function f(o,s){let t=o;for(const u of s){if(typeof t!="object"||t===null)return;t=t[u]}return t}const E=a.split("."),n=f(l,E);return typeof n>"u"?p:n}e.$Zh=C;function w(l,a,p){Object.keys(a).forEach(f=>{f!=="__proto__"&&(f in l?b.$ie(l[f])&&b.$ie(a[f])?w(l[f],a[f],p):p&&(l[f]=a[f]):l[f]=a[f])})}e.$1h=w;function i(l){return l.replace(/[\[\]]/g,"")}e.$2h=i}),define(De[47],Ce([1,0,10,9,211,5,177,8]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mi=e.$Li=e.$Ki=e.$Ji=e.$Ii=e.$Hi=e.$Gi=e.$Fi=e.$Ei=e.$Di=e.$Ci=e.$Bi=e.$Ai=e.$zi=e.$yi=e.$xi=e.$wi=e.$vi=e.$ui=e.$ti=e.$si=e.$ri=e.$qi=e.ContextKeyExprType=e.$pi=void 0;const k=new Map;k.set("false",!1),k.set("true",!0),k.set("isMac",b.$j),k.set("isLinux",b.$k),k.set("isWindows",b.$i),k.set("isWeb",b.$o),k.set("isMacNative",b.$j&&!b.$o),k.set("isEdge",b.$G),k.set("isFirefox",b.$E),k.set("isChrome",b.$D),k.set("isSafari",b.$F);function m(ge,M){if(k.get(ge)!==void 0)throw(0,g.$4)("contextkey.setConstant(k, v) invoked with already set constant `k`");k.set(ge,M)}e.$pi=m;const L=Object.prototype.hasOwnProperty;var I;(function(ge){ge[ge.False=0]="False",ge[ge.True=1]="True",ge[ge.Defined=2]="Defined",ge[ge.Not=3]="Not",ge[ge.Equals=4]="Equals",ge[ge.NotEquals=5]="NotEquals",ge[ge.And=6]="And",ge[ge.Regex=7]="Regex",ge[ge.NotRegex=8]="NotRegex",ge[ge.Or=9]="Or",ge[ge.In=10]="In",ge[ge.NotIn=11]="NotIn",ge[ge.Greater=12]="Greater",ge[ge.GreaterEquals=13]="GreaterEquals",ge[ge.Smaller=14]="Smaller",ge[ge.SmallerEquals=15]="SmallerEquals"})(I||(e.ContextKeyExprType=I={}));const v={regexParsingWithErrorRecovery:!0},D=(0,R.localize)(0,null),C=(0,R.localize)(1,null),w=(0,R.localize)(2,null),i=(0,R.localize)(3,null),l=(0,R.localize)(4,null),a=(0,R.localize)(5,null),p=(0,R.localize)(6,null),f=(0,R.localize)(7,null);class E{get lexingErrors(){return this.d.errors}get parsingErrors(){return this.h}constructor(M=v){this.k=M,this.d=new h.$oi,this.f=[],this.g=0,this.h=[],this.v=/g|y/g}parse(M){if(M===""){this.h.push({message:D,offset:0,lexeme:"",additionalInfo:C});return}this.f=this.d.reset(M).scan(),this.g=0,this.h=[];try{const Q=this.l();if(!this.E()){const ve=this.D(),Se=ve.type===17?a:void 0;throw this.h.push({message:l,offset:ve.offset,lexeme:h.$oi.getLexeme(ve),additionalInfo:Se}),E.c}return Q}catch(Q){if(Q!==E.c)throw Q;return}}l(){return this.m()}m(){const M=[this.o()];for(;this.y(16);){const Q=this.o();M.push(Q)}return M.length===1?M[0]:n.or(...M)}o(){const M=[this.s()];for(;this.y(15);){const Q=this.s();M.push(Q)}return M.length===1?M[0]:n.and(...M)}s(){if(this.y(2)){const M=this.D();switch(M.type){case 11:return this.z(),u.INSTANCE;case 12:return this.z(),$.INSTANCE;case 0:{this.z();const Q=this.l();return this.A(1,i),Q?.negate()}case 17:return this.z(),P.create(M.lexeme);default:throw this.B("KEY | true | false | '(' expression ')'",M)}}return this.t()}t(){const M=this.D();switch(M.type){case 11:return this.z(),n.true();case 12:return this.z(),n.false();case 0:{this.z();const Q=this.l();return this.A(1,i),Q}case 17:{const Q=M.lexeme;if(this.z(),this.y(9)){const Se=this.D();if(!this.k.regexParsingWithErrorRecovery){if(this.z(),Se.type!==10)throw this.B("REGEX",Se);const ee=Se.lexeme,te=ee.lastIndexOf("/"),ue=te===ee.length-1?void 0:this.w(ee.substring(te+1));let Z;try{Z=new RegExp(ee.substring(1,te),ue)}catch{throw this.B("REGEX",Se)}return J.create(Q,Z)}switch(Se.type){case 10:case 19:{const ee=[Se.lexeme];this.z();let te=this.D(),ue=0;for(let T=0;T<Se.lexeme.length;T++)Se.lexeme.charCodeAt(T)===40?ue++:Se.lexeme.charCodeAt(T)===41&&ue--;for(;!this.E()&&te.type!==15&&te.type!==16;){switch(te.type){case 0:ue++;break;case 1:ue--;break;case 10:case 18:for(let T=0;T<te.lexeme.length;T++)te.lexeme.charCodeAt(T)===40?ue++:Se.lexeme.charCodeAt(T)===41&&ue--}if(ue<0)break;ee.push(h.$oi.getLexeme(te)),this.z(),te=this.D()}const Z=ee.join(""),le=Z.lastIndexOf("/"),se=le===Z.length-1?void 0:this.w(Z.substring(le+1));let oe;try{oe=new RegExp(Z.substring(1,le),se)}catch{throw this.B("REGEX",Se)}return n.regex(Q,oe)}case 18:{const ee=Se.lexeme;this.z();let te=null;if(!(0,A.$hd)(ee)){const ue=ee.indexOf("/"),Z=ee.lastIndexOf("/");if(ue!==Z&&ue>=0){const le=ee.slice(ue+1,Z),se=ee[Z+1]==="i"?"i":"";try{te=new RegExp(le,se)}catch{throw this.B("REGEX",Se)}}}if(te===null)throw this.B("REGEX",Se);return J.create(Q,te)}default:throw this.B("REGEX",this.D())}}if(this.y(14)){this.A(13,w);const Se=this.u();return n.notIn(Q,Se)}switch(this.D().type){case 3:{this.z();const Se=this.u();if(this.x().type===18)return n.equals(Q,Se);switch(Se){case"true":return n.has(Q);case"false":return n.not(Q);default:return n.equals(Q,Se)}}case 4:{this.z();const Se=this.u();if(this.x().type===18)return n.notEquals(Q,Se);switch(Se){case"true":return n.not(Q);case"false":return n.has(Q);default:return n.notEquals(Q,Se)}}case 5:return this.z(),W.create(Q,this.u());case 6:return this.z(),O.create(Q,this.u());case 7:return this.z(),U.create(Q,this.u());case 8:return this.z(),q.create(Q,this.u());case 13:return this.z(),n.in(Q,this.u());default:return n.has(Q)}}case 20:throw this.h.push({message:p,offset:M.offset,lexeme:"",additionalInfo:f}),E.c;default:throw this.B(`true | false | KEY 
	| KEY '=~' REGEX 
	| KEY ('==' | '!=' | '<' | '<=' | '>' | '>=' | 'in' | 'not' 'in') value`,this.D())}}u(){const M=this.D();switch(M.type){case 17:case 18:return this.z(),M.lexeme;case 11:return this.z(),"true";case 12:return this.z(),"false";case 13:return this.z(),"in";default:return""}}w(M){return M.replaceAll(this.v,"")}x(){return this.f[this.g-1]}y(M){return this.C(M)?(this.z(),!0):!1}z(){return this.E()||this.g++,this.x()}A(M,Q){if(this.C(M))return this.z();throw this.B(Q,this.D())}B(M,Q,ve){const Se=(0,R.localize)(8,null,M,h.$oi.getLexeme(Q)),ee=Q.offset,te=h.$oi.getLexeme(Q);return this.h.push({message:Se,offset:ee,lexeme:te,additionalInfo:ve}),E.c}C(M){return this.D().type===M}D(){return this.f[this.g]}E(){return this.D().type===20}}e.$qi=E,E.c=new Error;class n{static false(){return u.INSTANCE}static true(){return $.INSTANCE}static has(M){return d.create(M)}static equals(M,Q){return S.create(M,Q)}static notEquals(M,Q){return r.create(M,Q)}static regex(M,Q){return J.create(M,Q)}static in(M,Q){return y.create(M,Q)}static notIn(M,Q){return c.create(M,Q)}static not(M){return P.create(M)}static and(...M){return he.create(M,null,!0)}static or(...M){return ie.create(M,null,!0)}static greater(M,Q){return U.create(M,Q)}static greaterEquals(M,Q){return q.create(M,Q)}static smaller(M,Q){return W.create(M,Q)}static smallerEquals(M,Q){return O.create(M,Q)}static deserialize(M){return M==null?void 0:this.c.parse(M)}}e.$ri=n,n.c=new E({regexParsingWithErrorRecovery:!1});function o(ge){const M=new E({regexParsingWithErrorRecovery:!1});return ge.map(Q=>(M.parse(Q),M.lexingErrors.length>0?M.lexingErrors.map(ve=>({errorMessage:ve.additionalInfo?(0,R.localize)(9,null,ve.additionalInfo):(0,R.localize)(10,null),offset:ve.offset,length:ve.lexeme.length})):M.parsingErrors.length>0?M.parsingErrors.map(ve=>({errorMessage:ve.additionalInfo?`${ve.message}. ${ve.additionalInfo}`:ve.message,offset:ve.offset,length:ve.lexeme.length})):[]))}e.$si=o;function s(ge,M){const Q=ge?ge.substituteConstants():void 0,ve=M?M.substituteConstants():void 0;return!Q&&!ve?!0:!Q||!ve?!1:Q.equals(ve)}e.$ti=s;function t(ge,M){return ge.cmp(M)}class u{constructor(){this.type=0}cmp(M){return this.type-M.type}equals(M){return M.type===this.type}substituteConstants(){return this}evaluate(M){return!1}serialize(){return"false"}keys(){return[]}map(M){return this}negate(){return $.INSTANCE}}e.$ui=u,u.INSTANCE=new u;class ${constructor(){this.type=1}cmp(M){return this.type-M.type}equals(M){return M.type===this.type}substituteConstants(){return this}evaluate(M){return!0}serialize(){return"true"}keys(){return[]}map(M){return this}negate(){return u.INSTANCE}}e.$vi=$,$.INSTANCE=new $;class d{static create(M,Q=null){const ve=k.get(M);return typeof ve=="boolean"?ve?$.INSTANCE:u.INSTANCE:new d(M,Q)}constructor(M,Q){this.key=M,this.c=Q,this.type=2}cmp(M){return M.type!==this.type?this.type-M.type:V(this.key,M.key)}equals(M){return M.type===this.type?this.key===M.key:!1}substituteConstants(){const M=k.get(this.key);return typeof M=="boolean"?M?$.INSTANCE:u.INSTANCE:this}evaluate(M){return!!M.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(M){return M.mapDefined(this.key)}negate(){return this.c||(this.c=P.create(this.key,this)),this.c}}e.$wi=d;class S{static create(M,Q,ve=null){if(typeof Q=="boolean")return Q?d.create(M,ve):P.create(M,ve);const Se=k.get(M);return typeof Se=="boolean"?Q===(Se?"true":"false")?$.INSTANCE:u.INSTANCE:new S(M,Q,ve)}constructor(M,Q,ve){this.c=M,this.d=Q,this.f=ve,this.type=4}cmp(M){return M.type!==this.type?this.type-M.type:H(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){const M=k.get(this.c);if(typeof M=="boolean"){const Q=M?"true":"false";return this.d===Q?$.INSTANCE:u.INSTANCE}return this}evaluate(M){return M.getValue(this.c)==this.d}serialize(){return`${this.c} == '${this.d}'`}keys(){return[this.c]}map(M){return M.mapEquals(this.c,this.d)}negate(){return this.f||(this.f=r.create(this.c,this.d,this)),this.f}}e.$xi=S;class y{static create(M,Q){return new y(M,Q)}constructor(M,Q){this.d=M,this.f=Q,this.type=10,this.c=null}cmp(M){return M.type!==this.type?this.type-M.type:H(this.d,this.f,M.d,M.f)}equals(M){return M.type===this.type?this.d===M.d&&this.f===M.f:!1}substituteConstants(){return this}evaluate(M){const Q=M.getValue(this.f),ve=M.getValue(this.d);return Array.isArray(Q)?Q.includes(ve):typeof ve=="string"&&typeof Q=="object"&&Q!==null?L.call(Q,ve):!1}serialize(){return`${this.d} in '${this.f}'`}keys(){return[this.d,this.f]}map(M){return M.mapIn(this.d,this.f)}negate(){return this.c||(this.c=c.create(this.d,this.f)),this.c}}e.$yi=y;class c{static create(M,Q){return new c(M,Q)}constructor(M,Q){this.d=M,this.f=Q,this.type=11,this.c=y.create(M,Q)}cmp(M){return M.type!==this.type?this.type-M.type:this.c.cmp(M.c)}equals(M){return M.type===this.type?this.c.equals(M.c):!1}substituteConstants(){return this}evaluate(M){return!this.c.evaluate(M)}serialize(){return`${this.d} not in '${this.f}'`}keys(){return this.c.keys()}map(M){return M.mapNotIn(this.d,this.f)}negate(){return this.c}}e.$zi=c;class r{static create(M,Q,ve=null){if(typeof Q=="boolean")return Q?P.create(M,ve):d.create(M,ve);const Se=k.get(M);return typeof Se=="boolean"?Q===(Se?"true":"false")?u.INSTANCE:$.INSTANCE:new r(M,Q,ve)}constructor(M,Q,ve){this.c=M,this.d=Q,this.f=ve,this.type=5}cmp(M){return M.type!==this.type?this.type-M.type:H(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){const M=k.get(this.c);if(typeof M=="boolean"){const Q=M?"true":"false";return this.d===Q?u.INSTANCE:$.INSTANCE}return this}evaluate(M){return M.getValue(this.c)!=this.d}serialize(){return`${this.c} != '${this.d}'`}keys(){return[this.c]}map(M){return M.mapNotEquals(this.c,this.d)}negate(){return this.f||(this.f=S.create(this.c,this.d,this)),this.f}}e.$Ai=r;class P{static create(M,Q=null){const ve=k.get(M);return typeof ve=="boolean"?ve?u.INSTANCE:$.INSTANCE:new P(M,Q)}constructor(M,Q){this.c=M,this.d=Q,this.type=3}cmp(M){return M.type!==this.type?this.type-M.type:V(this.c,M.c)}equals(M){return M.type===this.type?this.c===M.c:!1}substituteConstants(){const M=k.get(this.c);return typeof M=="boolean"?M?u.INSTANCE:$.INSTANCE:this}evaluate(M){return!M.getValue(this.c)}serialize(){return`!${this.c}`}keys(){return[this.c]}map(M){return M.mapNot(this.c)}negate(){return this.d||(this.d=d.create(this.c,this)),this.d}}e.$Bi=P;function N(ge,M){if(typeof ge=="string"){const Q=parseFloat(ge);isNaN(Q)||(ge=Q)}return typeof ge=="string"||typeof ge=="number"?M(ge):u.INSTANCE}class U{static create(M,Q,ve=null){return N(Q,Se=>new U(M,Se,ve))}constructor(M,Q,ve){this.c=M,this.d=Q,this.f=ve,this.type=12}cmp(M){return M.type!==this.type?this.type-M.type:H(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))>this.d}serialize(){return`${this.c} > ${this.d}`}keys(){return[this.c]}map(M){return M.mapGreater(this.c,this.d)}negate(){return this.f||(this.f=O.create(this.c,this.d,this)),this.f}}e.$Ci=U;class q{static create(M,Q,ve=null){return N(Q,Se=>new q(M,Se,ve))}constructor(M,Q,ve){this.c=M,this.d=Q,this.f=ve,this.type=13}cmp(M){return M.type!==this.type?this.type-M.type:H(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))>=this.d}serialize(){return`${this.c} >= ${this.d}`}keys(){return[this.c]}map(M){return M.mapGreaterEquals(this.c,this.d)}negate(){return this.f||(this.f=W.create(this.c,this.d,this)),this.f}}e.$Di=q;class W{static create(M,Q,ve=null){return N(Q,Se=>new W(M,Se,ve))}constructor(M,Q,ve){this.c=M,this.d=Q,this.f=ve,this.type=14}cmp(M){return M.type!==this.type?this.type-M.type:H(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))<this.d}serialize(){return`${this.c} < ${this.d}`}keys(){return[this.c]}map(M){return M.mapSmaller(this.c,this.d)}negate(){return this.f||(this.f=q.create(this.c,this.d,this)),this.f}}e.$Ei=W;class O{static create(M,Q,ve=null){return N(Q,Se=>new O(M,Se,ve))}constructor(M,Q,ve){this.c=M,this.d=Q,this.f=ve,this.type=15}cmp(M){return M.type!==this.type?this.type-M.type:H(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))<=this.d}serialize(){return`${this.c} <= ${this.d}`}keys(){return[this.c]}map(M){return M.mapSmallerEquals(this.c,this.d)}negate(){return this.f||(this.f=U.create(this.c,this.d,this)),this.f}}e.$Fi=O;class J{static create(M,Q){return new J(M,Q)}constructor(M,Q){this.d=M,this.f=Q,this.type=7,this.c=null}cmp(M){if(M.type!==this.type)return this.type-M.type;if(this.d<M.d)return-1;if(this.d>M.d)return 1;const Q=this.f?this.f.source:"",ve=M.f?M.f.source:"";return Q<ve?-1:Q>ve?1:0}equals(M){if(M.type===this.type){const Q=this.f?this.f.source:"",ve=M.f?M.f.source:"";return this.d===M.d&&Q===ve}return!1}substituteConstants(){return this}evaluate(M){const Q=M.getValue(this.d);return this.f?this.f.test(Q):!1}serialize(){const M=this.f?`/${this.f.source}/${this.f.flags}`:"/invalid/";return`${this.d} =~ ${M}`}keys(){return[this.d]}map(M){return M.mapRegex(this.d,this.f)}negate(){return this.c||(this.c=z.create(this)),this.c}}e.$Gi=J;class z{static create(M){return new z(M)}constructor(M){this.c=M,this.type=8}cmp(M){return M.type!==this.type?this.type-M.type:this.c.cmp(M.c)}equals(M){return M.type===this.type?this.c.equals(M.c):!1}substituteConstants(){return this}evaluate(M){return!this.c.evaluate(M)}serialize(){return`!(${this.c.serialize()})`}keys(){return this.c.keys()}map(M){return new z(this.c.map(M))}negate(){return this.c}}e.$Hi=z;function j(ge){let M=null;for(let Q=0,ve=ge.length;Q<ve;Q++){const Se=ge[Q].substituteConstants();if(ge[Q]!==Se&&M===null){M=[];for(let ee=0;ee<Q;ee++)M[ee]=ge[ee]}M!==null&&(M[Q]=Se)}return M===null?ge:M}class he{static create(M,Q,ve){return he.d(M,Q,ve)}constructor(M,Q){this.expr=M,this.c=Q,this.type=6}cmp(M){if(M.type!==this.type)return this.type-M.type;if(this.expr.length<M.expr.length)return-1;if(this.expr.length>M.expr.length)return 1;for(let Q=0,ve=this.expr.length;Q<ve;Q++){const Se=t(this.expr[Q],M.expr[Q]);if(Se!==0)return Se}return 0}equals(M){if(M.type===this.type){if(this.expr.length!==M.expr.length)return!1;for(let Q=0,ve=this.expr.length;Q<ve;Q++)if(!this.expr[Q].equals(M.expr[Q]))return!1;return!0}return!1}substituteConstants(){const M=j(this.expr);return M===this.expr?this:he.create(M,this.c,!1)}evaluate(M){for(let Q=0,ve=this.expr.length;Q<ve;Q++)if(!this.expr[Q].evaluate(M))return!1;return!0}static d(M,Q,ve){const Se=[];let ee=!1;for(const te of M)if(te){if(te.type===1){ee=!0;continue}if(te.type===0)return u.INSTANCE;if(te.type===6){Se.push(...te.expr);continue}Se.push(te)}if(Se.length===0&&ee)return $.INSTANCE;if(Se.length!==0){if(Se.length===1)return Se[0];Se.sort(t);for(let te=1;te<Se.length;te++)Se[te-1].equals(Se[te])&&(Se.splice(te,1),te--);if(Se.length===1)return Se[0];for(;Se.length>1;){const te=Se[Se.length-1];if(te.type!==9)break;Se.pop();const ue=Se.pop(),Z=Se.length===0,le=ie.create(te.expr.map(se=>he.create([se,ue],null,ve)),null,Z);le&&(Se.push(le),Se.sort(t))}if(Se.length===1)return Se[0];if(ve){for(let te=0;te<Se.length;te++)for(let ue=te+1;ue<Se.length;ue++)if(Se[te].negate().equals(Se[ue]))return u.INSTANCE;if(Se.length===1)return Se[0]}return new he(Se,Q)}}serialize(){return this.expr.map(M=>M.serialize()).join(" && ")}keys(){const M=[];for(const Q of this.expr)M.push(...Q.keys());return M}map(M){return new he(this.expr.map(Q=>Q.map(M)),null)}negate(){if(!this.c){const M=[];for(const Q of this.expr)M.push(Q.negate());this.c=ie.create(M,this,!0)}return this.c}}e.$Ii=he;class ie{static create(M,Q,ve){return ie.d(M,Q,ve)}constructor(M,Q){this.expr=M,this.c=Q,this.type=9}cmp(M){if(M.type!==this.type)return this.type-M.type;if(this.expr.length<M.expr.length)return-1;if(this.expr.length>M.expr.length)return 1;for(let Q=0,ve=this.expr.length;Q<ve;Q++){const Se=t(this.expr[Q],M.expr[Q]);if(Se!==0)return Se}return 0}equals(M){if(M.type===this.type){if(this.expr.length!==M.expr.length)return!1;for(let Q=0,ve=this.expr.length;Q<ve;Q++)if(!this.expr[Q].equals(M.expr[Q]))return!1;return!0}return!1}substituteConstants(){const M=j(this.expr);return M===this.expr?this:ie.create(M,this.c,!1)}evaluate(M){for(let Q=0,ve=this.expr.length;Q<ve;Q++)if(this.expr[Q].evaluate(M))return!0;return!1}static d(M,Q,ve){let Se=[],ee=!1;if(M){for(let te=0,ue=M.length;te<ue;te++){const Z=M[te];if(Z){if(Z.type===0){ee=!0;continue}if(Z.type===1)return $.INSTANCE;if(Z.type===9){Se=Se.concat(Z.expr);continue}Se.push(Z)}}if(Se.length===0&&ee)return u.INSTANCE;Se.sort(t)}if(Se.length!==0){if(Se.length===1)return Se[0];for(let te=1;te<Se.length;te++)Se[te-1].equals(Se[te])&&(Se.splice(te,1),te--);if(Se.length===1)return Se[0];if(ve){for(let te=0;te<Se.length;te++)for(let ue=te+1;ue<Se.length;ue++)if(Se[te].negate().equals(Se[ue]))return $.INSTANCE;if(Se.length===1)return Se[0]}return new ie(Se,Q)}}serialize(){return this.expr.map(M=>M.serialize()).join(" || ")}keys(){const M=[];for(const Q of this.expr)M.push(...Q.keys());return M}map(M){return new ie(this.expr.map(Q=>Q.map(M)),null)}negate(){if(!this.c){const M=[];for(const Q of this.expr)M.push(Q.negate());for(;M.length>1;){const Q=M.shift(),ve=M.shift(),Se=[];for(const ee of ye(Q))for(const te of ye(ve))Se.push(he.create([ee,te],null,!1));M.unshift(ie.create(Se,null,!1))}this.c=ie.create(M,this,!0)}return this.c}}e.$Ji=ie;class ne extends d{static all(){return ne.d.values()}constructor(M,Q,ve){super(M,null),this.f=Q,typeof ve=="object"?ne.d.push({...ve,key:M}):ve!==!0&&ne.d.push({key:M,description:ve,type:Q!=null?typeof Q:void 0})}bindTo(M){return M.createKey(this.key,this.f)}getValue(M){return M.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(M){return S.create(this.key,M)}notEqualsTo(M){return r.create(this.key,M)}}e.$Ki=ne,ne.d=[],e.$Li=(0,F.$lh)("contextKeyService");function V(ge,M){return ge<M?-1:ge>M?1:0}function H(ge,M,Q,ve){return ge<Q?-1:ge>Q?1:M<ve?-1:M>ve?1:0}function ce(ge,M){if(ge.type===0||M.type===1)return!0;if(ge.type===9)return M.type===9?pe(ge.expr,M.expr):!1;if(M.type===9){for(const Q of M.expr)if(ce(ge,Q))return!0;return!1}if(ge.type===6){if(M.type===6)return pe(M.expr,ge.expr);for(const Q of ge.expr)if(ce(Q,M))return!0;return!1}return ge.equals(M)}e.$Mi=ce;function pe(ge,M){let Q=0,ve=0;for(;Q<ge.length&&ve<M.length;){const Se=ge[Q].cmp(M[ve]);if(Se<0)return!1;Se===0&&Q++,ve++}return Q===ge.length}function ye(ge){return ge.type===9?ge.expr:[ge]}}),define(De[214],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$th=e.$sh=void 0,e.$sh=(0,b.$lh)("environmentService"),e.$th=(0,b.$mh)(e.$sh)}),define(De[125],Ce([1,0,179,5]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Un=e.$Tn=e.$Sn=e.$Rn=e.$Qn=e.$Pn=e.$On=e.$Nn=e.$Mn=e.ExtensionSignaturetErrorCode=e.ExtensionManagementErrorCode=e.$Ln=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.$Kn=e.$Jn=e.$In=e.$Hn=e.$Gn=e.$Fn=e.$En=e.$Dn=e.$Cn=e.$Bn=e.$An=e.$zn=void 0,e.$zn="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.$An=new RegExp(e.$zn),e.$Bn="__web_extension",e.$Cn="skipWalkthrough",e.$Dn="extensionsSync";function h(a){switch(a){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.$En=h;function F(a){switch(a){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.$Fn=F;function R(a,p){switch(a){case 3:return p==="x64"?"win32-x64":p==="ia32"?"win32-ia32":p==="arm64"?"win32-arm64":"unknown";case 2:return p==="x64"?"linux-x64":p==="arm64"?"linux-arm64":p==="arm"?"linux-armhf":"unknown";case"alpine":return p==="x64"?"alpine-x64":p==="arm64"?"alpine-arm64":"unknown";case 1:return p==="x64"?"darwin-x64":p==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.$Gn=R;function g(a,p){return p==="web"&&!a.includes("web")}e.$Hn=g;function k(a,p,f){return g(p,f)?!1:a==="undefined"||a==="universal"?!0:a==="unknown"?!1:a===f?!0:m(f).includes(a)}e.$In=k;function m(a){switch(a){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.$Jn=m;function L(a){return a&&typeof a=="object"&&typeof a.id=="string"&&(!a.uuid||typeof a.uuid=="string")}e.$Kn=L;var I;(function(a){a[a.NoneOrRelevance=0]="NoneOrRelevance",a[a.LastUpdatedDate=1]="LastUpdatedDate",a[a.Title=2]="Title",a[a.PublisherName=3]="PublisherName",a[a.InstallCount=4]="InstallCount",a[a.PublishedDate=10]="PublishedDate",a[a.AverageRating=6]="AverageRating",a[a.WeightedRating=12]="WeightedRating"})(I||(e.SortBy=I={}));var v;(function(a){a[a.Default=0]="Default",a[a.Ascending=1]="Ascending",a[a.Descending=2]="Descending"})(v||(e.SortOrder=v={}));var D;(function(a){a.Install="install",a.Uninstall="uninstall"})(D||(e.StatisticType=D={}));var C;(function(a){a[a.None=1]="None",a[a.Install=2]="Install",a[a.Update=3]="Update",a[a.Migrate=4]="Migrate"})(C||(e.InstallOperation=C={})),e.$Ln=(0,A.$lh)("extensionGalleryService");var w;(function(a){a.Unsupported="Unsupported",a.Deprecated="Deprecated",a.Malicious="Malicious",a.Incompatible="Incompatible",a.IncompatiblePreRelease="IncompatiblePreRelease",a.IncompatibleTargetPlatform="IncompatibleTargetPlatform",a.ReleaseVersionNotFound="ReleaseVersionNotFound",a.Invalid="Invalid",a.Download="Download",a.Extract="Extract",a.Delete="Delete",a.Rename="Rename",a.CorruptZip="CorruptZip",a.IncompleteZip="IncompleteZip",a.Signature="Signature",a.Internal="Internal"})(w||(e.ExtensionManagementErrorCode=w={}));var i;(function(a){a.UnknownError="UnknownError",a.PackageIsInvalidZip="PackageIsInvalidZip",a.SignatureArchiveIsInvalidZip="SignatureArchiveIsInvalidZip"})(i||(e.ExtensionSignaturetErrorCode=i={}));class l extends Error{constructor(p,f){super(p),this.code=f,this.name=f}}e.$Mn=l,e.$Nn=(0,A.$lh)("extensionManagementService"),e.$On="extensionsIdentifiers/disabled",e.$Pn="extensionsIdentifiers/enabled",e.$Qn=(0,A.$lh)("IGlobalExtensionEnablementService"),e.$Rn=(0,A.$lh)("IExtensionTipsService"),e.$Sn=(0,b.localize)(0,null),e.$Tn={value:e.$Sn,original:"Extensions"},e.$Un={value:(0,b.localize)(1,null),original:"Preferences"}}),define(De[215],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cUb=e.$bUb=e.$aUb=void 0,e.$aUb=(0,b.$lh)("externalTerminal"),e.$bUb="Terminal.app",e.$cUb=(0,b.$lh)("externalTerminal")}),define(De[216],Ce([1,0,46,16,11,10,93,29,96,181,215]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$P2b=e.$O2b=e.$N2b=void 0;const I=m.localize(0,null);class v{async getDefaultTerminalForPlatforms(){return{windows:D.getDefaultTerminalWindows(),linux:await w.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class D extends v{openTerminal(f,E){return this.spawnTerminal(b,f,k.$dl(),E)}spawnTerminal(f,E,n,o){const s=E.windowsExec||D.getDefaultTerminalWindows();o&&o[1]===":"&&(o=o[0].toUpperCase()+o.substr(1));const t=h.$cc(s,".exe").toLowerCase();if(t==="cmder")return f.spawn(s,o?[o]:void 0),Promise.resolve(void 0);const u=["/c","start","/wait"];return s.indexOf(" ")>=0&&u.push('""'),u.push(s),t==="wt"&&u.push("-d ."),new Promise(($,d)=>{const S=i(process),y=f.spawn(n,u,{cwd:o,env:S});y.on("error",d),y.on("exit",()=>$())})}runInTerminal(f,E,n,o,s){const t="windowsExec"in s&&s.windowsExec?s.windowsExec:D.getDefaultTerminalWindows();return new Promise((u,$)=>{const d=`"${E} - ${I}"`,S=`""${n.join('" "')}" & pause"`,y=Object.assign({},i(process),o);Object.keys(y).filter(U=>y[U]===null).forEach(U=>delete y[U]);const c={cwd:E,env:y,windowsVerbatimArguments:!0};let r,P;h.$cc(t,".exe")==="wt"?(r=t,P=["-d",".",D.b,"/c",S]):(r=D.b,P=["/c","start",d,"/wait",t,"/c",S]),b.spawn(r,P,c).on("error",U=>{$(l(U))}),u(void 0)})}static getDefaultTerminalWindows(){if(!D.d){const f=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");D.d=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${f?"Sysnative":"System32"}\\cmd.exe`}return D.d}}e.$N2b=D,D.b="cmd.exe";class C extends v{openTerminal(f,E){return this.spawnTerminal(b,f,E)}runInTerminal(f,E,n,o,s){const t=s.osxExec||L.$bUb;return new Promise((u,$)=>{if(t===L.$bUb||t==="iTerm.app"){const d=t===L.$bUb?"TerminalHelper":"iTermHelper",y=[A.$1e.asFileUri(`vs/workbench/contrib/externalTerminal/node/${d}.scpt`).fsPath,"-t",f||I,"-w",E];for(const P of n)y.push("-a"),y.push(P);if(o){const P=Object.assign({},i(process),o);for(const N in P){const U=P[N];U===null?(y.push("-u"),y.push(N)):(y.push("-e"),y.push(`${N}=${U}`))}}let c="";const r=b.spawn(C.b,y);r.on("error",P=>{$(l(P))}),r.stderr.on("data",P=>{c+=P.toString()}),r.on("exit",P=>{if(P===0)u(void 0);else if(c){const N=c.split(`
`,1);$(new Error(N[0]))}else $(new Error(m.localize(1,null,d,P)))})}else $(new Error(m.localize(2,null,t)))})}spawnTerminal(f,E,n){const o=E.osxExec||L.$bUb;return new Promise((s,t)=>{const u=["-a",o];n&&u.push(n);const $=i(process),d=f.spawn("/usr/bin/open",u,{cwd:n,env:$});d.on("error",t),d.on("exit",()=>s())})}}e.$O2b=C,C.b="/usr/bin/osascript";class w extends v{openTerminal(f,E){return this.spawnTerminal(b,f,E)}runInTerminal(f,E,n,o,s){const t=s.linuxExec?Promise.resolve(s.linuxExec):w.getDefaultTerminalLinuxReady();return new Promise((u,$)=>{const d=[];t.then(S=>{S.indexOf("gnome-terminal")>=0?d.push("-x"):d.push("-e"),d.push("bash"),d.push("-c");const y=`${a(n)}; echo; read -p "${w.b}" -n1;`;d.push(`''${y}''`);const c=Object.assign({},i(process),o);Object.keys(c).filter(U=>c[U]===null).forEach(U=>delete c[U]);const r={cwd:E,env:c};let P="";const N=b.spawn(S,d,r);N.on("error",U=>{$(l(U))}),N.stderr.on("data",U=>{P+=U.toString()}),N.on("exit",U=>{if(U===0)u(void 0);else if(P){const q=P.split(`
`,1);$(new Error(q[0]))}else $(new Error(m.localize(4,null,S,U)))})})})}static async getDefaultTerminalLinuxReady(){if(!w.d)if(!F.$k)w.d=Promise.resolve("xterm");else{const f=await g.Promises.exists("/etc/debian_version");w.d=new Promise(E=>{f?E("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?E("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?E("konsole"):process.env.COLORTERM?E(process.env.COLORTERM):process.env.TERM?E(process.env.TERM):E("xterm")})}return w.d}spawnTerminal(f,E,n){const o=E.linuxExec?Promise.resolve(E.linuxExec):w.getDefaultTerminalLinuxReady();return new Promise((s,t)=>{o.then(u=>{const $=i(process),d=f.spawn(u,[],{cwd:n,env:$});d.on("error",t),d.on("exit",()=>s())})})}}e.$P2b=w,w.b=m.localize(3,null);function i(p){const f={...p.env};return(0,R.$bl)(f),f}function l(p){return"errno"in p&&p.errno==="ENOENT"&&"path"in p&&typeof p.path=="string"?new Error(m.localize(5,null,p.path)):p}function a(p){let f="";for(const E of p)E.indexOf(" ")>=0?f+='"'+E+'"':f+=E,f+=" ";return f}}),define(De[30],Ce([1,0,71,11,9,12,2,182,5,10,16]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kk=e.$jk=e.$ik=e.$hk=e.$gk=e.FileKind=e.$fk=e.$ek=e.$dk=e.$ck=e.$bk=e.$ak=e.$_j=e.FileOperationResult=e.$$j=e.$0j=e.$9j=e.$8j=e.$7j=e.FileChangeType=e.$6j=e.FileOperation=e.$5j=e.$4j=e.$3j=e.$2j=e.$1j=e.$Zj=e.FileSystemProviderErrorCode=e.$Yj=e.$Xj=e.$Wj=e.$Vj=e.$Uj=e.$Tj=e.$Sj=e.$Rj=e.$Qj=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.$Pj=e.$Oj=void 0,e.$Oj=(0,k.$lh)("fileService");function I(V){return V.create===!0}e.$Pj=I;var v;(function(V){V[V.Unknown=0]="Unknown",V[V.File=1]="File",V[V.Directory=2]="Directory",V[V.SymbolicLink=64]="SymbolicLink"})(v||(e.FileType=v={}));var D;(function(V){V[V.Readonly=1]="Readonly",V[V.Locked=2]="Locked"})(D||(e.FilePermission=D={}));var C;(function(V){V[V.None=0]="None",V[V.FileReadWrite=2]="FileReadWrite",V[V.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",V[V.FileReadStream=16]="FileReadStream",V[V.FileFolderCopy=8]="FileFolderCopy",V[V.PathCaseSensitive=1024]="PathCaseSensitive",V[V.Readonly=2048]="Readonly",V[V.Trash=4096]="Trash",V[V.FileWriteUnlock=8192]="FileWriteUnlock",V[V.FileAtomicRead=16384]="FileAtomicRead",V[V.FileAtomicWrite=32768]="FileAtomicWrite",V[V.FileAtomicDelete=65536]="FileAtomicDelete",V[V.FileClone=131072]="FileClone"})(C||(e.FileSystemProviderCapabilities=C={}));function w(V){return!!(V.capabilities&2)}e.$Qj=w;function i(V){return!!(V.capabilities&8)}e.$Rj=i;function l(V){return!!(V.capabilities&131072)}e.$Sj=l;function a(V){return!!(V.capabilities&4)}e.$Tj=a;function p(V){return!!(V.capabilities&16)}e.$Uj=p;function f(V){return w(V)?!!(V.capabilities&16384):!1}e.$Vj=f;function E(V){return w(V)?!!(V.capabilities&32768):!1}e.$Wj=E;function n(V){return!!(V.capabilities&65536)}e.$Xj=n;function o(V){return!!(V.capabilities&2048)}e.$Yj=o;var s;(function(V){V.FileExists="EntryExists",V.FileNotFound="EntryNotFound",V.FileNotADirectory="EntryNotADirectory",V.FileIsADirectory="EntryIsADirectory",V.FileExceedsStorageQuota="EntryExceedsStorageQuota",V.FileTooLarge="EntryTooLarge",V.FileWriteLocked="EntryWriteLocked",V.NoPermissions="NoPermissions",V.Unavailable="Unavailable",V.Unknown="Unknown"})(s||(e.FileSystemProviderErrorCode=s={}));class t extends Error{static create(H,ce){const pe=new t(H.toString(),ce);return d(pe,ce),pe}constructor(H,ce){super(H),this.code=ce}}e.$Zj=t;function u(V,H){return t.create(V,H)}e.$1j=u;function $(V){return V||u((0,g.localize)(0,null),s.Unknown)}e.$2j=$;function d(V,H){return V.name=H?`${H} (FileSystemError)`:"FileSystemError",V}e.$3j=d;function S(V){if(!V)return s.Unknown;if(V instanceof t)return V.code;const H=/^(.+) \(FileSystemError\)$/.exec(V.name);if(!H)return s.Unknown;switch(H[1]){case s.FileExists:return s.FileExists;case s.FileIsADirectory:return s.FileIsADirectory;case s.FileNotADirectory:return s.FileNotADirectory;case s.FileNotFound:return s.FileNotFound;case s.FileTooLarge:return s.FileTooLarge;case s.FileWriteLocked:return s.FileWriteLocked;case s.NoPermissions:return s.NoPermissions;case s.Unavailable:return s.Unavailable}return s.Unknown}e.$4j=S;function y(V){if(V instanceof q)return V.fileOperationResult;switch(S(V)){case s.FileNotFound:return 1;case s.FileIsADirectory:return 0;case s.FileNotADirectory:return 9;case s.FileWriteLocked:return 5;case s.NoPermissions:return 6;case s.FileExists:return 4;case s.FileTooLarge:return 7;default:return 10}}e.$5j=y;var c;(function(V){V[V.CREATE=0]="CREATE",V[V.DELETE=1]="DELETE",V[V.MOVE=2]="MOVE",V[V.COPY=3]="COPY",V[V.WRITE=4]="WRITE"})(c||(e.FileOperation=c={}));class r{constructor(H,ce,pe){this.resource=H,this.operation=ce,this.target=pe}isOperation(H){return this.operation===H}}e.$6j=r;var P;(function(V){V[V.UPDATED=0]="UPDATED",V[V.ADDED=1]="ADDED",V[V.DELETED=2]="DELETED"})(P||(e.FileChangeType=P={}));class N{constructor(H,ce){this.a=void 0,this.b=void 0,this.c=void 0,this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];const pe=new Map;for(const ye of H){const ge=pe.get(ye.type);switch(ge?ge.push([ye.resource,ye]):pe.set(ye.type,[[ye.resource,ye]]),ye.type){case 1:this.rawAdded.push(ye.resource);break;case 0:this.rawUpdated.push(ye.resource);break;case 2:this.rawDeleted.push(ye.resource);break}}for(const[ye,ge]of pe)switch(ye){case 1:this.a=b.$rh.forUris(()=>ce),this.a.fill(ge);break;case 0:this.b=b.$rh.forUris(()=>ce),this.b.fill(ge);break;case 2:this.c=b.$rh.forUris(()=>ce),this.c.fill(ge);break}}contains(H,...ce){return this.d(H,{includeChildren:!1},...ce)}affects(H,...ce){return this.d(H,{includeChildren:!0},...ce)}d(H,ce,...pe){if(!H)return!1;const ye=pe.length>0;return!!((!ye||pe.includes(1))&&(this.a?.get(H)||ce.includeChildren&&this.a?.findSuperstr(H))||(!ye||pe.includes(0))&&(this.b?.get(H)||ce.includeChildren&&this.b?.findSuperstr(H))||(!ye||pe.includes(2))&&(this.c?.findSubstr(H)||ce.includeChildren&&this.c?.findSuperstr(H)))}gotAdded(){return!!this.a}gotDeleted(){return!!this.c}gotUpdated(){return!!this.b}}e.$7j=N;function U(V,H,ce){return!V||!H||V===H||H.length>V.length?!1:(H.charAt(H.length-1)!==A.sep&&(H+=A.sep),ce?(0,h.$Kd)(V,H):V.indexOf(H)===0)}e.$8j=U;class q extends Error{constructor(H,ce,pe){super(H),this.fileOperationResult=ce,this.options=pe}}e.$9j=q;class W extends q{constructor(H,ce,pe,ye){super(H,ce,ye),this.fileOperationResult=ce,this.size=pe}}e.$0j=W;class O extends q{constructor(H,ce,pe){super(H,2,pe),this.stat=ce}}e.$$j=O;var J;(function(V){V[V.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",V[V.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",V[V.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",V[V.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",V[V.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",V[V.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",V[V.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",V[V.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",V[V.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",V[V.FILE_NOT_DIRECTORY=9]="FILE_NOT_DIRECTORY",V[V.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"})(J||(e.FileOperationResult=J={})),e.$_j={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.$ak={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.$bk="files.associations",e.$ck="files.exclude",e.$dk="files.readonlyInclude",e.$ek="files.readonlyExclude",e.$fk="files.readonlyFromPermissions";var z;(function(V){V[V.FILE=0]="FILE",V[V.FOLDER=1]="FOLDER",V[V.ROOT_FOLDER=2]="ROOT_FOLDER"})(z||(e.FileKind=z={})),e.$gk="";function j(V){if(!(typeof V.size!="number"||typeof V.mtime!="number"))return V.mtime.toString(29)+V.size.toString(31)}e.$hk=j;async function he(V,H){if(!H.hasProvider(R.URI.from({scheme:V.scheme})))return new Promise(ce=>{const pe=H.onDidChangeFileSystemProviderRegistrations(ye=>{ye.scheme===V.scheme&&ye.added&&(pe.dispose(),ce())})})}e.$ik=he;class ie{static formatSize(H){return(0,F.$ke)(H)||(H=0),H<ie.KB?(0,g.localize)(1,null,H.toFixed(0)):H<ie.MB?(0,g.localize)(2,null,(H/ie.KB).toFixed(2)):H<ie.GB?(0,g.localize)(3,null,(H/ie.MB).toFixed(2)):H<ie.TB?(0,g.localize)(4,null,(H/ie.GB).toFixed(2)):(0,g.localize)(5,null,(H/ie.TB).toFixed(2))}}e.$jk=ie,ie.KB=1024,ie.MB=ie.KB*ie.KB,ie.GB=ie.MB*ie.KB,ie.TB=ie.GB*ie.KB;function ne(V){const H=typeof V=="string"||V?.scheme===L.Schemas.vscodeRemote;return typeof V!="string"&&V?.scheme===L.Schemas.file?1024*ie.MB:H?10*ie.MB:m.$o?50*ie.MB:1024*ie.MB}e.$kk=ne}),define(De[217],Ce([1,0,22,8,183,30]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$np=void 0;async function R(L,I,v,D,C,w){let i;try{await g(L,I,v,D,C,w)}catch(l){i=l}finally{i&&C.errorTransformer&&(i=C.errorTransformer(i)),typeof i<"u"&&v.error(i),v.end()}}e.$np=R;async function g(L,I,v,D,C,w){k(w);const i=await L.open(I,{create:!1});try{k(w);let l=0,a=0,p=C&&typeof C.length=="number"?C.length:void 0,f=b.$Ib.alloc(Math.min(C.bufferSize,typeof p=="number"?p:C.bufferSize)),E=C&&typeof C.position=="number"?C.position:0,n=0;do a=await L.read(i,E,f.buffer,n,f.byteLength-n),E+=a,n+=a,l+=a,typeof p=="number"&&(p-=a),n===f.byteLength&&(await v.write(D(f)),f=b.$Ib.alloc(Math.min(C.bufferSize,typeof p=="number"?p:C.bufferSize)),n=0);while(a>0&&(typeof p!="number"||p>0)&&k(w)&&m(l,C));if(n>0){let o=n;typeof p=="number"&&(o=Math.min(n,p)),v.write(D(f.slice(0,o)))}}catch(l){throw(0,F.$2j)(l)}finally{await L.close(i)}}function k(L){if(L.isCancellationRequested)throw(0,A.$3)();return!0}function m(L,I){if(typeof I?.limits?.size=="number"&&L>I.limits.size)throw(0,F.$1j)((0,h.localize)(0,null),F.FileSystemProviderErrorCode.FileTooLarge);return!0}}),define(De[77],Ce([1,0,33,4,11,10,2,30]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wp=e.$vp=e.$up=e.$tp=e.$sp=e.$rp=e.$qp=e.$pp=void 0;function k(l){return l.recursive===!0}e.$pp=k;class m extends A.$kb{constructor(a,p,f,E){super(),this.h=a,this.i=p,this.j=f,this.k=E,this.c=this.B(new A.$lb),this.f=void 0,this.g=0}m(){const a=new A.$jb;this.c.value=a,this.b=this.l(a),this.b.setVerboseLogging(this.j),a.add(this.b.onDidChangeFile(p=>this.h(p))),a.add(this.b.onDidLogMessage(p=>this.i(p))),a.add(this.b.onDidError(p=>this.n(p)))}n(a){this.k.restartOnError?this.g<m.a&&this.f?(this.r(`restarting watcher after error: ${a}`),this.p(this.f)):this.r(`gave up attempting to restart watcher after error: ${a}`):this.r(a)}p(a){this.g++,this.m(),this.watch(a)}async watch(a){this.f=a,await this.b?.watch(a)}async setVerboseLogging(a){this.j=a,await this.b?.setVerboseLogging(a)}r(a){this.i({type:"error",message:`[File Watcher (${this.k.type})] ${a}`})}s(a){this.i({type:"trace",message:`[File Watcher (${this.k.type})] ${a}`})}dispose(){return this.b=void 0,super.dispose()}}e.$qp=m,m.a=5;class L extends m{constructor(a,p,f){super(a,p,f,{type:"node.js",restartOnError:!1})}}e.$rp=L;class I extends m{constructor(a,p,f){super(a,p,f,{type:"universal",restartOnError:!0})}}e.$sp=I;function v(l){return l.map(a=>({type:a.type,resource:R.URI.file(a.path)}))}e.$tp=v;function D(l){const a=new i;for(const p of l)a.processEvent(p);return a.coalesce()}e.$up=D;function C(l,a){return typeof a=="string"&&!a.startsWith(b.$9i)&&!(0,h.$0b)(a)?{base:l,pattern:a}:a}e.$vp=C;function w(l,a){const p=[];for(const f of a)p.push((0,b.$aj)(C(l,f)));return p}e.$wp=w;class i{constructor(){this.a=new Set,this.b=new Map}c(a){return F.$k?a.path:a.path.toLowerCase()}processEvent(a){const p=this.b.get(this.c(a));let f=!1;if(p){const E=p.type,n=a.type;p.path!==a.path&&(a.type===2||a.type===1)?f=!0:E===1&&n===2?(this.b.delete(this.c(a)),this.a.delete(p)):E===2&&n===1?p.type=0:E===1&&n===0||(p.type=n)}else f=!0;f&&(this.a.add(a),this.b.set(this.c(a),a))}coalesce(){const a=[],p=[];return Array.from(this.a).filter(f=>f.type!==2?(a.push(f),!1):!0).sort((f,E)=>f.path.length-E.path.length).filter(f=>p.some(E=>(0,g.$8j)(f.path,E,!F.$k))?!1:(p.push(f.path),!0)).concat(a)}}}),define(De[218],Ce([1,0,49,17,21,31,4,69,11,10,95,29,77]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kp=e.$Jp=void 0;class D extends R.$kb{constructor(i,l,a,p){super(),this.j=i,this.k=l,this.l=a,this.m=p,this.c=this.B(new A.$Fg({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},f=>this.k(f))),this.f=this.B(new A.$Eg(f=>this.u(f),D.b)),this.g=(0,v.$wp)(this.j.path,this.j.excludes),this.h=this.j.includes?(0,v.$wp)(this.j.path,this.j.includes):void 0,this.i=new h.$bd,this.ready=this.n()}async n(){try{const i=await this.r(this.j);if(this.i.token.isCancellationRequested)return;const l=await I.Promises.stat(i);this.B(await this.s(i,l.isDirectory()))}catch(i){i.code!=="ENOENT"?this.w(i):this.z(i)}}async r(i){let l=i.path;try{l=await I.Promises.realpath(i.path),i.path===l&&(l=await(0,L.$Gp)(i.path)??i.path),i.path!==l&&this.z(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${i.path}, real: ${l})`)}catch{}return l}async s(i,l){if(m.$j&&(0,F.$He)(i,"/Volumes/",!0))return this.w(`Refusing to watch ${i} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),R.$kb.None;const a=new h.$bd(this.i.token),p=new R.$jb;try{const f=(0,k.$cc)(i),E=(0,b.watch)(i);p.add((0,R.$ib)(()=>{E.removeAllListeners(),E.close()})),this.z(`Started watching: '${i}'`);const n=new Set;if(l)try{for(const s of await I.Promises.readdir(i))n.add(s)}catch(s){this.w(s)}const o=new Map;p.add((0,R.$ib)(()=>{for(const[,s]of o)s.dispose();o.clear()})),E.on("error",(s,t)=>{this.w(`Failed to watch ${i} for changes using fs.watch() (${s}, ${t})`),this.dispose()}),E.on("change",(s,t)=>{if(a.token.isCancellationRequested)return;this.z(`[raw] ["${s}"] ${t}`);let u="";if(t&&(u=t.toString(),m.$j&&(u=(0,g.$3k)(u))),!(!u||s!=="change"&&s!=="rename"))if(l)if(s==="rename"){o.get(u)?.dispose();const $=setTimeout(async()=>{if(o.delete(u),u===f&&!await I.Promises.exists(i)){this.y("Watcher shutdown because watched path got deleted"),this.dispose();return}const d=await this.v((0,k.$$b)(i,u));if(a.token.isCancellationRequested)return;let S;d?n.has(u)?S=0:(S=1,n.add(u)):(n.delete(u),S=2),this.t({path:(0,k.$$b)(this.j.path,u),type:S})},D.a);o.set(u,(0,R.$ib)(()=>clearTimeout($)))}else{let $;n.has(u)?$=0:($=1,n.add(u)),this.t({path:(0,k.$$b)(this.j.path,u),type:$})}else if(s==="rename"||u!==f){const $=setTimeout(async()=>{const d=await I.Promises.exists(i);a.token.isCancellationRequested||(d?(this.t({path:this.j.path,type:0},!0),p.add(await this.s(i,!1))):(this.t({path:this.j.path,type:2},!0),this.f.flush(),this.dispose()))},D.a);p.clear(),p.add((0,R.$ib)(()=>clearTimeout($)))}else this.t({path:this.j.path,type:0},!0)})}catch(f){await I.Promises.exists(i)&&!a.token.isCancellationRequested&&this.w(`Failed to watch ${i} for changes using fs.watch() (${f.toString()})`)}return(0,R.$ib)(()=>{a.dispose(!0),p.dispose()})}t(i,l=!1){this.i.token.isCancellationRequested||(this.m&&this.z(`${i.type===1?"[ADDED]":i.type===2?"[DELETED]":"[CHANGED]"} ${i.path}`),!l&&this.g.some(a=>a(i.path))?this.m&&this.z(` >> ignored (excluded) ${i.path}`):!l&&this.h&&this.h.length>0&&!this.h.some(a=>a(i.path))?this.m&&this.z(` >> ignored (not included) ${i.path}`):this.f.work(i))}u(i){const l=(0,v.$up)(i);if(l.length>0){if(this.m)for(const p of l)this.z(`>> normalized ${p.type===1?"[ADDED]":p.type===2?"[DELETED]":"[CHANGED]"} ${p.path}`);this.c.work(l)?this.c.pending>0&&this.z(`started throttling events due to large amount of file change events at once (pending: ${this.c.pending}, most recent change: ${l[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.y(`started ignoring events due to too many file change events at once (incoming: ${l.length}, most recent change: ${l[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}async v(i){if(m.$k)return I.Promises.exists(i);try{const l=(0,k.$cc)(i);return(await I.Promises.readdir((0,k.$bc)(i))).some(p=>p===l)}catch(l){return this.z(l),!1}}setVerboseLogging(i){this.m=i}w(i){this.i.token.isCancellationRequested||this.l?.({type:"error",message:`[File Watcher (node.js)] ${i}`})}y(i){this.i.token.isCancellationRequested||this.l?.({type:"warn",message:`[File Watcher (node.js)] ${i}`})}z(i){!this.i.token.isCancellationRequested&&this.m&&this.l?.({type:"trace",message:`[File Watcher (node.js)] ${i}`})}dispose(){this.z(`stopping file watcher on ${this.j.path}`),this.i.dispose(!0),super.dispose()}}e.$Jp=D,D.a=100,D.b=75;async function C(w,i,l,a,p=512){const f=await I.Promises.open(w,"r"),E=Buffer.allocUnsafe(p),n=new h.$bd(a);let o,s=!1;const t={path:w,excludes:[],recursive:!1},u=new D(t,$=>{(async()=>{for(const{type:d}of $)if(d===0){if(s)return;s=!0;try{for(;!n.token.isCancellationRequested;){const{bytesRead:S}=await I.Promises.read(f,E,0,p,null);if(!S||n.token.isCancellationRequested)break;i(E.slice(0,S))}}catch(S){o=new Error(S),n.dispose(!0)}finally{s=!1}}})()});return await u.ready,l(),new Promise(($,d)=>{n.token.onCancellationRequested(async()=>{u.dispose();try{await I.Promises.close(f)}catch(S){o=new Error(S)}o?d(o):$()})})}e.$Kp=C}),define(De[219],Ce([1,0,3,33,4,10,218]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lp=void 0;class g extends h.$kb{constructor(){super(...arguments),this.a=this.B(new b.$5c),this.onDidChangeFile=this.a.event,this.b=this.B(new b.$5c),this.onDidLogMessage=this.b.event,this.onDidError=b.Event.None,this.c=new Map,this.f=!1}async watch(m){const L=this.i(m),I=L.filter(D=>{const C=this.c.get(D.path);return C?!(0,A.$ej)(C.request.excludes,D.excludes)||!(0,A.$ej)(C.request.includes,D.includes):!0}),v=Array.from(this.c.values()).filter(({request:D})=>!L.find(C=>C.path===D.path&&(0,A.$ej)(C.excludes,D.excludes)&&(0,A.$ej)(C.includes,D.includes))).map(({request:D})=>D.path);I.length&&this.j(`Request to start watching: ${I.map(D=>`${D.path} (excludes: ${D.excludes.length>0?D.excludes:"<none>"}, includes: ${D.includes&&D.includes.length>0?JSON.stringify(D.includes):"<all>"})`).join(",")}`),v.length&&this.j(`Request to stop watching: ${v.join(",")}`);for(const D of v)this.h(D);for(const D of I)this.g(D)}g(m){const L=new R.$Jp(m,v=>this.a.fire(v),v=>this.b.fire(v),this.f),I={request:m,instance:L};this.c.set(m.path,I)}async stop(){for(const[m]of this.c)this.h(m);this.c.clear()}h(m){const L=this.c.get(m);L&&(this.c.delete(m),L.instance.dispose())}i(m){const L=new Map;for(const I of m){const v=F.$k?I.path:I.path.toLowerCase();L.set(v,I)}return Array.from(L.values())}async setVerboseLogging(m){this.f=m;for(const[,L]of this.c)L.instance.setVerboseLogging(m)}j(m){this.f&&this.b.fire({type:"trace",message:this.k(m)})}k(m,L){return L?`[File Watcher (node.js)] ${m} (path: ${L.request.path})`:`[File Watcher (node.js)] ${m}`}}e.$Lp=g}),define(De[220],Ce([1,0,77,219]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mp=void 0;class h extends b.$rp{constructor(R,g,k){super(R,g,k),this.m()}l(){return new A.$Lp}}e.$Mp=h}),define(De[221],Ce([1,0,16,75,173,77]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ep=void 0;class R extends F.$sp{constructor(k,m,L){super(k,m,L),this.m()}l(k){const m=k.add(new h.$Dp(b.$1e.asFileUri("bootstrap-fork").fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return k.add(m.onDidProcessExit(({code:L,signal:I})=>this.n(`terminated by itself with code ${L}, signal: ${I}`))),A.ProxyChannel.toService((0,A.$5g)(m.getChannel("watcher")))}}e.$Ep=R}),define(De[99],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jh=void 0;class b{constructor(...h){this.a=new Map;for(const[F,R]of h)this.set(F,R)}set(h,F){const R=this.a.get(h);return this.a.set(h,F),R}has(h){return this.a.has(h)}get(h){return this.a.get(h)}}e.$jh=b}),define(De[222],Ce([1,0,17,8,4,97,213,5,99,68]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rp=e.$Qp=void 0;const L=!1;class I extends Error{constructor(i){super("cyclic dependency between services"),this.message=i.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${i.toString()}`}}class v{constructor(i=new k.$jh,l=!1,a,p=L){this.f=i,this.g=l,this.h=a,this.i=p,this.o=new Set,this.f.set(g.$kh,this),this._globalGraph=p?a?._globalGraph??new R.$Pp(f=>f):void 0}createChild(i){return new v(i,this.g,this,this.i)}invokeFunction(i,...l){const a=C.traceInvocation(this.i,i);let p=!1;try{return i({get:E=>{if(p)throw(0,A.$5)("service accessor is only valid during the invocation of its target method");const n=this.m(E,a);if(!n)throw new Error(`[invokeFunction] unknown service '${E}'`);return n}},...l)}finally{p=!0,a.stop()}}createInstance(i,...l){let a,p;return i instanceof F.$ih?(a=C.traceCreation(this.i,i.ctor),p=this.j(i.ctor,i.staticArguments.concat(l),a)):(a=C.traceCreation(this.i,i),p=this.j(i,l,a)),a.stop(),p}j(i,l=[],a){const p=g._util.getServiceDependencies(i).sort((n,o)=>n.index-o.index),f=[];for(const n of p){const o=this.m(n.id,a);o||this.u(`[createInstance] ${i.name} depends on UNKNOWN service ${n.id}.`,!1),f.push(o)}const E=p.length>0?p[0].index:l.length;if(l.length!==E){console.trace(`[createInstance] First service dependency of ${i.name} at position ${E+1} conflicts with ${l.length} static arguments`);const n=E-l.length;n>0?l=l.concat(new Array(n)):l=l.slice(0,E)}return Reflect.construct(i,l.concat(f))}k(i,l){if(this.f.get(i)instanceof F.$ih)this.f.set(i,l);else if(this.h)this.h.k(i,l);else throw new Error("illegalState - setting UNKNOWN service instance")}l(i){const l=this.f.get(i);return!l&&this.h?this.h.l(i):l}m(i,l){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(i));const a=this.l(i);return a instanceof F.$ih?this.q(i,a,l.branch(i,!0)):(l.branch(i,!1),a)}q(i,l,a){if(this.o.has(i))throw new Error(`illegal state - RECURSIVELY instantiating service '${i}'`);this.o.add(i);try{return this.r(i,l,a)}finally{this.o.delete(i)}}r(i,l,a){const p=new R.$Pp(n=>n.id.toString());let f=0;const E=[{id:i,desc:l,_trace:a}];for(;E.length;){const n=E.pop();if(p.lookupOrInsertNode(n),f++>1e3)throw new I(p);for(const o of g._util.getServiceDependencies(n.desc.ctor)){const s=this.l(o.id);if(s||this.u(`[createInstance] ${i} depends on ${o.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(n.id),String(o.id)),s instanceof F.$ih){const t={id:o.id,desc:s,_trace:n._trace.branch(o.id,!0)};p.insertEdge(n,t),E.push(t)}}}for(;;){const n=p.roots();if(n.length===0){if(!p.isEmpty())throw new I(p);break}for(const{data:o}of n){if(this.l(o.id)instanceof F.$ih){const t=this.s(o.id,o.desc.ctor,o.desc.staticArguments,o.desc.supportsDelayedInstantiation,o._trace);this.k(o.id,t)}p.removeNode(o)}}return this.l(i)}s(i,l,a=[],p,f){if(this.f.get(i)instanceof F.$ih)return this.t(i,l,a,p,f);if(this.h)return this.h.s(i,l,a,p,f);throw new Error(`illegalState - creating UNKNOWN service instance ${l.name}`)}t(i,l,a=[],p,f){if(p){const E=new v(void 0,this.g,this,this.i);E.c=String(i);const n=new Map,o=new b.$Hg(()=>{const s=E.j(l,a,f);for(const[t,u]of n){const $=s[t];if(typeof $=="function")for(const d of u)$.apply(s,d)}return n.clear(),s});return new Proxy(Object.create(null),{get(s,t){if(!o.isInitialized&&typeof t=="string"&&(t.startsWith("onDid")||t.startsWith("onWill"))){let d=n.get(t);return d||(d=new m.$jc,n.set(t,d)),(y,c,r)=>{const P=d.push([y,c,r]);return(0,h.$ib)(P)}}if(t in s)return s[t];const u=o.value;let $=u[t];return typeof $!="function"||($=$.bind(u),s[t]=$),$},set(s,t,u){return o.value[t]=u,!0},getPrototypeOf(s){return l.prototype}})}else return this.j(l,a,f)}u(i,l){if(l&&console.warn(i),this.g)throw new Error(i)}}e.$Qp=v;var D;(function(w){w[w.None=0]="None",w[w.Creation=1]="Creation",w[w.Invocation=2]="Invocation",w[w.Branch=3]="Branch"})(D||(D={}));class C{static traceInvocation(i,l){return i?new C(2,l.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):C.c}static traceCreation(i,l){return i?new C(1,l.name):C.c}constructor(i,l){this.type=i,this.name=l,this.g=Date.now(),this.h=[]}branch(i,l){const a=new C(3,i.toString());return this.h.push([i,l,a]),a}stop(){const i=Date.now()-this.g;C.f+=i;let l=!1;function a(f,E){const n=[],o=new Array(f+1).join("	");for(const[s,t,u]of E.h)if(t&&u){l=!0,n.push(`${o}CREATES -> ${s}`);const $=a(f+1,u);$&&n.push($)}else n.push(`${o}uses -> ${s}`);return n.join(`
`)}const p=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${a(1,this)}`,`DONE, took ${i.toFixed(2)}ms (grand total ${C.f.toFixed(2)}ms)`];(i>2||l)&&C.all.add(p.join(`
`))}}e.$Rp=C,C.all=new Set,C.c=new class extends C{constructor(){super(0,null)}stop(){}branch(){return this}},C.f=0}),define(De[18],Ce([1,0,45,3,70,4,28,10,23,12,2,47,5]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5i=e.$4i=e.$3i=e.$2i=e.$1i=e.$Zi=e.$Yi=e.$Xi=e.$Wi=e.$Vi=e.$Ui=e.$Ti=e.$Si=e.log=e.$Qi=e.LogLevel=e.$Pi=e.$Oi=e.$Ni=void 0,e.$Ni=(0,v.$lh)("logService"),e.$Oi=(0,v.$lh)("loggerService");function D(){return new Date().toISOString()}function C(y){return(0,m.$ke)(y)}e.$Pi=C;var w;(function(y){y[y.Off=0]="Off",y[y.Trace=1]="Trace",y[y.Debug=2]="Debug",y[y.Info=3]="Info",y[y.Warning=4]="Warning",y[y.Error=5]="Error"})(w||(e.LogLevel=w={})),e.$Qi=w.Info;function i(y,c,r){switch(c){case w.Trace:y.trace(r);break;case w.Debug:y.debug(r);break;case w.Info:y.info(r);break;case w.Warning:y.warn(r);break;case w.Error:y.error(r);break;case w.Off:break;default:throw new Error(`Invalid log level ${c}`)}}e.log=i;function l(y,c=!1){let r="";for(let P=0;P<y.length;P++){let N=y[P];if(N instanceof Error&&(N=(0,b.$9h)(N,c)),typeof N=="object")try{N=JSON.stringify(N)}catch{}r+=(P>0?" ":"")+N}return r}class a extends F.$kb{constructor(){super(...arguments),this.b=e.$Qi,this.c=this.B(new A.$5c),this.onDidChangeLogLevel=this.c.event}setLevel(c){this.b!==c&&(this.b=c,this.c.fire(this.b))}getLevel(){return this.b}f(c){return this.b!==w.Off&&this.b<=c}}e.$Si=a;class p extends a{constructor(c){super(),this.h=c}f(c){return this.h||super.f(c)}trace(c,...r){this.f(w.Trace)&&this.g(w.Trace,l([c,...r],!0))}debug(c,...r){this.f(w.Debug)&&this.g(w.Debug,l([c,...r]))}info(c,...r){this.f(w.Info)&&this.g(w.Info,l([c,...r]))}warn(c,...r){this.f(w.Warning)&&this.g(w.Warning,l([c,...r]))}error(c,...r){if(this.f(w.Error))if(c instanceof Error){const P=Array.prototype.slice.call(arguments);P[0]=c.stack,this.g(w.Error,l(P))}else this.g(w.Error,l([c,...r]))}flush(){}}e.$Ti=p;class f extends a{constructor(c=e.$Qi){super(),this.setLevel(c),this.g=!g.$i}trace(c,...r){this.f(w.Trace)&&(this.g?console.log(`\x1B[90m[main ${D()}]\x1B[0m`,c,...r):console.log(`[main ${D()}]`,c,...r))}debug(c,...r){this.f(w.Debug)&&(this.g?console.log(`\x1B[90m[main ${D()}]\x1B[0m`,c,...r):console.log(`[main ${D()}]`,c,...r))}info(c,...r){this.f(w.Info)&&(this.g?console.log(`\x1B[90m[main ${D()}]\x1B[0m`,c,...r):console.log(`[main ${D()}]`,c,...r))}warn(c,...r){this.f(w.Warning)&&(this.g?console.warn(`\x1B[93m[main ${D()}]\x1B[0m`,c,...r):console.warn(`[main ${D()}]`,c,...r))}error(c,...r){this.f(w.Error)&&(this.g?console.error(`\x1B[91m[main ${D()}]\x1B[0m`,c,...r):console.error(`[main ${D()}]`,c,...r))}dispose(){}flush(){}}e.$Ui=f;class E extends a{constructor(c=e.$Qi,r=!0){super(),this.g=r,this.setLevel(c)}trace(c,...r){this.f(w.Trace)&&(this.g?console.log("%cTRACE","color: #888",c,...r):console.log(c,...r))}debug(c,...r){this.f(w.Debug)&&(this.g?console.log("%cDEBUG","background: #eee; color: #888",c,...r):console.log(c,...r))}info(c,...r){this.f(w.Info)&&(this.g?console.log("%c INFO","color: #33f",c,...r):console.log(c,...r))}warn(c,...r){this.f(w.Warning)&&(this.g?console.log("%c WARN","color: #993",c,...r):console.log(c,...r))}error(c,...r){this.f(w.Error)&&(this.g?console.log("%c  ERR","color: #f33",c,...r):console.error(c,...r))}dispose(){}flush(){}}e.$Vi=E;class n extends a{constructor(c,r=e.$Qi){super(),this.g=c,this.setLevel(r)}trace(c,...r){this.f(w.Trace)&&this.g.log(w.Trace,[this.h(c),...r])}debug(c,...r){this.f(w.Debug)&&this.g.log(w.Debug,[this.h(c),...r])}info(c,...r){this.f(w.Info)&&this.g.log(w.Info,[this.h(c),...r])}warn(c,...r){this.f(w.Warning)&&this.g.log(w.Warning,[this.h(c),...r])}error(c,...r){this.f(w.Error)&&this.g.log(w.Error,[this.h(c),...r])}h(c){return typeof c=="string"?c:(0,b.$9h)(c,this.f(w.Trace))}dispose(){}flush(){}}e.$Wi=n;class o extends a{constructor(c){super(),this.g=c,c.length&&this.setLevel(c[0].getLevel())}setLevel(c){for(const r of this.g)r.setLevel(c);super.setLevel(c)}trace(c,...r){for(const P of this.g)P.trace(c,...r)}debug(c,...r){for(const P of this.g)P.debug(c,...r)}info(c,...r){for(const P of this.g)P.info(c,...r)}warn(c,...r){for(const P of this.g)P.warn(c,...r)}error(c,...r){for(const P of this.g)P.error(c,...r)}flush(){for(const c of this.g)c.flush()}dispose(){for(const c of this.g)c.dispose()}}e.$Xi=o;class s extends F.$kb{constructor(c,r,P){if(super(),this.h=c,this.j=r,this.b=new R.$ji,this.c=this.B(new A.$5c),this.onDidChangeLoggers=this.c.event,this.f=this.B(new A.$5c),this.onDidChangeLogLevel=this.f.event,this.g=this.B(new A.$5c),this.onDidChangeVisibility=this.g.event,P)for(const N of P)this.b.set(N.resource,{logger:void 0,info:N})}k(c){return(0,m.$ge)(c)?[...this.b.values()].find(r=>r.info.id===c):this.b.get(c)}getLogger(c){return this.k(c)?.logger}createLogger(c,r){const P=this.l(c),N=(0,m.$ge)(c)?c:r?.id??(0,h.$_h)(P.toString()).toString(16);let U=this.b.get(P)?.logger;const q=r?.logLevel==="always"?w.Trace:r?.logLevel;U||(U=this.m(P,q??this.getLogLevel(P)??this.h,{...r,id:N}));const W={logger:U,info:{resource:P,id:N,logLevel:q,name:r?.name,hidden:r?.hidden,extensionId:r?.extensionId,when:r?.when}};return this.registerLogger(W.info),this.b.set(P,W),U}l(c){return(0,m.$ge)(c)?(0,k.$6f)(this.j,`${c}.log`):c}setLogLevel(c,r){if(L.URI.isUri(c)){const P=c,N=r,U=this.b.get(P);U&&N!==U.info.logLevel&&(U.info.logLevel=N===this.h?void 0:N,U.logger?.setLevel(N),this.b.set(U.info.resource,U),this.f.fire([P,N]))}else{this.h=c;for(const[P,N]of this.b.entries())this.b.get(P)?.info.logLevel===void 0&&N.logger?.setLevel(this.h);this.f.fire(this.h)}}setVisibility(c,r){const P=this.k(c);P&&r!==!P.info.hidden&&(P.info.hidden=!r,this.b.set(P.info.resource,P),this.g.fire([P.info.resource,r]))}getLogLevel(c){let r;return c&&(r=this.b.get(c)?.info.logLevel),r??this.h}registerLogger(c){const r=this.b.get(c.resource);r?r.info.hidden!==c.hidden&&this.setVisibility(c.resource,!c.hidden):(this.b.set(c.resource,{info:c,logger:void 0}),this.c.fire({added:[c],removed:[]}))}deregisterLogger(c){const r=this.b.get(c);r&&(r.logger&&r.logger.dispose(),this.b.delete(c),this.c.fire({added:[],removed:[r.info]}))}*getRegisteredLoggers(){for(const c of this.b.values())yield c.info}getRegisteredLogger(c){return this.b.get(c)?.info}dispose(){this.b.forEach(c=>c.logger?.dispose()),this.b.clear(),super.dispose()}}e.$Yi=s;class t{constructor(){this.onDidChangeLogLevel=new A.$5c().event}setLevel(c){}getLevel(){return w.Info}trace(c,...r){}debug(c,...r){}info(c,...r){}warn(c,...r){}error(c,...r){}critical(c,...r){}dispose(){}flush(){}}e.$Zi=t;class u extends t{}e.$1i=u;function $(y){if(y.verbose)return w.Trace;if(typeof y.logLevel=="string"){const c=S(y.logLevel.toLowerCase());if(c!==void 0)return c}return e.$Qi}e.$2i=$;function d(y){switch(y){case w.Trace:return"trace";case w.Debug:return"debug";case w.Info:return"info";case w.Warning:return"warn";case w.Error:return"error";case w.Off:return"off"}}e.$3i=d;function S(y){switch(y){case"trace":return w.Trace;case"debug":return w.Debug;case"info":return w.Info;case"warn":return w.Warning;case"error":return w.Error;case"critical":return w.Error;case"off":return w.Off}}e.$4i=S,e.$5i=new I.$Ki("logLevel",d(w.Info))}),define(De[223],Ce([1,0,19,17,8,3,4,11,77,18]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xp=void 0;class L extends R.$kb{constructor(v,D){super(),this.a=v,this.b=D,this.c=this.B(new F.$5c),this.onDidChangeFile=this.c.event,this.g=this.B(new F.$5c),this.onDidWatchError=this.g.event,this.j=[],this.k=this.B(new A.$pg(0)),this.s=[],this.t=this.B(new A.$pg(0))}watch(v,D){return D.recursive||this.b?.watcher?.forceUniversal?this.l(v,D):this.u(v,D)}l(v,D){const C={path:this.C(v),excludes:D.excludes,includes:D.includes,recursive:D.recursive},w=(0,b.$yf)(this.j,C);return this.m(),(0,R.$ib)(()=>{w(),this.m()})}m(){this.k.trigger(()=>this.n()).catch(v=>(0,h.$X)(v))}n(){this.h||(this.h=this.B(this.p(D=>this.c.fire((0,k.$tp)(D)),D=>this.z(D),this.a.getLevel()===m.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.h?.setVerboseLogging(this.a.getLevel()===m.LogLevel.Trace)})));const v=this.b?.watcher?.recursive?.usePolling;if(v===!0)for(const D of this.j)(0,k.$pp)(D)&&(D.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(v))for(const D of this.j)(0,k.$pp)(D)&&v.includes(D.path)&&(D.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);return this.h.watch(this.j)}u(v,D){const C={path:this.C(v),excludes:D.excludes,includes:D.includes,recursive:!1},w=(0,b.$yf)(this.s,C);return this.v(),(0,R.$ib)(()=>{w(),this.v()})}v(){this.t.trigger(()=>this.w()).catch(v=>(0,h.$X)(v))}w(){return this.r||(this.r=this.B(this.y(v=>this.c.fire((0,k.$tp)(v)),v=>this.z(v),this.a.getLevel()===m.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.r?.setVerboseLogging(this.a.getLevel()===m.LogLevel.Trace)}))),this.r.watch(this.s)}z(v){v.type==="error"&&this.g.fire(v.message),this.a[v.type](v.message)}C(v){return(0,g.$9b)(v.fsPath)}}e.$xp=L}),define(De[224],Ce([1,0,49,347,17,28,22,3,31,4,11,10,23,91,29,184,30,217,223,45,221,220]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Np=void 0,(()=>{try{(0,A.gracefulify)(b)}catch(o){console.error(`Error enabling graceful-fs: ${(0,p.$9h)(o)}`)}})();class n extends a.$xp{constructor(s,t){super(s,t),this.onDidChangeCapabilities=g.Event.None,this.I=new F.$ji(u=>v.$Wf.getComparisonKey(u)),this.O=new Map,this.P=new Map,this.Q=new Map}get capabilities(){return this.F||(this.F=253982,I.$k&&(this.F|=1024)),this.F}async stat(s){try{const{stat:t,symbolicLink:u}=await C.SymlinkSupport.stat(this.C(s));return{type:this.H(t,u),ctime:t.birthtime.getTime(),mtime:t.mtime.getTime(),size:t.size,permissions:t.mode&128?void 0:i.FilePermission.Locked}}catch(t){throw this.ab(t)}}async G(s){try{return await this.stat(s)}catch{return}}async readdir(s){try{const t=await C.Promises.readdir(this.C(s),{withFileTypes:!0}),u=[];return await Promise.all(t.map(async $=>{try{let d;$.isSymbolicLink()?d=(await this.stat((0,v.$6f)(s,$.name))).type:d=this.H($),u.push([$.name,d])}catch(d){this.a.trace(d)}})),u}catch(t){throw this.ab(t)}}H(s,t){let u;return t?.dangling?u=i.FileType.Unknown:s.isFile()?u=i.FileType.File:s.isDirectory()?u=i.FileType.Directory:u=i.FileType.Unknown,t&&(u|=i.FileType.SymbolicLink),u}async J(s){const t=this.C(s);this.L(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${t})`);let u;for(;u=this.I.get(s);)this.L(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${t})`),await u.wait();const $=new h.$qg;return this.I.set(s,$),this.L(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${t})`),(0,m.$ib)(()=>{this.L(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${t})`),this.I.get(s)===$&&(this.L(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${t})`),this.I.delete(s)),this.L(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${t})`),$.open()})}async readFile(s,t){let u;try{t?.atomic&&(this.L(`[Disk FileSystemProvider]: atomic read operation started (${this.C(s)})`),u=await this.J(s));const $=this.C(s);return await C.Promises.readFile($)}catch($){throw this.ab($)}finally{u?.dispose()}}L(s){n.D&&this.a.trace(s)}readFileStream(s,t,u){const $=(0,D.$wb)(d=>R.$Ib.concat(d.map(S=>R.$Ib.wrap(S))).buffer);return(0,l.$np)(this,s,$,d=>d.buffer,{...t,bufferSize:256*1024},u),$}async writeFile(s,t,u){return u?.atomic!==!1&&u?.atomic?.postfix?this.M(s,(0,v.$6f)((0,v.$5f)(s),`${(0,v.$3f)(s)}${u.atomic.postfix}`),t,u):this.N(s,t,u)}async M(s,t,u,$){await this.N(t,u,$);try{await this.rename(t,s,{overwrite:!0})}catch(d){try{await this.delete(t,{recursive:!1,useTrash:!1,atomic:!1})}catch{}throw d}}async N(s,t,u){let $;try{const d=this.C(s);if(!u.create||!u.overwrite){if(await C.Promises.exists(d)){if(!u.overwrite)throw(0,i.$1j)((0,w.localize)(0,null),i.FileSystemProviderErrorCode.FileExists)}else if(!u.create)throw(0,i.$1j)((0,w.localize)(1,null),i.FileSystemProviderErrorCode.FileNotFound)}$=await this.open(s,{create:!0,unlock:u.unlock}),await this.write($,0,t,0,t.byteLength)}catch(d){throw await this.bb(s,d)}finally{typeof $=="number"&&await this.close($)}}static configureFlushOnWrite(s){n.R=s}async open(s,t){const u=this.C(s);let $;(0,i.$Pj)(t)&&($=await this.J(s));let d;try{if((0,i.$Pj)(t)&&t.unlock)try{const{stat:y}=await C.SymlinkSupport.stat(u);y.mode&128||await C.Promises.chmod(u,y.mode|128)}catch(y){y.code!=="ENOENT"&&this.a.trace(y)}let S;if((0,i.$Pj)(t)){if(I.$i)try{await C.Promises.truncate(u,0),S="r+"}catch(y){y.code!=="ENOENT"&&this.a.trace(y)}S||(S="w")}else S="r";d=await C.Promises.open(u,S)}catch(S){throw $?.dispose(),(0,i.$Pj)(t)?await this.bb(s,S):this.ab(S)}if(this.O.set(d,0),(0,i.$Pj)(t)&&this.Q.set(d,s),$){const S=this.P.get(d);this.L(`[Disk FileSystemProvider]: open() - storing lock for handle ${d} (${u})`),this.P.set(d,$),S&&(this.L(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${d} (${u})`),S.dispose())}return d}async close(s){const t=this.P.get(s);try{if(this.O.delete(s),this.Q.delete(s)&&n.R)try{await C.Promises.fdatasync(s)}catch(u){n.configureFlushOnWrite(!1),this.a.error(u)}return await C.Promises.close(s)}catch(u){throw this.ab(u)}finally{t&&(this.P.get(s)===t&&(this.L(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${s}`),this.P.delete(s)),this.L(`[Disk FileSystemProvider]: close() - disposing lock for handle ${s}`),t.dispose())}}async read(s,t,u,$,d){const S=this.S(s,t);let y=null;try{y=(await C.Promises.read(s,u,$,d,S)).bytesRead}catch(c){throw this.ab(c)}finally{this.U(s,S,y)}return y}S(s,t){return t===this.O.get(s)?null:t}U(s,t,u){const $=this.O.get(s);typeof $=="number"&&(typeof t=="number"||(typeof u=="number"?this.O.set(s,$+u):this.O.delete(s)))}async write(s,t,u,$,d){return(0,h.$Ig)(()=>this.W(s,t,u,$,d),100,3)}async W(s,t,u,$,d){const S=this.S(s,t);let y=null;try{y=(await C.Promises.write(s,u,$,d,S)).bytesWritten}catch(c){throw await this.bb(this.Q.get(s),c)}finally{this.U(s,S,y)}return y}async mkdir(s){try{await C.Promises.mkdir(this.C(s))}catch(t){throw this.ab(t)}}async delete(s,t){try{const u=this.C(s);if(t.recursive){let $;t?.atomic!==!1&&t.atomic.postfix&&($=(0,L.$$b)((0,L.$bc)(u),`${(0,L.$cc)(u)}${t.atomic.postfix}`)),await C.Promises.rm(u,C.RimRafMode.MOVE,$)}else try{await C.Promises.unlink(u)}catch($){if($.code==="EPERM"||$.code==="EISDIR"){let d=!1;try{const{stat:S,symbolicLink:y}=await C.SymlinkSupport.stat(u);d=S.isDirectory()&&!y}catch{}if(d)await C.Promises.rmdir(u);else throw $}else throw $}}catch(u){throw this.ab(u)}}async rename(s,t,u){const $=this.C(s),d=this.C(t);if($!==d)try{await this.X(s,t,"move",u.overwrite),await C.Promises.move($,d)}catch(S){throw(S.code==="EINVAL"||S.code==="EBUSY"||S.code==="ENAMETOOLONG")&&(S=new Error((0,w.localize)(2,null,(0,L.$cc)($),(0,L.$cc)((0,L.$bc)(d)),S.toString()))),this.ab(S)}}async copy(s,t,u){const $=this.C(s),d=this.C(t);if($!==d)try{await this.X(s,t,"copy",u.overwrite),await C.Promises.copy($,d,{preserveSymlinks:!0})}catch(S){throw(S.code==="EINVAL"||S.code==="EBUSY"||S.code==="ENAMETOOLONG")&&(S=new Error((0,w.localize)(3,null,(0,L.$cc)($),(0,L.$cc)((0,L.$bc)(d)),S.toString()))),this.ab(S)}}async X(s,t,u,$){const d=this.C(s),S=this.C(t);let y=!1;if(!!(this.capabilities&1024)||(y=(0,k.$Ge)(d,S,!0)),y){if(u==="copy")throw(0,i.$1j)((0,w.localize)(4,null),i.FileSystemProviderErrorCode.FileExists);if(u==="move")return}const r=await this.G(s);if(!r)throw(0,i.$1j)((0,w.localize)(5,null),i.FileSystemProviderErrorCode.FileNotFound);const P=await this.G(t);if(P){if(!$)throw(0,i.$1j)((0,w.localize)(6,null),i.FileSystemProviderErrorCode.FileExists);r.type&i.FileType.File&&P.type&i.FileType.File||await this.delete(t,{recursive:!0,useTrash:!1,atomic:!1})}}async cloneFile(s,t){return this.Y(s,t,!1)}async Y(s,t,u){const $=this.C(s),d=this.C(t),S=!!(this.capabilities&1024);if((0,k.$Ge)($,d,!S))return;const y=new m.$jb;try{const[c,r]=await Promise.all([this.J(s),this.J(t)]);y.add(c),y.add(r),u&&await C.Promises.mkdir((0,L.$bc)(d),{recursive:!0}),await C.Promises.copyFile($,d)}catch(c){if(c.code==="ENOENT"&&!u)return this.Y(s,t,!0);throw this.ab(c)}finally{y.dispose()}}p(s,t,u){return new f.$Ep($=>s($),$=>t($),u)}y(s,t,u){return new E.$Mp($=>s($),$=>t($),u)}ab(s){if(s instanceof i.$Zj)return s;let t=s,u;switch(s.code){case"ENOENT":u=i.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":u=i.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":u=i.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":u=i.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":u=i.FileSystemProviderErrorCode.NoPermissions;break;case"ERR_UNC_HOST_NOT_ALLOWED":t=`${s.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`,u=i.FileSystemProviderErrorCode.Unknown;break;default:u=i.FileSystemProviderErrorCode.Unknown}return(0,i.$1j)(t,u)}async bb(s,t){let u=this.ab(t);if(s&&u.code===i.FileSystemProviderErrorCode.NoPermissions)try{const{stat:$}=await C.SymlinkSupport.stat(this.C(s));$.mode&128||(u=(0,i.$1j)(t,i.FileSystemProviderErrorCode.FileWriteLocked))}catch($){this.a.trace($)}return u}}e.$Np=n,n.D=!1,n.R=!0}),define(De[225],Ce([1,0,4,18]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wM=void 0;class h extends b.$kb{constructor(R,g=[]){super(),this.a=new A.$Xi([R,...g]),this.B(R.onDidChangeLogLevel(k=>this.setLevel(k)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(R){this.a.setLevel(R)}getLevel(){return this.a.getLevel()}trace(R,...g){this.a.trace(R,...g)}debug(R,...g){this.a.debug(R,...g)}info(R,...g){this.a.info(R,...g)}warn(R,...g){this.a.warn(R,...g)}error(R,...g){this.a.error(R,...g)}flush(){this.a.flush()}}e.$wM=h}),define(De[226],Ce([1,0,30,18]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lM=void 0;var h;(function(m){m[m.Trace=0]="Trace",m[m.Debug=1]="Debug",m[m.Info=2]="Info",m[m.Warning=3]="Warning",m[m.Error=4]="Error",m[m.Critical=5]="Critical",m[m.Off=6]="Off"})(h||(h={}));async function F(m,L,I,v,D){try{const C=await new Promise((i,l)=>{re(["@vscode/spdlog"],i,l)});C.setFlushOn(h.Trace);const w=await C.createAsyncRotatingLogger(m,L,I,v);return D?w.clearFormatters():w.setPattern("%Y-%m-%d %H:%M:%S.%e [%l] %v"),w}catch(C){console.error(C)}return null}function R(m,L,I){switch(L){case A.LogLevel.Trace:m.trace(I);break;case A.LogLevel.Debug:m.debug(I);break;case A.LogLevel.Info:m.info(I);break;case A.LogLevel.Warning:m.warn(I);break;case A.LogLevel.Error:m.error(I);break;case A.LogLevel.Off:break;default:throw new Error(`Invalid log level ${L}`)}}function g(m,L){switch(L){case A.LogLevel.Trace:m.setLevel(h.Trace);break;case A.LogLevel.Debug:m.setLevel(h.Debug);break;case A.LogLevel.Info:m.setLevel(h.Info);break;case A.LogLevel.Warning:m.setLevel(h.Warning);break;case A.LogLevel.Error:m.setLevel(h.Error);break;case A.LogLevel.Off:m.setLevel(h.Off);break;default:throw new Error(`Invalid log level ${L}`)}}class k extends A.$Ti{constructor(L,I,v,D,C){super(),this.k=[],this.setLevel(C),this.l=this.n(L,I,v,D),this.B(this.onDidChangeLogLevel(w=>{this.m&&g(this.m,w)}))}async n(L,I,v,D){const C=v?6:1,w=30/C*b.$jk.MB,i=await F(L,I,w,C,D);if(i){this.m=i,g(this.m,this.getLevel());for(const{level:l,message:a}of this.k)R(this.m,l,a);this.k=[]}}g(L,I){this.m?R(this.m,L,I):this.getLevel()<=L&&this.k.push({level:L,message:I})}flush(){this.m?this.m.flush():this.l.then(()=>this.flush())}dispose(){this.m?this.r():this.l.then(()=>this.r())}r(){this.m&&(this.m.drop(),this.m=void 0)}}e.$lM=k}),define(De[126],Ce([1,0,40,185,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hs=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var F;(function(k){k[k.Unnecessary=1]="Unnecessary",k[k.Deprecated=2]="Deprecated"})(F||(e.MarkerTag=F={}));var R;(function(k){k[k.Hint=1]="Hint",k[k.Info=2]="Info",k[k.Warning=4]="Warning",k[k.Error=8]="Error"})(R||(e.MarkerSeverity=R={})),function(k){function m(C,w){return w-C}k.compare=m;const L=Object.create(null);L[k.Error]=(0,A.localize)(0,null),L[k.Warning]=(0,A.localize)(1,null),L[k.Info]=(0,A.localize)(2,null);function I(C){return L[C]||""}k.toString=I;function v(C){switch(C){case b.default.Error:return k.Error;case b.default.Warning:return k.Warning;case b.default.Info:return k.Info;case b.default.Ignore:return k.Hint}}k.fromSeverity=v;function D(C){switch(C){case k.Error:return b.default.Error;case k.Warning:return b.default.Warning;case k.Info:return b.default.Info;case k.Hint:return b.default.Ignore}}k.toSeverity=D}(R||(e.MarkerSeverity=R={}));var g;(function(k){const m="";function L(v){return I(v,!0)}k.makeKey=L;function I(v,D){const C=[m];return v.source?C.push(v.source.replace("\xA6","\\\xA6")):C.push(m),v.code?typeof v.code=="string"?C.push(v.code.replace("\xA6","\\\xA6")):C.push(v.code.value.replace("\xA6","\\\xA6")):C.push(m),v.severity!==void 0&&v.severity!==null?C.push(R.toString(v.severity)):C.push(m),v.message&&D?C.push(v.message.replace("\xA6","\\\xA6")):C.push(m),v.startLineNumber!==void 0&&v.startLineNumber!==null?C.push(v.startLineNumber.toString()):C.push(m),v.startColumn!==void 0&&v.startColumn!==null?C.push(v.startColumn.toString()):C.push(m),v.endLineNumber!==void 0&&v.endLineNumber!==null?C.push(v.endLineNumber.toString()):C.push(m),v.endColumn!==void 0&&v.endColumn!==null?C.push(v.endColumn.toString()):C.push(m),C.push(m),C.join("\xA6")}k.makeKeyOptionalMessage=I})(g||(e.IMarkerData=g={})),e.$hs=(0,h.$lh)("markerService")}),define(De[227],Ce([1,0,3,40,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nz=e.$mz=e.NotificationsFilter=e.NeverShowAgainScope=e.NotificationPriority=e.$lz=e.Severity=void 0,e.Severity=A.default,e.$lz=(0,h.$lh)("notificationService");var F;(function(L){L[L.DEFAULT=0]="DEFAULT",L[L.SILENT=1]="SILENT",L[L.URGENT=2]="URGENT"})(F||(e.NotificationPriority=F={}));var R;(function(L){L[L.WORKSPACE=0]="WORKSPACE",L[L.PROFILE=1]="PROFILE",L[L.APPLICATION=2]="APPLICATION"})(R||(e.NeverShowAgainScope=R={}));var g;(function(L){L[L.OFF=0]="OFF",L[L.SILENT=1]="SILENT",L[L.ERROR=2]="ERROR"})(g||(e.NotificationsFilter=g={}));class k{constructor(){this.progress=new m,this.onDidClose=b.Event.None,this.onDidChangeVisibility=b.Event.None}updateSeverity(I){}updateMessage(I){}updateActions(I){}close(){}}e.$mz=k;class m{infinite(){}done(){}total(I){}worked(I){}}e.$nz=m}),define(De[127],Ce([1,0,9,2,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yY=e.$xY=e.$wY=e.$vY=e.$uY=void 0,e.$uY=(0,h.$lh)("openerService");function F(m,L){return A.URI.isUri(m)?(0,b.$Jd)(m.scheme,L):(0,b.$Kd)(m,L+":")}e.$vY=F;function R(m,...L){return L.some(I=>F(m,I))}e.$wY=R;function g(m,L){return m.with({fragment:`${L.startLineNumber},${L.startColumn}${L.endLineNumber?`-${L.endLineNumber}${L.endColumn?`,${L.endColumn}`:""}`:""}`})}e.$xY=g;function k(m){let L;const I=/^L?(\d+)(?:,(\d+))?(-L?(\d+)(?:,(\d+))?)?/.exec(m.fragment);return I&&(L={startLineNumber:parseInt(I[1]),startColumn:I[2]?parseInt(I[2]):1,endLineNumber:I[4]?parseInt(I[4]):void 0,endColumn:I[4]?I[5]?parseInt(I[5]):1:void 0},m=m.with({fragment:""})),{selection:L,uri:m}}e.$yY=k}),define(De[228],Ce([1,0,10,41]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let h;if(typeof b.$g.vscode<"u"&&typeof b.$g.vscode.context<"u"){const F=b.$g.vscode.context.configuration();if(F)h=F.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(globalThis._VSCODE_PRODUCT_JSON&&globalThis._VSCODE_PACKAGE_JSON){if(h=globalThis._VSCODE_PRODUCT_JSON,A.env.VSCODE_DEV&&Object.assign(h,{nameShort:`${h.nameShort} Dev`,nameLong:`${h.nameLong} Dev`,dataFolderName:`${h.dataFolderName}-dev`,serverDataFolderName:h.serverDataFolderName?`${h.serverDataFolderName}-dev`:void 0}),!h.version){const F=globalThis._VSCODE_PACKAGE_JSON;Object.assign(h,{version:F.version})}}else h={nameShort:"Code",nameLong:"Visual Studio Code",applicationName:"code",win32AppId:"{{F8A2A208-72B3-4D61-95FC-8A65D340689B}",win32x64AppId:"{{EA457B21-F73E-494C-ACAB-524FDE069978}",win32arm64AppId:"{{A5270FC5-65AD-483E-AC30-2C276B63D0AC}",win32UserAppId:"{{D628A17A-9713-46BF-8D57-E671B46A741E}",win32x64UserAppId:"{{771FD6B0-FA20-440A-A002-3B3BAC16DC50}",win32arm64UserAppId:"{{D9E514E7-1A56-452D-9337-2990C0DC4310}",win32NameVersion:"Microsoft Visual Studio Code",win32DirName:"Microsoft VS Code",win32SetupExeBasename:"VSCodeSetup",win32AppUserModelId:"Microsoft.VisualStudioCode",win32ShellNameShort:"Code",win32MutexName:"vscode",win32RegValueName:"VSCode",darwinCredits:"resources/darwin/Credits.rtf",darwinBundleIdentifier:"com.microsoft.VSCode",darwinExecutable:"VSCode",linuxIconName:"vscode",licenseFileName:"LICENSE.rtf",licenseName:"Multiple, see https://code.visualstudio.com/license",serverGreeting:[],serverLicense:["*","* Visual Studio Code Server","*","* By using the software, you agree to","* the Visual Studio Code Server License Terms (https://aka.ms/vscode-server-license) and","* the Microsoft Privacy Statement (https://privacy.microsoft.com/en-US/privacystatement).","*"],serverLicensePrompt:"Do you accept the terms in the License Agreement (Y/n)?",serverApplicationName:"code-server",urlProtocol:"vscode",dataFolderName:".vscode",serverDataFolderName:".vscode-server",downloadUrl:"https://code.visualstudio.com",updateUrl:"https://update.code.visualstudio.com",webUrl:"https://vscode.dev",webEndpointUrl:"https://main.vscode-cdn.net",webEndpointUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}",webviewContentExternalBaseUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}/out/vs/workbench/contrib/webview/browser/pre/",quality:"stable",extensionsGallery:{nlsBaseUrl:"https://www.vscode-unpkg.net/_lp/",serviceUrl:"https://marketplace.visualstudio.com/_apis/public/gallery",cacheUrl:"https://vscode.blob.core.windows.net/gallery/index",itemUrl:"https://marketplace.visualstudio.com/items",publisherUrl:"https://marketplace.visualstudio.com/publishers",resourceUrlTemplate:"https://{publisher}.vscode-unpkg.net/{publisher}/{name}/{version}/{path}",controlUrl:"https://az764295.vo.msecnd.net/extensions/marketplace.json"},profileTemplatesUrl:"https://az764295.vo.msecnd.net/profile-templates/profile-templates.json",extensionRecommendations:{"ms-dotnettools.csharp":{onFileOpen:[{pathGlob:"{**/*.cs,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln}",important:!0},{languages:["csharp"],important:!0},{pathGlob:"{**/project.json,**/appsettings.json}"}]},"ms-python.python":{onFileOpen:[{pathGlob:"{**/*.py}",important:!0},{languages:["python"],important:!0},{pathGlob:"{**/*.ipynb}"}]},"ms-toolsai.jupyter":{onFileOpen:[{pathGlob:"{**/*.py}",contentPattern:"^#\\s*%%$",important:!0,whenInstalled:["ms-python.python"]},{pathGlob:"{**/*.ipynb}"}]},"golang.Go":{onFileOpen:[{pathGlob:"**/*.go",important:!0},{languages:["go"],important:!0}]},"vscjava.vscode-java-pack":{onFileOpen:[{pathGlob:"{**/*.java}",important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},{languages:["java"],important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}]},"ms-vscode.PowerShell":{onFileOpen:[{pathGlob:"{**/*.ps1,**/*.psd1,**/*.psm1}",important:!0},{languages:["powershell"],important:!0},{pathGlob:"{**/*.ps.config,**/*.ps1.config}"}]},"ms-vscode.cpptools-extension-pack":{onFileOpen:[{pathGlob:"{**/*.c,**/*.cpp,**/*.cc,**/.cxx,**/*.hh,**/*.hpp,**/*.hxx,**/*.h}",important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]},{languages:["c","cpp"],important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]}]},"ms-azuretools.vscode-docker":{onFileOpen:[{pathGlob:"{**/dockerfile,**/Dockerfile,**/docker-compose.yml,**/docker-compose.*.yml}",important:!0},{languages:["dockerfile"],important:!0},{pathGlob:"{**/*.cs,**/project.json,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln,**/appsettings.json,**/*.py,**/*.ipynb,**/*.js,**/*.ts,**/package.json}"}]},"vue.volar":{onFileOpen:[{pathGlob:"{**/*.vue}",important:!0},{languages:["vue"],important:!0}]},"ms-vscode.makefile-tools":{onFileOpen:[{pathGlob:"{**/makefile,**/Makefile}",important:!0},{languages:["makefile"],important:!0}]},"ms-vscode.cmake-tools":{onFileOpen:[{pathGlob:"{**/CMakeLists.txt}",important:!0}]},"ms-azure-devops.azure-pipelines":{onFileOpen:[{pathGlob:"{**/azure-pipelines.yaml}",important:!0}]},"msazurermtools.azurerm-vscode-tools":{onFileOpen:[{pathGlob:"{**/azuredeploy.json}",important:!0}]},"ms-vscode-remote.remote-containers":{onFileOpen:[{pathGlob:"{**/devcontainer.json}",important:!0}]},"ms-azuretools.vscode-bicep":{onFileOpen:[{pathGlob:"{**/*.bicep}",important:!0}]},"svelte.svelte-vscode":{onFileOpen:[{pathGlob:"{**/*.svelte}",important:!0}]},"ms-vscode.vscode-github-issue-notebooks":{onFileOpen:[{pathGlob:"{**/*.github-issues}",important:!0}]},"ms-playwright.playwright":{onFileOpen:[{pathGlob:"{**/*playwright*.config.ts,**/*playwright*.config.js,**/*playwright*.config.mjs}",important:!0}]},"vscjava.vscode-gradle":{onFileOpen:[{pathGlob:"{**/gradlew,**/gradlew.bat,**/build.gradle,**/build.gradle.kts,**/settings.gradle,**/settings.gradle.kts}",important:!0}]},"REditorSupport.r":{onFileOpen:[{pathGlob:"{**/*.r}",important:!0},{languages:["r"],important:!0}]},"firefox-devtools.vscode-firefox-debug":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.jsx,**/*.es6,**/.babelrc}"}]},"ms-edgedevtools.vscode-edge-devtools":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.css,**/*.html}"}]},"Ionide.Ionide-fsharp":{onFileOpen:[{pathGlob:"{**/*.fsx,**/*.fsi,**/*.fs,**/*.ml,**/*.mli}"}]},"dbaeumer.vscode-eslint":{onFileOpen:[{pathGlob:"{**/*.js,**/*.jsx,**/*.es6,**/.eslintrc.*,**/.eslintrc,**/.babelrc,**/jsconfig.json}"}]},"ms-vscode.vscode-typescript-tslint-plugin":{onFileOpen:[{pathGlob:"{**/tslint.json}"}]},"bmewburn.vscode-intelephense-client":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"xdebug.php-debug":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"rust-lang.rust-analyzer":{onFileOpen:[{pathGlob:"{**/*.rs,**/*.rslib}"}]},"DavidAnson.vscode-markdownlint":{onFileOpen:[{pathGlob:"{**/*.md}"}]},"EditorConfig.EditorConfig":{onFileOpen:[{pathGlob:"{**/.editorconfig}"}]},"HookyQR.beautify":{onFileOpen:[{pathGlob:"{**/.jsbeautifyrc}"}]},"donjayamanne.githistory":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"felipecaputo.git-project-manager":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"eamodio.gitlens":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"Shopify.ruby-lsp":{onFileOpen:[{pathGlob:"{**/*.rb,**/*.erb,**/*.reek,**/.fasterer.yml,**/ruby-lint.yml,**/.rubocop.yml}"}]},"DotJoshJohnson.xml":{onFileOpen:[{pathGlob:"{**/*.xml}"}]},"stylelint.vscode-stylelint":{onFileOpen:[{pathGlob:"{**/.stylelintrc,**/stylelint.config.js}"}]},"ms-mssql.mssql":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"mtxr.sqltools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"usqlextpublisher.usql-vscode-ext":{onFileOpen:[{pathGlob:"{**/*.usql}"}]},"ms-vscode.sublime-keybindings":{onFileOpen:[{pathGlob:"{**/.sublime-project,**/.sublime-workspace}"}]},"k--kato.intellij-idea-keybindings":{onFileOpen:[{pathGlob:"{**/.idea}"}]},"christian-kohler.npm-intellisense":{onFileOpen:[{pathGlob:"{**/package.json}"}]},"cake-build.cake-vscode":{onFileOpen:[{pathGlob:"{**/build.cake}"}]},"Angular.ng-template":{onFileOpen:[{pathGlob:"{**/.angular-cli.json,**/angular.json,**/*.ng.html,**/*.ng,**/*.ngml}"}]},"vscjava.vscode-maven":{onFileOpen:[{pathGlob:"**/pom.xml"}]},"ms-azuretools.vscode-azureterraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"HashiCorp.terraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"vsciot-vscode.vscode-arduino":{onFileOpen:[{pathGlob:"**/*.ino"}]},"ms-kubernetes-tools.vscode-kubernetes-tools":{onFileOpen:[{pathGlob:"{**/Chart.yaml}"}]},"GoogleCloudTools.cloudcode":{onFileOpen:[{pathGlob:"{**/skaffold.yaml}"}]},"Oracle.oracledevtools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"betterthantomorrow.calva":{onFileOpen:[{pathGlob:"{**/*.clj,**/*.cljs}"}]},"Pivotal.vscode-boot-dev-pack":{onFileOpen:[{pathGlob:"{**/application.properties}"}]},"GitHub.copilot":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.py,**/*.go,**/*.rb}"}]},"GitHub.vscode-github-actions":{onFileOpen:[{pathGlob:"{**/.github/workflows/*.yml}",important:!0}]},"circleci.circleci":{onFileOpen:[{pathGlob:"{**/.circleci/config.yml}"}]}},keymapExtensionTips:["vscodevim.vim","ms-vscode.sublime-keybindings","ms-vscode.atom-keybindings","ms-vscode.brackets-keybindings","ms-vscode.vs-keybindings","ms-vscode.notepadplusplus-keybindings","k--kato.intellij-idea-keybindings","lfs.vscode-emacs-friendly","alphabotsec.vscode-eclipse-keybindings","alefragnani.delphi-keybindings"],languageExtensionTips:["ms-python.python","ms-vscode.cpptools-extension-pack","ms-dotnettools.csharp","ms-toolsai.jupyter","vscjava.vscode-java-pack","ecmel.vscode-html-css","vue.volar","bmewburn.vscode-intelephense-client","dsznajder.es7-react-js-snippets","golang.go","ms-vscode.powershell","dart-code.dart-code","rust-lang.rust-analyzer","Shopify.ruby-lsp","GitHub.copilot"],configBasedExtensionTips:{git:{configPath:".git/config",configName:"Git",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",contentPattern:"^\\s*url\\s*=\\s*https:\\/\\/github\\.com.*$"},"eamodio.gitlens":{name:"GitLens"}}},devContainer:{configPath:".devcontainer/devcontainer.json",configName:"Dev Container",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0}}},maven:{configPath:"pom.xml",configName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},"Pivotal.vscode-boot-dev-pack":{name:"Spring Boot Extension Pack",isExtensionPack:!0}}},gradle:{configPath:"build.gradle",configName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"github-pull-request":{configPath:".vscode/.github-pull-request.rec",configName:"GitHub",configScheme:"vscode-vfs",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",important:!0}}},"pyproject-formatter":{configPath:"pyproject.toml",configName:"Python Formatter",recommendations:{"ms-python.black-formatter":{name:"Black Formatter",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?black"?\\s*[\\].])|("black\\s*["[(<=>!~;@])'},"ms-python.autopep8":{name:"Autopep8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?autopep8"?\\s*[\\].])|("autopep8\\s*["[(<=>!~;@])'}}},"pep8-formatter":{configPath:".pep8",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8"}}},"python-setup-cgf-formatter":{configPath:"setup.cfg",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"tox-ini-formatter":{configPath:"tox.ini",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"pyproject-linter":{configPath:"pyproject.toml",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?pylint"?\\s*[\\].])|("pylint\\s*["[(<=>!~;@])'},"charliermarsh.ruff":{name:"Ruff",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?ruff"?\\s*[\\].])|("ruff\\s*["[(<=>!~;@])'},"ms-python.mypy-type-checker":{name:"Mypy Type Checker",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?mypy"?\\s*[\\].])|("mypy\\s*["[(<=>!~;@])'},"ms-python.flake8":{name:"Flake8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?flake8"?\\s*[\\].])|("flake8\\s*["[(<=>!~;@])'}}},".pylintrc-linter":{configPath:".pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"pylintrc-linter":{configPath:"pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"mypy-ini-linter":{configPath:".mypy.ini",configName:"Python Linter",recommendations:{"ms-python.mypy-type-checker":{name:"Mypy Type Checker"}}},"tox-ini-linter":{configPath:"tox.ini",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}},".flake8-linter":{configPath:".flake8",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8"}}},"python-setup-cgf-linter":{configPath:"setup.cfg",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}}},exeBasedExtensionTips:{az:{friendlyName:"Azure CLI",windowsPath:"%ProgramFiles(x86)%\\Microsoft SDKs\\Azure\\CLI2\\wbin\\az.cmd",recommendations:{"ms-vscode.azurecli":{name:"Azure CLI Tools"}}},azd:{friendlyName:"Azure Dev CLI",windowsPath:"%USERPROFILE%\\AppData\\Local\\Programs\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},"azd-user":{friendlyName:"Azure Dev CLI",windowsPath:"%ProgramFiles%\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},heroku:{friendlyName:"Heroku CLI",windowsPath:"%ProgramFiles%\\Heroku\\bin\\heroku.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"pkosta2005.heroku-command":{name:"heroku-cli"}}},mongo:{friendlyName:"Mongo",windowsPath:"%ProgramFiles%\\MongoDB\\Server\\3.6\\bin\\mongod.exe",recommendations:{"ms-azuretools.vscode-cosmosdb":{name:"Azure Databases"}}},serverless:{friendlyName:"Serverless framework",windowsPath:"%APPDATA%\\npm\\serverless.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},func:{friendlyName:"Azure Function SDK",windowsPath:"%APPDATA%\\npm\\func.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},mysql:{friendlyName:"MySQL",windowsPath:"%ProgramFiles%\\MySQL\\MySQL Server 8.0\\bin\\mysqld.exe",recommendations:{"mtxr.sqltools":{name:"SQLTools"}}},postgres:{friendlyName:"PostgreSQL",windowsPath:"%ProgramFiles%\\PostgreSQL\\11\\bin\\psql.exe",recommendations:{"ms-ossdata.vscode-postgresql":{name:"PostgreSQL"},"mtxr.sqltools":{name:"SQLTools"}}},sqlcmd:{friendlyName:"SQL CLI",recommendations:{"ms-mssql.mssql":{name:"SQL Server (mssql)"}}},now:{friendlyName:"Now CLI",windowsPath:"%APPDATA%\\npm\\now.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"ms-azuretools.vscode-docker":{name:"Docker"}}},docker:{friendlyName:"Docker",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\docker.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker",important:!0},"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},kubectl:{friendlyName:"Kubernetes",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\kubectl.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},ng:{friendlyName:"Angular CLI",windowsPath:"%APPDATA%\\npmexit\\ng.cmd",recommendations:{"johnpapa.Angular2":{name:"Angular Snippets"}}},"create-react-app":{friendlyName:"Create React App",windowsPath:"%APPDATA%\\npm\\create-react-app.cmd",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},"react-native":{friendlyName:"React Native",windowsPath:"%APPDATA%\\npm\\react-native-cli",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},p4:{friendlyName:"Perforce",recommendations:{"slevesque.perforce":{name:"Perforce for VS Code"}}},hg:{friendlyName:"Mercurial",recommendations:{"mrcrowl.hg":{name:"Hg"}}},git:{friendlyName:"Git",windowsPath:"%ProgramFiles%\\Git\\git-bash.exe",recommendations:{"eamodio.gitlens":{name:"GitLens"}}},svn:{friendlyName:"Subversion",windowsPath:"%ProgramFiles%\\TortoiseSVN\\bin\\TortoiseProc.exe",recommendations:{"johnstoncode.svn-scm":{name:"SVN"}}},subl:{friendlyName:"Sublime",windowsPath:"%ProgramFiles%\\Sublime Text3\\sublime_text.exe",recommendations:{"ms-vscode.sublime-keybindings":{name:"Sublime Text Keymap and Settings Importer"}}},atom:{friendlyName:"Atom",windowsPath:"%USERPROFILE%\\AppData\\Local\\atom\\bin\\atom.cmd",recommendations:{"ms-vscode.atom-keybindings":{name:"Atom Keymap"}}},brackets:{friendlyName:"Brackets",windowsPath:"%ProgramFiles(x86)%\\Brackets\\Brackets.exe",recommendations:{"ms-vscode.brackets-keybindings":{name:"Brackets Keymap"}}},notepadplusplus:{friendlyName:"Notepad++",windowsPath:"%ProgramFiles%\\Notepad++\\Notepad++.exe",recommendations:{"ms-vscode.notepadplusplus-keybindings":{name:"Notepad++ keymap"}}},vi:{friendlyName:"VIM",windowsPath:"%ProgramFiles(x86)%\\Vim\\vim80\\gvim.exe",recommendations:{"vscodevim.vim":{name:"Vim"}}},mvn:{friendlyName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},gradle:{friendlyName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"Microsoft Edge":{friendlyName:"Microsoft Edge",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Dev":{friendlyName:"Microsoft Edge Dev",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Dev\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Beta":{friendlyName:"Microsoft Edge Beta",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Beta\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Canary":{friendlyName:"Microsoft Edge Canary",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge SxS\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Mozilla Firefox (x86)":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles(x86)%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition (x86)":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles(x86)%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},cordova:{friendlyName:"Cordova",windowsPath:"%APPDATA%\\npm\\cordova",recommendations:{"msjsdiag.cordova-tools":{name:"Cordova Tools"}}},gcloud:{friendlyName:"Google GCloud CLI",windowsPath:"%ProgramFiles(x86)%\\Google\\Cloud SDK\\google-cloud-sdk\\bin\\gcloud.cmd",recommendations:{"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},skaffold:{friendlyName:"Skaffold Code to Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},minikube:{friendlyName:"MiniKube Local Kubernetes Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},podman:{friendlyName:"Podman",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},wsl:{friendlyName:"Windows Subsystem for Linux (WSL)",windowsPath:"%WINDIR%\\system32\\lxss\\LxssManager.dll",important:!0,recommendations:{"ms-vscode-remote.remote-wsl":{name:"WSL",important:!0}}}},webExtensionTips:["tyriar.luna-paint","codespaces-contrib.codeswing","ms-vscode.vscode-github-issue-notebooks","esbenp.prettier-vscode","hediet.vscode-drawio"],virtualWorkspaceExtensionTips:{"vscode-vfs":{friendlyName:"Remote Repositories",extensionId:"ms-vscode.remote-repositories",startEntry:{helpLink:"https://aka.ms/vscode-remote/remote-repositories",startConnectLabel:"Remote Repository",startCommand:"remoteHub.continueOn.openRepository",priority:5}}},remoteExtensionTips:{wsl:{friendlyName:"WSL",extensionId:"ms-vscode-remote.remote-wsl",supportedPlatforms:["Windows"],startEntry:{helpLink:"https://aka.ms/vscode-remote/wsl",startConnectLabel:"WSL",startCommand:"remote-wsl.connect",priority:3}},"ssh-remote":{friendlyName:"Remote - SSH",extensionId:"ms-vscode-remote.remote-ssh",startEntry:{helpLink:"https://aka.ms/vscode-remote/ssh",startConnectLabel:"SSH ",startCommand:"opensshremotes.openEmptyWindowInCurrentWindow",priority:1}},"dev-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers",startEntry:{helpLink:"https://aka.ms/vscode-remote/containers",startConnectLabel:"Dev Container",startCommand:"remote-containers.reopenInContainer",priority:2}},"attached-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers"},codespaces:{friendlyName:"GitHub Codespaces",extensionId:"github.codespaces",startEntry:{helpLink:"https://aka.ms/vscode-remote-codespaces",startConnectLabel:"GitHub Codespace ",startCommand:"github.codespaces.connect",priority:4}},tunnel:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server",startEntry:{helpLink:"https://aka.ms/remote-tunnels-doc",startConnectLabel:"Tunnel",startCommand:"remote-tunnels.connectCurrentWindowToTunnel",priority:0}}},commandPaletteSuggestedCommandIds:["workbench.action.files.openFile","workbench.action.files.openFileFolder","workbench.action.files.openFolder","workbench.action.remote.showMenu","editor.action.formatDocument","editor.action.commentLine","workbench.action.tasks.runTask","workbench.action.openSettings2","workbench.action.selectTheme","workbench.action.openWalkthrough","workbench.action.openIssueReporter"],extensionKeywords:{md:["Markdown"],js:["JavaScript"],jsx:["JavaScript"],es6:["JavaScript"],html:["Html"],ts:["TypeScript"],tsx:["TypeScript"],css:["CSS"],scss:["SASS"],txt:["Text"],php:["PHP"],php3:["PHP"],php4:["PHP"],ph3:["PHP"],ph4:["PHP"],xml:["XML"],py:["Python"],pyc:["Python"],pyd:["Python"],pyo:["Python"],pyw:["Python"],pyz:["Python"],java:["Java"],class:["Java"],jar:["Java"],c:["c","objective c","objective-c"],m:["objective c","objective-c"],mm:["objective c","objective-c"],cpp:["cpp","c plus plus","c","c++"],cc:["cpp","c plus plus","c","c++"],cxx:["cpp","c plus plus","c++"],hh:["cpp","c plus plus","c++"],hpp:["cpp","c++"],h:["cpp","c plus plus","c++","c","objective c","objective-c"],sql:["sql"],sh:["bash"],bash:["bash"],zsh:["bash","zshell"],cs:["c#","csharp"],csproj:["c#","csharp"],sln:["c#","csharp"],go:["go"],sty:["latex"],tex:["latex"],ps:["powershell"],ps1:["powershell"],rs:["rust"],rslib:["rust"],hs:["haskell"],lhs:["haskell"],scm:["scheme"],ss:["scheme"],clj:["clojure"],cljs:["clojure"],cljc:["clojure"],edn:["clojure"],erl:["erlang"],hrl:["erlang"],scala:["scala"],sc:["scala"],pl:["perl"],pm:["perl"],t:["perl"],pod:["perl"],groovy:["groovy"],swift:["swift"],rb:["ruby"],rbw:["ruby"],jl:["julia"],f:["fortran"],for:["fortran"],f90:["fortran"],f95:["fortran"],coffee:["CoffeeScript"],litcoffee:["CoffeeScript"],yaml:["yaml"],yml:["yaml"],dart:["dart"],json:["json"]},extensionAllowedBadgeProviders:["api.bintray.com","api.travis-ci.com","api.travis-ci.org","app.fossa.io","badge.buildkite.com","badge.fury.io","badge.waffle.io","badgen.net","badges.frapsoft.com","badges.gitter.im","badges.greenkeeper.io","cdn.travis-ci.com","cdn.travis-ci.org","ci.appveyor.com","circleci.com","cla.opensource.microsoft.com","codacy.com","codeclimate.com","codecov.io","coveralls.io","david-dm.org","deepscan.io","dev.azure.com","docs.rs","flat.badgen.net","gemnasium.com","githost.io","gitlab.com","godoc.org","goreportcard.com","img.shields.io","isitmaintained.com","marketplace.visualstudio.com","nodesecurity.io","opencollective.com","snyk.io","travis-ci.com","travis-ci.org","visualstudio.com","vsmarketplacebadge.apphb.com","www.bithound.io","www.versioneye.com"],extensionAllowedBadgeProvidersRegex:["^https:\\/\\/github\\.com\\/[^/]+\\/[^/]+\\/(actions\\/)?workflows\\/.*badge\\.svg"],crashReporter:{productName:"VSCode",companyName:"Microsoft"},appCenter:{"win32-ia32":"appcenter://code?aid=f4289815-a66e-4ad9-b74f-d8e5bc093e41","win32-x64":"appcenter://code?aid=a4e3233c-699c-46ec-b4f4-9c2a77254662","win32-arm64":"appcenter://code?aid=3712d786-7cc8-4f11-8b08-cc12eab6d4f7","linux-x64":"appcenter://code?aid=fba07a4d-84bd-4fc8-a125-9640fc8ce171",darwin:"appcenter://code?aid=860d6632-f65b-490b-85a8-3e72944f7774","darwin-arm64":"appcenter://code?aid=be71415d-3893-4ae5-b453-e537b9668a10","darwin-universal":"appcenter://code?aid=de75e3cc-e22f-4f42-a03f-1409c21d8af8"},enableTelemetry:!0,aiConfig:{ariaKey:"5bbf946d11a54f6783919c455abaddaf-fd62977b-c92d-4714-a45d-649d06980372-7168"},msftInternalDomains:["redmond.corp.microsoft.com","northamerica.corp.microsoft.com","fareast.corp.microsoft.com","ntdev.corp.microsoft.com","wingroup.corp.microsoft.com","southpacific.corp.microsoft.com","wingroup.windeploy.ntdev.microsoft.com","ddnet.microsoft.com","europe.corp.microsoft.com"],sendASmile:{reportIssueUrl:"https://go.microsoft.com/fwlink/?LinkId=534872",requestFeatureUrl:"https://go.microsoft.com/fwlink/?LinkID=533482"},documentationUrl:"https://go.microsoft.com/fwlink/?LinkID=533484#vscode",serverDocumentationUrl:"https://aka.ms/vscode-server-doc",releaseNotesUrl:"https://go.microsoft.com/fwlink/?LinkID=533483#vscode",keyboardShortcutsUrlMac:"https://go.microsoft.com/fwlink/?linkid=832143",keyboardShortcutsUrlLinux:"https://go.microsoft.com/fwlink/?linkid=832144",keyboardShortcutsUrlWin:"https://go.microsoft.com/fwlink/?linkid=832145",introductoryVideosUrl:"https://go.microsoft.com/fwlink/?linkid=832146",tipsAndTricksUrl:"https://go.microsoft.com/fwlink/?linkid=852118",newsletterSignupUrl:"https://www.research.net/r/vsc-newsletter",twitterUrl:"https://go.microsoft.com/fwlink/?LinkID=533687",requestFeatureUrl:"https://go.microsoft.com/fwlink/?LinkID=533482",reportIssueUrl:"https://github.com/Microsoft/vscode/issues/new",reportMarketplaceIssueUrl:"https://github.com/microsoft/vsmarketplace/issues/new",licenseUrl:"https://go.microsoft.com/fwlink/?LinkID=533485",serverLicenseUrl:"https://aka.ms/vscode-server-license",privacyStatementUrl:"https://go.microsoft.com/fwlink/?LinkId=521839",showTelemetryOptOut:!0,npsSurveyUrl:"https://aka.ms/vscode-nps",cesSurveyUrl:"https://aka.ms/new-to-vscode-feedback",checksumFailMoreInfoUrl:"https://go.microsoft.com/fwlink/?LinkId=828886",electronRepository:"Microsoft/vscode-electron-prebuilt",nodejsRepository:"Microsoft/vscode-node",settingsSearchUrl:"https://bingsettingssearch.trafficmanager.net/api/Search",surveys:[{surveyId:"cpp.1",surveyUrl:"https://www.research.net/r/VBVV6C6",languageId:"cpp",editCount:10,userProbability:.15},{surveyId:"java.2",surveyUrl:"https://www.research.net/r/vscodejava",languageId:"java",editCount:10,userProbability:.3},{surveyId:"javascript.1",surveyUrl:"https://www.research.net/r/vscode-js",languageId:"javascript",editCount:10,userProbability:.05},{surveyId:"typescript.1",surveyUrl:"https://www.research.net/r/vscode-ts",languageId:"typescript",editCount:10,userProbability:.05},{surveyId:"csharp.1",surveyUrl:"https://www.research.net/r/8KGJ9V8",languageId:"csharp",editCount:10,userProbability:.05}],extensionEnabledApiProposals:{"ms-vscode.vscode-selfhost-test-provider":["testObserver"],"VisualStudioExptTeam.vscodeintellicode-completions":["inlineCompletionsAdditions"],"ms-vsliveshare.vsliveshare":["contribMenuBarHome","contribShareMenu","contribStatusBarItems","diffCommand","documentFiltersExclusive","fileSearchProvider","findTextInFiles","notebookCellExecutionState","notebookLiveShare","terminalDimensions","terminalDataWriteEvent","textSearchProvider"],"ms-vscode.js-debug":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"ms-toolsai.vscode-ai-remote":["resolvers"],"ms-python.python":["contribEditorContentMenu","quickPickSortByLabel","portsAttributes","testObserver","envShellEvent","quickPickItemTooltip","terminalDataWriteEvent","envCollectionWorkspace","saveEditor","envCollectionOptions"],"ms-dotnettools.dotnet-interactive-vscode":["notebookMessaging"],"GitHub.codespaces":["contribEditSessions","contribMenuBarHome","contribRemoteHelp","contribViewsRemote","resolvers","tunnels","terminalDataWriteEvent","treeViewReveal","notebookKernelSource"],"ms-vscode.azure-repos":["extensionRuntime","fileSearchProvider","textSearchProvider"],"ms-vscode.remote-repositories":["canonicalUriProvider","contribEditSessions","contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","contribShareMenu","documentFiltersExclusive","editSessionIdentityProvider","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","shareProvider","scmActionButton","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-vscode-remote.remote-wsl":["resolvers","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode-remote.remote-ssh":["resolvers","tunnels","terminalDataWriteEvent","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode.remote-server":["resolvers"],"ms-vscode.remote-explorer":["contribRemoteHelp","contribViewsRemote","extensionsAny"],"ms-vscode-remote.remote-containers":["contribEditSessions","resolvers","tunnels","workspaceTrust","terminalDimensions","contribRemoteHelp","contribViewsRemote"],"ms-vscode.js-debug-nightly":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"ms-vscode.lsif-browser":["documentFiltersExclusive"],"GitHub.vscode-pull-request-github":["contribCommentThreadAdditionalMenu","tokenInformation","contribShareMenu","fileComments","contribCommentPeekContext","codiconDecoration","diffCommand","contribCommentEditorActionsMenu","readonlyMessage","shareProvider","quickDiffProvider","quickPickItemIcon"],"GitHub.copilot":["inlineCompletionsAdditions"],"GitHub.copilot-nightly":["inlineCompletionsAdditions"],"GitHub.copilot-chat":["handleIssueUri","interactive","interactiveUserActions","semanticSimilarity","terminalDataWriteEvent"],"GitHub.remotehub":["contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","documentFiltersExclusive","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-python.gather":["notebookCellExecutionState"],"ms-python.vscode-pylance":["notebookCellExecutionState"],"ms-toolsai.jupyter-renderers":["contribNotebookStaticPreloads"],"ms-toolsai.jupyter":["notebookDeprecated","notebookMessaging","notebookMime","notebookCellExecutionState","portsAttributes","quickPickSortByLabel","notebookKernelSource","interactiveWindow","notebookControllerAffinityHidden","contribNotebookStaticPreloads","quickPickItemTooltip","notebookExecution"],"dbaeumer.vscode-eslint":["notebookCellExecutionState"],"ms-vscode.azure-sphere-tools-ui":["tunnels"],"ms-azuretools.vscode-azureappservice":["terminalDataWriteEvent"],"ms-azuretools.vscode-azureresourcegroups":["authGetSessions"],"ms-vscode.anycode":["extensionsAny"],"ms-vscode.cpptools":["terminalDataWriteEvent"],"redhat.java":["documentPaste"],"ms-dotnettools.csdevkit":["inlineCompletionsAdditions"],"ms-dotnettools.vscodeintellicode-csharp":["inlineCompletionsAdditions"]},tasConfig:{endpoint:"https://default.exp-tas.com/vscode/ab",telemetryEventName:"query-expfeature",featuresTelemetryPropertyName:"VSCode.ABExp.Features",assignmentContextTelemetryPropertyName:"abexp.assignmentcontext"},extensionKind:{"Shan.code-settings-sync":["ui"],"shalldie.background":["ui"],"techer.open-in-browser":["ui"],"CoenraadS.bracket-pair-colorizer-2":["ui"],"CoenraadS.bracket-pair-colorizer":["ui","workspace"],"hiro-sun.vscode-emacs":["ui","workspace"],"hnw.vscode-auto-open-markdown-preview":["ui","workspace"],"wayou.vscode-todo-highlight":["ui","workspace"],"aaron-bond.better-comments":["ui","workspace"],"vscodevim.vim":["ui"],"ollyhayes.colmak-vim":["ui"]},extensionPointExtensionKind:{typescriptServerPlugins:["workspace"]},extensionSyncedKeys:{"ritwickdey.liveserver":["liveServer.setup.version"]},extensionVirtualWorkspacesSupport:{"esbenp.prettier-vscode":{default:!1},"msjsdiag.debugger-for-chrome":{default:!1},"redhat.java":{default:!1},"HookyQR.beautify":{default:!1},"ritwickdey.LiveServer":{default:!1},"VisualStudioExptTeam.vscodeintellicode":{default:!1},"octref.vetur":{default:!1},"formulahendry.code-runner":{default:!1},"xdebug.php-debug":{default:!1},"ms-mssql.mssql":{default:!1},"christian-kohler.path-intellisense":{default:!1},"eg2.tslint":{default:!1},"eg2.vscode-npm-script":{default:!1},"donjayamanne.githistory":{default:!1},"Zignd.html-css-class-completion":{default:!1},"christian-kohler.npm-intellisense":{default:!1},"EditorConfig.EditorConfig":{default:!1},"austin.code-gnu-global":{default:!1},"johnpapa.Angular2":{default:!1},"ms-vscode.vscode-typescript-tslint-plugin":{default:!1},"DotJoshJohnson.xml":{default:!1},"techer.open-in-browser":{default:!1},"tht13.python":{default:!1},"bmewburn.vscode-intelephense-client":{default:!1},"Angular.ng-template":{default:!1},"xdebug.php-pack":{default:!1},"dbaeumer.jshint":{default:!1},"yzhang.markdown-all-in-one":{default:!1},"Dart-Code.flutter":{default:!1},"streetsidesoftware.code-spell-checker":{default:!1},"rebornix.Ruby":{default:!1},"ms-vscode.sublime-keybindings":{default:!1},"mitaki28.vscode-clang":{default:!1},"steoates.autoimport":{default:!1},"donjayamanne.python-extension-pack":{default:!1},"shd101wyy.markdown-preview-enhanced":{default:!1},"mikestead.dotenv":{default:!1},"pranaygp.vscode-css-peek":{default:!1},"ikappas.phpcs":{default:!1},"platformio.platformio-ide":{default:!1},"jchannon.csharpextensions":{default:!1},"gruntfuggly.todo-tree":{default:!1}},linkProtectionTrustedDomains:["https://*.visualstudio.com","https://*.microsoft.com","https://aka.ms","https://*.gallerycdn.vsassets.io","https://*.github.com","https://login.microsoftonline.com","https://*.vscode.dev","https://*.github.dev","https://gh.io"],trustedExtensionAuthAccess:["vscode.git","vscode.github","ms-vscode.remote-repositories","github.remotehub","ms-vscode.azure-repos","ms-vscode.remote-server","github.vscode-pull-request-github","github.codespaces","ms-vsliveshare.vsliveshare","github.copilot","github.copilot-chat","ms-azuretools.vscode-azureresourcegroups","ms-edu.vscode-learning"],auth:{loginUrl:"https://login.microsoftonline.com/common/oauth2/authorize",tokenUrl:"https://login.microsoftonline.com/common/oauth2/token",redirectUrl:"https://vscode-redirect.azurewebsites.net/",clientId:"aebc6443-996d-45c2-90f0-388ff96faa56"},"configurationSync.store":{url:"https://vscode-sync.trafficmanager.net/",stableUrl:"https://vscode-sync.trafficmanager.net/",insidersUrl:"https://vscode-sync-insiders.trafficmanager.net/",canSwitch:!1,authenticationProviders:{github:{scopes:["user:email"]},microsoft:{scopes:["openid","profile","email","offline_access"]}}},"editSessions.store":{url:"https://vscode-sync.trafficmanager.net/",authenticationProviders:{microsoft:{scopes:["openid","profile","email","offline_access"]},github:{scopes:["user:email"]}}},tunnelApplicationName:"code-tunnel",tunnelApplicationConfig:{editorWebUrl:"https://vscode.dev",extension:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server"},authenticationProviders:{github:{scopes:["user:email","read:org"]}}},win32TunnelServiceMutex:"vscode-tunnelservice",win32TunnelMutex:"vscode-tunnel",builtInExtensions:[{name:"ms-vscode.js-debug-companion",version:"1.1.1",sha256:"095dc6d5d45490966dfa74d24add92036b42bf02a37d88c4b0f510dc91deeee6",repo:"https://github.com/microsoft/vscode-js-debug-companion",metadata:{id:"99cb0b7f-7354-4278-b8da-6cc79972169d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.js-debug",version:"1.80.0",sha256:"ac75e4ecf79efafa2bb0e6c8c548a6c8359555623f677a386cbcea80630aee4f",repo:"https://github.com/microsoft/vscode-js-debug",metadata:{id:"25629058-ddac-4e17-abba-74678e126c5d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.vscode-js-profile-table",version:"1.0.3",sha256:"b9dab017506d9e6a469a0f82b392e4cb1d7a25a4843f1db8ba396cbee209cfc5",repo:"https://github.com/microsoft/vscode-js-profile-visualizer",metadata:{id:"7e52b41b-71ad-457b-ab7e-0620f1fc4feb",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode-remote.remote-wsl-recommender",version:"0.0.19",sha256:"926095d290dc7cdb9daf40ef5ae7591db12171ba1af1f61afcb5a368d0fc66aa",repo:"https://github.com/microsoft/vscode-remote-wsl-recommender",metadata:{id:"cb296d3c-017a-4dee-83af-ebb5a5a16e9a",publisherId:{publisherId:"ac9410a2-0d75-40ec-90de-b59bb705801d",publisherName:"ms-vscode-remote",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"},platforms:["win32"],clientOnly:!0}],walkthroughMetadata:[{id:"Setup",steps:[{id:"copilotInstall",title:"Supercharge your coding with AI-based suggestions",description:`Throw that rubber duck away! Code more efficiently with AI at your fingertips. Try [GitHub Copilot](command:extension.open?"github.copilot") free for 60 days.
[Install Copilot](command:workbench.extensions.installExtension?%22github.copilot%22)`,media:{type:"image",altText:"Copilot Statistics",path:"copilotStep.png"}}]}],featuredExtensions:[{id:"github.copilot",title:"GitHub Copilot",description:"Supercharge your coding experience for as little as $10/month with cutting edge AI code generation."}],version:"1.80.2",commit:"2ccd690cbff1569e4a83d7c43d45101f817401dc",date:"2023-07-27T20:10:18.388Z"},Object.keys(h).length===0&&Object.assign(h,{version:"1.80.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",serverLicenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=h}),define(De[229],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7i=e.$6i=void 0,e.$6i=(0,b.$lh)("productService"),e.$7i="vscode://schemas/vscode-product"});var We=this&&this.__param||function(re,e){return function(b,A){e(b,A,re)}};define(De[128],Ce([1,0,17,21,4,5]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tz=e.$sz=e.$rz=e.$qz=e.$pz=e.ProgressLocation=e.$oz=void 0,e.$oz=(0,F.$lh)("progressService");var R;(function(L){L[L.Explorer=1]="Explorer",L[L.Scm=3]="Scm",L[L.Extensions=5]="Extensions",L[L.Window=10]="Window",L[L.Notification=15]="Notification",L[L.Dialog=20]="Dialog"})(R||(e.ProgressLocation=R={})),e.$pz=Object.freeze({total(){},worked(){},done(){}});class g{get value(){return this.a}constructor(I){this.b=I}report(I){this.a=I,this.b(this.a)}}e.$qz=g,g.None=Object.freeze({report(){}});let k=e.$rz=class extends h.$kb{constructor(I,v){super(),this.a=new b.$Lg,v.withProgress(I,D=>(this.b=D,this.c&&D.report(this.c),this.a.p)),this.B((0,h.$ib)(()=>this.a.complete()))}report(I){this.b?this.b.report(I):this.c=I}};e.$rz=k=He([We(1,e.$oz)],k);class m extends h.$kb{constructor(I){super(),this.g=I,this.a=0,this.b=this.B(new h.$jb)}start(I){this.stop();const v=++this.a,D=new A.$bd;return this.f=setTimeout(()=>{v===this.a&&(this.c=this.g.show(!0))},I),this.b.add((0,h.$ib)(()=>clearTimeout(this.f))),this.b.add((0,h.$ib)(()=>D.cancel())),this.b.add((0,h.$ib)(()=>this.c?this.c.done():void 0)),{id:v,token:D.token,stop:()=>this.h(v),isCurrent:()=>this.a===v}}stop(){this.h(this.a)}h(I){this.a===I&&this.b.clear()}}e.$sz=m,e.$tz=(0,F.$lh)("editorProgressService")}),define(De[42],Ce([1,0,53,12]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pm=void 0;class h{constructor(){this.a=new Map}add(R,g){b.ok(A.$ge(R)),b.ok(A.$ie(g)),b.ok(!this.a.has(R),"There is already an extension with this id"),this.a.set(R,g)}knows(R){return this.a.has(R)}as(R){return this.a.get(R)||null}}e.$Pm=new h}),define(De[100],Ce([1,0,3,42]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qm=void 0,e.$Qm={JSONContribution:"base.contributions.json"};function h(g){return g.length>0&&g.charAt(g.length-1)==="#"?g.substring(0,g.length-1):g}class F{constructor(){this.b=new b.$5c,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(k,m){this.a[h(k)]=m,this.b.fire(k)}notifySchemaChanged(k){this.b.fire(k)}getSchemaContributions(){return{schemas:this.a}}}const R=new F;A.$Pm.add(e.$Qm.JSONContribution,R)}),define(De[129],Ce([1,0,19,3,12,176,57,100,42]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0m=e.$9m=e.$8m=e.$7m=e.$6m=e.$5m=e.$4m=e.$3m=e.$2m=e.$1m=e.$Zm=e.$Ym=e.$Xm=e.$Wm=e.$Vm=e.ConfigurationScope=e.$Um=e.EditPresentationTypes=void 0;var m;(function(E){E.Multiline="multilineText",E.Singleline="singlelineText"})(m||(e.EditPresentationTypes=m={})),e.$Um={Configuration:"base.contributions.configuration"};var L;(function(E){E[E.APPLICATION=1]="APPLICATION",E[E.MACHINE=2]="MACHINE",E[E.WINDOW=3]="WINDOW",E[E.RESOURCE=4]="RESOURCE",E[E.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",E[E.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(L||(e.ConfigurationScope=L={})),e.$Vm={properties:{},patternProperties:{}},e.$Wm={properties:{},patternProperties:{}},e.$Xm={properties:{},patternProperties:{}},e.$Ym={properties:{},patternProperties:{}},e.$Zm={properties:{},patternProperties:{}},e.$1m={properties:{},patternProperties:{}},e.$2m="vscode://schemas/settings/resourceLanguage",e.$3m="vscode://schemas/settings/configurationDefaults";const I=k.$Pm.as(g.$Qm.JSONContribution);class v{constructor(){this.h=new Set,this.i=new A.$5c,this.onDidSchemaChange=this.i.event,this.j=new A.$5c,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:F.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},I.registerSchema(e.$2m,this.g),this.v()}registerConfiguration(n,o=!0){this.registerConfigurations([n],o)}registerConfigurations(n,o=!0){const s=new Set;this.n(n,o,s),I.registerSchema(e.$2m,this.g),this.i.fire(),this.j.fire({properties:s})}deregisterConfigurations(n){const o=new Set;this.o(n,o),I.registerSchema(e.$2m,this.g),this.i.fire(),this.j.fire({properties:o})}updateConfigurations({add:n,remove:o}){const s=new Set;this.o(o,s),this.n(n,!1,s),I.registerSchema(e.$2m,this.g),this.i.fire(),this.j.fire({properties:s})}registerDefaultConfigurations(n){const o=new Set;this.k(n,o),this.i.fire(),this.j.fire({properties:o,defaultsOverrides:!0})}k(n,o){const s=[];for(const{overrides:t,source:u}of n)for(const $ in t)if(o.add($),e.$5m.test($)){const d=this.a.get($),S=d?.valuesSources??new Map;if(u)for(const P of Object.keys(t[$]))S.set(P,u);const y={...d?.value||{},...t[$]};this.a.set($,{source:u,value:y,valuesSources:S});const c=(0,R.$2h)($),r={type:"object",default:y,description:F.localize(1,null,c),$ref:e.$2m,defaultDefaultValue:y,source:h.$ge(u)?void 0:u,defaultValueSource:u};s.push(...w($)),this.d[$]=r,this.b.properties[$]=r}else{this.a.set($,{value:t[$],source:u});const d=this.d[$];d&&(this.w($,d),this.r($,d))}this.m(s)}deregisterDefaultConfigurations(n){const o=new Set;this.l(n,o),this.i.fire(),this.j.fire({properties:o,defaultsOverrides:!0})}l(n,o){for(const{overrides:s,source:t}of n)for(const u in s){const $=this.a.get(u),d=h.$ge(t)?t:t?.id,S=h.$ge($?.source)?$?.source:$?.source?.id;if(d===S)if(o.add(u),this.a.delete(u),e.$5m.test(u))delete this.d[u],delete this.b.properties[u];else{const y=this.d[u];y&&(this.w(u,y),this.r(u,y))}}this.u()}deltaConfiguration(n){let o=!1;const s=new Set;n.removedDefaults&&(this.l(n.removedDefaults,s),o=!0),n.addedDefaults&&(this.k(n.addedDefaults,s),o=!0),n.removedConfigurations&&this.o(n.removedConfigurations,s),n.addedConfigurations&&this.n(n.addedConfigurations,!1,s),this.i.fire(),this.j.fire({properties:s,defaultsOverrides:o})}notifyConfigurationSchemaUpdated(...n){this.i.fire()}registerOverrideIdentifiers(n){this.m(n),this.i.fire()}m(n){for(const o of n)this.h.add(o);this.u()}n(n,o,s){n.forEach(t=>{this.p(t,o,t.extensionInfo,t.restrictedProperties,void 0,s),this.c.push(t),this.q(t)})}o(n,o){const s=t=>{if(t.properties)for(const u in t.properties){o.add(u);const $=this.d[u];$?.policy?.name&&this.e.delete($.policy.name),delete this.d[u],this.s(u,t.properties[u])}t.allOf?.forEach(u=>s(u))};for(const t of n){s(t);const u=this.c.indexOf(t);u!==-1&&this.c.splice(u,1)}}p(n,o=!0,s,t,u=3,$){u=h.$pe(n.scope)?u:n.scope;const d=n.properties;if(d)for(const y in d){const c=d[y];if(o&&p(y,c)){delete d[y];continue}if(c.source=s,c.defaultDefaultValue=d[y].default,this.w(y,c),e.$5m.test(y)?c.scope=void 0:(c.scope=h.$pe(c.scope)?u:c.scope,c.restricted=h.$pe(c.restricted)?!!t?.includes(y):c.restricted),d[y].hasOwnProperty("included")&&!d[y].included){this.f[y]=d[y],delete d[y];continue}else this.d[y]=d[y],d[y].policy?.name&&this.e.set(d[y].policy.name,y);!d[y].deprecationMessage&&d[y].markdownDeprecationMessage&&(d[y].deprecationMessage=d[y].markdownDeprecationMessage),$.add(y)}const S=n.allOf;if(S)for(const y of S)this.p(y,o,s,t,u,$)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(n){const o=s=>{const t=s.properties;if(t)for(const $ in t)this.r($,t[$]);s.allOf?.forEach(o)};o(n)}r(n,o){switch(e.$Vm.properties[n]=o,o.scope){case 1:e.$Wm.properties[n]=o;break;case 2:e.$Xm.properties[n]=o;break;case 6:e.$Ym.properties[n]=o;break;case 3:e.$Zm.properties[n]=o;break;case 4:e.$1m.properties[n]=o;break;case 5:e.$1m.properties[n]=o,this.g.properties[n]=o;break}}s(n,o){switch(delete e.$Vm.properties[n],o.scope){case 1:delete e.$Wm.properties[n];break;case 2:delete e.$Xm.properties[n];break;case 6:delete e.$Ym.properties[n];break;case 3:delete e.$Zm.properties[n];break;case 4:case 5:delete e.$1m.properties[n],delete this.g.properties[n];break}}u(){for(const n of this.h.values()){const o=`[${n}]`,s={type:"object",description:F.localize(2,null),errorMessage:F.localize(3,null),$ref:e.$2m};this.w(o,s),e.$Vm.properties[o]=s,e.$Wm.properties[o]=s,e.$Xm.properties[o]=s,e.$Ym.properties[o]=s,e.$Zm.properties[o]=s,e.$1m.properties[o]=s}}v(){const n={type:"object",description:F.localize(4,null),errorMessage:F.localize(5,null),$ref:e.$2m};e.$Vm.patternProperties[e.$4m]=n,e.$Wm.patternProperties[e.$4m]=n,e.$Xm.patternProperties[e.$4m]=n,e.$Ym.patternProperties[e.$4m]=n,e.$Zm.patternProperties[e.$4m]=n,e.$1m.patternProperties[e.$4m]=n,this.i.fire()}w(n,o){const s=this.a.get(n);let t=s?.value,u=s?.source;h.$ne(t)&&(t=o.defaultDefaultValue,u=void 0),h.$ne(t)&&(t=l(o.type)),o.default=t,o.defaultValueSource=u}}const D="\\[([^\\]]+)\\]",C=new RegExp(D,"g");e.$4m=`^(${D})+$`,e.$5m=new RegExp(e.$4m);function w(E){const n=[];if(e.$5m.test(E)){let o=C.exec(E);for(;o?.length;){const s=o[1].trim();s&&n.push(s),o=C.exec(E)}}return(0,b.$of)(n)}e.$6m=w;function i(E){return E.reduce((n,o)=>`${n}[${o}]`,"")}e.$7m=i;function l(E){switch(Array.isArray(E)?E[0]:E){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.$8m=l;const a=new v;k.$Pm.add(e.$Um.Configuration,a);function p(E,n){return E.trim()?e.$5m.test(E)?F.localize(7,null,E):a.getConfigurationProperties()[E]!==void 0?F.localize(8,null,E):n.policy?.name&&a.getPolicyConfigurations().get(n.policy?.name)!==void 0?F.localize(9,null,E,n.policy?.name,a.getPolicyConfigurations().get(n.policy?.name)):null:F.localize(6,null)}e.$9m=p;function f(){const E=[],n=a.getConfigurationProperties();for(const o of Object.keys(n))E.push([o,n[o].scope]);return E.push(["launch",4]),E.push(["task",4]),E}e.$0m=f}),define(De[230],Ce([1,0,19,3,150,4,28,24,12,2,57,129,42]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dn=e.$cn=e.$bn=e.$an=e.$_m=e.$$m=void 0;function D(o){return Object.isFrozen(o)?o:g.$Em(o)}class C{constructor(s={},t=[],u=[],$){this.b=s,this.c=t,this.d=u,this.raw=$,this.a=new Map}get rawConfiguration(){if(!this.f)if(this.raw?.length){const s=this.raw.map(t=>{if(t instanceof C)return t;const u=new w("");return u.parseRaw(t),u.configurationModel});this.f=s.reduce((t,u)=>u===t?u:t.merge(u),s[0])}else this.f=this;return this.f}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(s){return s?(0,L.$Zh)(this.contents,s):this.contents}inspect(s,t){const u=this.rawConfiguration.getValue(s),$=t?this.rawConfiguration.getOverrideValue(s,t):void 0,d=t?this.rawConfiguration.override(t).getValue(s):u;return{value:u,override:$,merged:d}}getOverrideValue(s,t){const u=this.i(t);return u?s?(0,L.$Zh)(u,s):u:void 0}getKeysForOverrideIdentifier(s){const t=[];for(const u of this.overrides)u.identifiers.includes(s)&&t.push(...u.keys);return b.$of(t)}getAllOverrideIdentifiers(){const s=[];for(const t of this.overrides)s.push(...t.identifiers);return b.$of(s)}override(s){let t=this.a.get(s);return t||(t=this.g(s),this.a.set(s,t)),t}merge(...s){const t=g.$Dm(this.contents),u=g.$Dm(this.overrides),$=[...this.keys],d=this.raw?.length?[...this.raw]:[this];for(const S of s)if(d.push(...S.raw?.length?S.raw:[S]),!S.isEmpty()){this.h(t,S.contents);for(const y of S.overrides){const[c]=u.filter(r=>b.$$e(r.identifiers,y.identifiers));c?(this.h(c.contents,y.contents),c.keys.push(...y.keys),c.keys=b.$of(c.keys)):u.push(g.$Dm(y))}for(const y of S.keys)$.indexOf(y)===-1&&$.push(y)}return new C(t,$,u,d.every(S=>S instanceof C)?void 0:d)}g(s){const t=this.i(s);if(!t||typeof t!="object"||!Object.keys(t).length)return this;const u={};for(const $ of b.$of([...Object.keys(this.contents),...Object.keys(t)])){let d=this.contents[$];const S=t[$];S&&(typeof d=="object"&&typeof S=="object"?(d=g.$Dm(d),this.h(d,S)):d=S),u[$]=d}return new C(u,this.keys,this.overrides)}h(s,t){for(const u of Object.keys(t)){if(u in s&&k.$ie(s[u])&&k.$ie(t[u])){this.h(s[u],t[u]);continue}s[u]=g.$Dm(t[u])}}i(s){let t=null,u=null;const $=d=>{d&&(u?this.h(u,d):u=g.$Dm(d))};for(const d of this.overrides)b.$$e(d.identifiers,[s])?t=d.contents:d.identifiers.includes(s)&&$(d.contents);return $(t),u}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(s,t){this.j(s,t,!0)}setValue(s,t){this.j(s,t,!1)}removeValue(s){const t=this.keys.indexOf(s);t!==-1&&(this.keys.splice(t,1),(0,L.$Yh)(this.contents,s),I.$5m.test(s)&&this.overrides.splice(this.overrides.findIndex(u=>b.$$e(u.identifiers,(0,I.$6m)(s))),1))}j(s,t,u){(0,L.$Xh)(this.contents,s,t,$=>console.error($)),u=u||this.keys.indexOf(s)===-1,u&&this.keys.push(s),I.$5m.test(s)&&this.overrides.push({identifiers:(0,I.$6m)(s),keys:Object.keys(this.contents[s]),contents:(0,L.$Wh)(this.contents[s],$=>console.error($))})}}e.$$m=C;class w{constructor(s){this.f=s,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||new C}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(s,t){if(!k.$pe(s)){const u=this.g(s);this.parseRaw(u,t)}}reparse(s){this.a&&this.parseRaw(this.a,s)}parseRaw(s,t){this.a=s;const{contents:u,keys:$,overrides:d,restricted:S,hasExcludedProperties:y}=this.h(s,t);this.b=new C(u,$,d,y?[s]:void 0),this.c=S||[]}g(s){let t={},u=null,$=[];const d=[],S=[];function y(r){Array.isArray($)?$.push(r):u!==null&&($[u]=r)}const c={onObjectBegin:()=>{const r={};y(r),d.push($),$=r,u=null},onObjectProperty:r=>{u=r},onObjectEnd:()=>{$=d.pop()},onArrayBegin:()=>{const r=[];y(r),d.push($),$=r,u=null},onArrayEnd:()=>{$=d.pop()},onLiteralValue:y,onError:(r,P,N)=>{S.push({error:r,offset:P,length:N})}};if(s)try{h.$Am(s,c),t=$[0]||{}}catch(r){console.error(`Error while parsing settings file ${this.f}: ${r}`),this.d=[r]}return t}h(s,t){const u=v.$Pm.as(I.$Um.Configuration).getConfigurationProperties(),$=this.i(s,u,!0,t);s=$.raw;const d=(0,L.$Wh)(s,c=>console.error(`Conflict in settings file ${this.f}: ${c}`)),S=Object.keys(s),y=this.j(s,c=>console.error(`Conflict in settings file ${this.f}: ${c}`));return{contents:d,keys:S,overrides:y,restricted:$.restricted,hasExcludedProperties:$.hasExcludedProperties}}i(s,t,u,$){let d=!1;if(!$?.scopes&&!$?.skipRestricted)return{raw:s,restricted:[],hasExcludedProperties:d};const S={},y=[];for(const c in s)if(I.$5m.test(c)&&u){const r=this.i(s[c],t,!1,$);S[c]=r.raw,d=d||r.hasExcludedProperties,y.push(...r.restricted)}else{const r=t[c],P=r?typeof r.scope<"u"?r.scope:3:void 0;r?.restricted&&y.push(c),(P===void 0||$.scopes===void 0||$.scopes.includes(P))&&!($.skipRestricted&&r?.restricted)?S[c]=s[c]:d=!0}return{raw:S,restricted:y,hasExcludedProperties:d}}j(s,t){const u=[];for(const $ of Object.keys(s))if(I.$5m.test($)){const d={};for(const S in s[$])d[S]=s[$][S];u.push({identifiers:(0,I.$6m)($),keys:Object.keys(d),contents:(0,L.$Wh)(d,t)})}return u}}e.$_m=w;class i extends F.$kb{constructor(s,t,u,$){super(),this.f=s,this.g=t,this.h=$,this.c=this.B(new A.$5c),this.onDidChange=this.c.event,this.a=new w(this.f.toString()),this.b={scopes:this.g},this.B(this.h.watch(u.dirname(this.f))),this.B(this.h.watch(this.f)),this.B(A.Event.any(A.Event.filter(this.h.onDidFilesChange,d=>d.contains(this.f)),A.Event.filter(this.h.onDidRunOperation,d=>(d.isOperation(0)||d.isOperation(3)||d.isOperation(1)||d.isOperation(4))&&u.isEqual(d.resource,s)))(()=>this.c.fire()))}async loadConfiguration(){try{const s=await this.h.readFile(this.f);return this.a.parse(s.value.toString()||"{}",this.b),this.a.configurationModel}catch{return new C}}reparse(){return this.a.reparse(this.b),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.$an=i;class l{constructor(s,t,u,$,d,S,y,c,r,P,N,U,q){this.a=s,this.b=t,this.c=u,this.overrideIdentifiers=$,this.d=d,this.f=S,this.g=y,this.h=c,this.i=r,this.j=P,this.k=N,this.l=U,this.m=q}get value(){return D(this.c)}n(s,t,u){const $=s.inspect(t,u);return{get value(){return D($.value)},get override(){return D($.override)},get merged(){return D($.merged)}}}get q(){return this.p||(this.p=this.n(this.d,this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.q.value!==void 0||this.q.override!==void 0?{value:this.q.value,override:this.q.override}:void 0}get s(){return this.r===void 0&&(this.r=this.f?this.n(this.f,this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.n(this.g,this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.u?.value!==void 0||this.u?.override!==void 0?{value:this.u.value,override:this.u.override}:void 0}get w(){return this.v||(this.v=this.n(this.h,this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.w.value!==void 0||this.w.override!==void 0?{value:this.w.value,override:this.w.override}:void 0}get y(){return this.x||(this.x=this.n(this.i,this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.y.value!==void 0||this.y.override!==void 0?{value:this.y.value,override:this.y.override}:void 0}get A(){return this.z||(this.z=this.n(this.j,this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.A.value!==void 0||this.A.override!==void 0?{value:this.A.value,override:this.A.override}:void 0}get D(){return this.B===void 0&&(this.B=this.k?this.n(this.k,this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.D?.value!==void 0||this.D?.override!==void 0?{value:this.D.value,override:this.D.override}:void 0}get F(){return this.E===void 0&&(this.E=this.l?this.n(this.l,this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.F?.value!==void 0||this.F?.override!==void 0?{value:this.F.value,override:this.F.override}:void 0}get H(){return this.G===void 0&&(this.G=this.n(this.m,this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.H.value!==void 0||this.H.override!==void 0?{value:this.H.value,override:this.H.override}:void 0}}class a{constructor(s,t,u,$,d=new C,S=new C,y=new R.$ji,c=new C,r=new R.$ji){this.c=s,this.d=t,this.f=u,this.g=$,this.h=d,this.i=S,this.j=y,this.l=c,this.m=r,this.a=null,this.b=new R.$ji,this.n=null}getValue(s,t,u){return this.q(s,t,u).getValue(s)}updateValue(s,t,u={}){let $;u.resource?($=this.m.get(u.resource),$||($=new C,this.m.set(u.resource,$))):$=this.l,t===void 0?$.removeValue(s):$.setValue(s,t),u.resource||(this.a=null)}inspect(s,t,u){const $=this.q(s,t,u),d=this.u(t.resource,u),S=t.resource?this.m.get(t.resource)||this.l:this.l,y=new Set;for(const c of $.overrides)for(const r of c.identifiers)$.getOverrideValue(s,r)!==void 0&&y.add(r);return new l(s,t,$.getValue(s),y.size?[...y]:void 0,this.c,this.d.isEmpty()?void 0:this.d,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,u?this.i:void 0,d||void 0,S)}keys(s){const t=this.u(void 0,s);return{default:this.c.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.i.keys.slice(0),workspaceFolder:t?t.keys.slice(0):[]}}updateDefaultConfiguration(s){this.c=s,this.a=null,this.b.clear()}updatePolicyConfiguration(s){this.d=s}updateApplicationConfiguration(s){this.f=s,this.a=null,this.b.clear()}updateLocalUserConfiguration(s){this.g=s,this.n=null,this.a=null,this.b.clear()}updateRemoteUserConfiguration(s){this.h=s,this.n=null,this.a=null,this.b.clear()}updateWorkspaceConfiguration(s){this.i=s,this.a=null,this.b.clear()}updateFolderConfiguration(s,t){this.j.set(s,t),this.b.delete(s)}deleteFolderConfiguration(s){this.p.delete(s),this.b.delete(s)}compareAndUpdateDefaultConfiguration(s,t){const u=[];if(!t){const{added:$,updated:d,removed:S}=E(this.c,s);t=[...$,...d,...S]}for(const $ of t)for(const d of(0,I.$6m)($)){const S=this.c.getKeysForOverrideIdentifier(d),y=s.getKeysForOverrideIdentifier(d),c=[...y.filter(r=>S.indexOf(r)===-1),...S.filter(r=>y.indexOf(r)===-1),...S.filter(r=>!g.$Hm(this.c.override(d).getValue(r),s.override(d).getValue(r)))];u.push([d,c])}return this.updateDefaultConfiguration(s),{keys:t,overrides:u}}compareAndUpdatePolicyConfiguration(s){const{added:t,updated:u,removed:$}=E(this.d,s),d=[...t,...u,...$];return d.length&&this.updatePolicyConfiguration(s),{keys:d,overrides:[]}}compareAndUpdateApplicationConfiguration(s){const{added:t,updated:u,removed:$,overrides:d}=E(this.applicationConfiguration,s),S=[...t,...u,...$];return S.length&&this.updateApplicationConfiguration(s),{keys:S,overrides:d}}compareAndUpdateLocalUserConfiguration(s){const{added:t,updated:u,removed:$,overrides:d}=E(this.localUserConfiguration,s),S=[...t,...u,...$];return S.length&&this.updateLocalUserConfiguration(s),{keys:S,overrides:d}}compareAndUpdateRemoteUserConfiguration(s){const{added:t,updated:u,removed:$,overrides:d}=E(this.remoteUserConfiguration,s),S=[...t,...u,...$];return S.length&&this.updateRemoteUserConfiguration(s),{keys:S,overrides:d}}compareAndUpdateWorkspaceConfiguration(s){const{added:t,updated:u,removed:$,overrides:d}=E(this.workspaceConfiguration,s),S=[...t,...u,...$];return S.length&&this.updateWorkspaceConfiguration(s),{keys:S,overrides:d}}compareAndUpdateFolderConfiguration(s,t){const u=this.p.get(s),{added:$,updated:d,removed:S,overrides:y}=E(u,t),c=[...$,...d,...S];return(c.length||!u)&&this.updateFolderConfiguration(s,t),{keys:c,overrides:y}}compareAndDeleteFolderConfiguration(s){const t=this.p.get(s);if(!t)throw new Error("Unknown folder");this.deleteFolderConfiguration(s);const{added:u,updated:$,removed:d,overrides:S}=E(t,void 0);return{keys:[...u,...$,...d],overrides:S}}get defaults(){return this.c}get applicationConfiguration(){return this.f}get userConfiguration(){return this.n||(this.n=this.h.isEmpty()?this.g:this.g.merge(this.h)),this.n}get localUserConfiguration(){return this.g}get remoteUserConfiguration(){return this.h}get workspaceConfiguration(){return this.i}get p(){return this.j}q(s,t,u){let $=this.r(t,u);return t.overrideIdentifier&&($=$.override(t.overrideIdentifier)),!this.d.isEmpty()&&this.d.getValue(s)!==void 0&&($=$.merge(this.d)),$}r({resource:s},t){let u=this.s();if(t&&s){const $=t.getFolder(s);$&&(u=this.t($.uri)||u);const d=this.m.get(s);d&&(u=u.merge(d))}return u}s(){return this.a||(this.a=this.c.merge(this.applicationConfiguration,this.userConfiguration,this.i,this.l)),this.a}t(s){let t=this.b.get(s);if(!t){const u=this.s(),$=this.j.get(s);$?(t=u.merge($),this.b.set(s,t)):t=u}return t}u(s,t){if(t&&s){const u=t.getFolder(s);if(u)return this.j.get(u.uri)}}toData(){return{defaults:{contents:this.c.contents,overrides:this.c.overrides,keys:this.c.keys},policy:{contents:this.d.contents,overrides:this.d.overrides,keys:this.d.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.i.contents,overrides:this.i.overrides,keys:this.i.keys},folders:[...this.j.keys()].reduce((s,t)=>{const{contents:u,overrides:$,keys:d}=this.j.get(t);return s.push([t,{contents:u,overrides:$,keys:d}]),s},[])}}allKeys(){const s=new Set;return this.c.keys.forEach(t=>s.add(t)),this.userConfiguration.keys.forEach(t=>s.add(t)),this.i.keys.forEach(t=>s.add(t)),this.j.forEach(t=>t.keys.forEach(u=>s.add(u))),[...s.values()]}v(){const s=new Set;return this.c.getAllOverrideIdentifiers().forEach(t=>s.add(t)),this.userConfiguration.getAllOverrideIdentifiers().forEach(t=>s.add(t)),this.i.getAllOverrideIdentifiers().forEach(t=>s.add(t)),this.j.forEach(t=>t.getAllOverrideIdentifiers().forEach(u=>s.add(u))),[...s.values()]}w(s){const t=new Set;return this.c.getKeysForOverrideIdentifier(s).forEach(u=>t.add(u)),this.userConfiguration.getKeysForOverrideIdentifier(s).forEach(u=>t.add(u)),this.i.getKeysForOverrideIdentifier(s).forEach(u=>t.add(u)),this.j.forEach(u=>u.getKeysForOverrideIdentifier(s).forEach($=>t.add($))),[...t.values()]}static parse(s){const t=this.x(s.defaults),u=this.x(s.policy),$=this.x(s.application),d=this.x(s.user),S=this.x(s.workspace),y=s.folders.reduce((c,r)=>(c.set(m.URI.revive(r[0]),this.x(r[1])),c),new R.$ji);return new a(t,u,$,d,new C,S,y,new C,new R.$ji)}static x(s){return new C(s.contents,s.keys,s.overrides)}}e.$bn=a;function p(...o){if(o.length===0)return{keys:[],overrides:[]};if(o.length===1)return o[0];const s=new Set,t=new Map;for(const $ of o)$.keys.forEach(d=>s.add(d)),$.overrides.forEach(([d,S])=>{const y=(0,R.$gi)(t,d,new Set);S.forEach(c=>y.add(c))});const u=[];return t.forEach(($,d)=>u.push([d,[...$.values()]])),{keys:[...s.values()],overrides:u}}e.$cn=p;class f{constructor(s,t,u,$){this.change=s,this.f=t,this.g=u,this.h=$,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=".".charCodeAt(0),this.affectedKeys=new Set,this.i=void 0;for(const d of s.keys)this.affectedKeys.add(d);for(const[,d]of s.overrides)for(const S of d)this.affectedKeys.add(S);this.d=this.a;for(const d of this.affectedKeys)this.d+=d+this.a}get previousConfiguration(){return!this.i&&this.f&&(this.i=a.parse(this.f.data)),this.i}affectsConfiguration(s,t){const u=this.a+s,$=this.d.indexOf(u);if($<0)return!1;const d=$+u.length;if(d>=this.d.length)return!1;const S=this.d.charCodeAt(d);if(S!==this.b&&S!==this.c)return!1;if(t){const y=this.previousConfiguration?this.previousConfiguration.getValue(s,t,this.f?.workspace):void 0,c=this.g.getValue(s,t,this.h);return!g.$Hm(y,c)}return!0}}e.$dn=f;function E(o,s){const{added:t,removed:u,updated:$}=n(s?.rawConfiguration,o?.rawConfiguration),d=[],S=o?.getAllOverrideIdentifiers()||[],y=s?.getAllOverrideIdentifiers()||[];if(s){const c=y.filter(r=>!S.includes(r));for(const r of c)d.push([r,s.getKeysForOverrideIdentifier(r)])}if(o){const c=S.filter(r=>!y.includes(r));for(const r of c)d.push([r,o.getKeysForOverrideIdentifier(r)])}if(s&&o){for(const c of S)if(y.includes(c)){const r=n({contents:o.getOverrideValue(void 0,c)||{},keys:o.getKeysForOverrideIdentifier(c)},{contents:s.getOverrideValue(void 0,c)||{},keys:s.getKeysForOverrideIdentifier(c)});d.push([c,[...r.added,...r.removed,...r.updated]])}}return{added:t,removed:u,updated:$,overrides:d}}function n(o,s){const t=o?s?o.keys.filter(d=>s.keys.indexOf(d)===-1):[...o.keys]:[],u=s?o?s.keys.filter(d=>o.keys.indexOf(d)===-1):[...s.keys]:[],$=[];if(o&&s){for(const d of s.keys)if(o.keys.indexOf(d)!==-1){const S=(0,L.$Zh)(s.contents,d),y=(0,L.$Zh)(o.contents,d);g.$Hm(S,y)||$.push(d)}}return{added:t,removed:u,updated:$}}}),define(De[130],Ce([1,0,8,5]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wk=e.$vk=e.RemoteAuthorityResolverErrorCode=e.$uk=e.$tk=e.RemoteConnectionType=e.$sk=void 0,e.$sk=(0,A.$lh)("remoteAuthorityResolverService");var h;(function(L){L[L.WebSocket=0]="WebSocket",L[L.Managed=1]="Managed"})(h||(e.RemoteConnectionType=h={}));class F{constructor(I){this.id=I,this.type=1}toString(){return`Managed(${this.id})`}}e.$tk=F;class R{constructor(I,v){this.host=I,this.port=v,this.type=0}toString(){return`WebSocket(${this.host}:${this.port})`}}e.$uk=R;var g;(function(L){L.Unknown="Unknown",L.NotAvailable="NotAvailable",L.TemporarilyNotAvailable="TemporarilyNotAvailable",L.NoResolverFound="NoResolverFound"})(g||(e.RemoteAuthorityResolverErrorCode=g={}));class k extends b.$_{static isNotAvailable(I){return I instanceof k&&I._code===g.NotAvailable}static isTemporarilyNotAvailable(I){return I instanceof k&&I._code===g.TemporarilyNotAvailable}static isNoResolverFound(I){return I instanceof k&&I._code===g.NoResolverFound}static isHandled(I){return I instanceof k&&I.isHandled}constructor(I,v=g.Unknown,D){super(I),this._message=I,this._code=v,this._detail=D,this.isHandled=v===g.NotAvailable&&D===!0,Object.setPrototypeOf(this,k.prototype)}}e.$vk=k;function m(L){const I=L.indexOf("+");return I===-1?L:L.substring(0,I)}e.$wk=m}),define(De[78],Ce([1,0,16]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bk=e.$Ak=e.$zk=e.$yk=e.$xk=void 0;function A(m){return m.scheme===b.Schemas.vscodeRemote?m.authority:void 0}e.$xk=A;function h(m){if(!m)return;const L=m.indexOf("+");return L<0?m:m.substr(0,L)}e.$yk=h;function F(m){return`/${m.quality??"oss"}-${m.commit??"dev"}`}e.$zk=F;function R(m){const{host:L,port:I}=k(m);if(typeof I>"u")throw new Error("Remote authority doesn't contain a port!");return{host:L,port:I}}e.$Ak=R;function g(m,L){let{host:I,port:v}=k(m);return typeof v>"u"&&(v=L),{host:I,port:v}}e.$Bk=g;function k(m){const L=m.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(L)return{host:L[1],port:parseInt(L[2],10)};const I=m.match(/^(\[[0-9a-z:]+\])$/);if(I)return{host:I[1],port:void 0};const v=m.match(/(.*):(\d+)$/);return v?{host:v[1],port:parseInt(v[2],10)}:{host:m,port:void 0}}}),define(De[25],Ce([1,0,9,5,78]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kl=e.$Jl=e.$Il=e.$Hl=e.$Gl=e.$Fl=e.$El=e.$Dl=e.TargetPlatform=e.ExtensionType=e.$Cl=e.$Bl=e.$Al=e.$zl=e.$yl=e.$xl=void 0,e.$xl="extensions.user.cache",e.$yl="extensions.builtin.cache",e.$zl="undefined_publisher",e.$Al=["ui","workspace","web"];function F(w){if(typeof w=="object"&&w!==null&&w.supported!==!0)return w.description}e.$Bl=F,e.$Cl=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(w){w[w.System=0]="System",w[w.User=1]="User"})(R||(e.ExtensionType=R={}));var g;(function(w){w.WIN32_X64="win32-x64",w.WIN32_IA32="win32-ia32",w.WIN32_ARM64="win32-arm64",w.LINUX_X64="linux-x64",w.LINUX_ARM64="linux-arm64",w.LINUX_ARMHF="linux-armhf",w.ALPINE_X64="alpine-x64",w.ALPINE_ARM64="alpine-arm64",w.DARWIN_X64="darwin-x64",w.DARWIN_ARM64="darwin-arm64",w.WEB="web",w.UNIVERSAL="universal",w.UNKNOWN="unknown",w.UNDEFINED="undefined"})(g||(e.TargetPlatform=g={}));class k{constructor(i){this.value=i,this._lower=i.toLowerCase()}static equals(i,l){if(typeof i>"u"||i===null)return typeof l>"u"||l===null;if(typeof l>"u"||l===null)return!1;if(typeof i=="string"||typeof l=="string"){const a=typeof i=="string"?i:i.value,p=typeof l=="string"?l:l.value;return b.$Jd(a,p)}return i._lower===l._lower}static toKey(i){return typeof i=="string"?i.toLowerCase():i._lower}}e.$Dl=k;class m{get size(){return this.c.size}constructor(i){if(this.c=new Set,i)for(const l of i)this.add(l)}add(i){this.c.add(k.toKey(i))}delete(i){return this.c.delete(k.toKey(i))}has(i){return this.c.has(k.toKey(i))}}e.$El=m;class L{constructor(){this.c=new Map}clear(){this.c.clear()}delete(i){this.c.delete(k.toKey(i))}get(i){return this.c.get(k.toKey(i))}has(i){return this.c.has(k.toKey(i))}set(i,l){this.c.set(k.toKey(i),l)}values(){return this.c.values()}forEach(i){this.c.forEach(i)}[Symbol.iterator](){return this.c[Symbol.iterator]()}}e.$Fl=L;function I(w){return v(w)}e.$Gl=I;function v(w){return w.contributes&&w.contributes.localizations?w.contributes.localizations.length>0:!1}e.$Hl=v;function D(w){return w.contributes&&w.contributes.authentication?w.contributes.authentication.length>0:!1}e.$Il=D;function C(w,i){if(i){const l=`onResolveRemoteAuthority:${(0,h.$yk)(i)}`;return!!w.activationEvents?.includes(l)}return!1}e.$Jl=C,e.$Kl=(0,A.$lh)("IBuiltinExtensionsScannerService")}),define(De[131],Ce([1,0,8,25]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$VE=e.$UE=void 0;class h{constructor(){this.a=new Map,this.b=new WeakMap}register(R,g){this.a.set(R,g)}readActivationEvents(R){return this.b.has(R)||this.b.set(R,this.c(R)),this.b.get(R)}createActivationEventsMap(R){const g=Object.create(null);for(const k of R){const m=this.readActivationEvents(k);m.length>0&&(g[A.$Dl.toKey(k.identifier)]=m)}return g}c(R){if(typeof R.main>"u"&&typeof R.browser>"u")return[];const g=Array.isArray(R.activationEvents)?R.activationEvents.slice(0):[];if(!R.contributes)return g;for(const k in R.contributes){const m=this.a.get(k);if(!m)continue;const L=R.contributes[k],I=Array.isArray(L)?L:[L];try{m(I,g)}catch(v){(0,b.$X)(v)}}return g}}e.$UE=h,e.$VE=new h}),define(De[231],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pYb=void 0;class b{constructor(){this.b=new Map}async createNewMessage(h){try{const F=await this.c();if(F){const R=String(b.a++);return this.b.set(R,F),{id:R,data:F.createNewMessage(h)}}}catch{}return{id:"",data:h}}async validate(h,F){if(!h.id)return!0;const R=this.b.get(h.id);if(!R)return!1;this.b.delete(h.id);try{return R.validate(F)==="ok"}catch{return!1}finally{R.dispose?.()}}async sign(h){try{return await this.d(h)}catch{}return h}}e.$pYb=b,b.a=1}),define(De[232],Ce([1,0,231]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$03b=void 0;class A extends b.$pYb{c(){return this.h().then(F=>new F.validator)}d(F){return this.h().then(R=>new R.signer().sign(F))}h(){return new Promise((F,R)=>re(["vsda"],F,R))}}e.$03b=A}),define(De[233],Ce([1,0,10,41,32]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wn=e.$Vn=void 0;function F(k){if(b.$t===2&&/^penguin(\.|$)/i.test(k))return"chromebook"}function R(k,m,L,I,v,D,C,w){const i=Object.create(null);i["common.machineId"]=D,i.sessionID=(0,h.$3e)()+Date.now(),i.commitHash=I,i.version=v,i["common.platformVersion"]=(k||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),i["common.platform"]=(0,b.$h)(b.$t),i["common.nodePlatform"]=A.$5b,i["common.nodeArch"]=L,i["common.product"]=w||"desktop",C&&(i["common.msftInternal"]=C);let l=0;const a=Date.now();Object.defineProperties(i,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-a,enumerable:!0},"common.sequence":{get:()=>l++,enumerable:!0}}),b.$l&&(i["common.snap"]="true");const p=F(m);return p&&(i["common.platformDetail"]=p),i}e.$Vn=R;function g(k){const m=A.env.USERDNSDOMAIN;if(!m)return!1;const L=m.toLowerCase();return k.some(I=>L===I)}e.$Wn=g}),define(De[234],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.$1k=e.$Zk=e.$Yk=e.$Xk=e.$Wk=e.$Vk=e.$Uk=e.$Tk=e.$Sk=e.$Rk=void 0,e.$Rk=(0,b.$lh)("telemetryService"),e.$Sk=(0,b.$lh)("customEndpointTelemetryService"),e.$Tk="telemetry.currentSessionDate",e.$Uk="telemetry.firstSessionDate",e.$Vk="telemetry.lastSessionDate",e.$Wk="telemetry.machineId",e.$Xk="telemetry",e.$Yk="telemetry.telemetryLevel",e.$Zk="telemetry.enableCrashReporter",e.$1k="telemetry.enableTelemetry";var A;(function(F){F[F.NONE=0]="NONE",F[F.CRASH=1]="CRASH",F[F.ERROR=2]="ERROR",F[F.USAGE=3]="USAGE"})(A||(e.TelemetryLevel=A={}));var h;(function(F){F.OFF="off",F.CRASH="crash",F.ERROR="error",F.ON="all"})(h||(e.TelemetryConfiguration=h={}))}),define(De[79],Ce([1,0,24,12,3,57,78,233,234]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ao=e.$_n=e.$$n=e.$0n=e.$9n=e.$8n=e.$7n=e.$6n=e.$5n=e.$4n=e.$3n=e.$2n=e.$1n=e.$Zn=e.$Yn=e.$Xn=void 0;class m{constructor(u){this.value=u,this.isTrustedTelemetryValue=!0}}e.$Xn=m;class L{constructor(){this.telemetryLevel=0,this.sessionId="someValue.sessionId",this.machineId="someValue.machineId",this.firstSessionDate="someValue.firstSessionDate",this.sendErrorTelemetry=!1}publicLog(){}publicLog2(){}publicLogError(){}publicLogError2(){}setExperimentProperty(){}}e.$Yn=L,e.$Zn=new L;class I{async publicLog(u,$,d){}async publicLogError(u,$,d){}}e.$1n=I,e.$2n="telemetry",e.$3n="extensionTelemetryLog",e.$4n={log:()=>null,flush:()=>Promise.resolve(null)};function v(t,u){return h.Event.debounce(u.onDidChangeConfiguration,(d,S)=>{const y=d?new Set([...d.affectedKeys,...S.affectedKeys]):S.affectedKeys;return{...S,affectedKeys:y}},1e3,!0)(d=>{d.source!==7&&t.publicLog2("updateConfiguration",{configurationSource:(0,F.$Uh)(d.source),configurationKeys:Array.from(d.affectedKeys)})})}e.$5n=v;function D(t,u){return!u.isBuilt&&!u.disableTelemetry?!0:!(u.disableTelemetry||!t.enableTelemetry||u.extensionTestsLocationURI)}e.$6n=D;function C(t,u){return!(u.isBuilt||u.disableTelemetry||t.enableTelemetry&&t.aiConfig?.ariaKey)}e.$7n=C;function w(t){const u=t.getValue(k.$Yk),$=t.getValue(k.$Zk);if(t.getValue(k.$1k)===!1||$===!1)return 0;switch(u??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.$8n=w;function i(t){const u={},$={},d={};p(t,d);for(let S in d){S=S.length>150?S.substr(S.length-149):S;const y=d[S];typeof y=="number"?$[S]=y:typeof y=="boolean"?$[S]=y?1:0:typeof y=="string"?(y.length>8192&&console.warn(`Telemetry property: ${S} has been trimmed to 8192, the original length is ${y.length}`),u[S]=y.substring(0,8191)):typeof y<"u"&&y!==null&&(u[S]=y)}return{properties:u,measurements:$}}e.$9n=i;const l=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces","amlext"]);function a(t){if(!t)return"none";const u=(0,R.$yk)(t);return l.has(u)?u:"other"}e.$0n=a;function p(t,u,$=0,d){if(t)for(const S of Object.getOwnPropertyNames(t)){const y=t[S],c=d?d+S:S;Array.isArray(y)?u[c]=(0,b.$Im)(y):y instanceof Date?u[c]=y.toISOString():(0,A.$ie)(y)?$<2?p(y,u,$+1,c+"."):u[c]=(0,b.$Im)(y):u[c]=y}}function f(t,u){const $=t.msftInternalDomains||[],d=u.getValue("telemetry.internalTesting");return(0,g.$Wn)($)||d}e.$$n=f;function E(t){return[t.appRoot,t.extensionsPath,t.userHome.fsPath,t.tmpDir.fsPath,t.userDataPath]}e.$_n=E;function n(t,u){if(!t||!t.includes("/")&&!t.includes("\\"))return t;let $=t;const d=[];for(const r of u)for(;;){const P=r.exec(t);if(!P)break;d.push([P.index,r.lastIndex])}const S=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,y=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let c=0;for($="";;){const r=y.exec(t);if(!r)break;const P=d.some(([N,U])=>r.index<U&&N<y.lastIndex);!S.test(r[0])&&!P&&($+=t.substring(c,r.index)+"<REDACTED: user-file-path>",c=y.lastIndex)}return c<t.length&&($+=t.substr(c)),$}function o(t){if(!t)return t;const u=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/i},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const $ of u)if($.regex.test(t))return`<REDACTED: ${$.label}>`;return t}function s(t,u){return(0,b.$Fm)(t,$=>{if($ instanceof m||Object.hasOwnProperty.call($,"isTrustedTelemetryValue"))return $.value;if(typeof $=="string"){let d=$.replaceAll("%20"," ");d=n(d,u);for(const S of u)d=d.replace(S,"");return d=o(d),d}})}e.$ao=s}),define(De[235],Ce([1,0,9,125,25,10,2,8,41,79]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mo=e.$lo=e.$ko=e.$jo=e.$io=e.$ho=e.$go=e.$fo=e.$eo=e.$do=e.$co=e.$bo=void 0;function L(s,t){return s.uuid&&t.uuid?s.uuid===t.uuid:s.id===t.id?!0:(0,b.$Ed)(s.id,t.id)===0}e.$bo=L;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class v{static create(t){const u=t.manifest?t.manifest.version:t.version,$=t.manifest?t.targetPlatform:t.properties.targetPlatform;return new v(t.identifier,u,$)}static parse(t){const u=I.exec(t);return u&&u[1]&&u[2]?new v({id:u[1]},u[2],u[4]||void 0):null}constructor(t,u,$="undefined"){this.version=u,this.targetPlatform=$,this.id=t.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(t){return t instanceof v?L(this,t)&&this.version===t.version&&this.targetPlatform===t.targetPlatform:!1}}e.$co=v;const D=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function C(s){const t=D.exec(s);return t&&t[1]?[i(t[1]),t[2]]:[i(s),void 0]}e.$do=C;function w(s,t){return`${s}.${t}`}e.$eo=w;function i(s){return s.toLowerCase()}e.$fo=i;function l(s,t){return i(w(s??h.$zl,t))}e.$go=l;function a(s,t){const u=[],$=d=>{for(const S of u)if(S.some(y=>L(t(y),t(d))))return S;return null};for(const d of s){const S=$(d);S?S.push(d):u.push([d])}return u}e.$ho=a;function p(s){return{id:s.identifier.id,name:s.manifest.name,galleryId:null,publisherId:s.publisherId,publisherName:s.manifest.publisher,publisherDisplayName:s.publisherDisplayName,dependencies:s.manifest.extensionDependencies&&s.manifest.extensionDependencies.length>0}}e.$io=p;function f(s){return{id:new m.$Xn(s.identifier.id),name:new m.$Xn(s.name),galleryId:s.identifier.uuid,publisherId:s.publisherId,publisherName:s.publisher,publisherDisplayName:s.publisherDisplayName,isPreReleaseVersion:s.properties.isPreReleaseVersion,dependencies:!!(s.properties.dependencies&&s.properties.dependencies.length>0),isSigned:s.isSigned,...s.telemetryData}}e.$jo=f,e.$ko=new h.$Dl("pprice.better-merge");function E(s,t){const u=[],$=t.manifest.extensionDependencies?.slice(0)??[];for(;$.length;){const d=$.shift();if(d&&u.every(S=>!L(S.identifier,{id:d}))){const S=s.filter(y=>L(y.identifier,{id:d}));S.length===1&&(u.push(S[0]),$.push(...S[0].manifest.extensionDependencies?.slice(0)??[]))}}return u}e.$lo=E;async function n(s,t){if(!F.$k)return!1;let u;try{u=(await s.readFile(R.URI.file("/etc/os-release"))).value.toString()}catch{try{u=(await s.readFile(R.URI.file("/usr/lib/os-release"))).value.toString()}catch(d){t.debug("Error while getting the os-release file.",(0,g.$8)(d))}}return!!u&&(u.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async function o(s,t){const u=await n(s,t),$=(0,A.$Gn)(u?"alpine":F.$t,k.$6b);return t.debug("ComputeTargetPlatform:",$),$}e.$mo=o}),define(De[236],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1q=e.$Zq=e.$Yq=e.$Xq=e.$Wq=e.$Vq=void 0;function b(k){return[...k.entries()]}e.$Vq=b;function A(k){return k?[...k.entries()]:[]}e.$Wq=A;function h(k){return new Map(k)}e.$Xq=h;function F(k){return new Map(k??[])}e.$Yq=F;function R(k){return Array.from(k.entries()).map(m=>[m[0],b(m[1].map),A(m[1].descriptionMap)])}e.$Zq=R;function g(k){return new Map(k.map(m=>[m[0],{map:h(m[1]),descriptionMap:F(m[2])}]))}e.$1q=g}),define(De[237],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jhb=void 0;class b{constructor(h){this.b=h,this.a=new Map}dispose(){for(const h of this.a.values())h.dispose()}startBuffering(h,F,R=5){const g=F(k=>{const m=typeof k=="string"?k:k.data;let L=this.a.get(h);if(L){L.data.push(m);return}const I=setTimeout(()=>this.flushBuffer(h),R);L={data:[m],timeoutId:I,dispose:()=>{clearTimeout(I),this.flushBuffer(h),g.dispose()}},this.a.set(h,L)});return g}stopBuffering(h){this.a.get(h)?.dispose()}flushBuffer(h){const F=this.a.get(h);F&&(this.a.delete(h),this.b(h,F.data.join("")))}}e.$Jhb=b}),define(De[238],Ce([1,0,17,72,55,3,12,2,186,100,42]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ju=e.$Iu=e.$Hu=e.$Gu=e.$Fu=e.$Eu=e.$Du=e.$Cu=e.IconFontDefinition=e.IconContribution=e.$Bu=void 0,e.$Bu={IconContribution:"base.contributions.icons"};var I;(function(f){function E(n,o){let s=n.defaults;for(;h.ThemeIcon.isThemeIcon(s);){const t=C.getIcon(s.id);if(!t)return;s=t.defaults}return s}f.getDefinition=E})(I||(e.IconContribution=I={}));var v;(function(f){function E(o){return{weight:o.weight,style:o.style,src:o.src.map(s=>({format:s.format,location:s.location.toString()}))}}f.toJSONObject=E;function n(o){const s=t=>(0,R.$ge)(t)?t:void 0;if(o&&Array.isArray(o.src)&&o.src.every(t=>(0,R.$ge)(t.format)&&(0,R.$ge)(t.location)))return{weight:s(o.weight),style:s(o.style),src:o.src.map(t=>({format:t.format,location:g.URI.parse(t.location)}))}}f.fromJSONObject=n})(v||(e.IconFontDefinition=v={}));class D{constructor(){this.a=new F.$5c,this.onDidChange=this.a.event,this.d={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,k.localize)(0,null)},fontCharacter:{type:"string",description:(0,k.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.e={type:"string",pattern:`^${h.ThemeIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.b={},this.f={}}registerIcon(E,n,o,s){const t=this.b[E];if(t){if(o&&!t.description){t.description=o,this.d.properties[E].markdownDescription=`${o} $(${E})`;const d=this.e.enum.indexOf(E);d!==-1&&(this.e.enumDescriptions[d]=o),this.a.fire()}return t}const u={id:E,description:o,defaults:n,deprecationMessage:s};this.b[E]=u;const $={$ref:"#/definitions/icons"};return s&&($.deprecationMessage=s),o&&($.markdownDescription=`${o}: $(${E})`),this.d.properties[E]=$,this.e.enum.push(E),this.e.enumDescriptions.push(o||""),this.a.fire(),{id:E}}deregisterIcon(E){delete this.b[E],delete this.d.properties[E];const n=this.e.enum.indexOf(E);n!==-1&&(this.e.enum.splice(n,1),this.e.enumDescriptions.splice(n,1)),this.a.fire()}getIcons(){return Object.keys(this.b).map(E=>this.b[E])}getIcon(E){return this.b[E]}getIconSchema(){return this.d}getIconReferenceSchema(){return this.e}registerIconFont(E,n){const o=this.f[E];return o||(this.f[E]=n,this.a.fire(),n)}deregisterIconFont(E){delete this.f[E]}getIconFont(E){return this.f[E]}toString(){const E=(t,u)=>t.id.localeCompare(u.id),n=t=>{for(;h.ThemeIcon.isThemeIcon(t.defaults);)t=this.b[t.defaults.id];return`codicon codicon-${t?t.id:""}`},o=[];o.push("| preview     | identifier                        | default codicon ID                | description"),o.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const s=Object.keys(this.b).map(t=>this.b[t]);for(const t of s.filter(u=>!!u.description).sort(E))o.push(`|<i class="${n(t)}"></i>|${t.id}|${h.ThemeIcon.isThemeIcon(t.defaults)?t.defaults.id:t.id}|${t.description||""}|`);o.push("| preview     | identifier                        "),o.push("| ----------- | --------------------------------- |");for(const t of s.filter(u=>!h.ThemeIcon.isThemeIcon(u.defaults)).sort(E))o.push(`|<i class="${n(t)}"></i>|${t.id}|`);return o.join(`
`)}}const C=new D;L.$Pm.add(e.$Bu.IconContribution,C);function w(f,E,n,o){return C.registerIcon(f,E,n,o)}e.$Cu=w;function i(){return C}e.$Du=i;function l(){const f=(0,A.$wj)();for(const E in f){const n="\\"+f[E].toString(16);C.registerIcon(E,{fontCharacter:n})}}l(),e.$Eu="vscode://schemas/icons";const a=L.$Pm.as(m.$Qm.JSONContribution);a.registerSchema(e.$Eu,C.getIconSchema());const p=new b.$Cg(()=>a.notifySchemaChanged(e.$Eu),200);C.onDidChange(()=>{p.isScheduled()||p.schedule()}),e.$Fu=w("widget-close",A.$yj.close,(0,k.localize)(2,null)),e.$Gu=w("goto-previous-location",A.$yj.arrowUp,(0,k.localize)(3,null)),e.$Hu=w("goto-next-location",A.$yj.arrowDown,(0,k.localize)(4,null)),e.$Iu=h.ThemeIcon.modify(A.$yj.sync,"spin"),e.$Ju=h.ThemeIcon.modify(A.$yj.loading,"spin")}),define(De[132],Ce([1,0,3,57,5,18]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dz=e.$Cz=e.$Bz=e.$Az=e.$zz=e.$yz=e.$xz=e.$wz=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.$vz=e.$uz=void 0,e.$uz=(0,h.$lh)("tunnelService"),e.$vz=(0,h.$lh)("sharedTunnelsService");var R;(function(w){w.Http="http",w.Https="https"})(R||(e.TunnelProtocol=R={}));var g;(function(w){w.ConstantPrivate="constantPrivate",w.Private="private",w.Public="public"})(g||(e.TunnelPrivacyId=g={}));var k;(function(w){w[w.Notify=1]="Notify",w[w.OpenBrowser=2]="OpenBrowser",w[w.OpenPreview=3]="OpenPreview",w[w.Silent=4]="Silent",w[w.Ignore=5]="Ignore",w[w.OpenBrowserOnce=6]="OpenBrowserOnce"})(k||(e.ProvidedOnAutoForward=k={}));function m(w){if(w.scheme!=="http"&&w.scheme!=="https")return;const i=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(w.authority);if(i)return{address:i[1],port:+i[2]}}e.$wz=m,e.$xz=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function L(w){return e.$xz.indexOf(w)>=0}e.$yz=L,e.$zz=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function I(w){return e.$zz.indexOf(w)>=0}e.$Az=I;function v(w,i,l,a){if(l===1)return!1;if(l===2&&I(i)){const p=/(\d+)\.(\d+)\.(\d+)/g.exec(a);if(p?.length===4&&parseInt(p[1])>=18)return!1}return w<1024}e.$Bz=v;class D{constructor(i,l,a){this.remoteAddress=i,this.localAddress=l,this.b=a,this.a=new b.$5c,this.onDidDispose=this.a.event}dispose(){return this.a.fire(),this.b()}}e.$Cz=D;let C=e.$Dz=class{constructor(i,l){this.i=i,this.j=l,this.a=new b.$5c,this.onTunnelOpened=this.a.event,this.b=new b.$5c,this.onTunnelClosed=this.b.event,this.c=new b.$5c,this.onAddedTunnelProvider=this.c.event,this.d=new Map,this.f=!1,this.g=[],this.h=new Set}get hasTunnelProvider(){return!!this.e}get k(){const i=this.j.getValue("remote.localPortHost");return!i||i==="localhost"?"127.0.0.1":"0.0.0.0"}setTunnelProvider(i){return this.e=i,i?(this.c.fire(),{dispose:()=>{this.e=void 0,this.f=!1,this.g=[]}}):(this.f=!1,this.g=[],this.c.fire(),{dispose:()=>{}})}setTunnelFeatures(i){this.f=i.elevation,this.g=i.privacyOptions}get canElevate(){return this.f}get canChangePrivacy(){return this.g.length>0}get privacyOptions(){return this.g}get tunnels(){return this.l()}async l(){const i=[],l=Array.from(this.d.values());for(const a of l){const p=Array.from(a.values());for(const f of p){const E=await f.value;E&&i.push(E)}}return i}async dispose(){for(const i of this.d.values()){for(const{value:l}of i.values())await l.then(a=>a?.dispose());i.clear()}this.d.clear()}setEnvironmentTunnel(i,l,a,p,f){this.o(i,l,Promise.resolve({tunnelRemoteHost:i,tunnelRemotePort:l,localAddress:a,privacy:p,protocol:f,dispose:()=>Promise.resolve()}))}async getExistingTunnel(i,l){(I(i)||L(i))&&(i=e.$xz[0]);const a=this.q(i,l);if(a)return++a.refcount,a.value}openTunnel(i,l,a,p,f,E=!1,n,o){if(this.i.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${l}:${a} on local port ${f}.`),!i)return;if(l||(l="localhost"),p||(p=this.k),this.e&&this.h.has(a)){this.i.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const s=this.r(i,l,a,p,f,E,n,o);return s?s.then(t=>{if(!t){this.i.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.p(l,a);return}this.i.trace("ForwardedPorts: (TunnelService) New tunnel established.");const u=this.m(t);return(t.tunnelRemoteHost!==l||t.tunnelRemotePort!==a)&&this.i.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),n&&t.privacy!==n&&this.i.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Privacy mismatch."),this.a.fire(u),u}):(this.i.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),s)}m(i){return{tunnelRemotePort:i.tunnelRemotePort,tunnelRemoteHost:i.tunnelRemoteHost,tunnelLocalPort:i.tunnelLocalPort,localAddress:i.localAddress,privacy:i.privacy,protocol:i.protocol,dispose:async()=>{this.i.trace(`ForwardedPorts: (TunnelService) dispose request for ${i.tunnelRemoteHost}:${i.tunnelRemotePort} `);const l=this.d.get(i.tunnelRemoteHost);if(l){const a=l.get(i.tunnelRemotePort);a&&(a.refcount--,await this.n(i.tunnelRemoteHost,i.tunnelRemotePort,a))}}}}async n(i,l,a){if(a.refcount<=0){this.i.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${i}:${l}.`);const p=a.value.then(async f=>{f&&(await f.dispose(!0),this.b.fire({host:f.tunnelRemoteHost,port:f.tunnelRemotePort}))});return this.d.has(i)&&this.d.get(i).delete(l),p}}async closeTunnel(i,l){this.i.trace(`ForwardedPorts: (TunnelService) close request for ${i}:${l} `);const a=this.d.get(i);if(a&&a.has(l)){const p=a.get(l);p.refcount=0,await this.n(i,l,p)}}o(i,l,a){this.d.has(i)||this.d.set(i,new Map),this.d.get(i).set(l,{refcount:1,value:a})}async p(i,l){const a=this.d.get(i);if(a){const p=a.get(l);(p?await p.value:void 0)||a.delete(l),a.size===0&&this.d.delete(i)}}q(i,l){const a=[i];L(i)?(a.push(...e.$xz),a.push(...e.$zz)):I(i)&&a.push(...e.$zz);const p=a.map(f=>this.d.get(f));for(const f of p){const E=f?.get(l);if(E)return E}}canTunnel(i){return!!m(i)}s(i,l,a,p,f,E,n){this.i.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${l}:${a} on local port ${p}.`);const o=a;this.h.add(o);const s=p===void 0?a:p,t={elevationRequired:f?this.isPortPrivileged(s):!1},u={remoteAddress:{host:l,port:a},localAddressPort:p,privacy:E,public:E?E!==g.Private:void 0,protocol:n},$=i.forwardPort(u,t);return $?(this.o(l,a,$),$.finally(()=>{this.i.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this.h.delete(o)})):this.h.delete(o),$}};e.$Dz=C=He([We(0,F.$Ni),We(1,A.$Rh)],C)}),define(De[239],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditSessionIdentityMatch=e.$Ez=void 0,e.$Ez=(0,b.$lh)("editSessionIdentityService");var A;(function(h){h[h.Complete=100]="Complete",h[h.Partial=50]="Partial",h[h.None=0]="None"})(A||(e.EditSessionIdentityMatch=A={}))}),define(De[240],Ce([1,0,16]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$LI=e.$KI=e.$JI=e.$II=e.$HI=void 0;function A(k){return k.scheme!==b.Schemas.file&&k.scheme!==b.Schemas.vscodeRemote}e.$HI=A;function h(k){if(k.folders.length)return k.folders.every(m=>A(m.uri))?k.folders[0].uri:void 0;if(k.configuration&&A(k.configuration))return k.configuration}e.$II=h;function F(k){return h(k)?.scheme}e.$JI=F;function R(k){return h(k)?.authority}e.$KI=R;function g(k){return h(k)!==void 0}e.$LI=g}),define(De[50],Ce([1,0,187,11,71,23,2,5,16]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qh=e.$Ph=e.$Oh=e.$Nh=e.$Mh=e.$Lh=e.$Kh=e.$Jh=e.$Ih=e.$Hh=e.$Gh=e.$Fh=e.$Eh=e.$Dh=e.$Ch=e.WorkbenchState=e.$Bh=e.$Ah=e.$zh=e.$yh=e.$xh=e.$wh=e.$vh=e.$uh=void 0,e.$uh=(0,g.$lh)("contextService");function m(t){const u=t;return typeof u?.id=="string"&&R.URI.isUri(u.uri)}e.$vh=m;function L(t){return typeof t?.id=="string"&&!m(t)&&!v(t)}e.$wh=L,e.$xh={id:"ext-dev"},e.$yh={id:"empty-window"};function I(t,u){if(typeof t=="string"||typeof t>"u")return typeof t=="string"?{id:(0,A.$cc)(t)}:u?e.$xh:e.$yh;const $=t;return $.configuration?{id:$.id,configPath:$.configuration}:$.folders.length===1?{id:$.id,uri:$.folders[0].uri}:{id:$.id}}e.$zh=I;function v(t){const u=t;return typeof u?.id=="string"&&R.URI.isUri(u.configPath)}e.$Ah=v;function D(t){const u=t;if(u?.uri)return{id:u.id,uri:R.URI.revive(u.uri)};const $=t;if($?.configPath)return{id:$.id,configPath:R.URI.revive($.configPath)};if(t?.id)return{id:t.id}}e.$Bh=D;var C;(function(t){t[t.EMPTY=1]="EMPTY",t[t.FOLDER=2]="FOLDER",t[t.WORKSPACE=3]="WORKSPACE"})(C||(e.WorkbenchState=C={}));function w(t){const u=t;return!!(u&&typeof u=="object"&&typeof u.id=="string"&&Array.isArray(u.folders))}e.$Ch=w;function i(t){const u=t;return!!(u&&typeof u=="object"&&R.URI.isUri(u.uri)&&typeof u.name=="string"&&typeof u.toResource=="function")}e.$Dh=i;class l{constructor(u,$,d,S,y){this.h=u,this.j=d,this.k=S,this.l=y,this.c=h.$rh.forUris(this.l,()=>!0),this.folders=$}update(u){this.h=u.id,this.k=u.configuration,this.j=u.transient,this.l=u.l,this.folders=u.folders}get folders(){return this.g}set folders(u){this.g=u,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(u){this.k=u}getFolder(u){return u&&this.c.findSubstr(u)||null}n(){this.c=h.$rh.forUris(this.l,()=>!0);for(const u of this.folders)this.c.set(u.uri,u)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.$Eh=l;class a{constructor(u,$){this.raw=$,this.uri=u.uri,this.index=u.index,this.name=u.name}toResource(u){return(0,F.$6f)(this.uri,u)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.$Fh=a;function p(t){return new a({uri:t,index:0,name:(0,F.$2f)(t)},{uri:t.toString()})}e.$Gh=p,e.$Hh="code-workspace",e.$Ih=`.${e.$Hh}`,e.$Jh=[{name:(0,b.localize)(0,null),extensions:[e.$Hh]}],e.$Kh="workspace.json";function f(t,u){return F.$Wf.isEqualOrParent(t,u.untitledWorkspacesHome)}e.$Lh=f;function E(t){let u;return R.URI.isUri(t)?u=t:u=t.configuration,u?.scheme===k.Schemas.tmp}e.$Mh=E,e.$Nh="4064f6ec-cb38-4ad0-af64-ee6467e63c82";function n(t){return t.id===e.$Nh}e.$Oh=n;function o(t,u){return!f(t,u)&&!E(t)}e.$Ph=o;function s(t){return(typeof t=="string"?(0,A.$dc)(t):(0,F.$4f)(t))===e.$Ih}e.$Qh=s}),define(De[80],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$N0b=void 0;class b{constructor(h){this.d=h,this.b=new Map,this.c=1}add(h){const F=this.c++;return this.b.set(F,h),this.e(),F}get(h,F){return this.b.has(h)?this.b.get(h)[F]:void 0}delete(h){this.b.delete(h),this.e()}e(){b.a&&console.log(`${this.d} cache size - ${this.b.size}`)}}e.$N0b=b,b.a=!1}),define(De[51],Ce([1,0,16,23,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Q0b=e.$P0b=void 0;class F{constructor(){this.a=new Set(Object.keys(b.Schemas)),this.b=new Map,this.extUri=new A.$Uf(g=>{const k=this.b.get(g.scheme);return!(k===void 0||k&1024)})}$acceptProviderInfos(g,k){k===null?this.b.delete(g.scheme):this.b.set(g.scheme,k)}isFreeScheme(g){return!this.b.has(g)&&!this.a.has(g)}getCapabilities(g){return this.b.get(g)}}e.$P0b=F,e.$Q0b=(0,h.$lh)("IExtHostFileSystemInfo")}),define(De[26],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qL=void 0,e.$qL=(0,b.$lh)("IExtHostInitDataService")}),define(De[241],Ce([1,0,192,18,225,26]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$S_b=void 0;let R=e.$S_b=class extends h.$wM{constructor(k,m,L){const I=L.remote.isRemote?"remoteexthost":k?"workerexthost":"exthost",v=L.remote.isRemote?(0,b.localize)(0,null):k?(0,b.localize)(1,null):(0,b.localize)(2,null);super(m.createLogger(I,{name:v}))}};e.$S_b=R=He([We(1,A.$Oi),We(2,F.$qL)],R)}),define(De[242],Ce([1,0,17]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$h$b=e.$g$b=void 0;class A{constructor(R,g,k){this.h=new Map,this.a=R,this.b=g,this.c=k,this.d=this.c.initializeExtensionStorage(this.b,this.a,Object.create(null)).then(m=>(this.f=m,this)),this.g=this.c.onDidChangeStorage(m=>{m.shared===this.b&&m.key===this.a&&(this.f=m.value)}),this.i=new b.$Cg(()=>{const m=this.h;this.h=new Map,(async()=>{try{await this.c.setValue(this.b,this.a,this.f);for(const L of m.values())L.complete()}catch(L){for(const I of m.values())I.error(L)}})()},0)}keys(){return Object.entries(this.f??{}).filter(([,R])=>R!==void 0).map(([R])=>R)}get whenReady(){return this.d}get(R,g){let k=this.f[R];return typeof k>"u"&&(k=g),k}update(R,g){this.f[R]=g;const k=this.h.get(R);if(k!==void 0)return k.p;const m=new b.$Lg;return this.h.set(R,m),this.i.isScheduled()||this.i.schedule(),m.p}dispose(){this.g.dispose()}}e.$g$b=A;class h extends A{setKeysForSync(R){this.c.registerExtensionStorageKeysToSync({id:this.a,version:this.j.version},R)}constructor(R,g){super(R.identifier.value,!0,g),this.j=R}}e.$h$b=h}),define(De[243],Ce([1,0,3,2]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$F_b=void 0;class h{constructor(R){this.c=R,this.a=new b.$5c,this.onDidSaveNotebookDocument=this.a.event,this.b=new b.$5c,this.onDidChangeNotebookDocument=this.b.event}$acceptModelChanged(R,g,k,m){const I=this.c.getNotebookDocument(A.URI.revive(R)).acceptModelChanged(g.value,k,m);this.b.fire(I)}$acceptDirtyStateChanged(R,g){this.c.getNotebookDocument(A.URI.revive(R)).acceptDirty(g)}$acceptModelSaved(R){const g=this.c.getNotebookDocument(A.URI.revive(R));this.a.fire(g.apiNotebook)}}e.$F_b=h}),define(De[20],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bL=e.$aL=void 0,e.$aL=(0,b.$lh)("IExtHostRpcService");class A{constructor(F){this.getProxy=F.getProxy.bind(F),this.set=F.set.bind(F),this.dispose=F.dispose.bind(F),this.assertRegistered=F.assertRegistered.bind(F),this.drain=F.drain.bind(F)}}e.$bL=A});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[244],Ce([1,0,25,3]),function(re,e,b,A){"use strict";var h;Object.defineProperty(e,"__esModule",{value:!0}),e.$s$b=void 0;class F{constructor(g,k){h.set(this,void 0),this.b=new A.$5c,this.onDidChange=this.b.event,this.a=b.$Dl.toKey(g.identifier),Xe(this,h,k,"f"),Te(this,h,"f").onDidChangePassword(m=>{m.extensionId===this.a&&this.b.fire({key:m.key})})}get(g){return Te(this,h,"f").get(this.a,g)}store(g,k){return Te(this,h,"f").store(this.a,g,k)}delete(g){return Te(this,h,"f").delete(this.a,g)}}e.$s$b=F,h=new WeakMap}),define(De[58],Ce([1,0,5,132,3,20]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kob=e.$job=e.TunnelDtoConverter=void 0;var R;(function(k){function m(I){return{remoteAddress:I.remoteAddress,localAddress:I.localAddress,public:!!I.public,privacy:I.privacy??(I.public?A.TunnelPrivacyId.Public:A.TunnelPrivacyId.Private),protocol:I.protocol}}k.fromApiTunnel=m;function L(I){return{remoteAddress:{host:I.tunnelRemoteHost,port:I.tunnelRemotePort},localAddress:I.localAddress,public:I.privacy!==A.TunnelPrivacyId.ConstantPrivate&&I.privacy!==A.TunnelPrivacyId.ConstantPrivate,privacy:I.privacy,protocol:I.protocol}}k.fromServiceTunnel=L})(R||(e.TunnelDtoConverter=R={})),e.$job=(0,b.$lh)("IExtHostTunnelService");let g=e.$kob=class{constructor(m){this.onDidChangeTunnels=new h.$5c().event}async $applyCandidateFilter(m){return m}async openTunnel(m,L){}async getTunnels(){return[]}async setTunnelFactory(m){return{dispose:()=>{}}}registerPortsAttributesProvider(m,L){return{dispose:()=>{}}}async $providePortAttributes(m,L,I,v,D){return[]}async $forwardPort(m,L){}async $closeTunnel(m){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};e.$kob=g=He([We(0,F.$aL)],g)}),define(De[59],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$20b=e.$10b=void 0,e.$10b=(0,b.$lh)("IURITransformerService");class A{constructor(F){F?(this.transformIncoming=F.transformIncoming.bind(F),this.transformOutgoing=F.transformOutgoing.bind(F),this.transformOutgoingURI=F.transformOutgoingURI.bind(F),this.transformOutgoingScheme=F.transformOutgoingScheme.bind(F)):(this.transformIncoming=R=>R,this.transformOutgoing=R=>R,this.transformOutgoingURI=R=>R,this.transformOutgoingScheme=R=>R)}}e.$20b=A}),define(De[245],Ce([1,0,22]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$F9=e.$E9=void 0;class A{constructor(){this.buffers=[]}add(k){let m=this.buffers.indexOf(k);return m<0&&(m=this.buffers.length,this.buffers.push(k)),m}}function h(g,k){if(k.serializeBuffersForPostMessage){const m=new A,I=JSON.stringify(g,(D,C)=>{if(C instanceof ArrayBuffer)return{$$vscode_array_buffer_reference$$:!0,index:m.add(C)};if(ArrayBuffer.isView(C)){const w=F(C);if(w)return{$$vscode_array_buffer_reference$$:!0,index:m.add(C.buffer),view:{type:w,byteLength:C.byteLength,byteOffset:C.byteOffset}}}return C}),v=m.buffers.map(D=>{const C=new Uint8Array(D);return b.$Ib.wrap(C)});return{message:I,buffers:v}}else return{message:JSON.stringify(g),buffers:[]}}e.$E9=h;function F(g){switch(g.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function R(g,k){const m=k.map(v=>{const D=new ArrayBuffer(v.byteLength);return new Uint8Array(D).set(v.buffer),D}),L=k.length?(v,D)=>{if(D&&typeof D=="object"&&D.$$vscode_array_buffer_reference$$){const C=D,{index:w}=C,i=m[w];if(C.view)switch(C.view.type){case 1:return new Int8Array(i,C.view.byteOffset,C.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(i,C.view.byteOffset,C.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(i,C.view.byteOffset,C.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(i,C.view.byteOffset,C.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(i,C.view.byteOffset,C.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(i,C.view.byteOffset,C.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(i,C.view.byteOffset,C.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(i,C.view.byteOffset,C.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(i,C.view.byteOffset,C.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(i,C.view.byteOffset,C.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(i,C.view.byteOffset,C.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return i}return D}:void 0;return{message:JSON.parse(g,L),arrayBuffers:m}}e.$F9=R}),define(De[246],Ce([1,0,247,348,349,101,2,350]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oac=void 0;function k(C,w,i,l,a,p){const f=p.environment.useHostProxy,E=typeof f=="boolean"?f:!p.remote.isRemote,n={resolveProxy:t=>C.resolveProxy(t),getHttpProxySetting:()=>w.getConfiguration("http").get("proxy"),log:(t,u,...$)=>{switch(t){case g.LogLevel.Trace:l.trace(u,...$);break;case g.LogLevel.Debug:l.debug(u,...$);break;case g.LogLevel.Info:l.info(u,...$);break;case g.LogLevel.Warning:l.warn(u,...$);break;case g.LogLevel.Error:l.error(u,...$);break;case g.LogLevel.Critical:l.error(u,...$);break;case g.LogLevel.Off:break;default:d(t,u,$);break}function d(S,y,...c){l.error("Unknown log level",S),l.error(y,...c)}},getLogLevel:()=>l.getLevel(),proxyResolveTelemetry:()=>{},useHostProxy:E,useSystemCertificatesV2:I(w),addCertificates:[],env:process.env};w.onDidChangeConfiguration(t=>{n.useSystemCertificatesV2=I(w)});const o=(0,g.createProxyResolver)(n),s=m(n,w,o);return D(i,s)}e.$oac=k;function m(C,w,i){const l={config:w.getConfiguration("http").get("proxySupport")||"off"};w.onDidChangeConfiguration(p=>{l.config=w.getConfiguration("http").get("proxySupport")||"off"});const a={config:L(w)};return w.onDidChangeConfiguration(p=>{a.config=L(w)}),{http:{off:Object.assign({},b,(0,g.createHttpPatch)(b,i,{config:"off"},a,!0)),on:Object.assign({},b,(0,g.createHttpPatch)(b,i,{config:"on"},a,!0)),override:Object.assign({},b,(0,g.createHttpPatch)(b,i,{config:"override"},a,!0)),onRequest:Object.assign({},b,(0,g.createHttpPatch)(b,i,l,a,!0)),default:Object.assign(b,(0,g.createHttpPatch)(b,i,l,a,!1))},https:{off:Object.assign({},A,(0,g.createHttpPatch)(A,i,{config:"off"},a,!0)),on:Object.assign({},A,(0,g.createHttpPatch)(A,i,{config:"on"},a,!0)),override:Object.assign({},A,(0,g.createHttpPatch)(A,i,{config:"override"},a,!0)),onRequest:Object.assign({},A,(0,g.createHttpPatch)(A,i,l,a,!0)),default:Object.assign(A,(0,g.createHttpPatch)(A,i,l,a,!1))},net:Object.assign(F,(0,g.createNetPatch)(C,F)),tls:Object.assign(h,(0,g.createTlsPatch)(C,h))}}function L(C){const w=C.getConfiguration("http");return!w.get("experimental.systemCertificatesV2")&&!!w.get("systemCertificates")}function I(C){const w=C.getConfiguration("http");return!!w.get("experimental.systemCertificatesV2")&&!!w.get("systemCertificates")}const v=new Map;function D(C,w){return C.getExtensionPathIndex().then(i=>{const l=globalThis._VSCODE_NODE_MODULES.module,a=l._load;l._load=function(f,E,n){if(f==="net")return w.net;if(f==="tls")return w.tls;if(f!=="http"&&f!=="https")return a.apply(this,arguments);const o=w[f],s=i.findSubstr(R.URI.file(E.filename));let t=v.get(s);if(t||v.set(s,t={}),!t[f]){const u=o.default;t[f]={...u}}return t[f]}})}}),define(De[248],Ce([1,0,121]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_q=void 0;function A(F){return{transformIncoming:R=>R.scheme==="vscode-remote"?{scheme:"file",path:R.path,query:R.query,fragment:R.fragment}:R.scheme==="file"?{scheme:"vscode-local",path:R.path,query:R.query,fragment:R.fragment}:R,transformOutgoing:R=>R.scheme==="file"?{scheme:"vscode-remote",authority:F,path:R.path,query:R.query,fragment:R.fragment}:R.scheme==="vscode-local"?{scheme:"file",path:R.path,query:R.query,fragment:R.fragment}:R,transformOutgoingScheme:R=>R==="file"?"vscode-remote":R==="vscode-local"?"file":R}}function h(F){return new b.$jm(A(F))}e.$_q=h}),define(De[133],Ce([1,0,201,12,2,4,5,42,30,16,45,167,40]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pE=e.$oE=e.$nE=e.EditorsOrder=e.$mE=e.CloseDirection=e.$lE=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.$kE=e.$jE=e.$iE=e.$hE=e.$gE=e.$fE=e.$eE=e.$dE=e.EditorInputCapabilities=e.$cE=e.SaveReason=e.Verbosity=e.$bE=e.$aE=e.$_D=e.$$D=e.$0D=e.$9D=e.$8D=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.$7D=e.$6D=e.$5D=e.$4D=e.$3D=void 0,e.$3D={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.$4D={id:"default",displayName:(0,b.localize)(0,null),providerDisplayName:(0,b.localize)(1,null)},e.$5D="workbench.editor.sidebysideEditor",e.$6D="workbench.editors.textDiffEditor",e.$7D="workbench.editors.binaryResourceDiffEditor";var D;(function(H){H[H.PROGRAMMATIC=1]="PROGRAMMATIC",H[H.USER=2]="USER",H[H.EDIT=3]="EDIT",H[H.NAVIGATION=4]="NAVIGATION",H[H.JUMP=5]="JUMP"})(D||(e.EditorPaneSelectionChangeReason=D={}));var C;(function(H){H[H.IDENTICAL=1]="IDENTICAL",H[H.SIMILAR=2]="SIMILAR",H[H.DIFFERENT=3]="DIFFERENT"})(C||(e.EditorPaneSelectionCompareResult=C={}));function w(H){const ce=H;return!!ce&&typeof ce.getSelection=="function"&&!!ce.onDidChangeSelection}e.$8D=w;function i(H,ce,pe){for(const ye of pe.visibleEditorPanes)if(ye.group.id===ce&&H.matches(ye.input))return ye.getViewState()}e.$9D=i;function l(H){if($(H))return!1;const ce=H;return h.URI.isUri(ce?.resource)}e.$0D=l;function a(H){if($(H))return!1;const ce=H;return ce?.original!==void 0&&ce.modified!==void 0}e.$$D=a;function p(H){if($(H)||a(H))return!1;const ce=H;return ce?.primary!==void 0&&ce.secondary!==void 0}e.$_D=p;function f(H){if($(H))return!1;const ce=H;return ce?ce.resource===void 0||ce.resource.scheme===m.Schemas.untitled||ce.forceUntitled===!0:!1}e.$aE=f;function E(H){if($(H))return!1;const ce=H;return h.URI.isUri(ce?.base?.resource)&&h.URI.isUri(ce?.input1?.resource)&&h.URI.isUri(ce?.input2?.resource)&&h.URI.isUri(ce?.result?.resource)}e.$bE=E;var n;(function(H){H[H.SHORT=0]="SHORT",H[H.MEDIUM=1]="MEDIUM",H[H.LONG=2]="LONG"})(n||(e.Verbosity=n={}));var o;(function(H){H[H.EXPLICIT=1]="EXPLICIT",H[H.AUTO=2]="AUTO",H[H.FOCUS_CHANGE=3]="FOCUS_CHANGE",H[H.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(o||(e.SaveReason=o={}));class s{constructor(){this.a=new Map}registerSource(ce,pe){let ye=this.a.get(ce);return ye||(ye={source:ce,label:pe},this.a.set(ce,ye)),ye.source}getSourceLabel(ce){return this.a.get(ce)?.label??ce}}e.$cE=new s;var t;(function(H){H[H.None=0]="None",H[H.Readonly=2]="Readonly",H[H.Untitled=4]="Untitled",H[H.Singleton=8]="Singleton",H[H.RequiresTrust=16]="RequiresTrust",H[H.CanSplitInGroup=32]="CanSplitInGroup",H[H.ForceDescription=64]="ForceDescription",H[H.CanDropIntoEditor=128]="CanDropIntoEditor",H[H.MultipleEditors=256]="MultipleEditors",H[H.Scratchpad=512]="Scratchpad"})(t||(e.EditorInputCapabilities=t={}));class u extends F.$kb{}e.$dE=u;function $(H){return H instanceof u}e.$eE=$;function d(H){const ce=H;return h.URI.isUri(ce?.preferredResource)}function S(H){const ce=H;return $(ce?.primary)&&$(ce?.secondary)}e.$fE=S;function y(H){const ce=H;return $(ce?.modified)&&$(ce?.original)}e.$gE=y;function c(H,ce,pe,ye,ge){return V(ye,[(0,I.$8h)({id:"workbench.action.openLargeFile",label:(0,b.localize)(2,null),run:()=>{const M={...pe,limits:{size:Number.MAX_VALUE}};H.openEditor(ce,M)}}),(0,I.$8h)({id:"workbench.action.configureEditorLargeFileConfirmation",label:(0,b.localize)(3,null),run:()=>ge.openUserSettings({query:"workbench.editorLargeFileConfirmation"})})],{forceMessage:!0,forceSeverity:v.default.Warning})}e.$hE=c;function r(H){return $(H?.editor)}e.$iE=r;function P(H){const ce=H;return r(H)&&ce?.group!==void 0}e.$jE=P;function N(H){const ce=H;return typeof ce?.groupId=="number"&&$(ce.editor)}e.$kE=N;var U;(function(H){H[H.UNKNOWN=0]="UNKNOWN",H[H.REPLACE=1]="REPLACE",H[H.MOVE=2]="MOVE",H[H.UNPIN=3]="UNPIN"})(U||(e.EditorCloseContext=U={}));var q;(function(H){H[H.GROUP_ACTIVE=0]="GROUP_ACTIVE",H[H.GROUP_INDEX=1]="GROUP_INDEX",H[H.GROUP_LOCKED=2]="GROUP_LOCKED",H[H.EDITOR_OPEN=3]="EDITOR_OPEN",H[H.EDITOR_CLOSE=4]="EDITOR_CLOSE",H[H.EDITOR_MOVE=5]="EDITOR_MOVE",H[H.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",H[H.EDITOR_LABEL=7]="EDITOR_LABEL",H[H.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",H[H.EDITOR_PIN=9]="EDITOR_PIN",H[H.EDITOR_STICKY=10]="EDITOR_STICKY",H[H.EDITOR_DIRTY=11]="EDITOR_DIRTY",H[H.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(q||(e.GroupModelChangeKind=q={}));var W;(function(H){H[H.PRIMARY=1]="PRIMARY",H[H.SECONDARY=2]="SECONDARY",H[H.BOTH=3]="BOTH",H[H.ANY=4]="ANY"})(W||(e.SideBySideEditor=W={}));class O{getOriginalUri(ce,pe){if(!ce)return;if(E(ce))return e.$lE.getOriginalUri(ce.result,pe);if(pe?.supportSideBySide){const{primary:ge,secondary:M}=this.a(ce);if(ge&&M){if(pe?.supportSideBySide===W.BOTH)return{primary:this.getOriginalUri(ge,{filterByScheme:pe.filterByScheme}),secondary:this.getOriginalUri(M,{filterByScheme:pe.filterByScheme})};if(pe?.supportSideBySide===W.ANY)return this.getOriginalUri(ge,{filterByScheme:pe.filterByScheme})??this.getOriginalUri(M,{filterByScheme:pe.filterByScheme});ce=pe.supportSideBySide===W.PRIMARY?ge:M}}if(a(ce)||p(ce)||E(ce))return;const ye=d(ce)?ce.preferredResource:ce.resource;return!ye||!pe||!pe.filterByScheme?ye:this.b(ye,pe.filterByScheme)}a(ce){return S(ce)||p(ce)?{primary:ce.primary,secondary:ce.secondary}:y(ce)||a(ce)?{primary:ce.modified,secondary:ce.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(ce,pe){if(!ce)return;if(E(ce))return e.$lE.getCanonicalUri(ce.result,pe);if(pe?.supportSideBySide){const{primary:ge,secondary:M}=this.a(ce);if(ge&&M){if(pe?.supportSideBySide===W.BOTH)return{primary:this.getCanonicalUri(ge,{filterByScheme:pe.filterByScheme}),secondary:this.getCanonicalUri(M,{filterByScheme:pe.filterByScheme})};if(pe?.supportSideBySide===W.ANY)return this.getCanonicalUri(ge,{filterByScheme:pe.filterByScheme})??this.getCanonicalUri(M,{filterByScheme:pe.filterByScheme});ce=pe.supportSideBySide===W.PRIMARY?ge:M}}if(a(ce)||p(ce)||E(ce))return;const ye=ce.resource;return!ye||!pe||!pe.filterByScheme?ye:this.b(ye,pe.filterByScheme)}b(ce,pe){if(Array.isArray(pe)){if(pe.some(ye=>ce.scheme===ye))return ce}else if(pe===ce.scheme)return ce}}e.$lE=new O;var J;(function(H){H[H.LEFT=0]="LEFT",H[H.RIGHT=1]="RIGHT"})(J||(e.CloseDirection=J={}));class z{constructor(){this.c=new Map,this.d=new Map}start(ce){const pe=this.a=ce.get(R.$kh);for(const[ye,ge]of this.c)this.e(ye,ge,pe);this.c.clear()}e(ce,pe,ye){const ge=ye.createInstance(pe);this.d.set(ce,ge)}registerFileEditorFactory(ce){if(this.b)throw new Error("Can only register one file editor factory.");this.b=ce}getFileEditorFactory(){return(0,A.$re)(this.b)}registerEditorSerializer(ce,pe){if(this.c.has(ce)||this.d.has(ce))throw new Error(`A editor serializer with type ID '${ce}' was already registered.`);return this.a?this.e(ce,pe,this.a):this.c.set(ce,pe),(0,F.$ib)(()=>{this.c.delete(ce),this.d.delete(ce)})}getEditorSerializer(ce){return this.d.get(typeof ce=="string"?ce:ce.typeId)}}g.$Pm.add(e.$3D.EditorFactory,new z);async function j(H,ce,pe){return!H||!H.length?[]:await Promise.all(H.map(async ye=>{const ge=h.URI.revive(ye.fileUri);if(!ge){pe.info("Cannot resolve the path because it is not valid.",ye);return}if(!await ce.canHandleResource(ge)){pe.info("Cannot resolve the path because it cannot be handled",ye);return}let Q=ye.exists,ve=ye.type;if(typeof Q!="boolean"||typeof ve!="number")try{ve=(await ce.stat(ge)).isDirectory?k.FileType.Directory:k.FileType.Unknown,Q=!0}catch(ee){pe.error(ee),Q=!1}if(!Q&&ye.openOnlyIfExists){pe.info("Cannot resolve the path because it does not exist",ye);return}if(ve===k.FileType.Directory){pe.info("Cannot resolve the path because it is a directory",ye);return}const Se={...ye.options,pinned:!0};return Q?{resource:ge,options:Se}:{resource:ge,options:Se,forceUntitled:!0}}))}e.$mE=j;var he;(function(H){H[H.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",H[H.SEQUENTIAL=1]="SEQUENTIAL"})(he||(e.EditorsOrder=he={}));function ie(H){const ce=H;if(!ce)return!1;const pe=ce;if(pe.modified)return ie(pe.modified);const ye=ce;return!!(ye.contributionsState&&ye.viewState&&Array.isArray(ye.cursorState))}e.$nE=ie;function ne(H){return(0,L.$0h)(H)}e.$oE=ne;function V(H,ce,pe){const ye=(0,L.$$h)(H,ce);return ye.forceMessage=pe?.forceMessage,ye.forceSeverity=pe?.forceSeverity,ye.allowDialog=pe?.allowDialog,ye}e.$pE=V}),define(De[249],Ce([1,0,3,202,5,4,28,42,19,65,24,72,238]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wE=e.$vE=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.$uE=e.$tE=e.ViewContentGroups=e.$sE=e.$rE=e.ViewContainerLocation=e.Extensions=e.$qE=void 0,e.$qE=(0,v.$Cu)("default-view-icon",I.$yj.window,(0,A.localize)(0,null));var D;(function(s){s.ViewContainersRegistry="workbench.registry.view.containers",s.ViewsRegistry="workbench.registry.view"})(D||(e.Extensions=D={}));var C;(function(s){s[s.Sidebar=0]="Sidebar",s[s.Panel=1]="Panel",s[s.AuxiliaryBar=2]="AuxiliaryBar"})(C||(e.ViewContainerLocation=C={})),e.$rE=[0,1,2];function w(s){switch(s){case 0:return"sidebar";case 1:return"panel";case 2:return"auxiliarybar"}}e.$sE=w;class i extends F.$kb{constructor(){super(...arguments),this.c=this.B(new b.$5c),this.onDidRegister=this.c.event,this.f=this.B(new b.$5c),this.onDidDeregister=this.f.event,this.g=new Map,this.h=[]}get all(){return(0,k.$vf)([...this.g.values()])}registerViewContainer(t,u,$){const d=this.get(t.id);if(d)return d;const S=t;return S.openCommandActionDescriptor=$?.doNotRegisterOpenCommand?void 0:S.openCommandActionDescriptor??{id:S.id},(0,R.$gi)(this.g,u,[]).push(S),$?.isDefault&&this.h.push(S),this.c.fire({viewContainer:S,viewContainerLocation:u}),S}deregisterViewContainer(t){for(const u of this.g.keys()){const $=this.g.get(u),d=$?.indexOf(t);if(d!==-1){$?.splice(d,1),$.length===0&&this.g.delete(u),this.f.fire({viewContainer:t,viewContainerLocation:u});return}}}get(t){return this.all.filter(u=>u.id===t)[0]}getViewContainers(t){return[...this.g.get(t)||[]]}getViewContainerLocation(t){return[...this.g.keys()].filter(u=>this.getViewContainers(u).filter($=>$?.id===t.id).length>0)[0]}getDefaultViewContainer(t){return this.h.find(u=>this.getViewContainerLocation(u)===t)}}g.$Pm.add(D.ViewContainersRegistry,new i);var l;(function(s){s.Open="2_open",s.Debug="4_debug",s.SCM="5_scm",s.More="9_more"})(l||(e.ViewContentGroups=l={}));function a(s,t){const u=s.group??l.More,$=t.group??l.More;return u!==$?u.localeCompare($):(s.order??5)-(t.order??5)}class p extends F.$kb{constructor(){super(...arguments),this.c=this.B(new b.$5c),this.onViewsRegistered=this.c.event,this.f=this.B(new b.$5c),this.onViewsDeregistered=this.f.event,this.g=this.B(new b.$5c),this.onDidChangeContainer=this.g.event,this.h=this.B(new b.$5c),this.onDidChangeViewWelcomeContent=this.h.event,this.i=[],this.j=new Map,this.k=new m.$L}registerViews(t,u){this.registerViews2([{views:t,viewContainer:u}])}registerViews2(t){t.forEach(({views:u,viewContainer:$})=>this.l(u,$)),this.c.fire(t)}deregisterViews(t,u){const $=this.m(t,u);$.length&&this.f.fire({views:$,viewContainer:u})}moveViews(t,u){for(const $ of this.j.keys())if($!==u){const d=this.m(t,$);d.length&&(this.l(d,u),this.g.fire({views:d,from:$,to:u}))}}getViews(t){return this.j.get(t)||[]}getView(t){for(const u of this.i){const $=(this.j.get(u)||[]).filter(d=>d.id===t)[0];if($)return $}return null}getViewContainer(t){for(const u of this.i)if((this.j.get(u)||[]).filter(d=>d.id===t)[0])return u;return null}registerViewWelcomeContent(t,u){return this.k.add(t,u),this.h.fire(t),(0,F.$ib)(()=>{this.k.delete(t,u),this.h.fire(t)})}registerViewWelcomeContent2(t,u){const $=new Map;for(const[d,S]of u)this.k.add(t,S),$.set(d,(0,F.$ib)(()=>{this.k.delete(t,S),this.h.fire(t)}));return this.h.fire(t),$}getViewWelcomeContent(t){const u=[];return this.k.forEach(t,$=>u.push($)),u.sort(a)}l(t,u){let $=this.j.get(u);$||($=[],this.j.set(u,$),this.i.push(u));for(const d of t){if(this.getView(d.id)!==null)throw new Error((0,A.localize)(1,null,d.id));$.push(d)}}m(t,u){const $=this.j.get(u);if(!$)return[];const d=[],S=[];for(const y of $)t.includes(y)?d.push(y):S.push(y);return d.length&&(S.length?this.j.set(u,S):(this.j.delete(u),this.i.splice(this.i.indexOf(u),1))),d}}g.$Pm.add(D.ViewsRegistry,new p),e.$tE=(0,h.$lh)("viewsService"),e.$uE=(0,h.$lh)("viewDescriptorService");var f;(function(s){s[s.Default=0]="Default",s[s.Expand=1]="Expand"})(f||(e.ViewVisibilityState=f={}));var E;(function(s){s[s.None=0]="None",s[s.Collapsed=1]="Collapsed",s[s.Expanded=2]="Expanded"})(E||(e.TreeItemCollapsibleState=E={}));class n{constructor(t,u){this.c=!1,this.d=!1,(0,L.$Gm)(this,t),this.d=!!u,this.resolve=async $=>{if(u&&!this.c){const d=await u($);d&&(this.tooltip=this.tooltip??d.tooltip,this.command=this.command??d.command)}$.isCancellationRequested||(this.c=!0)}}get hasResolve(){return this.d}resetResolve(){this.c=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.$vE=n;class o extends Error{constructor(t){super((0,A.localize)(2,null,t)),this.name="NoTreeViewError"}static is(t){return t.name==="NoTreeViewError"}}e.$wE=o}),define(De[134],Ce([1,0,3,17,203]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$9=void 0;class F{constructor(){this.f=new Map,this.k=[],this.m=new b.$5c,this.n=new b.$5c,this.d=1}get onError(){return this.m.event}get onExit(){return this.n.event}onMessage(g){this.j&&this.m.fire(new Error("attempt to set more than one 'Message' callback")),this.j=g}onEvent(g){this.i&&this.m.fire(new Error("attempt to set more than one 'Event' callback")),this.i=g}onRequest(g){this.g&&this.m.fire(new Error("attempt to set more than one 'Request' callback")),this.g=g}sendResponse(g){g.seq>0?this.m.fire(new Error(`attempt to send more than one response for command ${g.command}`)):this.s("response",g)}sendRequest(g,k,m,L){const I={command:g};if(k&&Object.keys(k).length>0&&(I.arguments=k),this.s("request",I),typeof L=="number"){const v=setTimeout(()=>{clearTimeout(v);const D=this.f.get(I.seq);if(D){this.f.delete(I.seq);const C={type:"response",seq:0,request_seq:I.seq,success:!1,command:g,message:(0,h.localize)(0,null,L,g)};D(C)}},L)}return m&&this.f.set(I.seq,m),I.seq}acceptMessage(g){this.j?this.j(g):(this.k.push(g),this.k.length===1&&this.q())}o(g,k){return g.type!=="event"||k.type!=="event"}async q(){let g;for(;this.k.length;){if((!g||this.o(this.k[0],g))&&await(0,A.$sg)(0),g=this.k.shift(),!g)return;switch(g.type){case"event":this.i?.(g);break;case"request":this.g?.(g);break;case"response":{const k=g,m=this.f.get(k.request_seq);m&&(this.f.delete(k.request_seq),m(k));break}}}}s(g,k){k.type=g,k.seq=this.d++,this.sendMessage(k)}async u(){if(this.f.size===0)return Promise.resolve();const g=new Map;this.f.forEach((k,m)=>g.set(m,k)),await(0,A.$sg)(500),g.forEach((k,m)=>{k({type:"response",seq:0,request_seq:m,success:!1,command:"canceled",message:"canceled"}),this.f.delete(m)})}getPendingRequestIds(){return Array.from(this.f.keys())}dispose(){this.k=[]}}e.$$9=F}),define(De[250],Ce([1,0,204,47,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BreakpointWidgetContext=e.$HG=e.DebuggerString=e.DebugConfigurationProviderTriggerKind=e.$GG=e.MemoryRangeType=e.$FG=e.State=e.$EG=e.$DG=e.$CG=e.$BG=e.$AG=e.$zG=e.$yG=e.$xG=e.$wG=e.$vG=e.$uG=e.$tG=e.$sG=e.$rG=e.$qG=e.$pG=e.$oG=e.$nG=e.$mG=e.$lG=e.$kG=e.$jG=e.$iG=e.$hG=e.$gG=e.$fG=e.$eG=e.$dG=e.$cG=e.$bG=e.$aG=e.$_F=e.$$F=e.$0F=e.$9F=e.$8F=e.$7F=e.$6F=e.$5F=e.$4F=e.$3F=e.$2F=e.$1F=e.$ZF=e.$YF=e.$XF=e.$WF=e.$VF=e.$UF=e.$TF=e.$SF=e.$RF=e.$QF=e.$PF=e.$OF=e.$NF=e.$MF=e.$LF=e.$KF=e.$JF=e.$IF=e.$HF=e.$GF=e.$FF=e.$EF=e.$DF=void 0,e.$DF="workbench.view.debug",e.$EF="workbench.debug.variablesView",e.$FF="workbench.debug.watchExpressionsView",e.$GF="workbench.debug.callStackView",e.$HF="workbench.debug.loadedScriptsView",e.$IF="workbench.debug.breakPointsView",e.$JF="workbench.debug.disassemblyView",e.$KF="workbench.panel.repl",e.$LF="workbench.panel.repl.view",e.$MF=new A.$Ki("debugType",void 0,{type:"string",description:b.localize(0,null)}),e.$NF=new A.$Ki("debugConfigurationType",void 0,{type:"string",description:b.localize(1,null)}),e.$OF=new A.$Ki("debugState","inactive",{type:"string",description:b.localize(2,null)}),e.$PF="debugUx",e.$QF=new A.$Ki(e.$PF,"default",{type:"string",description:b.localize(3,null)}),e.$RF=new A.$Ki("hasDebugged",!1,{type:"boolean",description:b.localize(4,null)}),e.$SF=new A.$Ki("inDebugMode",!1,{type:"boolean",description:b.localize(5,null)}),e.$TF=new A.$Ki("inDebugRepl",!1,{type:"boolean",description:b.localize(6,null)}),e.$UF=new A.$Ki("breakpointWidgetVisible",!1,{type:"boolean",description:b.localize(7,null)}),e.$VF=new A.$Ki("inBreakpointWidget",!1,{type:"boolean",description:b.localize(8,null)}),e.$WF=new A.$Ki("breakpointsFocused",!0,{type:"boolean",description:b.localize(9,null)}),e.$XF=new A.$Ki("watchExpressionsFocused",!0,{type:"boolean",description:b.localize(10,null)}),e.$YF=new A.$Ki("watchExpressionsExist",!1,{type:"boolean",description:b.localize(11,null)}),e.$ZF=new A.$Ki("variablesFocused",!0,{type:"boolean",description:b.localize(12,null)}),e.$1F=new A.$Ki("expressionSelected",!1,{type:"boolean",description:b.localize(13,null)}),e.$2F=new A.$Ki("breakpointInputFocused",!1,{type:"boolean",description:b.localize(14,null)}),e.$3F=new A.$Ki("callStackItemType",void 0,{type:"string",description:b.localize(15,null)}),e.$4F=new A.$Ki("callStackSessionIsAttach",!1,{type:"boolean",description:b.localize(16,null)}),e.$5F=new A.$Ki("callStackItemStopped",!1,{type:"boolean",description:b.localize(17,null)}),e.$6F=new A.$Ki("callStackSessionHasOneThread",!1,{type:"boolean",description:b.localize(18,null)}),e.$7F=new A.$Ki("watchItemType",void 0,{type:"string",description:b.localize(19,null)}),e.$8F=new A.$Ki("canViewMemory",void 0,{type:"boolean",description:b.localize(20,null)}),e.$9F=new A.$Ki("breakpointItemType",void 0,{type:"string",description:b.localize(21,null)}),e.$0F=new A.$Ki("breakpointSupportsCondition",!1,{type:"boolean",description:b.localize(22,null)}),e.$$F=new A.$Ki("loadedScriptsSupported",!1,{type:"boolean",description:b.localize(23,null)}),e.$_F=new A.$Ki("loadedScriptsItemType",void 0,{type:"string",description:b.localize(24,null)}),e.$aG=new A.$Ki("focusedSessionIsAttach",!1,{type:"boolean",description:b.localize(25,null)}),e.$bG=new A.$Ki("stepBackSupported",!1,{type:"boolean",description:b.localize(26,null)}),e.$cG=new A.$Ki("restartFrameSupported",!1,{type:"boolean",description:b.localize(27,null)}),e.$dG=new A.$Ki("stackFrameSupportsRestart",!1,{type:"boolean",description:b.localize(28,null)}),e.$eG=new A.$Ki("jumpToCursorSupported",!1,{type:"boolean",description:b.localize(29,null)}),e.$fG=new A.$Ki("stepIntoTargetsSupported",!1,{type:"boolean",description:b.localize(30,null)}),e.$gG=new A.$Ki("breakpointsExist",!1,{type:"boolean",description:b.localize(31,null)}),e.$hG=new A.$Ki("debuggersAvailable",!1,{type:"boolean",description:b.localize(32,null)}),e.$iG=new A.$Ki("debugExtensionAvailable",!0,{type:"boolean",description:b.localize(33,null)}),e.$jG=new A.$Ki("debugProtocolVariableMenuContext",void 0,{type:"string",description:b.localize(34,null)}),e.$kG=new A.$Ki("debugSetVariableSupported",!1,{type:"boolean",description:b.localize(35,null)}),e.$lG=new A.$Ki("debugSetExpressionSupported",!1,{type:"boolean",description:b.localize(36,null)}),e.$mG=new A.$Ki("breakWhenValueChangesSupported",!1,{type:"boolean",description:b.localize(37,null)}),e.$nG=new A.$Ki("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:b.localize(38,null)}),e.$oG=new A.$Ki("breakWhenValueIsReadSupported",!1,{type:"boolean",description:b.localize(39,null)}),e.$pG=new A.$Ki("terminateDebuggeeSupported",!1,{type:"boolean",description:b.localize(40,null)}),e.$qG=new A.$Ki("suspendDebuggeeSupported",!1,{type:"boolean",description:b.localize(41,null)}),e.$rG=new A.$Ki("variableEvaluateNamePresent",!1,{type:"boolean",description:b.localize(42,null)}),e.$sG=new A.$Ki("variableIsReadonly",!1,{type:"boolean",description:b.localize(43,null)}),e.$tG=new A.$Ki("exceptionWidgetVisible",!1,{type:"boolean",description:b.localize(44,null)}),e.$uG=new A.$Ki("multiSessionRepl",!1,{type:"boolean",description:b.localize(45,null)}),e.$vG=new A.$Ki("multiSessionDebug",!1,{type:"boolean",description:b.localize(46,null)}),e.$wG=new A.$Ki("disassembleRequestSupported",!1,{type:"boolean",description:b.localize(47,null)}),e.$xG=new A.$Ki("disassemblyViewFocus",!1,{type:"boolean",description:b.localize(48,null)}),e.$yG=new A.$Ki("languageSupportsDisassembleRequest",!1,{type:"boolean",description:b.localize(49,null)}),e.$zG=new A.$Ki("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:b.localize(50,null)});const F=v=>b.localize(51,null,v);e.$AG=F,e.$BG="editor.contrib.debug",e.$CG="editor.contrib.breakpoint",e.$DG="debug",e.$EG={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:b.localize(52,null)};var R;(function(v){v[v.Inactive=0]="Inactive",v[v.Initializing=1]="Initializing",v[v.Stopped=2]="Stopped",v[v.Running=3]="Running"})(R||(e.State=R={}));function g(v){switch(v){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.$FG=g;var k;(function(v){v[v.Valid=0]="Valid",v[v.Unreadable=1]="Unreadable",v[v.Error=2]="Error"})(k||(e.MemoryRangeType=k={})),e.$GG="vscode-debug-memory";var m;(function(v){v[v.Initial=1]="Initial",v[v.Dynamic=2]="Dynamic"})(m||(e.DebugConfigurationProviderTriggerKind=m={}));var L;(function(v){v.UnverifiedBreakpoints="unverifiedBreakpoints"})(L||(e.DebuggerString=L={})),e.$HG=(0,h.$lh)("debugService");var I;(function(v){v[v.CONDITION=0]="CONDITION",v[v.HIT_COUNT=1]="HIT_COUNT",v[v.LOG_MESSAGE=2]="LOG_MESSAGE"})(I||(e.BreakpointWidgetContext=I={}))}),define(De[251],Ce([1,0,9,2,11,24,16,35,21,19]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$OE=e.$NE=e.$ME=e.$LE=e.$KE=e.$JE=e.$IE=e.$HE=e.$GE=e.$FE=e.$EE=e.$DE=void 0;const L=/{([^}]+)}/g;function I(d,S,y){return d.replace(L,function(c,r){return S&&r.length>0&&r[0]!=="_"?c:y&&y.hasOwnProperty(r)?y[r]:c})}e.$DE=I;function v(d){const S={};for(const y of Object.keys(d))y.startsWith("!")||(S[y]=d[y]);return S}e.$EE=v;function D(d){return d.configuration.request==="attach"&&!C(d)&&(!d.parentSession||D(d.parentSession))}e.$FE=D;function C(d){let S=d.configuration.type;if(S)return S==="vslsShare"&&(S=d.configuration.adapterProxy.configuration.type),(0,b.$Jd)(S,"extensionhost")||(0,b.$Jd)(S,"pwa-extensionhost")?d:d.parentSession?C(d.parentSession):void 0}e.$GE=C;function w(d){return d.type&&(d.label||d.program||d.runtime)}e.$HE=w;function i(d,S,y){let c,r=0;const P=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let N=null;for(;N=P.exec(d);){const U=N.index+1,q=U+N[0].length;if(U<=S&&q>=y){c=N[0],r=U;break}}if(c){const U=/\w+/g;let q=null;for(;(q=U.exec(c))&&!(q.index+1+r+q[0].length>=y););q&&(c=c.substring(0,U.lastIndex))}return c?{start:r,end:r+c.length-1}:{start:0,end:0}}e.$IE=i;async function l(d,S,y,c){if(d.evaluatableExpressionProvider.has(S)){const r=d.evaluatableExpressionProvider.ordered(S),P=(0,m.$jf)(await Promise.all(r.map(async N=>{try{return await N.provideEvaluatableExpression(S,y,c??k.CancellationToken.None)}catch{return}})));if(P.length>0){let N=P[0].expression;const U=P[0].range;return N||(N=S.getLineContent(y.lineNumber).substring(U.startColumn-1,U.endColumn-1)),{range:U,matchingExpression:N}}}else{const r=S.getLineContent(y.lineNumber),{start:P,end:N}=i(r,y.column,y.column),U=r.substring(P-1,N);return{matchingExpression:U,range:new g.$Kr(y.lineNumber,P,y.lineNumber,P+U.length)}}return null}e.$JE=l;const a=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function p(d){return!!(d&&d.match(a))}e.$KE=p;function f(d){if(typeof d.path=="string"&&!(typeof d.sourceReference=="number"&&d.sourceReference>0)){if(p(d.path))return A.URI.parse(d.path);if((0,h.$0b)(d.path))return A.URI.file(d.path)}return d.path}function E(d){if(typeof d.path=="object"){const S=A.URI.revive(d.path);if(S)return S.scheme===R.Schemas.file?S.fsPath:S.toString()}return d.path}function n(d,S){const y=S?f:E,c=(0,F.$Dm)(d);return s(c,(r,P)=>{r&&P&&(P.path=y(P))}),c}e.$LE=n;function o(d,S){const y=S?f:E,c=(0,F.$Dm)(d);return s(c,(r,P)=>{!r&&P&&(P.path=y(P))}),c}e.$ME=o;function s(d,S){switch(d.type){case"event":{const y=d;switch(y.event){case"output":S(!1,y.body.source);break;case"loadedSource":S(!1,y.body.source);break;case"breakpoint":S(!1,y.body.breakpoint.source);break;default:break}break}case"request":{const y=d;switch(y.command){case"setBreakpoints":S(!0,y.arguments.source);break;case"breakpointLocations":S(!0,y.arguments.source);break;case"source":S(!0,y.arguments.source);break;case"gotoTargets":S(!0,y.arguments.source);break;case"launchVSCode":y.arguments.args.forEach(c=>S(!1,c));break;default:break}break}case"response":{const y=d;if(y.success&&y.body)switch(y.command){case"stackTrace":y.body.stackFrames.forEach(c=>S(!1,c.source));break;case"loadedSources":y.body.sources.forEach(c=>S(!1,c));break;case"scopes":y.body.scopes.forEach(c=>S(!1,c.source));break;case"setFunctionBreakpoints":y.body.breakpoints.forEach(c=>S(!1,c.source));break;case"setBreakpoints":y.body.breakpoints.forEach(c=>S(!1,c.source));break;case"disassemble":y.body?.instructions.forEach(r=>S(!1,r.location));break;default:break}break}}}function t(d){return d.filter(S=>!S.presentation?.hidden).sort((S,y)=>S.presentation?y.presentation?S.presentation.group?y.presentation.group?S.presentation.group!==y.presentation.group?S.presentation.group.localeCompare(y.presentation.group):u(S.presentation.order,y.presentation.order):-1:y.presentation.group?1:u(S.presentation.order,y.presentation.order):-1:y.presentation?1:0)}e.$NE=t;function u(d,S){return typeof d!="number"?typeof S!="number"?0:1:typeof S!="number"?-1:d-S}async function $(d,S){const y=d.getValue("debug.saveBeforeStart",{overrideIdentifier:S.activeTextEditorLanguageId});if(y!=="none"&&(await S.saveAll(),y==="allEditorsInActiveGroup")){const c=S.activeEditorPane;c&&c.input.resource?.scheme===R.Schemas.untitled&&await S.save({editor:c.input,groupId:c.group.id})}await d.reloadConfiguration()}e.$OE=$}),define(De[252],Ce([1,0,46,101,24,11,10,9,29,205,134]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3_b=e.$2_b=e.$1_b=e.$Z_b=e.$Y_b=void 0;class I extends L.$$9{constructor(){super(),this.r=Buffer.allocUnsafe(0),this.t=-1}v(l,a){this.p=a,this.r=Buffer.allocUnsafe(0),this.t=-1,l.on("data",p=>this.w(p))}sendMessage(l){if(this.p){const a=JSON.stringify(l);this.p.write(`Content-Length: ${Buffer.byteLength(a,"utf8")}${I.a}${a}`,"utf8")}}w(l){for(this.r=Buffer.concat([this.r,l]);;){if(this.t>=0){if(this.r.length>=this.t){const a=this.r.toString("utf8",0,this.t);if(this.r=this.r.slice(this.t),this.t=-1,a.length>0)try{this.acceptMessage(JSON.parse(a))}catch(p){this.m.fire(new Error((p.message||p)+`
`+a))}continue}}else{const a=this.r.indexOf(I.a);if(a!==-1){const f=this.r.toString("utf8",0,a).split(I.b);for(const E of f){const n=E.split(I.l);n[0]==="Content-Length"&&(this.t=Number(n[1]))}this.r=this.r.slice(a+I.a.length);continue}}break}}}e.$Y_b=I,I.a=`\r
\r
`,I.b=/\r?\n/,I.l=/: */;class v extends I{startSession(){return new Promise((l,a)=>{let p=!1;this.x=this.y(()=>{this.v(this.x,this.x),l(),p=!0}),this.x.on("close",()=>{p?this.m.fire(new Error("connection closed")):a(new Error("connection closed"))}),this.x.on("error",f=>{p?this.m.fire(f):a(f)})})}async stopSession(){await this.u(),this.x&&(this.x.end(),this.x=void 0)}}e.$Z_b=v;class D extends v{constructor(l){super(),this.z=l}y(l){return A.createConnection(this.z.port,this.z.host||"127.0.0.1",l)}}e.$1_b=D;class C extends v{constructor(l){super(),this.z=l}y(l){return A.createConnection(this.z.path,l)}}e.$2_b=C;class w extends I{constructor(l,a){super(),this.y=l,this.z=a}async startSession(){const l=this.y.command,a=this.y.args,p=this.y.options||{};try{if(l)if(F.$0b(l)){if(!await k.Promises.exists(l))throw new Error(m.localize(0,null,l))}else l.indexOf("/")<0&&l.indexOf("\\")<0;else throw new Error(m.localize(1,null,this.z));let f=process.env;if(p.env&&Object.keys(p.env).length>0&&(f=h.$Gm(h.$Dm(process.env),p.env)),l==="node")if(Array.isArray(a)&&a.length>0){const E=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,n={env:f,execArgv:E?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};p.cwd&&(n.cwd=p.cwd);const o=b.fork(a[0],a.slice(1),n);if(!o.pid)throw new Error(m.localize(2,null,a[0]));this.x=o}else throw new Error(m.localize(3,null));else{const E={env:f};p.cwd&&(E.cwd=p.cwd),this.x=b.spawn(l,a,E)}this.x.on("error",E=>{this.m.fire(E)}),this.x.on("exit",(E,n)=>{this.n.fire(E)}),this.x.stdout.on("close",()=>{this.m.fire(new Error("read error"))}),this.x.stdout.on("error",E=>{this.m.fire(E)}),this.x.stdin.on("error",E=>{this.m.fire(E)}),this.x.stderr.resume(),this.v(this.x.stdout,this.x.stdin)}catch(f){this.m.fire(f)}}async stopSession(){return this.x?(await this.u(),R.$i?new Promise((l,a)=>{const p=b.exec(`taskkill /F /T /PID ${this.x.pid}`,function(f,E,n){if(f)return a(f)});p.on("exit",l),p.on("error",a)}):(this.x.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static A(l,a){if(!l)return;const p=Object.create(null);l.runtime&&(l.runtime.indexOf("./")===0?p.runtime=F.$$b(a,l.runtime):p.runtime=l.runtime),l.runtimeArgs&&(p.runtimeArgs=l.runtimeArgs),l.program&&(F.$0b(l.program)?p.program=l.program:p.program=F.$$b(a,l.program)),l.args&&(p.args=l.args);const f=l;return f.win&&(p.win=w.A(f.win,a)),f.winx86&&(p.winx86=w.A(f.winx86,a)),f.windows&&(p.windows=w.A(f.windows,a)),f.osx&&(p.osx=w.A(f.osx,a)),f.linux&&(p.linux=w.A(f.linux,a)),p}static platformAdapterExecutable(l,a){let p=Object.create(null);a=a.toLowerCase();for(const t of l)if(t.contributes){const u=t.contributes.debuggers;u&&u.length>0&&u.filter($=>typeof $.type=="string"&&g.$Jd($.type,a)).forEach($=>{const d=w.A($,t.extensionLocation.fsPath);p=h.$Gm(p,d,t.isBuiltin)})}let f;R.$i&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?f=p.winx86||p.win||p.windows:R.$i?f=p.win||p.windows:R.$j?f=p.osx:R.$k&&(f=p.linux),f=f||p;const E=f.program||p.program,n=f.args||p.args,o=f.runtime||p.runtime,s=f.runtimeArgs||p.runtimeArgs;if(o)return{type:"executable",command:o,args:(s||[]).concat(typeof E=="string"?[E]:[]).concat(n||[])};if(E)return{type:"executable",command:E,args:n||[]}}}e.$3_b=w}),define(De[253],Ce([1,0,46,31,10]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5_b=e.$4_b=void 0;function F(m,L){return new Promise((I,v)=>{let D="";const C=b.spawn(m,L);C.pid&&C.stdout.on("data",w=>{D+=w.toString()}),C.on("error",w=>{v(w)}),C.on("close",w=>{I(D)})})}async function R(m){if(m)if(h.$i){const L=await new Promise((I,v)=>{re(["@vscode/windows-process-tree"],I,v)});return new Promise(I=>{L.getProcessTree(m,v=>{I(!!v&&v.children.length>0)})})}else return F("/usr/bin/pgrep",["-lP",String(m)]).then(L=>{const I=L.trim();return!(I.length===0||I.indexOf(" tmux")>=0)},L=>!0);return Promise.resolve(!0)}e.$4_b=R;var g;(function(m){m[m.cmd=0]="cmd",m[m.powershell=1]="powershell",m[m.bash=2]="bash"})(g||(g={}));function k(m,L,I,v,D){m=m.trim().toLowerCase();let C;m.indexOf("powershell")>=0||m.indexOf("pwsh")>=0?C=1:m.indexOf("cmd.exe")>=0?C=0:m.indexOf("bash")>=0?C=2:h.$i?C=0:C=2;let w,i=" ";switch(C){case 1:if(w=l=>(l=l.replace(/\'/g,"''"),l.length>0&&l.charAt(l.length-1)==="\\"?`'${l}\\'`:`'${l}'`),v){const l=(0,A.$Me)(v);l&&(i+=`${l}:; `),i+=`cd ${w(v)}; `}if(D)for(const l in D){const a=D[l];a===null?i+=`Remove-Item env:${l}; `:i+=`\${env:${l}}='${a}'; `}if(L.length>0){const l=L.shift(),a=I?l:w(l);i+=a[0]==="'"?`& ${a} `:`${a} `;for(const p of L)i+=p==="<"||p===">"||I?p:w(p),i+=" "}break;case 0:if(w=l=>(l=l.replace(/\"/g,'""'),l=l.replace(/([><!^&|])/g,"^$1"),' "'.split("").some(a=>l.includes(a))||l.length===0?`"${l}"`:l),v){const l=(0,A.$Me)(v);l&&(i+=`${l}: && `),i+=`cd ${w(v)} && `}if(D){i+='cmd /C "';for(const l in D){let a=D[l];a===null?i+=`set "${l}=" && `:(a=a.replace(/[&^|<>]/g,p=>`^${p}`),i+=`set "${l}=${a}" && `)}}for(const l of L)i+=l==="<"||l===">"||I?l:w(l),i+=" ";D&&(i+='"');break;case 2:{w=a=>(a=a.replace(/(["'\\\$!><#()\[\]*&^| ;{}`])/g,"\\$1"),a.length===0?'""':a);const l=a=>/[^\w@%\/+=,.:^-]/.test(a)?`'${a.replace(/'/g,"'\\''")}'`:a;if(v&&(i+=`cd ${w(v)} ; `),D){i+="/usr/bin/env";for(const a in D){const p=D[a];p===null?i+=` -u ${l(a)}`:i+=` ${l(`${a}=${p}`)}`}i+=" "}for(const a of L)i+=a==="<"||a===">"||I?a:w(a),i+=" ";break}}return i}e.$5_b=k}),define(De[102],Ce([1,0,22,33,48,92,16,11,10,47]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hH=e.$gH=e.$fH=e.CellStatusbarAlignment=e.$eH=e.$dH=e.$cH=e.NotebookEditorPriority=e.$bH=e.$aH=e.$_G=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookExecutionState=e.NotebookCellExecutionState=e.NotebookRunState=e.$$G=e.$0G=e.$9G=e.$8G=e.CellKind=e.$7G=e.$6G=e.$5G=void 0,e.$5G="workbench.editor.notebook",e.$6G="workbench.editor.notebookTextDiffEditor",e.$7G="workbench.editor.interactive";var L;(function(z){z[z.Markup=1]="Markup",z[z.Code=2]="Code"})(L||(e.CellKind=L={})),e.$8G=["application/json","application/javascript","text/html","image/svg+xml",F.$qr.latex,F.$qr.markdown,"image/png","image/jpeg",F.$qr.text],e.$9G=[F.$qr.latex,F.$qr.markdown,"application/json","text/html","image/svg+xml","image/png","image/jpeg",F.$qr.text],e.$0G=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.$$G="_notAvailable";var I;(function(z){z[z.Running=1]="Running",z[z.Idle=2]="Idle"})(I||(e.NotebookRunState=I={}));var v;(function(z){z[z.Unconfirmed=1]="Unconfirmed",z[z.Pending=2]="Pending",z[z.Executing=3]="Executing"})(v||(e.NotebookCellExecutionState=v={}));var D;(function(z){z[z.Unconfirmed=1]="Unconfirmed",z[z.Pending=2]="Pending",z[z.Executing=3]="Executing"})(D||(e.NotebookExecutionState=D={}));var C;(function(z){z[z.WithHardKernelDependency=0]="WithHardKernelDependency",z[z.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",z[z.Pure=2]="Pure",z[z.Never=3]="Never"})(C||(e.NotebookRendererMatch=C={}));var w;(function(z){z.Always="always",z.Never="never",z.Optional="optional"})(w||(e.RendererMessagingSpec=w={}));var i;(function(z){z[z.ModelChange=1]="ModelChange",z[z.Move=2]="Move",z[z.ChangeCellLanguage=5]="ChangeCellLanguage",z[z.Initialize=6]="Initialize",z[z.ChangeCellMetadata=7]="ChangeCellMetadata",z[z.Output=8]="Output",z[z.OutputItem=9]="OutputItem",z[z.ChangeCellContent=10]="ChangeCellContent",z[z.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",z[z.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",z[z.ChangeCellMime=13]="ChangeCellMime",z[z.Unknown=100]="Unknown"})(i||(e.NotebookCellsChangeType=i={}));var l;(function(z){z[z.Handle=0]="Handle",z[z.Index=1]="Index"})(l||(e.SelectionStateType=l={}));var a;(function(z){z[z.Replace=1]="Replace",z[z.Output=2]="Output",z[z.Metadata=3]="Metadata",z[z.CellLanguage=4]="CellLanguage",z[z.DocumentMetadata=5]="DocumentMetadata",z[z.Move=6]="Move",z[z.OutputItems=7]="OutputItems",z[z.PartialMetadata=8]="PartialMetadata",z[z.PartialInternalMetadata=9]="PartialInternalMetadata"})(a||(e.CellEditType=a={}));var p;(function(z){z.scheme=R.Schemas.vscodeNotebookCell;const j=["W","X","Y","Z","a","b","c","d","e","f"],he=new RegExp(`^[${j.join("")}]+`),ie=7;function ne(ge,M){const Q=M.toString(ie),Se=`${Q.length<j.length?j[Q.length-1]:"z"}${Q}s${(0,b.$2b)(b.$Ib.fromString(ge.scheme),!0,!0)}`;return ge.with({scheme:z.scheme,fragment:Se})}z.generate=ne;function V(ge){if(ge.scheme!==z.scheme)return;const M=ge.fragment.indexOf("s");if(M<0)return;const Q=parseInt(ge.fragment.substring(0,M).replace(he,""),ie),ve=(0,b.$1b)(ge.fragment.substring(M+1)).toString();if(!isNaN(Q))return{handle:Q,notebook:ge.with({scheme:ve,fragment:null})}}z.parse=V;function H(ge,M){return ge.with({scheme:R.Schemas.vscodeNotebookCellOutput,fragment:`op${M??""},${ge.scheme!==R.Schemas.file?ge.scheme:""}`})}z.generateCellOutputUri=H;function ce(ge){if(ge.scheme!==R.Schemas.vscodeNotebookCellOutput)return;const M=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(ge.fragment);if(!M)return;const Q=M[1]&&M[1]!==""?M[1]:void 0,ve=M[2];return{outputId:Q,notebook:ge.with({scheme:ve||R.Schemas.file,fragment:null})}}z.parseCellOutputUri=ce;function pe(ge,M,Q){return z.generate(ge,M).with({scheme:Q})}z.generateCellPropertyUri=pe;function ye(ge,M){if(ge.scheme===M)return z.parse(ge.with({scheme:z.scheme}))}z.parseCellPropertyUri=ye})(p||(e.CellUri=p={}));const f=z=>k.$i?z.replace(/\//g,"\\"):z;class E{constructor(j=[],he=e.$8G){this.e=he,this.d=[...new Set(j)].map(ie=>({pattern:ie,matches:A.$aj(f(ie))}))}sort(j){const he=new Map(h.Iterable.map(j,ne=>[ne,f(ne)]));let ie=[];for(const{matches:ne}of this.d)for(const[V,H]of he)if(ne(H)){ie.push(V),he.delete(V);break}return he.size&&(ie=ie.concat([...he.keys()].sort((ne,V)=>this.e.indexOf(ne)-this.e.indexOf(V)))),ie}prioritize(j,he){const ie=this.f(j);if(ie===-1){this.d.unshift({pattern:j,matches:A.$aj(f(j))});return}const ne=new Set(he.map(H=>this.f(H,ie)));ne.delete(-1);const V=Array.from(ne).sort();this.d.splice(ie+1,0,...V.map(H=>this.d[H]));for(let H=V.length-1;H>=0;H--)this.d.splice(V[H],1)}toArray(){return this.d.map(j=>j.pattern)}f(j,he=this.d.length){const ie=f(j);for(let ne=0;ne<he;ne++)if(this.d[ne].matches(ie))return ne;return-1}}e.$_G=E;function n(z,j,he,ie=(ne,V)=>ne===V){const ne=[];function V(pe,ye,ge){if(ye===0&&ge.length===0)return;const M=ne[ne.length-1];M&&M.start+M.deleteCount===pe?(M.deleteCount+=ye,M.toInsert.push(...ge)):ne.push({start:pe,deleteCount:ye,toInsert:ge})}let H=0,ce=0;for(;;){if(H===z.length){V(H,0,j.slice(ce));break}if(ce===j.length){V(H,z.length-H,[]);break}const pe=z[H],ye=j[ce];if(ie(pe,ye)){H+=1,ce+=1;continue}he(ye)?(V(H,1,[]),H+=1):(V(H,0,[ye]),ce+=1)}return ne}e.$aH=n,e.$bH=new m.$Ki("notebookEditorCursorAtBoundary","none");var o;(function(z){z.default="default",z.option="option"})(o||(e.NotebookEditorPriority=o={}));function s(z){const j=z;return!!((typeof j.include=="string"||A.$bj(j.include))&&(typeof j.exclude=="string"||A.$bj(j.exclude)))}e.$cH=s;function t(z,j,he){if(Array.isArray(z.viewType)&&z.viewType.indexOf(j)>=0||z.viewType===j)return!0;if(z.filenamePattern){const ie=s(z.filenamePattern)?z.filenamePattern.include:z.filenamePattern,ne=s(z.filenamePattern)?z.filenamePattern.exclude:void 0;if(A.$_i(ie,(0,g.$cc)(he.fsPath).toLowerCase()))return!(ne&&A.$_i(ne,(0,g.$cc)(he.fsPath).toLowerCase()))}return!1}e.$dH=t,e.$eH={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",diffOverviewRuler:"notebook.diff.overviewRuler",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputScrollingDeprecated:"notebook.experimental.outputScrolling",outputScrolling:"notebook.output.scrolling",textOutputLineLimit:"notebook.output.textLineLimit",formatOnSave:"notebook.formatOnSave.enabled",formatOnCellExecution:"notebook.formatOnCellExecution",codeActionsOnSave:"notebook.codeActionsOnSave",outputWordWrap:"notebook.output.wordWrap",outputLineHeightDeprecated:"notebook.outputLineHeight",outputLineHeight:"notebook.output.lineHeight",outputFontSizeDeprecated:"notebook.outputFontSize",outputFontSize:"notebook.output.fontSize",outputFontFamilyDeprecated:"notebook.outputFontFamily",outputFontFamily:"notebook.output.fontFamily",findScope:"notebook.find.scope",logging:"notebook.logging",confirmDeleteRunningCell:"notebook.confirmDeleteRunningCell"};var u;(function(z){z[z.Left=1]="Left",z[z.Right=2]="Right"})(u||(e.CellStatusbarAlignment=u={}));class ${static create(j){return`${$.d}${j}`}static parse(j){if(j.startsWith($.d))return j.substring($.d.length)}}e.$fH=$,$.d="notebook/";function d(z){return["application/vnd.code.notebook.stdout","application/vnd.code.notebook.stderr"].includes(z)}e.$gH=d;const S=new TextDecoder;function y(z){const j=[];let he=!1;for(const ie of z)(j.length===0||he)&&(j.push(ie),he=!0);return N(j),J(b.$Ib.concat(j.map(ie=>b.$Ib.wrap(ie))))}e.$hH=y;const c=`${String.fromCharCode(27)}[A`,r=c.split("").map(z=>z.charCodeAt(0)),P=10;function N(z){z.forEach((j,he)=>{if(he===0||j.length<c.length)return;const ie=z[he-1],ne=j.subarray(0,c.length);if(ne[0]===r[0]&&ne[1]===r[1]&&ne[2]===r[2]){const V=ie.lastIndexOf(P);if(V===-1)return;z[he-1]=ie.subarray(0,V),z[he]=j.subarray(c.length)}})}function U(z){let j=z;do z=j,j=z.replace(/[^\n]\x08/gm,"");while(j.length<z.length);return z}function q(z){for(z=z.replace(/\r+\n/gm,`
`);z.search(/\r[^$]/g)>-1;){const j=z.match(/^(.*)\r+/m)[1];let he=z.match(/\r+(.*)$/m)[1];he=he+j.slice(he.length,j.length),z=z.replace(/\r+.*$/m,"\r").replace(/^.*\r/m,he)}return z}const W="\b".charCodeAt(0),O="\r".charCodeAt(0);function J(z){return!z.buffer.includes(W)&&!z.buffer.includes(O)?z:b.$Ib.fromString(q(U(S.decode(z.buffer))))}});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[7],Ce([1,0,19,8,94,28,92,9,12,2,32,25,30,130,102]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C){"use strict";var w,i,l,a,p,f,E,n,o,s,t,u,$,d,S,y,c,r,P,N,U,q,W,O,J,z;Object.defineProperty(e,"__esModule",{value:!0}),e.InteractiveEditorResponseFeedbackKind=e.InteractiveSessionCopyKind=e.InteractiveSessionVoteDirection=e.$2K=e.$1K=e.$ZK=e.$YK=e.$XK=e.$WK=e.$VK=e.$UK=e.$TK=e.$SK=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.$RK=e.$QK=e.$PK=e.$OK=e.$NK=e.$MK=e.$LK=e.$KK=e.$JK=e.TestRunProfileKind=e.TestResultState=e.$IK=e.$HK=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.$GK=e.$FK=e.$EK=e.NotebookControllerAffinity2=e.NotebookControllerAffinity=e.$DK=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.$CK=e.$BK=e.$AK=e.$zK=e.$yK=e.ColorThemeKind=e.$xK=e.$wK=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.$vK=e.DebugConsoleMode=e.$uK=e.$tK=e.$sK=e.$rK=e.$qK=e.CommentThreadState=e.CommentState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.$pK=e.$oK=e.FileChangeType=e.$nK=e.$mK=e.$lK=e.$kK=e.InlineCompletionTriggerKind=e.$jK=e.$iK=e.$hK=e.$gK=e.$fK=e.$eK=e.$dK=e.$cK=e.$bK=e.$aK=e.$_J=e.$$J=e.$0J=e.ConfigurationTarget=e.$9J=e.$8J=e.$7J=e.$6J=e.$5J=e.$4J=e.$3J=e.$2J=e.$1J=e.TreeItemCheckboxState=e.TreeItemCollapsibleState=e.$ZJ=e.ViewBadge=e.ProgressLocation=e.$YJ=e.$XJ=e.TaskScope=e.ShellQuoting=e.$WJ=e.$VJ=e.$UJ=e.TaskPanelKind=e.TaskRevealKind=e.$TJ=e.TerminalLocation=e.$SJ=e.$RJ=e.$QJ=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.$PJ=e.$OJ=e.$NJ=e.$MJ=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.$LJ=e.StatusBarAlignment=e.ViewColumn=e.$KJ=e.$JJ=e.$IJ=e.$HJ=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.$GJ=e.$FJ=e.InlayHintKind=e.SignatureHelpTriggerKind=e.$EJ=e.$DJ=e.$CJ=e.$BJ=e.$AJ=e.LanguageStatusSeverity=e.$zJ=e.$yJ=e.$xJ=e.$wJ=e.$vJ=e.$uJ=e.$tJ=e.CodeActionTriggerKind=e.$sJ=e.$rJ=e.SymbolTag=e.SymbolKind=e.$qJ=e.DocumentHighlightKind=e.$pJ=e.$oJ=e.$nJ=e.$mJ=e.DiagnosticSeverity=e.DiagnosticTag=e.$lJ=e.$kJ=e.FileEditType=e.$jJ=e.$iJ=e.$hJ=e.EnvironmentVariableMutatorType=e.EndOfLine=e.$gJ=e.$fJ=e.$eJ=e.$dJ=e.$cJ=e.$bJ=e.$aJ=e.TerminalQuickFixType=e.TerminalOutputAnchor=void 0;function j(G){return Object.assign(G,{apply:function(){const be=arguments.length===1?[]:arguments[1];return Reflect.construct(G,be,arguments[0].constructor)},call:function(){if(arguments.length===0)return Reflect.construct(G,[]);{const[be,...Re]=arguments;return Reflect.construct(G,Re,be.constructor)}}})}var he;(function(G){G[G.Top=0]="Top",G[G.Bottom=1]="Bottom"})(he||(e.TerminalOutputAnchor=he={}));var ie;(function(G){G[G.Command=0]="Command",G[G.Opener=1]="Opener"})(ie||(e.TerminalQuickFixType=ie={}));let ne=e.$aJ=o=class{static from(...B){let be=B;return new o(function(){if(be){for(const Re of be)Re&&typeof Re.dispose=="function"&&Re.dispose();be=void 0}})}constructor(B){w.set(this,void 0),Xe(this,w,B,"f")}dispose(){typeof Te(this,w,"f")=="function"&&(Te(this,w,"f").call(this),Xe(this,w,void 0,"f"))}};w=new WeakMap,e.$aJ=ne=o=He([j],ne);let V=e.$bJ=s=class{static Min(...B){if(B.length===0)throw new TypeError;let be=B[0];for(let Re=1;Re<B.length;Re++){const Je=B[Re];Je.isBefore(be)&&(be=Je)}return be}static Max(...B){if(B.length===0)throw new TypeError;let be=B[0];for(let Re=1;Re<B.length;Re++){const Je=B[Re];Je.isAfter(be)&&(be=Je)}return be}static isPosition(B){if(!B)return!1;if(B instanceof s)return!0;const{line:be,character:Re}=B;return typeof be=="number"&&typeof Re=="number"}static of(B){if(B instanceof s)return B;if(this.isPosition(B))return new s(B.line,B.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this.c}get character(){return this.e}constructor(B,be){if(B<0)throw(0,A.$4)("line must be non-negative");if(be<0)throw(0,A.$4)("character must be non-negative");this.c=B,this.e=be}isBefore(B){return this.c<B.c?!0:B.c<this.c?!1:this.e<B.e}isBeforeOrEqual(B){return this.c<B.c?!0:B.c<this.c?!1:this.e<=B.e}isAfter(B){return!this.isBeforeOrEqual(B)}isAfterOrEqual(B){return!this.isBefore(B)}isEqual(B){return this.c===B.c&&this.e===B.e}compareTo(B){return this.c<B.c?-1:this.c>B.line?1:this.e<B.e?-1:this.e>B.e?1:0}translate(B,be=0){if(B===null||be===null)throw(0,A.$4)();let Re;return typeof B>"u"?Re=0:typeof B=="number"?Re=B:(Re=typeof B.lineDelta=="number"?B.lineDelta:0,be=typeof B.characterDelta=="number"?B.characterDelta:0),Re===0&&be===0?this:new s(this.line+Re,this.character+be)}with(B,be=this.character){if(B===null||be===null)throw(0,A.$4)();let Re;return typeof B>"u"?Re=this.line:typeof B=="number"?Re=B:(Re=typeof B.line=="number"?B.line:this.line,be=typeof B.character=="number"?B.character:this.character),Re===this.line&&be===this.character?this:new s(Re,be)}toJSON(){return{line:this.line,character:this.character}}};e.$bJ=V=s=He([j],V);let H=e.$cJ=t=class{static isRange(B){return B instanceof t?!0:B?V.isPosition(B.start)&&V.isPosition(B.end):!1}static of(B){if(B instanceof t)return B;if(this.isRange(B))return new t(B.start,B.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this.c}get end(){return this.e}constructor(B,be,Re,Je){let _e,ct;if(typeof B=="number"&&typeof be=="number"&&typeof Re=="number"&&typeof Je=="number"?(_e=new V(B,be),ct=new V(Re,Je)):V.isPosition(B)&&V.isPosition(be)&&(_e=V.of(B),ct=V.of(be)),!_e||!ct)throw new Error("Invalid arguments");_e.isBefore(ct)?(this.c=_e,this.e=ct):(this.c=ct,this.e=_e)}contains(B){return t.isRange(B)?this.contains(B.start)&&this.contains(B.end):V.isPosition(B)?!(V.of(B).isBefore(this.c)||this.e.isBefore(B)):!1}isEqual(B){return this.c.isEqual(B.c)&&this.e.isEqual(B.e)}intersection(B){const be=V.Max(B.start,this.c),Re=V.Min(B.end,this.e);if(!be.isAfter(Re))return new t(be,Re)}union(B){if(this.contains(B))return this;if(B.contains(this))return B;const be=V.Min(B.start,this.c),Re=V.Max(B.end,this.end);return new t(be,Re)}get isEmpty(){return this.c.isEqual(this.e)}get isSingleLine(){return this.c.line===this.e.line}with(B,be=this.end){if(B===null||be===null)throw(0,A.$4)();let Re;return B?V.isPosition(B)?Re=B:(Re=B.start||this.start,be=B.end||this.end):Re=this.start,Re.isEqual(this.c)&&be.isEqual(this.end)?this:new t(Re,be)}toJSON(){return[this.start,this.end]}};e.$cJ=H=t=He([j],H);let ce=e.$dJ=u=class extends H{static isSelection(B){return B instanceof u?!0:B?H.isRange(B)&&V.isPosition(B.anchor)&&V.isPosition(B.active)&&typeof B.isReversed=="boolean":!1}get anchor(){return this.f}get active(){return this.g}constructor(B,be,Re,Je){let _e,ct;if(typeof B=="number"&&typeof be=="number"&&typeof Re=="number"&&typeof Je=="number"?(_e=new V(B,be),ct=new V(Re,Je)):V.isPosition(B)&&V.isPosition(be)&&(_e=V.of(B),ct=V.of(be)),!_e||!ct)throw new Error("Invalid arguments");super(_e,ct),this.f=_e,this.g=ct}get isReversed(){return this.f===this.e}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};e.$dJ=ce=u=He([j],ce);const pe=G=>{if(typeof G!="string"||G.length===0||!/^[0-9A-Za-z_\-]+$/.test(G))throw(0,A.$4)("connectionToken")};class ye{static isResolvedAuthority(B){return B&&typeof B=="object"&&typeof B.host=="string"&&typeof B.port=="number"&&(B.connectionToken===void 0||typeof B.connectionToken=="string")}constructor(B,be,Re){if(typeof B!="string"||B.length===0)throw(0,A.$4)("host");if(typeof be!="number"||be===0||Math.round(be)!==be)throw(0,A.$4)("port");typeof Re<"u"&&pe(Re),this.host=B,this.port=Math.round(be),this.connectionToken=Re}}e.$eJ=ye;class ge{static isManagedResolvedAuthority(B){return B&&typeof B=="object"&&typeof B.makeConnection=="function"&&(B.connectionToken===void 0||typeof B.connectionToken=="string")}constructor(B,be){this.makeConnection=B,this.connectionToken=be,typeof be<"u"&&pe(be)}}e.$fJ=ge;class M extends Error{static NotAvailable(B,be){return new M(B,D.RemoteAuthorityResolverErrorCode.NotAvailable,be)}static TemporarilyNotAvailable(B){return new M(B,D.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}constructor(B,be=D.RemoteAuthorityResolverErrorCode.Unknown,Re){super(B),this._message=B,this._code=be,this._detail=Re,Object.setPrototypeOf(this,M.prototype)}}e.$gJ=M;var Q;(function(G){G[G.LF=1]="LF",G[G.CRLF=2]="CRLF"})(Q||(e.EndOfLine=Q={}));var ve;(function(G){G[G.Replace=1]="Replace",G[G.Append=2]="Append",G[G.Prepend=3]="Prepend"})(ve||(e.EnvironmentVariableMutatorType=ve={}));let Se=e.$hJ=$=class{static isTextEdit(B){return B instanceof $?!0:B?H.isRange(B)&&typeof B.newText=="string":!1}static replace(B,be){return new $(B,be)}static insert(B,be){return $.replace(new H(B,B),be)}static delete(B){return $.replace(B,"")}static setEndOfLine(B){const be=new $(new H(new V(0,0),new V(0,0)),"");return be.newEol=B,be}get range(){return this.c}set range(B){if(B&&!H.isRange(B))throw(0,A.$4)("range");this.c=B}get newText(){return this.e||""}set newText(B){if(B&&typeof B!="string")throw(0,A.$4)("newText");this.e=B}get newEol(){return this.f}set newEol(B){if(B&&typeof B!="number")throw(0,A.$4)("newEol");this.f=B}constructor(B,be){this.c=B,this.e=be}toJSON(){return{range:this.range,newText:this.newText,newEol:this.f}}};e.$hJ=Se=$=He([j],Se);let ee=e.$iJ=d=class{static isNotebookCellEdit(B){return B instanceof d?!0:B?_t.isNotebookRange(B)&&Array.isArray(B.newCells):!1}static replaceCells(B,be){return new d(B,be)}static insertCells(B,be){return new d(new _t(B,B),be)}static deleteCells(B){return new d(B,[])}static updateCellMetadata(B,be){const Re=new d(new _t(B,B),[]);return Re.newCellMetadata=be,Re}static updateNotebookMetadata(B){const be=new d(new _t(0,0),[]);return be.newNotebookMetadata=B,be}constructor(B,be){this.range=B,this.newCells=be}};e.$iJ=ee=d=He([j],ee);class te{static isSnippetTextEdit(B){return B instanceof te?!0:B?H.isRange(B.range)&&le.isSnippetString(B.snippet):!1}static replace(B,be){return new te(B,be)}static insert(B,be){return te.replace(new H(B,B),be)}constructor(B,be){this.range=B,this.snippet=be}}e.$jJ=te;var ue;(function(G){G[G.File=1]="File",G[G.Text=2]="Text",G[G.Cell=3]="Cell",G[G.CellReplace=5]="CellReplace",G[G.Snippet=6]="Snippet"})(ue||(e.FileEditType=ue={}));let Z=e.$kJ=class{constructor(){this.c=[]}_allEntries(){return this.c}renameFile(B,be,Re,Je){this.c.push({_type:1,from:B,to:be,options:Re,metadata:Je})}createFile(B,be,Re){this.c.push({_type:1,from:void 0,to:B,options:be,metadata:Re})}deleteFile(B,be,Re){this.c.push({_type:1,from:B,to:void 0,options:be,metadata:Re})}e(B,be,Re){this.c.push({_type:3,metadata:Re,uri:B,edit:{editType:5,metadata:be},notebookMetadata:be})}f(B,be,Re,Je){const _e=be.start,ct=be.end;(_e!==ct||Re.length>0)&&this.c.push({_type:5,uri:B,index:_e,count:ct-_e,cells:Re,metadata:Je})}g(B,be,Re,Je){this.c.push({_type:3,metadata:Je,uri:B,edit:{editType:3,index:be,metadata:Re}})}replace(B,be,Re,Je){this.c.push({_type:2,uri:B,edit:new Se(be,Re),metadata:Je})}insert(B,be,Re,Je){this.replace(B,new H(be,be),Re,Je)}delete(B,be,Re){this.replace(B,be,"",Re)}has(B){return this.c.some(be=>be._type===2&&be.uri.toString()===B.toString())}set(B,be){if(be)for(const Re of be){if(!Re)continue;let Je,_e;Array.isArray(Re)?(Je=Re[0],_e=Re[1]):Je=Re,ee.isNotebookCellEdit(Je)?Je.newCellMetadata?this.g(B,Je.range.start,Je.newCellMetadata,_e):Je.newNotebookMetadata?this.e(B,Je.newNotebookMetadata,_e):this.f(B,Je.range,Je.newCells,_e):te.isSnippetTextEdit(Je)?this.c.push({_type:6,uri:B,range:Je.range,edit:Je.snippet,metadata:_e}):this.c.push({_type:2,uri:B,edit:Je,metadata:_e})}else{for(let Re=0;Re<this.c.length;Re++){const Je=this.c[Re];switch(Je._type){case 2:case 6:case 3:case 5:Je.uri.toString()===B.toString()&&(this.c[Re]=void 0);break}}(0,b.$kf)(this.c)}}get(B){const be=[];for(const Re of this.c)Re._type===2&&Re.uri.toString()===B.toString()&&be.push(Re.edit);return be}entries(){const B=new F.$ji;for(const be of this.c)if(be._type===2){let Re=B.get(be.uri);Re||(Re=[be.uri,[]],B.set(be.uri,Re)),Re[1].push(be.edit)}return[...B.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};e.$kJ=Z=He([j],Z);let le=e.$lJ=S=class{static isSnippetString(B){return B instanceof S?!0:B?typeof B.value=="string":!1}static c(B){return B.replace(/\$|}|\\/g,"\\$&")}constructor(B){this.e=1,this.value=B||""}appendText(B){return this.value+=S.c(B),this}appendTabstop(B=this.e++){return this.value+="$",this.value+=B,this}appendPlaceholder(B,be=this.e++){if(typeof B=="function"){const Re=new S;Re.e=this.e,B(Re),this.e=Re.e,B=Re.value}else B=S.c(B);return this.value+="${",this.value+=be,this.value+=":",this.value+=B,this.value+="}",this}appendChoice(B,be=this.e++){const Re=B.map(Je=>Je.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=be,this.value+="|",this.value+=Re,this.value+="|}",this}appendVariable(B,be){if(typeof be=="function"){const Re=new S;Re.e=this.e,be(Re),this.e=Re.e,be=Re.value}else typeof be=="string"&&(be=be.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=B,be&&(this.value+=":",this.value+=be),this.value+="}",this}};e.$lJ=le=S=He([j],le);var se;(function(G){G[G.Unnecessary=1]="Unnecessary",G[G.Deprecated=2]="Deprecated"})(se||(e.DiagnosticTag=se={}));var oe;(function(G){G[G.Hint=3]="Hint",G[G.Information=2]="Information",G[G.Warning=1]="Warning",G[G.Error=0]="Error"})(oe||(e.DiagnosticSeverity=oe={}));let T=e.$mJ=y=class{static isLocation(B){return B instanceof y?!0:B?H.isRange(B.range)&&m.URI.isUri(B.uri):!1}constructor(B,be){if(this.uri=B,be)if(H.isRange(be))this.range=H.of(be);else if(V.isPosition(be))this.range=new H(be,be);else throw new Error("Illegal argument")}toJSON(){return{uri:this.uri,range:this.range}}};e.$mJ=T=y=He([j],T);let K=e.$nJ=class{static is(B){return B?typeof B.message=="string"&&B.location&&H.isRange(B.location.range)&&m.URI.isUri(B.location.uri):!1}constructor(B,be){this.location=B,this.message=be}static isEqual(B,be){return B===be?!0:!B||!be?!1:B.message===be.message&&B.location.range.isEqual(be.location.range)&&B.location.uri.toString()===be.location.uri.toString()}};e.$nJ=K=He([j],K);let X=e.$oJ=class{constructor(B,be,Re=oe.Error){if(!H.isRange(B))throw new TypeError("range must be set");if(!be)throw new TypeError("message must be set");this.range=B,this.message=be,this.severity=Re}toJSON(){return{severity:oe[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(B,be){return B===be?!0:!B||!be?!1:B.message===be.message&&B.severity===be.severity&&B.code===be.code&&B.severity===be.severity&&B.source===be.source&&B.range.isEqual(be.range)&&(0,b.$$e)(B.tags,be.tags)&&(0,b.$$e)(B.relatedInformation,be.relatedInformation,K.isEqual)}};e.$oJ=X=He([j],X);let x=e.$pJ=class{constructor(B,be){if(!B)throw new Error("Illegal argument, contents must be defined");Array.isArray(B)?this.contents=B:this.contents=[B],this.range=be}};e.$pJ=x=He([j],x);var me;(function(G){G[G.Text=0]="Text",G[G.Read=1]="Read",G[G.Write=2]="Write"})(me||(e.DocumentHighlightKind=me={}));let Ee=e.$qJ=class{constructor(B,be=me.Text){this.range=B,this.kind=be}toJSON(){return{range:this.range,kind:me[this.kind]}}};e.$qJ=Ee=He([j],Ee);var fe;(function(G){G[G.File=0]="File",G[G.Module=1]="Module",G[G.Namespace=2]="Namespace",G[G.Package=3]="Package",G[G.Class=4]="Class",G[G.Method=5]="Method",G[G.Property=6]="Property",G[G.Field=7]="Field",G[G.Constructor=8]="Constructor",G[G.Enum=9]="Enum",G[G.Interface=10]="Interface",G[G.Function=11]="Function",G[G.Variable=12]="Variable",G[G.Constant=13]="Constant",G[G.String=14]="String",G[G.Number=15]="Number",G[G.Boolean=16]="Boolean",G[G.Array=17]="Array",G[G.Object=18]="Object",G[G.Key=19]="Key",G[G.Null=20]="Null",G[G.EnumMember=21]="EnumMember",G[G.Struct=22]="Struct",G[G.Event=23]="Event",G[G.Operator=24]="Operator",G[G.TypeParameter=25]="TypeParameter"})(fe||(e.SymbolKind=fe={}));var Ie;(function(G){G[G.Deprecated=1]="Deprecated"})(Ie||(e.SymbolTag=Ie={}));let Pe=e.$rJ=c=class{static validate(B){if(!B.name)throw new Error("name must not be falsy")}constructor(B,be,Re,Je,_e){this.name=B,this.kind=be,this.containerName=_e,typeof Re=="string"&&(this.containerName=Re),Je instanceof T?this.location=Je:Re instanceof H&&(this.location=new T(Je,Re)),c.validate(this)}toJSON(){return{name:this.name,kind:fe[this.kind],location:this.location,containerName:this.containerName}}};e.$rJ=Pe=c=He([j],Pe);let qe=e.$sJ=r=class{static validate(B){if(!B.name)throw new Error("name must not be falsy");if(!B.range.contains(B.selectionRange))throw new Error("selectionRange must be contained in fullRange");B.children?.forEach(r.validate)}constructor(B,be,Re,Je,_e){this.name=B,this.detail=be,this.kind=Re,this.range=Je,this.selectionRange=_e,this.children=[],r.validate(this)}};e.$sJ=qe=r=He([j],qe);var Ve;(function(G){G[G.Invoke=1]="Invoke",G[G.Automatic=2]="Automatic"})(Ve||(e.CodeActionTriggerKind=Ve={}));let tt=e.$tJ=class{constructor(B,be){this.title=B,this.kind=be}};e.$tJ=tt=He([j],tt);let Ge=e.$uJ=P=class{constructor(B){this.value=B}append(B){return new P(this.value?this.value+P.c+B:B)}intersects(B){return this.contains(B)||B.contains(this)}contains(B){return this.value===B.value||B.value.startsWith(this.value+P.c)}};Ge.c=".",e.$uJ=Ge=P=He([j],Ge);class Qe extends Ge{constructor(B){super(B),this.value=B}}e.$vJ=Qe,Ge.Empty=new Ge(""),Ge.QuickFix=Ge.Empty.append("quickfix"),Ge.Refactor=Ge.Empty.append("refactor"),Ge.RefactorExtract=Ge.Refactor.append("extract"),Ge.RefactorInline=Ge.Refactor.append("inline"),Ge.RefactorMove=Ge.Refactor.append("move"),Ge.RefactorRewrite=Ge.Refactor.append("rewrite"),Ge.Source=Ge.Empty.append("source"),Ge.SourceOrganizeImports=Ge.Source.append("organizeImports"),Ge.SourceFixAll=Ge.Source.append("fixAll"),Ge.Notebook=Ge.Empty.append("notebook");let st=e.$wJ=class{constructor(B,be){if(this.range=B,this.parent=be,be&&!be.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};e.$wJ=st=He([j],st);class at{constructor(B,be,Re,Je,_e,ct){this.kind=B,this.name=be,this.detail=Re,this.uri=Je,this.range=_e,this.selectionRange=ct}}e.$xJ=at;class xe{constructor(B,be){this.fromRanges=be,this.from=B}}e.$yJ=xe;class rt{constructor(B,be){this.fromRanges=be,this.to=B}}e.$zJ=rt;var de;(function(G){G[G.Information=0]="Information",G[G.Warning=1]="Warning",G[G.Error=2]="Error"})(de||(e.LanguageStatusSeverity=de={}));let Me=e.$AJ=class{constructor(B,be){this.range=B,this.command=be}get isResolved(){return!!this.command}};e.$AJ=Me=He([j],Me);let _=e.$BJ=N=class{static isMarkdownString(B){return B instanceof N?!0:B&&B.appendCodeblock&&B.appendMarkdown&&B.appendText&&B.value!==void 0}constructor(B,be=!1){i.set(this,void 0),Xe(this,i,new h.$Gj(B,{supportThemeIcons:be}),"f")}get value(){return Te(this,i,"f").value}set value(B){Te(this,i,"f").value=B}get isTrusted(){return Te(this,i,"f").isTrusted}set isTrusted(B){Te(this,i,"f").isTrusted=B}get supportThemeIcons(){return Te(this,i,"f").supportThemeIcons}set supportThemeIcons(B){Te(this,i,"f").supportThemeIcons=B}get supportHtml(){return Te(this,i,"f").supportHtml}set supportHtml(B){Te(this,i,"f").supportHtml=B}get baseUri(){return Te(this,i,"f").baseUri}set baseUri(B){Te(this,i,"f").baseUri=B}appendText(B){return Te(this,i,"f").appendText(B),this}appendMarkdown(B){return Te(this,i,"f").appendMarkdown(B),this}appendCodeblock(B,be){return Te(this,i,"f").appendCodeblock(be??"",B),this}};i=new WeakMap,e.$BJ=_=N=He([j],_);let Y=e.$CJ=class{constructor(B,be){this.label=B,this.documentation=be}};e.$CJ=Y=He([j],Y);let we=e.$DJ=class{constructor(B,be){this.label=B,this.documentation=be,this.parameters=[]}};e.$DJ=we=He([j],we);let je=e.$EJ=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};e.$EJ=je=He([j],je);var Oe;(function(G){G[G.Invoke=1]="Invoke",G[G.TriggerCharacter=2]="TriggerCharacter",G[G.ContentChange=3]="ContentChange"})(Oe||(e.SignatureHelpTriggerKind=Oe={}));var Ze;(function(G){G[G.Type=1]="Type",G[G.Parameter=2]="Parameter"})(Ze||(e.InlayHintKind=Ze={}));let et=e.$FJ=class{constructor(B){this.value=B}};e.$FJ=et=He([j],et);let nt=e.$GJ=class{constructor(B,be,Re){this.position=B,this.label=be,this.kind=Re}};e.$GJ=nt=He([j],nt);var ft;(function(G){G[G.Invoke=0]="Invoke",G[G.TriggerCharacter=1]="TriggerCharacter",G[G.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(ft||(e.CompletionTriggerKind=ft={}));var vt;(function(G){G[G.Text=0]="Text",G[G.Method=1]="Method",G[G.Function=2]="Function",G[G.Constructor=3]="Constructor",G[G.Field=4]="Field",G[G.Variable=5]="Variable",G[G.Class=6]="Class",G[G.Interface=7]="Interface",G[G.Module=8]="Module",G[G.Property=9]="Property",G[G.Unit=10]="Unit",G[G.Value=11]="Value",G[G.Enum=12]="Enum",G[G.Keyword=13]="Keyword",G[G.Snippet=14]="Snippet",G[G.Color=15]="Color",G[G.File=16]="File",G[G.Reference=17]="Reference",G[G.Folder=18]="Folder",G[G.EnumMember=19]="EnumMember",G[G.Constant=20]="Constant",G[G.Struct=21]="Struct",G[G.Event=22]="Event",G[G.Operator=23]="Operator",G[G.TypeParameter=24]="TypeParameter",G[G.User=25]="User",G[G.Issue=26]="Issue"})(vt||(e.CompletionItemKind=vt={}));var Nt;(function(G){G[G.Deprecated=1]="Deprecated"})(Nt||(e.CompletionItemTag=Nt={}));let Tt=e.$HJ=class{constructor(B,be){this.label=B,this.kind=be}toJSON(){return{label:this.label,kind:this.kind&&vt[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};e.$HJ=Tt=He([j],Tt);let Et=e.$IJ=class{constructor(B=[],be=!1){this.items=B,this.isIncomplete=be}};e.$IJ=Et=He([j],Et);let Bt=e.$JJ=class{constructor(B,be,Re){this.insertText=B,this.range=be,this.command=Re}};e.$JJ=Bt=He([j],Bt);let Ot=e.$KJ=class{constructor(B){this.commands=void 0,this.suppressSuggestions=void 0,this.items=B}};e.$KJ=Ot=He([j],Ot);var jt;(function(G){G[G.Active=-1]="Active",G[G.Beside=-2]="Beside",G[G.One=1]="One",G[G.Two=2]="Two",G[G.Three=3]="Three",G[G.Four=4]="Four",G[G.Five=5]="Five",G[G.Six=6]="Six",G[G.Seven=7]="Seven",G[G.Eight=8]="Eight",G[G.Nine=9]="Nine"})(jt||(e.ViewColumn=jt={}));var Vt;(function(G){G[G.Left=1]="Left",G[G.Right=2]="Right"})(Vt||(e.StatusBarAlignment=Vt={}));function Ht(G,B){return`${I.$Dl.toKey(G)}.${B}`}e.$LJ=Ht;var lt;(function(G){G[G.Off=0]="Off",G[G.On=1]="On",G[G.Relative=2]="Relative"})(lt||(e.TextEditorLineNumbersStyle=lt={}));var gt;(function(G){G[G.Manual=1]="Manual",G[G.AfterDelay=2]="AfterDelay",G[G.FocusOut=3]="FocusOut"})(gt||(e.TextDocumentSaveReason=gt={}));var Wt;(function(G){G[G.Default=0]="Default",G[G.InCenter=1]="InCenter",G[G.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",G[G.AtTop=3]="AtTop"})(Wt||(e.TextEditorRevealType=Wt={}));var Rt;(function(G){G[G.Keyboard=1]="Keyboard",G[G.Mouse=2]="Mouse",G[G.Command=3]="Command"})(Rt||(e.TextEditorSelectionChangeKind=Rt={}));var Ct;(function(G){G[G.Undo=1]="Undo",G[G.Redo=2]="Redo"})(Ct||(e.TextDocumentChangeReason=Ct={}));var ut;(function(G){G[G.OpenOpen=0]="OpenOpen",G[G.ClosedClosed=1]="ClosedClosed",G[G.OpenClosed=2]="OpenClosed",G[G.ClosedOpen=3]="ClosedOpen"})(ut||(e.DecorationRangeBehavior=ut={})),function(G){function B(be){switch(be){case"keyboard":return G.Keyboard;case"mouse":return G.Mouse;case"api":return G.Command}}G.fromValue=B}(Rt||(e.TextEditorSelectionChangeKind=Rt={}));let Pt=e.$MJ=class{constructor(B,be){if(be&&!m.URI.isUri(be))throw(0,A.$4)("target");if(!H.isRange(B)||B.isEmpty)throw(0,A.$4)("range");this.range=B,this.target=be}};e.$MJ=Pt=He([j],Pt);let Mt=e.$NJ=class{constructor(B,be,Re,Je){this.red=B,this.green=be,this.blue=Re,this.alpha=Je}};e.$NJ=Mt=He([j],Mt);let Fe=e.$OJ=class{constructor(B,be){if(be&&!(be instanceof Mt))throw(0,A.$4)("color");if(!H.isRange(B)||B.isEmpty)throw(0,A.$4)("range");this.range=B,this.color=be}};e.$OJ=Fe=He([j],Fe);let Le=e.$PJ=class{constructor(B){if(!B||typeof B!="string")throw(0,A.$4)("label");this.label=B}};e.$PJ=Le=He([j],Le);var Ae;(function(G){G[G.RGB=0]="RGB",G[G.HEX=1]="HEX",G[G.HSL=2]="HSL"})(Ae||(e.ColorFormat=Ae={}));var ae;(function(G){G[G.Error=0]="Error",G[G.Warning=1]="Warning",G[G.Information=2]="Information"})(ae||(e.SourceControlInputBoxValidationType=ae={}));var Ne;(function(G){G[G.Unknown=0]="Unknown",G[G.Shutdown=1]="Shutdown",G[G.Process=2]="Process",G[G.User=3]="User",G[G.Extension=4]="Extension"})(Ne||(e.TerminalExitReason=Ne={}));class Be{constructor(B,be,Re){if(this.startIndex=B,this.length=be,this.tooltip=Re,typeof B!="number"||B<0)throw(0,A.$4)("startIndex");if(typeof be!="number"||be<1)throw(0,A.$4)("length");if(Re!==void 0&&typeof Re!="string")throw(0,A.$4)("tooltip")}}e.$QJ=Be;class Ye{constructor(B){this.uri=B}}e.$RJ=Ye;class Ke{constructor(B){this.terminalCommand=B}}e.$SJ=Ke;var it;(function(G){G[G.Panel=1]="Panel",G[G.Editor=2]="Editor"})(it||(e.TerminalLocation=it={}));class kt{constructor(B){if(this.options=B,typeof B!="object")throw(0,A.$4)("options")}}e.$TJ=kt;var It;(function(G){G[G.Always=1]="Always",G[G.Silent=2]="Silent",G[G.Never=3]="Never"})(It||(e.TaskRevealKind=It={}));var At;(function(G){G[G.Shared=1]="Shared",G[G.Dedicated=2]="Dedicated",G[G.New=3]="New"})(At||(e.TaskPanelKind=At={}));let bt=e.$UJ=U=class{static from(B){switch(B){case"clean":return U.Clean;case"build":return U.Build;case"rebuild":return U.Rebuild;case"test":return U.Test;default:return}}constructor(B,be){if(this.label=be,typeof B!="string"||typeof be!="string")throw(0,A.$4)("name");this.c=B}get id(){return this.c}};bt.Clean=new U("clean","Clean"),bt.Build=new U("build","Build"),bt.Rebuild=new U("rebuild","Rebuild"),bt.Test=new U("test","Test"),e.$UJ=bt=U=He([j],bt);function pt(G){let B="";for(let be=0;be<G.length;be++)B+=G[be].replace(/,/g,",,")+",";return B}let mt=e.$VJ=class{constructor(B,be,Re){if(typeof B!="string")throw(0,A.$4)("process");this.e=[],this.c=B,be!==void 0&&(Array.isArray(be)?(this.e=be,this.f=Re):this.f=be)}get process(){return this.c}set process(B){if(typeof B!="string")throw(0,A.$4)("process");this.c=B}get args(){return this.e}set args(B){Array.isArray(B)||(B=[]),this.e=B}get options(){return this.f}set options(B){this.f=B}computeId(){const B=[];if(B.push("process"),this.c!==void 0&&B.push(this.c),this.e&&this.e.length>0)for(const be of this.e)B.push(be);return pt(B)}};e.$VJ=mt=He([j],mt);let yt=e.$WJ=class{constructor(B,be,Re){if(this.f=[],Array.isArray(be)){if(!B)throw(0,A.$4)("command can't be undefined or null");if(typeof B!="string"&&typeof B.value!="string")throw(0,A.$4)("command");this.e=B,this.f=be,this.g=Re}else{if(typeof B!="string")throw(0,A.$4)("commandLine");this.c=B,this.g=be}}get commandLine(){return this.c}set commandLine(B){if(typeof B!="string")throw(0,A.$4)("commandLine");this.c=B}get command(){return this.e?this.e:""}set command(B){if(typeof B!="string"&&typeof B.value!="string")throw(0,A.$4)("command");this.e=B}get args(){return this.f}set args(B){this.f=B||[]}get options(){return this.g}set options(B){this.g=B}computeId(){const B=[];if(B.push("shell"),this.c!==void 0&&B.push(this.c),this.e!==void 0&&B.push(typeof this.e=="string"?this.e:this.e.value),this.f&&this.f.length>0)for(const be of this.f)B.push(typeof be=="string"?be:be.value);return pt(B)}};e.$WJ=yt=He([j],yt);var wt;(function(G){G[G.Escape=1]="Escape",G[G.Strong=2]="Strong",G[G.Weak=3]="Weak"})(wt||(e.ShellQuoting=wt={}));var Zt;(function(G){G[G.Global=1]="Global",G[G.Workspace=2]="Workspace"})(Zt||(e.TaskScope=Zt={}));class qt{constructor(B){this.c=B}computeId(){return"customExecution"+(0,L.$3e)()}set callback(B){this.c=B}get callback(){return this.c}}e.$XJ=qt;let ni=e.$YJ=q=class{constructor(B,be,Re,Je,_e,ct){this.j=!1,this.k=this.definition=B;let dt;typeof be=="string"?(this.m=this.name=be,this.t=this.source=Re,this.execution=Je,dt=_e,this.j=!0):be===Zt.Global||be===Zt.Workspace?(this.target=be,this.m=this.name=Re,this.t=this.source=Je,this.execution=_e,dt=ct):(this.target=be,this.m=this.name=Re,this.t=this.source=Je,this.execution=_e,dt=ct),typeof dt=="string"?(this.o=[dt],this.q=!0):Array.isArray(dt)?(this.o=dt,this.q=!0):(this.o=[],this.q=!1),this.r=!1,this.v=Object.create(null),this.w=Object.create(null)}get _id(){return this.h}set _id(B){this.h=B}get _deprecated(){return this.j}y(){this.h!==void 0&&(this.h=void 0,this.l=void 0,this.z())}z(){this.n instanceof mt?this.k={type:q.e,id:this.n.computeId()}:this.n instanceof yt?this.k={type:q.f,id:this.n.computeId()}:this.n instanceof qt?this.k={type:q.c,id:this.n.computeId()}:this.k={type:q.g,id:(0,L.$3e)()}}get definition(){return this.k}set definition(B){if(B==null)throw(0,A.$4)("Kind can't be undefined or null");this.y(),this.k=B}get scope(){return this.l}set target(B){this.y(),this.l=B}get name(){return this.m}set name(B){if(typeof B!="string")throw(0,A.$4)("name");this.y(),this.m=B}get execution(){return this.n}set execution(B){B===null&&(B=void 0),this.y(),this.n=B;const be=this.k.type;(q.g===be||q.e===be||q.f===be||q.c===be)&&this.z()}get problemMatchers(){return this.o}set problemMatchers(B){if(Array.isArray(B))this.y(),this.o=B,this.q=!0;else{this.y(),this.o=[],this.q=!1;return}}get hasDefinedMatchers(){return this.q}get isBackground(){return this.r}set isBackground(B){B!==!0&&B!==!1&&(B=!1),this.y(),this.r=B}get source(){return this.t}set source(B){if(typeof B!="string"||B.length===0)throw(0,A.$4)("source must be a string of length > 0");this.y(),this.t=B}get group(){return this.u}set group(B){B===null&&(B=void 0),this.y(),this.u=B}get detail(){return this.x}set detail(B){B===null&&(B=void 0),this.x=B}get presentationOptions(){return this.v}set presentationOptions(B){B==null&&(B=Object.create(null)),this.y(),this.v=B}get runOptions(){return this.w}set runOptions(B){B==null&&(B=Object.create(null)),this.y(),this.w=B}};ni.c="customExecution",ni.e="process",ni.f="shell",ni.g="$empty",e.$YJ=ni=q=He([j],ni);var ai;(function(G){G[G.SourceControl=1]="SourceControl",G[G.Window=10]="Window",G[G.Notification=15]="Notification"})(ai||(e.ProgressLocation=ai={}));var yi;(function(G){function B(be){const Re=be;return(0,k.$ke)(Re.value)?Re.tooltip&&!(0,k.$ge)(Re.tooltip)?(console.log("INVALID view badge, invalid tooltip",Re.tooltip),!1):!0:(console.log("INVALID view badge, invalid value",Re.value),!1)}G.isViewBadge=B})(yi||(e.ViewBadge=yi={}));let Lt=e.$ZJ=W=class{static isTreeItem(B,be){const Re=B;if(Re.checkboxState!==void 0){const Je=(0,k.$ke)(Re.checkboxState)?Re.checkboxState:(0,k.$ie)(Re.checkboxState)&&(0,k.$ke)(Re.checkboxState.state)?Re.checkboxState.state:void 0,_e=!(0,k.$ke)(Re.checkboxState)&&(0,k.$ie)(Re.checkboxState)?Re.checkboxState.tooltip:void 0;if(Je===void 0||Je!==fi.Checked&&Je!==fi.Unchecked||_e!==void 0&&!(0,k.$ge)(_e))return console.log("INVALID tree item, invalid checkboxState",Re.checkboxState),!1}if(B instanceof W)return!0;if(Re.label!==void 0&&!(0,k.$ge)(Re.label)&&!Re.label?.label)return console.log("INVALID tree item, invalid label",Re.label),!1;if(Re.id!==void 0&&!(0,k.$ge)(Re.id))return console.log("INVALID tree item, invalid id",Re.id),!1;if(Re.iconPath!==void 0&&!(0,k.$ge)(Re.iconPath)&&!m.URI.isUri(Re.iconPath)&&(!Re.iconPath||!(0,k.$ge)(Re.iconPath.id))){const Je=Re.iconPath;if(!Je||!(0,k.$ge)(Je.light)&&!m.URI.isUri(Je.light)&&!(0,k.$ge)(Je.dark)&&!m.URI.isUri(Je.dark))return console.log("INVALID tree item, invalid iconPath",Re.iconPath),!1}return Re.description!==void 0&&!(0,k.$ge)(Re.description)&&typeof Re.description!="boolean"?(console.log("INVALID tree item, invalid description",Re.description),!1):Re.resourceUri!==void 0&&!m.URI.isUri(Re.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",Re.resourceUri),!1):Re.tooltip!==void 0&&!(0,k.$ge)(Re.tooltip)&&!(Re.tooltip instanceof _)?(console.log("INVALID tree item, invalid tooltip",Re.tooltip),!1):Re.command!==void 0&&!Re.command.command?(console.log("INVALID tree item, invalid command",Re.command),!1):Re.collapsibleState!==void 0&&Re.collapsibleState<ci.None&&Re.collapsibleState>ci.Expanded?(console.log("INVALID tree item, invalid collapsibleState",Re.collapsibleState),!1):Re.contextValue!==void 0&&!(0,k.$ge)(Re.contextValue)?(console.log("INVALID tree item, invalid contextValue",Re.contextValue),!1):Re.accessibilityInformation!==void 0&&!Re.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",Re.accessibilityInformation),!1):!0}constructor(B,be=ci.None){this.collapsibleState=be,m.URI.isUri(B)?this.resourceUri=B:this.label=B}};e.$ZJ=Lt=W=He([j],Lt);var ci;(function(G){G[G.None=0]="None",G[G.Collapsed=1]="Collapsed",G[G.Expanded=2]="Expanded"})(ci||(e.TreeItemCollapsibleState=ci={}));var fi;(function(G){G[G.Unchecked=0]="Unchecked",G[G.Checked=1]="Checked"})(fi||(e.TreeItemCheckboxState=fi={}));let Dt=e.$1J=class{async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}constructor(B){this.value=B}};e.$1J=Dt=He([j],Dt);class Ei extends Dt{}e.$2J=Ei;class Fi extends Ei{constructor(B){super(""),l.set(this,void 0),Xe(this,l,B,"f")}asFile(){return Te(this,l,"f")}}e.$3J=Fi,l=new WeakMap;class mi{constructor(B,be,Re,Je){this.name=B,this.uri=be,this._itemId=Re,this.c=Je}data(){return this.c()}}e.$4J=mi;let Ti=e.$5J=class{constructor(B){a.add(this),p.set(this,new Map);for(const[be,Re]of B??[]){const Je=Te(this,p,"f").get(Te(this,a,"m",f).call(this,be));Je?Je.push(Re):Te(this,p,"f").set(Te(this,a,"m",f).call(this,be),[Re])}}get(B){return Te(this,p,"f").get(Te(this,a,"m",f).call(this,B))?.[0]}set(B,be){Te(this,p,"f").set(Te(this,a,"m",f).call(this,B),[be])}forEach(B,be){for(const[Re,Je]of Te(this,p,"f"))for(const _e of Je)B.call(be,_e,Re,this)}*[(p=new WeakMap,a=new WeakSet,Symbol.iterator)](){for(const[B,be]of Te(this,p,"f"))for(const Re of be)yield[B,Re]}};f=function(B){return B.toLowerCase()},e.$5J=Ti=He([j],Ti);let Mi=e.$6J=class{constructor(B){this.insertText=B}};e.$6J=Mi=He([j],Mi);let zt=e.$7J=class{constructor(B,be,Re){this.id=be,this.label=Re,this.insertText=B}};e.$7J=zt=He([j],zt);let Qt=e.$8J=class{constructor(B,be){this.id=B,this.color=be}static isThemeIcon(B){return typeof B.id!="string"?(console.log("INVALID ThemeIcon, invalid id",B.id),!1):!0}};e.$8J=Qt=He([j],Qt),Qt.File=new Qt("file"),Qt.Folder=new Qt("folder");let Ni=e.$9J=class{constructor(B){this.id=B}};e.$9J=Ni=He([j],Ni);var li;(function(G){G[G.Global=1]="Global",G[G.Workspace=2]="Workspace",G[G.WorkspaceFolder=3]="WorkspaceFolder"})(li||(e.ConfigurationTarget=li={}));let ui=e.$0J=class{get base(){return this.c}set base(B){this.c=B,this.e=m.URI.file(B)}get baseUri(){return this.e}set baseUri(B){this.e=B,this.c=B.fsPath}constructor(B,be){if(typeof B!="string"&&(!B||!m.URI.isUri(B)&&!m.URI.isUri(B.uri)))throw(0,A.$4)("base");if(typeof be!="string")throw(0,A.$4)("pattern");typeof B=="string"?this.baseUri=m.URI.file(B):m.URI.isUri(B)?this.baseUri=B:this.baseUri=B.uri,this.pattern=be}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};e.$0J=ui=He([j],ui);const ht=new WeakMap;function an(G,B){ht.set(G,B)}e.$$J=an;let Kt=e.$_J=class{constructor(B,be,Re,Je){this.enabled=typeof B=="boolean"?B:!0,typeof be=="string"&&(this.condition=be),typeof Re=="string"&&(this.hitCondition=Re),typeof Je=="string"&&(this.logMessage=Je)}get id(){return this.c||(this.c=ht.get(this)??(0,L.$3e)()),this.c}};e.$_J=Kt=He([j],Kt);let ri=e.$aK=class extends Kt{constructor(B,be,Re,Je,_e){if(super(be,Re,Je,_e),B===null)throw(0,A.$4)("location");this.location=B}};e.$aK=ri=He([j],ri);let ki=e.$bK=class extends Kt{constructor(B,be,Re,Je,_e){super(be,Re,Je,_e),this.functionName=B}};e.$bK=ki=He([j],ki);let Oi=e.$cK=class extends Kt{constructor(B,be,Re,Je,_e,ct,dt){if(super(Je,_e,ct,dt),!be)throw(0,A.$4)("dataId");this.label=B,this.dataId=be,this.canPersist=Re}};e.$cK=Oi=He([j],Oi);let zi=e.$dK=class{constructor(B,be,Re){this.command=B,this.args=be||[],this.options=Re}};e.$dK=zi=He([j],zi);let ji=e.$eK=class{constructor(B,be){this.port=B,this.host=be}};e.$eK=ji=He([j],ji);let Si=e.$fK=class{constructor(B){this.path=B}};e.$fK=Si=He([j],Si);let Ui=e.$gK=class{constructor(B){this.implementation=B}};e.$gK=Ui=He([j],Ui);let Di=e.$hK=class{constructor(B,be,Re){this.session=B,this.threadId=be,this.frameId=Re}};e.$hK=Di=He([j],Di);let si=e.$iK=class{constructor(B,be){this.session=B,this.threadId=be}};e.$iK=si=He([j],si);let Bi=e.$jK=class{constructor(B,be){this.range=B,this.expression=be}};e.$jK=Bi=He([j],Bi);var gi;(function(G){G[G.Invoke=0]="Invoke",G[G.Automatic=1]="Automatic"})(gi||(e.InlineCompletionTriggerKind=gi={}));let $i=e.$kK=class{constructor(B,be){this.range=B,this.text=be}};e.$kK=$i=He([j],$i);let Wi=e.$lK=class{constructor(B,be,Re=!0){this.range=B,this.variableName=be,this.caseSensitiveLookup=Re}};e.$lK=Wi=He([j],Wi);let qi=e.$mK=class{constructor(B,be){this.range=B,this.expression=be}};e.$mK=qi=He([j],qi);let oi=e.$nK=class{constructor(B,be){this.frameId=B,this.stoppedLocation=be}};e.$nK=oi=He([j],oi);var Vi;(function(G){G[G.Changed=1]="Changed",G[G.Created=2]="Created",G[G.Deleted=3]="Deleted"})(Vi||(e.FileChangeType=Vi={}));let Hi=e.$oK=O=class extends Error{static FileExists(B){return new O(B,v.FileSystemProviderErrorCode.FileExists,O.FileExists)}static FileNotFound(B){return new O(B,v.FileSystemProviderErrorCode.FileNotFound,O.FileNotFound)}static FileNotADirectory(B){return new O(B,v.FileSystemProviderErrorCode.FileNotADirectory,O.FileNotADirectory)}static FileIsADirectory(B){return new O(B,v.FileSystemProviderErrorCode.FileIsADirectory,O.FileIsADirectory)}static NoPermissions(B){return new O(B,v.FileSystemProviderErrorCode.NoPermissions,O.NoPermissions)}static Unavailable(B){return new O(B,v.FileSystemProviderErrorCode.Unavailable,O.Unavailable)}constructor(B,be=v.FileSystemProviderErrorCode.Unknown,Re){super(m.URI.isUri(B)?B.toString(!0):B),this.code=Re?.name??"Unknown",(0,v.$3j)(this,be),Object.setPrototypeOf(this,O.prototype),typeof Error.captureStackTrace=="function"&&typeof Re=="function"&&Error.captureStackTrace(this,Re)}};e.$oK=Hi=O=He([j],Hi);let Ki=e.$pK=class{constructor(B,be,Re){this.start=B,this.end=be,this.kind=Re}};e.$pK=Ki=He([j],Ki);var ei;(function(G){G[G.Comment=1]="Comment",G[G.Imports=2]="Imports",G[G.Region=3]="Region"})(ei||(e.FoldingRangeKind=ei={}));var Ji;(function(G){G[G.Collapsed=0]="Collapsed",G[G.Expanded=1]="Expanded"})(Ji||(e.CommentThreadCollapsibleState=Ji={}));var Gi;(function(G){G[G.Editing=0]="Editing",G[G.Preview=1]="Preview"})(Gi||(e.CommentMode=Gi={}));var Ci;(function(G){G[G.Published=0]="Published",G[G.Draft=1]="Draft"})(Ci||(e.CommentState=Ci={}));var Qi;(function(G){G[G.Unresolved=0]="Unresolved",G[G.Resolved=1]="Resolved"})(Qi||(e.CommentThreadState=Qi={}));class cn{constructor(B,be=[]){this.tokenTypes=B,this.tokenModifiers=be}}e.$qK=cn;function ln(G){return typeof G>"u"||(0,k.$he)(G)}class hi{constructor(B){if(this.c=0,this.e=0,this.f=!0,this.g=[],this.h=0,this.j=new Map,this.k=new Map,this.l=!1,B){this.l=!0;for(let be=0,Re=B.tokenTypes.length;be<Re;be++)this.j.set(B.tokenTypes[be],be);for(let be=0,Re=B.tokenModifiers.length;be<Re;be++)this.k.set(B.tokenModifiers[be],be)}}push(B,be,Re,Je,_e){if(typeof B=="number"&&typeof be=="number"&&typeof Re=="number"&&typeof Je=="number"&&(typeof _e=="number"||typeof _e>"u"))return typeof _e>"u"&&(_e=0),this.n(B,be,Re,Je,_e);if(H.isRange(B)&&typeof be=="string"&&ln(Re))return this.m(B,be,Re);throw(0,A.$4)()}m(B,be,Re){if(!this.l)throw new Error("Legend must be provided in constructor");if(B.start.line!==B.end.line)throw new Error("`range` cannot span multiple lines");if(!this.j.has(be))throw new Error("`tokenType` is not in the provided legend");const Je=B.start.line,_e=B.start.character,ct=B.end.character-B.start.character,dt=this.j.get(be);let Ut=0;if(Re)for(const Gt of Re){if(!this.k.has(Gt))throw new Error("`tokenModifier` is not in the provided legend");const Yt=this.k.get(Gt);Ut|=1<<Yt>>>0}this.n(Je,_e,ct,dt,Ut)}n(B,be,Re,Je,_e){if(this.f&&(B<this.c||B===this.c&&be<this.e)){this.f=!1;const Ut=this.g.length/5|0;let Gt=0,Yt=0;for(let xt=0;xt<Ut;xt++){let ti=this.g[5*xt],Li=this.g[5*xt+1];ti===0?(ti=Gt,Li+=Yt):ti+=Gt,this.g[5*xt]=ti,this.g[5*xt+1]=Li,Gt=ti,Yt=Li}}let ct=B,dt=be;this.f&&this.h>0&&(ct-=this.c,ct===0&&(dt-=this.e)),this.g[this.h++]=ct,this.g[this.h++]=dt,this.g[this.h++]=Re,this.g[this.h++]=Je,this.g[this.h++]=_e,this.c=B,this.e=be}static o(B){const be=[],Re=B.length/5|0;for(let dt=0;dt<Re;dt++)be[dt]=dt;be.sort((dt,Ut)=>{const Gt=B[5*dt],Yt=B[5*Ut];if(Gt===Yt){const xt=B[5*dt+1],ti=B[5*Ut+1];return xt-ti}return Gt-Yt});const Je=new Uint32Array(B.length);let _e=0,ct=0;for(let dt=0;dt<Re;dt++){const Ut=5*be[dt],Gt=B[Ut+0],Yt=B[Ut+1],xt=B[Ut+2],ti=B[Ut+3],Li=B[Ut+4],An=Gt-_e,Jn=An===0?Yt-ct:Yt,Ri=5*dt;Je[Ri+0]=An,Je[Ri+1]=Jn,Je[Ri+2]=xt,Je[Ri+3]=ti,Je[Ri+4]=Li,_e=Gt,ct=Yt}return Je}build(B){return this.f?new bi(new Uint32Array(this.g),B):new bi(hi.o(this.g),B)}}e.$rK=hi;class bi{constructor(B,be){this.resultId=be,this.data=B}}e.$sK=bi;class Ue{constructor(B,be,Re){this.start=B,this.deleteCount=be,this.data=Re}}e.$tK=Ue;class Xt{constructor(B,be){this.resultId=be,this.edits=B}}e.$uK=Xt;var Ii;(function(G){G[G.Separate=0]="Separate",G[G.MergeWithParent=1]="MergeWithParent"})(Ii||(e.DebugConsoleMode=Ii={}));let $t=e.$vK=class{constructor(){}};$t.Back={iconPath:new Qt("arrow-left")},e.$vK=$t=He([j],$t);var Yi;(function(G){G[G.Separator=-1]="Separator",G[G.Default=0]="Default"})(Yi||(e.QuickPickItemKind=Yi={}));var Zi;(function(G){G[G.Info=1]="Info",G[G.Warning=2]="Warning",G[G.Error=3]="Error"})(Zi||(e.InputBoxValidationSeverity=Zi={}));var Pi;(function(G){G[G.UI=1]="UI",G[G.Workspace=2]="Workspace"})(Pi||(e.ExtensionKind=Pi={}));class un{static validate(B){if(typeof B.badge=="string"){let be=(0,g.$Td)(B.badge,0);if(be<B.badge.length&&(be+=(0,g.$Td)(B.badge,be)),B.badge.length>be)throw new Error("The 'badge'-property must be undefined or a short character")}else if(B.badge&&!Qt.isThemeIcon(B.badge))throw new Error("The 'badge'-property is not a valid ThemeIcon");if(!B.color&&!B.badge&&!B.tooltip)throw new Error("The decoration is empty");return!0}constructor(B,be,Re){this.badge=B,this.tooltip=be,this.color=Re}}e.$wK=un;let di=e.$xK=class{constructor(B){this.kind=B}};e.$xK=di=He([j],di);var Xi;(function(G){G[G.Light=1]="Light",G[G.Dark=2]="Dark",G[G.HighContrast=3]="HighContrast",G[G.HighContrastLight=4]="HighContrastLight"})(Xi||(e.ColorThemeKind=Xi={}));class _t{static isNotebookRange(B){return B instanceof _t?!0:B?typeof B.start=="number"&&typeof B.end=="number":!1}get start(){return this.c}get end(){return this.e}get isEmpty(){return this.c===this.e}constructor(B,be){if(B<0)throw(0,A.$4)("start must be positive");if(be<0)throw(0,A.$4)("end must be positive");B<=be?(this.c=B,this.e=be):(this.c=be,this.e=B)}with(B){let be=this.c,Re=this.e;return B.start!==void 0&&(be=B.start),B.end!==void 0&&(Re=B.end),be===this.c&&Re===this.e?this:new _t(be,Re)}}e.$yK=_t;class pi{static validate(B){if(typeof B.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof B.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof B.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(B){return Array.isArray(B)&&B.every(be=>pi.isNotebookCellData(be))}static isNotebookCellData(B){return!0}constructor(B,be,Re,Je,_e,ct,dt){this.kind=B,this.value=be,this.languageId=Re,this.mime=Je,this.outputs=_e??[],this.metadata=ct,this.executionSummary=dt,pi.validate(this)}}e.$zK=pi;class _i{constructor(B){this.cells=B}}e.$AK=_i;class Jt{static isNotebookCellOutputItem(B){return B instanceof Jt?!0:B?typeof B.mime=="string"&&B.data instanceof Uint8Array:!1}static error(B){const be={name:B.name,message:B.message,stack:B.stack};return Jt.json(be,"application/vnd.code.notebook.error")}static stdout(B){return Jt.text(B,"application/vnd.code.notebook.stdout")}static stderr(B){return Jt.text(B,"application/vnd.code.notebook.stderr")}static bytes(B,be="application/octet-stream"){return new Jt(B,be)}static text(B,be=R.$qr.text){const Re=Te(Jt,E,"f",n).encode(String(B));return new Jt(Re,be)}static json(B,be="text/x-json"){const Re=JSON.stringify(B,void 0,"	");return Jt.text(Re,be)}constructor(B,be){this.data=B,this.mime=be;const Re=(0,R.$ur)(be,!0);if(!Re)throw new Error(`INVALID mime type: ${be}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Re}}e.$BK=Jt,E=Jt,n={value:new TextEncoder};class wi{static isNotebookCellOutput(B){return B instanceof wi?!0:!B||typeof B!="object"?!1:typeof B.id=="string"&&Array.isArray(B.items)}static ensureUniqueMimeTypes(B,be=!1){const Re=new Set,Je=new Set;for(let _e=0;_e<B.length;_e++){const ct=B[_e],dt=(0,R.$ur)(ct.mime);if(!Re.has(dt)||(0,C.$gH)(dt)){Re.add(dt);continue}Je.add(_e),be&&console.warn(`DUPLICATED mime type '${ct.mime}' will be dropped`)}return Je.size===0?B:B.filter((_e,ct)=>!Je.has(ct))}constructor(B,be,Re){this.items=wi.ensureUniqueMimeTypes(B,!0),typeof be=="string"?(this.id=be,this.metadata=Re):(this.id=(0,L.$3e)(),this.metadata=be??Re)}}e.$CK=wi;var xi;(function(G){G[G.Markup=1]="Markup",G[G.Code=2]="Code"})(xi||(e.NotebookCellKind=xi={}));var en;(function(G){G[G.Idle=1]="Idle",G[G.Pending=2]="Pending",G[G.Executing=3]="Executing"})(en||(e.NotebookCellExecutionState=en={}));var tn;(function(G){G[G.Left=1]="Left",G[G.Right=2]="Right"})(tn||(e.NotebookCellStatusBarAlignment=tn={}));var nn;(function(G){G[G.Default=0]="Default",G[G.InCenter=1]="InCenter",G[G.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",G[G.AtTop=3]="AtTop"})(nn||(e.NotebookEditorRevealType=nn={}));class hn{constructor(B,be){this.text=B,this.alignment=be}}e.$DK=hn;var rn;(function(G){G[G.Default=1]="Default",G[G.Preferred=2]="Preferred"})(rn||(e.NotebookControllerAffinity=rn={}));var sn;(function(G){G[G.Default=1]="Default",G[G.Preferred=2]="Preferred",G[G.Hidden=-1]="Hidden"})(sn||(e.NotebookControllerAffinity2=sn={}));class $e{constructor(B,be=[]){this.uri=B,this.provides=(0,b.$Gf)(be)}}e.$EK=$e;class ke{constructor(B){this.label=B}}e.$FK=ke;let ze=e.$GK=class{constructor(B,be){this.label=B,this.timestamp=be}};e.$GK=ze=He([j],ze);var ot;(function(G){G[G.Production=1]="Production",G[G.Development=2]="Development",G[G.Test=3]="Test"})(ot||(e.ExtensionMode=ot={}));var St;(function(G){G[G.Node=1]="Node",G[G.Webworker=2]="Webworker"})(St||(e.ExtensionRuntime=St={}));var Ft;(function(G){G[G.Other=0]="Other",G[G.Comment=1]="Comment",G[G.String=2]="String",G[G.RegEx=3]="RegEx"})(Ft||(e.StandardTokenType=Ft={}));class Mn{constructor(B,be){this.ranges=B,this.wordPattern=be}}e.$HK=Mn;class Nn{constructor(B){this.c=B}get autoForwardAction(){return this.c}}e.$IK=Nn;var mn;(function(G){G[G.Queued=1]="Queued",G[G.Running=2]="Running",G[G.Passed=3]="Passed",G[G.Failed=4]="Failed",G[G.Skipped=5]="Skipped",G[G.Errored=6]="Errored"})(mn||(e.TestResultState=mn={}));var gn;(function(G){G[G.Run=1]="Run",G[G.Debug=2]="Debug",G[G.Coverage=3]="Coverage"})(gn||(e.TestRunProfileKind=gn={}));let dn=e.$JK=class{constructor(B=void 0,be=void 0,Re=void 0,Je=!1){this.include=B,this.exclude=be,this.profile=Re,this.continuous=Je}};e.$JK=dn=He([j],dn);let $n=e.$KK=class extends dn{};e.$KK=$n=He([j],$n);let bn=e.$LK=J=class{static diff(B,be,Re){const Je=new J(B);return Je.expectedOutput=be,Je.actualOutput=Re,Je}constructor(B){this.message=B}};e.$LK=bn=J=He([j],bn);let pn=e.$MK=class{constructor(B){this.id=B}};e.$MK=pn=He([j],pn);let Ai=e.$NK=class{constructor(B,be){this.covered=B,this.total=be}};e.$NK=Ai=He([j],Ai);let wn=e.$OK=z=class{static fromDetails(B,be){const Re=new Ai(0,0),Je=new Ai(0,0),_e=new Ai(0,0);for(const dt of be)if("branches"in dt){Re.total+=1,Re.covered+=dt.executionCount>0?1:0;for(const Ut of dt.branches)Je.total+=1,Je.covered+=Ut.executionCount>0?1:0}else _e.total+=1,_e.covered+=dt.executionCount>0?1:0;const ct=new z(B,Re,Je.total>0?Je:void 0,_e.total>0?_e:void 0);return ct.detailedCoverage=be,ct}constructor(B,be,Re,Je){this.uri=B,this.statementCoverage=be,this.branchCoverage=Re,this.functionCoverage=Je}};e.$OK=wn=z=He([j],wn);let vn=e.$PK=class{constructor(B,be,Re=[]){this.executionCount=B,this.location=be,this.branches=Re}};e.$PK=vn=He([j],vn);let yn=e.$QK=class{constructor(B,be){this.executionCount=B,this.location=be}};e.$QK=yn=He([j],yn);let En=e.$RK=class{constructor(B,be){this.executionCount=B,this.location=be}};e.$RK=En=He([j],En);var kn;(function(G){G[G.None=0]="None",G[G.Option=1]="Option",G[G.Default=2]="Default",G[G.Preferred=3]="Preferred"})(kn||(e.ExternalUriOpenerPriority=kn={}));var Sn;(function(G){G[G.Untrusted=0]="Untrusted",G[G.Trusted=1]="Trusted",G[G.Unspecified=2]="Unspecified"})(Sn||(e.WorkspaceTrustState=Sn={}));var Dn;(function(G){G[G.Notify=1]="Notify",G[G.OpenBrowser=2]="OpenBrowser",G[G.OpenPreview=3]="OpenPreview",G[G.Silent=4]="Silent",G[G.Ignore=5]="Ignore",G[G.OpenBrowserOnce=6]="OpenBrowserOnce"})(Dn||(e.PortAutoForwardAction=Dn={}));class On{constructor(B,be,Re,Je,_e,ct){this.kind=B,this.name=be,this.detail=Re,this.uri=Je,this.range=_e,this.selectionRange=ct}}e.$SK=On;class zn{constructor(B){this.uri=B}}e.$TK=zn;class jn{constructor(B,be){this.original=B,this.modified=be}}e.$UK=jn;class Un{constructor(B,be,Re,Je){this.base=B,this.input1=be,this.input2=Re,this.result=Je}}e.$VK=Un;class Bn{constructor(B,be){this.uri=B,this.viewType=be}}e.$WK=Bn;class Wn{constructor(B){this.viewType=B}}e.$XK=Wn;class qn{constructor(B,be){this.uri=B,this.notebookType=be}}e.$YK=qn;class Vn{constructor(B,be,Re){this.original=B,this.modified=be,this.notebookType=Re}}e.$ZK=Vn;class Hn{constructor(){}}e.$1K=Hn;class Kn{constructor(B,be){this.uri=B,this.inputBoxUri=be}}e.$2K=Kn;var Cn;(function(G){G[G.Up=1]="Up",G[G.Down=2]="Down"})(Cn||(e.InteractiveSessionVoteDirection=Cn={}));var In;(function(G){G[G.Action=1]="Action",G[G.Toolbar=2]="Toolbar"})(In||(e.InteractiveSessionCopyKind=In={}));var Pn;(function(G){G[G.Unhelpful=0]="Unhelpful",G[G.Helpful=1]="Helpful",G[G.Undone=2]="Undone"})(Pn||(e.InteractiveEditorResponseFeedbackKind=Pn={}))}),define(De[135],Ce([1,0,53,16,9,162,116,7,19]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$eL=e.$dL=e.$cL=void 0;const m=new Map;function L(C,w){w?m.set(C,w):m.delete(C)}e.$cL=L;function I(C){return m.get(C)}class v extends F.$pu{constructor(w,i,l,a,p,f,E,n){super(i,l,a,p),this.c=w,this.m=f,this.q=E,this.notebook=n,this.b=!1}dispose(){(0,b.ok)(!this.b),this.b=!0,this.q=!1}equalLines(w){return(0,k.$$e)(this.f,w)}get document(){if(!this.a){const w=this;this.a={get uri(){return w.d},get fileName(){return w.d.fsPath},get isUntitled(){return w.d.scheme===A.Schemas.untitled},get languageId(){return w.m},get version(){return w.h},get isClosed(){return w.b},get isDirty(){return w.q},save(){return w.r()},getText(i){return i?w.s(i):w.getText()},get eol(){return w.g===`
`?g.EndOfLine.LF:g.EndOfLine.CRLF},get lineCount(){return w.f.length},lineAt(i){return w.t(i)},offsetAt(i){return w.u(i)},positionAt(i){return w.v(i)},validateRange(i){return w.w(i)},validatePosition(i){return w.x(i)},getWordRangeAtPosition(i,l){return w.y(i,l)}}}return Object.freeze(this.a)}_acceptLanguageId(w){(0,b.ok)(!this.b),this.m=w}_acceptIsDirty(w){(0,b.ok)(!this.b),this.q=w}r(){return this.b?Promise.reject(new Error("Document has been closed")):this.c.$trySaveDocument(this.d)}s(w){const i=this.w(w);if(i.isEmpty)return"";if(i.isSingleLine)return this.f[i.start.line].substring(i.start.character,i.end.character);const l=this.g,a=i.start.line,p=i.end.line,f=[];f.push(this.f[a].substring(i.start.character));for(let E=a+1;E<p;E++)f.push(this.f[E]);return f.push(this.f[p].substring(0,i.end.character)),f.join(l)}t(w){let i;if(w instanceof g.$bJ?i=w.line:typeof w=="number"&&(i=w),typeof i!="number"||i<0||i>=this.f.length||Math.floor(i)!==i)throw new Error("Illegal value for `line`");return new D(i,this.f[i],i===this.f.length-1)}u(w){return w=this.x(w),this.l(),this.j.getPrefixSum(w.line-1)+w.character}v(w){w=Math.floor(w),w=Math.max(0,w),this.l();const i=this.j.getIndexOf(w),l=this.f[i.index].length;return new g.$bJ(i.index,Math.min(i.remainder,l))}w(w){if(!(w instanceof g.$cJ))throw new Error("Invalid argument");const i=this.x(w.start),l=this.x(w.end);return i===w.start&&l===w.end?w:new g.$cJ(i.line,i.character,l.line,l.character)}x(w){if(!(w instanceof g.$bJ))throw new Error("Invalid argument");if(this.f.length===0)return w.with(0,0);let{line:i,character:l}=w,a=!1;if(i<0)i=0,l=0,a=!0;else if(i>=this.f.length)i=this.f.length-1,l=this.f[i].length,a=!0;else{const p=this.f[i].length;l<0?(l=0,a=!0):l>p&&(l=p,a=!0)}return a?new g.$bJ(i,l):w}y(w,i){const l=this.x(w);if(!i)i=I(this.m);else if((0,h.$ud)(i))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${i.source}' because it matches the empty string.`);const a=(0,R.$Ir)(l.character+1,(0,R.$Gr)(i),this.f[l.line],0);if(a)return new g.$cJ(l.line,a.startColumn-1,l.line,a.endColumn-1)}}e.$dL=v;class D{constructor(w,i,l){this.a=w,this.b=i,this.c=l}get lineNumber(){return this.a}get text(){return this.b}get range(){return new g.$cJ(this.a,0,this.a,this.b.length)}get rangeIncludingLineBreak(){return this.c?this.range:new g.$cJ(this.a,0,this.a+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this.b)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this.b.length}}e.$eL=D}),define(De[254],Ce([1,0,7,20,3]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$o_b=void 0;let F=e.$o_b=class{constructor(g){this.a=new b.$xK(b.ColorThemeKind.Dark),this.b=new h.$5c}get activeColorTheme(){return this.a}$onColorThemeChange(g){let k;switch(g){case"light":k=b.ColorThemeKind.Light;break;case"hcDark":k=b.ColorThemeKind.HighContrast;break;case"hcLight":k=b.ColorThemeKind.HighContrastLight;break;default:k=b.ColorThemeKind.Dark}this.a=new b.$xK(k),this.b.fire(this.a)}get onDidChangeActiveColorTheme(){return this.b.event}};e.$o_b=F=He([We(0,A.$aL)],F)}),define(De[255],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jH=e.CellExecutionUpdateType=void 0;var A;(function(h){h[h.Output=1]="Output",h[h.OutputItems=2]="OutputItems",h[h.ExecutionState=3]="ExecutionState"})(A||(e.CellExecutionUpdateType=A={})),e.$jH=(0,b.$lh)("INotebookExecutionService")}),define(De[60],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$WH=e.TestPosition=e.TestIdPathParts=void 0;var b;(function(F){F.Delimiter="\0"})(b||(e.TestIdPathParts=b={}));var A;(function(F){F[F.IsSame=0]="IsSame",F[F.Disconnected=1]="Disconnected",F[F.IsChild=2]="IsChild",F[F.IsParent=3]="IsParent"})(A||(e.TestPosition=A={}));class h{static fromExtHostTestItem(R,g,k=R.parent){if(R._isRoot)return new h([g]);const m=[R.id];for(let L=k;L&&L.id!==g;L=L.parent)m.push(L.id);return m.push(g),new h(m.reverse())}static isRoot(R){return!R.includes("\0")}static root(R){const g=R.indexOf("\0");return g===-1?R:R.slice(0,g)}static fromString(R){return new h(R.split("\0"))}static join(R,g){return new h([...R.path,g])}static joinToString(R,g){return R.toString()+"\0"+g}static parentId(R){const g=R.lastIndexOf("\0");return g===-1?void 0:R.slice(0,g)}static localId(R){const g=R.lastIndexOf("\0");return g===-1?R:R.slice(g+1)}static isChild(R,g){return g.startsWith(R)&&g[R.length]==="\0"}static compare(R,g){return R===g?0:h.isChild(R,g)?2:h.isChild(g,R)?3:1}constructor(R,g=R.length){if(this.path=R,this.d=g,R.length===0||g<1)throw new Error("cannot create test with empty path")}get parentId(){return this.d>1?new h(this.path,this.d-1):void 0}get localId(){return this.path[this.d-1]}get controllerId(){return this.path[0]}get isRoot(){return this.d===1}*idsFromRoot(){for(let R=1;R<=this.d;R++)yield new h(this.path,R)}*idsToRoot(){for(let R=this.d;R>0;R--)yield new h(this.path,R)}compare(R){if(typeof R=="string")return h.compare(this.toString(),R);for(let g=0;g<R.d&&g<this.d;g++)if(R.path[g]!==this.path[g])return 1;return R.d>this.d?2:R.d<this.d?3:0}toJSON(){return this.toString()}toString(){if(!this.c){this.c=this.path[0];for(let R=1;R<this.d;R++)this.c+="\0",this.c+=this.path[R]}return this.c}}e.$WH=h}),define(De[81],Ce([1,0,2,35,60]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4H=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.$3H=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.$2H=e.$1H=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.$ZH=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.$YH=e.$XH=e.TestRunProfileBitset=e.ExtTestRunProfileKind=e.TestResultState=void 0;var F;(function(S){S[S.Unset=0]="Unset",S[S.Queued=1]="Queued",S[S.Running=2]="Running",S[S.Passed=3]="Passed",S[S.Failed=4]="Failed",S[S.Skipped=5]="Skipped",S[S.Errored=6]="Errored"})(F||(e.TestResultState=F={}));var R;(function(S){S[S.Run=1]="Run",S[S.Debug=2]="Debug",S[S.Coverage=3]="Coverage"})(R||(e.ExtTestRunProfileKind=R={}));var g;(function(S){S[S.Run=2]="Run",S[S.Debug=4]="Debug",S[S.Coverage=8]="Coverage",S[S.HasNonDefaultProfile=16]="HasNonDefaultProfile",S[S.HasConfigurable=32]="HasConfigurable",S[S.SupportsContinuousRun=64]="SupportsContinuousRun"})(g||(e.TestRunProfileBitset=g={})),e.$XH=[2,4,8,16,32,64];const k=S=>"runId"in S;e.$YH=k;var m;(function(S){S.serialize=y=>({range:y.range.toJSON(),uri:y.uri.toJSON()}),S.deserialize=y=>({range:A.$Kr.lift(y.range),uri:b.URI.revive(y.uri)})})(m||(e.IRichLocation=m={}));var L;(function(S){S[S.Error=0]="Error",S[S.Output=1]="Output"})(L||(e.TestMessageType=L={}));var I;(function(S){S.serialize=y=>({message:y.message,type:0,expected:y.expected,actual:y.actual,location:y.location&&m.serialize(y.location)}),S.deserialize=y=>({message:y.message,type:0,expected:y.expected,actual:y.actual,location:y.location&&m.deserialize(y.location)})})(I||(e.ITestErrorMessage=I={}));const v=(S,y)=>`${y?"s":"e"}${S}`;e.$ZH=v;var D;(function(S){S.serialize=y=>({message:y.message,type:1,offset:y.offset,length:y.length,location:y.location&&m.serialize(y.location)}),S.deserialize=y=>({message:y.message,type:1,offset:y.offset,length:y.length,location:y.location&&m.deserialize(y.location)})})(D||(e.ITestOutputMessage=D={}));var C;(function(S){S.serialize=y=>y.type===0?I.serialize(y):D.serialize(y),S.deserialize=y=>y.type===0?I.deserialize(y):D.deserialize(y)})(C||(e.ITestMessage=C={}));var w;(function(S){S.serializeWithoutMessages=y=>({state:y.state,duration:y.duration,messages:[]}),S.serialize=y=>({state:y.state,duration:y.duration,messages:y.messages.map(C.serialize)}),S.deserialize=y=>({state:y.state,duration:y.duration,messages:y.messages.map(C.deserialize)})})(w||(e.ITestTaskState=w={}));const i="\0",l=(S,y)=>S+i+y;e.$1H=l;const a=S=>{const y=S.indexOf(i);return{ctrlId:S.slice(0,y),tagId:S.slice(y+1)}};e.$2H=a;var p;(function(S){S.serialize=y=>({extId:y.extId,label:y.label,tags:y.tags,busy:y.busy,children:void 0,uri:y.uri?.toJSON(),range:y.range?.toJSON()||null,description:y.description,error:y.error,sortText:y.sortText}),S.deserialize=y=>({extId:y.extId,label:y.label,tags:y.tags,busy:y.busy,children:void 0,uri:y.uri?b.URI.revive(y.uri):void 0,range:y.range?A.$Kr.lift(y.range):null,description:y.description,error:y.error,sortText:y.sortText})})(p||(e.ITestItem=p={}));var f;(function(S){S[S.NotExpandable=0]="NotExpandable",S[S.Expandable=1]="Expandable",S[S.BusyExpanding=2]="BusyExpanding",S[S.Expanded=3]="Expanded"})(f||(e.TestItemExpandState=f={}));var E;(function(S){S.serialize=y=>({expand:y.expand,item:p.serialize(y.item)}),S.deserialize=y=>({controllerId:h.$WH.root(y.item.extId),expand:y.expand,item:p.deserialize(y.item)})})(E||(e.InternalTestItem=E={}));var n;(function(S){S.serialize=y=>{let c;return y.item&&(c={},y.item.label!==void 0&&(c.label=y.item.label),y.item.tags!==void 0&&(c.tags=y.item.tags),y.item.busy!==void 0&&(c.busy=y.item.busy),y.item.uri!==void 0&&(c.uri=y.item.uri?.toJSON()),y.item.range!==void 0&&(c.range=y.item.range?.toJSON()),y.item.description!==void 0&&(c.description=y.item.description),y.item.error!==void 0&&(c.error=y.item.error),y.item.sortText!==void 0&&(c.sortText=y.item.sortText)),{extId:y.extId,expand:y.expand,item:c}},S.deserialize=y=>{let c;return y.item&&(c={},y.item.label!==void 0&&(c.label=y.item.label),y.item.tags!==void 0&&(c.tags=y.item.tags),y.item.busy!==void 0&&(c.busy=y.item.busy),y.item.range!==void 0&&(c.range=y.item.range?A.$Kr.lift(y.item.range):null),y.item.description!==void 0&&(c.description=y.item.description),y.item.error!==void 0&&(c.error=y.item.error),y.item.sortText!==void 0&&(c.sortText=y.item.sortText)),{extId:y.extId,expand:y.expand,item:c}}})(n||(e.ITestItemUpdate=n={}));const o=(S,y)=>{y.expand!==void 0&&(S.expand=y.expand),y.item!==void 0&&(S.item=S.item?Object.assign(S.item,y.item):y.item)};e.$3H=o;var s;(function(S){S.serializeWithoutMessages=y=>({...E.serialize(y),ownComputedState:y.ownComputedState,computedState:y.computedState,tasks:y.tasks.map(w.serializeWithoutMessages)}),S.serialize=y=>({...E.serialize(y),ownComputedState:y.ownComputedState,computedState:y.computedState,tasks:y.tasks.map(w.serialize)}),S.deserialize=y=>({...E.deserialize(y),ownComputedState:y.ownComputedState,computedState:y.computedState,tasks:y.tasks.map(w.deserialize),retired:!0})})(s||(e.TestResultItem=s={}));var t;(function(S){S[S.Function=0]="Function",S[S.Statement=1]="Statement"})(t||(e.DetailType=t={}));var u;(function(S){S[S.Add=0]="Add",S[S.Update=1]="Update",S[S.DocumentSynced=2]="DocumentSynced",S[S.Remove=3]="Remove",S[S.IncrementPendingExtHosts=4]="IncrementPendingExtHosts",S[S.Retire=5]="Retire",S[S.AddTag=6]="AddTag",S[S.RemoveTag=7]="RemoveTag"})(u||(e.TestDiffOpType=u={}));var $;(function(S){S.deserialize=y=>y.op===0?{op:y.op,item:E.deserialize(y.item)}:y.op===1?{op:y.op,item:n.deserialize(y.item)}:y.op===2?{op:y.op,uri:b.URI.revive(y.uri),docv:y.docv}:y,S.serialize=y=>y.op===0?{op:y.op,item:E.serialize(y.item)}:y.op===1?{op:y.op,item:n.serialize(y.item)}:y})($||(e.TestsDiffOp=$={}));class d{constructor(){this.c=new Map,this.d=new Map,this.f=new Set,this.g=0,this.h=0,this.tags=this.c}apply(y){const c=this.o();for(const r of y)switch(r.op){case 0:this.j(E.deserialize(r.item),c);break;case 1:this.k(n.deserialize(r.item),c);break;case 3:this.l(r.itemId,c);break;case 5:this.m(r.itemId);break;case 4:this.updatePendingRoots(r.amount);break;case 6:this.c.set(r.tag.id,r.tag);break;case 7:this.c.delete(r.id);break}c.complete?.()}j(y,c){const r=h.$WH.parentId(y.item.extId)?.toString();let P;if(!r)P=this.p(y),this.f.add(P),this.d.set(y.item.extId,P);else if(this.d.has(r)){const N=this.d.get(r);N.children.add(y.item.extId),P=this.p(y,N),this.d.set(y.item.extId,P)}else{console.error(`Test with unknown parent ID: ${JSON.stringify(y)}`);return}return c.add?.(P),y.expand===2&&this.g++,P}k(y,c){const r=this.d.get(y.extId);if(r)return y.expand!==void 0&&(r.expand===2&&this.g--,y.expand===2&&this.g++),(0,e.$3H)(r,y),c.update?.(r),r}l(y,c){const r=this.d.get(y);if(!r)return;const P=h.$WH.parentId(r.item.extId)?.toString();P?this.d.get(P).children.delete(r.item.extId):this.f.delete(r);const N=[[y]];for(;N.length;)for(const U of N.pop()){const q=this.d.get(U);q&&(N.push(q.children),this.d.delete(U),c.remove?.(q,q!==r),q.expand===2&&this.g--)}}m(y){}updatePendingRoots(y){this.h+=y}o(){return{}}}e.$4H=d}),define(De[103],Ce([1,0,17,3,4,53,81,60]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7K=e.$6K=e.$5K=e.$4K=e.$3K=e.TestItemEventOp=void 0;var k;(function(a){a[a.Upsert=0]="Upsert",a[a.SetTags=1]="SetTags",a[a.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",a[a.RemoveChild=3]="RemoveChild",a[a.SetProp=4]="SetProp",a[a.Bulk=5]="Bulk",a[a.DocumentSynced=6]="DocumentSynced"})(k||(e.TestItemEventOp=k={}));const m=(a,p)=>a===p,I=Object.entries({range:(a,p)=>a===p?!0:!a||!p?!1:a.equalsRange(p),busy:m,label:m,description:m,error:m,sortText:m,tags:(a,p)=>!(a.length!==p.length||a.some(f=>!p.includes(f)))}),v=(a,p)=>{let f;for(const[E,n]of I)n(a[E],p[E])||(f?f[E]=p[E]:f={[E]:p[E]});return f};class D extends h.$kb{get root(){return this.m.root}constructor(p){super(),this.m=p,this.f=this.B(new b.$Cg(()=>this.flushDiff(),200)),this.g=this.B(new A.$5c),this.tree=new Map,this.j=new Map,this.k=[],this.onDidGenerateDiff=this.g.event,this.root.canResolveChildren=!0,this.u(this.root,void 0)}set resolveHandler(p){this.h=p;for(const f of this.tree.values())this.G(f)}get resolveHandler(){return this.h}collectDiff(){const p=this.k;return this.k=[],p}pushDiff(p){switch(p.op){case 2:{for(const f of this.k)if(f.op===2&&f.uri===p.uri){f.docv=p.docv;return}break}case 1:{const f=this.k[this.k.length-1];if(f){if(f.op===1&&f.item.extId===p.item.extId){(0,R.$3H)(f.item,p.item);return}if(f.op===0&&f.item.item.extId===p.item.extId){(0,R.$3H)(f.item,p.item);return}}break}}this.k.push(p),this.f.isScheduled()||this.f.schedule()}expand(p,f){const E=this.tree.get(p);if(E){if((E.expandLevels===void 0||f>E.expandLevels)&&(E.expandLevels=f),E.expand===1){const n=this.I(E);return n.isOpen()?this.H(E,f-1):n.wait().then(()=>this.H(E,f-1))}else if(E.expand===3)return E.resolveBarrier?.isOpen()===!1?E.resolveBarrier.wait().then(()=>this.H(E,f-1)):this.H(E,f-1)}}dispose(){for(const p of this.tree.values())this.m.getApiFor(p.actual).listener=void 0;this.tree.clear(),this.k=[],super.dispose()}p(p,f){switch(f.op){case 3:this.L(g.$WH.joinToString(p.fullId,f.id));break;case 0:this.u(f.item,p);break;case 5:for(const E of f.ops)this.p(p,E);break;case 1:this.w(f.new,f.old,p.fullId.toString());break;case 2:this.G(p);break;case 4:this.pushDiff({op:1,item:{extId:p.fullId.toString(),item:f.update}});break;case 6:this.s(p.actual.uri);break;default:(0,F.$lc)(f)}}s(p){p&&this.pushDiff({op:2,uri:p,docv:this.m.getDocumentVersion(p)})}u(p,f){const E=g.$WH.fromExtHostTestItem(p,this.root.id,f?.actual),n=this.m.getApiFor(p);n.parent&&n.parent!==f?.actual&&this.m.getChildren(n.parent).delete(p.id);let o=this.tree.get(E.toString());if(!o){o={fullId:E,actual:p,expandLevels:f?.expandLevels?f.expandLevels-1:void 0,expand:0},p.tags.forEach(this.y,this),this.tree.set(o.fullId.toString(),o),this.C(p,f),this.pushDiff({op:0,item:{controllerId:this.m.controllerId,expand:o.expand,item:this.m.toITestItem(p)}}),this.F(p,o,f);return}if(o.actual===p){this.D(p,o,f);return}if(o.actual.uri?.toString()!==p.uri?.toString())return this.L(E.toString()),this.u(p,f);const s=this.m.getChildren(o.actual),t=o.actual,u=v(this.m.toITestItem(t),this.m.toITestItem(p));this.m.getApiFor(t).listener=void 0,o.actual=p,o.expand=0,u&&(u.hasOwnProperty("tags")&&(this.w(p.tags,t.tags,E.toString()),delete u.tags),this.p(o,{op:4,update:u})),this.F(p,o,f);for(const[$,d]of s)this.m.getChildren(p).get(d.id)||this.L(g.$WH.joinToString(E,d.id));this.s(o.actual.uri)}w(p,f,E){const n=new Set(f.map(o=>o.id));for(const o of p)n.delete(o.id)||this.y(o);this.pushDiff({op:1,item:{extId:E,item:{tags:p.map(o=>(0,R.$1H)(this.m.controllerId,o.id))}}}),n.forEach(this.z,this)}y(p){const f=this.j.get(p.id);f?f.refCount++:(this.j.set(p.id,{refCount:1}),this.pushDiff({op:6,tag:{id:(0,R.$1H)(this.m.controllerId,p.id)}}))}z(p){const f=this.j.get(p);f&&!--f.refCount&&(this.j.delete(p),this.pushDiff({op:7,id:(0,R.$1H)(this.m.controllerId,p)}))}C(p,f){this.m.getApiFor(p).parent=f&&f.actual!==this.root?f.actual:void 0}D(p,f,E){this.C(p,E);const n=this.m.getApiFor(p);n.parent=E?.actual,n.listener=o=>this.p(f,o),this.G(f)}F(p,f,E){this.D(p,f,E);for(const[n,o]of this.m.getChildren(p))this.u(o,f)}G(p){let f;this.h?p.resolveBarrier?f=p.resolveBarrier.isOpen()?3:2:f=p.actual.canResolveChildren?1:0:f=0,f!==p.expand&&(p.expand=f,this.pushDiff({op:1,item:{extId:p.fullId.toString(),expand:f}}),f===1&&p.expandLevels!==void 0&&this.I(p))}H(p,f){if(f<0)return;const E=[];for(const[n,o]of this.m.getChildren(p.actual)){const s=this.expand(g.$WH.joinToString(p.fullId,o.id),f);(0,b.$eg)(s)&&E.push(s)}if(E.length)return Promise.all(E).then(()=>{})}I(p){if(p.resolveBarrier)return p.resolveBarrier;if(!this.h){const o=new b.$qg;return o.open(),o}p.expand=2,this.J(p);const f=p.resolveBarrier=new b.$qg,E=o=>{console.error(`Unhandled error in resolveHandler of test controller "${this.m.controllerId}"`,o)};let n;try{n=this.h(p.actual===this.root?void 0:p.actual)}catch(o){E(o)}return(0,b.$eg)(n)?n.catch(E).then(()=>{f.open(),this.G(p)}):(f.open(),this.G(p)),p.resolveBarrier}J(p){this.pushDiff({op:1,item:{extId:p.fullId.toString(),expand:p.expand}})}L(p){const f=this.tree.get(p);if(!f)throw new Error("attempting to remove non-existent child");this.pushDiff({op:3,itemId:p});const E=[f];for(;E.length;){const n=E.pop();if(n){this.m.getApiFor(n.actual).listener=void 0;for(const o of n.actual.tags)this.z(o.id);this.tree.delete(n.fullId.toString());for(const[o,s]of this.m.getChildren(n.actual))E.push(this.tree.get(g.$WH.joinToString(n.fullId,s.id)))}}}flushDiff(){const p=this.collectDiff();p.length&&this.g.fire(p)}}e.$3K=D;class C extends Error{constructor(p){super(`Attempted to insert a duplicate test item ID ${p}`)}}e.$4K=C;class w extends Error{constructor(p){super(`TestItem with ID "${p}" is invalid. Make sure to create it from the createTestItem method.`)}}e.$5K=w;class i extends Error{constructor(p,f,E){super(`TestItem with ID "${p}" is from controller "${f}" and cannot be added as a child of an item from controller "${E}".`)}}e.$6K=i;const l=(a,p,f)=>{let E=new Map;return{get size(){return E.size},forEach(n,o){for(const s of E.values())n.call(o,s,this)},[Symbol.iterator](){return E.entries()},replace(n){const o=new Map,s=new Set(E.keys()),t={op:5,ops:[]};for(const u of n){if(!(u instanceof f))throw new w(u.id);const $=p(u).controllerId;if($!==a.controllerId)throw new i(u.id,$,a.controllerId);if(o.has(u.id))throw new C(u.id);o.set(u.id,u),s.delete(u.id),t.ops.push({op:0,item:u})}for(const u of s.keys())t.ops.push({op:3,id:u});a.listener?.(t),E=o},add(n){if(!(n instanceof f))throw new w(n.id);E.set(n.id,n),a.listener?.({op:0,item:n})},delete(n){E.delete(n)&&a.listener?.({op:3,id:n})},get(n){return E.get(n)},toJSON(){return Array.from(E.values())}}};e.$7K=l}),define(De[136],Ce([1,0,103]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9K=e.$8K=void 0;const A=new WeakMap,h=(R,g)=>{const k={controllerId:g};return A.set(R,k),k};e.$8K=h;const F=R=>{const g=A.get(R);if(!g)throw new b.$5K(R?.id||"<unknown>");return g};e.$9K=F}),define(De[104],Ce([1,0,16,2]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Slb=e.$Rlb=e.$Qlb=e.$Plb=e.$Olb=void 0,e.$Olb="vscode-cdn.net",e.$Plb=`vscode-resource.${e.$Olb}`,e.$Qlb=`'self' https://*.${e.$Olb}`;function h(g,k){return g.scheme===b.Schemas.http||g.scheme===b.Schemas.https?g:(k&&k.authority&&k.isRemote&&g.scheme===b.Schemas.file&&(g=A.URI.from({scheme:b.Schemas.vscodeRemote,authority:k.authority,path:g.path})),A.URI.from({scheme:b.Schemas.https,authority:`${g.scheme}+${F(g.authority)}.${e.$Plb}`,path:g.path,fragment:g.fragment,query:g.query}))}e.$Rlb=h;function F(g){return g.replace(/./g,k=>{const m=k.charCodeAt(0);return m>=97&&m<=122||m>=65&&m<=90||m>=48&&m<=57?k:"-"+m.toString(16).padStart(4,"0")})}function R(g){return g.replace(/-([0-9a-f]{4})/g,(k,m)=>String.fromCharCode(parseInt(m,16)))}e.$Slb=R}),define(De[256],Ce([1,0,3,4,104]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Y$b=void 0;class F{constructor(g,k,m){this.d=g,this.e=k,this.f=m,this.a=0,this.b=new A.$jb,this.c=new Map,this.b.add(k.onDidChangeVisibleTextEditors(()=>{const L=k.getVisibleTextEditors();for(const I of this.c.values())L.indexOf(I.editor)<0&&I.inset.dispose()}))}dispose(){this.c.forEach(g=>g.inset.dispose()),this.b.dispose()}createWebviewEditorInset(g,k,m,L,I){let v;for(const p of this.e.getVisibleTextEditors(!0))if(p.value===g){v=p;break}if(!v)throw new Error("not a visible editor");const D=this,C=this.a++,w=new b.$5c,i=new b.$5c,l=new class{constructor(){this.a="",this.b=Object.create(null)}asWebviewUri(p){return(0,h.$Rlb)(p,D.f)}get cspSource(){return h.$Qlb}set options(p){this.b=p,D.d.$setOptions(C,p)}get options(){return this.b}set html(p){this.a=p,D.d.$setHtml(C,p)}get html(){return this.a}get onDidReceiveMessage(){return w.event}postMessage(p){return D.d.$postMessage(C,p)}},a=new class{constructor(){this.editor=g,this.line=k,this.height=m,this.webview=l,this.onDidDispose=i.event}dispose(){D.c.has(C)&&(D.c.delete(C),D.d.$disposeEditorInset(C),i.fire(),i.dispose(),w.dispose())}};return this.d.$createEditorInset(C,v.id,v.value.document.uri,k+1,m,L||{},I.identifier,I.extensionLocation),this.c.set(C,{editor:g,inset:a,onDidReceiveMessage:w}),a}$onDidDispose(g){const k=this.c.get(g);k&&k.inset.dispose()}$onDidReceiveMessage(g,k){this.c.get(g)?.onDidReceiveMessage.fire(k)}}e.$Y$b=F}),define(De[257],Ce([1,0,5]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EL=e.VariableKind=e.$DL=void 0,e.$DL=(0,b.$lh)("configurationResolverService");var A;(function(F){F.Unknown="unknown",F.Env="env",F.Config="config",F.Command="command",F.Input="input",F.ExtensionInstallFolder="extensionInstallFolder",F.WorkspaceFolder="workspaceFolder",F.Cwd="cwd",F.WorkspaceFolderBasename="workspaceFolderBasename",F.UserHome="userHome",F.LineNumber="lineNumber",F.SelectedText="selectedText",F.File="file",F.FileWorkspaceFolder="fileWorkspaceFolder",F.RelativeFile="relativeFile",F.RelativeFileDirname="relativeFileDirname",F.FileDirname="fileDirname",F.FileExtname="fileExtname",F.FileBasename="fileBasename",F.FileBasenameNoExtension="fileBasenameNoExtension",F.FileDirnameBasename="fileDirnameBasename",F.ExecPath="execPath",F.ExecInstallFolder="execInstallFolder",F.PathSeparator="pathSeparator"})(A||(e.VariableKind=A={}));class h extends Error{constructor(R,g){super(g),this.variable=R}}e.$EL=h}),define(De[258],Ce([1,0,11,41,12,24,10,120,208,257,9]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cM=void 0;class I{constructor(D,C,w,i){this.h=new Map,this.a=D,this.b=C,this.g=w,i&&(this.c=i.then(l=>this.i(l)))}i(D){if(R.$i){const C=Object.create(null);return Object.keys(D).forEach(w=>{C[w.toLowerCase()]=D[w]}),C}return D}resolveWithEnvironment(D,C,w){return this.l({env:this.i(D),userHome:void 0},C?C.uri:void 0,w)}async resolveAsync(D,C){const w={env:await this.c,userHome:await this.g};return this.l(w,D?D.uri:void 0,C)}async j(D,C,w,i){const l=F.$Dm(C);R.$i&&l.windows?Object.keys(l.windows).forEach(p=>l[p]=l.windows[p]):R.$j&&l.osx?Object.keys(l.osx).forEach(p=>l[p]=l.osx[p]):R.$k&&l.linux&&Object.keys(l.linux).forEach(p=>l[p]=l.linux[p]),delete l.windows,delete l.osx,delete l.linux;const a={env:await this.c,userHome:await this.g};return this.l(a,D?D.uri:void 0,l,w,i)}async resolveAnyAsync(D,C,w){return this.j(D,C,w)}async resolveAnyMap(D,C,w){const i=new Map;return{newConfig:await this.j(D,C,w,i),resolvedVariables:i}}resolveWithInteractionReplace(D,C,w,i){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(D,C,w,i){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(D,C){if(this.h.has(D))throw new Error("Variable "+D+" is contributed twice.");this.h.set(D,C)}async l(D,C,w,i,l){if(h.$ge(w))return this.m(D,C,w,i,l);if(Array.isArray(w))return Promise.all(w.map(a=>this.l(D,C,a,i,l)));if(h.$ie(w)){const a=Object.create(null),p=await Promise.all(Object.keys(w).map(async f=>[await this.m(D,C,f,i,l),await this.l(D,C,w[f],i,l)]));for(const[f,E]of p)a[f]=E;return a}return w}m(D,C,w,i,l){return(0,L.$Bd)(w,I.VARIABLE_REGEXP,async(a,p)=>{if(p.includes(I.VARIABLE_LHS))return a;let f=await this.o(D,a,p,C,i);return l?.set(p,f),f!==a&&h.$ge(f)&&f.match(I.VARIABLE_REGEXP)&&(f=await this.m(D,C,f,i,l)),f})}n(D){return this.b?this.b.getUriLabel(D,{noPrefix:!0}):D.fsPath}async o(D,C,w,i,l){let a;const p=w.split(":");p.length>1&&(w=p[0],a=p[1]);const f=o=>{const s=this.a.getFilePath();if(s)return(0,g.$Oz)(s);throw new m.$EL(o,(0,k.localize)(0,null,C))},E=o=>{const s=f(o);if(this.a.getWorkspaceFolderPathForFile){const t=this.a.getWorkspaceFolderPathForFile();if(t)return(0,g.$Oz)(t)}throw new m.$EL(o,(0,k.localize)(1,null,C,b.$cc(s)))},n=o=>{if(a){const s=this.a.getFolderUri(a);if(s)return s;throw new m.$EL(o,(0,k.localize)(2,null,C,a))}if(i)return i;throw this.a.getWorkspaceFolderCount()>1?new m.$EL(o,(0,k.localize)(3,null,C)):new m.$EL(o,(0,k.localize)(4,null,C))};switch(w){case"env":if(a){if(D.env){const o=D.env[R.$i?a.toLowerCase():a];if(h.$ge(o))return o}return""}throw new m.$EL(m.VariableKind.Env,(0,k.localize)(5,null,C));case"config":if(a){const o=this.a.getConfigurationValue(i,a);if(h.$pe(o))throw new m.$EL(m.VariableKind.Config,(0,k.localize)(6,null,C,a));if(h.$ie(o))throw new m.$EL(m.VariableKind.Config,(0,k.localize)(7,null,C,a));return o}throw new m.$EL(m.VariableKind.Config,(0,k.localize)(8,null,C));case"command":return this.p(m.VariableKind.Command,C,a,l,"command");case"input":return this.p(m.VariableKind.Input,C,a,l,"input");case"extensionInstallFolder":if(a){const o=await this.a.getExtension(a);if(!o)throw new m.$EL(m.VariableKind.ExtensionInstallFolder,(0,k.localize)(9,null,C,a));return this.n(o.extensionLocation)}throw new m.$EL(m.VariableKind.ExtensionInstallFolder,(0,k.localize)(10,null,C));default:switch(w){case"workspaceRoot":case"workspaceFolder":return(0,g.$Oz)(this.n(n(m.VariableKind.WorkspaceFolder)));case"cwd":return i||a?(0,g.$Oz)(this.n(n(m.VariableKind.Cwd))):A.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return(0,g.$Oz)(b.$cc(this.n(n(m.VariableKind.WorkspaceFolderBasename))));case"userHome":{if(D.userHome)return D.userHome;throw new m.$EL(m.VariableKind.UserHome,(0,k.localize)(11,null,C))}case"lineNumber":{const o=this.a.getLineNumber();if(o)return o;throw new m.$EL(m.VariableKind.LineNumber,(0,k.localize)(12,null,C))}case"selectedText":{const o=this.a.getSelectedText();if(o)return o;throw new m.$EL(m.VariableKind.SelectedText,(0,k.localize)(13,null,C))}case"file":return f(m.VariableKind.File);case"fileWorkspaceFolder":return E(m.VariableKind.FileWorkspaceFolder);case"relativeFile":return i||a?b.$ac(this.n(n(m.VariableKind.RelativeFile)),f(m.VariableKind.RelativeFile)):f(m.VariableKind.RelativeFile);case"relativeFileDirname":{const o=b.$bc(f(m.VariableKind.RelativeFileDirname));if(i||a){const s=b.$ac(this.n(n(m.VariableKind.RelativeFileDirname)),o);return s.length===0?".":s}return o}case"fileDirname":return b.$bc(f(m.VariableKind.FileDirname));case"fileExtname":return b.$dc(f(m.VariableKind.FileExtname));case"fileBasename":return b.$cc(f(m.VariableKind.FileBasename));case"fileBasenameNoExtension":{const o=b.$cc(f(m.VariableKind.FileBasenameNoExtension));return o.slice(0,o.length-b.$dc(o).length)}case"fileDirnameBasename":return b.$cc(b.$bc(f(m.VariableKind.FileDirnameBasename)));case"execPath":{const o=this.a.getExecPath();return o||C}case"execInstallFolder":{const o=this.a.getAppRoot();return o||C}case"pathSeparator":return b.sep;default:try{const o=a?`${w}:${a}`:w;return this.p(m.VariableKind.Unknown,C,o,l,void 0)}catch{return C}}}}p(D,C,w,i,l){if(w&&i){const a=l===void 0?i[w]:i[l+":"+w];if(typeof a=="string")return a;throw new m.$EL(D,(0,k.localize)(14,null,C))}return C}}e.$cM=I,I.VARIABLE_LHS="${",I.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(De[137],Ce([1,0,5,133]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tC=e.$sC=e.OpenEditorContext=e.GroupsOrder=e.$rC=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.$qC=void 0,e.$qC=(0,b.$lh)("editorGroupsService");var h;(function(C){C[C.UP=0]="UP",C[C.DOWN=1]="DOWN",C[C.LEFT=2]="LEFT",C[C.RIGHT=3]="RIGHT"})(h||(e.GroupDirection=h={}));var F;(function(C){C[C.HORIZONTAL=0]="HORIZONTAL",C[C.VERTICAL=1]="VERTICAL"})(F||(e.GroupOrientation=F={}));var R;(function(C){C[C.FIRST=0]="FIRST",C[C.LAST=1]="LAST",C[C.NEXT=2]="NEXT",C[C.PREVIOUS=3]="PREVIOUS"})(R||(e.GroupLocation=R={}));var g;(function(C){C[C.MAXIMIZE=0]="MAXIMIZE",C[C.EVEN=1]="EVEN",C[C.TOGGLE=2]="TOGGLE"})(g||(e.GroupsArrangement=g={}));var k;(function(C){C[C.COPY_EDITORS=0]="COPY_EDITORS",C[C.MOVE_EDITORS=1]="MOVE_EDITORS"})(k||(e.MergeGroupMode=k={}));function m(C){const w=C;return(0,A.$eE)(w?.editor)&&(0,A.$eE)(w?.replacement)}e.$rC=m;var L;(function(C){C[C.CREATION_TIME=0]="CREATION_TIME",C[C.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",C[C.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(L||(e.GroupsOrder=L={}));var I;(function(C){C[C.NEW_EDITOR=1]="NEW_EDITOR",C[C.MOVE_EDITOR=2]="MOVE_EDITOR",C[C.COPY_EDITOR=3]="COPY_EDITOR"})(I||(e.OpenEditorContext=I={}));function v(C){const w=C;return!!w&&typeof w.id=="number"&&Array.isArray(w.editors)}e.$sC=v;function D(C){return C.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.$tC=D}),define(De[259],Ce([1,0,5,137]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xC=e.$wC=e.$vC=e.$uC=void 0,e.$uC=(0,b.$lh)("editorService"),e.$vC=-1,e.$wC=-2;function h(F){const R=F;return typeof F=="number"||(0,A.$sC)(R)}e.$xC=h}),define(De[15],Ce([1,0,19,22,155,67,94,28,151,73,92,24,12,2,35,76,126,136,133,102,60,81,259,7]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChatFollowup=e.ChatReplyFollowup=e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookKernelSourceAction=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.$_K=e.$$K=e.MarkdownString=e.$0K=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var s;(function(Fe){function Le(ae){const{selectionStartLineNumber:Ne,selectionStartColumn:Be,positionLineNumber:Ye,positionColumn:Ke}=ae,it=new o.$bJ(Ne-1,Be-1),kt=new o.$bJ(Ye-1,Ke-1);return new o.$dJ(it,kt)}Fe.to=Le;function Ae(ae){const{anchor:Ne,active:Be}=ae;return{selectionStartLineNumber:Ne.line+1,selectionStartColumn:Ne.character+1,positionLineNumber:Be.line+1,positionColumn:Be.character+1}}Fe.from=Ae})(s||(e.Selection=s={}));var t;(function(Fe){function Le(ae){if(!ae)return;const{start:Ne,end:Be}=ae;return{startLineNumber:Ne.line+1,startColumn:Ne.character+1,endLineNumber:Be.line+1,endColumn:Be.character+1}}Fe.from=Le;function Ae(ae){if(!ae)return;const{startLineNumber:Ne,startColumn:Be,endLineNumber:Ye,endColumn:Ke}=ae;return new o.$cJ(Ne-1,Be-1,Ye-1,Ke-1)}Fe.to=Ae})(t||(e.Range=t={}));var u;(function(Fe){function Le(Ae){switch(Ae){case 1:return o.StandardTokenType.Comment;case 0:return o.StandardTokenType.Other;case 3:return o.StandardTokenType.RegEx;case 2:return o.StandardTokenType.String}}Fe.to=Le})(u||(e.TokenType=u={}));var $;(function(Fe){function Le(ae){return new o.$bJ(ae.lineNumber-1,ae.column-1)}Fe.to=Le;function Ae(ae){return{lineNumber:ae.line+1,column:ae.character+1}}Fe.from=Ae})($||(e.Position=$={}));var d;(function(Fe){function Le(Ne,Be,Ye){return(0,b.$jf)((0,b.$Gf)(Ne).map(Ke=>Ae(Ke,Be,Ye)))}Fe.from=Le;function Ae(Ne,Be,Ye){if(typeof Ne=="string")return{$serialized:!0,language:Ne,isBuiltin:Ye?.isBuiltin};if(Ne)return{$serialized:!0,language:Ne.language,scheme:ae(Ne.scheme,Be),pattern:Me.from(Ne.pattern)??void 0,exclusive:Ne.exclusive,notebookType:Ne.notebookType,isBuiltin:Ye?.isBuiltin}}function ae(Ne,Be){return Be&&typeof Ne=="string"?Be.transformOutgoingScheme(Ne):Ne}})(d||(e.DocumentSelector=d={}));var S;(function(Fe){function Le(ae){switch(ae){case o.DiagnosticTag.Unnecessary:return 1;case o.DiagnosticTag.Deprecated:return 2}}Fe.from=Le;function Ae(ae){switch(ae){case 1:return o.DiagnosticTag.Unnecessary;case 2:return o.DiagnosticTag.Deprecated;default:return}}Fe.to=Ae})(S||(e.DiagnosticTag=S={}));var y;(function(Fe){function Le(ae){let Ne;return ae.code&&((0,v.$ge)(ae.code)||(0,v.$ke)(ae.code)?Ne=String(ae.code):Ne={value:String(ae.code.value),target:ae.code.target}),{...t.from(ae.range),message:ae.message,source:ae.source,code:Ne,severity:r.from(ae.severity),relatedInformation:ae.relatedInformation&&ae.relatedInformation.map(c.from),tags:Array.isArray(ae.tags)?(0,b.$jf)(ae.tags.map(S.from)):void 0}}Fe.from=Le;function Ae(ae){const Ne=new o.$oJ(t.to(ae),ae.message,r.to(ae.severity));return Ne.source=ae.source,Ne.code=(0,v.$ge)(ae.code)?ae.code:ae.code?.value,Ne.relatedInformation=ae.relatedInformation&&ae.relatedInformation.map(c.to),Ne.tags=ae.tags&&(0,b.$jf)(ae.tags.map(S.to)),Ne}Fe.to=Ae})(y||(e.Diagnostic=y={}));var c;(function(Fe){function Le(ae){return{...t.from(ae.location.range),message:ae.message,resource:ae.location.uri}}Fe.from=Le;function Ae(ae){return new o.$nJ(new o.$mJ(ae.resource,t.to(ae)),ae.message)}Fe.to=Ae})(c||(e.DiagnosticRelatedInformation=c={}));var r;(function(Fe){function Le(ae){switch(ae){case o.DiagnosticSeverity.Error:return i.MarkerSeverity.Error;case o.DiagnosticSeverity.Warning:return i.MarkerSeverity.Warning;case o.DiagnosticSeverity.Information:return i.MarkerSeverity.Info;case o.DiagnosticSeverity.Hint:return i.MarkerSeverity.Hint}return i.MarkerSeverity.Error}Fe.from=Le;function Ae(ae){switch(ae){case i.MarkerSeverity.Info:return o.DiagnosticSeverity.Information;case i.MarkerSeverity.Warning:return o.DiagnosticSeverity.Warning;case i.MarkerSeverity.Error:return o.DiagnosticSeverity.Error;case i.MarkerSeverity.Hint:return o.DiagnosticSeverity.Hint;default:return o.DiagnosticSeverity.Error}}Fe.to=Ae})(r||(e.DiagnosticSeverity=r={}));var P;(function(Fe){function Le(ae){return typeof ae=="number"&&ae>=o.ViewColumn.One?ae-1:ae===o.ViewColumn.Beside?n.$wC:n.$vC}Fe.from=Le;function Ae(ae){if(typeof ae=="number"&&ae>=0)return ae+1;throw new Error("invalid 'EditorGroupColumn'")}Fe.to=Ae})(P||(e.ViewColumn=P={}));function N(Fe){return typeof Fe.range<"u"}function U(Fe){return Fe.length===0?!0:!!N(Fe[0])}e.$0K=U;var q;(function(Fe){function Le(Ke){return Ke.map(Fe.from)}Fe.fromMany=Le;function Ae(Ke){return Ke&&typeof Ke=="object"&&typeof Ke.language=="string"&&typeof Ke.value=="string"}function ae(Ke){let it;if(Ae(Ke)){const{language:bt,value:pt}=Ke;it={value:"```"+bt+`
`+pt+"\n```\n"}}else o.$BJ.isMarkdownString(Ke)?it={value:Ke.value,isTrusted:Ke.isTrusted,supportThemeIcons:Ke.supportThemeIcons,supportHtml:Ke.supportHtml,baseUri:Ke.baseUri}:typeof Ke=="string"?it={value:Ke}:it={value:""};const kt=Object.create(null);it.uris=kt;const It=bt=>{try{let pt=D.URI.parse(bt,!0);pt=pt.with({query:Ne(pt.query,kt)}),kt[bt]=pt}catch{}return""},At=new k.marked.Renderer;return At.link=It,At.image=bt=>typeof bt=="string"?It(R.$Nj(bt).href):"",(0,k.marked)(it.value,{renderer:At}),it}Fe.from=ae;function Ne(Ke,it){if(!Ke)return Ke;let kt;try{kt=(0,m.$Tg)(Ke)}catch{}if(!kt)return Ke;let It=!1;return kt=(0,I.$Fm)(kt,At=>{if(D.URI.isUri(At)){const bt=`__uri_${Math.random().toString(16).slice(2,8)}`;return it[bt]=At,It=!0,bt}else return}),It?JSON.stringify(kt):Ke}function Be(Ke){const it=new o.$BJ(Ke.value,Ke.supportThemeIcons);return it.isTrusted=Ke.isTrusted,it.supportHtml=Ke.supportHtml,it.baseUri=Ke.baseUri?D.URI.from(Ke.baseUri):void 0,it}Fe.to=Be;function Ye(Ke){if(Ke)return typeof Ke=="string"?Ke:Fe.from(Ke)}Fe.fromStrict=Ye})(q||(e.MarkdownString=q={}));function W(Fe){return U(Fe)?Fe.map(Le=>({range:t.from(Le.range),hoverMessage:Array.isArray(Le.hoverMessage)?q.fromMany(Le.hoverMessage):Le.hoverMessage?q.from(Le.hoverMessage):void 0,renderOptions:Le.renderOptions})):Fe.map(Le=>({range:t.from(Le)}))}e.$$K=W;function O(Fe){return typeof Fe>"u"?Fe:typeof Fe=="string"?D.URI.file(Fe):Fe}e.$_K=O;var J;(function(Fe){function Le(Ae){return typeof Ae>"u"?Ae:{contentText:Ae.contentText,contentIconPath:Ae.contentIconPath?O(Ae.contentIconPath):void 0,border:Ae.border,borderColor:Ae.borderColor,fontStyle:Ae.fontStyle,fontWeight:Ae.fontWeight,textDecoration:Ae.textDecoration,color:Ae.color,backgroundColor:Ae.backgroundColor,margin:Ae.margin,width:Ae.width,height:Ae.height}}Fe.from=Le})(J||(e.ThemableDecorationAttachmentRenderOptions=J={}));var z;(function(Fe){function Le(Ae){return typeof Ae>"u"?Ae:{backgroundColor:Ae.backgroundColor,outline:Ae.outline,outlineColor:Ae.outlineColor,outlineStyle:Ae.outlineStyle,outlineWidth:Ae.outlineWidth,border:Ae.border,borderColor:Ae.borderColor,borderRadius:Ae.borderRadius,borderSpacing:Ae.borderSpacing,borderStyle:Ae.borderStyle,borderWidth:Ae.borderWidth,fontStyle:Ae.fontStyle,fontWeight:Ae.fontWeight,textDecoration:Ae.textDecoration,cursor:Ae.cursor,color:Ae.color,opacity:Ae.opacity,letterSpacing:Ae.letterSpacing,gutterIconPath:Ae.gutterIconPath?O(Ae.gutterIconPath):void 0,gutterIconSize:Ae.gutterIconSize,overviewRulerColor:Ae.overviewRulerColor,before:Ae.before?J.from(Ae.before):void 0,after:Ae.after?J.from(Ae.after):void 0}}Fe.from=Le})(z||(e.ThemableDecorationRenderOptions=z={}));var j;(function(Fe){function Le(Ae){if(typeof Ae>"u")return Ae;switch(Ae){case o.DecorationRangeBehavior.OpenOpen:return 0;case o.DecorationRangeBehavior.ClosedClosed:return 1;case o.DecorationRangeBehavior.OpenClosed:return 2;case o.DecorationRangeBehavior.ClosedOpen:return 3}}Fe.from=Le})(j||(e.DecorationRangeBehavior=j={}));var he;(function(Fe){function Le(Ae){return{isWholeLine:Ae.isWholeLine,rangeBehavior:Ae.rangeBehavior?j.from(Ae.rangeBehavior):void 0,overviewRulerLane:Ae.overviewRulerLane,light:Ae.light?z.from(Ae.light):void 0,dark:Ae.dark?z.from(Ae.dark):void 0,backgroundColor:Ae.backgroundColor,outline:Ae.outline,outlineColor:Ae.outlineColor,outlineStyle:Ae.outlineStyle,outlineWidth:Ae.outlineWidth,border:Ae.border,borderColor:Ae.borderColor,borderRadius:Ae.borderRadius,borderSpacing:Ae.borderSpacing,borderStyle:Ae.borderStyle,borderWidth:Ae.borderWidth,fontStyle:Ae.fontStyle,fontWeight:Ae.fontWeight,textDecoration:Ae.textDecoration,cursor:Ae.cursor,color:Ae.color,opacity:Ae.opacity,letterSpacing:Ae.letterSpacing,gutterIconPath:Ae.gutterIconPath?O(Ae.gutterIconPath):void 0,gutterIconSize:Ae.gutterIconSize,overviewRulerColor:Ae.overviewRulerColor,before:Ae.before?J.from(Ae.before):void 0,after:Ae.after?J.from(Ae.after):void 0}}Fe.from=Le})(he||(e.DecorationRenderOptions=he={}));var ie;(function(Fe){function Le(ae){return{text:ae.newText,eol:ae.newEol&&st.from(ae.newEol),range:t.from(ae.range)}}Fe.from=Le;function Ae(ae){const Ne=new o.$hJ(t.to(ae.range),ae.text);return Ne.newEol=typeof ae.eol>"u"?void 0:st.to(ae.eol),Ne}Fe.to=Ae})(ie||(e.TextEdit=ie={}));var ne;(function(Fe){function Le(ae,Ne){const Be={edits:[]};if(ae instanceof o.$kJ){const Ye=new g.$ki;for(const Ke of ae._allEntries())Ke._type===1&&D.URI.isUri(Ke.to)&&Ke.from===void 0&&Ye.add(Ke.to);for(const Ke of ae._allEntries())if(Ke._type===1){let it;Ke.options?.contents&&(ArrayBuffer.isView(Ke.options.contents)?it={type:"base64",value:(0,A.$2b)(A.$Ib.wrap(Ke.options.contents))}:it={type:"dataTransferItem",id:Ke.options.contents._itemId}),Be.edits.push({oldResource:Ke.from,newResource:Ke.to,options:{...Ke.options,contents:it},metadata:Ke.metadata})}else Ke._type===2?Be.edits.push({resource:Ke.uri,textEdit:ie.from(Ke.edit),versionId:Ye.has(Ke.uri)?void 0:Ne?.getTextDocumentVersion(Ke.uri),metadata:Ke.metadata}):Ke._type===6?Be.edits.push({resource:Ke.uri,textEdit:{range:t.from(Ke.range),text:Ke.edit.value,insertAsSnippet:!0},versionId:Ye.has(Ke.uri)?void 0:Ne?.getTextDocumentVersion(Ke.uri),metadata:Ke.metadata}):Ke._type===3?Be.edits.push({metadata:Ke.metadata,resource:Ke.uri,cellEdit:Ke.edit,notebookMetadata:Ke.notebookMetadata,notebookVersionId:Ne?.getNotebookDocumentVersion(Ke.uri)}):Ke._type===5&&Be.edits.push({metadata:Ke.metadata,resource:Ke.uri,notebookVersionId:Ne?.getNotebookDocumentVersion(Ke.uri),cellEdit:{editType:1,index:Ke.index,count:Ke.count,cells:Ke.cells.map(et.from)}})}return Be}Fe.from=Le;function Ae(ae){const Ne=new o.$kJ,Be=new g.$ji;for(const Ye of ae.edits)if(Ye.textEdit){const Ke=Ye,it=D.URI.revive(Ke.resource),kt=t.to(Ke.textEdit.range),It=Ke.textEdit.text,At=Ke.textEdit.insertAsSnippet;let bt;At?bt=o.$jJ.replace(kt,new o.$lJ(It)):bt=o.$hJ.replace(kt,It);const pt=Be.get(it);pt?pt.push(bt):Be.set(it,[bt])}else Ne.renameFile(D.URI.revive(Ye.oldResource),D.URI.revive(Ye.newResource),Ye.options);for(const[Ye,Ke]of Be)Ne.set(Ye,Ke);return Ne}Fe.to=Ae})(ne||(e.WorkspaceEdit=ne={}));var V;(function(Fe){const Le=Object.create(null);Le[o.SymbolKind.File]=0,Le[o.SymbolKind.Module]=1,Le[o.SymbolKind.Namespace]=2,Le[o.SymbolKind.Package]=3,Le[o.SymbolKind.Class]=4,Le[o.SymbolKind.Method]=5,Le[o.SymbolKind.Property]=6,Le[o.SymbolKind.Field]=7,Le[o.SymbolKind.Constructor]=8,Le[o.SymbolKind.Enum]=9,Le[o.SymbolKind.Interface]=10,Le[o.SymbolKind.Function]=11,Le[o.SymbolKind.Variable]=12,Le[o.SymbolKind.Constant]=13,Le[o.SymbolKind.String]=14,Le[o.SymbolKind.Number]=15,Le[o.SymbolKind.Boolean]=16,Le[o.SymbolKind.Array]=17,Le[o.SymbolKind.Object]=18,Le[o.SymbolKind.Key]=19,Le[o.SymbolKind.Null]=20,Le[o.SymbolKind.EnumMember]=21,Le[o.SymbolKind.Struct]=22,Le[o.SymbolKind.Event]=23,Le[o.SymbolKind.Operator]=24,Le[o.SymbolKind.TypeParameter]=25;function Ae(Ne){return typeof Le[Ne]=="number"?Le[Ne]:6}Fe.from=Ae;function ae(Ne){for(const Be in Le)if(Le[Be]===Ne)return Number(Be);return o.SymbolKind.Property}Fe.to=ae})(V||(e.SymbolKind=V={}));var H;(function(Fe){function Le(ae){switch(ae){case o.SymbolTag.Deprecated:return 1}}Fe.from=Le;function Ae(ae){switch(ae){case 1:return o.SymbolTag.Deprecated}}Fe.to=Ae})(H||(e.SymbolTag=H={}));var ce;(function(Fe){function Le(ae){return{name:ae.name,kind:V.from(ae.kind),tags:ae.tags&&ae.tags.map(H.from),containerName:ae.containerName,location:Q.from(ae.location)}}Fe.from=Le;function Ae(ae){const Ne=new o.$rJ(ae.name,V.to(ae.kind),ae.containerName,Q.to(ae.location));return Ne.tags=ae.tags&&ae.tags.map(H.to),Ne}Fe.to=Ae})(ce||(e.WorkspaceSymbol=ce={}));var pe;(function(Fe){function Le(ae){const Ne={name:ae.name||"!!MISSING: name!!",detail:ae.detail,range:t.from(ae.range),selectionRange:t.from(ae.selectionRange),kind:V.from(ae.kind),tags:ae.tags?.map(H.from)??[]};return ae.children&&(Ne.children=ae.children.map(Le)),Ne}Fe.from=Le;function Ae(ae){const Ne=new o.$sJ(ae.name,ae.detail,V.to(ae.kind),t.to(ae.range),t.to(ae.selectionRange));return(0,b.$nf)(ae.tags)&&(Ne.tags=ae.tags.map(H.to)),ae.children&&(Ne.children=ae.children.map(Ae)),Ne}Fe.to=Ae})(pe||(e.DocumentSymbol=pe={}));var ye;(function(Fe){function Le(ae){const Ne=new o.$xJ(V.to(ae.kind),ae.name,ae.detail||"",D.URI.revive(ae.uri),t.to(ae.range),t.to(ae.selectionRange));return Ne._sessionId=ae._sessionId,Ne._itemId=ae._itemId,Ne}Fe.to=Le;function Ae(ae,Ne,Be){if(Ne=Ne??ae._sessionId,Be=Be??ae._itemId,Ne===void 0||Be===void 0)throw new Error("invalid item");return{_sessionId:Ne,_itemId:Be,name:ae.name,detail:ae.detail,kind:V.from(ae.kind),uri:ae.uri,range:t.from(ae.range),selectionRange:t.from(ae.selectionRange),tags:ae.tags?.map(H.from)}}Fe.from=Ae})(ye||(e.CallHierarchyItem=ye={}));var ge;(function(Fe){function Le(Ae){return new o.$yJ(ye.to(Ae.from),Ae.fromRanges.map(ae=>t.to(ae)))}Fe.to=Le})(ge||(e.CallHierarchyIncomingCall=ge={}));var M;(function(Fe){function Le(Ae){return new o.$zJ(ye.to(Ae.to),Ae.fromRanges.map(ae=>t.to(ae)))}Fe.to=Le})(M||(e.CallHierarchyOutgoingCall=M={}));var Q;(function(Fe){function Le(ae){return{range:ae.range&&t.from(ae.range),uri:ae.uri}}Fe.from=Le;function Ae(ae){return new o.$mJ(D.URI.revive(ae.uri),t.to(ae.range))}Fe.to=Ae})(Q||(e.location=Q={}));var ve;(function(Fe){function Le(ae){const Ne=ae,Be=ae;return{originSelectionRange:Ne.originSelectionRange?t.from(Ne.originSelectionRange):void 0,uri:Ne.targetUri?Ne.targetUri:Be.uri,range:t.from(Ne.targetRange?Ne.targetRange:Be.range),targetSelectionRange:Ne.targetSelectionRange?t.from(Ne.targetSelectionRange):void 0}}Fe.from=Le;function Ae(ae){return{targetUri:D.URI.revive(ae.uri),targetRange:t.to(ae.range),targetSelectionRange:ae.targetSelectionRange?t.to(ae.targetSelectionRange):void 0,originSelectionRange:ae.originSelectionRange?t.to(ae.originSelectionRange):void 0}}Fe.to=Ae})(ve||(e.DefinitionLink=ve={}));var Se;(function(Fe){function Le(ae){return{range:t.from(ae.range),contents:q.fromMany(ae.contents)}}Fe.from=Le;function Ae(ae){return new o.$pJ(ae.contents.map(q.to),t.to(ae.range))}Fe.to=Ae})(Se||(e.Hover=Se={}));var ee;(function(Fe){function Le(ae){return{range:t.from(ae.range),expression:ae.expression}}Fe.from=Le;function Ae(ae){return new o.$jK(t.to(ae.range),ae.expression)}Fe.to=Ae})(ee||(e.EvaluatableExpression=ee={}));var te;(function(Fe){function Le(ae){if(ae instanceof o.$kK)return{type:"text",range:t.from(ae.range),text:ae.text};if(ae instanceof o.$lK)return{type:"variable",range:t.from(ae.range),variableName:ae.variableName,caseSensitiveLookup:ae.caseSensitiveLookup};if(ae instanceof o.$mK)return{type:"expression",range:t.from(ae.range),expression:ae.expression};throw new Error("Unknown 'InlineValue' type")}Fe.from=Le;function Ae(ae){switch(ae.type){case"text":return{range:t.to(ae.range),text:ae.text};case"variable":return{range:t.to(ae.range),variableName:ae.variableName,caseSensitiveLookup:ae.caseSensitiveLookup};case"expression":return{range:t.to(ae.range),expression:ae.expression}}}Fe.to=Ae})(te||(e.InlineValue=te={}));var ue;(function(Fe){function Le(ae){return{frameId:ae.frameId,stoppedLocation:t.from(ae.stoppedLocation)}}Fe.from=Le;function Ae(ae){return new o.$nK(ae.frameId,t.to(ae.stoppedLocation))}Fe.to=Ae})(ue||(e.InlineValueContext=ue={}));var Z;(function(Fe){function Le(ae){return{range:t.from(ae.range),kind:ae.kind}}Fe.from=Le;function Ae(ae){return new o.$qJ(t.to(ae.range),ae.kind)}Fe.to=Ae})(Z||(e.DocumentHighlight=Z={}));var le;(function(Fe){function Le(Ae){switch(Ae){case 1:return o.CompletionTriggerKind.TriggerCharacter;case 2:return o.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return o.CompletionTriggerKind.Invoke}}Fe.to=Le})(le||(e.CompletionTriggerKind=le={}));var se;(function(Fe){function Le(Ae){return{triggerKind:le.to(Ae.triggerKind),triggerCharacter:Ae.triggerCharacter}}Fe.to=Le})(se||(e.CompletionContext=se={}));var oe;(function(Fe){function Le(ae){switch(ae){case o.CompletionItemTag.Deprecated:return 1}}Fe.from=Le;function Ae(ae){switch(ae){case 1:return o.CompletionItemTag.Deprecated}}Fe.to=Ae})(oe||(e.CompletionItemTag=oe={}));var T;(function(Fe){const Le=new Map([[o.CompletionItemKind.Method,0],[o.CompletionItemKind.Function,1],[o.CompletionItemKind.Constructor,2],[o.CompletionItemKind.Field,3],[o.CompletionItemKind.Variable,4],[o.CompletionItemKind.Class,5],[o.CompletionItemKind.Interface,7],[o.CompletionItemKind.Struct,6],[o.CompletionItemKind.Module,8],[o.CompletionItemKind.Property,9],[o.CompletionItemKind.Unit,12],[o.CompletionItemKind.Value,13],[o.CompletionItemKind.Constant,14],[o.CompletionItemKind.Enum,15],[o.CompletionItemKind.EnumMember,16],[o.CompletionItemKind.Keyword,17],[o.CompletionItemKind.Snippet,27],[o.CompletionItemKind.Text,18],[o.CompletionItemKind.Color,19],[o.CompletionItemKind.File,20],[o.CompletionItemKind.Reference,21],[o.CompletionItemKind.Folder,23],[o.CompletionItemKind.Event,10],[o.CompletionItemKind.Operator,11],[o.CompletionItemKind.TypeParameter,24],[o.CompletionItemKind.Issue,26],[o.CompletionItemKind.User,25]]);function Ae(Be){return Le.get(Be)??9}Fe.from=Ae;const ae=new Map([[0,o.CompletionItemKind.Method],[1,o.CompletionItemKind.Function],[2,o.CompletionItemKind.Constructor],[3,o.CompletionItemKind.Field],[4,o.CompletionItemKind.Variable],[5,o.CompletionItemKind.Class],[7,o.CompletionItemKind.Interface],[6,o.CompletionItemKind.Struct],[8,o.CompletionItemKind.Module],[9,o.CompletionItemKind.Property],[12,o.CompletionItemKind.Unit],[13,o.CompletionItemKind.Value],[14,o.CompletionItemKind.Constant],[15,o.CompletionItemKind.Enum],[16,o.CompletionItemKind.EnumMember],[17,o.CompletionItemKind.Keyword],[27,o.CompletionItemKind.Snippet],[18,o.CompletionItemKind.Text],[19,o.CompletionItemKind.Color],[20,o.CompletionItemKind.File],[21,o.CompletionItemKind.Reference],[23,o.CompletionItemKind.Folder],[10,o.CompletionItemKind.Event],[11,o.CompletionItemKind.Operator],[24,o.CompletionItemKind.TypeParameter],[25,o.CompletionItemKind.User],[26,o.CompletionItemKind.Issue]]);function Ne(Be){return ae.get(Be)??o.CompletionItemKind.Property}Fe.to=Ne})(T||(e.CompletionItemKind=T={}));var K;(function(Fe){function Le(Ae,ae){const Ne=new o.$HJ(Ae.label);return Ne.insertText=Ae.insertText,Ne.kind=T.to(Ae.kind),Ne.tags=Ae.tags?.map(oe.to),Ne.detail=Ae.detail,Ne.documentation=R.$Ij(Ae.documentation)?q.to(Ae.documentation):Ae.documentation,Ne.sortText=Ae.sortText,Ne.filterText=Ae.filterText,Ne.preselect=Ae.preselect,Ne.commitCharacters=Ae.commitCharacters,C.$Kr.isIRange(Ae.range)?Ne.range=t.to(Ae.range):typeof Ae.range=="object"&&(Ne.range={inserting:t.to(Ae.range.insert),replacing:t.to(Ae.range.replace)}),Ne.keepWhitespace=typeof Ae.insertTextRules>"u"?!1:!!(Ae.insertTextRules&1),typeof Ae.insertTextRules<"u"&&Ae.insertTextRules&4?Ne.insertText=new o.$lJ(Ae.insertText):(Ne.insertText=Ae.insertText,Ne.textEdit=Ne.range instanceof o.$cJ?new o.$hJ(Ne.range,Ne.insertText):void 0),Ae.additionalTextEdits&&Ae.additionalTextEdits.length>0&&(Ne.additionalTextEdits=Ae.additionalTextEdits.map(Be=>ie.to(Be))),Ne.command=ae&&Ae.command?ae.fromInternal(Ae.command):void 0,Ne}Fe.to=Le})(K||(e.CompletionItem=K={}));var X;(function(Fe){function Le(ae){if(typeof ae.label!="string"&&!Array.isArray(ae.label))throw new TypeError("Invalid label");return{label:ae.label,documentation:q.fromStrict(ae.documentation)}}Fe.from=Le;function Ae(ae){return{label:ae.label,documentation:R.$Ij(ae.documentation)?q.to(ae.documentation):ae.documentation}}Fe.to=Ae})(X||(e.ParameterInformation=X={}));var x;(function(Fe){function Le(ae){return{label:ae.label,documentation:q.fromStrict(ae.documentation),parameters:Array.isArray(ae.parameters)?ae.parameters.map(X.from):[],activeParameter:ae.activeParameter}}Fe.from=Le;function Ae(ae){return{label:ae.label,documentation:R.$Ij(ae.documentation)?q.to(ae.documentation):ae.documentation,parameters:Array.isArray(ae.parameters)?ae.parameters.map(X.to):[],activeParameter:ae.activeParameter}}Fe.to=Ae})(x||(e.SignatureInformation=x={}));var me;(function(Fe){function Le(ae){return{activeSignature:ae.activeSignature,activeParameter:ae.activeParameter,signatures:Array.isArray(ae.signatures)?ae.signatures.map(x.from):[]}}Fe.from=Le;function Ae(ae){return{activeSignature:ae.activeSignature,activeParameter:ae.activeParameter,signatures:Array.isArray(ae.signatures)?ae.signatures.map(x.to):[]}}Fe.to=Ae})(me||(e.SignatureHelp=me={}));var Ee;(function(Fe){function Le(Ae,ae){const Ne=new o.$GJ($.to(ae.position),typeof ae.label=="string"?ae.label:ae.label.map(fe.to.bind(void 0,Ae)),ae.kind&&Ie.to(ae.kind));return Ne.textEdits=ae.textEdits&&ae.textEdits.map(ie.to),Ne.tooltip=R.$Ij(ae.tooltip)?q.to(ae.tooltip):ae.tooltip,Ne.paddingLeft=ae.paddingLeft,Ne.paddingRight=ae.paddingRight,Ne}Fe.to=Le})(Ee||(e.InlayHint=Ee={}));var fe;(function(Fe){function Le(Ae,ae){const Ne=new o.$FJ(ae.label);return Ne.tooltip=R.$Ij(ae.tooltip)?q.to(ae.tooltip):ae.tooltip,w.Command.is(ae.command)&&(Ne.command=Ae.fromInternal(ae.command)),ae.location&&(Ne.location=Q.to(ae.location)),Ne}Fe.to=Le})(fe||(e.InlayHintLabelPart=fe={}));var Ie;(function(Fe){function Le(ae){return ae}Fe.from=Le;function Ae(ae){return ae}Fe.to=Ae})(Ie||(e.InlayHintKind=Ie={}));var Pe;(function(Fe){function Le(ae){return{range:t.from(ae.range),url:ae.target,tooltip:ae.tooltip}}Fe.from=Le;function Ae(ae){let Ne;if(ae.url)try{Ne=typeof ae.url=="string"?D.URI.parse(ae.url,!0):D.URI.revive(ae.url)}catch{}return new o.$MJ(t.to(ae.range),Ne)}Fe.to=Ae})(Pe||(e.DocumentLink=Pe={}));var qe;(function(Fe){function Le(ae){const Ne=new o.$PJ(ae.label);return ae.textEdit&&(Ne.textEdit=ie.to(ae.textEdit)),ae.additionalTextEdits&&(Ne.additionalTextEdits=ae.additionalTextEdits.map(Be=>ie.to(Be))),Ne}Fe.to=Le;function Ae(ae){return{label:ae.label,textEdit:ae.textEdit?ie.from(ae.textEdit):void 0,additionalTextEdits:ae.additionalTextEdits?ae.additionalTextEdits.map(Ne=>ie.from(Ne)):void 0}}Fe.from=Ae})(qe||(e.ColorPresentation=qe={}));var Ve;(function(Fe){function Le(ae){return new o.$NJ(ae[0],ae[1],ae[2],ae[3])}Fe.to=Le;function Ae(ae){return[ae.red,ae.green,ae.blue,ae.alpha]}Fe.from=Ae})(Ve||(e.Color=Ve={}));var tt;(function(Fe){function Le(ae){return{range:t.from(ae.range)}}Fe.from=Le;function Ae(ae){return new o.$wJ(t.to(ae.range))}Fe.to=Ae})(tt||(e.SelectionRange=tt={}));var Ge;(function(Fe){function Le(Ae){switch(Ae){case 2:return o.TextDocumentSaveReason.AfterDelay;case 1:return o.TextDocumentSaveReason.Manual;case 3:case 4:return o.TextDocumentSaveReason.FocusOut}}Fe.to=Le})(Ge||(e.TextDocumentSaveReason=Ge={}));var Qe;(function(Fe){function Le(ae){switch(ae){case o.TextEditorLineNumbersStyle.Off:return 0;case o.TextEditorLineNumbersStyle.Relative:return 2;case o.TextEditorLineNumbersStyle.On:default:return 1}}Fe.from=Le;function Ae(ae){switch(ae){case 0:return o.TextEditorLineNumbersStyle.Off;case 2:return o.TextEditorLineNumbersStyle.Relative;case 1:default:return o.TextEditorLineNumbersStyle.On}}Fe.to=Ae})(Qe||(e.TextEditorLineNumbersStyle=Qe={}));var st;(function(Fe){function Le(ae){if(ae===o.EndOfLine.CRLF)return 1;if(ae===o.EndOfLine.LF)return 0}Fe.from=Le;function Ae(ae){if(ae===1)return o.EndOfLine.CRLF;if(ae===0)return o.EndOfLine.LF}Fe.to=Ae})(st||(e.EndOfLine=st={}));var at;(function(Fe){function Le(Ae){if(typeof Ae=="object")return Ae.viewId;switch(Ae){case o.ProgressLocation.SourceControl:return 3;case o.ProgressLocation.Window:return 10;case o.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}Fe.from=Le})(at||(e.ProgressLocation=at={}));var xe;(function(Fe){function Le(ae){const Ne={start:ae.start+1,end:ae.end+1};return ae.kind&&(Ne.kind=rt.from(ae.kind)),Ne}Fe.from=Le;function Ae(ae){const Ne={start:ae.start-1,end:ae.end-1};return ae.kind&&(Ne.kind=rt.to(ae.kind)),Ne}Fe.to=Ae})(xe||(e.FoldingRange=xe={}));var rt;(function(Fe){function Le(ae){if(ae)switch(ae){case o.FoldingRangeKind.Comment:return w.$ns.Comment;case o.FoldingRangeKind.Imports:return w.$ns.Imports;case o.FoldingRangeKind.Region:return w.$ns.Region}}Fe.from=Le;function Ae(ae){if(ae)switch(ae.value){case w.$ns.Comment.value:return o.FoldingRangeKind.Comment;case w.$ns.Imports.value:return o.FoldingRangeKind.Imports;case w.$ns.Region.value:return o.FoldingRangeKind.Region}}Fe.to=Ae})(rt||(e.FoldingRangeKind=rt={}));var de;(function(Fe){function Le(Ae){if(Ae)return{pinned:typeof Ae.preview=="boolean"?!Ae.preview:void 0,inactive:Ae.background,preserveFocus:Ae.preserveFocus,selection:typeof Ae.selection=="object"?t.from(Ae.selection):void 0,override:typeof Ae.override=="boolean"?a.$4D.id:void 0}}Fe.from=Le})(de||(e.TextEditorOpenOptions=de={}));var Me;(function(Fe){function Le(Be){return Be instanceof o.$0J?Be.toJSON():typeof Be=="string"?Be:Ae(Be)||ae(Be)?new o.$0J(Be.baseUri??Be.base,Be.pattern).toJSON():Be}Fe.from=Le;function Ae(Be){const Ye=Be;return Ye?D.URI.isUri(Ye.baseUri)&&typeof Ye.pattern=="string":!1}function ae(Be){const Ye=Be;return Ye?typeof Ye.base=="string"&&typeof Ye.pattern=="string":!1}function Ne(Be){return typeof Be=="string"?Be:new o.$0J(D.URI.revive(Be.baseUri),Be.pattern)}Fe.to=Ne})(Me||(e.GlobPattern=Me={}));var _;(function(Fe){function Le(Ae){if(Ae){if(Array.isArray(Ae))return Ae.map(Le);if(typeof Ae=="string")return Ae;{const ae=Ae;return{language:ae.language,scheme:ae.scheme,pattern:Me.from(ae.pattern),exclusive:ae.exclusive,notebookType:ae.notebookType}}}else return}Fe.from=Le})(_||(e.LanguageSelector=_={}));var Y;(function(Fe){function Le(ae){return{start:ae.start,end:ae.end}}Fe.from=Le;function Ae(ae){return new o.$yK(ae.start,ae.end)}Fe.to=Ae})(Y||(e.NotebookRange=Y={}));var we;(function(Fe){function Le(ae){return{timing:typeof ae.runStartTime=="number"&&typeof ae.runEndTime=="number"?{startTime:ae.runStartTime,endTime:ae.runEndTime}:void 0,executionOrder:ae.executionOrder,success:ae.lastRunSuccess}}Fe.to=Le;function Ae(ae){return{lastRunSuccess:ae.success,runStartTime:ae.timing?.startTime,runEndTime:ae.timing?.endTime,executionOrder:ae.executionOrder}}Fe.from=Ae})(we||(e.NotebookCellExecutionSummary=we={}));var je;(function(Fe){function Le(Ae){if(Ae===p.NotebookCellExecutionState.Unconfirmed)return o.NotebookCellExecutionState.Pending;if(Ae===p.NotebookCellExecutionState.Pending)return;if(Ae===p.NotebookCellExecutionState.Executing)return o.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${Ae}`)}Fe.to=Le})(je||(e.NotebookCellExecutionState=je={}));var Oe;(function(Fe){function Le(ae){switch(ae){case o.NotebookCellKind.Markup:return p.CellKind.Markup;case o.NotebookCellKind.Code:default:return p.CellKind.Code}}Fe.from=Le;function Ae(ae){switch(ae){case p.CellKind.Markup:return o.NotebookCellKind.Markup;case p.CellKind.Code:default:return o.NotebookCellKind.Code}}Fe.to=Ae})(Oe||(e.NotebookCellKind=Oe={}));var Ze;(function(Fe){function Le(ae){const Ne={metadata:ae.metadata??Object.create(null),cells:[]};for(const Be of ae.cells)o.$zK.validate(Be),Ne.cells.push(et.from(Be));return Ne}Fe.from=Le;function Ae(ae){const Ne=new o.$AK(ae.cells.map(et.to));return(0,v.$te)(ae.metadata)||(Ne.metadata=ae.metadata),Ne}Fe.to=Ae})(Ze||(e.NotebookData=Ze={}));var et;(function(Fe){function Le(ae){return{cellKind:Oe.from(ae.kind),language:ae.languageId,mime:ae.mime,source:ae.value,metadata:ae.metadata,internalMetadata:we.from(ae.executionSummary??{}),outputs:ae.outputs?ae.outputs.map(ft.from):[]}}Fe.from=Le;function Ae(ae){return new o.$zK(Oe.to(ae.cellKind),ae.source,ae.language,ae.mime,ae.outputs?ae.outputs.map(ft.to):void 0,ae.metadata,ae.internalMetadata?we.to(ae.internalMetadata):void 0)}Fe.to=Ae})(et||(e.NotebookCellData=et={}));var nt;(function(Fe){function Le(ae){return{mime:ae.mime,valueBytes:A.$Ib.wrap(ae.data)}}Fe.from=Le;function Ae(ae){return new o.$BK(ae.valueBytes.buffer,ae.mime)}Fe.to=Ae})(nt||(e.NotebookCellOutputItem=nt={}));var ft;(function(Fe){function Le(ae){return{outputId:ae.id,items:ae.items.map(nt.from),metadata:ae.metadata}}Fe.from=Le;function Ae(ae){const Ne=ae.items.map(nt.to);return new o.$CK(Ne,ae.outputId,ae.metadata)}Fe.to=Ae})(ft||(e.NotebookCellOutput=ft={}));var vt;(function(Fe){function Le(Ne){return ae(Ne)?{include:(0,v.$ye)(Me.from(Ne.include)),exclude:(0,v.$ye)(Me.from(Ne.exclude))}:(0,v.$ye)(Me.from(Ne))}Fe.from=Le;function Ae(Ne){return ae(Ne)?{include:Me.to(Ne.include),exclude:Me.to(Ne.exclude)}:Me.to(Ne)}Fe.to=Ae;function ae(Ne){const Be=Ne;return Be?!(0,v.$pe)(Be.include)&&!(0,v.$pe)(Be.exclude):!1}})(vt||(e.NotebookExclusiveDocumentPattern=vt={}));var Nt;(function(Fe){function Le(Ae,ae,Ne){const Be=typeof Ae.command=="string"?{title:"",command:Ae.command}:Ae.command;return{alignment:Ae.alignment===o.NotebookCellStatusBarAlignment.Left?1:2,command:ae.toInternal(Be,Ne),text:Ae.text,tooltip:Ae.tooltip,accessibilityInformation:Ae.accessibilityInformation,priority:Ae.priority}}Fe.from=Le})(Nt||(e.NotebookStatusBarItem=Nt={}));var Tt;(function(Fe){function Le(Ae,ae,Ne){const Be=typeof Ae.command=="string"?{title:"",command:Ae.command}:Ae.command;return{command:ae.toInternal(Be,Ne),label:Ae.label,description:Ae.description,detail:Ae.detail,documentation:Ae.documentation}}Fe.from=Le})(Tt||(e.NotebookKernelSourceAction=Tt={}));var Et;(function(Fe){function Le(Ae){return{transientOutputs:Ae?.transientOutputs??!1,transientCellMetadata:Ae?.transientCellMetadata??{},transientDocumentMetadata:Ae?.transientDocumentMetadata??{},cellContentMetadata:Ae?.cellContentMetadata??{}}}Fe.from=Le})(Et||(e.NotebookDocumentContentOptions=Et={}));var Bt;(function(Fe){function Le(ae){return{uri:ae.uri,provides:ae.provides}}Fe.from=Le;function Ae(ae){return new o.$EK(D.URI.revive(ae.uri),ae.provides)}Fe.to=Ae})(Bt||(e.NotebookRendererScript=Bt={}));var Ot;(function(Fe){function Le(ae){return{message:q.fromStrict(ae.message)||"",type:0,expected:ae.expectedOutput,actual:ae.actualOutput,location:ae.location&&{range:t.from(ae.location.range),uri:ae.location.uri}}}Fe.from=Le;function Ae(ae){const Ne=new o.$LK(typeof ae.message=="string"?ae.message:q.to(ae.message));return Ne.actualOutput=ae.actual,Ne.expectedOutput=ae.expected,Ne.location=ae.location?Q.to(ae.location):void 0,Ne}Fe.to=Ae})(Ot||(e.TestMessage=Ot={}));var jt;(function(Fe){Fe.namespace=E.$1H,Fe.denamespace=E.$2H})(jt||(e.TestTag=jt={}));var Vt;(function(Fe){function Le(ae){const Ne=(0,l.$9K)(ae).controllerId;return{extId:f.$WH.fromExtHostTestItem(ae,Ne).toString(),label:ae.label,uri:D.URI.revive(ae.uri),busy:ae.busy,tags:ae.tags.map(Be=>jt.namespace(Ne,Be.id)),range:C.$Kr.lift(t.from(ae.range)),description:ae.description||null,sortText:ae.sortText||null,error:ae.error&&q.fromStrict(ae.error)||null}}Fe.from=Le;function Ae(ae){return{parent:void 0,error:void 0,id:f.$WH.fromString(ae.extId).localId,label:ae.label,uri:D.URI.revive(ae.uri),tags:(ae.tags||[]).map(Ne=>{const{tagId:Be}=jt.denamespace(Ne);return new o.$MK(Be)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:t.to(ae.range||void 0),canResolveChildren:!1,busy:ae.busy,description:ae.description||void 0,sortText:ae.sortText||void 0}}Fe.toPlain=Ae})(Vt||(e.TestItem=Vt={})),function(Fe){function Le(ae){return{id:ae.id}}Fe.from=Le;function Ae(ae){return new o.$MK(ae.id)}Fe.to=Ae}(jt||(e.TestTag=jt={}));var Ht;(function(Fe){const Le=(ae,Ne)=>{const Be=[];for(const[Ke,it]of Ne)f.$WH.compare(it.item.extId,Ke)===2&&(Ne.delete(Ke),Be.push(it));const Ye={...Vt.toPlain(ae.item),parent:void 0,taskStates:ae.tasks.map(Ke=>({state:Ke.state,duration:Ke.duration,messages:Ke.messages.filter(it=>it.type===0).map(Ot.to)})),children:Be.map(Ke=>Le(Ke,Ne))};for(const Ke of Ye.children)Ke.parent=Ye;return Ye};function Ae(ae){const Ne=[],Be=new Map;for(const Ye of ae.items){Be.set(Ye.item.extId,Ye);const Ke=f.$WH.root(Ye.item.extId);ae.request.targets.some(it=>it.controllerId===Ke&&it.testIds.includes(Ye.item.extId))&&Ne.push(Ye)}return{completedAt:ae.completedAt,results:Ne.map(Ye=>Le(Ye,Be))}}Fe.to=Ae})(Ht||(e.TestResults=Ht={}));var lt;(function(Fe){function Le(Be){return{covered:Be.covered,total:Be.covered}}function Ae(Be){return"line"in Be?$.from(Be):t.from(Be)}function ae(Be){return"branches"in Be?{count:Be.executionCount,location:Ae(Be.location),type:1,branches:Be.branches.length?Be.branches.map(Ye=>({count:Ye.executionCount,location:Ye.location&&Ae(Ye.location)})):void 0}:{type:0,count:Be.executionCount,location:Ae(Be.location)}}Fe.fromDetailed=ae;function Ne(Be){return{uri:Be.uri,statement:Le(Be.statementCoverage),branch:Be.branchCoverage&&Le(Be.branchCoverage),function:Be.functionCoverage&&Le(Be.functionCoverage),details:Be.detailedCoverage?.map(ae)}}Fe.fromFile=Ne})(lt||(e.TestCoverage=lt={}));var gt;(function(Fe){function Le(Ae){switch(Ae){case 1:return o.CodeActionTriggerKind.Invoke;case 2:return o.CodeActionTriggerKind.Automatic}}Fe.to=Le})(gt||(e.CodeActionTriggerKind=gt={}));var Wt;(function(Fe){function Le(ae){const Ne=new o.$SK(V.to(ae.kind),ae.name,ae.detail||"",D.URI.revive(ae.uri),t.to(ae.range),t.to(ae.selectionRange));return Ne._sessionId=ae._sessionId,Ne._itemId=ae._itemId,Ne}Fe.to=Le;function Ae(ae,Ne,Be){if(Ne=Ne??ae._sessionId,Be=Be??ae._itemId,Ne===void 0||Be===void 0)throw new Error("invalid item");return{_sessionId:Ne,_itemId:Be,kind:V.from(ae.kind),name:ae.name,detail:ae.detail??"",uri:ae.uri,range:t.from(ae.range),selectionRange:t.from(ae.selectionRange),tags:ae.tags?.map(H.from)}}Fe.from=Ae})(Wt||(e.TypeHierarchyItem=Wt={}));var Rt;(function(Fe){function Le(Ae){if(Ae)return{value:Ae.value,tooltip:Ae.tooltip}}Fe.from=Le})(Rt||(e.ViewBadge=Rt={}));var Ct;(function(Fe){function Le(Be,Ye,Ke){const it=Ye.fileData;return it?new o.$3J(new o.$4J(it.name,D.URI.revive(it.uri),it.id,(0,F.$bb)(()=>Ke(it.id)))):Be===L.$qr.uriList&&Ye.uriListData?new o.$2J(Ne(Ye.uriListData)):new o.$2J(Ye.asString)}Fe.to=Le;async function Ae(Be,Ye){const Ke=await Ye.asString();if(Be===L.$qr.uriList)return{asString:Ke,fileData:void 0,uriListData:ae(Ke)};const it=Ye.asFile();return{asString:Ke,fileData:it?{name:it.name,uri:it.uri,id:it._itemId??it.id}:void 0}}Fe.from=Ae;function ae(Be){return h.$$r.split(Be).map(Ye=>{if(Ye.startsWith("#"))return Ye;try{return D.URI.parse(Ye)}catch{}return Ye})}function Ne(Be){return h.$$r.create(Be.map(Ye=>typeof Ye=="string"?Ye:D.URI.revive(Ye)))}})(Ct||(e.DataTransferItem=Ct={}));var ut;(function(Fe){function Le(ae,Ne){const Be=ae.items.map(([Ye,Ke])=>[Ye,Ct.to(Ye,Ke,Ne)]);return new o.$5J(Be)}Fe.toDataTransfer=Le;async function Ae(ae){const Ne={items:[]},Be=[];for(const[Ye,Ke]of ae)Be.push((async()=>{Ne.items.push([Ye,await Ct.from(Ye,Ke)])})());return await Promise.all(Be),Ne}Fe.from=Ae})(ut||(e.DataTransfer=ut={}));var Pt;(function(Fe){function Le(ae){return{message:ae.message,metadata:ae.metadata,title:ae.title,tooltip:ae.tooltip}}Fe.to=Le;function Ae(ae){return{kind:"reply",message:ae.message,metadata:ae.metadata,title:ae.title,tooltip:ae.tooltip}}Fe.from=Ae})(Pt||(e.ChatReplyFollowup=Pt={}));var Mt;(function(Fe){function Le(Ae){return typeof Ae=="string"?{title:Ae,message:Ae,kind:"reply"}:"commandId"in Ae?{kind:"command",title:Ae.title??"",commandId:Ae.commandId??"",args:Ae.args}:Pt.from(Ae)}Fe.from=Le})(Mt||(e.ChatFollowup=Mt={}))}),define(De[260],Ce([1,0,2,8,7,15,68]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$00b=void 0;class g{constructor(m,L,I,v={timeout:1500,errors:3}){this.c=m,this.d=L,this.f=I,this.g=v,this.a=new R.$jc,this.b=new WeakMap}dispose(){this.a.clear()}getOnWillSaveTextDocumentEvent(m){return(L,I,v)=>{const C={dispose:this.a.push([L,I,m])};return Array.isArray(v)&&v.push(C),C}}async $participateInSave(m,L){const I=b.URI.revive(m);let v=!1;const D=setTimeout(()=>v=!0,this.g.timeout),C=[];try{for(const w of[...this.a]){if(v)break;const i=this.d.getDocument(I),l=await this.h(w,{document:i,reason:F.TextDocumentSaveReason.to(L)});C.push(l)}}finally{clearTimeout(D)}return C}h([m,L,I],v){const D=this.b.get(m);return typeof D=="number"&&D>this.g.errors?Promise.resolve(!1):this.i(I,m,L,v).then(()=>!0,C=>{if(this.c.error(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' threw ERROR`),this.c.error(C),!(C instanceof Error)||C.message!=="concurrent_edits"){const w=this.b.get(m);this.b.set(m,w?w+1:1),typeof w=="number"&&w>this.g.errors&&this.c.info(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}i(m,L,I,v){const D=[],C=Date.now(),{document:w,reason:i}=v,{version:l}=w,a=Object.freeze({document:w,reason:i,waitUntil(p){if(Object.isFrozen(D))throw(0,A.$5)("waitUntil can not be called async");D.push(Promise.resolve(p))}});try{L.apply(I,[a])}catch(p){return Promise.reject(p)}return Object.freeze(D),new Promise((p,f)=>{const E=setTimeout(()=>f(new Error("timeout")),this.g.timeout);return Promise.all(D).then(n=>{this.c.debug(`onWillSaveTextDocument-listener from extension '${m.identifier.value}' finished after ${Date.now()-C}ms`),clearTimeout(E),p(n)}).catch(n=>{clearTimeout(E),f(n)})}).then(p=>{const f={edits:[]};for(const E of p)if(Array.isArray(E)&&E.every(n=>n instanceof h.$hJ))for(const{newText:n,newEol:o,range:s}of E)f.edits.push({resource:w.uri,versionId:void 0,textEdit:{range:s&&F.Range.from(s),text:n,eol:o&&F.EndOfLine.from(o)}});if(f.edits.length!==0)return l===w.version?this.f.$tryApplyWorkspaceEdit(f):Promise.reject(new Error("concurrent_edits"))})}}e.$00b=g}),define(De[261],Ce([1,0,16,2,15,7,102]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$l_b=e.$k_b=void 0;class g{constructor(I,v,D,C){this.start=I,this.deletedCount=v,this.deletedItems=D,this.items=C}asApiEvent(){return{range:new F.$yK(this.start,this.start+this.deletedCount),addedCells:this.items.map(I=>I.apiCell),removedCells:this.deletedItems}}}class k{static asModelAddData(I,v){return{EOL:v.eol,lines:v.source,languageId:v.language,uri:v.uri,isDirty:!1,versionId:1,notebook:I}}constructor(I,v,D){this.notebook=I,this.h=v,this.j=D,this.handle=D.handle,this.uri=A.URI.revive(D.uri),this.cellKind=D.cellKind,this.a=D.outputs.map(h.NotebookCellOutput.to),this.e=D.internalMetadata??{},this.b=Object.freeze(D.metadata??{}),this.d=Object.freeze(h.NotebookCellExecutionSummary.to(D.internalMetadata??{}))}get internalMetadata(){return this.e}get apiCell(){if(!this.f){const I=this,v=this.h.getDocument(this.uri);if(!v)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);const D={get index(){return I.notebook.getCellIndex(I)},notebook:I.notebook.apiNotebook,kind:h.NotebookCellKind.to(this.j.cellKind),document:v.document,get mime(){return I.g},set mime(C){I.g=C},get outputs(){return I.a.slice(0)},get metadata(){return I.b},get executionSummary(){return I.d}};this.f=Object.freeze(D)}return this.f}setOutputs(I){this.a=I.map(h.NotebookCellOutput.to)}setOutputItems(I,v,D){const C=D.map(h.NotebookCellOutputItem.to),w=this.a.find(i=>i.id===I);if(w&&(v||(w.items.length=0),w.items.push(...C),w.items.length>1&&w.items.every(i=>R.$gH(i.mime)))){const i=new Map,l=[];w.items.forEach(a=>{let p;i.has(a.mime)?p=i.get(a.mime):(p=[],i.set(a.mime,p),l.push(a.mime)),p.push(a.data)}),w.items.length=0,l.forEach(a=>{const p=R.$hH(i.get(a));w.items.push({mime:a,data:p.buffer})})}}setMetadata(I){this.b=Object.freeze(I)}setInternalMetadata(I){this.e=I,this.d=Object.freeze(h.NotebookCellExecutionSummary.to(I))}setMime(I){}}e.$k_b=k;class m{constructor(I,v,D,C,w){this.k=I,this.l=v,this.m=D,this.uri=C,this.handle=m.a++,this.b=[],this.g=0,this.h=!1,this.j=!1,this.d=w.viewType,this.f=Object.freeze(w.metadata??Object.create(null)),this.r([[0,0,w.cells]],!0,void 0),this.g=w.versionId}dispose(){this.j=!0}get versionId(){return this.g}get apiNotebook(){if(!this.e){const I=this,v={get uri(){return I.uri},get version(){return I.g},get notebookType(){return I.d},get isDirty(){return I.h},get isUntitled(){return I.uri.scheme===b.Schemas.untitled},get isClosed(){return I.j},get metadata(){return I.f},get cellCount(){return I.b.length},cellAt(D){return D=I.n(D),I.b[D].apiCell},getCells(D){return(D?I.p(D):I.b).map(w=>w.apiCell)},save(){return I.q()}};this.e=Object.freeze(v)}return this.e}acceptDocumentPropertiesChanged(I){I.metadata&&(this.f=Object.freeze({...this.f,...I.metadata}))}acceptDirty(I){this.h=I}acceptModelChanged(I,v,D){this.g=I.versionId,this.h=v,this.acceptDocumentPropertiesChanged({metadata:D});const C={notebook:this.apiNotebook,metadata:D,cellChanges:[],contentChanges:[]},w=[];for(const l of I.rawEvents)l.kind===R.NotebookCellsChangeType.ModelChange?this.r(l.changes,!1,C.contentChanges):l.kind===R.NotebookCellsChangeType.Move?this.s(l.index,l.length,l.newIdx,C.contentChanges):l.kind===R.NotebookCellsChangeType.Output?(this.t(l.index,l.outputs),w.push({cell:this.b[l.index].apiCell,outputs:this.b[l.index].apiCell.outputs})):l.kind===R.NotebookCellsChangeType.OutputItem?(this.u(l.index,l.outputId,l.append,l.outputItems),w.push({cell:this.b[l.index].apiCell,outputs:this.b[l.index].apiCell.outputs})):l.kind===R.NotebookCellsChangeType.ChangeCellLanguage?(this.v(l.index,l.language),w.push({cell:this.b[l.index].apiCell,document:this.b[l.index].apiCell.document})):l.kind===R.NotebookCellsChangeType.ChangeCellContent?w.push({cell:this.b[l.index].apiCell,document:this.b[l.index].apiCell.document}):l.kind===R.NotebookCellsChangeType.ChangeCellMime?this.w(l.index,l.mime):l.kind===R.NotebookCellsChangeType.ChangeCellMetadata?(this.x(l.index,l.metadata),w.push({cell:this.b[l.index].apiCell,metadata:this.b[l.index].apiCell.metadata})):l.kind===R.NotebookCellsChangeType.ChangeCellInternalMetadata&&(this.y(l.index,l.internalMetadata),w.push({cell:this.b[l.index].apiCell,executionSummary:this.b[l.index].apiCell.executionSummary}));const i=new Map;for(let l=0;l<w.length;l++){const a=w[l],p=i.get(a.cell);if(p===void 0){const f=C.cellChanges.push({document:void 0,executionSummary:void 0,metadata:void 0,outputs:void 0,...a});i.set(a.cell,f-1)}else C.cellChanges[p]={...C.cellChanges[p],...a}}return Object.freeze(C),Object.freeze(C.cellChanges),Object.freeze(C.contentChanges),C}n(I){return I=I|0,I<0?0:I>=this.b.length?this.b.length-1:I}o(I){let v=I.start|0,D=I.end|0;return v<0&&(v=0),D>this.b.length&&(D=this.b.length),I.with({start:v,end:D})}p(I){I=this.o(I);const v=[];for(let D=I.start;D<I.end;D++)v.push(this.b[D]);return v}async q(){return this.j?Promise.reject(new Error("Notebook has been closed")):this.k.$trySaveNotebook(this.uri)}r(I,v,D){if(this.j)return;const C=[],w=[],i=[];if(I.reverse().forEach(l=>{const p=l[2].map(n=>{const o=new k(this,this.l,n);return v||w.push(k.asModelAddData(this.apiNotebook,n)),o}),f=new g(l[0],l[1],[],p),E=this.b.splice(l[0],l[1],...p);for(const n of E)i.push(n.uri),f.deletedItems.push(n.apiCell);C.push(f)}),this.l.acceptDocumentsAndEditorsDelta({addedDocuments:w,removedDocuments:i}),D)for(const l of C)D.push(l.asApiEvent())}s(I,v,D,C){const w=this.b.splice(I,v);this.b.splice(D,0,...w);const i=[new g(I,v,w.map(l=>l.apiCell),[]),new g(D,0,[],w)];for(const l of i)C.push(l.asApiEvent())}t(I,v){this.b[I].setOutputs(v)}u(I,v,D,C){this.b[I].setOutputItems(v,D,C)}v(I,v){const D=this.b[I];D.apiCell.document.languageId!==v&&this.m.$acceptModelLanguageChanged(D.uri,v)}w(I,v){const D=this.b[I];D.apiCell.mime=v}x(I,v){this.b[I].setMetadata(v)}y(I,v){this.b[I].setInternalMetadata(v)}getCellFromApiCell(I){return this.b.find(v=>v.apiCell===I)}getCellFromIndex(I){return this.b[I]}getCell(I){return this.b.find(v=>v.handle===I)}getCellIndex(I){return this.b.indexOf(I)}}e.$l_b=m,m.a=0}),define(De[262],Ce([1,0,3,2,15,7]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$L_b=void 0;class R{constructor(k,m,L,I={timeout:1500,errors:3}){this.b=k,this.c=m,this.d=L,this.f=I,this.a=new b.$7c}dispose(){}getOnWillSaveNotebookDocumentEvent(k){return(m,L,I)=>{const v=function(C){m.call(L,C)};return v.extension=k,this.a.event(v,void 0,I)}}async $participateInSave(k,m,L){const I=A.URI.revive(k),v=this.c.getNotebookDocument(I);if(!v)throw new Error("Unable to resolve notebook document");const D=[];if(await this.a.fireAsync({notebook:v.apiNotebook,reason:h.TextDocumentSaveReason.to(m)},L,async(w,i)=>{const l=Date.now(),a=await await Promise.resolve(w);Date.now()-l>this.f.timeout&&this.b.warn("onWillSaveNotebookDocument-listener from extension",i.extension.identifier),!L.isCancellationRequested&&a&&(a instanceof F.$kJ?D.push(a):this.b.warn("onWillSaveNotebookDocument-listener from extension",i.extension.identifier,"ignored due to invalid data"))}),L.isCancellationRequested)return!1;if(D.length===0)return!0;const C={edits:[]};for(const w of D){const{edits:i}=h.WorkspaceEdit.from(w);C.edits=C.edits.concat(i)}return this.d.$tryApplyWorkspaceEdit(C)}}e.$L_b=R}),define(De[138],Ce([1,0,8,15,7]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$m_b=void 0;class F{constructor(g,k,m,L,I,v){this.id=g,this.f=k,this.notebookData=m,this.a=[],this.b=[],this.d=!1,this.a=I,this.b=L,this.c=v}get apiEditor(){if(!this.e){const g=this;this.e={get notebook(){return g.notebookData.apiNotebook},get selection(){return g.a[0]},set selection(k){this.selections=[k]},get selections(){return g.a},set selections(k){if(!Array.isArray(k)||!k.every(h.$yK.isNotebookRange))throw(0,b.$4)("selections");g.a=k,g.g(k)},get visibleRanges(){return g.b},revealRange(k,m){g.f.$tryRevealRange(g.id,A.NotebookRange.from(k),m??h.NotebookEditorRevealType.Default)},get viewColumn(){return g.c}},F.apiEditorsToExtHost.set(this.e,this)}return this.e}get visible(){return this.d}_acceptVisibility(g){this.d=g}_acceptVisibleRanges(g){this.b=g}_acceptSelections(g){this.a=g}g(g){this.f.$trySetSelections(this.id,g.map(A.NotebookRange.from))}_acceptViewColumn(g){this.c=g}}e.$m_b=F,F.apiEditorsToExtHost=new WeakMap}),define(De[263],Ce([1,0,8,3,18,15]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$E_b=void 0;let R=e.$E_b=class{constructor(k,m){this.c=k,this.d=m,this.a=new A.$5c({onListenerError:b.$Y}),this.b=new A.$5c({onListenerError:b.$Y}),this.onDidChangeNotebookEditorSelection=this.a.event,this.onDidChangeNotebookEditorVisibleRanges=this.b.event}$acceptEditorPropertiesChanged(k,m){this.c.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",k,m);const L=this.d.getEditorById(k);m.visibleRanges&&L._acceptVisibleRanges(m.visibleRanges.ranges.map(F.NotebookRange.to)),m.selections&&L._acceptSelections(m.selections.selections.map(F.NotebookRange.to)),m.visibleRanges&&this.b.fire({notebookEditor:L.apiEditor,visibleRanges:L.apiEditor.visibleRanges}),m.selections&&this.a.fire(Object.freeze({notebookEditor:L.apiEditor,selections:L.apiEditor.selections}))}$acceptEditorViewColumns(k){for(const m in k)this.d.getEditorById(m)._acceptViewColumn(F.ViewColumn.to(k[m]))}};e.$E_b=R=He([We(0,h.$Ni)],R)}),define(De[264],Ce([1,0,15,128,193,21,66,8]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$I$b=void 0;class k{constructor(v){this.b=0,this.c=new Map,this.a=v}async withProgress(v,D,C){const w=this.b++,{title:i,location:l,cancellable:a}=D,p={label:(0,h.localize)(0,null,v.displayName||v.name),id:v.identifier.value};return this.a.$startProgress(w,{location:b.ProgressLocation.from(l),title:i,source:p,cancellable:a},v.isUnderDevelopment?void 0:v.identifier.value).catch(g.$Y),this.d(w,C,!!a)}d(v,D,C){let w;C&&(w=new F.$bd,this.c.set(v,w));const i=a=>{this.a.$progressEnd(a),this.c.delete(a),w?.dispose()};let l;try{l=D(new L(this.a,v),C&&w?w.token:F.CancellationToken.None)}catch(a){throw i(v),a}return l.then(a=>i(v),a=>i(v)),l}$acceptProgressCanceled(v){const D=this.c.get(v);D&&(D.cancel(),this.c.delete(v))}}e.$I$b=k;function m(I,v){return I.message=v.message,typeof v.increment=="number"&&(typeof I.increment=="number"?I.increment+=v.increment:I.increment=v.increment),I}class L extends A.$qz{constructor(v,D){super(C=>this.throttledReport(C)),this.c=v,this.d=D}throttledReport(v){this.c.$progressReport(this.d,v)}}He([(0,R.$Rg)(100,(I,v)=>m(I,v),()=>Object.create(null))],L.prototype,"throttledReport",null)}),define(De[139],Ce([1,0,35,136,60,103,81,15,2]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pL=e.$oL=e.$nL=e.$mL=void 0;const m=(p,f,E,n)=>{let o=f;return{enumerable:!0,configurable:!1,get(){return o},set(s){if(!E(o,s)){const t=o;o=s,p.listener?.(n(s,t))}}}},L=(p,f)=>p===f,I={range:(p,f)=>p===f?!0:!p||!f?!1:p.isEqual(f),label:L,description:L,sortText:L,busy:L,error:L,canResolveChildren:L,tags:(p,f)=>!(p.length!==f.length||p.some(E=>!f.find(n=>E.id===n.id)))},v=p=>f=>({op:4,update:p(f)}),D=(p,f)=>({range:(()=>{let E;const n=v(o=>({range:b.$Kr.lift(g.Range.from(o))}));return{enumerable:!0,configurable:!1,get(){return E},set(o){p.listener?.({op:6}),I.range(E,o)||(E=o,p.listener?.(n(o)))}}})(),label:m(p,f,I.label,v(E=>({label:E}))),description:m(p,void 0,I.description,v(E=>({description:E}))),sortText:m(p,void 0,I.sortText,v(E=>({sortText:E}))),canResolveChildren:m(p,!1,I.canResolveChildren,E=>({op:2,state:E})),busy:m(p,!1,I.busy,v(E=>({busy:E}))),error:m(p,void 0,I.error,v(E=>({error:g.MarkdownString.fromStrict(E)||null}))),tags:m(p,[],I.tags,(E,n)=>({op:1,new:E.map(g.TestTag.from),old:n.map(g.TestTag.from)}))}),C=p=>{const f=h.$WH.fromString(p.extId),E=new i(f.controllerId,f.localId,p.label,k.URI.revive(p.uri)||void 0);return E.range=g.Range.to(p.range||void 0),E.description=p.description||void 0,E.sortText=p.sortText||void 0,E.tags=p.tags.map(n=>g.TestTag.to({id:(0,R.$2H)(n).tagId})),E},w=p=>{let f;for(const E of p.tests){const n=C(E.item);(0,A.$9K)(n).parent=f,f=n}return f};e.$mL=w;class i{constructor(f,E,n,o){if(E.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(E)} symbol`);const s=(0,A.$8K)(this,f);Object.defineProperties(this,{id:{value:E,enumerable:!0,writable:!1},uri:{value:o,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return s.parent instanceof l?void 0:s.parent}},children:{value:(0,F.$7K)(s,A.$9K,i),enumerable:!0,writable:!1},...D(s,n)})}}e.$nL=i;class l extends i{constructor(f,E){super(f,f,E,void 0),this._isRoot=!0}}e.$oL=l;class a extends F.$3K{constructor(f,E,n){super({controllerId:f,getDocumentVersion:o=>o&&n.getDocument(o)?.version,getApiFor:A.$9K,getChildren:o=>o.children,root:new l(f,E),toITestItem:g.TestItem.from})}}e.$pL=a}),define(De[140],Ce([1,0,53,8,111,15,7]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jL=e.$iL=e.$hL=void 0;class g{constructor(v,D,C){const w=g.c.nextId();v.$registerTextEditorDecorationType(D.identifier,w,F.DecorationRenderOptions.from(C)),this.value=Object.freeze({key:w,dispose(){v.$removeTextEditorDecorationType(w)}})}}e.$hL=g,g.c=new h.$fL("TextEditorDecorationType");class k{constructor(v,D){this.g=[],this.h=void 0,this.j=!1,this.c=v,this.d=v.version,this.e=D.undoStopBefore,this.f=D.undoStopAfter}finalize(){return this.j=!0,{documentVersionId:this.d,edits:this.g,setEndOfLine:this.h,undoStopBefore:this.e,undoStopAfter:this.f}}k(){if(this.j)throw new Error("Edit is only valid while callback runs")}replace(v,D){this.k();let C=null;if(v instanceof R.$bJ)C=new R.$cJ(v,v);else if(v instanceof R.$cJ)C=v;else throw new Error("Unrecognized location");this.l(C,D,!1)}insert(v,D){this.k(),this.l(new R.$cJ(v,v),D,!0)}delete(v){this.k();let D=null;if(v instanceof R.$cJ)D=v;else throw new Error("Unrecognized location");this.l(D,null,!0)}l(v,D,C){const w=this.c.validateRange(v);this.g.push({range:w,text:D,forceMoveMarkers:C})}setEndOfLine(v){if(this.k(),v!==R.EndOfLine.LF&&v!==R.EndOfLine.CRLF)throw(0,A.$4)("endOfLine");this.h=v}}class m{constructor(v,D,C,w){this.c=v,this.d=D,this._accept(C),this.e=w;const i=this;this.value={get tabSize(){return i.f},set tabSize(l){i.m(l)},get indentSize(){return i.g},set indentSize(l){i.o(l)},get insertSpaces(){return i.h},set insertSpaces(l){i.q(l)},get cursorStyle(){return i.j},set cursorStyle(l){i.s(l)},get lineNumbers(){return i.k},set lineNumbers(l){i.t(l)}}}_accept(v){this.f=v.tabSize,this.g=v.indentSize,this.h=v.insertSpaces,this.j=v.cursorStyle,this.k=F.TextEditorLineNumbersStyle.to(v.lineNumbers)}l(v){if(v==="auto")return"auto";if(typeof v=="number"){const D=Math.floor(v);return D>0?D:null}if(typeof v=="string"){const D=parseInt(v,10);return isNaN(D)?null:D>0?D:null}return null}m(v){const D=this.l(v);if(D!==null){if(typeof D=="number"){if(this.f===D)return;this.f=D}this.u("setTabSize",this.c.$trySetOptions(this.d,{tabSize:D}))}}n(v){if(v==="tabSize")return"tabSize";if(typeof v=="number"){const D=Math.floor(v);return D>0?D:null}if(typeof v=="string"){const D=parseInt(v,10);return isNaN(D)?null:D>0?D:null}return null}o(v){const D=this.n(v);if(D!==null){if(typeof D=="number"){if(this.g===D)return;this.g=D}this.u("setIndentSize",this.c.$trySetOptions(this.d,{indentSize:D}))}}p(v){return v==="auto"?"auto":v==="false"?!1:!!v}q(v){const D=this.p(v);if(typeof D=="boolean"){if(this.h===D)return;this.h=D}this.u("setInsertSpaces",this.c.$trySetOptions(this.d,{insertSpaces:D}))}s(v){this.j!==v&&(this.j=v,this.u("setCursorStyle",this.c.$trySetOptions(this.d,{cursorStyle:v})))}t(v){this.k!==v&&(this.k=v,this.u("setLineNumbers",this.c.$trySetOptions(this.d,{lineNumbers:F.TextEditorLineNumbersStyle.from(v)})))}assign(v){const D={};let C=!1;if(typeof v.tabSize<"u"){const w=this.l(v.tabSize);w==="auto"?(C=!0,D.tabSize=w):typeof w=="number"&&this.f!==w&&(this.f=w,C=!0,D.tabSize=w)}if(typeof v.indentSize<"u"){const w=this.n(v.indentSize);w==="tabSize"?(C=!0,D.indentSize=w):typeof w=="number"&&this.g!==w&&(this.g=w,C=!0,D.indentSize=w)}if(typeof v.insertSpaces<"u"){const w=this.p(v.insertSpaces);w==="auto"?(C=!0,D.insertSpaces=w):this.h!==w&&(this.h=w,C=!0,D.insertSpaces=w)}typeof v.cursorStyle<"u"&&this.j!==v.cursorStyle&&(this.j=v.cursorStyle,C=!0,D.cursorStyle=v.cursorStyle),typeof v.lineNumbers<"u"&&this.k!==v.lineNumbers&&(this.k=v.lineNumbers,C=!0,D.lineNumbers=F.TextEditorLineNumbersStyle.from(v.lineNumbers)),C&&this.u("setOptions",this.c.$trySetOptions(this.d,D))}u(v,D){D.catch(C=>{this.e.warn(`ExtHostTextEditorOptions '${v}' failed:'`),this.e.warn(C)})}}e.$iL=m;class L{constructor(v,D,C,w,i,l,a,p){this.id=v,this.j=D,this.k=C,this.g=!1,this.h=new Set,this.c=i,this.d=new m(this.j,this.id,l,C),this.e=a,this.f=p;const f=this;this.value=Object.freeze({get document(){return w.value},set document(E){throw(0,A.$6)("document")},get selection(){return f.c&&f.c[0]},set selection(E){if(!(E instanceof R.$dJ))throw(0,A.$4)("selection");f.c=[E],f.l()},get selections(){return f.c},set selections(E){if(!Array.isArray(E)||E.some(n=>!(n instanceof R.$dJ)))throw(0,A.$4)("selections");f.c=E,f.l()},get visibleRanges(){return f.e},set visibleRanges(E){throw(0,A.$6)("visibleRanges")},get options(){return f.d.value},set options(E){f.g||f.d.assign(E)},get viewColumn(){return f.f},set viewColumn(E){throw(0,A.$6)("viewColumn")},edit(E,n={undoStopBefore:!0,undoStopAfter:!0}){if(f.g)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const o=new k(w.value,n);return E(o),f.m(o)},insertSnippet(E,n,o={undoStopBefore:!0,undoStopAfter:!0}){if(f.g)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let s;if(!n||Array.isArray(n)&&n.length===0)s=f.c.map(t=>F.Range.from(t));else if(n instanceof R.$bJ){const{lineNumber:t,column:u}=F.Position.from(n);s=[{startLineNumber:t,startColumn:u,endLineNumber:t,endColumn:u}]}else if(n instanceof R.$cJ)s=[F.Range.from(n)];else{s=[];for(const t of n)if(t instanceof R.$cJ)s.push(F.Range.from(t));else{const{lineNumber:u,column:$}=F.Position.from(t);s.push({startLineNumber:u,startColumn:$,endLineNumber:u,endColumn:$})}}return D.$tryInsertSnippet(v,w.value.version,E.value,s,o)},setDecorations(E,n){const o=n.length===0;o&&!f.h.has(E.key)||(o?f.h.delete(E.key):f.h.add(E.key),f.n(()=>{if(F.$0K(n))return D.$trySetDecorations(v,E.key,F.$$K(n));{const s=new Array(4*n.length);for(let t=0,u=n.length;t<u;t++){const $=n[t];s[4*t]=$.start.line+1,s[4*t+1]=$.start.character+1,s[4*t+2]=$.end.line+1,s[4*t+3]=$.end.character+1}return D.$trySetDecorationsFast(v,E.key,s)}}))},revealRange(E,n){f.n(()=>D.$tryRevealRange(v,F.Range.from(E),n||R.TextEditorRevealType.Default))},show(E){D.$tryShowEditor(v,F.ViewColumn.from(E))},hide(){D.$tryHideEditor(v)}})}dispose(){(0,b.ok)(!this.g),this.g=!0}_acceptOptions(v){(0,b.ok)(!this.g),this.d._accept(v)}_acceptVisibleRanges(v){(0,b.ok)(!this.g),this.e=v}_acceptViewColumn(v){(0,b.ok)(!this.g),this.f=v}_acceptSelections(v){(0,b.ok)(!this.g),this.c=v}async l(){const v=this.c.map(F.Selection.from);return await this.n(()=>this.j.$trySetSelections(this.id,v)),this.value}m(v){const D=v.finalize();if(D.edits.length===0&&!D.setEndOfLine)return Promise.resolve(!0);const C=D.edits.map(i=>i.range);C.sort((i,l)=>i.end.line===l.end.line?i.end.character===l.end.character?i.start.line===l.start.line?i.start.character-l.start.character:i.start.line-l.start.line:i.end.character-l.end.character:i.end.line-l.end.line);for(let i=0,l=C.length-1;i<l;i++){const a=C[i].end;if(C[i+1].start.isBefore(a))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const w=D.edits.map(i=>({range:F.Range.from(i.range),text:i.text,forceMoveMarkers:i.forceMoveMarkers}));return this.j.$tryApplyEdits(this.id,D.documentVersionId,w,{setEndOfLine:typeof D.setEndOfLine=="number"?F.EndOfLine.from(D.setEndOfLine):void 0,undoStopBefore:D.undoStopBefore,undoStopAfter:D.undoStopAfter})}n(v){return this.g?(this.k.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):v().then(()=>this,D=>(D instanceof Error&&D.name==="DISPOSED"||this.k.warn(D),null))}}e.$jL=L}),define(De[265],Ce([1,0,197,7,23,2,3,4,249,17,7,12,19,15,21,164]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$P$b=void 0;function i(p,f){if((0,I.$ge)(p))return{label:p};if(p&&typeof p=="object"&&typeof p.label=="string"){let E;return Array.isArray(p.highlights)&&(E=p.highlights.filter(n=>n.length===2&&typeof n[0]=="number"&&typeof n[1]=="number"),E=E.length?E:void 0),{label:p.label,highlights:E}}}class l{constructor(f,E,n){this.d=f,this.e=E,this.f=n,this.a=new Map,this.b=new w.$83;function o(s){return s&&s.$treeViewId&&(s.$treeItemHandle||s.$selectedTreeItems||s.$focusedTreeItem)}E.registerArgumentProcessor({processArgument:s=>o(s)?this.i(s):Array.isArray(s)&&s.length>0?s.map(t=>o(t)?this.i(t):t):s})}registerTreeDataProvider(f,E,n){const o=this.createTreeView(f,{treeDataProvider:E},n);return{dispose:()=>o.dispose()}}createTreeView(f,E,n){if(!E||!E.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const o=E.dragAndDropController?.dropMimeTypes??[],s=E.dragAndDropController?.dragMimeTypes??[],t=!!E.dragAndDropController?.handleDrag,u=!!E.dragAndDropController?.handleDrop,$=this.h(f,E,n),d={showCollapseAll:!!E.showCollapseAll,canSelectMany:!!E.canSelectMany,dropMimeTypes:o,dragMimeTypes:s,hasHandleDrag:t,hasHandleDrop:u,manuallyManageCheckboxes:!!E.manageCheckboxStateManually},S=this.d.$registerTreeViewDataProvider(f,d);return{get onDidCollapseElement(){return $.onDidCollapseElement},get onDidExpandElement(){return $.onDidExpandElement},get selection(){return $.selectedElements},get onDidChangeSelection(){return $.onDidChangeSelection},get visible(){return $.visible},get onDidChangeVisibility(){return $.onDidChangeVisibility},get onDidChangeCheckboxState(){return $.onDidChangeCheckboxState},get message(){return $.message},set message(y){$.message=y},get title(){return $.title},set title(y){$.title=y},get description(){return $.description},set description(y){$.description=y},get badge(){return $.badge},set badge(y){y!==void 0&&L.ViewBadge.isViewBadge(y)?$.badge={value:Math.floor(Math.abs(y.value)),tooltip:y.tooltip}:y===void 0&&($.badge=void 0)},reveal:(y,c)=>$.reveal(y,c),dispose:async()=>{await S,this.a.delete(f),$.dispose()}}}$getChildren(f,E){const n=this.a.get(f);return n?n.getChildren(E):Promise.reject(new k.$wE(f))}async $handleDrop(f,E,n,o,s,t,u,$){const d=this.a.get(f);if(!d)return Promise.reject(new k.$wE(f));const S=D.DataTransfer.toDataTransfer(n,async y=>(await this.d.$resolveDropFileData(f,E,y)).buffer);return u===f&&$&&await this.g(S,d,$,s,t),d.onDrop(S,o,s)}async g(f,E,n,o,s){const t=this.b.removeDragOperationTransfer(s);if(t)(await t)?.forEach((u,$)=>{u&&f.set($,u)});else if(s&&E.handleDrag){const u=E.handleDrag(n,f,o);this.b.addDragOperationTransfer(s,u),await u}return f}async $handleDrag(f,E,n,o){const s=this.a.get(f);if(!s)return Promise.reject(new k.$wE(f));const t=await this.g(new A.$5J,s,E,o,n);if(!(!t||o.isCancellationRequested))return D.DataTransfer.from(t)}async $hasResolve(f){const E=this.a.get(f);if(!E)throw new k.$wE(f);return E.hasResolve}$resolve(f,E,n){const o=this.a.get(f);if(!o)throw new k.$wE(f);return o.resolveTreeItem(E,n)}$setExpanded(f,E,n){const o=this.a.get(f);if(!o)throw new k.$wE(f);o.setExpanded(E,n)}$setSelection(f,E){const n=this.a.get(f);if(!n)throw new k.$wE(f);n.setSelection(E)}$setFocus(f,E){const n=this.a.get(f);if(!n)throw new k.$wE(f);n.setFocus(E)}$setVisible(f,E){const n=this.a.get(f);if(!n)throw new k.$wE(f);n.setVisible(E)}$changeCheckboxState(f,E){const n=this.a.get(f);if(!n)throw new k.$wE(f);n.setCheckboxState(E)}h(f,E,n){const o=new a(f,E,this.d,this.e.converter,this.f,n);return this.a.set(f,o),o}i(f){const E=this.a.get(f.$treeViewId);return E&&"$treeItemHandle"in f?E.getExtensionElement(f.$treeItemHandle):E&&"$focusedTreeItem"in f&&f.$focusedTreeItem?E.focusedElement:null}}e.$P$b=l;class a extends g.$kb{get visible(){return this.k}get selectedElements(){return this.l.map(f=>this.getExtensionElement(f)).filter(f=>!(0,I.$pe)(f))}get focusedElement(){return this.m?this.getExtensionElement(this.m):void 0}constructor(f,E,n,o,s,t){if(super(),this.C=f,this.D=n,this.F=o,this.G=s,this.H=t,this.h=void 0,this.i=new Map,this.j=new Map,this.k=!1,this.l=[],this.m=void 0,this.r=this.B(new R.$5c),this.onDidExpandElement=this.r.event,this.s=this.B(new R.$5c),this.onDidCollapseElement=this.s.event,this.t=this.B(new R.$5c),this.onDidChangeSelection=this.t.event,this.u=this.B(new R.$5c),this.onDidChangeVisibility=this.u.event,this.v=this.B(new R.$5c),this.onDidChangeCheckboxState=this.v.event,this.w=this.B(new R.$5c),this.y=Promise.resolve(),this.z=Promise.resolve(),this.I="",this.J="",this.S=new C.$bd,t.contributes&&t.contributes.views)for(const d in t.contributes.views)for(const S of t.contributes.views[d])S.id===f&&(this.J=S.name);this.f=E.treeDataProvider,this.g=E.dragAndDropController,this.f.onDidChangeTreeData&&this.B(this.f.onDidChangeTreeData(d=>this.w.fire({message:!1,element:d})));let u,$;this.B(R.Event.debounce(this.w.event,(d,S)=>(d||(d={message:!1,elements:[]}),S.element!==!1&&(u||(u=new Promise(y=>$=y),this.y=this.y.then(()=>u)),Array.isArray(S.element)?d.elements.push(...S.element):d.elements.push(S.element)),S.message&&(d.message=!0),d),200,!0)(({message:d,elements:S})=>{S.length&&(this.z=this.z.then(()=>{const y=$;return u=null,this.U(S).then(()=>y())})),d&&this.D.$setMessage(this.C,this.I)}))}async getChildren(f){const E=f?this.getExtensionElement(f):void 0;if(f&&!E)return this.G.error(`No tree item with id '${f}' found.`),Promise.resolve([]);let n=this.Q(f);return n||(n=await this.R(E)),n?n.map(o=>o.item):void 0}getExtensionElement(f){return this.i.get(f)}reveal(f,E){E=E||{select:!0,focus:!1};const n=(0,I.$pe)(E.select)?!0:E.select,o=(0,I.$pe)(E.focus)?!1:E.focus,s=(0,I.$pe)(E.expand)?!1:E.expand;return typeof this.f.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):f?this.y.then(()=>this.N(f)).then(t=>this.P(f,t[t.length-1]).then(u=>this.D.$reveal(this.C,{item:u.item,parentChain:t.map($=>$.item)},{select:n,focus:o,expand:s})),t=>this.G.error(t)):this.D.$reveal(this.C,void 0,{select:n,focus:o,expand:s})}get message(){return this.I}set message(f){this.I=f,this.w.fire({message:!0,element:!1})}get title(){return this.J}set title(f){this.J=f,this.D.$setTitle(this.C,f,this.L)}get description(){return this.L}set description(f){this.L=f,this.D.$setTitle(this.C,this.J,f)}get badge(){return this.M}set badge(f){this.M?.value===f?.value&&this.M?.tooltip===f?.tooltip||(this.M=D.ViewBadge.from(f),this.D.$setBadge(this.C,f))}setExpanded(f,E){const n=this.getExtensionElement(f);n&&(E?this.r.fire(Object.freeze({element:n})):this.s.fire(Object.freeze({element:n})))}setSelection(f){(0,v.$$e)(this.l,f)||(this.l=f,this.t.fire(Object.freeze({selection:this.selectedElements})))}setFocus(f){this.m=f}setVisible(f){f!==this.k&&(this.k=f,this.u.fire(Object.freeze({visible:this.k})))}async setCheckboxState(f){const E=(await Promise.all(f.map(async n=>{const o=this.getExtensionElement(n.treeItemHandle);return o?{extensionItem:o,treeItem:await this.f.getTreeItem(o),newState:n.newState?L.TreeItemCheckboxState.Checked:L.TreeItemCheckboxState.Unchecked}:Promise.resolve(void 0)}))).filter(n=>n!==void 0);E.forEach(n=>{n.treeItem.checkboxState=n.newState?L.TreeItemCheckboxState.Checked:L.TreeItemCheckboxState.Unchecked}),this.v.fire({items:E.map(n=>[n.extensionItem,n.newState])})}async handleDrag(f,E,n){const o=[];for(const s of f){const t=this.getExtensionElement(s);t&&o.push(t)}if(!(!this.g?.handleDrag||o.length===0))return await this.g.handleDrag(o,E,n),E}get hasHandleDrag(){return!!this.g?.handleDrag}async onDrop(f,E,n){const o=E?this.getExtensionElement(E):void 0;if(!(!o&&E||!this.g?.handleDrop))return(0,m.$kg)(()=>this.g?.handleDrop?this.g.handleDrop(o,f,n):void 0)}get hasResolve(){return!!this.f.resolveTreeItem}async resolveTreeItem(f,E){if(!this.f.resolveTreeItem)return;const n=this.i.get(f);if(n){const o=this.j.get(n);if(o){const s=await this.f.resolveTreeItem(o.extensionItem,n,E)??o.extensionItem;return this.cb(s),o.item.tooltip=this.$(s.tooltip),o.item.command=this.ab(o.disposableStore,s.command),o.item}}}N(f){return this.O(f).then(E=>E?this.N(E).then(n=>this.P(E,n[n.length-1]).then(o=>(n.push(o),n))):Promise.resolve([]))}O(f){const E=this.j.get(f);return E?Promise.resolve(E.parent?this.i.get(E.parent.item.handle):void 0):(0,m.$kg)(()=>this.f.getParent(f))}P(f,E){const n=this.j.get(f);return n?Promise.resolve(n):(0,m.$kg)(()=>this.f.getTreeItem(f)).then(o=>this.fb(f,o,E,!0)).then(o=>this.getChildren(E?E.item.handle:void 0).then(()=>{const s=this.getExtensionElement(o);if(s){const t=this.j.get(s);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${o}`)}))}Q(f){if(f){let E;if(typeof f=="string"){const n=this.getExtensionElement(f);E=n?this.j.get(n):void 0}else E=f;return E&&E.children||void 0}return this.h}async R(f){this.mb(f);const E=new C.$bd(this.S.token);try{const n=f?this.j.get(f):void 0,o=await this.f.getChildren(f);if(E.token.isCancellationRequested)return;const s=await Promise.all((0,v.$jf)(o||[]).map(async t=>{const u=await this.f.getTreeItem(t);return u&&!E.token.isCancellationRequested?this.Z(t,u,n):null}));return E.token.isCancellationRequested?void 0:(0,v.$jf)(s)}finally{E.dispose()}}U(f){if(f.some(n=>!n))return this.S.dispose(!0),this.S=new C.$bd,this.ob(),this.D.$refresh(this.C);{const n=this.W(f);if(n.length)return this.X(n)}return Promise.resolve(void 0)}W(f){const E=new Set,n=f.map(s=>this.j.get(s));for(const s of n)if(s&&!E.has(s.item.handle)){let t=s;for(;t&&t.parent&&n.findIndex(u=>t&&t.parent&&u&&u.item.handle===t.parent.item.handle)===-1;){const u=this.i.get(t.parent.item.handle);t=u?this.j.get(u):void 0}t&&!t.parent&&E.add(s.item.handle)}const o=[];return E.forEach(s=>{const t=this.i.get(s);if(t){const u=this.j.get(t);u&&(!u.parent||!E.has(u.parent.item.handle))&&o.push(s)}}),o}X(f){const E={};return Promise.all(f.map(n=>this.Y(n).then(o=>{o&&(E[n]=o.item)}))).then(()=>Object.keys(E).length?this.D.$refresh(this.C,E):void 0)}Y(f){const E=this.getExtensionElement(f);if(E){const n=this.j.get(E);if(n)return this.mb(E),(0,m.$kg)(()=>this.f.getTreeItem(E)).then(o=>{if(o){const s=this.db(E,o,n.parent);return this.kb(E,s,n,n.parent),n.dispose(),s}return null})}return Promise.resolve(null)}Z(f,E,n){const o=this.db(f,E,n);if(E.id&&this.i.has(o.item.handle))throw new Error((0,b.localize)(0,null,E.id));return this.jb(f,o),this.lb(o,n),o}$(f){return L.$BJ.isMarkdownString(f)?D.MarkdownString.from(f):f}ab(f,E){return E?{...this.F.toInternal(E,f),originalId:E.command}:void 0}bb(f){if(f.checkboxState===void 0)return;let E,n,o;return typeof f.checkboxState=="number"?E=f.checkboxState:(E=f.checkboxState.state,n=f.checkboxState.tooltip,o=f.checkboxState.accessibilityInformation),{isChecked:E===L.TreeItemCheckboxState.Checked,tooltip:n,accessibilityInformation:o}}cb(f){if(!L.$ZJ.isTreeItem(f,this.H))throw new Error(`Extension ${this.H.identifier.value} has provided an invalid tree item.`)}db(f,E,n){this.cb(E);const o=new g.$jb,s=this.fb(f,E,n),t=this.gb(E);return{item:{handle:s,parentHandle:n?n.item.handle:void 0,label:i(E.label,this.H),description:E.description,resourceUri:E.resourceUri,tooltip:this.$(E.tooltip),command:this.ab(o,E.command),contextValue:E.contextValue,icon:t,iconDark:this.hb(E)||t,themeIcon:this.eb(E),collapsibleState:(0,I.$pe)(E.collapsibleState)?L.TreeItemCollapsibleState.None:E.collapsibleState,accessibilityInformation:E.accessibilityInformation,checkbox:this.bb(E)},extensionItem:E,parent:n,children:void 0,disposableStore:o,dispose(){o.dispose()}}}eb(f){return f.iconPath instanceof L.$8J?f.iconPath:void 0}fb(f,{id:E,label:n,resourceUri:o},s,t){if(E)return`${a.b}/${E}`;const u=i(n,this.H),$=s?s.item.handle:a.a;let d=u?u.label:o?(0,h.$3f)(o):"";d=d.indexOf("/")!==-1?d.replace("/","//"):d;const S=this.j.has(f)?this.j.get(f).item.handle:void 0,y=this.Q(s)||[];let c,r=0;do{if(c=`${$}/${r}:${d}`,t||!this.i.has(c)||S===c)break;r++}while(r<=y.length);return c}gb(f){if(f.iconPath&&!(f.iconPath instanceof L.$8J))return typeof f.iconPath=="string"||F.URI.isUri(f.iconPath)?this.ib(f.iconPath):this.ib(f.iconPath.light)}hb(f){if(f.iconPath&&!(f.iconPath instanceof L.$8J)&&f.iconPath.dark)return this.ib(f.iconPath.dark)}ib(f){return F.URI.isUri(f)?f:F.URI.file(f)}jb(f,E){this.i.set(E.item.handle,f),this.j.set(f,E)}kb(f,E,n,o){this.i.delete(E.item.handle),this.j.delete(f),E.item.handle!==n.item.handle&&this.i.delete(n.item.handle),this.jb(f,E);const s=this.Q(o)||[],t=s.filter(u=>u.item.handle===n.item.handle)[0];t&&s.splice(s.indexOf(t),1,E)}lb(f,E){E?(E.children||(E.children=[]),E.children.push(f)):(this.h||(this.h=[]),this.h.push(f))}mb(f){if(f){const E=this.j.get(f);if(E){if(E.children)for(const n of E.children){const o=this.i.get(n.item.handle);o&&this.nb(o)}E.children=void 0}}else this.ob()}nb(f){const E=this.j.get(f);if(E){if(E.children)for(const n of E.children){const o=this.i.get(n.item.handle);o&&this.nb(o)}this.j.delete(f),this.i.delete(E.item.handle),E.dispose()}}ob(){this.h=void 0,this.i.clear(),this.j.forEach(f=>f.dispose()),this.j.clear()}dispose(){this.S.dispose(),this.ob(),this.D.$disposeTree(this.C)}}a.a="0",a.b="1"}),define(De[266],Ce([1,0,5,214]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oI=void 0,e.$oI=(0,b.$mh)(A.$sh)}),define(De[141],Ce([1,0,25,3,11,4]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sZb=e.$rZb=e.$qZb=e.$pZb=e.$oZb=void 0;class R{constructor(i){this.removedDueToLooping=i}}e.$oZb=R;class g{static isHostExtension(i,l,a){if(l.getExtensionDescription(i))return!1;const p=a.getExtensionDescription(i);return p?!!((p.main||p.browser)&&p.api==="none"):!1}constructor(i,l){this.h=i,this.c=new A.$5c,this.onDidChange=this.c.event,this.d=l,this.j()}j(){this.d.sort(D),this.e=new b.$Fl,this.f=[],this.g=new Map;for(const i of this.d){if(this.e.has(i.identifier)){console.error("Extension `"+i.identifier.value+"` is already registered");continue}this.e.set(i.identifier,i),this.f.push(i);const l=this.h.readActivationEvents(i);if(Array.isArray(l))for(let a of l)a==="onUri"&&(a=`onUri:${b.$Dl.toKey(i.identifier)}`),this.g.has(a)||this.g.set(a,[]),this.g.get(a).push(i)}}set(i){this.d=i,this.j(),this.c.fire(void 0)}deltaExtensions(i,l){this.d=C(this.d,l),this.d=this.d.concat(i);const a=g.k(this.d);return this.d=C(this.d,a.map(p=>p.identifier)),this.j(),this.c.fire(void 0),new R(a)}static k(i){const l=new class{constructor(){this.c=new Map,this.d=new Set,this.e=[]}addNode(n){this.d.has(n)||(this.d.add(n),this.e.push(n))}addArc(n,o){this.addNode(n),this.addNode(o),this.c.has(n)?this.c.get(n).push(o):this.c.set(n,[o])}getArcs(n){return this.c.has(n)?this.c.get(n):[]}hasOnlyGoodArcs(n,o){const s=l.getArcs(n);for(let t=0;t<s.length;t++)if(!o.has(s[t]))return!1;return!0}getNodes(){return this.e}},a=new b.$Fl;for(const n of i)if(a.set(n.identifier,n),n.extensionDependencies)for(const o of n.extensionDependencies)l.addArc(b.$Dl.toKey(n.identifier),b.$Dl.toKey(o));const p=new Set;l.getNodes().filter(n=>l.getArcs(n).length===0).forEach(n=>p.add(n));const f=l.getNodes().filter(n=>!p.has(n));let E;do{E=!1;for(let n=0;n<f.length;n++){const o=f[n];l.hasOnlyGoodArcs(o,p)&&(f.splice(n,1),n--,p.add(o),E=!0)}}while(E);return f.map(n=>a.get(n))}containsActivationEvent(i){return this.g.has(i)}containsExtension(i){return this.e.has(i)}getExtensionDescriptionsForActivationEvent(i){const l=this.g.get(i);return l?l.slice(0):[]}getAllExtensionDescriptions(){return this.f.slice(0)}getExtensionDescription(i){const l=this.e.get(i);return l||void 0}getExtensionDescriptionByUUID(i){for(const l of this.f)if(l.uuid===i)return l}getExtensionDescriptionByIdOrUUID(i,l){return this.getExtensionDescription(i)??(l?this.getExtensionDescriptionByUUID(l):void 0)}}e.$pZb=g,e.$qZb={readActivationEvents:w=>w.activationEvents};class k{constructor(i){this.d=new I,this.c=new g(i,[])}async acquireLock(i){const l=await this.d.acquire(i);return new m(this,l)}deltaExtensions(i,l,a){if(!i.isAcquiredFor(this))throw new Error("Lock is not held");return this.c.deltaExtensions(l,a)}containsActivationEvent(i){return this.c.containsActivationEvent(i)}containsExtension(i){return this.c.containsExtension(i)}getExtensionDescriptionsForActivationEvent(i){return this.c.getExtensionDescriptionsForActivationEvent(i)}getAllExtensionDescriptions(){return this.c.getAllExtensionDescriptions()}getExtensionDescription(i){return this.c.getExtensionDescription(i)}getExtensionDescriptionByUUID(i){return this.c.getExtensionDescriptionByUUID(i)}getExtensionDescriptionByIdOrUUID(i,l){return this.c.getExtensionDescriptionByIdOrUUID(i,l)}}e.$rZb=k;class m extends F.$kb{constructor(i,l){super(),this.f=i,this.c=!1,this.B(l)}isAcquiredFor(i){return!this.c&&this.f===i}}e.$sZb=m;class L{constructor(i){this.name=i,this.promise=new Promise((l,a)=>{this.c=l})}resolve(i){this.c(i)}}class I{constructor(){this.c=[],this.d=!1}async acquire(i){const l=new L(i);return this.c.push(l),this.e(),l.promise}e(){if(this.d||this.c.length===0)return;const i=this.c.shift();this.d=!0;let l=!0;const a=setTimeout(()=>{l&&console.warn(`The customer named ${i.name} has been holding on to the lock for 30s. This might be a problem.`)},30*1e3),p=()=>{l&&(clearTimeout(a),l=!1,this.d=!1,this.e())};i.resolve((0,F.$ib)(p))}}var v;(function(w){w[w.Builtin=0]="Builtin",w[w.User=1]="User",w[w.Dev=2]="Dev"})(v||(v={}));function D(w,i){const l=w.isBuiltin?0:w.isUnderDevelopment?2:1,a=i.isBuiltin?0:i.isUnderDevelopment?2:1;if(l!==a)return l-a;const p=h.$8b.basename(w.extensionLocation.path),f=h.$8b.basename(i.extensionLocation.path);return p<f?-1:p>f?1:0}function C(w,i){const l=new b.$El(i);return w.filter(a=>!l.has(a.identifier))}}),define(De[267],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_l=e.$$l=e.$0l=e.$9l=e.$8l=e.ExtHostConnectionType=void 0;var b;(function(L){L[L.IPC=1]="IPC",L[L.Socket=2]="Socket",L[L.MessagePort=3]="MessagePort"})(b||(e.ExtHostConnectionType=b={}));class A{constructor(I){this.pipeName=I,this.type=1}serialize(I){I[A.ENV_KEY]=this.pipeName}}e.$8l=A,A.ENV_KEY="VSCODE_EXTHOST_IPC_HOOK";class h{constructor(){this.type=2}serialize(I){I[h.ENV_KEY]="1"}}e.$9l=h,h.ENV_KEY="VSCODE_EXTHOST_WILL_SEND_SOCKET";class F{constructor(){this.type=3}serialize(I){I[F.ENV_KEY]="1"}}e.$0l=F,F.ENV_KEY="VSCODE_WILL_SEND_MESSAGE_PORT";function R(L){delete L[A.ENV_KEY],delete L[h.ENV_KEY],delete L[F.ENV_KEY]}function g(L,I){R(I),L.serialize(I)}e.$$l=g;function k(L){if(L[A.ENV_KEY])return m(L,new A(L[A.ENV_KEY]));if(L[h.ENV_KEY])return m(L,new h);if(L[F.ENV_KEY])return m(L,new F);throw new Error("No connection information defined in environment!")}e.$_l=k;function m(L,I){return R(L),I}}),define(De[105],Ce([1,0,22]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.$Ml=e.$Ll=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var A;(function(m){m[m.Desktop=1]="Desktop",m[m.Web=2]="Web"})(A||(e.UIKind=A={}));var h;(function(m){m[m.VersionMismatch=55]="VersionMismatch",m[m.UnexpectedError=81]="UnexpectedError"})(h||(e.ExtensionHostExitCode=h={}));var F;(function(m){m[m.Initialized=0]="Initialized",m[m.Ready=1]="Ready",m[m.Terminate=2]="Terminate"})(F||(e.MessageType=F={}));function R(m){const L=b.$Ib.alloc(1);switch(m){case 0:L.writeUInt8(1,0);break;case 1:L.writeUInt8(2,0);break;case 2:L.writeUInt8(3,0);break}return L}e.$Ll=R;function g(m,L){if(m.byteLength!==1)return!1;switch(m.readUInt8(0)){case 1:return L===0;case 2:return L===1;case 3:return L===2;default:return!1}}e.$Ml=g;var k;(function(m){m.Start="START_NATIVE_LOG",m.End="END_NATIVE_LOG"})(k||(e.NativeLogMarkers=k={}))}),define(De[82],Ce([1,0,5,3,18,26,105,78,79,24,2,4,195]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uL=e.$tL=e.$sL=e.$rL=void 0;let D=e.$rL=class extends I.$kb{constructor(l,a){super(),this.n=l,this.p=a,this.a=this.B(new A.$5c),this.onDidChangeTelemetryEnabled=this.a.event,this.b=this.B(new A.$5c),this.onDidChangeTelemetryConfiguration=this.b.event,this.c={usage:!0,error:!0},this.f=0,this.g=!1,this.i=!1,this.m=new Map,this.j=L.URI.revive(this.n.environment.extensionTelemetryLogResource),this.i=this.n.environment.isExtensionTelemetryLoggingOnly,this.k=a.createLogger(this.j,{id:k.$3n,name:(0,v.localize)(0,null,this.i?" (Not Sent)":""),hidden:!0}),this.B(a.onDidChangeLogLevel(p=>{(0,h.$Pi)(p)&&this.r()})),this.k.info("Below are logs for extension telemetry events sent to the telemetry output channel API once the log level is set to trace."),this.k.info("===========================================================")}r(){this.p.setVisibility(this.j,this.g&&this.p.getLogLevel()===h.LogLevel.Trace)}getTelemetryConfiguration(){return this.f===3}getTelemetryDetails(){return{isCrashEnabled:this.f>=1,isErrorsEnabled:this.c.error?this.f>=2:!1,isUsageEnabled:this.c.usage?this.f>=3:!1}}instantiateLogger(l,a,p){const f=this.getTelemetryDetails(),E=new C(a,p,l,this.k,this.i,this.getBuiltInCommonProperties(l),{isUsageEnabled:f.isUsageEnabled,isErrorsEnabled:f.isErrorsEnabled}),n=this.m.get(l.identifier.value)??[];return this.m.set(l.identifier.value,[...n,E]),E.apiTelemetryLogger}$initializeTelemetryLevel(l,a,p){this.f=l,this.g=a,this.c=p??{usage:!0,error:!0},this.r()}getBuiltInCommonProperties(l){const a=Object.create(null);switch(a["common.extname"]=`${l.publisher}.${l.name}`,a["common.extversion"]=l.version,a["common.vscodemachineid"]=this.n.telemetryInfo.machineId,a["common.vscodesessionid"]=this.n.telemetryInfo.sessionId,a["common.vscodeversion"]=this.n.version,a["common.isnewappinstall"]=w(this.n.telemetryInfo.firstSessionDate),a["common.product"]=this.n.environment.appHost,this.n.uiKind){case R.UIKind.Web:a["common.uikind"]="web";break;case R.UIKind.Desktop:a["common.uikind"]="desktop";break;default:a["common.uikind"]="unknown"}return a["common.remotename"]=(0,g.$yk)((0,k.$0n)(this.n.remote.authority)),a}$onDidChangeTelemetryLevel(l){this.h=this.getTelemetryConfiguration(),this.f=l;const a=this.getTelemetryDetails();this.m.forEach((p,f)=>{const E=p.filter(n=>!n.isDisposed);E.length===0?this.m.delete(f):this.m.set(f,E)}),this.m.forEach(p=>{for(const f of p)f.updateTelemetryEnablements(a.isUsageEnabled,a.isErrorsEnabled)}),this.h!==this.getTelemetryConfiguration()&&this.a.fire(this.getTelemetryConfiguration()),this.b.fire(this.getTelemetryDetails()),this.r()}onExtensionError(l,a){const f=this.m.get(l.value)?.filter(n=>!n.isDisposed);if(!f)return this.m.delete(l.value),!1;let E=!1;for(const n of f)n.ignoreUnhandledExtHostErrors||(n.logError(a),E=!0);return E}};e.$rL=D=He([We(0,F.$qL),We(1,h.$Oi)],D);class C{static validateSender(l){if(typeof l!="object")throw new TypeError("TelemetrySender argument is invalid");if(typeof l.sendEventData!="function")throw new TypeError("TelemetrySender.sendEventData must be a function");if(typeof l.sendErrorData!="function")throw new TypeError("TelemetrySender.sendErrorData must be a function");if(typeof l.flush<"u"&&typeof l.flush!="function")throw new TypeError("TelemetrySender.flush must be a function or undefined")}constructor(l,a,p,f,E,n,o){this.g=p,this.h=f,this.i=E,this.j=n,this.a=new A.$5c,this.ignoreUnhandledExtHostErrors=a?.ignoreUnhandledErrors??!1,this.b=a?.ignoreBuiltInCommonProperties??!1,this.c=a?.additionalCommonProperties,this.f=l,this.d={isUsageEnabled:o.isUsageEnabled,isErrorsEnabled:o.isErrorsEnabled}}updateTelemetryEnablements(l,a){this.e&&(this.d={isUsageEnabled:l,isErrorsEnabled:a},this.a.fire(this.e))}mixInCommonPropsAndCleanData(l){let a="properties"in l?l.properties??{}:l;return a=(0,k.$ao)(a,[]),this.c&&(a=(0,m.$Gm)(a,this.c)),this.b||(a=(0,m.$Gm)(a,this.j)),"properties"in l?l.properties=a:l=a,l}k(l,a){this.f&&(this.g.publisher==="vscode"?l=this.g.name+"/"+l:l=this.g.identifier.value+"/"+l,a=this.mixInCommonPropsAndCleanData(a||{}),this.i||this.f?.sendEventData(l,a),this.h.trace(l,a))}logUsage(l,a){this.d.isUsageEnabled&&this.k(l,a)}logError(l,a){!this.d.isErrorsEnabled||!this.f||(typeof l=="string"?this.k(l,a):this.f.sendErrorData(l,a))}get apiTelemetryLogger(){if(!this.e){const l=this,a={logUsage:l.logUsage.bind(l),get isUsageEnabled(){return l.d.isUsageEnabled},get isErrorsEnabled(){return l.d.isErrorsEnabled},logError:l.logError.bind(l),dispose:l.dispose.bind(l),onDidChangeEnableStates:l.a.event.bind(l)};this.e=Object.freeze(a)}return this.e}get isDisposed(){return!this.f}dispose(){if(this.f?.flush){let l=this.f;this.f=void 0,Promise.resolve(l.flush()).then(l=void 0),this.e=void 0}else this.f=void 0}}e.$sL=C;function w(i){const l=Date.now()-new Date(i).getTime();return isNaN(l)?!1:l<1e3*60*60*24}e.$tL=w,e.$uL=(0,b.$lh)("IExtHostTelemetry")}),define(De[27],Ce([1,0,3,2,235,131,25,5]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dF=e.$cF=e.$bF=e.ActivationKind=e.$aF=e.$_E=e.$$E=e.$0E=e.$9E=e.ExtensionHostStartup=e.$8E=e.$7E=e.$6E=e.$5E=void 0,e.$5E=Object.freeze({identifier:new R.$Dl("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:A.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.$6E="extensions.webWorker",e.$7E=(0,g.$lh)("extensionService");class k{constructor(E){this.dependency=E}}e.$8E=k;var m;(function(f){f[f.EagerAutoStart=1]="EagerAutoStart",f[f.EagerManualStart=2]="EagerManualStart",f[f.Lazy=3]="Lazy"})(m||(e.ExtensionHostStartup=m={}));class L{constructor(){this.c=[],this.d=[]}toDelta(){return{toRemove:[],toAdd:this.c,addActivationEvents:F.$VE.createActivationEventsMap(this.c),myToRemove:[],myToAdd:this.d}}set(E,n){const o=[],s=[],t=[],u=[],$=I(this.c),d=I(E),S=(N,U)=>N.extensionLocation.toString()===U.extensionLocation.toString()||N.isBuiltin===U.isBuiltin||N.isUserBuiltin===U.isUserBuiltin||N.isUnderDevelopment===U.isUnderDevelopment;for(const N of this.c){const U=d.get(N.identifier);if(!U){o.push(N.identifier),$.delete(N.identifier);continue}if(!S(N,U)){o.push(N.identifier),$.delete(N.identifier);continue}}for(const N of E){const U=$.get(N.identifier);if(!U){s.push(N);continue}if(!S(U,N)){o.push(U.identifier),$.delete(U.identifier);continue}}const y=new R.$El(this.d),c=new R.$El(n);for(const N of this.d)c.has(N)||t.push(N);for(const N of n)y.has(N)||u.push(N);const r=F.$VE.createActivationEventsMap(s),P={toRemove:o,toAdd:s,addActivationEvents:r,myToRemove:t,myToAdd:u};return this.delta(P),P}delta(E){const{toRemove:n,toAdd:o,myToRemove:s,myToAdd:t}=E,u=new R.$El(n),$=new R.$El(s);for(let d=0;d<this.c.length;d++)u.has(this.c[d].identifier)&&(this.c.splice(d,1),d--);for(let d=0;d<this.d.length;d++)$.has(this.d[d])&&(this.d.splice(d,1),d--);for(const d of o)this.c.push(d);for(const d of t)this.d.push(d)}containsExtension(E){for(const n of this.d)if(R.$Dl.equals(n,E))return!0;return!1}}e.$9E=L;function I(f){const E=new R.$Fl;for(const n of f)E.set(n.identifier,n);return E}function v(f,E){return f.enabledApiProposals?f.enabledApiProposals.includes(E):!1}e.$0E=v;function D(f,E){if(!v(f,E))throw new Error(`Extension '${f.identifier.value}' CANNOT use API proposal: ${E}.
Its package.json#enabledApiProposals-property declares: ${f.enabledApiProposals?.join(", ")??"[]"} but NOT ${E}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${f.identifier.value}`)}e.$$E=D;class C{constructor(E,n,o,s){this.codeLoadingTime=E,this.activateCallTime=n,this.activateResolvedTime=o,this.activationReason=s}}e.$_E=C;class w{constructor(E,n){this.description=E,this.value=n}}e.$aF=w;var i;(function(f){f[f.Normal=0]="Normal",f[f.Immediate=1]="Immediate"})(i||(e.ActivationKind=i={}));function l(f){return{type:f.isBuiltin?0:1,isBuiltin:f.isBuiltin||f.isUserBuiltin,identifier:{id:(0,h.$go)(f.publisher,f.name),uuid:f.uuid},manifest:f,location:f.extensionLocation,targetPlatform:f.targetPlatform,validations:[],isValid:!0}}e.$bF=l;function a(f,E){return{identifier:new R.$Dl((0,h.$eo)(f.manifest.publisher,f.manifest.name)),isBuiltin:f.type===0,isUserBuiltin:f.type===1&&f.isBuiltin,isUnderDevelopment:!!E,extensionLocation:f.location,...f.manifest,uuid:f.identifier.uuid,targetPlatform:f.targetPlatform}}e.$cF=a;class p{constructor(){this.onDidRegisterExtensions=b.Event.None,this.onDidChangeExtensionsStatus=b.Event.None,this.onDidChangeExtensions=b.Event.None,this.onWillActivateByEvent=b.Event.None,this.onDidChangeResponsiveChange=b.Event.None,this.onWillStop=b.Event.None,this.extensions=[]}activateByEvent(E){return Promise.resolve(void 0)}activationEventIsDone(E){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(E){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPorts(E,n){return Promise.resolve([])}stopExtensionHosts(){}async startExtensionHosts(){}async setRemoteEnvironment(E){}canAddExtension(){return!1}canRemoveExtension(){return!1}}e.$dF=p}),define(De[268],Ce([1,0,8,141,25,27,18,17]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$d$b=e.$c$b=e.$b$b=e.$a$b=e.$_0b=e.$$0b=void 0;class k{constructor(l,a,p,f){this.startup=l,this.codeLoadingTime=a,this.activateCallTime=p,this.activateResolvedTime=f}}e.$$0b=k,k.NONE=new k(!1,-1,-1,-1);class m{constructor(l){this.a=l,this.b=-1,this.c=-1,this.d=-1,this.f=-1,this.g=-1,this.h=-1}j(l,a){return l===-1||a===-1?-1:a-l}build(){return new k(this.a,this.j(this.b,this.c),this.j(this.d,this.f),this.j(this.g,this.h))}codeLoadingStart(){this.b=Date.now()}codeLoadingStop(){this.c=Date.now()}activateCallStart(){this.d=Date.now()}activateCallStop(){this.f=Date.now()}activateResolveStart(){this.g=Date.now()}activateResolveStop(){this.h=Date.now()}}e.$_0b=m;class L{constructor(l,a,p,f,E,n){this.activationFailed=l,this.activationFailedError=a,this.activationTimes=p,this.module=f,this.exports=E,this.subscriptions=n}}e.$a$b=L;class I extends L{constructor(l){super(!1,null,l,{activate:void 0,deactivate:void 0},void 0,[])}}e.$b$b=I;class v extends L{constructor(){super(!1,null,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.$c$b=v;class D extends L{constructor(l){super(!0,l,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}let C=e.$d$b=class{constructor(l,a,p,f){this.g=f,this.a=l,this.b=a,this.c=p,this.d=new h.$Fl,this.f=Object.create(null)}dispose(){for(const[l,a]of this.d)a.dispose()}async waitForActivatingExtensions(){const l=[];for(const[a,p]of this.d)l.push(p.wait());await Promise.all(l)}isActivated(l){const a=this.d.get(l);return!!(a&&a.value)}getActivatedExtension(l){const a=this.d.get(l);if(!a||!a.value)throw new Error(`Extension '${l.value}' is not known or not activated`);return a.value}async activateByEvent(l,a){if(this.f[l])return;const p=this.a.getExtensionDescriptionsForActivationEvent(l);await this.h(p.map(f=>({id:f.identifier,reason:{startup:a,extensionId:f.identifier,activationEvent:l}}))),this.f[l]=!0}activateById(l,a){const p=this.a.getExtensionDescription(l);if(!p)throw new Error(`Extension '${l}' is not known`);return this.h([{id:p.identifier,reason:a}])}async h(l){const a=l.filter(p=>!this.isActivated(p.id)).map(p=>this.j(p));await Promise.all(a.map(p=>p.wait()))}j(l){if(this.d.has(l.id))return this.d.get(l.id);if(this.l(l.id))return this.k(l,null,[],null);const a=this.a.getExtensionDescription(l.id);if(!a){const E=new Error(`Cannot activate unknown extension '${l.id.value}'`),n=this.k(l,null,[],new D(E));return this.c.onExtensionActivationError(l.id,E,new F.$8E(l.id.value)),n}const p=[],f=typeof a.extensionDependencies>"u"?[]:a.extensionDependencies;for(const E of f){if(this.m(E))continue;const n=this.d.get(E);if(n){p.push(n);continue}if(this.l(E)){p.push(this.j({id:this.b.getExtensionDescription(E).identifier,reason:l.reason}));continue}const o=this.a.getExtensionDescription(E);if(o){if(!o.main&&!o.browser)continue;p.push(this.j({id:o.identifier,reason:l.reason}));continue}const s=a.displayName||a.identifier.value,t=new Error(`Cannot activate the '${s}' extension because it depends on unknown extension '${E}'`),u=this.k(l,a.displayName,[],new D(t));return this.c.onExtensionActivationError(a.identifier,t,new F.$8E(E)),u}return this.k(l,a.displayName,p,null)}k(l,a,p,f){const E=new w(l.id,a,l.reason,p,f,this.c,this.g);return this.d.set(l.id,E),E}l(l){return A.$pZb.isHostExtension(l,this.a,this.b)}m(l){const a=this.b.getExtensionDescription(l);return a?!a.main&&!a.browser:!1}};e.$d$b=C=He([We(3,R.$Ni)],C);let w=class{get value(){return this.h}get friendlyName(){return this.d||this.c.value}constructor(l,a,p,f,E,n,o){this.c=l,this.d=a,this.f=p,this.g=f,this.h=E,this.j=n,this.k=o,this.a=new g.$qg,this.b=!1,this.l()}dispose(){this.b=!0}wait(){return this.a.wait()}async l(){await this.m(),this.a.open()}async m(){if(!this.h){for(;this.g.length>0;){for(let l=0;l<this.g.length;l++){const a=this.g[l];if(a.value&&!a.value.activationFailed){this.g.splice(l,1),l--;continue}if(a.value&&a.value.activationFailed){const p=new Error(`Cannot activate the '${this.friendlyName}' extension because its dependency '${a.friendlyName}' failed to activate`);p.detail=a.value.activationFailedError,this.h=new D(p),this.j.onExtensionActivationError(this.c,p,null);return}}this.g.length>0&&await Promise.race(this.g.map(l=>l.wait()))}await this.n()}}async n(){try{this.h=await this.j.actualActivateExtension(this.c,this.f)}catch(l){const a=new Error;if(l&&l.name&&(a.name=l.name),l&&l.message?a.message=`Activating extension '${this.c.value}' failed: ${l.message}.`:a.message=`Activating extension '${this.c.value}' failed: ${l}.`,l&&l.stack&&(a.stack=l.stack),this.h=new D(a),this.b&&b.$1(l))return;this.j.onExtensionActivationError(this.c,a,null),this.k.error(`Activating extension ${this.c.value} failed due to an error:`),this.k.error(l)}}};w=He([We(6,R.$Ni)],w)}),define(De[269],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.allApiProposals=void 0,e.allApiProposals=Object.freeze({authGetSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authGetSessions.d.ts",authSession:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authSession.d.ts",canonicalUriProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.canonicalUriProvider.d.ts",codiconDecoration:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codiconDecoration.d.ts",commentsDraftState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentsDraftState.d.ts",contribCommentEditorActionsMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentEditorActionsMenu.d.ts",contribCommentPeekContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentPeekContext.d.ts",contribCommentThreadAdditionalMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentThreadAdditionalMenu.d.ts",contribEditSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditSessions.d.ts",contribEditorContentMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditorContentMenu.d.ts",contribLabelFormatterWorkspaceTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribLabelFormatterWorkspaceTooltip.d.ts",contribMenuBarHome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMenuBarHome.d.ts",contribMergeEditorMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMergeEditorMenus.d.ts",contribNotebookStaticPreloads:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribNotebookStaticPreloads.d.ts",contribRemoteHelp:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribRemoteHelp.d.ts",contribShareMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribShareMenu.d.ts",contribStatusBarItems:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribStatusBarItems.d.ts",contribViewsRemote:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsRemote.d.ts",contribViewsWelcome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsWelcome.d.ts",customEditorMove:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.customEditorMove.d.ts",debugFocus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.debugFocus.d.ts",diffCommand:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffCommand.d.ts",diffContentOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffContentOptions.d.ts",documentFiltersExclusive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentFiltersExclusive.d.ts",documentPaste:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentPaste.d.ts",dropMetadata:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.dropMetadata.d.ts",editSessionIdentityProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editSessionIdentityProvider.d.ts",editorInsets:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorInsets.d.ts",envCollectionOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.envCollectionOptions.d.ts",envCollectionWorkspace:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.envCollectionWorkspace.d.ts",envShellEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.envShellEvent.d.ts",extensionRuntime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionRuntime.d.ts",extensionsAny:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionsAny.d.ts",externalUriOpener:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.externalUriOpener.d.ts",fileComments:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileComments.d.ts",fileSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileSearchProvider.d.ts",findTextInFiles:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findTextInFiles.d.ts",formatMultipleRanges:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.formatMultipleRanges.d.ts",fsChunks:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fsChunks.d.ts",handleIssueUri:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.handleIssueUri.d.ts",idToken:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.idToken.d.ts",indentSize:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.indentSize.d.ts",inlineCompletionsAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsAdditions.d.ts",interactive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactive.d.ts",interactiveSlashCommands:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveSlashCommands.d.ts",interactiveUserActions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveUserActions.d.ts",interactiveWindow:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveWindow.d.ts",ipc:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.ipc.d.ts",notebookCellExecutionState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecutionState.d.ts",notebookCodeActions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCodeActions.d.ts",notebookControllerAffinityHidden:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookControllerAffinityHidden.d.ts",notebookDeprecated:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDeprecated.d.ts",notebookExecution:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookExecution.d.ts",notebookKernelSource:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookKernelSource.d.ts",notebookLiveShare:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookLiveShare.d.ts",notebookMessaging:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMessaging.d.ts",notebookMime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMime.d.ts",portsAttributes:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.portsAttributes.d.ts",profileContentHandlers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.profileContentHandlers.d.ts",quickDiffProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickDiffProvider.d.ts",quickPickItemIcon:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickItemIcon.d.ts",quickPickItemTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickItemTooltip.d.ts",quickPickSortByLabel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickSortByLabel.d.ts",readonlyMessage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.readonlyMessage.d.ts",resolvers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.resolvers.d.ts",saveEditor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.saveEditor.d.ts",scmActionButton:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmActionButton.d.ts",scmSelectedProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmSelectedProvider.d.ts",scmTextDocument:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmTextDocument.d.ts",scmValidation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmValidation.d.ts",semanticSimilarity:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.semanticSimilarity.d.ts",shareProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.shareProvider.d.ts",showLocal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.showLocal.d.ts",tabInputTextMerge:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tabInputTextMerge.d.ts",taskPresentationGroup:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.taskPresentationGroup.d.ts",telemetry:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetry.d.ts",terminalDataWriteEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDataWriteEvent.d.ts",terminalDimensions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDimensions.d.ts",terminalQuickFixProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalQuickFixProvider.d.ts",testCoverage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testCoverage.d.ts",testInvalidateResults:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testInvalidateResults.d.ts",testObserver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testObserver.d.ts",textSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textSearchProvider.d.ts",timeline:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.timeline.d.ts",tokenInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tokenInformation.d.ts",treeViewReveal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewReveal.d.ts",tunnels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnels.d.ts",windowActivity:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.windowActivity.d.ts",workspaceTrust:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts"})}),define(De[270],Ce([1,0,209,8,40,125,100,42,25,269,229,131]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jF=e.$iF=e.$hF=e.$gF=e.$fF=e.$eF=void 0;const v=g.$Pm.as(R.$Qm.JSONContribution);class D{constructor(E,n,o){this.a=E,this.b=n,this.c=o}d(E,n){this.a({type:E,message:n,extensionId:this.b.identifier,extensionPointId:this.c})}error(E){this.d(h.default.Error,E)}warn(E){this.d(h.default.Warning,E)}info(E){this.d(h.default.Info,E)}}e.$eF=D;class C{static a(E){const n=new k.$El;for(let o=0,s=E.length;o<s;o++)n.add(E[o].description.identifier);return n}static compute(E,n){if(!E||!E.length)return new C(n,[]);if(!n||!n.length)return new C([],E);const o=this.a(E),s=this.a(n),t=n.filter($=>!o.has($.description.identifier)),u=E.filter($=>!s.has($.description.identifier));return new C(t,u)}constructor(E,n){this.added=E,this.removed=n}}e.$fF=C;class w{constructor(E,n){this.name=E,this.defaultExtensionKind=n,this.a=null,this.b=null,this.c=null}setHandler(E){if(this.a!==null)throw new Error("Handler already set!");this.a=E,this.d()}acceptUsers(E){this.c=C.compute(this.b,E),this.b=E,this.d()}d(){if(!(this.a===null||this.b===null||this.c===null))try{this.a(this.b,this.c)}catch(E){(0,A.$X)(E)}}}e.$gF=w;const i={type:"string",enum:["ui","workspace"],enumDescriptions:[b.localize(0,null),b.localize(1,null)]},l="vscode://schemas/vscode-extensions";e.$hF={properties:{engines:{type:"object",description:b.localize(2,null),properties:{vscode:{type:"string",description:b.localize(3,null),default:"^1.22.0"}}},publisher:{description:b.localize(4,null),type:"string"},displayName:{description:b.localize(5,null),type:"string"},categories:{description:b.localize(6,null),type:"array",uniqueItems:!0,items:{oneOf:[{type:"string",enum:k.$Cl},{type:"string",const:"Languages",deprecationMessage:b.localize(7,null)}]}},galleryBanner:{type:"object",description:b.localize(8,null),properties:{color:{description:b.localize(9,null),type:"string"},theme:{description:b.localize(10,null),type:"string",enum:["dark","light"]}}},contributes:{description:b.localize(11,null),type:"object",properties:{},default:{}},preview:{type:"boolean",description:b.localize(12,null)},enableProposedApi:{type:"boolean",deprecationMessage:b.localize(13,null)},enabledApiProposals:{markdownDescription:b.localize(14,null),type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(m.allApiProposals),markdownEnumDescriptions:Object.values(m.allApiProposals)}},api:{markdownDescription:b.localize(15,null),type:"string",enum:["none"],enumDescriptions:[b.localize(16,null)]},activationEvents:{description:b.localize(17,null),type:"array",items:{type:"string",defaultSnippets:[{label:"onWebviewPanel",description:b.localize(18,null),body:"onWebviewPanel:viewType"},{label:"onLanguage",description:b.localize(19,null),body:"onLanguage:${1:languageId}"},{label:"onCommand",description:b.localize(20,null),body:"onCommand:${2:commandId}"},{label:"onDebug",description:b.localize(21,null),body:"onDebug"},{label:"onDebugInitialConfigurations",description:b.localize(22,null),body:"onDebugInitialConfigurations"},{label:"onDebugDynamicConfigurations",description:b.localize(23,null),body:"onDebugDynamicConfigurations"},{label:"onDebugResolve",description:b.localize(24,null),body:"onDebugResolve:${6:type}"},{label:"onDebugAdapterProtocolTracker",description:b.localize(25,null),body:"onDebugAdapterProtocolTracker:${6:type}"},{label:"workspaceContains",description:b.localize(26,null),body:"workspaceContains:${4:filePattern}"},{label:"onStartupFinished",description:b.localize(27,null),body:"onStartupFinished"},{label:"onTaskType",description:b.localize(28,null),body:"onTaskType:${1:taskType}"},{label:"onFileSystem",description:b.localize(29,null),body:"onFileSystem:${1:scheme}"},{label:"onEditSession",description:b.localize(30,null),body:"onEditSession:${1:scheme}"},{label:"onSearch",description:b.localize(31,null),body:"onSearch:${7:scheme}"},{label:"onView",body:"onView:${5:viewId}",description:b.localize(32,null)},{label:"onUri",body:"onUri",description:b.localize(33,null)},{label:"onOpenExternalUri",body:"onOpenExternalUri",description:b.localize(34,null)},{label:"onCustomEditor",body:"onCustomEditor:${9:viewType}",description:b.localize(35,null)},{label:"onNotebook",body:"onNotebook:${1:type}",description:b.localize(36,null)},{label:"onAuthenticationRequest",body:"onAuthenticationRequest:${11:authenticationProviderId}",description:b.localize(37,null)},{label:"onRenderer",description:b.localize(38,null),body:"onRenderer:${11:rendererId}"},{label:"onTerminalProfile",body:"onTerminalProfile:${1:terminalId}",description:b.localize(39,null)},{label:"onTerminalQuickFixRequest",body:"onTerminalQuickFixRequest:${1:quickFixId}",description:b.localize(40,null)},{label:"onWalkthrough",body:"onWalkthrough:${1:walkthroughID}",description:b.localize(41,null)},{label:"*",description:b.localize(42,null),body:"*"}]}},badges:{type:"array",description:b.localize(43,null),items:{type:"object",required:["url","href","description"],properties:{url:{type:"string",description:b.localize(44,null)},href:{type:"string",description:b.localize(45,null)},description:{type:"string",description:b.localize(46,null)}}}},markdown:{type:"string",description:b.localize(47,null),enum:["github","standard"],default:"github"},qna:{default:"marketplace",description:b.localize(48,null),anyOf:[{type:["string","boolean"],enum:["marketplace",!1]},{type:"string"}]},extensionDependencies:{description:b.localize(49,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:F.$zn}},extensionPack:{description:b.localize(50,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:F.$zn}},extensionKind:{description:b.localize(51,null),type:"array",items:i,default:["workspace"],defaultSnippets:[{body:["ui"],description:b.localize(52,null)},{body:["workspace"],description:b.localize(53,null)},{body:["ui","workspace"],description:b.localize(54,null)},{body:["workspace","ui"],description:b.localize(55,null)},{body:[],description:b.localize(56,null)}]},capabilities:{description:b.localize(57,null),type:"object",properties:{virtualWorkspaces:{description:b.localize(58,null),type:["boolean","object"],defaultSnippets:[{label:"limited",body:{supported:"${1:limited}",description:"${2}"}},{label:"false",body:{supported:!1,description:"${2}"}}],default:(!0).valueOf,properties:{supported:{markdownDescription:b.localize(59,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[b.localize(60,null),b.localize(61,null),b.localize(62,null)]},description:{type:"string",markdownDescription:b.localize(63,null)}}},untrustedWorkspaces:{description:b.localize(64,null),type:"object",required:["supported"],defaultSnippets:[{body:{supported:"${1:limited}",description:"${2}"}}],properties:{supported:{markdownDescription:b.localize(65,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[b.localize(66,null),b.localize(67,null),b.localize(68,null)]},restrictedConfigurations:{description:b.localize(69,null),type:"array",items:{type:"string"}},description:{type:"string",markdownDescription:b.localize(70,null)}}}}},sponsor:{description:b.localize(71,null),type:"object",defaultSnippets:[{body:{url:"${1:https:}"}}],properties:{url:{description:b.localize(72,null),type:"string"}}},scripts:{type:"object",properties:{"vscode:prepublish":{description:b.localize(73,null),type:"string"},"vscode:uninstall":{description:b.localize(74,null),type:"string"}}},icon:{type:"string",description:b.localize(75,null)},l10n:{type:"string",description:b.localize(76,null)}}};class a{constructor(){this.a=new Map}registerExtensionPoint(E){if(this.a.has(E.extensionPoint))throw new Error("Duplicate extension point: "+E.extensionPoint);const n=new w(E.extensionPoint,E.defaultExtensionKind);return this.a.set(E.extensionPoint,n),E.activationEventsGenerator&&I.$VE.register(E.extensionPoint,E.activationEventsGenerator),e.$hF.properties.contributes.properties[E.extensionPoint]=E.jsonSchema,v.registerSchema(l,e.$hF),n}getExtensionPoints(){return Array.from(this.a.values())}}e.$iF=a;const p={ExtensionsRegistry:"ExtensionsRegistry"};g.$Pm.add(p.ExtensionsRegistry,new a),e.$jF=g.$Pm.as(p.ExtensionsRegistry),v.registerSchema(l,e.$hF),v.registerSchema(L.$7i,{properties:{extensionEnabledApiProposals:{description:b.localize(77,null),type:"object",properties:{},additionalProperties:{anyOf:[{type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(m.allApiProposals),markdownEnumDescriptions:Object.values(m.allApiProposals)}}]}}}})}),define(De[271],Ce([1,0,206,12,24,270,47,3]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sF=void 0;const k={type:"object",additionalProperties:!1,properties:{type:{type:"string",description:b.localize(0,null)},required:{type:"array",items:{type:"string"}},properties:{type:"object",description:b.localize(1,null),additionalProperties:{$ref:"http://json-schema.org/draft-07/schema#"}},when:{type:"string",markdownDescription:b.localize(2,null),default:""}}};var m;(function(v){function D(C,w,i){if(!C)return;const l=A.$ge(C.type)?C.type:void 0;if(!l||l.length===0){i.error(b.localize(3,null));return}const a=[];if(Array.isArray(C.required))for(const p of C.required)A.$ge(p)&&a.push(p);return{extensionId:w.value,taskType:l,required:a,properties:C.properties?h.$Dm(C.properties):{},when:C.when?R.$ri.deserialize(C.when):void 0}}v.from=D})(m||(m={}));const L=F.$jF.registerExtensionPoint({extensionPoint:"taskDefinitions",activationEventsGenerator:(v,D)=>{for(const C of v)C.type&&D.push(`onTaskType:${C.type}`)},jsonSchema:{description:b.localize(4,null),type:"array",items:k}});class I{constructor(){this.d=new g.$5c,this.onDefinitionsChanged=this.d.event,this.a=Object.create(null),this.b=new Promise((D,C)=>{L.setHandler((w,i)=>{this.c=void 0;try{for(const l of i.removed){const a=l.value;for(const p of a)this.a&&p.type&&this.a[p.type]&&delete this.a[p.type]}for(const l of i.added){const a=l.value;for(const p of a){const f=m.from(p,l.description.identifier,l.collector);f&&(this.a[f.taskType]=f)}}(i.removed.length>0||i.added.length>0)&&this.d.fire()}catch{}D(void 0)})})}onReady(){return this.b}get(D){return this.a[D]}all(){return Object.keys(this.a).map(D=>this.a[D])}getJsonSchema(){if(this.c===void 0){const D=[];for(const C of this.all()){const w={type:"object",additionalProperties:!1};C.required.length>0&&(w.required=C.required.slice(0)),C.properties!==void 0?w.properties=h.$Dm(C.properties):w.properties=Object.create(null),w.properties.type={type:"string",enum:[C.taskType]},D.push(w)}this.c={oneOf:D}}return this.c}}e.$sF=new I}),define(De[272],Ce([1,0,207,12,23,24,47,271]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinition=e.TasksSchemaProperties=e.TaskSettingId=e.KeyedTaskIdentifier=e.TaskEvent=e.TaskRunSource=e.TaskRunType=e.TaskEventKind=e.$CF=e.JsonSchemaVersion=e.ExecutionEngine=e.$BF=e.$AF=e.$zF=e.$yF=e.$xF=e.RunOptions=e.RunOnOptions=e.DependsOrder=e.TaskSourceKind=e.TaskScope=e.TaskGroup=e.CommandString=e.RuntimeType=e.PresentationOptions=e.PanelKind=e.RevealProblemKind=e.RevealKind=e.CommandOptions=e.$wF=e.ShellQuoting=e.$vF=e.$uF=e.$tF=void 0,e.$tF="settings",e.$uF=new R.$Ki("taskRunning",!1,b.localize(0,null)),e.$vF={value:b.localize(1,null),original:"Tasks"};var k;(function(O){O[O.Escape=1]="Escape",O[O.Strong=2]="Strong",O[O.Weak=3]="Weak"})(k||(e.ShellQuoting=k={})),e.$wF="$customized",function(O){function J(z){if(!z)return O.Strong;switch(z.toLowerCase()){case"escape":return O.Escape;case"strong":return O.Strong;case"weak":return O.Weak;default:return O.Strong}}O.from=J}(k||(e.ShellQuoting=k={}));var m;(function(O){O.defaults={cwd:"${workspaceFolder}"}})(m||(e.CommandOptions=m={}));var L;(function(O){O[O.Always=1]="Always",O[O.Silent=2]="Silent",O[O.Never=3]="Never"})(L||(e.RevealKind=L={})),function(O){function J(z){switch(z.toLowerCase()){case"always":return O.Always;case"silent":return O.Silent;case"never":return O.Never;default:return O.Always}}O.fromString=J}(L||(e.RevealKind=L={}));var I;(function(O){O[O.Never=1]="Never",O[O.OnProblem=2]="OnProblem",O[O.Always=3]="Always"})(I||(e.RevealProblemKind=I={})),function(O){function J(z){switch(z.toLowerCase()){case"always":return O.Always;case"never":return O.Never;case"onproblem":return O.OnProblem;default:return O.OnProblem}}O.fromString=J}(I||(e.RevealProblemKind=I={}));var v;(function(O){O[O.Shared=1]="Shared",O[O.Dedicated=2]="Dedicated",O[O.New=3]="New"})(v||(e.PanelKind=v={})),function(O){function J(z){switch(z.toLowerCase()){case"shared":return O.Shared;case"dedicated":return O.Dedicated;case"new":return O.New;default:return O.Shared}}O.fromString=J}(v||(e.PanelKind=v={}));var D;(function(O){O.defaults={echo:!0,reveal:L.Always,revealProblems:I.Never,focus:!1,panel:v.Shared,showReuseMessage:!0,clear:!1}})(D||(e.PresentationOptions=D={}));var C;(function(O){O[O.Shell=1]="Shell",O[O.Process=2]="Process",O[O.CustomExecution=3]="CustomExecution"})(C||(e.RuntimeType=C={})),function(O){function J(j){switch(j.toLowerCase()){case"shell":return O.Shell;case"process":return O.Process;case"customExecution":return O.CustomExecution;default:return O.Process}}O.fromString=J;function z(j){switch(j){case O.Shell:return"shell";case O.Process:return"process";case O.CustomExecution:return"customExecution";default:return"process"}}O.toString=z}(C||(e.RuntimeType=C={}));var w;(function(O){function J(z){return A.$ge(z)?z:z.value}O.value=J})(w||(e.CommandString=w={}));var i;(function(O){O.Clean={_id:"clean",isDefault:!1},O.Build={_id:"build",isDefault:!1},O.Rebuild={_id:"rebuild",isDefault:!1},O.Test={_id:"test",isDefault:!1};function J(j){return j===O.Clean._id||j===O.Build._id||j===O.Rebuild._id||j===O.Test._id}O.is=J;function z(j){if(j!==void 0)return A.$ge(j)?J(j)?{_id:j,isDefault:!1}:void 0:j}O.from=z})(i||(e.TaskGroup=i={}));var l;(function(O){O[O.Global=1]="Global",O[O.Workspace=2]="Workspace",O[O.Folder=3]="Folder"})(l||(e.TaskScope=l={}));var a;(function(O){O.Workspace="workspace",O.Extension="extension",O.InMemory="inMemory",O.WorkspaceFile="workspaceFile",O.User="user";function J(z){switch(z){case O.User:return 2;case O.WorkspaceFile:return 5;default:return 6}}O.toConfigurationTarget=J})(a||(e.TaskSourceKind=a={}));var p;(function(O){O.parallel="parallel",O.sequence="sequence"})(p||(e.DependsOrder=p={}));var f;(function(O){O[O.default=1]="default",O[O.folderOpen=2]="folderOpen"})(f||(e.RunOnOptions=f={}));var E;(function(O){O.defaults={reevaluateOnRerun:!0,runOn:f.default,instanceLimit:1}})(E||(e.RunOptions=E={}));class n{constructor(J,z,j,he,ie,ne){this._label="",this._id=J,z&&(this._label=z),j&&(this.type=j),this.runOptions=he,this.configurationProperties=ie,this._source=ne}getDefinition(J){}getMapKey(){return this._id}getRecentlyUsedKey(){}getCommonTaskId(){const J={folder:this.d(),id:this._id};return JSON.stringify(J)}clone(){return this.f(Object.assign({},this))}getWorkspaceFolder(){}getWorkspaceFileName(){}getTelemetryKind(){return"unknown"}matches(J,z=!1){if(J===void 0)return!1;if(A.$ge(J))return J===this._label||J===this.configurationProperties.identifier||z&&J===this._id;const j=this.getDefinition(!0);return j!==void 0&&j._key===J._key}getQualifiedLabel(){const J=this.getWorkspaceFolder();return J?`${this._label} (${J.name})`:this._label}getTaskExecution(){return{id:this._id,task:this}}addTaskLoadMessages(J){this.c===void 0&&(this.c=[]),J&&(this.c=this.c.concat(J))}get taskLoadMessages(){return this.c}}e.$xF=n;class o extends n{constructor(J,z,j,he,ie,ne,V,H){super(J,j,void 0,V,H,z),this.command={},this._source=z,this.hasDefinedMatchers=ne,ie&&(this.command=ie)}clone(){return new o(this._id,this._source,this._label,this.type,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}customizes(){if(this._source&&this._source.customizes)return this._source.customizes}getDefinition(J=!1){if(J&&this._source.customizes!==void 0)return this._source.customizes;{let z;switch(this.command?this.command.runtime:void 0){case C.Shell:z="shell";break;case C.Process:z="process";break;case C.CustomExecution:z="customExecution";break;case void 0:z="$composite";break;default:throw new Error("Unexpected task runtime")}return{type:z,_key:this._id,id:this._id}}}static is(J){return J instanceof o}getMapKey(){const J=this._source.config.workspaceFolder;return J?`${J.uri.toString()}|${this._id}|${this.instance}`:`${this._id}|${this.instance}`}d(){return this._source.kind===a.User?e.$tF:this._source.config.workspaceFolder?.uri.toString()}getCommonTaskId(){return this._source.customizes?super.getCommonTaskId():this.getRecentlyUsedKey()??super.getCommonTaskId()}getRecentlyUsedKey(){const J=this.d();if(!J)return;let z=this.configurationProperties.identifier;this._source.kind!==a.Workspace&&(z+=this._source.kind);const j={type:e.$wF,folder:J,id:z};return JSON.stringify(j)}getWorkspaceFolder(){return this._source.config.workspaceFolder}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?h.$3f(this._source.config.workspace.configuration):void 0}getTelemetryKind(){return this._source.customizes?"workspace>extension":"workspace"}f(J){return new o(J._id,J._source,J._label,J.type,J.command,J.hasDefinedMatchers,J.runOptions,J.configurationProperties)}}e.$yF=o;class s extends n{constructor(J,z,j,he,ie,ne,V){super(J,j,he,ne,V,z),this._source=z,this.configures=ie}static is(J){return J instanceof s}f(J){return J}getDefinition(){return this.configures}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?h.$3f(this._source.config.workspace.configuration):void 0}getWorkspaceFolder(){return this._source.config.workspaceFolder}d(){return this._source.kind===a.User?e.$tF:this._source.config.workspaceFolder?.uri.toString()}getRecentlyUsedKey(){const J=this.d();if(!J)return;let z=this.configurationProperties.identifier;this._source.kind!==a.Workspace&&(z+=this._source.kind);const j={type:e.$wF,folder:J,id:z};return JSON.stringify(j)}}e.$zF=s;class t extends n{constructor(J,z,j,he,ie,ne,V,H,ce){super(J,j,he,H,ce,z),this.defines=ie,this.hasDefinedMatchers=V,this.command=ne,this.icon=ce.icon,this.hide=ce.hide}clone(){return new t(this._id,this._source,this._label,this.type,this.defines,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}getDefinition(){return this.defines}static is(J){return J instanceof t}getMapKey(){const J=this._source.workspaceFolder;return J?`${this._source.scope.toString()}|${J.uri.toString()}|${this._id}|${this.instance}`:`${this._source.scope.toString()}|${this._id}|${this.instance}`}d(){if(this._source.scope===3&&this._source.workspaceFolder)return this._source.workspaceFolder.uri.toString()}getRecentlyUsedKey(){const J={type:"contributed",scope:this._source.scope,id:this._id};return J.folder=this.d(),JSON.stringify(J)}getWorkspaceFolder(){return this._source.workspaceFolder}getTelemetryKind(){return"extension"}f(J){return new t(J._id,J._source,J._label,J.type,J.defines,J.command,J.hasDefinedMatchers,J.runOptions,J.configurationProperties)}}e.$AF=t;class u extends n{constructor(J,z,j,he,ie,ne){super(J,j,he,ie,ne,z),this._source=z}clone(){return new u(this._id,this._source,this._label,this.type,this.runOptions,this.configurationProperties)}static is(J){return J instanceof u}getTelemetryKind(){return"composite"}getMapKey(){return`${this._id}|${this.instance}`}d(){}f(J){return new u(J._id,J._source,J._label,J.type,J.runOptions,J.configurationProperties)}}e.$BF=u;var $;(function(O){O[O.Process=1]="Process",O[O.Terminal=2]="Terminal"})($||(e.ExecutionEngine=$={})),function(O){O._default=O.Terminal}($||(e.ExecutionEngine=$={}));var d;(function(O){O[O.V0_1_0=1]="V0_1_0",O[O.V2_0_0=2]="V2_0_0"})(d||(e.JsonSchemaVersion=d={}));class S{constructor(J){this.c=new Map;for(let z=0;z<J.length;z++)this.c.set(J[z].uri.toString(),z)}compare(J,z){const j=J.getWorkspaceFolder(),he=z.getWorkspaceFolder();if(j&&he){let ie=this.c.get(j.uri.toString());ie=ie===void 0?0:ie+1;let ne=this.c.get(he.uri.toString());return ne=ne===void 0?0:ne+1,ie===ne?J._label.localeCompare(z._label):ie-ne}else return!j&&he?-1:j&&!he?1:0}}e.$CF=S;var y;(function(O){O.DependsOnStarted="dependsOnStarted",O.AcquiredInput="acquiredInput",O.Start="start",O.ProcessStarted="processStarted",O.Active="active",O.Inactive="inactive",O.Changed="changed",O.Terminated="terminated",O.ProcessEnded="processEnded",O.End="end"})(y||(e.TaskEventKind=y={}));var c;(function(O){O.SingleRun="singleRun",O.Background="background"})(c||(e.TaskRunType=c={}));var r;(function(O){O[O.System=0]="System",O[O.User=1]="User",O[O.FolderOpen=2]="FolderOpen",O[O.ConfigurationChange=3]="ConfigurationChange",O[O.Reconnect=4]="Reconnect"})(r||(e.TaskRunSource=r={}));var P;(function(O){function J(z,j,he,ie){if(j){const ne={kind:z,taskId:j._id,taskName:j.configurationProperties.name,runType:j.configurationProperties.isBackground?"background":"singleRun",group:j.configurationProperties.group,processId:void 0,exitCode:void 0,terminalId:he,__task:j};return z==="start"?ne.resolvedVariables=ie:z==="processStarted"?ne.processId=ie:z==="processEnded"&&(ne.exitCode=ie),Object.freeze(ne)}else return Object.freeze({kind:"changed"})}O.create=J})(P||(e.TaskEvent=P={}));var N;(function(O){function J(j){const he=Object.keys(j).sort();let ie="";for(const ne of he){let V=j[ne];V instanceof Object?V=J(V):typeof V=="string"&&(V=V.replace(/,/g,",,")),ie+=ne+","+V+","}return ie}function z(j){const ie={_key:J(j),type:j.taskType};return Object.assign(ie,j),ie}O.create=z})(N||(e.KeyedTaskIdentifier=N={}));var U;(function(O){O.AutoDetect="task.autoDetect",O.SaveBeforeRun="task.saveBeforeRun",O.ShowDecorations="task.showDecorations",O.ProblemMatchersNeverPrompt="task.problemMatchers.neverPrompt",O.SlowProviderWarning="task.slowProviderWarning",O.QuickOpenHistory="task.quickOpen.history",O.QuickOpenDetail="task.quickOpen.detail",O.QuickOpenSkip="task.quickOpen.skip",O.QuickOpenShowAll="task.quickOpen.showAll",O.AllowAutomaticTasks="task.allowAutomaticTasks",O.Reconnection="task.reconnection"})(U||(e.TaskSettingId=U={}));var q;(function(O){O.Tasks="tasks",O.SuppressTaskName="tasks.suppressTaskName",O.Windows="tasks.windows",O.Osx="tasks.osx",O.Linux="tasks.linux",O.ShowOutput="tasks.showOutput",O.IsShellCommand="tasks.isShellCommand",O.ServiceTestSetting="tasks.service.testSetting"})(q||(e.TasksSchemaProperties=q={}));var W;(function(O){function J(z,j){const he=g.$sF.get(z.type);if(he===void 0){const H=F.$Dm(z);return delete H._key,N.create(H)}const ie=Object.create(null);ie.type=he.taskType;const ne=new Set;he.required.forEach(H=>ne.add(H));const V=he.properties;for(const H of Object.keys(V)){const ce=z[H];if(ce!=null)ie[H]=ce;else if(ne.has(H)){const pe=V[H];if(pe.default!==void 0)ie[H]=F.$Dm(pe.default);else switch(pe.type){case"boolean":ie[H]=!1;break;case"number":case"integer":ie[H]=0;break;case"string":ie[H]="";break;default:j.error(b.localize(2,null,JSON.stringify(z,void 0,0),H));return}}}return N.create(ie)}O.createTaskIdentifier=J})(W||(e.TaskDefinition=W={}))}),define(De[273],Ce([1,0,8]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uZb=e.$tZb=void 0;class A{constructor(){this.a=null,this.b=null,this.d=null,this.f=!1,this.g=null,this.h=!1,this.i=null}get[Symbol.toStringTag](){return this.toString()}j(){return this.a||(this.a=new Promise((R,g)=>{this.b=R,this.d=g,this.f&&this.b(this.g),this.h&&this.d(this.i)})),this.a}resolveOk(R){this.f||this.h||(this.f=!0,this.g=R,this.a&&this.b(R))}resolveErr(R){this.f||this.h||(this.h=!0,this.i=R,this.a?this.d(R):(0,b.$X)(R))}then(R,g){return this.j().then(R,g)}catch(R){return this.j().then(void 0,R)}finally(R){return this.j().finally(R)}}e.$tZb=A;class h extends A{constructor(){super(),this.h=!0,this.i=new b.$2}}e.$uZb=h}),define(De[61],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mz=e.$Lz=e.$Kz=e.$Jz=void 0;class b{constructor(k){this._proxyIdentifierBrand=void 0,this.sid=k,this.nid=++b.count}}e.$Jz=b,b.count=0;const A=[];function h(g){const k=new b(g);return A[k.nid]=k,k}e.$Kz=h;function F(g){return A[g].sid}e.$Lz=F;class R{constructor(k){this.value=k}}e.$Mz=R}),define(De[6],Ce([1,0,61]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_I=e.$$I=e.ExtHostTestingResource=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.$0I=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var A;(function(w){w[w.Default=0]="Default",w[w.InCenter=1]="InCenter",w[w.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",w[w.AtTop=3]="AtTop"})(A||(e.TextEditorRevealType=A={}));var h;(function(w){w[w.UnknownInput=0]="UnknownInput",w[w.TextInput=1]="TextInput",w[w.TextDiffInput=2]="TextDiffInput",w[w.TextMergeInput=3]="TextMergeInput",w[w.NotebookInput=4]="NotebookInput",w[w.NotebookDiffInput=5]="NotebookDiffInput",w[w.CustomEditorInput=6]="CustomEditorInput",w[w.WebviewEditorInput=7]="WebviewEditorInput",w[w.TerminalEditorInput=8]="TerminalEditorInput",w[w.InteractiveEditorInput=9]="InteractiveEditorInput"})(h||(e.TabInputKind=h={}));var F;(function(w){w[w.TAB_OPEN=0]="TAB_OPEN",w[w.TAB_CLOSE=1]="TAB_CLOSE",w[w.TAB_UPDATE=2]="TAB_UPDATE",w[w.TAB_MOVE=3]="TAB_MOVE"})(F||(e.TabModelOperationKind=F={}));var R;(function(w){w[w.Editable=0]="Editable",w[w.SupportsHotExit=1]="SupportsHotExit"})(R||(e.WebviewEditorCapabilities=R={}));var g;(function(w){w[w.Int8Array=1]="Int8Array",w[w.Uint8Array=2]="Uint8Array",w[w.Uint8ClampedArray=3]="Uint8ClampedArray",w[w.Int16Array=4]="Int16Array",w[w.Uint16Array=5]="Uint16Array",w[w.Int32Array=6]="Int32Array",w[w.Uint32Array=7]="Uint32Array",w[w.Float32Array=8]="Float32Array",w[w.Float64Array=9]="Float64Array",w[w.BigInt64Array=10]="BigInt64Array",w[w.BigUint64Array=11]="BigUint64Array"})(g||(e.WebviewMessageArrayBufferViewType=g={}));var k;(function(w){w[w.Text=1]="Text",w[w.Error=2]="Error",w[w.Rich=3]="Rich"})(k||(e.CellOutputKind=k={}));var m;(function(w){w[w.Default=0]="Default",w[w.InCenter=1]="InCenter",w[w.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",w[w.AtTop=3]="AtTop"})(m||(e.NotebookEditorRevealType=m={}));var L;(function(w){w[w.None=0]="None",w[w.Process=1]="Process",w[w.Output=2]="Output"})(L||(e.CandidatePortSource=L={}));class I{static mixin(i){return i._id=I.a++,i}}e.$0I=I,I.a=0;var v;(function(w){w.label="a",w.kind="b",w.detail="c",w.documentation="d",w.sortText="e",w.filterText="f",w.preselect="g",w.insertText="h",w.insertTextRules="i",w.range="j",w.commitCharacters="k",w.additionalTextEdits="l",w.kindModifier="m",w.commandIdent="n",w.commandId="o",w.commandArguments="p"})(v||(e.ISuggestDataDtoField=v={}));var D;(function(w){w.defaultRanges="a",w.completions="b",w.isIncomplete="c",w.duration="d"})(D||(e.ISuggestResultDtoField=D={}));var C;(function(w){w[w.Workspace=0]="Workspace",w[w.TextDocument=1]="TextDocument"})(C||(e.ExtHostTestingResource=C={})),e.$$I={MainThreadAuthentication:(0,b.$Kz)("MainThreadAuthentication"),MainThreadBulkEdits:(0,b.$Kz)("MainThreadBulkEdits"),MainThreadClipboard:(0,b.$Kz)("MainThreadClipboard"),MainThreadCommands:(0,b.$Kz)("MainThreadCommands"),MainThreadComments:(0,b.$Kz)("MainThreadComments"),MainThreadConfiguration:(0,b.$Kz)("MainThreadConfiguration"),MainThreadConsole:(0,b.$Kz)("MainThreadConsole"),MainThreadDebugService:(0,b.$Kz)("MainThreadDebugService"),MainThreadDecorations:(0,b.$Kz)("MainThreadDecorations"),MainThreadDiagnostics:(0,b.$Kz)("MainThreadDiagnostics"),MainThreadDialogs:(0,b.$Kz)("MainThreadDiaglogs"),MainThreadDocuments:(0,b.$Kz)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,b.$Kz)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,b.$Kz)("MainThreadTextEditors"),MainThreadEditorInsets:(0,b.$Kz)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,b.$Kz)("MainThreadEditorTabs"),MainThreadErrors:(0,b.$Kz)("MainThreadErrors"),MainThreadTreeViews:(0,b.$Kz)("MainThreadTreeViews"),MainThreadDownloadService:(0,b.$Kz)("MainThreadDownloadService"),MainThreadKeytar:(0,b.$Kz)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,b.$Kz)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,b.$Kz)("MainThreadLanguages"),MainThreadLogger:(0,b.$Kz)("MainThreadLogger"),MainThreadMessageService:(0,b.$Kz)("MainThreadMessageService"),MainThreadOutputService:(0,b.$Kz)("MainThreadOutputService"),MainThreadProgress:(0,b.$Kz)("MainThreadProgress"),MainThreadQuickDiff:(0,b.$Kz)("MainThreadQuickDiff"),MainThreadQuickOpen:(0,b.$Kz)("MainThreadQuickOpen"),MainThreadStatusBar:(0,b.$Kz)("MainThreadStatusBar"),MainThreadSecretState:(0,b.$Kz)("MainThreadSecretState"),MainThreadStorage:(0,b.$Kz)("MainThreadStorage"),MainThreadTelemetry:(0,b.$Kz)("MainThreadTelemetry"),MainThreadTerminalService:(0,b.$Kz)("MainThreadTerminalService"),MainThreadWebviews:(0,b.$Kz)("MainThreadWebviews"),MainThreadWebviewPanels:(0,b.$Kz)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,b.$Kz)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,b.$Kz)("MainThreadCustomEditors"),MainThreadUrls:(0,b.$Kz)("MainThreadUrls"),MainThreadUriOpeners:(0,b.$Kz)("MainThreadUriOpeners"),MainThreadProfileContentHandlers:(0,b.$Kz)("MainThreadProfileContentHandlers"),MainThreadWorkspace:(0,b.$Kz)("MainThreadWorkspace"),MainThreadFileSystem:(0,b.$Kz)("MainThreadFileSystem"),MainThreadExtensionService:(0,b.$Kz)("MainThreadExtensionService"),MainThreadSCM:(0,b.$Kz)("MainThreadSCM"),MainThreadSearch:(0,b.$Kz)("MainThreadSearch"),MainThreadShare:(0,b.$Kz)("MainThreadShare"),MainThreadTask:(0,b.$Kz)("MainThreadTask"),MainThreadWindow:(0,b.$Kz)("MainThreadWindow"),MainThreadLabelService:(0,b.$Kz)("MainThreadLabelService"),MainThreadNotebook:(0,b.$Kz)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,b.$Kz)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,b.$Kz)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,b.$Kz)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,b.$Kz)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,b.$Kz)("MainThreadInteractive"),MainThreadChat:(0,b.$Kz)("MainThreadChat"),MainThreadInlineChat:(0,b.$Kz)("MainThreadInlineChatShape"),MainThreadTheming:(0,b.$Kz)("MainThreadTheming"),MainThreadTunnelService:(0,b.$Kz)("MainThreadTunnelService"),MainThreadManagedSockets:(0,b.$Kz)("MainThreadManagedSockets"),MainThreadTimeline:(0,b.$Kz)("MainThreadTimeline"),MainThreadTesting:(0,b.$Kz)("MainThreadTesting"),MainThreadLocalization:(0,b.$Kz)("MainThreadLocalizationShape"),MainThreadSemanticSimilarity:(0,b.$Kz)("MainThreadSemanticSimilarity"),MainThreadIssueReporter:(0,b.$Kz)("MainThreadIssueReporter")},e.$_I={ExtHostCommands:(0,b.$Kz)("ExtHostCommands"),ExtHostConfiguration:(0,b.$Kz)("ExtHostConfiguration"),ExtHostDiagnostics:(0,b.$Kz)("ExtHostDiagnostics"),ExtHostDebugService:(0,b.$Kz)("ExtHostDebugService"),ExtHostDecorations:(0,b.$Kz)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,b.$Kz)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,b.$Kz)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,b.$Kz)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,b.$Kz)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,b.$Kz)("ExtHostEditors"),ExtHostTreeViews:(0,b.$Kz)("ExtHostTreeViews"),ExtHostFileSystem:(0,b.$Kz)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,b.$Kz)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,b.$Kz)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,b.$Kz)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,b.$Kz)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,b.$Kz)("ExtHostQuickOpen"),ExtHostQuickDiff:(0,b.$Kz)("ExtHostQuickDiff"),ExtHostStatusBar:(0,b.$Kz)("ExtHostStatusBar"),ExtHostShare:(0,b.$Kz)("ExtHostShare"),ExtHostExtensionService:(0,b.$Kz)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,b.$Kz)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,b.$Kz)("ExtHostTerminalService"),ExtHostSCM:(0,b.$Kz)("ExtHostSCM"),ExtHostSearch:(0,b.$Kz)("ExtHostSearch"),ExtHostTask:(0,b.$Kz)("ExtHostTask"),ExtHostWorkspace:(0,b.$Kz)("ExtHostWorkspace"),ExtHostWindow:(0,b.$Kz)("ExtHostWindow"),ExtHostWebviews:(0,b.$Kz)("ExtHostWebviews"),ExtHostWebviewPanels:(0,b.$Kz)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,b.$Kz)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,b.$Kz)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,b.$Kz)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,b.$Kz)("ExtHostEditorTabs"),ExtHostProgress:(0,b.$Kz)("ExtHostProgress"),ExtHostComments:(0,b.$Kz)("ExtHostComments"),ExtHostSecretState:(0,b.$Kz)("ExtHostSecretState"),ExtHostStorage:(0,b.$Kz)("ExtHostStorage"),ExtHostUrls:(0,b.$Kz)("ExtHostUrls"),ExtHostUriOpeners:(0,b.$Kz)("ExtHostUriOpeners"),ExtHostProfileContentHandlers:(0,b.$Kz)("ExtHostProfileContentHandlers"),ExtHostOutputService:(0,b.$Kz)("ExtHostOutputService"),ExtHosLabelService:(0,b.$Kz)("ExtHostLabelService"),ExtHostNotebook:(0,b.$Kz)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,b.$Kz)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,b.$Kz)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,b.$Kz)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,b.$Kz)("ExtHostNotebookRenderers"),ExtHostNotebookDocumentSaveParticipant:(0,b.$Kz)("ExtHostNotebookDocumentSaveParticipant"),ExtHostInteractive:(0,b.$Kz)("ExtHostInteractive"),ExtHostInlineChat:(0,b.$Kz)("ExtHostInlineChatShape"),ExtHostChat:(0,b.$Kz)("ExtHostChat"),ExtHostSemanticSimilarity:(0,b.$Kz)("ExtHostSemanticSimilarity"),ExtHostTheming:(0,b.$Kz)("ExtHostTheming"),ExtHostTunnelService:(0,b.$Kz)("ExtHostTunnelService"),ExtHostManagedSockets:(0,b.$Kz)("ExtHostManagedSockets"),ExtHostAuthentication:(0,b.$Kz)("ExtHostAuthentication"),ExtHostTimeline:(0,b.$Kz)("ExtHostTimeline"),ExtHostTesting:(0,b.$Kz)("ExtHostTesting"),ExtHostTelemetry:(0,b.$Kz)("ExtHostTelemetry"),ExtHostLocalization:(0,b.$Kz)("ExtHostLocalization"),ExtHostIssueReporter:(0,b.$Kz)("ExtHostIssueReporter")}}),define(De[83],Ce([1,0,5,18,6,20]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$V0b=e.$U0b=e.$T0b=void 0,e.$T0b=(0,b.$lh)("IExtHostApiDeprecationService");let R=e.$U0b=class{constructor(k,m){this.c=m,this.a=new Set,this.b=k.getProxy(h.$$I.MainThreadTelemetry)}report(k,m,L){const I=this.d(k,m);this.a.has(I)||(this.a.add(I),m.isUnderDevelopment&&this.c.warn(`[Deprecation Warning] '${k}' is deprecated. ${L}`),this.b.$publicLog2("extHostDeprecatedApiUsage",{extensionId:m.identifier.value,apiId:k}))}d(k,m){return`${k}-${m.identifier.value}`}};e.$U0b=R=He([We(0,F.$aL),We(1,A.$Ni)],R),e.$V0b=Object.freeze(new class{report(g,k,m){}})}),define(De[274],Ce([1,0,3,6,7,25]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$p_b=void 0;class R{constructor(m){this.b=new Map,this.c=[],this.d=new b.$5c,this.onDidChangeSessions=this.d.event,this.f=new g,this.g=new g,this.a=m.getProxy(A.$$I.MainThreadAuthentication)}$setProviders(m){return this.c=m,Promise.resolve()}async getSession(m,L,I,v={}){const D=F.$Dl.toKey(m.identifier),C=[...I].sort().join(" ");return await this.f.getOrCreate(`${D} ${L} ${C}`,async()=>{await this.a.$ensureProvider(L);const w=m.displayName||m.name;return this.a.$getSession(L,I,D,w,v)})}async getSessions(m,L,I){const v=F.$Dl.toKey(m.identifier),D=[...I].sort().join(" ");return await this.g.getOrCreate(`${v} ${D}`,async()=>{await this.a.$ensureProvider(L);const C=m.displayName||m.name;return this.a.$getSessions(L,I,v,C)})}async removeSession(m,L){const I=this.b.get(m);return I?I.provider.removeSession(L):this.a.$removeSession(m,L)}registerAuthenticationProvider(m,L,I,v){if(this.b.get(m))throw new Error(`An authentication provider with id '${m}' is already registered.`);this.b.set(m,{label:L,provider:I,options:v??{supportsMultipleAccounts:!1}}),this.c.find(C=>C.id===m)||this.c.push({id:m,label:L});const D=I.onDidChangeSessions(C=>{this.a.$sendDidChangeSessions(m,{added:C.added??[],changed:C.changed??[],removed:C.removed??[]})});return this.a.$registerAuthenticationProvider(m,L,v?.supportsMultipleAccounts??!1),new h.$aJ(()=>{D.dispose(),this.b.delete(m);const C=this.c.findIndex(w=>w.id===m);C>-1&&this.c.splice(C),this.a.$unregisterAuthenticationProvider(m)})}$createSession(m,L,I){const v=this.b.get(m);if(v)return Promise.resolve(v.provider.createSession(L,I));throw new Error(`Unable to find authentication provider with handle: ${m}`)}$removeSession(m,L){const I=this.b.get(m);if(I)return Promise.resolve(I.provider.removeSession(L));throw new Error(`Unable to find authentication provider with handle: ${m}`)}$getSessions(m,L){const I=this.b.get(m);if(I)return Promise.resolve(I.provider.getSessions(L));throw new Error(`Unable to find authentication provider with handle: ${m}`)}$onDidChangeAuthenticationSessions(m,L){return this.d.fire({provider:{id:m,label:L}}),Promise.resolve()}}e.$p_b=R;class g{constructor(){this.a=new Map}getOrCreate(m,L){const I=this.a.get(m);if(I)return I;const v=L().finally(()=>this.a.delete(m));return this.a.set(m,v),v}}}),define(De[275],Ce([1,0,6,20,15]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$v_b=void 0;let F=e.$v_b=class{constructor(g,k){this.a=g.getProxy(b.$$I.MainThreadBulkEdits),this.b={getTextDocumentVersion:m=>k.getDocument(m)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(g,k,m){const L=h.WorkspaceEdit.from(g,this.b);return this.a.$tryApplyWorkspaceEdit(L,void 0,m?.isRefactoring??!1)}};e.$v_b=F=He([We(0,A.$aL)],F)}),define(De[276],Ce([1,0,3,48,4,39,12,188,6,15]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$J_b=void 0;class L{constructor(D,C){this.extension=D,this.provider=C,this.handle=L.a++}}L.a=0;class I{constructor(D,C){this.i=C,this.b=new Map,this.d=new Map,this.e=new Map,this.g=new b.$5c,this.onDidPerformUserAction=this.g.event,this.h=D.getProxy(k.$$I.MainThreadChat)}registerChatProvider(D,C,w){const i=new L(D,w);return this.b.set(i.handle,i),this.h.$registerChatProvider(i.handle,C),(0,h.$ib)(()=>{this.h.$unregisterChatProvider(i.handle),this.b.delete(i.handle)})}transferChatSession(D,C){const w=A.Iterable.find(this.e.keys(),i=>this.e.get(i)===D)??0;typeof w=="number"&&this.h.$transferChatSession(w,C)}addChatRequest(D){this.h.$addRequest(D)}sendInteractiveRequestToProvider(D,C){this.h.$sendRequestToProvider(D,C)}async $prepareChat(D,C,w){const i=this.b.get(D);if(!i)return;const l=await i.provider.prepareSession(C,w);if(!l)return;const a=I.a++;return this.e.set(a,l),{id:a,requesterUsername:l.requester?.name,requesterAvatarIconUri:l.requester?.icon,responderUsername:l.responder?.name,responderAvatarIconUri:l.responder?.icon,inputPlaceholder:l.inputPlaceholder}}async $resolveRequest(D,C,w,i){const l=this.b.get(D);if(!l)return;const a=this.e.get(C);if(!a||!l.provider.resolveRequest)return;const p=await l.provider.resolveRequest(a,w,i);if(p)return{message:typeof p.message=="string"?p.message:m.ChatReplyFollowup.from(p.message)}}async $provideWelcomeMessage(D,C){const w=this.b.get(D);if(!w||!w.provider.provideWelcomeMessage)return;const i=await w.provider.provideWelcomeMessage(C);if(i)return i.map(l=>typeof l=="string"?l:l.map(a=>m.ChatReplyFollowup.from(a)))}async $provideFollowups(D,C,w){const i=this.b.get(D);if(!i)return;const l=this.e.get(C);return!l||!i.provider.provideFollowups?void 0:(await i.provider.provideFollowups(l,w))?.map(p=>m.ChatFollowup.from(p))}$removeRequest(D,C,w){const i=this.b.get(D);if(!i)return;const l=this.e.get(C);l&&i.provider.removeRequest&&i.provider.removeRequest(l,w)}async $provideReply(D,C,w,i){const l=this.b.get(D);if(!l)return;const a=this.e.get(C);if(!a)return;const p={session:a,message:typeof w.message=="string"?w.message:m.ChatReplyFollowup.to(w.message)},f=F.$1c.create(!1);let E;const n={report:t=>{if(i.isCancellationRequested)return;typeof E>"u"&&(E=f.elapsed());const u="responseId"in t?{requestId:t.responseId}:t;this.h.$acceptResponseProgress(D,C,u)}};let o;try{o=await l.provider.provideResponseWithProgress(p,n,i),o||(o={errorDetails:{message:(0,g.localize)(0,null)}})}catch(t){o={errorDetails:{message:(0,g.localize)(1,null,t.message),responseIsIncomplete:!0}},this.i.error(t)}try{if(a.saveState&&this.e.has(C)){const t=a.saveState();this.h.$acceptChatState(C,t)}}catch(t){this.i.warn(t)}const s={firstProgress:E??0,totalElapsed:f.elapsed()};return{errorDetails:o.errorDetails,timings:s}}async $provideSlashCommands(D,C,w){const i=this.b.get(D);if(!i)return;const l=this.e.get(C);return!l||!i.provider.provideSlashCommands?void 0:(await i.provider.provideSlashCommands(l,w))?.map(p=>({...p,kind:m.CompletionItemKind.from(p.kind)}))}$releaseSession(D){this.e.delete(D)}async $onDidPerformUserAction(D){this.g.fire(D)}registerSlashCommandProvider(D,C,w){const i=new L(D,w);return this.d.set(i.handle,i),this.h.$registerSlashCommandProvider(i.handle,C),(0,h.$ib)(()=>{this.h.$unregisterSlashCommandProvider(i.handle),this.d.delete(i.handle)})}async $provideProviderSlashCommands(D,C){const w=this.d.get(D);return w?(await w.provider.provideSlashCommands(C))?.map(l=>({...l,kind:m.CompletionItemKind.from(l.kind)})):void 0}async $resolveSlashCommand(D,C,w){const i=this.d.get(D);if(!i)return;const l=await i.provider.resolveSlashCommand(C,w);return(0,R.$ye)(l)}}e.$J_b=I,I.a=0}),define(De[277],Ce([1,0,6]),function(re,e,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Y0b=void 0;class A{constructor(F){const R=F.getProxy(b.$$I.MainThreadClipboard);this.value=Object.freeze({readText(){return R.$readText()},writeText(g){return R.$writeText(g)}})}}e.$Y0b=A});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[36],Ce([1,0,12,7,15,24,6,19,18,73,35,56,2,4,5,20,139,22,61,45,39,79,82]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n){"use strict";var o,s,t;Object.defineProperty(e,"__esModule",{value:!0}),e.$AL=e.$zL=e.$yL=e.$xL=e.$wL=e.$vL=void 0;let u=e.$vL=class{constructor(r,P,N){o.set(this,void 0),this.b=new Map,this.c=new Map,s.set(this,void 0),t.set(this,void 0),Xe(this,o,r.getProxy(R.$$I.MainThreadCommands),"f"),this.d=P,Xe(this,t,N,"f"),Xe(this,s,r.getProxy(R.$$I.MainThreadTelemetry),"f"),this.converter=new $(this,U=>{const q=this.c.get(U);return q?.result===S.Void?q:void 0},P),this.f=[{processArgument(U){return(0,m.$Ug)(U)}},{processArgument(U){return(0,F.$Fm)(U,function(q){if(L.$Kr.isIRange(q))return h.Range.to(q);if(I.$Jr.isIPosition(q))return h.Position.to(q);if(L.$Kr.isIRange(q.range)&&v.URI.isUri(q.uri))return h.location.to(q);if(q instanceof l.$Ib)return q.buffer.buffer;if(!Array.isArray(q))return q})}}]}registerArgumentProcessor(r){this.f.push(r)}registerApiCommand(r){const P=this.registerCommand(!1,r.id,async(...N)=>{const U=r.args.map((W,O)=>{if(!W.validate(N[O]))throw new Error(`Invalid argument '${W.name}' when running '${r.id}', received: ${N[O]}`);return W.convert(N[O])}),q=await this.executeCommand(r.internalId,...U);return r.result.convert(q,N,this.converter)},void 0,{description:r.description,args:r.args,returns:r.result.description});return this.c.set(r.id,r),new A.$aJ(()=>{P.dispose(),this.c.delete(r.id)})}registerCommand(r,P,N,U,q,W){if(this.d.trace("ExtHostCommands#registerCommand",P),!P.trim().length)throw new Error("invalid id");if(this.b.has(P))throw new Error(`command '${P}' already exists`);return this.b.set(P,{callback:N,thisArg:U,description:q,extension:W}),r&&Te(this,o,"f").$registerCommand(P),new A.$aJ(()=>{this.b.delete(P)&&r&&Te(this,o,"f").$unregisterCommand(P)})}executeCommand(r,...P){return this.d.trace("ExtHostCommands#executeCommand",r),this.g(r,P,!0)}async g(r,P,N){if(this.b.has(r))return Te(this,o,"f").$fireCommandActivationEvent(r),this.h(r,P,!1);{let U=!1;const q=(0,F.$Fm)(P,function(W){if(W instanceof A.$bJ)return h.Position.from(W);if(W instanceof A.$cJ)return h.Range.from(W);if(W instanceof A.$mJ)return h.location.from(W);if(A.$yK.isNotebookRange(W))return h.NotebookRange.from(W);if(W instanceof ArrayBuffer)return U=!0,l.$Ib.wrap(new Uint8Array(W));if(W instanceof Uint8Array)return U=!0,l.$Ib.wrap(W);if(W instanceof l.$Ib)return U=!0,W;if(!Array.isArray(W))return W});try{const W=await Te(this,o,"f").$executeCommand(r,U?new a.$Mz(q):q,N);return(0,m.$Ug)(W)}catch(W){if(W instanceof Error&&W.message==="$executeCommand:retry")return this.g(r,P,!1);throw W}}}async h(r,P,N){const U=this.b.get(r);if(!U)throw new Error("Unknown command");const{callback:q,thisArg:W,description:O}=U;if(O)for(let z=0;z<O.args.length;z++)try{(0,b.$xe)(P[z],O.args[z].constraint)}catch{throw new Error(`Running the contributed command: '${r}' failed. Illegal argument '${O.args[z].name}' - ${O.args[z].description}`)}const J=f.$1c.create();try{return await q.apply(W,P)}catch(z){if(r===this.converter.delegatingCommandId){const j=this.converter.getActualCommand(...P);j&&(r=j.command)}if(this.d.error(z,r,U.extension?.identifier),!N)throw z;if(U.extension?.identifier){const j=Te(this,t,"f").onExtensionError(U.extension.identifier,z);this.d.trace("forwarded error to extension?",j,U.extension?.identifier)}throw new class extends Error{constructor(){super((0,p.$9h)(z)),this.id=r,this.source=U.extension?.displayName??U.extension?.name}}}finally{this.j(U,r,J.elapsed())}}j(r,P,N){r.extension&&Te(this,s,"f").$publicLog2("Extension:ActionExecuted",{extensionId:r.extension.identifier.value,id:new E.$Xn(P),duration:N})}$executeContributedCommand(r,...P){this.d.trace("ExtHostCommands#$executeContributedCommand",r);const N=this.b.get(r);return N?(P=P.map(U=>this.f.reduce((q,W)=>W.processArgument(q,N.extension?.identifier),U)),this.h(r,P,!0)):Promise.reject(new Error(`Contributed command '${r}' does not exist.`))}getCommands(r=!1){return this.d.trace("ExtHostCommands#getCommands",r),Te(this,o,"f").$getCommands().then(P=>(r&&(P=P.filter(N=>N[0]!=="_")),P))}$getContributedCommandHandlerDescriptions(){const r=Object.create(null);for(const[P,N]of this.b){const{description:U}=N;U&&(r[P]=U)}return Promise.resolve(r)}};o=new WeakMap,s=new WeakMap,t=new WeakMap,e.$vL=u=He([We(0,w.$aL),We(1,k.$Ni),We(2,n.$uL)],u),e.$wL=(0,C.$lh)("IExtHostCommands");class ${constructor(r,P,N){this.d=r,this.f=P,this.g=N,this.delegatingCommandId=`__vsc${Date.now().toString(36)}`,this.b=new Map,this.c=0,this.d.registerCommand(!0,this.delegatingCommandId,this.h,this)}toInternal(r,P){if(!r)return;const N={$ident:void 0,id:r.command,title:r.title,tooltip:r.tooltip};if(!r.command)return N;const U=this.f(r.command);if(U)N.id=U.internalId,N.arguments=U.args.map((q,W)=>q.convert(r.arguments&&r.arguments[W]));else if((0,g.$nf)(r.arguments)){const q=`${r.command}/${++this.c}`;this.b.set(q,r),P.add((0,D.$ib)(()=>{this.b.delete(q),this.g.trace("CommandsConverter#DISPOSE",q)})),N.$ident=q,N.id=this.delegatingCommandId,N.arguments=[q],this.g.trace("CommandsConverter#CREATE",r.command,q)}return N}fromInternal(r){return typeof r.$ident=="string"?this.b.get(r.$ident):{command:r.id,title:r.title,arguments:r.arguments}}getActualCommand(...r){return this.b.get(r[0])}h(...r){const P=this.getActualCommand(...r);return this.g.trace("CommandsConverter#EXECUTE",r[0],P?P.command:"MISSING"),P?this.d.executeCommand(P.command,...P.arguments||[]):Promise.reject(`Actual command not found, wanted to execute ${r[0]}`)}}e.$xL=$;class d{constructor(r,P,N,U){this.name=r,this.description=P,this.validate=N,this.convert=U}optional(){return new d(this.name,`(optional) ${this.description}`,r=>r==null||this.validate(r),r=>r===void 0?void 0:r===null?null:this.convert(r))}with(r,P){return new d(r??this.name,P??this.description,this.validate,this.convert)}}e.$yL=d,d.Uri=new d("uri","Uri of a text document",c=>v.URI.isUri(c),c=>c),d.Position=new d("position","A position in a text document",c=>A.$bJ.isPosition(c),h.Position.from),d.Range=new d("range","A range in a text document",c=>A.$cJ.isRange(c),h.Range.from),d.Selection=new d("selection","A selection in a text document",c=>A.$dJ.isSelection(c),h.Selection.from),d.Number=new d("number","",c=>typeof c=="number",c=>c),d.String=new d("string","",c=>typeof c=="string",c=>c),d.CallHierarchyItem=new d("item","A call hierarchy item",c=>c instanceof A.$xJ,h.CallHierarchyItem.from),d.TypeHierarchyItem=new d("item","A type hierarchy item",c=>c instanceof A.$SK,h.TypeHierarchyItem.from),d.TestItem=new d("testItem","A VS Code TestItem",c=>c instanceof i.$nL,h.TestItem.from);class S{constructor(r,P){this.description=r,this.convert=P}}e.$zL=S,S.Void=new S("no result",c=>c);class y{constructor(r,P,N,U,q){this.id=r,this.internalId=P,this.description=N,this.args=U,this.result=q}}e.$AL=y}),define(De[278],Ce([1,0,19,16,2,76,123,47,127,36,15,7]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$X0b=void 0;const v=[new m.$AL("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of DocumentHighlight-instances.",C(L.DocumentHighlight.to))),new m.$AL("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[m.$yL.Uri],new m.$zL("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(i,l)=>{if((0,b.$mf)(i))return;class a extends I.$rJ{static to(f){const E=new a(f.name,L.SymbolKind.to(f.kind),f.containerName||"",new I.$mJ(l[0],L.Range.to(f.range)));return E.detail=f.detail,E.range=E.location.range,E.selectionRange=L.Range.to(f.selectionRange),E.children=f.children?f.children.map(a.to):[],E}}return i.map(a.to)})),new m.$AL("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[m.$yL.Uri,new m.$yL("options","Formatting options",i=>!0,i=>i)],new m.$zL("A promise that resolves to an array of TextEdits.",C(L.TextEdit.to))),new m.$AL("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[m.$yL.Uri,m.$yL.Range,new m.$yL("options","Formatting options",i=>!0,i=>i)],new m.$zL("A promise that resolves to an array of TextEdits.",C(L.TextEdit.to))),new m.$AL("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[m.$yL.Uri,m.$yL.Position,new m.$yL("ch","Trigger character",i=>typeof i=="string",i=>i),new m.$yL("options","Formatting options",i=>!0,i=>i)],new m.$zL("A promise that resolves to an array of TextEdits.",C(L.TextEdit.to))),new m.$AL("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of Location or LocationLink instances.",w)),new m.$AL("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of Location or LocationLink instances.",w)),new m.$AL("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of Location or LocationLink instances.",w)),new m.$AL("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of Location or LocationLink instances.",w)),new m.$AL("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of Location-instances.",C(L.location.to))),new m.$AL("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of Hover-instances.",C(L.Hover.to))),new m.$AL("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[m.$yL.Uri,new m.$yL("position","A position in a text document",i=>Array.isArray(i)&&i.every(l=>I.$bJ.isPosition(l)),i=>i.map(L.Position.from))],new m.$zL("A promise that resolves to an array of ranges.",i=>i.map(l=>{let a;for(const p of l.reverse())a=new I.$wJ(L.Range.to(p),a);return a}))),new m.$AL("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[m.$yL.String.with("query","Search string")],new m.$zL("A promise that resolves to an array of SymbolInformation-instances.",i=>i.map(L.WorkspaceSymbol.to))),new m.$AL("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of CallHierarchyItem-instances",i=>i.map(L.CallHierarchyItem.to))),new m.$AL("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[m.$yL.CallHierarchyItem],new m.$zL("A promise that resolves to an array of CallHierarchyIncomingCall-instances",i=>i.map(L.CallHierarchyIncomingCall.to))),new m.$AL("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[m.$yL.CallHierarchyItem],new m.$zL("A promise that resolves to an array of CallHierarchyOutgoingCall-instances",i=>i.map(L.CallHierarchyOutgoingCall.to))),new m.$AL("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to a range and placeholder text.",i=>{if(i)return{range:L.Range.to(i.range),placeholder:i.text}})),new m.$AL("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[m.$yL.Uri,m.$yL.Position,m.$yL.String.with("newName","The new symbol name")],new m.$zL("A promise that resolves to a WorkspaceEdit.",i=>{if(i){if(i.rejectReason)throw new Error(i.rejectReason);return L.WorkspaceEdit.to(i)}})),new m.$AL("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[m.$yL.Uri,m.$yL.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new m.$zL("A promise that resolves to an array of DocumentLink-instances.",i=>i.map(L.DocumentLink.to))),new m.$AL("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[m.$yL.Uri],new m.$zL("A promise that resolves to SemanticTokensLegend.",i=>{if(i)return new I.$qK(i.tokenTypes,i.tokenModifiers)})),new m.$AL("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[m.$yL.Uri],new m.$zL("A promise that resolves to SemanticTokens.",i=>{if(!i)return;const l=(0,R.$d7)(i);if(l.type==="full")return new I.$sK(l.data,void 0)})),new m.$AL("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[m.$yL.Uri,m.$yL.Range.optional()],new m.$zL("A promise that resolves to SemanticTokensLegend.",i=>{if(i)return new I.$qK(i.tokenTypes,i.tokenModifiers)})),new m.$AL("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[m.$yL.Uri,m.$yL.Range],new m.$zL("A promise that resolves to SemanticTokens.",i=>{if(!i)return;const l=(0,R.$d7)(i);if(l.type==="full")return new I.$sK(l.data,void 0)})),new m.$AL("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[m.$yL.Uri,m.$yL.Position,m.$yL.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),m.$yL.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new m.$zL("A promise that resolves to a CompletionList-instance.",(i,l,a)=>{if(!i)return new I.$IJ([]);const p=i.suggestions.map(f=>L.CompletionItem.to(f,a));return new I.$IJ(p,i.incomplete)})),new m.$AL("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[m.$yL.Uri,m.$yL.Position,m.$yL.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new m.$zL("A promise that resolves to SignatureHelp.",i=>{if(i)return L.SignatureHelp.to(i)})),new m.$AL("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[m.$yL.Uri,m.$yL.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new m.$zL("A promise that resolves to an array of CodeLens-instances.",(i,l,a)=>C(p=>new I.$AJ(L.Range.to(p.range),p.command&&a.fromInternal(p.command)))(i))),new m.$AL("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[m.$yL.Uri,new m.$yL("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",i=>I.$cJ.isRange(i),i=>I.$dJ.isSelection(i)?L.Selection.from(i):L.Range.from(i)),m.$yL.String.with("kind","Code action kind to return code actions for").optional(),m.$yL.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new m.$zL("A promise that resolves to an array of Command-instances.",(i,l,a)=>C(p=>{if(p._isSynthetic){if(!p.command)throw new Error("Synthetic code actions must have a command");return a.fromInternal(p.command)}else{const f=new I.$tJ(p.title,p.kind?new I.$uJ(p.kind):void 0);return p.edit&&(f.edit=L.WorkspaceEdit.to(p.edit)),p.command&&(f.command=a.fromInternal(p.command)),f.isPreferred=p.isPreferred,f}})(i))),new m.$AL("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[m.$yL.Uri],new m.$zL("A promise that resolves to an array of ColorInformation objects.",i=>i?i.map(l=>new I.$OJ(L.Range.to(l.range),L.Color.to(l.color))):[])),new m.$AL("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new m.$yL("color","The color to show and insert",i=>i instanceof I.$NJ,L.Color.from),new m.$yL("context","Context object with uri and range",i=>!0,i=>({uri:i.uri,range:L.Range.from(i.range)}))],new m.$zL("A promise that resolves to an array of ColorPresentation objects.",i=>i?i.map(L.ColorPresentation.to):[])),new m.$AL("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[m.$yL.Uri,m.$yL.Range],new m.$zL("A promise that resolves to an array of Inlay objects",(i,l,a)=>i.map(L.InlayHint.to.bind(void 0,a)))),new m.$AL("vscode.executeFoldingRangeProvider","_executeFoldingRangeProvider","Execute folding range provider",[m.$yL.Uri],new m.$zL("A promise that resolves to an array of FoldingRange objects",(i,l)=>{if(i)return i.map(L.FoldingRange.to)})),new m.$AL("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new m.$zL("A promise that resolves to an array of NotebookContentProvider static info objects.",C(i=>({viewType:i.viewType,displayName:i.displayName,options:{transientOutputs:i.options.transientOutputs,transientCellMetadata:i.options.transientCellMetadata,transientDocumentMetadata:i.options.transientDocumentMetadata},filenamePattern:i.filenamePattern.map(l=>L.NotebookExclusiveDocumentPattern.to(l))})))),new m.$AL("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[m.$yL.Uri,m.$yL.Range],new m.$zL("A promise that resolves to an array of InlineValue objects",i=>i.map(L.InlineValue.to))),new m.$AL("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new m.$yL("uriOrString","Uri-instance or string (only http/https)",i=>h.URI.isUri(i)||typeof i=="string"&&(0,k.$wY)(i,A.Schemas.http,A.Schemas.https),i=>i),new m.$yL("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",i=>i===void 0||typeof i=="number"||typeof i=="object",i=>i&&(typeof i=="number"?[L.ViewColumn.from(i),void 0]:[L.ViewColumn.from(i.viewColumn),L.TextEditorOpenOptions.from(i)])).optional(),m.$yL.String.with("label","").optional()],m.$zL.Void),new m.$AL("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[m.$yL.Uri.with("resource","Resource to open"),m.$yL.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new m.$yL("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",i=>i===void 0||typeof i=="number"||typeof i=="object",i=>i&&(typeof i=="number"?[L.ViewColumn.from(i),void 0]:[L.ViewColumn.from(i.viewColumn),L.TextEditorOpenOptions.from(i)])).optional()],m.$zL.Void),new m.$AL("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[m.$yL.Uri.with("left","Left-hand side resource of the diff editor"),m.$yL.Uri.with("right","Right-hand side resource of the diff editor"),m.$yL.String.with("title","Human readable title for the diff editor").optional(),new m.$yL("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",i=>i===void 0||typeof i=="object",i=>i&&[L.ViewColumn.from(i.viewColumn),L.TextEditorOpenOptions.from(i)]).optional()],m.$zL.Void),new m.$AL("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[m.$yL.Uri,m.$yL.Position],new m.$zL("A promise that resolves to an array of TypeHierarchyItem-instances",i=>i.map(L.TypeHierarchyItem.to))),new m.$AL("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[m.$yL.TypeHierarchyItem],new m.$zL("A promise that resolves to an array of TypeHierarchyItem-instances",i=>i.map(L.TypeHierarchyItem.to))),new m.$AL("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[m.$yL.TypeHierarchyItem],new m.$zL("A promise that resolves to an array of TypeHierarchyItem-instances",i=>i.map(L.TypeHierarchyItem.to))),new m.$AL("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[m.$yL.TestItem],m.$zL.Void),new m.$AL("vscode.experimental.editSession.continue","_workbench.editSessions.actions.continueEditSession","Continue the current edit session in a different workspace",[m.$yL.Uri.with("workspaceUri","The target workspace to continue the current edit session in")],m.$zL.Void),new m.$AL("setContext","_setContext","Set a custom context key value that can be used in when clauses.",[m.$yL.String.with("name","The context key name"),new m.$yL("value","The context key value",()=>!0,i=>i)],m.$zL.Void)];class D{static register(l){v.forEach(l.registerApiCommand,l),this.a(l)}static a(l){l.registerCommand(!1,"_validateWhenClauses",g.$si)}}e.$X0b=D;function C(i){return l=>{if(Array.isArray(l))return l.map(i)}}function w(i){if(!Array.isArray(i))return;const l=[];for(const a of i)F.$ms(a)?l.push(L.DefinitionLink.to(a)):l.push(L.location.to(a));return l}}),define(De[279],Ce([1,0,17,66,3,4,2,76,25,15,7,6,27,12]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Z0b=void 0;function C(w,i,l){const a=w.getProxy(I.$$I.MainThreadComments);class p{constructor(){this.b=new Map,this.c=new k.$Fl,i.registerArgumentProcessor({processArgument:d=>{if(d&&d.$mid===6){const S=this.b.get(d.handle);return S?S.value:d}else if(d&&d.$mid===7){const S=this.b.get(d.commentControlHandle);if(!S)return d;const y=S.getCommentThread(d.commentThreadHandle);return y?y.value:d}else if(d&&(d.$mid===9||d.$mid===8)){const S=this.b.get(d.thread.commentControlHandle);if(!S)return d;const y=S.getCommentThread(d.thread.commentThreadHandle);return y?d.$mid===8?y.value:{thread:y.value,text:d.text}:d}else if(d&&d.$mid===10){const S=this.b.get(d.thread.commentControlHandle);if(!S)return d;const y=S.getCommentThread(d.thread.commentThreadHandle);if(!y)return d;const c=d.commentUniqueId,r=y.getCommentByUniqueId(c);return r||d}else if(d&&d.$mid===11){const S=this.b.get(d.thread.commentControlHandle);if(!S)return d;const y=S.getCommentThread(d.thread.commentThreadHandle);if(!y)return d;const c=d.text,r=d.commentUniqueId,P=y.getCommentByUniqueId(r);return P?(typeof P.body=="string"?P.body=c:P.body=new L.$BJ(c),P):d}return d}})}createCommentController(d,S,y){const c=p.a++,r=new E(d,c,S,y);this.b.set(r.handle,r);const P=this.c.get(d.identifier)||[];return P.push(r),this.c.set(d.identifier,P),r.value}$createCommentThreadTemplate(d,S,y){const c=this.b.get(d);c&&c.$createCommentThreadTemplate(S,y)}async $updateCommentThreadTemplate(d,S,y){const c=this.b.get(d);c&&c.$updateCommentThreadTemplate(S,y)}$deleteCommentThread(d,S){this.b.get(d)?.$deleteCommentThread(S)}$provideCommentingRanges(d,S,y){const c=this.b.get(d);if(!c||!c.commentingRangeProvider)return Promise.resolve(void 0);const r=l.getDocument(R.URI.revive(S));return(0,b.$kg)(async()=>{const P=await c.commentingRangeProvider.provideCommentingRanges(r,y);let N;return Array.isArray(P)?N={ranges:P,fileComments:!1}:P?N={ranges:P.ranges||[],fileComments:P.fileComments||!1}:N=(0,D.$ye)(P),N}).then(P=>{let N;return P&&(N={ranges:P.ranges.map(U=>m.Range.from(U)),fileComments:P.fileComments}),N})}$toggleReaction(d,S,y,c,r){const P=this.b.get(d);return!P||!P.reactionHandler?Promise.resolve(void 0):(0,b.$kg)(()=>{const N=P.getCommentThread(S);if(N){const U=N.getCommentByUniqueId(c.uniqueIdInThread);if(P!==void 0&&U&&P.reactionHandler)return P.reactionHandler(U,s(r))}return Promise.resolve(void 0)})}}p.a=0;class f{set threadId(d){this.n=d}get threadId(){return this.n}get id(){return this.n}get resource(){return this.o}get uri(){return this.o}set range(d){(d===void 0!=(this.p===void 0)||!d||!this.p||!d.isEqual(this.p))&&(this.p=d,this.b.range=d,this.c.fire())}get range(){return this.p}set canReply(d){this.d!==d&&(this.d=d,this.b.canReply=d,this.c.fire())}get canReply(){return this.d}get label(){return this.e}set label(d){this.e=d,this.b.label=d,this.c.fire()}get contextValue(){return this.f}set contextValue(d){this.f=d,this.b.contextValue=d,this.c.fire()}get comments(){return this.q}set comments(d){this.q=d,this.b.comments=d,this.c.fire()}get collapsibleState(){return this.g}set collapsibleState(d){this.g=d,this.b.collapsibleState=d,this.c.fire()}get state(){return this.h}set state(d){this.h=d,this.b.state=d,this.c.fire()}get isDisposed(){return this.j}constructor(d,S,y,c,r,P,N,U){this.m=S,this.n=y,this.o=c,this.p=r,this.q=P,this.extensionDescription=N,this.r=U,this.handle=f.a++,this.commentHandle=0,this.b=Object.create(null),this.c=new h.$5c,this.onDidUpdateCommentThread=this.c.event,this.d=!0,this.k=new Map,this.l=new F.$lb,this.l.value=new F.$jb,this.n===void 0&&(this.n=`${d}.${this.handle}`),a.$createCommentThread(S,this.handle,this.n,this.o,m.Range.from(this.p),N.identifier,this.r),this.i=[],this.j=!1,this.i.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=P,this.i.push({dispose:()=>{a.$deleteCommentThread(S,this.handle)}});const q=this;this.value={get uri(){return q.uri},get range(){return q.range},set range(W){q.range=W},get comments(){return q.comments},set comments(W){q.comments=W},get collapsibleState(){return q.collapsibleState},set collapsibleState(W){q.collapsibleState=W},get canReply(){return q.canReply},set canReply(W){q.canReply=W},get contextValue(){return q.contextValue},set contextValue(W){q.contextValue=W},get label(){return q.label},set label(W){q.label=W},get state(){return q.state},set state(W){q.state=W},dispose:()=>{q.dispose()}}}s(){this.r&&(this.r=!1,this.b.isTemplate=!1)}eventuallyUpdateCommentThread(){if(this.j)return;this.s(),this.l.value||(this.l.value=new F.$jb);const d=y=>Object.prototype.hasOwnProperty.call(this.b,y),S={};d("range")&&(S.range=m.Range.from(this.p)),d("label")&&(S.label=this.label),d("contextValue")&&(S.contextValue=this.contextValue??null),d("comments")&&(S.comments=this.q.map(y=>n(this,y,this.k,this.extensionDescription))),d("collapsibleState")&&(S.collapseState=t(this.g)),d("canReply")&&(S.canReply=this.canReply),d("state")&&(S.state=u(this.h)),d("isTemplate")&&(S.isTemplate=this.r),this.b={},a.$updateCommentThread(this.m,this.handle,this.n,this.o,S)}getCommentByUniqueId(d){for(const S of this.k){const y=S[0],c=S[1];if(d===c)return y}}dispose(){this.j=!0,this.l.dispose(),this.i.forEach(d=>d.dispose())}}f.a=0,He([(0,A.$Qg)(100)],f.prototype,"eventuallyUpdateCommentThread",null);class E{get id(){return this.h}get label(){return this.i}get handle(){return this.g}get commentingRangeProvider(){return this.b}set commentingRangeProvider(d){this.b=d,a.$updateCommentingRanges(this.handle)}get reactionHandler(){return this.c}set reactionHandler(d){this.c=d,a.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!d})}get options(){return this.d}set options(d){this.d=d,a.$updateCommentControllerFeatures(this.handle,{options:this.d})}constructor(d,S,y,c){this.f=d,this.g=S,this.h=y,this.i=c,this.a=new Map,a.$registerCommentController(this.handle,y,c);const r=this;this.value=Object.freeze({id:r.id,label:r.label,get options(){return r.options},set options(P){r.options=P},get commentingRangeProvider(){return r.commentingRangeProvider},set commentingRangeProvider(P){r.commentingRangeProvider=P},get reactionHandler(){return r.reactionHandler},set reactionHandler(P){r.reactionHandler=P},createCommentThread(P,N,U){return r.createCommentThread(P,N,U).value},dispose:()=>{r.dispose()}}),this.e=[],this.e.push({dispose:()=>{a.$unregisterCommentController(this.handle)}})}createCommentThread(d,S,y){S===void 0&&(0,v.$$E)(this.f,"fileComments");const c=new f(this.id,this.handle,void 0,d,S,y,this.f,!1);return this.a.set(c.handle,c),c}$createCommentThreadTemplate(d,S){const y=new f(this.id,this.handle,void 0,R.URI.revive(d),m.Range.to(S),[],this.f,!0);return y.collapsibleState=g.CommentThreadCollapsibleState.Expanded,this.a.set(y.handle,y),y}$updateCommentThreadTemplate(d,S){const y=this.a.get(d);y&&(y.range=m.Range.to(S))}$deleteCommentThread(d){this.a.get(d)?.dispose(),this.a.delete(d)}getCommentThread(d){return this.a.get(d)}dispose(){this.a.forEach(d=>{d.dispose()}),this.e.forEach(d=>d.dispose())}}function n($,d,S,y){let c=S.get(d);return c||(c=++$.commentHandle,S.set(d,c)),d.state!==void 0&&(0,v.$$E)(y,"commentsDraftState"),{mode:d.mode,contextValue:d.contextValue,uniqueIdInThread:c,body:typeof d.body=="string"?d.body:m.MarkdownString.from(d.body),userName:d.author.name,userIconPath:d.author.iconPath,label:d.label,commentReactions:d.reactions?d.reactions.map(r=>o(r)):void 0,state:d.state,timestamp:d.timestamp?.toJSON()}}function o($){return{label:$.label,iconPath:$.iconPath?m.$_K($.iconPath):void 0,count:$.count,hasReacted:$.authorHasReacted}}function s($){return{label:$.label||"",count:$.count||0,iconPath:$.iconPath?R.URI.revive($.iconPath):"",authorHasReacted:$.hasReacted||!1}}function t($){if($!==void 0)switch($){case L.CommentThreadCollapsibleState.Expanded:return g.CommentThreadCollapsibleState.Expanded;case L.CommentThreadCollapsibleState.Collapsed:return g.CommentThreadCollapsibleState.Collapsed}return g.CommentThreadCollapsibleState.Collapsed}function u($){if($!==void 0)switch($){case L.CommentThreadState.Unresolved:return g.CommentThreadState.Unresolved;case L.CommentThreadState.Resolved:return g.CommentThreadState.Resolved}return g.CommentThreadState.Unresolved}return new p}e.$Z0b=C}),define(De[280],Ce([1,0,24,6,26,20]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$R_b=void 0;let R=e.$R_b=class{constructor(L,I){this.a=L.getProxy(A.$$I.MainThreadConsole),this.b=I.consoleForward.includeStack,this.c=I.consoleForward.logNative,this.d("info","log"),this.d("log","log"),this.d("warn","warn"),this.d("error","error")}d(L,I){const v=this,D=console[L];Object.defineProperty(console,L,{set:()=>{},get:()=>function(){v.e(L,I,D,arguments)}})}e(L,I,v,D){this.a.$logExtensionHostMessage({type:"__$console",severity:I,arguments:k(D,this.b)}),this.c&&this.f(L,v,D)}};e.$R_b=R=He([We(0,F.$aL),We(1,h.$qL)],R);const g=1e5;function k(m,L){const I=[];if(m.length)for(let v=0;v<m.length;v++){let D=m[v];if(typeof D>"u")D="undefined";else if(D instanceof Error){const C=D;C.stack?D=C.stack:D=C.toString()}I.push(D)}if(L){const v=new Error().stack;v&&I.push({__$stack:v.split(`
`).slice(3).join(`
`)})}try{const v=(0,b.$Im)(I);return v.length>g?"Output omitted for a large object that exceeds the limits":v}catch(v){return`Output omitted for an object that cannot be inspected ('${v.toString()}')`}}}),define(De[142],Ce([1,0,2,6,7,5,20,18,19,9,11,27]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2$b=e.$1$b=void 0;let v=e.$1$b=class on{constructor(C,w){this.h=w,this.f=new Map,this.g=C.getProxy(A.$$I.MainThreadDecorations)}registerFileDecorationProvider(C,w){const i=on.c++;this.f.set(i,{provider:C,extensionDescription:w}),this.g.$registerDecorationProvider(i,w.identifier.value);const l=C.onDidChangeFileDecorations&&C.onDidChangeFileDecorations(a=>{if(!a){this.g.$onDidChange(i,null);return}const p=(0,k.$Gf)(a);if(p.length<=on.d){this.g.$onDidChange(i,p);return}this.h.warn("[Decorations] CAPPING events from decorations provider",w.identifier.value,p.length);const f=p.map(o=>({uri:o,rank:(0,m.$md)(o.path,"/")})),E=(0,k.$ef)(f,(o,s)=>o.rank-s.rank||(0,m.$Cd)(o.uri.path,s.uri.path)),n=[];e:for(const o of E){let s;for(const t of o){const u=(0,L.$bc)(t.uri.path);if(s!==u&&(s=u,n.push(t.uri)>=on.d))break e}}this.g.$onDidChange(i,n)});return new h.$aJ(()=>{l?.dispose(),this.g.$unregisterDecorationProvider(i),this.f.delete(i)})}async $provideDecorations(C,w,i){if(!this.f.has(C))return Object.create(null);const l=Object.create(null),{provider:a,extensionDescription:p}=this.f.get(C);return await Promise.all(w.map(async f=>{try{const{uri:E,id:n}=f,o=await Promise.resolve(a.provideFileDecoration(b.URI.revive(E),i));if(!o)return;try{h.$wK.validate(o),o.badge&&typeof o.badge!="string"&&(0,I.$$E)(p,"codiconDecoration"),l[n]=[o.propagate,o.tooltip,o.badge,o.color]}catch(s){this.h.warn(`INVALID decoration from extension '${p}': ${s}`)}}catch(E){this.h.error(E)}})),l}};v.c=0,v.d=250,e.$1$b=v=He([We(0,R.$aL),We(1,g.$Ni)],v),e.$2$b=(0,F.$lh)("IExtHostDecorations")});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[281],Ce([1,0,189,126,2,6,7,15,3,18,28,51]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";var v,D,C;Object.defineProperty(e,"__esModule",{value:!0}),e.$S0b=e.$R0b=void 0;class w{constructor(a,p,f,E,n,o,s){this.d=a,this.e=p,this.f=f,this.g=E,v.set(this,void 0),D.set(this,void 0),C.set(this,void 0),this.c=!1,Xe(this,C,new L.$ji(t=>n.getComparisonKey(t)),"f"),Xe(this,v,o,"f"),Xe(this,D,s,"f")}dispose(){this.c||(Te(this,D,"f").fire([...Te(this,C,"f").keys()]),Te(this,v,"f")?.$clear(this.e),Te(this,C,"f").clear(),this.c=!0)}get name(){return this.h(),this.d}set(a,p){if(!a){this.clear();return}this.h();let f=[];if(h.URI.isUri(a)){if(!p){this.delete(a);return}Te(this,C,"f").set(a,p.slice()),f=[a]}else if(Array.isArray(a)){f=[];let n;a=[...a].sort(w.j);for(const o of a){const[s,t]=o;if((!n||s.toString()!==n.toString())&&(n&&Te(this,C,"f").get(n).length===0&&Te(this,C,"f").delete(n),n=s,f.push(s),Te(this,C,"f").set(s,[])),t)Te(this,C,"f").get(s)?.push(...t);else{const u=Te(this,C,"f").get(s);u&&(u.length=0)}}}if(Te(this,D,"f").fire(f),!Te(this,v,"f"))return;const E=[];for(const n of f){let o=[];const s=Te(this,C,"f").get(n);if(s)if(s.length>this.f){o=[];const t=[R.DiagnosticSeverity.Error,R.DiagnosticSeverity.Warning,R.DiagnosticSeverity.Information,R.DiagnosticSeverity.Hint];e:for(let u=0;u<4;u++)for(const $ of s)if($.severity===t[u]&&o.push({...g.Diagnostic.from($),modelVersionId:this.g(n)})===this.f)break e;o.push({severity:A.MarkerSeverity.Info,message:(0,b.localize)(0,null,s.length-this.f),startLineNumber:o[o.length-1].startLineNumber,startColumn:o[o.length-1].startColumn,endLineNumber:o[o.length-1].endLineNumber,endColumn:o[o.length-1].endColumn})}else o=s.map(t=>({...g.Diagnostic.from(t),modelVersionId:this.g(n)}));E.push([n,o])}Te(this,v,"f").$changeMany(this.e,E)}delete(a){this.h(),Te(this,D,"f").fire([a]),Te(this,C,"f").delete(a),Te(this,v,"f")?.$changeMany(this.e,[[a,void 0]])}clear(){this.h(),Te(this,D,"f").fire([...Te(this,C,"f").keys()]),Te(this,C,"f").clear(),Te(this,v,"f")?.$clear(this.e)}forEach(a,p){this.h();for(const[f,E]of this)a.call(p,f,E,this)}*[(v=new WeakMap,D=new WeakMap,C=new WeakMap,Symbol.iterator)](){this.h();for(const a of Te(this,C,"f").keys())yield[a,this.get(a)]}get(a){this.h();const p=Te(this,C,"f").get(a);return Array.isArray(p)?Object.freeze(p.slice(0)):[]}has(a){return this.h(),Array.isArray(Te(this,C,"f").get(a))}h(){if(this.c)throw new Error("illegal state - object is disposed")}static j(a,p){return a[0].toString()<p[0].toString()?-1:a[0].toString()>p[0].toString()?1:0}}e.$R0b=w;let i=e.$S0b=class vi{static _mapper(a){const p=new L.$ji;for(const f of a)p.set(f,f);return{uris:Object.freeze(Array.from(p.values()))}}constructor(a,p,f,E){this.h=p,this.j=f,this.k=E,this.f=new Map,this.g=new k.$9c({merge:n=>n.flat(),delay:50}),this.onDidChangeDiagnostics=k.Event.map(this.g.event,vi._mapper),this.e=a.getProxy(F.$$I.MainThreadDiagnostics)}createDiagnosticCollection(a,p){const{f,e:E,g:n,h:o,j:s,k:t}=this,u=new class{$changeMany(S,y){E.$changeMany(S,y),o.trace("[DiagnosticCollection] change many (extension, owner, uris)",a.value,S,y.length===0?"CLEARING":y)}$clear(S){E.$clear(S),o.trace("[DiagnosticCollection] remove all (extension, owner)",a.value,S)}dispose(){E.dispose()}};let $;if(!p)p="_generated_diagnostic_collection_name_#"+vi.c++,$=p;else if(!f.has(p))$=p;else{this.h.warn(`DiagnosticCollection with name '${p}' does already exist.`);do $=p+vi.c++;while(f.has($))}return new class extends w{constructor(){super(p,$,vi.d,S=>t.getDocument(S)?.version,s.extUri,u,n),f.set($,this)}dispose(){super.dispose(),f.delete($)}}}getDiagnostics(a){if(a)return this.l(a);{const p=new Map,f=[];for(const E of this.f.values())E.forEach((n,o)=>{let s=p.get(n.toString());typeof s>"u"&&(s=f.length,p.set(n.toString(),s),f.push([n,[]])),f[s][1]=f[s][1].concat(...o)});return f}}l(a){let p=[];for(const f of this.f.values())f.has(a)&&(p=p.concat(f.get(a)));return p}$acceptMarkersChange(a){if(!this.m){const p="_generated_mirror",f=new w(p,p,vi.d,E=>{},this.j.extUri,void 0,this.g);this.f.set(p,f),this.m=f}for(const[p,f]of a)this.m.set(h.URI.revive(p),f.map(g.Diagnostic.to))}};i.c=0,i.d=1e3,e.$S0b=i=He([We(1,m.$Ni),We(2,I.$Q0b)],i)}),define(De[282],Ce([1,0,2,6,27]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$80b=void 0;class F{constructor(g){this.a=g.getProxy(A.$$I.MainThreadDialogs)}showOpenDialog(g,k){return k?.allowUIResources&&(0,h.$$E)(g,"showLocal"),this.a.$showOpenDialog(k).then(m=>m?m.map(L=>b.URI.revive(L)):void 0)}showSaveDialog(g){return this.a.$showSaveDialog(g).then(k=>k?b.URI.revive(k):void 0)}}e.$80b=F}),define(De[283],Ce([1,0,8,2,7,6,16,21,9]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$90b=void 0;class m{constructor(I,v,D){this.d=v,this.e=D,this.b=new Map,this.c=I.getProxy(F.$$I.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(I,v){if(Object.keys(R.Schemas).indexOf(I)>=0)throw new Error(`scheme '${I}' already registered`);const D=m.a++;this.b.set(D,v),this.c.$registerTextContentProvider(D,I);let C;return typeof v.onDidChange=="function"&&(C=v.onDidChange(w=>{if(w.scheme!==I){this.e.warn(`Provider for scheme '${I}' is firing event for schema '${w.scheme}' which will be IGNORED`);return}this.d.getDocument(w)&&this.$provideTextDocumentContent(D,w).then(i=>{if(!i&&typeof i!="string")return;const l=this.d.getDocument(w);if(!l)return;const a=(0,k.$xd)(i);if(!l.equalLines(a))return this.c.$onVirtualDocumentChange(w,i)},b.$X)})),new h.$aJ(()=>{this.b.delete(D)&&this.c.$unregisterTextContentProvider(D),C&&(C.dispose(),C=void 0)})}$provideTextDocumentContent(I,v){const D=this.b.get(I);return D?Promise.resolve(D.provideTextDocumentContent(A.URI.revive(v),g.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${v.scheme}`))}}e.$90b=m,m.a=0}),define(De[284],Ce([1,0,3,4,2,6,135,15,12,24,7,8]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$O0b=void 0;class v{constructor(C,w){this.a=new b.$5c({onListenerError:I.$Y}),this.b=new b.$5c({onListenerError:I.$Y}),this.c=new b.$5c({onListenerError:I.$Y}),this.d=new b.$5c({onListenerError:I.$Y}),this.onDidAddDocument=this.a.event,this.onDidRemoveDocument=this.b.event,this.onDidChangeDocument=this.c.event,this.onDidSaveDocument=this.d.event,this.e=new A.$jb,this.h=new Map,this.f=C.getProxy(F.$$I.MainThreadDocuments),this.g=w,this.g.onDidRemoveDocuments(i=>{for(const l of i)this.b.fire(l.document)},void 0,this.e),this.g.onDidAddDocuments(i=>{for(const l of i)this.a.fire(l.document)},void 0,this.e)}dispose(){this.e.dispose()}getAllDocumentData(){return[...this.g.allDocuments()]}getDocumentData(C){if(!C)return;const w=this.g.getDocument(C);if(w)return w}getDocument(C){const w=this.getDocumentData(C);if(!w?.document)throw new Error(`Unable to retrieve document from URI '${C}'`);return w.document}ensureDocumentData(C){const w=this.g.getDocument(C);if(w)return Promise.resolve(w);let i=this.h.get(C.toString());return i||(i=this.f.$tryOpenDocument(C).then(l=>{this.h.delete(C.toString());const a=h.URI.revive(l);return(0,k.$re)(this.g.getDocument(a))},l=>(this.h.delete(C.toString()),Promise.reject(l))),this.h.set(C.toString(),i)),i}createDocumentData(C){return this.f.$tryCreateDocument(C).then(w=>h.URI.revive(w))}$acceptModelLanguageChanged(C,w){const i=h.URI.revive(C),l=this.g.getDocument(i);if(!l)throw new Error("unknown document");this.b.fire(l.document),l._acceptLanguageId(w),this.a.fire(l.document)}$acceptModelSaved(C){const w=h.URI.revive(C),i=this.g.getDocument(w);if(!i)throw new Error("unknown document");this.$acceptDirtyStateChanged(C,!1),this.d.fire(i.document)}$acceptDirtyStateChanged(C,w){const i=h.URI.revive(C),l=this.g.getDocument(i);if(!l)throw new Error("unknown document");l._acceptIsDirty(w),this.c.fire({document:l.document,contentChanges:[],reason:void 0})}$acceptModelChanged(C,w,i){const l=h.URI.revive(C),a=this.g.getDocument(l);if(!a)throw new Error("unknown document");a._acceptIsDirty(i),a.onEvents(w);let p;w.isUndoing?p=L.TextDocumentChangeReason.Undo:w.isRedoing&&(p=L.TextDocumentChangeReason.Redo),this.c.fire((0,m.$Em)({document:a.document,contentChanges:w.changes.map(f=>({range:g.Range.to(f.range),rangeOffset:f.rangeOffset,rangeLength:f.rangeLength,text:f.text})),reason:p}))}setWordDefinitionFor(C,w){(0,R.$cL)(C,w)}}e.$O0b=v}),define(De[62],Ce([1,0,53,3,4,2,5,6,135,20,140,15,18,28,16,48,54]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lL=e.$kL=void 0;class l{constructor(f){this.value=f,this.a=0}ref(){this.a++}unref(){return--this.a===0}}let a=e.$kL=class{constructor(f,E){this.h=f,this.i=E,this.a=null,this.b=new Map,this.c=new D.$ji,this.d=new A.$5c,this.e=new A.$5c,this.f=new A.$5c,this.g=new A.$5c,this.onDidAddDocuments=this.d.event,this.onDidRemoveDocuments=this.e.event,this.onDidChangeVisibleTextEditors=this.f.event,this.onDidChangeActiveTextEditor=this.g.event}$acceptDocumentsAndEditorsDelta(f){this.acceptDocumentsAndEditorsDelta(f)}acceptDocumentsAndEditorsDelta(f){const E=[],n=[],o=[];if(f.removedDocuments)for(const s of f.removedDocuments){const t=F.URI.revive(s),u=this.c.get(t);u?.unref()&&(this.c.delete(t),E.push(u.value))}if(f.addedDocuments)for(const s of f.addedDocuments){const t=F.URI.revive(s.uri);let u=this.c.get(t);if(u&&t.scheme!==C.Schemas.vscodeNotebookCell&&t.scheme!==C.Schemas.vscodeInteractiveInput)throw new Error(`document '${t} already exists!'`);u||(u=new l(new k.$dL(this.h.getProxy(g.$$I.MainThreadDocuments),t,s.lines,s.EOL,s.versionId,s.languageId,s.isDirty,s.notebook)),this.c.set(t,u),n.push(u.value)),u.ref()}if(f.removedEditors)for(const s of f.removedEditors){const t=this.b.get(s);this.b.delete(s),t&&o.push(t)}if(f.addedEditors)for(const s of f.addedEditors){const t=F.URI.revive(s.documentUri);b.ok(this.c.has(t),`document '${t}' does not exist`),b.ok(!this.b.has(s.id),`editor '${s.id}' already exists!`);const u=this.c.get(t).value,$=new L.$jL(s.id,this.h.getProxy(g.$$I.MainThreadTextEditors),this.i,new i.$S(()=>u.document),s.selections.map(I.Selection.to),s.options,s.visibleRanges.map(d=>I.Range.to(d)),typeof s.editorPosition=="number"?I.ViewColumn.to(s.editorPosition):void 0);this.b.set(s.id,$)}f.newActiveEditor!==void 0&&(b.ok(f.newActiveEditor===null||this.b.has(f.newActiveEditor),`active editor '${f.newActiveEditor}' does not exist`),this.a=f.newActiveEditor),(0,h.$fb)(E),(0,h.$fb)(o),f.removedDocuments&&this.e.fire(E),f.addedDocuments&&this.d.fire(n),(f.removedEditors||f.addedEditors)&&this.f.fire(this.allEditors().map(s=>s.value)),f.newActiveEditor!==void 0&&this.g.fire(this.activeEditor())}getDocument(f){return this.c.get(f)?.value}allDocuments(){return w.Iterable.map(this.c.values(),f=>f.value)}getEditor(f){return this.b.get(f)}activeEditor(f){if(!this.a)return;const E=this.b.get(this.a);return f?E:E?.value}allEditors(){return[...this.b.values()]}};e.$kL=a=He([We(0,m.$aL),We(1,v.$Ni)],a),e.$lL=(0,R.$lh)("IExtHostDocumentsAndEditors")}),define(De[63],Ce([1,0,15,6,2,3,5,7,20,12,65]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7$b=e.$6$b=void 0,e.$6$b=(0,R.$lh)("IExtHostEditorTabs");class I{constructor(i,l,a){this.e=a,this.d=l,this.acceptDtoUpdate(i)}get apiObject(){if(!this.a){const i=this,l={get isActive(){return i.b.id===i.e()},get label(){return i.b.label},get input(){return i.c},get isDirty(){return i.b.isDirty},get isPinned(){return i.b.isPinned},get isPreview(){return i.b.isPreview},get group(){return i.d.apiObject}};this.a=Object.freeze(l)}return this.a}get tabId(){return this.b.id}acceptDtoUpdate(i){this.b=i,this.c=this.f()}f(){switch(this.b.input.kind){case 1:return new g.$TK(h.URI.revive(this.b.input.uri));case 2:return new g.$UK(h.URI.revive(this.b.input.original),h.URI.revive(this.b.input.modified));case 3:return new g.$VK(h.URI.revive(this.b.input.base),h.URI.revive(this.b.input.input1),h.URI.revive(this.b.input.input2),h.URI.revive(this.b.input.result));case 6:return new g.$WK(h.URI.revive(this.b.input.uri),this.b.input.viewType);case 7:return new g.$XK(this.b.input.viewType);case 4:return new g.$YK(h.URI.revive(this.b.input.uri),this.b.input.notebookType);case 5:return new g.$ZK(h.URI.revive(this.b.input.original),h.URI.revive(this.b.input.modified),this.b.input.notebookType);case 8:return new g.$1K;case 9:return new g.$2K(h.URI.revive(this.b.input.uri),h.URI.revive(this.b.input.inputBoxUri));default:return}}}class v{constructor(i,l){this.c=[],this.d="",this.b=i,this.e=l;for(const a of i.tabs)a.isActive&&(this.d=a.id),this.c.push(new I(a,this,()=>this.activeTabId()))}get apiObject(){if(!this.a){const i=this,l={get isActive(){return i.b.groupId===i.e()},get viewColumn(){return b.ViewColumn.to(i.b.viewColumn)},get activeTab(){return i.c.find(a=>a.tabId===i.d)?.apiObject},get tabs(){return Object.freeze(i.c.map(a=>a.apiObject))}};this.a=Object.freeze(l)}return this.a}get groupId(){return this.b.groupId}get tabs(){return this.c}acceptGroupDtoUpdate(i){this.b=i}acceptTabOperation(i){if(i.kind===0){const a=new I(i.tabDto,this,()=>this.activeTabId());return this.c.splice(i.index,0,a),i.tabDto.isActive&&(this.d=a.tabId),a}else if(i.kind===1){const a=this.c.splice(i.index,1)[0];if(!a)throw new Error(`Tab close updated received for index ${i.index} which does not exist`);return a.tabId===this.d&&(this.d=""),a}else if(i.kind===3){if(i.oldIndex===void 0)throw new Error("Invalid old index on move IPC");const a=this.c.splice(i.oldIndex,1)[0];if(!a)throw new Error(`Tab move updated received for index ${i.oldIndex} which does not exist`);return this.c.splice(i.index,0,a),a}const l=this.c.find(a=>a.tabId===i.tabDto.id);if(!l)throw new Error("INVALID tab");return i.tabDto.isActive?this.d=i.tabDto.id:this.d===i.tabDto.id&&!i.tabDto.isActive&&(this.d=""),l.acceptDtoUpdate(i.tabDto),l}activeTabId(){return this.d}}let D=e.$7$b=class{constructor(i){this.b=new F.$5c,this.c=new F.$5c,this.e=[],this.a=i.getProxy(A.$$I.MainThreadEditorTabs)}get tabGroups(){if(!this.f){const i=this,l={onDidChangeTabGroups:i.c.event,onDidChangeTabs:i.b.event,get all(){return Object.freeze(i.e.map(a=>a.apiObject))},get activeTabGroup(){const a=i.d;return(0,m.$re)(i.e.find(f=>f.groupId===a)?.apiObject)},close:async(a,p)=>{const f=Array.isArray(a)?a:[a];return f.length?C(f[0])?this.j(f,p):this.i(f,p):!0}};this.f=Object.freeze(l)}return this.f}$acceptEditorTabModel(i){const l=new Set(this.e.map(s=>s.groupId)),a=new Set(i.map(s=>s.groupId)),p=(0,L.$J)(l,a),f=this.e.filter(s=>p.removed.includes(s.groupId)).map(s=>s.apiObject),E=[],n=[];this.e=i.map(s=>{const t=new v(s,()=>this.d);return p.added.includes(t.groupId)?E.push(t.apiObject):n.push(t.apiObject),t});const o=(0,m.$re)(i.find(s=>s.isActive===!0)?.groupId);o!==void 0&&this.d!==o&&(this.d=o),this.c.fire(Object.freeze({opened:E,closed:f,changed:n}))}$acceptTabGroupUpdate(i){const l=this.e.find(a=>a.groupId===i.groupId);if(!l)throw new Error("Update Group IPC call received before group creation.");l.acceptGroupDtoUpdate(i),i.isActive&&(this.d=i.groupId),this.c.fire(Object.freeze({changed:[l.apiObject],opened:[],closed:[]}))}$acceptTabOperation(i){const l=this.e.find(p=>p.groupId===i.groupId);if(!l)throw new Error("Update Tabs IPC call received before group creation.");const a=l.acceptTabOperation(i);switch(i.kind){case 0:this.b.fire(Object.freeze({opened:[a.apiObject],closed:[],changed:[]}));return;case 1:this.b.fire(Object.freeze({opened:[],closed:[a.apiObject],changed:[]}));return;case 3:case 2:this.b.fire(Object.freeze({opened:[],closed:[],changed:[a.apiObject]}));return}}g(i){for(const l of this.e)for(const a of l.tabs)if(a.apiObject===i)return a}h(i){return this.e.find(l=>l.apiObject===i)}async i(i,l){const a=[];for(const p of i){const f=this.g(p);if(!f)throw new Error("Tab close: Invalid tab not found!");a.push(f.tabId)}return this.a.$closeTab(a,l)}async j(i,l){const a=[];for(const p of i){const f=this.h(p);if(!f)throw new Error("Group close: Invalid group not found!");a.push(f.groupId)}return this.a.$closeGroup(a,l)}};e.$7$b=D=He([We(0,k.$aL)],D);function C(w){return w.tabs!==void 0}}),define(De[285],Ce([1,0,2,6,4,7,15,160,9,22,27,94]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$C$b=void 0;class v{constructor(){this.a=[]}add(w){this.b=void 0,this.a.push(w)}delete(w){const i=this.a.indexOf(w);i>=0&&(this.a.splice(i,1),this.b=void 0)}c(){if(!this.b){const w=this.a.sort(),i=[];let l,a,p=14,f=14;for(const E of w){let n=l?(0,k.$Ld)(l,E):0;for(n===0?a=1:a=f;n<E.length;n++)n+1===E.length?(p=f,f=9):f+=1,i.push([a,E.toUpperCase().charCodeAt(n),f]),i.push([a,E.toLowerCase().charCodeAt(n),f]),a=f;l=E,f=p}i.push([9,58,10]),i.push([10,47,12]),this.b=new g.$xW(i)}}provideDocumentLinks(w){this.c();const i=[],l=g.$yW.computeLinks({getLineContent(a){return w.lineAt(a-1).text},getLineCount(){return w.lineCount}},this.b);for(const a of l){const p=R.DocumentLink.to(a);p.target&&i.push(p)}return i}}class D{constructor(w,i){this.i=i,this.b=new v,this.c=new Map,this.d=new Set,this.f=new Map,this.h=0,this.a=w.getProxy(A.$$I.MainThreadFileSystem)}dispose(){this.g?.dispose()}registerFileSystemProvider(w,i,l,a={}){if(D.j(l),this.d.has(i))throw new Error(`a provider for the scheme '${i}' is already registered`);this.g||(this.g=this.i.registerDocumentLinkProvider(w,"*",this.b));const p=this.h++;this.b.add(i),this.d.add(i),this.c.set(p,l);let f=2;a.isCaseSensitive&&(f+=1024),a.isReadonly&&(f+=2048),typeof l.copy=="function"&&(f+=8),typeof l.open=="function"&&typeof l.close=="function"&&typeof l.read=="function"&&typeof l.write=="function"&&((0,L.$$E)(w,"fsChunks"),f+=4);let E;a.isReadonly&&(0,I.$Ij)(a.isReadonly)&&((0,L.$$E)(w,"readonlyMessage"),E={value:a.isReadonly.value,isTrusted:a.isReadonly.isTrusted,supportThemeIcons:a.isReadonly.supportThemeIcons,supportHtml:a.isReadonly.supportHtml,baseUri:a.isReadonly.baseUri,uris:a.isReadonly.uris}),this.a.$registerFileSystemProvider(p,i,f,E).catch(o=>{console.error(`FAILED to register filesystem provider of ${w.identifier.value}-extension for the scheme ${i}`),console.error(o)});const n=l.onDidChangeFile(o=>{const s=[];for(const t of o){const{uri:u,type:$}=t;if(u.scheme!==i)continue;let d;switch($){case F.FileChangeType.Changed:d=0;break;case F.FileChangeType.Created:d=1;break;case F.FileChangeType.Deleted:d=2;break;default:throw new Error("Unknown FileChangeType")}s.push({resource:u,type:d})}this.a.$onFileSystemChange(p,s)});return(0,h.$ib)(()=>{n.dispose(),this.b.delete(i),this.d.delete(i),this.c.delete(p),this.a.$unregisterProvider(p)})}static j(w){if(!w)throw new Error("MISSING provider");if(typeof w.watch!="function")throw new Error("Provider does NOT implement watch");if(typeof w.stat!="function")throw new Error("Provider does NOT implement stat");if(typeof w.readDirectory!="function")throw new Error("Provider does NOT implement readDirectory");if(typeof w.createDirectory!="function")throw new Error("Provider does NOT implement createDirectory");if(typeof w.readFile!="function")throw new Error("Provider does NOT implement readFile");if(typeof w.writeFile!="function")throw new Error("Provider does NOT implement writeFile");if(typeof w.delete!="function")throw new Error("Provider does NOT implement delete");if(typeof w.rename!="function")throw new Error("Provider does NOT implement rename")}static k(w){const{type:i,ctime:l,mtime:a,size:p,permissions:f}=w;return{type:i,ctime:l,mtime:a,size:p,permissions:f}}$stat(w,i){return Promise.resolve(this.l(w).stat(b.URI.revive(i))).then(l=>D.k(l))}$readdir(w,i){return Promise.resolve(this.l(w).readDirectory(b.URI.revive(i)))}$readFile(w,i){return Promise.resolve(this.l(w).readFile(b.URI.revive(i))).then(l=>m.$Ib.wrap(l))}$writeFile(w,i,l,a){return Promise.resolve(this.l(w).writeFile(b.URI.revive(i),l.buffer,a))}$delete(w,i,l){return Promise.resolve(this.l(w).delete(b.URI.revive(i),l))}$rename(w,i,l,a){return Promise.resolve(this.l(w).rename(b.URI.revive(i),b.URI.revive(l),a))}$copy(w,i,l,a){const p=this.l(w);if(!p.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(p.copy(b.URI.revive(i),b.URI.revive(l),a))}$mkdir(w,i){return Promise.resolve(this.l(w).createDirectory(b.URI.revive(i)))}$watch(w,i,l,a){const p=this.l(w).watch(b.URI.revive(l),a);this.f.set(i,p)}$unwatch(w,i){const l=this.f.get(i);l&&(l.dispose(),this.f.delete(i))}$open(w,i,l){const a=this.l(w);if(!a.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(a.open(b.URI.revive(i),l))}$close(w,i){const l=this.l(w);if(!l.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(l.close(i))}$read(w,i,l,a){const p=this.l(w);if(!p.read)throw new Error('FileSystemProvider does not implement "read"');const f=m.$Ib.alloc(a);return Promise.resolve(p.read(i,l,f.buffer,0,a)).then(E=>f.slice(0,E))}$write(w,i,l,a){const p=this.l(w);if(!p.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(p.write(i,l,a.buffer,0,a.byteLength))}l(w){const i=this.c.get(w);if(!i){const l=new Error;throw l.name="ENOPRO",l.message="no provider",l}return i}}e.$C$b=D}),define(De[64],Ce([1,0,6,30,7,22,5,20,51,4,17,23,16]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$j$b=e.$i$b=void 0;let D=e.$i$b=class ii{constructor(w,i){this.b=new Map,this.c=new L.$zg,this.a=w.getProxy(b.$$I.MainThreadFileSystem);const l=this;this.value=Object.freeze({async stat(a){try{let p;const f=l.b.get(a.scheme);return f?(await l.a.$ensureActivation(a.scheme),p=await f.impl.stat(a)):p=await l.a.$stat(a),{type:p.type,ctime:p.ctime,mtime:p.mtime,size:p.size,permissions:p.permissions===A.FilePermission.Readonly?1:void 0}}catch(p){ii.e(p)}},async readDirectory(a){try{const p=l.b.get(a.scheme);return p?(await l.a.$ensureActivation(a.scheme),(await p.impl.readDirectory(a)).slice()):await l.a.$readdir(a)}catch(p){return ii.e(p)}},async createDirectory(a){try{const p=l.b.get(a.scheme);return p&&!p.isReadonly?(await l.a.$ensureActivation(a.scheme),await l.d(p.impl,p.extUri,a)):await l.a.$mkdir(a)}catch(p){return ii.e(p)}},async readFile(a){try{const p=l.b.get(a.scheme);return p?(await l.a.$ensureActivation(a.scheme),(await p.impl.readFile(a)).slice()):(await l.a.$readFile(a)).buffer}catch(p){return ii.e(p)}},async writeFile(a,p){try{const f=l.b.get(a.scheme);return f&&!f.isReadonly?(await l.a.$ensureActivation(a.scheme),await l.d(f.impl,f.extUri,f.extUri.dirname(a)),await l.c.queueFor(a).queue(()=>Promise.resolve(f.impl.writeFile(a,p,{create:!0,overwrite:!0})))):await l.a.$writeFile(a,F.$Ib.wrap(p))}catch(f){return ii.e(f)}},async delete(a,p){try{const f=l.b.get(a.scheme);return f&&!f.isReadonly?(await l.a.$ensureActivation(a.scheme),await f.impl.delete(a,{recursive:!1,...p})):await l.a.$delete(a,{recursive:!1,useTrash:!1,atomic:!1,...p})}catch(f){return ii.e(f)}},async rename(a,p,f){try{return await l.a.$rename(a,p,{overwrite:!1,...f})}catch(E){return ii.e(E)}},async copy(a,p,f){try{return await l.a.$copy(a,p,{overwrite:!1,...f})}catch(E){return ii.e(E)}},isWritableFileSystem(a){const p=i.getCapabilities(a);if(typeof p=="number")return!(p&2048)}})}async d(w,i,l){const a=[];for(;!i.isEqual(l,i.dirname(l));)try{if(!((await w.stat(l)).type&A.FileType.Directory))throw h.$oK.FileExists(`Unable to create folder '${l.scheme===v.Schemas.file?l.fsPath:l.toString(!0)}' that already exists but is not a directory`);break}catch(p){if(A.$4j(p)!==A.FileSystemProviderErrorCode.FileNotFound)throw p;a.push(i.basename(l)),l=i.dirname(l)}for(let p=a.length-1;p>=0;p--){l=i.joinPath(l,a[p]);try{await w.createDirectory(l)}catch(f){if(A.$4j(f)!==A.FileSystemProviderErrorCode.FileExists)throw f}}}static e(w){if(w instanceof h.$oK)throw w;if(w instanceof A.$Zj)switch(w.code){case A.FileSystemProviderErrorCode.FileExists:throw h.$oK.FileExists(w.message);case A.FileSystemProviderErrorCode.FileNotFound:throw h.$oK.FileNotFound(w.message);case A.FileSystemProviderErrorCode.FileNotADirectory:throw h.$oK.FileNotADirectory(w.message);case A.FileSystemProviderErrorCode.FileIsADirectory:throw h.$oK.FileIsADirectory(w.message);case A.FileSystemProviderErrorCode.NoPermissions:throw h.$oK.NoPermissions(w.message);case A.FileSystemProviderErrorCode.Unavailable:throw h.$oK.Unavailable(w.message);default:throw new h.$oK(w.message,w.name)}if(!(w instanceof Error))throw new h.$oK(String(w));if(w.name==="ENOPRO"||w.message.includes("ENOPRO"))throw h.$oK.Unavailable(w.message);switch(w.name){case A.FileSystemProviderErrorCode.FileExists:throw h.$oK.FileExists(w.message);case A.FileSystemProviderErrorCode.FileNotFound:throw h.$oK.FileNotFound(w.message);case A.FileSystemProviderErrorCode.FileNotADirectory:throw h.$oK.FileNotADirectory(w.message);case A.FileSystemProviderErrorCode.FileIsADirectory:throw h.$oK.FileIsADirectory(w.message);case A.FileSystemProviderErrorCode.NoPermissions:throw h.$oK.NoPermissions(w.message);case A.FileSystemProviderErrorCode.Unavailable:throw h.$oK.Unavailable(w.message);default:throw new h.$oK(w.message,w.name)}}addFileSystemProvider(w,i,l){return this.b.set(w,{impl:i,extUri:l?.isCaseSensitive?I.$Vf:I.$Xf,isReadonly:!!l?.isReadonly}),(0,m.$ib)(()=>this.b.delete(w))}};e.$i$b=D=He([We(0,g.$aL),We(1,k.$Q0b)],D),e.$j$b=(0,R.$lh)("IExtHostConsumerFileSystem")}),define(De[286],Ce([1,0,3,33,2,6,15,7]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$D$b=void 0;class k{get ignoreCreateEvents(){return!!(this.g&1)}get ignoreChangeEvents(){return!!(this.g&2)}get ignoreDeleteEvents(){return!!(this.g&4)}constructor(I,v,D,C,w,i,l,a){this.a=new b.$5c,this.b=new b.$5c,this.c=new b.$5c;const p=this.h(I,D,w);this.g=0,i&&(this.g+=1),l&&(this.g+=2),a&&(this.g+=4);const f=(0,A.$aj)(w),E=typeof w=="string",n=C(o=>{if(!i)for(const s of o.created){const t=h.URI.revive(s);f(t.fsPath)&&(!E||v.getWorkspaceFolder(t))&&this.a.fire(t)}if(!l)for(const s of o.changed){const t=h.URI.revive(s);f(t.fsPath)&&(!E||v.getWorkspaceFolder(t))&&this.b.fire(t)}if(!a)for(const s of o.deleted){const t=h.URI.revive(s);f(t.fsPath)&&(!E||v.getWorkspaceFolder(t))&&this.c.fire(t)}});this.d=g.$aJ.from(p,this.a,this.b,this.c,n)}h(I,v,D){const C=g.$aJ.from();if(typeof D=="string")return C;const w=I.getProxy(F.$$I.MainThreadFileSystem);let i=!1;(D.pattern.includes(A.$9i)||D.pattern.includes(A.$0i))&&(i=!0);const l=Math.random();return w.$watch(v.identifier.value,l,D.baseUri,{recursive:i,excludes:[]}),g.$aJ.from({dispose:()=>w.$unwatch(l)})}dispose(){this.d.dispose()}get onDidCreate(){return this.a.event}get onDidChange(){return this.b.event}get onDidDelete(){return this.c.event}}class m{constructor(I,v,D){this.j=I,this.k=v,this.l=D,this.a=new b.$5c,this.b=new b.$5c,this.c=new b.$5c,this.d=new b.$5c,this.g=new b.$7c,this.h=new b.$7c,this.i=new b.$7c,this.onDidRenameFile=this.b.event,this.onDidCreateFile=this.c.event,this.onDidDeleteFile=this.d.event}createFileSystemWatcher(I,v,D,C,w,i){return new k(this.j,I,v,this.a.event,R.GlobPattern.from(D),C,w,i)}$onFileEvent(I){this.a.fire(I)}$onDidRunFileOperation(I,v){switch(I){case 2:this.b.fire(Object.freeze({files:v.map(D=>({oldUri:h.URI.revive(D.source),newUri:h.URI.revive(D.target)}))}));break;case 1:this.d.fire(Object.freeze({files:v.map(D=>h.URI.revive(D.target))}));break;case 0:case 3:this.c.fire(Object.freeze({files:v.map(D=>h.URI.revive(D.target))}));break;default:}}getOnWillRenameFileEvent(I){return this.m(I,this.g)}getOnWillCreateFileEvent(I){return this.m(I,this.h)}getOnWillDeleteFileEvent(I){return this.m(I,this.i)}m(I,v){return(D,C,w)=>{const i=function(a){D.call(C,a)};return i.extension=I,v.event(i,void 0,w)}}async $onWillRunFileOperation(I,v,D,C){switch(I){case 2:return await this.n(this.g,{files:v.map(w=>({oldUri:h.URI.revive(w.source),newUri:h.URI.revive(w.target)}))},D,C);case 1:return await this.n(this.i,{files:v.map(w=>h.URI.revive(w.target))},D,C);case 0:case 3:return await this.n(this.h,{files:v.map(w=>h.URI.revive(w.target))},D,C)}}async n(I,v,D,C){const w=new Set,i=[];if(await I.fireAsync(v,C,async(a,p)=>{const f=Date.now(),E=await Promise.resolve(a);E instanceof g.$kJ&&(i.push([p.extension,E]),w.add(p.extension.displayName??p.extension.identifier.value)),Date.now()-f>D&&this.k.warn("SLOW file-participant",p.extension.identifier)}),C.isCancellationRequested||i.length===0)return;const l={edits:[]};for(const[,a]of i){const{edits:p}=R.WorkspaceEdit.from(a,{getTextDocumentVersion:f=>this.l.getDocument(f)?.version,getNotebookDocumentVersion:()=>{}});l.edits=l.edits.concat(p)}return{edit:l,extensionNames:Array.from(w)}}}e.$D$b=m}),define(De[287],Ce([1,0,4,2,6,15,7,36]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$K_b=void 0;class k{constructor(v,D){this.extension=v,this.provider=D,this.handle=k.a++}}k.a=0;class m{constructor(v){this.session=v,this.responses=[]}}class L{constructor(v,D,C,w){this.f=C,this.g=w,this.b=new Map,this.d=new Map,this.e=v.getProxy(h.$$I.MainThreadInlineChat),D.registerApiCommand(new g.$AL("vscode.editorChat.start","inlineChat.start","Invoke a new editor chat session",[new g.$yL("Run arguments","",i=>!0,i=>{if(i)return{initialRange:i.initialRange?F.Range.from(i.initialRange):void 0,message:i.message,autoSend:i.autoSend}})],g.$zL.Void))}registerProvider(v,D){const C=new k(v,D);return this.b.set(C.handle,C),this.e.$registerInteractiveEditorProvider(C.handle,v.identifier.value,typeof D.handleInteractiveEditorResponseFeedback=="function"),(0,b.$ib)(()=>{this.e.$unregisterInteractiveEditorProvider(C.handle),this.b.delete(C.handle)})}async $prepareSession(v,D,C,w){const i=this.b.get(v);if(!i){this.g.warn("CANNOT prepare session because the PROVIDER IS GONE");return}const l=this.f.getDocument(A.URI.revive(D)),a=F.Selection.to(C),p=await i.provider.prepareInteractiveEditorSession({document:l,selection:a},w);if(!p)return;if(p.wholeRange&&!p.wholeRange.contains(a))throw new Error("InteractiveEditorSessionProvider returned a wholeRange that does not contain the selection.");const f=L.a++;return this.d.set(f,new m(p)),{id:f,placeholder:p.placeholder,slashCommands:p.slashCommands?.map(E=>({command:E.command,detail:E.detail,refer:E.refer})),wholeRange:F.Range.from(p.wholeRange),message:p.message}}async $provideResponse(v,D,C,w){const i=this.b.get(v);if(!i)return;const l=this.d.get(D.id);if(!l)return;const a=await i.provider.provideInteractiveEditorResponse({session:l.session,prompt:C.prompt,selection:F.Selection.to(C.selection),wholeRange:F.Range.to(C.wholeRange),attempt:C.attempt},w);if(a){const p=l.responses.push(a)-1,f={wholeRange:F.Range.from(a.wholeRange),placeholder:a.placeholder};if(L.h(a))return{...f,id:p,type:"message",message:F.MarkdownString.from(a.contents)};const{edits:E}=a;if(E instanceof R.$kJ)return{...f,id:p,type:"bulkEdit",edits:F.WorkspaceEdit.from(E)};if(Array.isArray(E))return{...f,id:p,type:"editorEdit",edits:E.map(F.TextEdit.from)}}}$handleFeedback(v,D,C,w){const i=this.b.get(v),l=this.d.get(D),a=l?.responses[C];if(i&&a){let p;switch(w){case 1:p=R.InteractiveEditorResponseFeedbackKind.Helpful;break;case 0:p=R.InteractiveEditorResponseFeedbackKind.Unhelpful;break;case 2:p=R.InteractiveEditorResponseFeedbackKind.Undone;break}i.provider.handleInteractiveEditorResponseFeedback?.(l.session,a,p)}}$releaseSession(v,D){const C=this.d.get(D),w=this.b.get(v);C&&w&&w.provider.releaseInteractiveEditorSession?.(C.session),this.d.delete(D)}static h(v){return typeof v=="object"&&typeof v.contents=="object"}}e.$K_b=L,L.a=0}),define(De[288],Ce([1,0,2,36]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$G_b=void 0;class h{constructor(R,g,k,m,L){this.a=g,this.b=k,this.c=m;const I=new A.$AL("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new A.$yL("showOptions","Show Options",v=>!0,v=>v),new A.$yL("resource","Interactive resource Uri",v=>!0,v=>v),new A.$yL("controllerId","Notebook controller Id",v=>!0,v=>v),new A.$yL("title","Interactive editor title",v=>!0,v=>v)],new A.$zL("Notebook and input URI",v=>{if(L.debug("[ExtHostInteractive] open iw with notebook editor id",v.notebookEditorId),v.notebookEditorId!==void 0){const D=this.a.getEditorById(v.notebookEditorId);return L.debug("[ExtHostInteractive] notebook editor found",D.id),{notebookUri:b.URI.revive(v.notebookUri),inputUri:b.URI.revive(v.inputUri),notebookEditor:D.apiEditor}}return L.debug("[ExtHostInteractive] notebook editor not found, uris for the interactive document",v.notebookUri,v.inputUri),{notebookUri:b.URI.revive(v.notebookUri),inputUri:b.URI.revive(v.inputUri)}}));this.c.registerApiCommand(I)}$willAddInteractiveDocument(R,g,k,m){this.b.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:g,lines:[""],languageId:k,uri:R,isDirty:!1,versionId:1,notebook:this.a.getNotebookDocument(b.URI.revive(m))?.apiNotebook}]})}$willRemoveInteractiveDocument(R,g){this.b.acceptDocumentsAndEditorsDelta({removedDocuments:[R]})}}e.$G_b=h}),define(De[289],Ce([1,0,6,7]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$N_b=void 0;class h{constructor(R){this.a=new Map,this.b=R.getProxy(b.$$I.MainThreadIssueReporter)}async $getIssueReporterUri(R,g){if(this.a.size===0)throw new Error("No issue request handlers registered");const k=this.a.get(R);if(!k)throw new Error("Issue request handler not found");const m=await k.handleIssueUrlRequest();if(!m)throw new Error("Issue request handler returned no result");return m}registerIssueUriRequestHandler(R,g){const k=R.identifier.value;return this.a.set(k,g),this.b.$registerIssueUriRequestHandler(k),new A.$aJ(()=>{this.b.$unregisterIssueUriRequestHandler(k),this.a.delete(k)})}}e.$N_b=h}),define(De[290],Ce([1,0,4,6]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Z$b=void 0;class h{constructor(R){this.b=0,this.a=R.getProxy(A.$$I.MainThreadLabelService)}$registerResourceLabelFormatter(R){const g=this.b++;return this.a.$registerResourceLabelFormatter(g,R),(0,b.$ib)(()=>{this.a.$unregisterResourceLabelFormatter(g)})}}e.$Z$b=h}),define(De[291],Ce([1,0,2,24,15,7,76,6,9,35,19,12,156,21,4,123,111,80,39,8,17,27,191]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$W0b=void 0;class o{constructor(T,K){this.d=T,this.e=K}async provideDocumentSymbols(T,K){const X=this.d.getDocument(T),x=await this.e.provideDocumentSymbols(X,K);if(!(0,L.$mf)(x))return x[0]instanceof F.$sJ?x.map(h.DocumentSymbol.from):o.f(x)}static f(T){T=T.slice(0).sort((x,me)=>{let Ee=x.location.range.start.compareTo(me.location.range.start);return Ee===0&&(Ee=me.location.range.end.compareTo(x.location.range.end)),Ee});const K=[],X=[];for(const x of T){const me={name:x.name||"!!MISSING: name!!",kind:h.SymbolKind.from(x.kind),tags:x.tags?.map(h.SymbolTag.from)||[],detail:"",containerName:x.containerName,range:h.Range.from(x.location.range),selectionRange:h.Range.from(x.location.range),children:[]};for(;;){if(X.length===0){X.push(me),K.push(me);break}const Ee=X[X.length-1];if(m.$Kr.containsRange(Ee.range,me.range)&&!m.$Kr.equalsRange(Ee.range,me.range)){Ee.children?.push(me),X.push(me);break}X.pop()}}return K}}class s{constructor(T,K,X){this.g=T,this.h=K,this.j=X,this.e=new l.$N0b("CodeLens"),this.f=new Map}async provideCodeLenses(T,K){const X=this.g.getDocument(T),x=await this.j.provideCodeLenses(X,K);if(!x||K.isCancellationRequested)return;const me=this.e.add(x),Ee=new C.$jb;this.f.set(me,Ee);const fe={cacheId:me,lenses:[]};for(let Ie=0;Ie<x.length;Ie++)fe.lenses.push({cacheId:[me,Ie],range:h.Range.from(x[Ie].range),command:this.h.toInternal(x[Ie].command,Ee)});return fe}async resolveCodeLens(T,K){const X=T.cacheId&&this.e.get(...T.cacheId);if(!X)return;let x;if(typeof this.j.resolveCodeLens!="function"||X.isResolved?x=X:x=await this.j.resolveCodeLens(X,K),x||(x=X),K.isCancellationRequested)return;const me=T.cacheId&&this.f.get(T.cacheId[0]);if(me)return T.command=this.h.toInternal(x.command??s.d,me),T}releaseCodeLenses(T){this.f.get(T)?.dispose(),this.f.delete(T),this.e.delete(T)}}s.d={command:"missing",title:"!!MISSING: command!!"};function t(oe){return Array.isArray(oe)?oe.map(h.DefinitionLink.from):oe?[h.DefinitionLink.from(oe)]:[]}class u{constructor(T,K){this.d=T,this.e=K}async provideDefinition(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideDefinition(x,me,X);return t(Ee)}}class ${constructor(T,K){this.d=T,this.e=K}async provideDeclaration(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideDeclaration(x,me,X);return t(Ee)}}class d{constructor(T,K){this.d=T,this.e=K}async provideImplementation(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideImplementation(x,me,X);return t(Ee)}}class S{constructor(T,K){this.d=T,this.e=K}async provideTypeDefinition(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideTypeDefinition(x,me,X);return t(Ee)}}class y{constructor(T,K){this.d=T,this.e=K}async provideHover(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideHover(x,me,X);if(!(!Ee||(0,L.$mf)(Ee.contents)))return Ee.range||(Ee.range=x.getWordRangeAtPosition(me)),Ee.range||(Ee.range=new F.$cJ(me,me)),h.Hover.from(Ee)}}class c{constructor(T,K){this.d=T,this.e=K}async provideEvaluatableExpression(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideEvaluatableExpression(x,me,X);if(Ee)return h.EvaluatableExpression.from(Ee)}}class r{constructor(T,K){this.d=T,this.e=K}async provideInlineValues(T,K,X,x){const me=this.d.getDocument(T),Ee=await this.e.provideInlineValues(me,h.Range.to(K),h.InlineValueContext.to(X),x);if(Array.isArray(Ee))return Ee.map(fe=>h.InlineValue.from(fe))}}class P{constructor(T,K){this.d=T,this.e=K}async provideDocumentHighlights(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideDocumentHighlights(x,me,X);if(Array.isArray(Ee))return Ee.map(h.DocumentHighlight.from)}}class N{constructor(T,K){this.d=T,this.e=K}async provideLinkedEditingRanges(T,K,X){const x=this.d.getDocument(T),me=h.Position.to(K),Ee=await this.e.provideLinkedEditingRanges(x,me,X);if(Ee&&Array.isArray(Ee.ranges))return{ranges:(0,L.$jf)(Ee.ranges.map(h.Range.from)),wordPattern:Ee.wordPattern}}}class U{constructor(T,K){this.d=T,this.e=K}async provideReferences(T,K,X,x){const me=this.d.getDocument(T),Ee=h.Position.to(K),fe=await this.e.provideReferences(me,Ee,X,x);if(Array.isArray(fe))return fe.map(h.location.from)}}class q{constructor(T,K,X,x,me,Ee,fe){this.h=T,this.j=K,this.k=X,this.l=x,this.m=me,this.n=Ee,this.o=fe,this.e=new l.$N0b("CodeAction"),this.f=new Map,this.g=new F.$uJ("notebook")}async provideCodeActions(T,K,X,x){const me=this.h.getDocument(T),Ee=v.$Sr.isISelection(K)?h.Selection.to(K):h.Range.to(K),fe=[];for(const Ge of this.k.getDiagnostics(T))if(Ee.intersection(Ge.range)&&fe.push(Ge)>q.d)break;const Ie={diagnostics:fe,only:X.only?new F.$uJ(X.only):void 0,triggerKind:h.CodeActionTriggerKind.to(X.trigger)},Pe=await this.l.provideCodeActions(me,Ee,Ie,x);if(!(0,L.$nf)(Pe)||x.isCancellationRequested)return;const qe=this.e.add(Pe),Ve=new C.$jb;this.f.set(qe,Ve);const tt=[];for(let Ge=0;Ge<Pe.length;Ge++){const Qe=Pe[Ge];if(Qe)if(q.p(Qe))this.o.report("CodeActionProvider.provideCodeActions - return commands",this.n,"Return 'CodeAction' instances instead."),tt.push({_isSynthetic:!0,title:Qe.title,command:this.j.toInternal(Qe,Ve)});else{if(Ie.triggerKind!==F.CodeActionTriggerKind.Invoke&&Qe.kind&&this.g.contains(Qe.kind))continue;Ie.only&&(Qe.kind?Ie.only.contains(Qe.kind)||this.m.warn(`${this.n.identifier.value} - Code actions of kind '${Ie.only.value} 'requested but returned code action is of kind '${Qe.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this.m.warn(`${this.n.identifier.value} - Code actions of kind '${Ie.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),tt.push({cacheId:[qe,Ge],title:Qe.title,command:Qe.command&&this.j.toInternal(Qe.command,Ve),diagnostics:Qe.diagnostics&&Qe.diagnostics.map(h.Diagnostic.from),edit:Qe.edit&&h.WorkspaceEdit.from(Qe.edit,void 0),kind:Qe.kind&&Qe.kind.value,isPreferred:Qe.isPreferred,disabled:Qe.disabled?.reason})}}return{cacheId:qe,actions:tt}}async resolveCodeAction(T,K){const[X,x]=T,me=this.e.get(X,x);if(!me||q.p(me))return{};if(!this.l.resolveCodeAction)return{};const Ee=await this.l.resolveCodeAction(me,K)??me;let fe;Ee.edit&&(fe=h.WorkspaceEdit.from(Ee.edit,void 0));let Ie;if(Ee.command){const Pe=this.f.get(X);Pe&&(Ie=this.j.toInternal(Ee.command,Pe))}return{edit:fe,command:Ie}}releaseCodeActions(T){this.f.get(T)?.dispose(),this.f.delete(T),this.e.delete(T)}static p(T){return typeof T.command=="string"&&typeof T.title=="string"}}q.d=1e3;class W{constructor(T,K,X,x,me){this.d=T,this.e=K,this.f=X,this.g=x,this.h=me}async prepareDocumentPaste(T,K,X,x){if(!this.f.prepareDocumentPaste)return;const me=this.e.getDocument(T),Ee=K.map(Pe=>h.Range.to(Pe)),fe=h.DataTransfer.toDataTransfer(X,()=>{throw new p.$9});if(await this.f.prepareDocumentPaste(me,Ee,fe,x),x.isCancellationRequested)return;const Ie=Array.from(fe).filter(([,Pe])=>!(Pe instanceof F.$2J));return h.DataTransfer.from(Ie)}async providePasteEdits(T,K,X,x,me){if(!this.f.provideDocumentPasteEdits)return;const Ee=this.e.getDocument(K),fe=X.map(qe=>h.Range.to(qe)),Ie=h.DataTransfer.toDataTransfer(x,async qe=>(await this.d.$resolvePasteFileData(this.g,T,qe)).buffer),Pe=await this.f.provideDocumentPasteEdits(Ee,fe,Ie,me);if(Pe)return{id:Pe.id?this.h.identifier.value+"."+Pe.id:this.h.identifier.value,label:Pe.label??(0,n.localize)(0,null,this.h.displayName||this.h.name),detail:this.h.displayName||this.h.name,priority:Pe.priority??0,insertText:typeof Pe.insertText=="string"?Pe.insertText:{snippet:Pe.insertText.value},additionalEdit:Pe.additionalEdit?h.WorkspaceEdit.from(Pe.additionalEdit,void 0):void 0}}}class O{constructor(T,K){this.d=T,this.e=K}async provideDocumentFormattingEdits(T,K,X){const x=this.d.getDocument(T),me=await this.e.provideDocumentFormattingEdits(x,K,X);if(Array.isArray(me))return me.map(h.TextEdit.from)}}class J{constructor(T,K){this.d=T,this.e=K}async provideDocumentRangeFormattingEdits(T,K,X,x){const me=this.d.getDocument(T),Ee=h.Range.to(K),fe=await this.e.provideDocumentRangeFormattingEdits(me,Ee,X,x);if(Array.isArray(fe))return fe.map(h.TextEdit.from)}async provideDocumentRangesFormattingEdits(T,K,X,x){(0,I.$qe)(typeof this.e.provideDocumentRangesFormattingEdits=="function","INVALID invocation of `provideDocumentRangesFormattingEdits`");const me=this.d.getDocument(T),Ee=K.map(h.Range.to),fe=await this.e.provideDocumentRangesFormattingEdits(me,Ee,X,x);if(Array.isArray(fe))return fe.map(h.TextEdit.from)}}class z{constructor(T,K){this.d=T,this.e=K,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(T,K,X,x,me){const Ee=this.d.getDocument(T),fe=h.Position.to(K),Ie=await this.e.provideOnTypeFormattingEdits(Ee,fe,X,x,me);if(Array.isArray(Ie))return Ie.map(h.TextEdit.from)}}class j{constructor(T,K){this.e=T,this.f=K,this.d=new l.$N0b("WorkspaceSymbols")}async provideWorkspaceSymbols(T,K){const X=await this.e.provideWorkspaceSymbols(T,K);if(!(0,L.$nf)(X))return{symbols:[]};const x=this.d.add(X),me={cacheId:x,symbols:[]};for(let Ee=0;Ee<X.length;Ee++){const fe=X[Ee];if(!fe||!fe.name){this.f.warn("INVALID SymbolInformation",fe);continue}me.symbols.push({...h.WorkspaceSymbol.from(fe),cacheId:[x,Ee]})}return me}async resolveWorkspaceSymbol(T,K){if(typeof this.e.resolveWorkspaceSymbol!="function"||!T.cacheId)return T;const X=this.d.get(...T.cacheId);if(X){const x=await this.e.resolveWorkspaceSymbol(X,K);return x&&(0,A.$Gm)(T,h.WorkspaceSymbol.from(x),!0)}}releaseWorkspaceSymbols(T){this.d.delete(T)}}class he{static supportsResolving(T){return typeof T.prepareRename=="function"}constructor(T,K,X){this.d=T,this.e=K,this.f=X}async provideRenameEdits(T,K,X,x){const me=this.d.getDocument(T),Ee=h.Position.to(K);try{const fe=await this.e.provideRenameEdits(me,Ee,X,x);return fe?h.WorkspaceEdit.from(fe):void 0}catch(fe){const Ie=he.g(fe);return Ie?{rejectReason:Ie,edits:void 0}:Promise.reject(fe)}}async resolveRenameLocation(T,K,X){if(typeof this.e.prepareRename!="function")return Promise.resolve(void 0);const x=this.d.getDocument(T),me=h.Position.to(K);try{const Ee=await this.e.prepareRename(x,me,X);let fe,Ie;if(F.$cJ.isRange(Ee)?(fe=Ee,Ie=x.getText(Ee)):(0,I.$ie)(Ee)&&(fe=Ee.range,Ie=Ee.placeholder),!fe||!Ie)return;if(fe.start.line>me.line||fe.end.line<me.line){this.f.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:h.Range.from(fe),text:Ie}}catch(Ee){const fe=he.g(Ee);return fe?{rejectReason:fe,range:void 0,text:void 0}:Promise.reject(Ee)}}static g(T){return typeof T=="string"?T:T instanceof Error&&typeof T.message=="string"?T.message:void 0}}class ie{constructor(T,K){this.resultId=T,this.tokens=K}}class ne{constructor(T,K){this.f=T,this.g=K,this.e=1,this.d=new Map}async provideDocumentSemanticTokens(T,K,X){const x=this.f.getDocument(T),me=K!==0?this.d.get(K):null;let Ee=typeof me?.resultId=="string"&&typeof this.g.provideDocumentSemanticTokensEdits=="function"?await this.g.provideDocumentSemanticTokensEdits(x,me.resultId,X):await this.g.provideDocumentSemanticTokens(x,X);return me&&this.d.delete(K),Ee?(Ee=ne.h(Ee),this.o(ne.n(me,Ee),Ee)):null}async releaseDocumentSemanticColoring(T){this.d.delete(T)}static h(T){return ne.j(T)?ne.k(T)?T:new F.$sK(new Uint32Array(T.data),T.resultId):ne.l(T)?ne.m(T)?T:new F.$uK(T.edits.map(K=>new F.$tK(K.start,K.deleteCount,K.data?new Uint32Array(K.data):K.data)),T.resultId):T}static j(T){return T&&!!T.data}static k(T){return T.data instanceof Uint32Array}static l(T){return T&&Array.isArray(T.edits)}static m(T){for(const K of T.edits)if(!(K.data instanceof Uint32Array))return!1;return!0}static n(T,K){if(!ne.j(K)||!T||!T.tokens)return K;const X=T.tokens,x=X.length,me=K.data,Ee=me.length;let fe=0;const Ie=Math.min(x,Ee);for(;fe<Ie&&X[fe]===me[fe];)fe++;if(fe===x&&fe===Ee)return new F.$uK([],K.resultId);let Pe=0;const qe=Ie-fe;for(;Pe<qe&&X[x-Pe-1]===me[Ee-Pe-1];)Pe++;return new F.$uK([{start:fe,deleteCount:x-fe-Pe,data:me.subarray(fe,Ee-Pe)}],K.resultId)}o(T,K){if(ne.j(T)){const X=this.e++;return this.d.set(X,new ie(T.resultId,T.data)),(0,w.$c7)({id:X,type:"full",data:T.data})}if(ne.l(T)){const X=this.e++;return ne.j(K)?this.d.set(X,new ie(K.resultId,K.data)):this.d.set(X,new ie(T.resultId)),(0,w.$c7)({id:X,type:"delta",deltas:(T.edits||[]).map(x=>({start:x.start,deleteCount:x.deleteCount,data:x.data}))})}return null}}class V{constructor(T,K){this.d=T,this.e=K}async provideDocumentRangeSemanticTokens(T,K,X){const x=this.d.getDocument(T),me=await this.e.provideDocumentRangeSemanticTokens(x,h.Range.to(K),X);return me?this.f(me):null}f(T){return(0,w.$c7)({id:0,type:"full",data:T.data})}}class H{static supportsResolving(T){return typeof T.resolveCompletionItem=="function"}constructor(T,K,X,x,me){this.f=T,this.g=K,this.h=X,this.j=x,this.k=me,this.d=new l.$N0b("CompletionItem"),this.e=new Map}async provideCompletionItems(T,K,X,x){const me=this.f.getDocument(T),Ee=h.Position.to(K),fe=me.getWordRangeAtPosition(Ee)||new F.$cJ(Ee,Ee),Ie=fe.with({end:Ee}),Pe=new a.$1c,qe=await this.h.provideCompletionItems(me,Ee,x,h.CompletionContext.to(X));if(!qe||x.isCancellationRequested)return;const Ve=Array.isArray(qe)?new F.$IJ(qe):qe,tt=H.supportsResolving(this.h)?this.d.add(Ve.items):this.d.add([]),Ge=new C.$jb;this.e.set(tt,Ge);const Qe=[],st={x:tt,b:Qe,a:{replace:h.Range.from(fe),insert:h.Range.from(Ie)},c:Ve.isIncomplete||void 0,d:Pe.elapsed()};for(let at=0;at<Ve.items.length;at++){const xe=Ve.items[at],rt=this.l(xe,[tt,at],Ie,fe);Qe.push(rt)}return st}async resolveCompletionItem(T,K){if(typeof this.h.resolveCompletionItem!="function")return;const X=this.d.get(...T);if(!X)return;const x=this.l(X,T),me=await this.h.resolveCompletionItem(X,K);if(!me)return;const Ee=this.l(me,T);return(x.h!==Ee.h||x.i!==Ee.i)&&this.j.report("CompletionItem.insertText",this.k,"extension MAY NOT change 'insertText' of a CompletionItem during resolve"),(x.n!==Ee.n||x.o!==Ee.o||!(0,A.$Hm)(x.p,Ee.p))&&this.j.report("CompletionItem.command",this.k,"extension MAY NOT change 'command' of a CompletionItem during resolve"),{...x,d:Ee.d,c:Ee.c,l:Ee.l,h:Ee.h,i:Ee.i,n:Ee.n,o:Ee.o,p:Ee.p}}releaseCompletionItems(T){this.e.get(T)?.dispose(),this.e.delete(T),this.d.delete(T)}l(T,K,X,x){const me=this.e.get(K[0]);if(!me)throw Error("DisposableStore is missing...");const Ee=this.g.toInternal(T.command,me),fe={x:K,a:T.label,b:T.kind!==void 0?h.CompletionItemKind.from(T.kind):void 0,m:T.tags&&T.tags.map(h.CompletionItemTag.from),c:T.detail,d:typeof T.documentation>"u"?void 0:h.MarkdownString.fromStrict(T.documentation),e:T.sortText!==T.label?T.sortText:void 0,f:T.filterText!==T.label?T.filterText:void 0,g:T.preselect||void 0,i:T.keepWhitespace?1:0,k:T.commitCharacters?.join(""),l:T.additionalTextEdits&&T.additionalTextEdits.map(h.TextEdit.from),n:Ee?.$ident,o:Ee?.id,p:Ee?.$ident?void 0:Ee?.arguments};T.textEdit?(this.j.report("CompletionItem.textEdit",this.k,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),fe.h=T.textEdit.newText):typeof T.insertText=="string"?fe.h=T.insertText:T.insertText instanceof F.$lJ&&(fe.h=T.insertText.value,fe.i|=4);let Ie;return T.textEdit?Ie=T.textEdit.range:T.range&&(Ie=T.range),F.$cJ.isRange(Ie)?fe.j=h.Range.from(Ie):Ie&&(!X?.isEqual(Ie.inserting)||!x?.isEqual(Ie.replacing))&&(fe.j={insert:h.Range.from(Ie.inserting),replace:h.Range.from(Ie.replacing)}),fe}}class ce{async provideInlineCompletions(T,K,X,x){}disposeCompletions(T){}handleDidShowCompletionItem(T,K,X){}handlePartialAccept(T,K,X){}}class pe extends ce{constructor(T,K,X,x){super(),this.f=T,this.g=K,this.h=X,this.j=x,this.d=new ye,this.e=(0,E.$0E)(this.f,"inlineCompletionsAdditions"),this.k={[R.InlineCompletionTriggerKind.Automatic]:F.InlineCompletionTriggerKind.Automatic,[R.InlineCompletionTriggerKind.Explicit]:F.InlineCompletionTriggerKind.Invoke}}get supportsHandleEvents(){return(0,E.$0E)(this.f,"inlineCompletionsAdditions")&&(typeof this.h.handleDidShowCompletionItem=="function"||typeof this.h.handleDidPartiallyAcceptCompletionItem=="function")}async provideInlineCompletions(T,K,X,x){const me=this.g.getDocument(T),Ee=h.Position.to(K),fe=await this.h.provideInlineCompletionItems(me,Ee,{selectedCompletionInfo:X.selectedSuggestionInfo?{range:h.Range.to(X.selectedSuggestionInfo.range),text:X.selectedSuggestionInfo.text}:void 0,triggerKind:this.k[X.triggerKind]},x);if(!fe||x.isCancellationRequested)return;const Ie=Array.isArray(fe)?fe:fe.items,Pe=this.e?Array.isArray(fe)?[]:fe.commands||[]:[],qe=this.e&&!Array.isArray(fe)?fe.suppressSuggestions:void 0,Ve=this.e&&!Array.isArray(fe)?fe.enableForwardStability:void 0;let tt;return{pid:this.d.createReferenceId({dispose(){tt?.dispose()},items:Ie}),items:Ie.map((Qe,st)=>{let at;Qe.command&&(tt||(tt=new C.$jb),at=this.j.toInternal(Qe.command,tt));const xe=Qe.insertText;return{insertText:typeof xe=="string"?xe:{snippet:xe.value},filterText:Qe.filterText,range:Qe.range?h.Range.from(Qe.range):void 0,command:at,idx:st,completeBracketPairs:this.e?Qe.completeBracketPairs:!1}}),commands:Pe.map(Qe=>(tt||(tt=new C.$jb),this.j.toInternal(Qe,tt))),suppressSuggestions:qe,enableForwardStability:Ve}}disposeCompletions(T){this.d.disposeReferenceId(T)?.dispose()}handleDidShowCompletionItem(T,K,X){const x=this.d.get(T)?.items[K];x&&this.h.handleDidShowCompletionItem&&this.e&&this.h.handleDidShowCompletionItem(x,X)}handlePartialAccept(T,K,X){const x=this.d.get(T)?.items[K];x&&this.h.handleDidPartiallyAcceptCompletionItem&&this.e&&this.h.handleDidPartiallyAcceptCompletionItem(x,X)}}class ye{constructor(){this.d=new Map,this.e=1}createReferenceId(T){const K=this.e++;return this.d.set(K,T),K}disposeReferenceId(T){const K=this.d.get(T);return this.d.delete(T),K}get(T){return this.d.get(T)}}class ge{constructor(T,K){this.e=T,this.f=K,this.d=new l.$N0b("SignatureHelp")}async provideSignatureHelp(T,K,X,x){const me=this.e.getDocument(T),Ee=h.Position.to(K),fe=this.g(X),Ie=await this.f.provideSignatureHelp(me,Ee,x,fe);if(Ie){const Pe=this.d.add([Ie]);return{...h.SignatureHelp.from(Ie),id:Pe}}}g(T){let K;if(T.activeSignatureHelp){const X=h.SignatureHelp.to(T.activeSignatureHelp),x=this.d.get(T.activeSignatureHelp.id,0);x?(K=x,K.activeSignature=X.activeSignature,K.activeParameter=X.activeParameter):K=X}return{...T,activeSignatureHelp:K}}releaseSignatureHelp(T){this.d.delete(T)}}class M{constructor(T,K,X,x,me){this.f=T,this.g=K,this.h=X,this.j=x,this.k=me,this.d=new l.$N0b("InlayHints"),this.e=new Map}async provideInlayHints(T,K,X){const x=this.f.getDocument(T),me=h.Range.to(K),Ee=await this.h.provideInlayHints(x,me,X);if(!Array.isArray(Ee)||Ee.length===0){this.j.trace(`[InlayHints] NO inlay hints from '${this.k.identifier.value}' for ${K}`);return}if(X.isCancellationRequested)return;const fe=this.d.add(Ee);this.e.set(fe,new C.$jb);const Ie={hints:[],cacheId:fe};for(let Pe=0;Pe<Ee.length;Pe++)this.l(Ee[Pe],me)&&Ie.hints.push(this.m(Ee[Pe],[fe,Pe]));return this.j.trace(`[InlayHints] ${Ie.hints.length} inlay hints from '${this.k.identifier.value}' for ${K}`),Ie}async resolveInlayHint(T,K){if(typeof this.h.resolveInlayHint!="function")return;const X=this.d.get(...T);if(!X)return;const x=await this.h.resolveInlayHint(X,K);if(x&&this.l(x))return this.m(x,T)}releaseHints(T){this.e.get(T)?.dispose(),this.e.delete(T),this.d.delete(T)}l(T,K){return T.label.length===0||Array.isArray(T.label)&&T.label.every(X=>X.value.length===0)?(console.log("INVALID inlay hint, empty label",T),!1):!(K&&!K.contains(T.position))}m(T,K){const X=this.e.get(K[0]);if(!X)throw Error("DisposableStore is missing...");const x={label:"",cacheId:K,tooltip:h.MarkdownString.fromStrict(T.tooltip),position:h.Position.from(T.position),textEdits:T.textEdits&&T.textEdits.map(h.TextEdit.from),kind:T.kind&&h.InlayHintKind.from(T.kind),paddingLeft:T.paddingLeft,paddingRight:T.paddingRight};return typeof T.label=="string"?x.label=T.label:x.label=T.label.map(me=>{const Ee={label:me.value};return Ee.tooltip=h.MarkdownString.fromStrict(me.tooltip),F.$mJ.isLocation(me.location)&&(Ee.location=h.location.from(me.location)),me.command&&(Ee.command=this.g.toInternal(me.command,X)),Ee}),x}}class Q{constructor(T,K){this.e=T,this.f=K,this.d=new l.$N0b("DocumentLink")}async provideLinks(T,K){const X=this.e.getDocument(T),x=await this.f.provideDocumentLinks(X,K);if(!(!Array.isArray(x)||x.length===0)&&!K.isCancellationRequested){if(typeof this.f.resolveDocumentLink!="function")return{links:x.filter(Q.g).map(h.DocumentLink.from)};{const me=this.d.add(x),Ee={links:[],cacheId:me};for(let fe=0;fe<x.length;fe++){if(!Q.g(x[fe]))continue;const Ie=h.DocumentLink.from(x[fe]);Ie.cacheId=[me,fe],Ee.links.push(Ie)}return Ee}}}static g(T){return T.target&&T.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(T,K){if(typeof this.f.resolveDocumentLink!="function")return;const X=this.d.get(...T);if(!X)return;const x=await this.f.resolveDocumentLink(X,K);if(!(!x||!Q.g(x)))return h.DocumentLink.from(x)}releaseLinks(T){this.d.delete(T)}}class ve{constructor(T,K){this.d=T,this.e=K}async provideColors(T,K){const X=this.d.getDocument(T),x=await this.e.provideDocumentColors(X,K);return Array.isArray(x)?x.map(Ee=>({color:h.Color.from(Ee.color),range:h.Range.from(Ee.range)})):[]}async provideColorPresentations(T,K,X){const x=this.d.getDocument(T),me=h.Range.to(K.range),Ee=h.Color.to(K.color),fe=await this.e.provideColorPresentations(Ee,{document:x,range:me},X);if(Array.isArray(fe))return fe.map(h.ColorPresentation.from)}}class Se{constructor(T,K){this.d=T,this.e=K}async provideFoldingRanges(T,K,X){const x=this.d.getDocument(T),me=await this.e.provideFoldingRanges(x,K,X);if(Array.isArray(me))return me.map(h.FoldingRange.from)}}class ee{constructor(T,K,X){this.d=T,this.e=K,this.f=X}async provideSelectionRanges(T,K,X){const x=this.d.getDocument(T),me=K.map(h.Position.to),Ee=await this.e.provideSelectionRanges(x,me,X);if(!(0,L.$nf)(Ee))return[];if(Ee.length!==me.length)return this.f.warn("BAD selection ranges, provider must return ranges for each position"),[];const fe=[];for(let Ie=0;Ie<me.length;Ie++){const Pe=[];fe.push(Pe);let qe=me[Ie],Ve=Ee[Ie];for(;;){if(!Ve.range.contains(qe))throw new Error("INVALID selection range, must contain the previous range");if(Pe.push(h.SelectionRange.from(Ve)),!Ve.parent)break;qe=Ve.range,Ve=Ve.parent}}return fe}}class te{constructor(T,K){this.f=T,this.g=K,this.d=new i.$fL(""),this.e=new Map}async prepareSession(T,K,X){const x=this.f.getDocument(T),me=h.Position.to(K),Ee=await this.g.prepareCallHierarchy(x,me,X);if(!Ee)return;const fe=this.d.nextId();return this.e.set(fe,new Map),Array.isArray(Ee)?Ee.map(Ie=>this.h(fe,Ie)):[this.h(fe,Ee)]}async provideCallsTo(T,K,X){const x=this.j(T,K);if(!x)throw new Error("missing call hierarchy item");const me=await this.g.provideCallHierarchyIncomingCalls(x,X);if(me)return me.map(Ee=>({from:this.h(T,Ee.from),fromRanges:Ee.fromRanges.map(fe=>h.Range.from(fe))}))}async provideCallsFrom(T,K,X){const x=this.j(T,K);if(!x)throw new Error("missing call hierarchy item");const me=await this.g.provideCallHierarchyOutgoingCalls(x,X);if(me)return me.map(Ee=>({to:this.h(T,Ee.to),fromRanges:Ee.fromRanges.map(fe=>h.Range.from(fe))}))}releaseSession(T){this.e.delete(T)}h(T,K){const X=this.e.get(T),x=h.CallHierarchyItem.from(K,T,X.size.toString(36));return X.set(x._itemId,K),x}j(T,K){return this.e.get(T)?.get(K)}}class ue{constructor(T,K){this.f=T,this.g=K,this.d=new i.$fL(""),this.e=new Map}async prepareSession(T,K,X){const x=this.f.getDocument(T),me=h.Position.to(K),Ee=await this.g.prepareTypeHierarchy(x,me,X);if(!Ee)return;const fe=this.d.nextId();return this.e.set(fe,new Map),Array.isArray(Ee)?Ee.map(Ie=>this.h(fe,Ie)):[this.h(fe,Ee)]}async provideSupertypes(T,K,X){const x=this.j(T,K);if(!x)throw new Error("missing type hierarchy item");const me=await this.g.provideTypeHierarchySupertypes(x,X);if(me)return me.map(Ee=>this.h(T,Ee))}async provideSubtypes(T,K,X){const x=this.j(T,K);if(!x)throw new Error("missing type hierarchy item");const me=await this.g.provideTypeHierarchySubtypes(x,X);if(me)return me.map(Ee=>this.h(T,Ee))}releaseSession(T){this.e.delete(T)}h(T,K){const X=this.e.get(T),x=h.TypeHierarchyItem.from(K,T,X.size.toString(36));return X.set(x._itemId,K),x}j(T,K){return this.e.get(T)?.get(K)}}class Z{constructor(T,K,X,x,me){this.d=T,this.e=K,this.f=X,this.g=x,this.h=me}async provideDocumentOnDropEdits(T,K,X,x,me){const Ee=this.e.getDocument(K),fe=h.Position.to(X),Ie=h.DataTransfer.toDataTransfer(x,async qe=>(await this.d.$resolveDocumentOnDropFileData(this.g,T,qe)).buffer),Pe=await this.f.provideDocumentDropEdits(Ee,fe,Ie,me);if(Pe)return{id:Pe.id?this.h.identifier.value+"."+Pe.id:this.h.identifier.value,label:Pe.label??(0,n.localize)(1,null,this.h.displayName||this.h.name),priority:Pe.priority??0,insertText:typeof Pe.insertText=="string"?Pe.insertText:{snippet:Pe.insertText.value},additionalEdit:Pe.additionalEdit?h.WorkspaceEdit.from(Pe.additionalEdit,void 0):void 0}}}class le{constructor(T,K){this.adapter=T,this.extension=K}}class se{constructor(T,K,X,x,me,Ee,fe,Ie){this.g=K,this.h=X,this.j=x,this.k=me,this.l=Ee,this.m=fe,this.n=Ie,this.f=new Map,this.e=T.getProxy(g.$$I.MainThreadLanguageFeatures)}o(T,K){return h.DocumentSelector.from(T,this.g,K)}p(T){return new F.$aJ(()=>{this.f.delete(T),this.e.$unregister(T)})}q(){return se.d++}async s(T,K,X,x,me,Ee=!1){const fe=this.f.get(T);if(!fe||!(fe.adapter instanceof K))return x;const Ie=Date.now();Ee||this.l.trace(`[${fe.extension.identifier.value}] INVOKE provider '${X.toString().replace(/[\r\n]/g,"")}'`);const Pe=X(fe.adapter,fe.extension);return Promise.resolve(Pe).catch(qe=>{(0,p.$1)(qe)||(this.l.error(`[${fe.extension.identifier.value}] provider FAILED`),this.l.error(qe),this.n.onExtensionError(fe.extension.identifier,qe))}).finally(()=>{Ee||this.l.trace(`[${fe.extension.identifier.value}] provider DONE after ${Date.now()-Ie}ms`)}),D.CancellationToken.isCancellationToken(me)?(0,f.$hg)(Pe,me):Pe}t(T,K){const X=this.q();return this.f.set(X,new le(T,K)),X}static u(T){return T.displayName||T.name}registerDocumentSymbolProvider(T,K,X,x){const me=this.t(new o(this.h,X),T),Ee=x&&x.label||se.u(T);return this.e.$registerDocumentSymbolProvider(me,this.o(K,T),Ee),this.p(me)}$provideDocumentSymbols(T,K,X){return this.s(T,o,x=>x.provideDocumentSymbols(b.URI.revive(K),X),void 0,X)}registerCodeLensProvider(T,K,X){const x=this.q(),me=typeof X.onDidChangeCodeLenses=="function"?this.q():void 0;this.f.set(x,new le(new s(this.h,this.j.converter,X),T)),this.e.$registerCodeLensSupport(x,this.o(K,T),me);let Ee=this.p(x);if(me!==void 0){const fe=X.onDidChangeCodeLenses(Ie=>this.e.$emitCodeLensEvent(me));Ee=F.$aJ.from(Ee,fe)}return Ee}$provideCodeLenses(T,K,X){return this.s(T,s,x=>x.provideCodeLenses(b.URI.revive(K),X),void 0,X)}$resolveCodeLens(T,K,X){return this.s(T,s,x=>x.resolveCodeLens(K,X),void 0,void 0)}$releaseCodeLenses(T,K){this.s(T,s,X=>Promise.resolve(X.releaseCodeLenses(K)),void 0,void 0)}registerDefinitionProvider(T,K,X){const x=this.t(new u(this.h,X),T);return this.e.$registerDefinitionSupport(x,this.o(K,T)),this.p(x)}$provideDefinition(T,K,X,x){return this.s(T,u,me=>me.provideDefinition(b.URI.revive(K),X,x),[],x)}registerDeclarationProvider(T,K,X){const x=this.t(new $(this.h,X),T);return this.e.$registerDeclarationSupport(x,this.o(K,T)),this.p(x)}$provideDeclaration(T,K,X,x){return this.s(T,$,me=>me.provideDeclaration(b.URI.revive(K),X,x),[],x)}registerImplementationProvider(T,K,X){const x=this.t(new d(this.h,X),T);return this.e.$registerImplementationSupport(x,this.o(K,T)),this.p(x)}$provideImplementation(T,K,X,x){return this.s(T,d,me=>me.provideImplementation(b.URI.revive(K),X,x),[],x)}registerTypeDefinitionProvider(T,K,X){const x=this.t(new S(this.h,X),T);return this.e.$registerTypeDefinitionSupport(x,this.o(K,T)),this.p(x)}$provideTypeDefinition(T,K,X,x){return this.s(T,S,me=>me.provideTypeDefinition(b.URI.revive(K),X,x),[],x)}registerHoverProvider(T,K,X,x){const me=this.t(new y(this.h,X),T);return this.e.$registerHoverProvider(me,this.o(K,T)),this.p(me)}$provideHover(T,K,X,x){return this.s(T,y,me=>me.provideHover(b.URI.revive(K),X,x),void 0,x)}registerEvaluatableExpressionProvider(T,K,X,x){const me=this.t(new c(this.h,X),T);return this.e.$registerEvaluatableExpressionProvider(me,this.o(K,T)),this.p(me)}$provideEvaluatableExpression(T,K,X,x){return this.s(T,c,me=>me.provideEvaluatableExpression(b.URI.revive(K),X,x),void 0,x)}registerInlineValuesProvider(T,K,X,x){const me=typeof X.onDidChangeInlineValues=="function"?this.q():void 0,Ee=this.t(new r(this.h,X),T);this.e.$registerInlineValuesProvider(Ee,this.o(K,T),me);let fe=this.p(Ee);if(me!==void 0){const Ie=X.onDidChangeInlineValues(Pe=>this.e.$emitInlineValuesEvent(me));fe=F.$aJ.from(fe,Ie)}return fe}$provideInlineValues(T,K,X,x,me){return this.s(T,r,Ee=>Ee.provideInlineValues(b.URI.revive(K),X,x,me),void 0,me)}registerDocumentHighlightProvider(T,K,X){const x=this.t(new P(this.h,X),T);return this.e.$registerDocumentHighlightProvider(x,this.o(K,T)),this.p(x)}$provideDocumentHighlights(T,K,X,x){return this.s(T,P,me=>me.provideDocumentHighlights(b.URI.revive(K),X,x),void 0,x)}registerLinkedEditingRangeProvider(T,K,X){const x=this.t(new N(this.h,X),T);return this.e.$registerLinkedEditingRangeProvider(x,this.o(K,T)),this.p(x)}$provideLinkedEditingRanges(T,K,X,x){return this.s(T,N,async me=>{const Ee=await me.provideLinkedEditingRanges(b.URI.revive(K),X,x);if(Ee)return{ranges:Ee.ranges,wordPattern:Ee.wordPattern?se.w(Ee.wordPattern):void 0}},void 0,x)}registerReferenceProvider(T,K,X){const x=this.t(new U(this.h,X),T);return this.e.$registerReferenceSupport(x,this.o(K,T)),this.p(x)}$provideReferences(T,K,X,x,me){return this.s(T,U,Ee=>Ee.provideReferences(b.URI.revive(K),X,x,me),void 0,me)}registerCodeActionProvider(T,K,X,x){const me=new C.$jb,Ee=this.t(new q(this.h,this.j.converter,this.k,X,this.l,T,this.m),T);return this.e.$registerQuickFixSupport(Ee,this.o(K,T),{providedKinds:x?.providedCodeActionKinds?.map(fe=>fe.value),documentation:x?.documentation?.map(fe=>({kind:fe.kind.value,command:this.j.converter.toInternal(fe.command,me)}))},se.u(T),!!X.resolveCodeAction),me.add(this.p(Ee)),me}$provideCodeActions(T,K,X,x,me){return this.s(T,q,Ee=>Ee.provideCodeActions(b.URI.revive(K),X,x,me),void 0,me)}$resolveCodeAction(T,K,X){return this.s(T,q,x=>x.resolveCodeAction(K,X),{},void 0)}$releaseCodeActions(T,K){this.s(T,q,X=>Promise.resolve(X.releaseCodeActions(K)),void 0,void 0)}registerDocumentFormattingEditProvider(T,K,X){const x=this.t(new O(this.h,X),T);return this.e.$registerDocumentFormattingSupport(x,this.o(K,T),T.identifier,T.displayName||T.name),this.p(x)}$provideDocumentFormattingEdits(T,K,X,x){return this.s(T,O,me=>me.provideDocumentFormattingEdits(b.URI.revive(K),X,x),void 0,x)}registerDocumentRangeFormattingEditProvider(T,K,X){const x=typeof X.provideDocumentRangesFormattingEdits=="function";x&&(0,E.$$E)(T,"formatMultipleRanges");const me=this.t(new J(this.h,X),T);return this.e.$registerRangeFormattingSupport(me,this.o(K,T),T.identifier,T.displayName||T.name,x),this.p(me)}$provideDocumentRangeFormattingEdits(T,K,X,x,me){return this.s(T,J,Ee=>Ee.provideDocumentRangeFormattingEdits(b.URI.revive(K),X,x,me),void 0,me)}$provideDocumentRangesFormattingEdits(T,K,X,x,me){return this.s(T,J,Ee=>Ee.provideDocumentRangesFormattingEdits(b.URI.revive(K),X,x,me),void 0,me)}registerOnTypeFormattingEditProvider(T,K,X,x){const me=this.t(new z(this.h,X),T);return this.e.$registerOnTypeFormattingSupport(me,this.o(K,T),x,T.identifier),this.p(me)}$provideOnTypeFormattingEdits(T,K,X,x,me,Ee){return this.s(T,z,fe=>fe.provideOnTypeFormattingEdits(b.URI.revive(K),X,x,me,Ee),void 0,Ee)}registerWorkspaceSymbolProvider(T,K){const X=this.t(new j(K,this.l),T);return this.e.$registerNavigateTypeSupport(X,typeof K.resolveWorkspaceSymbol=="function"),this.p(X)}$provideWorkspaceSymbols(T,K,X){return this.s(T,j,x=>x.provideWorkspaceSymbols(K,X),{symbols:[]},X)}$resolveWorkspaceSymbol(T,K,X){return this.s(T,j,x=>x.resolveWorkspaceSymbol(K,X),void 0,void 0)}$releaseWorkspaceSymbols(T,K){this.s(T,j,X=>X.releaseWorkspaceSymbols(K),void 0,void 0)}registerRenameProvider(T,K,X){const x=this.t(new he(this.h,X,this.l),T);return this.e.$registerRenameSupport(x,this.o(K,T),he.supportsResolving(X)),this.p(x)}$provideRenameEdits(T,K,X,x,me){return this.s(T,he,Ee=>Ee.provideRenameEdits(b.URI.revive(K),X,x,me),void 0,me)}$resolveRenameLocation(T,K,X,x){return this.s(T,he,me=>me.resolveRenameLocation(b.URI.revive(K),X,x),void 0,x)}registerDocumentSemanticTokensProvider(T,K,X,x){const me=this.t(new ne(this.h,X),T),Ee=typeof X.onDidChangeSemanticTokens=="function"?this.q():void 0;this.e.$registerDocumentSemanticTokensProvider(me,this.o(K,T),x,Ee);let fe=this.p(me);if(Ee){const Ie=X.onDidChangeSemanticTokens(Pe=>this.e.$emitDocumentSemanticTokensEvent(Ee));fe=F.$aJ.from(fe,Ie)}return fe}$provideDocumentSemanticTokens(T,K,X,x){return this.s(T,ne,me=>me.provideDocumentSemanticTokens(b.URI.revive(K),X,x),null,x)}$releaseDocumentSemanticTokens(T,K){this.s(T,ne,X=>X.releaseDocumentSemanticColoring(K),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(T,K,X,x){const me=this.t(new V(this.h,X),T);return this.e.$registerDocumentRangeSemanticTokensProvider(me,this.o(K,T),x),this.p(me)}$provideDocumentRangeSemanticTokens(T,K,X,x){return this.s(T,V,me=>me.provideDocumentRangeSemanticTokens(b.URI.revive(K),X,x),null,x)}registerCompletionItemProvider(T,K,X,x){const me=this.t(new H(this.h,this.j.converter,X,this.m,T),T);return this.e.$registerCompletionsProvider(me,this.o(K,T),x,H.supportsResolving(X),T.identifier),this.p(me)}$provideCompletionItems(T,K,X,x,me){return this.s(T,H,Ee=>Ee.provideCompletionItems(b.URI.revive(K),X,x,me),void 0,me)}$resolveCompletionItem(T,K,X){return this.s(T,H,x=>x.resolveCompletionItem(K,X),void 0,X)}$releaseCompletionItems(T,K){this.s(T,H,X=>X.releaseCompletionItems(K),void 0,void 0)}registerInlineCompletionsProvider(T,K,X){const x=new pe(T,this.h,X,this.j.converter),me=this.t(x,T);return this.e.$registerInlineCompletionsSupport(me,this.o(K,T),x.supportsHandleEvents),this.p(me)}$provideInlineCompletions(T,K,X,x,me){return this.s(T,ce,Ee=>Ee.provideInlineCompletions(b.URI.revive(K),X,x,me),void 0,me)}$handleInlineCompletionDidShow(T,K,X,x){this.s(T,ce,async me=>{me.handleDidShowCompletionItem(K,X,x)},void 0,void 0)}$handleInlineCompletionPartialAccept(T,K,X,x){this.s(T,ce,async me=>{me.handlePartialAccept(K,X,x)},void 0,void 0)}$freeInlineCompletionsList(T,K){this.s(T,ce,async X=>{X.disposeCompletions(K)},void 0,void 0)}registerSignatureHelpProvider(T,K,X,x){const me=Array.isArray(x)?{triggerCharacters:x,retriggerCharacters:[]}:x,Ee=this.t(new ge(this.h,X),T);return this.e.$registerSignatureHelpProvider(Ee,this.o(K,T),me),this.p(Ee)}$provideSignatureHelp(T,K,X,x,me){return this.s(T,ge,Ee=>Ee.provideSignatureHelp(b.URI.revive(K),X,x,me),void 0,me)}$releaseSignatureHelp(T,K){this.s(T,ge,X=>X.releaseSignatureHelp(K),void 0,void 0)}registerInlayHintsProvider(T,K,X){const x=typeof X.onDidChangeInlayHints=="function"?this.q():void 0,me=this.t(new M(this.h,this.j.converter,X,this.l,T),T);this.e.$registerInlayHintsProvider(me,this.o(K,T),typeof X.resolveInlayHint=="function",x,se.u(T));let Ee=this.p(me);if(x!==void 0){const fe=X.onDidChangeInlayHints(Ie=>this.e.$emitInlayHintsEvent(x));Ee=F.$aJ.from(Ee,fe)}return Ee}$provideInlayHints(T,K,X,x){return this.s(T,M,me=>me.provideInlayHints(b.URI.revive(K),X,x),void 0,x)}$resolveInlayHint(T,K,X){return this.s(T,M,x=>x.resolveInlayHint(K,X),void 0,X)}$releaseInlayHints(T,K){this.s(T,M,X=>X.releaseHints(K),void 0,void 0)}registerDocumentLinkProvider(T,K,X){const x=this.t(new Q(this.h,X),T);return this.e.$registerDocumentLinkProvider(x,this.o(K,T),typeof X.resolveDocumentLink=="function"),this.p(x)}$provideDocumentLinks(T,K,X){return this.s(T,Q,x=>x.provideLinks(b.URI.revive(K),X),void 0,X,K.scheme==="output")}$resolveDocumentLink(T,K,X){return this.s(T,Q,x=>x.resolveLink(K,X),void 0,void 0,!0)}$releaseDocumentLinks(T,K){this.s(T,Q,X=>X.releaseLinks(K),void 0,void 0,!0)}registerColorProvider(T,K,X){const x=this.t(new ve(this.h,X),T);return this.e.$registerDocumentColorProvider(x,this.o(K,T)),this.p(x)}$provideDocumentColors(T,K,X){return this.s(T,ve,x=>x.provideColors(b.URI.revive(K),X),[],X)}$provideColorPresentations(T,K,X,x){return this.s(T,ve,me=>me.provideColorPresentations(b.URI.revive(K),X,x),void 0,x)}registerFoldingRangeProvider(T,K,X){const x=this.q(),me=typeof X.onDidChangeFoldingRanges=="function"?this.q():void 0;this.f.set(x,new le(new Se(this.h,X),T)),this.e.$registerFoldingRangeProvider(x,this.o(K,T),T.identifier,me);let Ee=this.p(x);if(me!==void 0){const fe=X.onDidChangeFoldingRanges(()=>this.e.$emitFoldingRangeEvent(me));Ee=F.$aJ.from(Ee,fe)}return Ee}$provideFoldingRanges(T,K,X,x){return this.s(T,Se,me=>me.provideFoldingRanges(b.URI.revive(K),X,x),void 0,x)}registerSelectionRangeProvider(T,K,X){const x=this.t(new ee(this.h,X,this.l),T);return this.e.$registerSelectionRangeProvider(x,this.o(K,T)),this.p(x)}$provideSelectionRanges(T,K,X,x){return this.s(T,ee,me=>me.provideSelectionRanges(b.URI.revive(K),X,x),[],x)}registerCallHierarchyProvider(T,K,X){const x=this.t(new te(this.h,X),T);return this.e.$registerCallHierarchyProvider(x,this.o(K,T)),this.p(x)}$prepareCallHierarchy(T,K,X,x){return this.s(T,te,me=>Promise.resolve(me.prepareSession(b.URI.revive(K),X,x)),void 0,x)}$provideCallHierarchyIncomingCalls(T,K,X,x){return this.s(T,te,me=>me.provideCallsTo(K,X,x),void 0,x)}$provideCallHierarchyOutgoingCalls(T,K,X,x){return this.s(T,te,me=>me.provideCallsFrom(K,X,x),void 0,x)}$releaseCallHierarchy(T,K){this.s(T,te,X=>Promise.resolve(X.releaseSession(K)),void 0,void 0)}registerTypeHierarchyProvider(T,K,X){const x=this.t(new ue(this.h,X),T);return this.e.$registerTypeHierarchyProvider(x,this.o(K,T)),this.p(x)}$prepareTypeHierarchy(T,K,X,x){return this.s(T,ue,me=>Promise.resolve(me.prepareSession(b.URI.revive(K),X,x)),void 0,x)}$provideTypeHierarchySupertypes(T,K,X,x){return this.s(T,ue,me=>me.provideSupertypes(K,X,x),void 0,x)}$provideTypeHierarchySubtypes(T,K,X,x){return this.s(T,ue,me=>me.provideSubtypes(K,X,x),void 0,x)}$releaseTypeHierarchy(T,K){this.s(T,ue,X=>Promise.resolve(X.releaseSession(K)),void 0,void 0)}registerDocumentOnDropEditProvider(T,K,X,x){const me=this.q();return this.f.set(me,new le(new Z(this.e,this.h,X,me,T),T)),this.e.$registerDocumentOnDropEditProvider(me,this.o(K,T),(0,E.$0E)(T,"dropMetadata")?x:void 0),this.p(me)}$provideDocumentOnDropEdits(T,K,X,x,me,Ee){return this.s(T,Z,fe=>Promise.resolve(fe.provideDocumentOnDropEdits(K,b.URI.revive(X),x,me,Ee)),void 0,void 0)}registerDocumentPasteEditProvider(T,K,X,x){const me=this.q();return this.f.set(me,new le(new W(this.e,this.h,X,me,T),T)),this.e.$registerPasteEditProvider(me,this.o(K,T),{supportsCopy:!!X.prepareDocumentPaste,supportsPaste:!!X.provideDocumentPasteEdits,copyMimeTypes:x.copyMimeTypes,pasteMimeTypes:x.pasteMimeTypes}),this.p(me)}$prepareDocumentPaste(T,K,X,x,me){return this.s(T,W,Ee=>Ee.prepareDocumentPaste(b.URI.revive(K),X,x,me),void 0,me)}$providePasteEdits(T,K,X,x,me,Ee){return this.s(T,W,fe=>fe.providePasteEdits(K,b.URI.revive(X),x,me,Ee),void 0,Ee)}static w(T){return{pattern:T.source,flags:(0,k.$wd)(T)}}static y(T){return{decreaseIndentPattern:se.w(T.decreaseIndentPattern),increaseIndentPattern:se.w(T.increaseIndentPattern),indentNextLinePattern:T.indentNextLinePattern?se.w(T.indentNextLinePattern):void 0,unIndentedLinePattern:T.unIndentedLinePattern?se.w(T.unIndentedLinePattern):void 0}}static z(T){return{beforeText:se.w(T.beforeText),afterText:T.afterText?se.w(T.afterText):void 0,previousLineText:T.previousLineText?se.w(T.previousLineText):void 0,action:T.action}}static B(T){return T.map(se.z)}setLanguageConfiguration(T,K,X){const{wordPattern:x}=X;if(x&&(0,k.$ud)(x))throw new Error(`Invalid language configuration: wordPattern '${x}' is not allowed to match the empty string.`);x?this.h.setWordDefinitionFor(K,x):this.h.setWordDefinitionFor(K,void 0),X.__electricCharacterSupport&&this.m.report("LanguageConfiguration.__electricCharacterSupport",T,"Do not use."),X.__characterPairSupport&&this.m.report("LanguageConfiguration.__characterPairSupport",T,"Do not use.");const me=this.q(),Ee={comments:X.comments,brackets:X.brackets,wordPattern:X.wordPattern?se.w(X.wordPattern):void 0,indentationRules:X.indentationRules?se.y(X.indentationRules):void 0,onEnterRules:X.onEnterRules?se.B(X.onEnterRules):void 0,__electricCharacterSupport:X.__electricCharacterSupport,__characterPairSupport:X.__characterPairSupport};return this.e.$setLanguageConfiguration(me,K,Ee),this.p(me)}$setWordDefinitions(T){for(const K of T)this.h.setWordDefinitionFor(K.languageId,new RegExp(K.regexSource,K.regexFlags))}}e.$W0b=se,se.d=0}),define(De[292],Ce([1,0,6,15,7,40,17,4]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$E$b=void 0;class k{constructor(L,I,v,D){this.c=I,this.d=v,this.e=D,this.b=[],this.f=0,this.g=new Set,this.a=L.getProxy(b.$$I.MainThreadLanguages)}$acceptLanguageIds(L){this.b=L}async getLanguages(){return this.b.slice(0)}async changeLanguage(L,I){await this.a.$changeLanguage(L,I);const v=this.c.getDocumentData(L);if(!v)throw new Error(`document '${L.toString()}' NOT found`);return v.document}async tokenAtPosition(L,I){const v=L.version,D=A.Position.from(I),C=await this.a.$tokensAtPosition(L.uri,D),w={type:h.StandardTokenType.Other,range:L.getWordRangeAtPosition(I)??new h.$cJ(I.line,I.character,I.line,I.character)};if(!C)return w;const i={range:A.Range.to(C.range),type:A.TokenType.to(C.type)};return!i.range.contains(I)||v!==L.version?w:i}createLanguageStatusItem(L,I,v){const D=this.f++,C=this.a,w=this.g,i=`${L.identifier.value}/${I}`;if(w.has(i))throw new Error(`LanguageStatusItem with id '${I}' ALREADY exists`);w.add(i);const l={selector:v,id:I,name:L.displayName??L.name,severity:h.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let a;const p=new g.$jb,f=()=>{a?.dispose(),a=(0,R.$tg)(()=>{p.clear(),this.a.$setLanguageStatus(D,{id:i,name:l.name??L.displayName??L.name,source:L.displayName??L.name,selector:A.DocumentSelector.from(l.selector,this.e),label:l.text,detail:l.detail??"",severity:l.severity===h.LanguageStatusSeverity.Error?F.default.Error:l.severity===h.LanguageStatusSeverity.Warning?F.default.Warning:F.default.Info,command:l.command&&this.d.toInternal(l.command,p),accessibilityInfo:l.accessibilityInformation,busy:l.busy})},0)},E={dispose(){p.dispose(),a?.dispose(),C.$removeLanguageStatus(D),w.delete(i)},get id(){return l.id},get name(){return l.name},set name(n){l.name=n,f()},get selector(){return l.selector},set selector(n){l.selector=n,f()},get text(){return l.text},set text(n){l.text=n,f()},get detail(){return l.detail},set detail(n){l.detail=n,f()},get severity(){return l.severity},set severity(n){l.severity=n,f()},get accessibilityInformation(){return l.accessibilityInformation},set accessibilityInformation(n){l.accessibilityInformation=n,f()},get command(){return l.command},set command(n){l.command=n,f()},get busy(){return l.busy},set busy(n){l.busy=n,f()}};return f(),E}}e.$E$b=k}),define(De[106],Ce([1,0,10,9,2,5,18,6,26,20]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$u$b=e.$t$b=void 0;let L=e.$t$b=class{constructor(v,D,C){this.f=C,this.d=new Map,this.a=D.getProxy(g.$$I.MainThreadLocalization),this.b=v.environment.appLanguage,this.c=this.b===b.$f}getMessage(v,D){const{message:C,args:w,comment:i}=D;if(this.c)return(0,A.$jd)(C,w??{});let l=C;i&&i.length>0&&(l+=`/${Array.isArray(i)?i.join(""):i}`);const a=this.d.get(v)?.contents[l];return a||this.f.warn(`Using default string since no string found in i18n bundle that has the key: ${l}`),(0,A.$jd)(a??C,w??{})}getBundle(v){return this.d.get(v)?.contents}getBundleUri(v){return this.d.get(v)?.uri}async initializeLocalizedMessages(v){if(this.c||!v.l10n&&!v.isBuiltin||this.d.has(v.identifier.value))return;let D;const C=await this.g(v);if(!C){this.f.error(`No bundle location found for extension ${v.identifier.value}`);return}try{const w=await this.a.$fetchBundleContents(C),i=JSON.parse(w);D=v.isBuiltin?i.contents?.bundle:i}catch(w){this.f.error(`Failed to load translations for ${v.identifier.value} from ${C}: ${w.message}`);return}D&&this.d.set(v.identifier.value,{contents:D,uri:C})}async g(v){if(v.isBuiltin){const D=await this.a.$fetchBuiltInBundleUri(v.identifier.value,this.b);return h.URI.revive(D)}return v.l10n?h.URI.joinPath(v.extensionLocation,v.l10n,`bundle.l10n.${this.b}.json`):void 0}};e.$t$b=L=He([We(0,k.$qL),We(1,m.$aL),We(2,R.$Ni)],L),e.$u$b=(0,F.$lh)("IExtHostLocalizationService")}),define(De[143],Ce([1,0,18,6,26,20,2,73]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Q_b=void 0;let k=e.$Q_b=class extends b.$Yi{constructor(I,v){super(v.logLevel,v.logsLocation,v.loggers.map(D=>(0,g.$Ug)(D))),this.n=I.getProxy(A.$$I.MainThreadLogger)}$setLogLevel(I,v){v?this.setLogLevel(R.URI.revive(v),I):this.setLogLevel(I)}setVisibility(I,v){super.setVisibility(I,v),this.n.$setVisibility(I,v)}m(I,v,D){return new m(this.n,I,v,D)}};e.$Q_b=k=He([We(0,F.$aL),We(1,h.$qL)],k);class m extends b.$Ti{constructor(I,v,D,C){super(C?.logLevel==="always"),this.m=I,this.n=v,this.k=!1,this.l=[],this.setLevel(D),this.m.$createLogger(v,C).then(()=>{this.r(this.l),this.k=!0})}g(I,v){const D=[[I,v]];this.k?this.r(D):this.l.push(...D)}r(I){this.m.$log(this.n,I)}flush(){this.m.$flush(this.n)}}}),define(De[107],Ce([1,0,6,5,4,20,22]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$w$b=e.$v$b=void 0,e.$v$b=(0,A.$lh)("IExtHostManagedSockets");let g=e.$w$b=class{constructor(I){this.b=0,this.c=null,this.d=new Map,this.a=I.getProxy(b.$$I.MainThreadManagedSockets)}setFactory(I,v){for(const D of this.d.values())D.dispose();this.c&&this.a.$unregisterSocketFactory(this.c.socketFactoryId),this.c=new k(I,v),this.a.$registerSocketFactory(this.c.socketFactoryId)}async $openRemoteSocket(I){if(!this.c||this.c.socketFactoryId!==I)throw new Error(`No socket factory with id ${I}`);const v=++this.b,D=await this.c.makeConnection(),C=new h.$jb;return this.d.set(v,new m(v,D,C)),C.add((0,h.$ib)(()=>this.d.delete(v))),C.add(D.onDidEnd(()=>{this.a.$onDidManagedSocketEnd(v),C.dispose()})),C.add(D.onDidClose(w=>{this.a.$onDidManagedSocketClose(v,w?.stack??w?.message),C.dispose()})),C.add(D.onDidReceiveMessage(w=>this.a.$onDidManagedSocketHaveData(v,R.$Ib.wrap(w)))),v}$remoteSocketWrite(I,v){this.d.get(I)?.actual.send(v.buffer)}$remoteSocketEnd(I){const v=this.d.get(I);v&&(v.actual.end(),v.dispose())}async $remoteSocketDrain(I){await this.d.get(I)?.actual.drain?.()}};e.$w$b=g=He([We(0,F.$aL)],g);class k{constructor(I,v){this.socketFactoryId=I,this.makeConnection=v}}class m extends h.$kb{constructor(I,v,D){super(),this.socketId=I,this.actual=v,this.B(D)}}}),define(De[293],Ce([1,0,6,18,27]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$F$b=void 0;function F(g){return g&&g.title}let R=e.$F$b=class{constructor(k,m){this.b=m,this.a=k.getProxy(b.$$I.MainThreadMessageService)}showMessage(k,m,L,I,v){const D={source:{identifier:k.identifier,label:k.displayName||k.name}};let C;typeof I=="string"||F(I)?C=[I,...v]:(D.modal=I?.modal,D.useCustom=I?.useCustom,D.detail=I?.detail,C=v),D.useCustom&&(0,h.$$E)(k,"resolvers");const w=[];for(let i=0;i<C.length;i++){const l=C[i];if(typeof l=="string")w.push({title:l,handle:i,isCloseAffordance:!1});else if(typeof l=="object"){const{title:a,isCloseAffordance:p}=l;w.push({title:a,isCloseAffordance:!!p,handle:i})}else this.b.warn("Invalid message item:",l)}return this.a.$showMessage(m,L,D,w).then(i=>{if(typeof i=="number")return C[i]})}};e.$F$b=R=He([We(1,A.$Ni)],R)}),define(De[294],Ce([1,0,22,3,4,28,9,12,2,30,80,6,36,15,7,61,261,138,8,23,24]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$n_b=void 0;class E{get activeNotebookEditor(){return this.k?.apiEditor}get visibleNotebookEditors(){return this.l.map(o=>o.apiEditor)}constructor(o,s,t,u,$){this.q=t,this.r=u,this.s=$,this.f=new Map,this.g=new F.$ji,this.h=new Map,this.j=new A.$5c({onListenerError:a.$Y}),this.onDidChangeActiveNotebookEditor=this.j.event,this.l=[],this.m=new A.$5c({onListenerError:a.$Y}),this.onDidOpenNotebookDocument=this.m.event,this.n=new A.$5c({onListenerError:a.$Y}),this.onDidCloseNotebookDocument=this.n.event,this.o=new A.$5c({onListenerError:a.$Y}),this.onDidChangeVisibleNotebookEditors=this.o.event,this.p=new L.$N0b("NotebookCellStatusBarCache"),this.u=0,this.w=new Map,this.b=o.getProxy(I.$$I.MainThreadNotebook),this.c=o.getProxy(I.$$I.MainThreadNotebookDocuments),this.d=o.getProxy(I.$$I.MainThreadNotebookEditors),this.i=s.converter,s.registerArgumentProcessor({processArgument:d=>{if(d&&d.$mid===13){const S=d.notebookEditor?.notebookUri,y=d.cell.handle,r=this.g.get(S)?.getCell(y);if(r)return r.apiCell}if(d&&d.$mid===14){const S=d.uri,y=this.g.get(S);if(y)return y.apiNotebook}return d}}),E.y(s)}getEditorById(o){const s=this.h.get(o);if(!s)throw new Error(`unknown text editor: ${o}. known editors: ${[...this.h.keys()]} `);return s}getIdByEditor(o){for(const[s,t]of this.h)if(t.apiEditor===o)return s}get notebookDocuments(){return[...this.g.values()]}getNotebookDocument(o,s){const t=this.g.get(o);if(!t&&!s)throw new Error(`NO notebook document for '${o}'`);return t}static t(o,s){if(!s)return;const t=s.filenamePattern.map(u=>D.NotebookExclusiveDocumentPattern.from(u)).filter(u=>u!==void 0);if(s.filenamePattern&&!t){console.warn(`Notebook content provider view options file name pattern is invalid ${s.filenamePattern}`);return}return{extension:o.identifier,providerDisplayName:o.displayName||o.name,displayName:s.displayName,filenamePattern:t,exclusive:s.exclusive||!1}}registerNotebookCellStatusBarItemProvider(o,s,t){const u=E.a++,$=typeof t.onDidChangeCellStatusBarItems=="function"?E.a++:void 0;this.f.set(u,t),this.b.$registerNotebookCellStatusBarItemProvider(u,$,s);let d;return $!==void 0&&(d=t.onDidChangeCellStatusBarItems(S=>this.b.$emitCellStatusBarEvent($))),new C.$aJ(()=>{this.f.delete(u),this.b.$unregisterNotebookCellStatusBarItemProvider(u,$),d?.dispose()})}async createNotebookDocument(o){const s=await this.c.$tryCreateNotebook({viewType:o.viewType,content:o.content&&D.NotebookData.from(o.content)});return k.URI.revive(s)}async openNotebookDocument(o){const s=this.g.get(o);if(s)return s.apiNotebook;const t=await this.c.$tryOpenNotebook(o),u=this.g.get(k.URI.revive(t));return(0,g.$re)(u?.apiNotebook)}async showNotebookDocument(o,s){k.URI.isUri(o)&&(o=await this.openNotebookDocument(o));let t;typeof s=="object"?t={position:D.ViewColumn.from(s.viewColumn),preserveFocus:s.preserveFocus,selections:s.selections&&s.selections.map(D.NotebookRange.from),pinned:typeof s.preview=="boolean"?!s.preview:void 0}:t={preserveFocus:!1};const u=await this.d.$tryShowNotebookDocument(o.uri,o.notebookType,t),$=u&&this.h.get(u)?.apiEditor;if($)return $;throw u?new Error(`Could NOT open editor for "${o.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${o.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(o,s,t,u){const $=this.f.get(o),d=k.URI.revive(s),S=this.g.get(d);if(!S||!$)return;const y=S.getCellFromIndex(t);if(!y)return;const c=await $.provideCellStatusBarItems(y.apiCell,u);if(!c)return;const r=new h.$jb,P=this.p.add([r]),U=(Array.isArray(c)?c:[c]).map(q=>D.NotebookStatusBarItem.from(q,this.i,r));return{cacheId:P,items:U}}$releaseNotebookCellStatusBarItems(o){this.p.delete(o)}registerNotebookSerializer(o,s,t,u,$){if((0,R.$hd)(s))throw new Error("viewType cannot be empty or just whitespace");const d=this.u++;return this.w.set(d,{viewType:s,serializer:t,options:u}),this.b.$registerNotebookSerializer(d,{id:o.identifier,location:o.extensionLocation},s,D.NotebookDocumentContentOptions.from(u),E.t(o,$)),(0,h.$ib)(()=>{this.b.$unregisterNotebookSerializer(d)})}async $dataToNotebook(o,s,t){const u=this.w.get(o);if(!u)throw new Error("NO serializer found");const $=await u.serializer.deserializeNotebook(s.buffer,t);return new w.$Mz(D.NotebookData.from($))}async $notebookToData(o,s,t){const u=this.w.get(o);if(!u)throw new Error("NO serializer found");const $=await u.serializer.serializeNotebook(D.NotebookData.to(s.value),t);return b.$Ib.wrap($)}async $saveNotebook(o,s,t,u,$){const d=k.URI.revive(s),S=this.w.get(o);if(!S)throw new Error("NO serializer found");const y=this.g.get(d);if(!y)throw new Error("Document NOT found");if(y.versionId!==t)throw new Error("Document version mismatch");const c={metadata:(0,f.$Lm)(y.apiNotebook.metadata,U=>!(S.options?.transientDocumentMetadata??{})[U]),cells:[]};for(const U of y.apiNotebook.getCells()){const q=new C.$zK(U.kind,U.document.getText(),U.document.languageId,U.mime,S.options?.transientOutputs?[]:[...U.outputs],U.metadata,U.executionSummary);q.metadata=(0,f.$Lm)(U.metadata,W=>!(S.options?.transientCellMetadata??{})[W]),c.cells.push(q)}const r=await S.serializer.serializeNotebook(c,$);await this.s.value.writeFile(d,r);const P=await this.s.value.stat(d);return{name:(0,p.$3f)(d),isFile:(P.type&m.FileType.File)!==0,isDirectory:(P.type&m.FileType.Directory)!==0,isSymbolicLink:(P.type&m.FileType.SymbolicLink)!==0,mtime:P.mtime,ctime:P.ctime,size:P.size,readonly:!!((P.permissions??0)&m.FilePermission.Readonly)||!this.s.value.isWritableFileSystem(d.scheme),locked:!!((P.permissions??0)&m.FilePermission.Locked),etag:m.$hk({mtime:P.mtime,size:P.size}),children:void 0}}x(o,s,t){if(this.h.has(s))throw new Error(`editor with id ALREADY EXSIST: ${s}`);const u=new l.$m_b(s,this.d,o,t.visibleRanges.map(D.NotebookRange.to),t.selections.map(D.NotebookRange.to),typeof t.viewColumn=="number"?D.ViewColumn.to(t.viewColumn):void 0);this.h.set(s,u)}$acceptDocumentAndEditorsDelta(o){if(o.value.removedDocuments)for(const t of o.value.removedDocuments){const u=k.URI.revive(t),$=this.g.get(u);$&&($.dispose(),this.g.delete(u),this.q.$acceptDocumentsAndEditorsDelta({removedDocuments:$.apiNotebook.getCells().map(d=>d.document.uri)}),this.n.fire($.apiNotebook));for(const d of this.h.values())d.notebookData.uri.toString()===u.toString()&&this.h.delete(d.id)}if(o.value.addedDocuments){const t=[];for(const u of o.value.addedDocuments){const $=k.URI.revive(u.uri);if(this.g.has($))throw new Error(`adding EXISTING notebook ${$} `);const d=new i.$l_b(this.c,this.q,this.r,$,u);t.push(...u.cells.map(S=>i.$k_b.asModelAddData(d.apiNotebook,S))),this.g.get($)?.dispose(),this.g.set($,d),this.q.$acceptDocumentsAndEditorsDelta({addedDocuments:t}),this.m.fire(d.apiNotebook)}}if(o.value.addedEditors)for(const t of o.value.addedEditors){if(this.h.has(t.id))return;const u=k.URI.revive(t.documentUri),$=this.g.get(u);$&&this.x($,t.id,t)}const s=[];if(o.value.removedEditors)for(const t of o.value.removedEditors){const u=this.h.get(t);u&&(this.h.delete(t),this.k?.id===u.id&&(this.k=void 0),s.push(u))}if(o.value.visibleEditors){this.l=o.value.visibleEditors.map(u=>this.h.get(u)).filter(u=>!!u);const t=new Set;this.l.forEach(u=>t.add(u.id));for(const u of this.h.values()){const $=t.has(u.id);u._acceptVisibility($)}this.l=[...this.h.values()].map(u=>u).filter(u=>u.visible),this.o.fire(this.visibleNotebookEditors)}o.value.newActiveEditor===null?this.k=void 0:o.value.newActiveEditor&&(this.h.get(o.value.newActiveEditor)||console.error(`FAILED to find active notebook editor ${o.value.newActiveEditor}`),this.k=this.h.get(o.value.newActiveEditor)),o.value.newActiveEditor!==void 0&&this.j.fire(this.k?.apiEditor)}static y(o){const s=v.$yL.String.with("notebookType","A notebook type"),t=new v.$AL("vscode.executeDataToNotebook","_executeDataToNotebook","Invoke notebook serializer",[s,new v.$yL("data","Bytes to convert to data",$=>$ instanceof Uint8Array,$=>b.$Ib.wrap($))],new v.$zL("Notebook Data",$=>D.NotebookData.to($.value))),u=new v.$AL("vscode.executeNotebookToData","_executeNotebookToData","Invoke notebook serializer",[s,new v.$yL("NotebookData","Notebook data to convert to bytes",$=>!0,$=>new w.$Mz(D.NotebookData.from($)))],new v.$zL("Bytes",$=>$.buffer));o.registerApiCommand(t),o.registerApiCommand(u)}}e.$n_b=E,E.a=0}),define(De[295],Ce([1,0,19,17,21,3,4,28,2,25,18,80,6,36,15,7,104,255,27,61]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$C_b=e.$B_b=void 0;let f=e.$B_b=class{constructor(d,S,y,c,r){this.m=S,this.n=y,this.o=c,this.q=r,this.b=new g.$ji,this.c=new g.$ji,this.e=new Map,this.f=0,this.g=new Map,this.h=0,this.i=new I.$N0b("NotebookKernelSourceActionProviderCache"),this.j=new Map,this.k=0,this.l=new F.$5c,this.onDidChangeNotebookCellExecutionState=this.l.event,this.a=d.getProxy(v.$$I.MainThreadNotebookKernels);const P=new D.$AL("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new D.$yL("options","Select kernel options",N=>!0,N=>{if(N&&"notebookEditor"in N&&"id"in N){const U=this.n.getIdByEditor(N.notebookEditor);return{id:N.id,extension:N.extension,notebookEditorId:U}}else if(N&&"notebookEditor"in N){const U=this.n.getIdByEditor(N.notebookEditor);if(U===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${N.notebookEditor.notebook.uri.toString()}`);return{notebookEditorId:U}}return N})],D.$zL.Void);this.o.registerApiCommand(P)}createNotebookController(d,S,y,c,r,P){for(const pe of this.j.values())if(pe.controller.id===S&&m.$Dl.equals(d.identifier,pe.extensionId))throw new Error(`notebook controller with id '${S}' ALREADY exist`);const N=this.k++,U=this;this.q.trace(`NotebookController[${N}], CREATED by ${d.identifier.value}, ${S}`);const q=()=>console.warn(`NO execute handler from notebook controller '${j.id}' of extension: '${d.identifier}'`);let W=!1;const O=new R.$jb,J=new F.$5c,z=new F.$5c,j={id:u(d.identifier,S),notebookType:y,extensionId:d.identifier,extensionLocation:d.extensionLocation,label:c||d.identifier.value,preloads:P?P.map(C.NotebookRendererScript.from):[]};let he=r??q,ie;this.a.$addKernel(N,j).catch(pe=>{console.log(pe),W=!0});let ne=0;const V=()=>{if(W)return;const pe=++ne;Promise.resolve().then(()=>{pe===ne&&this.a.$updateKernel(N,j)})},H=new g.$ji,ce={get id(){return S},get notebookType(){return j.notebookType},onDidChangeSelectedNotebooks:J.event,get label(){return j.label},set label(pe){j.label=pe??d.displayName??d.name,V()},get detail(){return j.detail??""},set detail(pe){j.detail=pe,V()},get description(){return j.description??""},set description(pe){j.description=pe,V()},get supportedLanguages(){return j.supportedLanguages},set supportedLanguages(pe){j.supportedLanguages=pe,V()},get supportsExecutionOrder(){return j.supportsExecutionOrder??!1},set supportsExecutionOrder(pe){j.supportsExecutionOrder=pe,V()},get rendererScripts(){return j.preloads?j.preloads.map(C.NotebookRendererScript.to):[]},get executeHandler(){return he},set executeHandler(pe){he=pe??q},get interruptHandler(){return ie},set interruptHandler(pe){ie=pe,j.supportsInterrupt=!!pe,V()},createNotebookCellExecution(pe){if(W)throw new Error("notebook controller is DISPOSED");if(!H.has(pe.notebook.uri))throw U.q.trace(`NotebookController[${N}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(H.keys()).map(ye=>ye.toString())),new Error(`notebook controller is NOT associated to notebook: ${pe.notebook.uri.toString()}`);return U._createNotebookCellExecution(pe,u(d.identifier,this.id))},createNotebookExecution(pe){if((0,a.$$E)(d,"notebookExecution"),W)throw new Error("notebook controller is DISPOSED");if(!H.has(pe.uri))throw U.q.trace(`NotebookController[${N}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(H.keys()).map(ye=>ye.toString())),new Error(`notebook controller is NOT associated to notebook: ${pe.uri.toString()}`);return U._createNotebookExecution(pe,u(d.identifier,this.id))},dispose:()=>{W||(this.q.trace(`NotebookController[${N}], DISPOSED`),W=!0,this.j.delete(N),O.dispose(),J.dispose(),z.dispose(),this.a.$removeKernel(N))},updateNotebookAffinity(pe,ye){ye===w.NotebookControllerAffinity2.Hidden&&(0,a.$$E)(d,"notebookControllerAffinityHidden"),U.a.$updateNotebookPriority(N,pe.uri,ye)},onDidReceiveMessage:z.event,postMessage(pe,ye){return(0,a.$$E)(d,"notebookMessaging"),U.a.$postMessage(N,ye&&U.n.getIdByEditor(ye),pe)},asWebviewUri(pe){return(0,a.$$E)(d,"notebookMessaging"),(0,i.$Rlb)(pe,U.m.remote)}};return this.j.set(N,{extensionId:d.identifier,controller:ce,onDidReceiveMessage:z,onDidChangeSelection:J,associatedNotebooks:H}),ce}getIdByController(d){for(const[S,y]of this.j)if(y.controller===d)return u(y.extensionId,d.id);return null}createNotebookControllerDetectionTask(d,S){const y=this.f++,c=this;this.q.trace(`NotebookControllerDetectionTask[${y}], CREATED by ${d.identifier.value}`),this.a.$addKernelDetectionTask(y,S);const r={dispose:()=>{this.e.delete(y),c.a.$removeKernelDetectionTask(y)}};return this.e.set(y,r),r}registerKernelSourceActionProvider(d,S,y){const c=this.h++,r=typeof y.onDidChangeNotebookKernelSourceActions=="function"?c:void 0,P=this;this.g.set(c,y),this.q.trace(`NotebookKernelSourceActionProvider[${c}], CREATED by ${d.identifier.value}`),this.a.$addKernelSourceActionProvider(c,c,S);let N;return r!==void 0&&(N=y.onDidChangeNotebookKernelSourceActions(U=>this.a.$emitNotebookKernelSourceActionsChangeEvent(r))),{dispose:()=>{this.g.delete(c),P.a.$removeKernelSourceActionProvider(c,c),N?.dispose()}}}async $provideKernelSourceActions(d,S){const y=this.g.get(d);if(y){const c=new R.$jb;return this.i.add([c]),(await y.provideNotebookKernelSourceActions(S)??[]).map(P=>C.NotebookKernelSourceAction.from(P,this.o.converter,c))}return[]}$acceptNotebookAssociation(d,S,y){const c=this.j.get(d);if(c){const r=this.n.getNotebookDocument(k.URI.revive(S));y?c.associatedNotebooks.set(r.uri,!0):c.associatedNotebooks.delete(r.uri),this.q.trace(`NotebookController[${d}] ASSOCIATE notebook`,r.uri.toString(),y),c.onDidChangeSelection.fire({selected:y,notebook:r.apiNotebook})}}async $executeCells(d,S,y){const c=this.j.get(d);if(!c)return;const r=this.n.getNotebookDocument(k.URI.revive(S)),P=[];for(const N of y){const U=r.getCell(N);U&&P.push(U.apiCell)}try{this.q.trace(`NotebookController[${d}] EXECUTE cells`,r.uri.toString(),P.length),await c.controller.executeHandler.call(c.controller,P,r.apiNotebook,c.controller)}catch(N){this.q.error(`NotebookController[${d}] execute cells FAILED`,N),console.error(N)}}async $cancelCells(d,S,y){const c=this.j.get(d);if(!c)return;const r=this.n.getNotebookDocument(k.URI.revive(S));if(c.controller.interruptHandler)await c.controller.interruptHandler.call(c.controller,r.apiNotebook);else for(const P of y){const N=r.getCell(P);N&&this.b.get(N.uri)?.cancel()}if(c.controller.interruptHandler){const P=this.c.get(r.uri);y.length&&Array.isArray(P)&&P.length&&P.forEach(N=>N.dispose())}}$acceptKernelMessageFromRenderer(d,S,y){const c=this.j.get(d);if(!c)return;const r=this.n.getEditorById(S);c.onDidReceiveMessage.fire(Object.freeze({editor:r.apiEditor,message:y}))}$cellExecutionChanged(d,S,y){const r=this.n.getNotebookDocument(k.URI.revive(d)).getCell(S);if(r){const P=y?C.NotebookCellExecutionState.to(y):w.NotebookCellExecutionState.Idle;P!==void 0&&this.l.fire({cell:r.apiCell,state:P})}}_createNotebookCellExecution(d,S){if(d.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const c=this.n.getNotebookDocument(d.notebook.uri).getCellFromApiCell(d);if(!c)throw new Error("invalid cell");if(this.b.has(c.uri))throw new Error(`duplicate execution for ${c.uri}`);const r=new n(S,c,this.a);this.b.set(c.uri,r);const P=r.onDidChangeState(()=>{r.state===E.Resolved&&(r.dispose(),P.dispose(),this.b.delete(c.uri))});return r.asApiObject()}_createNotebookExecution(d,S){const y=this.n.getNotebookDocument(d.uri),c=d.getCells().find(N=>{const U=y.getCellFromApiCell(N);return U&&this.b.has(U.uri)});if(c)throw new Error(`duplicate cell execution for ${c.document.uri}`);if(this.c.has(y.uri))throw new Error(`duplicate notebook execution for ${y.uri}`);const r=new s(S,y,this.a),P=r.onDidChangeState(()=>{r.state===o.Resolved&&(r.dispose(),P.dispose(),this.c.delete(y.uri))});return this.c.set(y.uri,[r,P]),r.asApiObject()}};e.$B_b=f=He([We(4,L.$Ni)],f);var E;(function($){$[$.Init=0]="Init",$[$.Started=1]="Started",$[$.Resolved=2]="Resolved"})(E||(E={}));class n extends R.$kb{get state(){return this.f}constructor(d,S,y){super(),this.j=S,this.k=y,this.b=n.a++,this.c=new F.$5c,this.onDidChangeState=this.c.event,this.f=E.Init,this.g=this.B(new h.$bd),this.h=new t(10,c=>this.m(c)),this.i=S.internalMetadata.executionOrder,this.k.$createExecution(this.b,d,this.j.notebook.uri,this.j.handle)}cancel(){this.g.cancel()}async l(d){await this.h.addItem(d)}async m(d){const S=Array.isArray(d)?d:[d];return this.k.$updateExecution(this.b,new p.$Mz(S))}n(){if(this.f===E.Init)throw new Error("Must call start before modifying cell output");if(this.f===E.Resolved)throw new Error("Cannot modify cell output after calling resolve")}r(d){let S=this.j;if(d&&(S=this.j.notebook.getCellFromApiCell(d)),!S)throw new Error("INVALID cell");return S.handle}s(d){return d.map(S=>{const y=w.$CK.ensureUniqueMimeTypes(S.items,!0);return y===S.items?C.NotebookCellOutput.from(S):C.NotebookCellOutput.from({items:y,id:S.id,metadata:S.metadata})})}async t(d,S,y){const c=this.r(S),r=this.s((0,b.$Gf)(d));return this.l({editType:l.CellExecutionUpdateType.Output,cellHandle:c,append:y,outputs:r})}async w(d,S,y){return d=w.$CK.ensureUniqueMimeTypes((0,b.$Gf)(d),!0),this.l({editType:l.CellExecutionUpdateType.OutputItems,items:d.map(C.NotebookCellOutputItem.from),outputId:S.id,append:y})}asApiObject(){const d=this;return Object.freeze({get token(){return d.g.token},get cell(){return d.j.apiCell},get executionOrder(){return d.i},set executionOrder(y){d.i=y,d.m([{editType:l.CellExecutionUpdateType.ExecutionState,executionOrder:d.i}])},start(y){if(d.f===E.Resolved||d.f===E.Started)throw new Error("Cannot call start again");d.f=E.Started,d.c.fire(),d.m({editType:l.CellExecutionUpdateType.ExecutionState,runStartTime:y})},end(y,c){if(d.f===E.Resolved)throw new Error("Cannot call resolve twice");d.f=E.Resolved,d.c.fire(),d.h.flush(),d.k.$completeExecution(d.b,new p.$Mz({runEndTime:c,lastRunSuccess:y}))},clearOutput(y){return d.n(),d.t([],y,!1)},appendOutput(y,c){return d.n(),d.t(y,c,!0)},replaceOutput(y,c){return d.n(),d.t(y,c,!1)},appendOutputItems(y,c){return d.n(),d.w(y,c,!0)},replaceOutputItems(y,c){return d.n(),d.w(y,c,!1)}})}}n.a=0;var o;(function($){$[$.Init=0]="Init",$[$.Started=1]="Started",$[$.Resolved=2]="Resolved"})(o||(o={}));class s extends R.$kb{get state(){return this.f}constructor(d,S,y){super(),this.h=S,this.i=y,this.b=s.a++,this.c=new F.$5c,this.onDidChangeState=this.c.event,this.f=o.Init,this.g=this.B(new h.$bd),this.i.$createNotebookExecution(this.b,d,this.h.uri)}cancel(){this.g.cancel()}asApiObject(){return Object.freeze({start:()=>{if(this.f===o.Resolved||this.f===o.Started)throw new Error("Cannot call start again");this.f=o.Started,this.c.fire(),this.i.$beginNotebookExecution(this.b)},end:()=>{if(this.f===o.Resolved)throw new Error("Cannot call resolve twice");this.f=o.Resolved,this.c.fire(),this.i.$completeNotebookExecution(this.b)}})}}s.a=0;class t{constructor(d,S){this.e=d,this.f=S,this.a=[],this.b=Date.now()}addItem(d){return this.a.push(d),this.c||(this.c=new A.$Lg,this.b=Date.now(),(0,A.$sg)(this.e).then(()=>this.flush())),Date.now()-this.b>this.e?this.flush():this.c.p}flush(){if(this.a.length===0||!this.c)return Promise.resolve();const d=this.c;this.c=void 0;const S=this.a;return this.a=[],this.f(S).finally(()=>d.complete())}}function u($,d){return`${$.value}/${d}`}e.$C_b=u}),define(De[296],Ce([1,0,3,6,138]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$D_b=void 0;class F{constructor(g,k){this.c=k,this.a=new Map,this.b=g.getProxy(A.$$I.MainThreadNotebookRenderers)}$postRendererMessage(g,k,m){const L=this.c.getEditorById(g);this.a.get(k)?.fire({editor:L.apiEditor,message:m})}createRendererMessaging(g,k){if(!g.contributes?.notebookRenderer?.some(L=>L.id===k))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${k})`);return{onDidReceiveMessage:(L,I,v)=>this.d(k).event(L,I,v),postMessage:(L,I)=>{h.$m_b.apiEditorsToExtHost.has(L)&&([L,I]=[I,L]);const v=I&&h.$m_b.apiEditorsToExtHost.get(I);return this.b.$postMessage(v?.id,k,L)}}}d(g){let k=this.a.get(g);return k||(k=new b.$5c({onDidRemoveLastListener:()=>{k?.dispose(),this.a.delete(g)}}),this.a.set(g,k),k)}}e.$D_b=F}),define(De[297],Ce([1,0,4,12,2,27,6]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$H_b=void 0;class g{constructor(m){this.b=new Map,this.a=m.getProxy(R.$$I.MainThreadProfileContentHandlers)}registrProfileContentHandler(m,L,I){if((0,F.$$E)(m,"profileContentHandlers"),this.b.has(L))throw new Error(`Handler with id '${L}' already registered`);return this.b.set(L,I),this.a.$registerProfileContentHandler(L,I.name,I.description,m.identifier.value),(0,b.$ib)(()=>{this.b.delete(L),this.a.$unregisterProfileContentHandler(L)})}async $saveProfile(m,L,I,v){const D=this.b.get(m);if(!D)throw new Error(`Unknown handler with id: ${m}`);return D.saveProfile(L,I,v)}async $readProfile(m,L,I){const v=this.b.get(m);if(!v)throw new Error(`Unknown handler with id: ${m}`);return v.readProfile((0,A.$ge)(L)?L:h.URI.revive(L),I)}}e.$H_b=g}),define(De[298],Ce([1,0,2,6,17,15]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$I_b=void 0;class R{constructor(k,m){this.d=m,this.c=new Map,this.b=k.getProxy(A.$$I.MainThreadQuickDiff)}$provideOriginalResource(k,m,L){const I=b.URI.revive(m),v=this.c.get(k);return v?(0,h.$kg)(()=>v.provideOriginalResource(I,L)).then(D=>D||null):Promise.resolve(null)}registerQuickDiffProvider(k,m,L,I){const v=R.a++;return this.c.set(v,m),this.b.$registerQuickDiffProvider(v,F.DocumentSelector.from(k,this.d),L,I),{dispose:()=>{this.b.$unregisterQuickDiffProvider(v),this.c.delete(v)}}}}e.$I_b=R,R.a=0}),define(De[299],Ce([1,0,21,3,4,6,2,7,8,19,40,55,27,15]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$J$b=void 0;function C(w,i,l){const a=w.getProxy(F.$$I.MainThreadQuickOpen);class p{constructor(d,S){this.e=new Map,this.f=0,this.a=d,this.b=S}showQuickPick(d,S,y,c=b.CancellationToken.None){this.c=void 0;const r=Promise.resolve(S),P=++this.f,N=a.$show(P,{title:y?.title,placeHolder:y?.placeHolder,matchOnDescription:y?.matchOnDescription,matchOnDetail:y?.matchOnDetail,ignoreFocusLost:y?.ignoreFocusOut,canPickMany:y?.canPickMany},c),U={},q=N.then(()=>U);return Promise.race([q,r]).then(W=>{if(W===U)return;const O=(0,v.$0E)(d,"quickPickItemTooltip"),J=(0,v.$0E)(d,"quickPickItemIcon");return r.then(z=>{const j=[];for(let he=0;he<z.length;he++){const ie=z[he];if(typeof ie=="string")j.push({label:ie,handle:he});else if(ie.kind===g.QuickPickItemKind.Separator)j.push({type:"separator",label:ie.label});else{ie.tooltip&&!O&&console.warn(`Extension '${d.identifier.value}' uses a tooltip which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${d.identifier.value}`),ie.iconPath&&!J&&console.warn(`Extension '${d.identifier.value}' uses an icon which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${d.identifier.value}`);const ne=ie.iconPath&&J?s(ie.iconPath):void 0;j.push({label:ie.label,iconPath:ne?.iconPath,iconClass:ne?.iconClass,description:ie.description,detail:ie.detail,picked:ie.picked,alwaysShow:ie.alwaysShow,tooltip:O?D.MarkdownString.fromStrict(ie.tooltip):void 0,handle:he})}}return y&&typeof y.onDidSelectItem=="function"&&(this.c=he=>{y.onDidSelectItem(z[he])}),a.$setItems(P,j),N.then(he=>{if(typeof he=="number")return z[he];if(Array.isArray(he))return he.map(ie=>z[ie])})})}).then(void 0,W=>{if(!(0,k.$1)(W))return a.$setError(P,W),Promise.reject(W)})}$onItemSelected(d){this.c?.(d)}showInput(d,S=b.CancellationToken.None){return this.d=d?.validateInput,a.$input(d,typeof this.d=="function",S).then(void 0,y=>{if(!(0,k.$1)(y))return Promise.reject(y)})}async $validateInput(d){if(!this.d)return;const S=await this.d(d);if(!S||typeof S=="string")return S;let y;switch(S.severity){case g.InputBoxValidationSeverity.Info:y=L.default.Info;break;case g.InputBoxValidationSeverity.Warning:y=L.default.Warning;break;case g.InputBoxValidationSeverity.Error:y=L.default.Error;break;default:y=S.message?L.default.Error:L.default.Ignore;break}return{content:S.message,severity:y}}async showWorkspaceFolderPick(d,S=b.CancellationToken.None){const y=await this.b.executeCommand("_workbench.pickWorkspaceFolder",[d]);if(!y)return;const c=await this.a.getWorkspaceFolders2();if(c)return c.find(r=>r.uri.toString()===y.uri.toString())}createQuickPick(d){const S=new t(d,()=>this.e.delete(S._id));return this.e.set(S._id,S),S}createInputBox(d){const S=new u(d,()=>this.e.delete(S._id));return this.e.set(S._id,S),S}$onDidChangeValue(d,S){this.e.get(d)?._fireDidChangeValue(S)}$onDidAccept(d){this.e.get(d)?._fireDidAccept()}$onDidChangeActive(d,S){const y=this.e.get(d);y instanceof t&&y._fireDidChangeActive(S)}$onDidChangeSelection(d,S){const y=this.e.get(d);y instanceof t&&y._fireDidChangeSelection(S)}$onDidTriggerButton(d,S){this.e.get(d)?._fireDidTriggerButton(S)}$onDidTriggerItemButton(d,S,y){const c=this.e.get(d);c instanceof t&&c._fireDidTriggerItemButton(S,y)}$onDidHide(d){this.e.get(d)?._fireDidHide()}}class f{constructor(d,S){this.x=d,this.y=S,this._id=t.a++,this.e=!1,this.f=!1,this.g=!0,this.j=!1,this.k=!0,this.l="",this.n=[],this.o=new Map,this.p=new A.$5c,this.q=new A.$5c,this.r=new A.$5c,this.s=new A.$5c,this.u={id:this._id},this.v=!1,this.w=[this.r,this.s,this.p,this.q],this.onDidChangeValue=this.q.event,this.onDidAccept=this.p.event,this.onDidTriggerButton=this.r.event,this.onDidHide=this.s.event}get title(){return this.b}set title(d){this.b=d,this.z({title:d})}get step(){return this.c}set step(d){this.c=d,this.z({step:d})}get totalSteps(){return this.d}set totalSteps(d){this.d=d,this.z({totalSteps:d})}get enabled(){return this.g}set enabled(d){this.g=d,this.z({enabled:d})}get busy(){return this.j}set busy(d){this.j=d,this.z({busy:d})}get ignoreFocusOut(){return this.k}set ignoreFocusOut(d){this.k=d,this.z({ignoreFocusOut:d})}get value(){return this.l}set value(d){this.l=d,this.z({value:d})}get placeholder(){return this.m}set placeholder(d){this.m=d,this.z({placeholder:d})}get buttons(){return this.n}set buttons(d){this.n=d.slice(),this.o.clear(),d.forEach((S,y)=>{const c=S===g.$vK.Back?-1:y;this.o.set(c,S)}),this.z({buttons:d.map((S,y)=>({...s(S.iconPath),tooltip:S.tooltip,handle:S===g.$vK.Back?-1:y}))})}show(){this.e=!0,this.f=!0,this.z({visible:!0})}hide(){this.e=!1,this.z({visible:!1})}_fireDidAccept(){this.p.fire()}_fireDidChangeValue(d){this.l=d,this.q.fire(d)}_fireDidTriggerButton(d){const S=this.o.get(d);S&&this.r.fire(S)}_fireDidHide(){this.f&&(this.f=this.e,this.s.fire())}dispose(){this.v||(this.v=!0,this._fireDidHide(),this.w=(0,h.$fb)(this.w),this.t&&(clearTimeout(this.t),this.t=void 0),this.y(),a.$dispose(this._id))}z(d){if(!this.v){for(const S of Object.keys(d)){const y=d[S];this.u[S]=y===void 0?null:y}"visible"in this.u?(this.t&&(clearTimeout(this.t),this.t=void 0),this.A()):this.e&&!this.t&&(this.t=setTimeout(()=>{this.t=void 0,this.A()},0))}}A(){a.$createOrUpdate(this.u),this.u={id:this._id}}}f.a=1;function E($){if($ instanceof g.$8J)return{id:$.id};const d=o($),S=n($);return{dark:typeof d=="string"?R.URI.file(d):d,light:typeof S=="string"?R.URI.file(S):S}}function n($){return typeof $=="object"&&"light"in $?$.light:$}function o($){return typeof $=="object"&&"dark"in $?$.dark:$}function s($){const d=E($);let S,y;return"id"in d?y=I.ThemeIcon.asClassName(d):S=d,{iconPath:S,iconClass:y}}class t extends f{constructor(d,S){super(d.identifier,S),this.O=d,this.B=[],this.C=new Map,this.D=new Map,this.E=!1,this.F=!0,this.G=!0,this.H=!0,this.I=!1,this.J=[],this.K=new A.$5c,this.L=[],this.M=new A.$5c,this.N=new A.$5c,this.onDidChangeActive=this.K.event,this.onDidChangeSelection=this.M.event,this.onDidTriggerItemButton=this.N.event,this.w.push(this.K,this.M,this.N),this.z({type:"quickPick"})}get items(){return this.B}set items(d){this.B=d.slice(),this.C.clear(),this.D.clear(),d.forEach((r,P)=>{this.C.set(P,r),this.D.set(r,P)});const S=(0,v.$0E)(this.O,"quickPickItemTooltip"),y=(0,v.$0E)(this.O,"quickPickItemIcon"),c=[];for(let r=0;r<d.length;r++){const P=d[r];if(P.kind===g.QuickPickItemKind.Separator)c.push({type:"separator",label:P.label});else{P.tooltip&&!S&&console.warn(`Extension '${this.O.identifier.value}' uses a tooltip which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${this.O.identifier.value}`),P.iconPath&&!y&&console.warn(`Extension '${this.O.identifier.value}' uses an icon which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${this.O.identifier.value}`);const N=P.iconPath&&y?s(P.iconPath):void 0;c.push({handle:r,label:P.label,iconPath:N?.iconPath,iconClass:N?.iconClass,description:P.description,detail:P.detail,picked:P.picked,alwaysShow:P.alwaysShow,tooltip:S?D.MarkdownString.fromStrict(P.tooltip):void 0,buttons:P.buttons?.map((U,q)=>({...s(U.iconPath),tooltip:U.tooltip,handle:q}))})}}this.z({items:c})}get canSelectMany(){return this.E}set canSelectMany(d){this.E=d,this.z({canSelectMany:d})}get matchOnDescription(){return this.F}set matchOnDescription(d){this.F=d,this.z({matchOnDescription:d})}get matchOnDetail(){return this.G}set matchOnDetail(d){this.G=d,this.z({matchOnDetail:d})}get sortByLabel(){return this.H}set sortByLabel(d){this.H=d,this.z({sortByLabel:d})}get keepScrollPosition(){return this.I}set keepScrollPosition(d){this.I=d,this.z({keepScrollPosition:d})}get activeItems(){return this.J}set activeItems(d){this.J=d.filter(S=>this.D.has(S)),this.z({activeItems:this.J.map(S=>this.D.get(S))})}get selectedItems(){return this.L}set selectedItems(d){this.L=d.filter(S=>this.D.has(S)),this.z({selectedItems:this.L.map(S=>this.D.get(S))})}_fireDidChangeActive(d){const S=(0,m.$jf)(d.map(y=>this.C.get(y)));this.J=S,this.K.fire(S)}_fireDidChangeSelection(d){const S=(0,m.$jf)(d.map(y=>this.C.get(y)));this.L=S,this.M.fire(S)}_fireDidTriggerItemButton(d,S){const y=this.C.get(d);if(!y||!y.buttons||!y.buttons.length)return;const c=y.buttons[S];c&&this.N.fire({button:c,item:y})}}class u extends f{constructor(d,S){super(d.identifier,S),this.B=!1,this.z({type:"inputBox"})}get password(){return this.B}set password(d){this.B=d,this.z({password:d})}get prompt(){return this.C}set prompt(d){this.C=d,this.z({prompt:d})}get valueSelection(){return this.D}set valueSelection(d){this.D=d,this.z({valueSelection:d})}get validationMessage(){return this.E}set validationMessage(d){this.E=d,d?typeof d=="string"?this.z({validationMessage:d,severity:L.default.Error}):this.z({validationMessage:d.message,severity:d.severity??L.default.Error}):this.z({validationMessage:void 0,severity:L.default.Ignore})}}return new p(i,l)}e.$J$b=C});var Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)},Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b};define(De[300],Ce([1,0,2,3,66,4,17,6,19,118,18,25,55,15,27,16]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w){"use strict";var i,l,a;Object.defineProperty(e,"__esModule",{value:!0}),e.$L$b=e.$K$b=void 0;function p(c){if(c)return typeof c.iconPath=="string"?b.URI.file(c.iconPath):b.URI.isUri(c.iconPath)||v.ThemeIcon.isThemeIcon(c.iconPath)?c.iconPath:void 0}function f(c,r){if(!c.iconPath&&!r.iconPath)return 0;if(c.iconPath){if(!r.iconPath)return 1}else return-1;const P=typeof c.iconPath=="string"?c.iconPath:b.URI.isUri(c.iconPath)?c.iconPath.fsPath:c.iconPath.id,N=typeof r.iconPath=="string"?r.iconPath:b.URI.isUri(r.iconPath)?r.iconPath.fsPath:r.iconPath.id;return(0,m.$5p)(P,N)}function E(c,r){let P=0;if(c.strikeThrough!==r.strikeThrough)return c.strikeThrough?1:-1;if(c.faded!==r.faded)return c.faded?1:-1;if(c.tooltip!==r.tooltip)return(c.tooltip||"").localeCompare(r.tooltip||"");if(P=f(c,r),P!==0)return P;if(c.light&&r.light)P=f(c.light,r.light);else{if(c.light)return 1;if(r.light)return-1}if(P!==0)return P;if(c.dark&&r.dark)P=f(c.dark,r.dark);else{if(c.dark)return 1;if(r.dark)return-1}return P}function n(c,r){if(c.command!==r.command)return c.command<r.command?-1:1;if(c.title!==r.title)return c.title<r.title?-1:1;if(c.tooltip!==r.tooltip){if(c.tooltip!==void 0&&r.tooltip!==void 0)return c.tooltip<r.tooltip?-1:1;if(c.tooltip!==void 0)return 1;if(r.tooltip!==void 0)return-1}if(c.arguments===r.arguments)return 0;if(c.arguments)if(r.arguments){if(c.arguments.length!==r.arguments.length)return c.arguments.length-r.arguments.length}else return 1;else return-1;for(let P=0;P<c.arguments.length;P++){const N=c.arguments[P],U=r.arguments[P];if(N!==U)return N<U?-1:1}return 0}function o(c,r){let P=(0,m.$5p)(c.resourceUri.fsPath,r.resourceUri.fsPath,!0);if(P!==0)return P;if(c.command&&r.command)P=n(c.command,r.command);else{if(c.command)return 1;if(r.command)return-1}if(P!==0)return P;if(c.decorations&&r.decorations)P=E(c.decorations,r.decorations);else{if(c.decorations)return 1;if(r.decorations)return-1}return P}function s(c,r){for(let P=0;P<c.length;P++)if(c[P]!==r[P])return!1;return!0}function t(c,r){return c.command===r.command&&c.title===r.title&&c.tooltip===r.tooltip&&(c.arguments&&r.arguments?s(c.arguments,r.arguments):c.arguments===r.arguments)}function u(c,r){return(0,k.$$e)(c,r,t)}class ${get value(){return this.d}set value(r){r=r??"",Te(this,i,"f").$setInputBoxValue(this.l,r),this.n(r)}get onDidChange(){return this.e.event}get placeholder(){return this.f}set placeholder(r){Te(this,i,"f").$setInputBoxPlaceholder(this.l,r),this.f=r}get validateInput(){return(0,C.$$E)(this.k,"scmValidation"),this.g}set validateInput(r){if((0,C.$$E)(this.k,"scmValidation"),r&&typeof r!="function")throw new Error(`[${this.k.identifier.value}]: Invalid SCM input box validation function`);this.g=r,Te(this,i,"f").$setValidationProviderIsEnabled(this.l,!!r)}get enabled(){return this.h}set enabled(r){r=!!r,this.h!==r&&(this.h=r,Te(this,i,"f").$setInputBoxEnablement(this.l,r))}get visible(){return this.j}set visible(r){r=!!r,this.j!==r&&(this.j=r,Te(this,i,"f").$setInputBoxVisibility(this.l,r))}get document(){return(0,C.$$E)(this.k,"scmTextDocument"),Te(this,l,"f").getDocument(this.m)}constructor(r,P,N,U,q){this.k=r,this.l=U,this.m=q,i.set(this,void 0),l.set(this,void 0),this.d="",this.e=new A.$5c,this.f="",this.h=!0,this.j=!0,Xe(this,l,P,"f"),Xe(this,i,N,"f")}showValidationMessage(r,P){(0,C.$$E)(this.k,"scmValidation"),Te(this,i,"f").$showValidationMessage(this.l,r,P)}$onInputBoxValueChange(r){this.n(r)}n(r){this.d=r,this.e.fire(r)}}e.$K$b=$,i=new WeakMap,l=new WeakMap;class d{get disposed(){return this.l}get id(){return this.u}get label(){return this.v}set label(r){this.v=r,this.q.$updateGroupLabel(this.t,this.handle,r)}get hideWhenEmpty(){return this.p}set hideWhenEmpty(r){this.p=r,this.q.$updateGroup(this.t,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this.f]}set resourceStates(r){this.f=[...r],this.k.fire()}constructor(r,P,N,U,q){this.q=r,this.s=P,this.t=N,this.u=U,this.v=q,this.e=0,this.f=[],this.g=new Map,this.h=new Map,this.j=new Map,this.k=new A.$5c,this.onDidUpdateResourceStates=this.k.event,this.l=!1,this.m=new A.$5c,this.onDidDispose=this.m.event,this.n=[],this.o=[],this.p=void 0,this.handle=d.d++}getResourceState(r){return this.g.get(r)}$executeResourceCommand(r,P){const N=this.h.get(r);return N?(0,R.$kg)(()=>this.s.executeCommand(N.command,...N.arguments||[],P)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const r=[...this.f].sort(o),N=(0,k.$ff)(this.o,r,o).map(W=>{const O=W.toInsert.map(J=>{const z=this.e++;this.g.set(z,J);const j=J.resourceUri;let he;if(J.command)if(J.command.command==="vscode.open"||J.command.command==="vscode.diff"){const Q=new F.$jb;he=this.s.converter.toInternal(J.command,Q),this.j.set(z,Q)}else this.h.set(z,J.command);const ie=p(J.decorations),ne=J.decorations&&p(J.decorations.light)||ie,V=J.decorations&&p(J.decorations.dark)||ie,H=[ne,V],ce=J.decorations&&J.decorations.tooltip||"",pe=J.decorations&&!!J.decorations.strikeThrough,ye=J.decorations&&!!J.decorations.faded,ge=J.contextValue||"";return{rawResource:[z,j,H,ce,pe,ye,ge,he],handle:z}});return{start:W.start,deleteCount:W.deleteCount,toInsert:O}}),U=N.map(({start:W,deleteCount:O,toInsert:J})=>[W,O,J.map(z=>z.rawResource)]),q=N.reverse();for(const{start:W,deleteCount:O,toInsert:J}of q){const z=J.map(he=>he.handle),j=this.n.splice(W,O,...z);for(const he of j)this.g.delete(he),this.h.delete(he),this.j.get(he)?.dispose(),this.j.delete(he)}return this.o=r,U}dispose(){this.l=!0,this.m.fire()}}d.d=0;class S{get id(){return this.w}get label(){return this.x}get rootUri(){return this.y}get inputBox(){return this.f}get count(){return this.g}set count(r){this.g!==r&&(this.g=r,Te(this,a,"f").$updateSourceControl(this.t,{count:r}))}get quickDiffProvider(){return this.h}set quickDiffProvider(r){this.h=r;let P;(0,C.$0E)(this.u,"quickDiffProvider")&&(P=r?.label),Te(this,a,"f").$updateSourceControl(this.t,{hasQuickDiffProvider:!!r,quickDiffLabel:P})}get commitTemplate(){return this.j}set commitTemplate(r){r!==this.j&&(this.j=r,Te(this,a,"f").$updateSourceControl(this.t,{commitTemplate:r}))}get acceptInputCommand(){return this.l}set acceptInputCommand(r){this.k.value=new F.$jb,this.l=r;const P=this.v.converter.toInternal(r,this.k.value);Te(this,a,"f").$updateSourceControl(this.t,{acceptInputCommand:P})}get actionButton(){return(0,C.$$E)(this.u,"scmActionButton"),this.n}set actionButton(r){(0,C.$$E)(this.u,"scmActionButton"),this.m.value=new F.$jb,this.n=r;const P=r!==void 0?{command:this.v.converter.toInternal(r.command,this.m.value),secondaryCommands:r.secondaryCommands?.map(N=>N.map(U=>this.v.converter.toInternal(U,this.m.value))),description:r.description,enabled:r.enabled}:void 0;Te(this,a,"f").$updateSourceControl(this.t,{actionButton:P??null})}get statusBarCommands(){return this.p}set statusBarCommands(r){if(this.p&&r&&u(this.p,r))return;this.o.value=new F.$jb,this.p=r;const P=(r||[]).map(N=>this.v.converter.toInternal(N,this.o.value));Te(this,a,"f").$updateSourceControl(this.t,{statusBarCommands:P})}get selected(){return this.q}constructor(r,P,N,U,q,W,O){this.u=r,this.v=U,this.w=q,this.x=W,this.y=O,a.set(this,void 0),this.e=new Map,this.g=void 0,this.h=void 0,this.j=void 0,this.k=new F.$lb,this.l=void 0,this.m=new F.$lb,this.o=new F.$lb,this.p=void 0,this.q=!1,this.s=new A.$5c,this.onDidChangeSelection=this.s.event,this.t=S.d++,this.z=new Map,this.A=new Set,Xe(this,a,N,"f");const J=b.URI.from({scheme:w.Schemas.vscodeSourceControl,path:`${q}/scm${this.t}/input`,query:O?`rootUri=${encodeURIComponent(O.toString())}`:void 0});this.f=new $(r,P,Te(this,a,"f"),this.t,J),Te(this,a,"f").$registerSourceControl(this.t,q,W,O,J)}createResourceGroup(r,P){const N=new d(Te(this,a,"f"),this.v,this.t,r,P),U=A.Event.once(N.onDidDispose)(()=>this.z.delete(N));return this.z.set(N,U),this.eventuallyAddResourceGroups(),N}eventuallyAddResourceGroups(){const r=[],P=[];for(const[N,U]of this.z){U.dispose();const q=N.onDidUpdateResourceStates(()=>{this.A.add(N),this.eventuallyUpdateResourceStates()});A.Event.once(N.onDidDispose)(()=>{this.A.delete(N),q.dispose(),this.e.delete(N.handle),Te(this,a,"f").$unregisterGroup(this.t,N.handle)}),r.push([N.handle,N.id,N.label,N.features]);const W=N._takeResourceStateSnapshot();W.length>0&&P.push([N.handle,W]),this.e.set(N.handle,N)}Te(this,a,"f").$registerGroups(this.t,r,P),this.z.clear()}eventuallyUpdateResourceStates(){const r=[];this.A.forEach(P=>{const N=P._takeResourceStateSnapshot();N.length!==0&&r.push([P.handle,N])}),r.length>0&&Te(this,a,"f").$spliceResourceStates(this.t,r),this.A.clear()}getResourceGroup(r){return this.e.get(r)}setSelectionState(r){this.q=r,this.s.fire(r)}dispose(){this.k.dispose(),this.m.dispose(),this.o.dispose(),this.e.forEach(r=>r.dispose()),Te(this,a,"f").$unregisterSourceControl(this.t)}}a=new WeakMap,S.d=0,He([(0,h.$Qg)(100)],S.prototype,"eventuallyAddResourceGroups",null),He([(0,h.$Qg)(100)],S.prototype,"eventuallyUpdateResourceStates",null);let y=e.$L$b=class Ln{get onDidChangeActiveProvider(){return this.j.event}constructor(r,P,N,U){this.l=P,this.m=N,this.n=U,this.g=new Map,this.h=new I.$Fl,this.j=new A.$5c,this.e=r.getProxy(g.$$I.MainThreadSCM),this.f=r.getProxy(g.$$I.MainThreadTelemetry),P.registerArgumentProcessor({processArgument:q=>{if(q&&q.$mid===3){const W=this.g.get(q.sourceControlHandle);if(!W)return q;const O=W.getResourceGroup(q.groupHandle);return O?O.getResourceState(q.handle):q}else if(q&&q.$mid===4){const W=this.g.get(q.sourceControlHandle);return W?W.getResourceGroup(q.groupHandle):q}else if(q&&q.$mid===5){const W=this.g.get(q.handle);return W||q}return q}})}createSourceControl(r,P,N,U){this.n.trace("ExtHostSCM#createSourceControl",r.identifier.value,P,N,U),this.f.$publicLog2("api/scm/createSourceControl",{extensionId:r.identifier.value});const q=Ln.d++,W=new S(r,this.m,this.e,this.l,P,N,U);this.g.set(q,W);const O=this.h.get(r.identifier)||[];return O.push(W),this.h.set(r.identifier,O),W}getLastInputBox(r){this.n.trace("ExtHostSCM#getLastInputBox",r.identifier.value);const P=this.h.get(r.identifier),N=P&&P[P.length-1];return N&&N.inputBox}$provideOriginalResource(r,P,N){const U=b.URI.revive(P);this.n.trace("ExtHostSCM#$provideOriginalResource",r,U.toString());const q=this.g.get(r);return!q||!q.quickDiffProvider||!q.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,R.$kg)(()=>q.quickDiffProvider.provideOriginalResource(U,N)).then(W=>W||null)}$onInputBoxValueChange(r,P){this.n.trace("ExtHostSCM#$onInputBoxValueChange",r);const N=this.g.get(r);return N&&N.inputBox.$onInputBoxValueChange(P),Promise.resolve(void 0)}$executeResourceCommand(r,P,N,U){this.n.trace("ExtHostSCM#$executeResourceCommand",r,P,N);const q=this.g.get(r);if(!q)return Promise.resolve(void 0);const W=q.getResourceGroup(P);return W?W.$executeResourceCommand(N,U):Promise.resolve(void 0)}$validateInput(r,P,N){this.n.trace("ExtHostSCM#$validateInput",r);const U=this.g.get(r);return!U||!U.inputBox.validateInput?Promise.resolve(void 0):(0,R.$kg)(()=>U.inputBox.validateInput(P,N)).then(q=>{if(!q)return Promise.resolve(void 0);const W=D.MarkdownString.fromStrict(q.message);return W?Promise.resolve([W,q.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(r){return this.n.trace("ExtHostSCM#$setSelectedSourceControl",r),r!==void 0&&this.g.get(r)?.setSelectionState(!0),this.k!==void 0&&this.g.get(this.k)?.setSelectionState(!1),this.k=r,Promise.resolve(void 0)}};y.d=0,e.$L$b=y=He([We(3,L.$Ni)],y)}),define(De[108],Ce([1,0,6,3,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$r$b=e.$q$b=void 0;class F{constructor(g){this.b=new A.$5c,this.onDidChangePassword=this.b.event,this.a=g.getProxy(b.$$I.MainThreadSecretState)}async $onDidChangePassword(g){this.b.fire(g)}get(g,k){return this.a.$getPassword(g,k)}store(g,k,m){return this.a.$setPassword(g,k,m)}delete(g,k){return this.a.$deletePassword(g,k)}}e.$q$b=F,e.$r$b=(0,h.$lh)("IExtHostSecretState")}),define(De[301],Ce([1,0,6,7]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$M_b=void 0;class h{constructor(R){this.a=new Map,this.b=0,this.c=R.getProxy(b.$$I.MainThreadSemanticSimilarity)}async $provideSimilarityScore(R,g,k,m){if(this.a.size===0)throw new Error("No semantic similarity providers registered");const L=this.a.get(R);if(!L)throw new Error("Semantic similarity provider not found");return await L.provideSimilarityScore(g,k,m)}registerSemanticSimilarityProvider(R,g){const k=this.b;return this.b++,this.a.set(k,g),this.c.$registerSemanticSimilarityProvider(k),new A.$aJ(()=>{this.c.$unregisterSemanticSimilarityProvider(k),this.a.delete(k)})}}e.$M_b=h}),define(De[302],Ce([1,0,6,15,2]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$O_b=void 0;class F{constructor(g,k){this.d=k,this.c=new Map,this.b=g.getProxy(b.$$I.MainThreadShare)}async $provideShare(g,k,m){return await this.c.get(g)?.provideShare({selection:A.Range.to(k.selection),resourceUri:h.URI.revive(k.resourceUri)},m)??void 0}registerShareProvider(g,k){const m=F.a++;return this.c.set(m,k),this.b.$registerShareProvider(m,A.DocumentSelector.from(g,this.d),k.id,k.label,k.priority),{dispose:()=>{this.b.$unregisterShareProvider(m),this.c.delete(m)}}}}e.$O_b=F,F.a=0});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[303],Ce([1,0,7,6,194,4,15,12]),function(re,e,b,A,h,F,R,g){"use strict";var k,m;Object.defineProperty(e,"__esModule",{value:!0}),e.$N$b=e.$M$b=void 0;class L{constructor(C,w,i,l,a,p=b.StatusBarAlignment.Left,f){if(k.set(this,void 0),m.set(this,void 0),this.i=!1,this.k="",this.q=new F.$jb,Xe(this,k,C,"f"),Xe(this,m,w,"f"),a&&l){this.c=(0,b.$LJ)(l.identifier,a);const E=i.get(this.c);E&&(p=E.alignLeft?b.StatusBarAlignment.Left:b.StatusBarAlignment.Right,f=E.priority,this.j=!0,this.name=E.name,this.text=E.text,this.tooltip=E.tooltip,this.command=E.command,this.accessibilityInformation=E.accessibilityInformation)}else this.c=String(L.a++);this.e=l,this.f=a,this.g=p,this.h=this.u(f)}u(C){if((0,g.$ke)(C))return C===Number.POSITIVE_INFINITY?Number.MAX_VALUE:C===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:C}get id(){return this.f??this.e.identifier.value}get alignment(){return this.g}get priority(){return this.h}get text(){return this.k}get name(){return this.m}get tooltip(){return this.l}get color(){return this.n}get backgroundColor(){return this.o}get command(){return this.r?.fromApi}get accessibilityInformation(){return this.t}set text(C){this.k=C,this.v()}set name(C){this.m=C,this.v()}set tooltip(C){this.l=C,this.v()}set color(C){this.n=C,this.v()}set backgroundColor(C){C&&!L.b.has(C.id)&&(C=void 0),this.o=C,this.v()}set command(C){this.r?.fromApi!==C&&(this.p&&this.q.add(this.p),this.p=new F.$jb,typeof C=="string"?this.r={fromApi:C,internal:Te(this,m,"f").toInternal({title:"",command:C},this.p)}:C?this.r={fromApi:C,internal:Te(this,m,"f").toInternal(C,this.p)}:this.r=void 0,this.v())}set accessibilityInformation(C){this.t=C,this.v()}show(){this.j=!0,this.v()}hide(){clearTimeout(this.s),this.j=!1,Te(this,k,"f").$disposeEntry(this.c)}v(){this.i||!this.j||(clearTimeout(this.s),this.s=setTimeout(()=>{this.s=void 0;let C;this.e?this.f?C=`${this.e.identifier.value}.${this.f}`:C=this.e.identifier.value:C=this.f;let w;this.m?w=this.m:w=(0,h.localize)(0,null,this.e.displayName||this.e.name);let i=this.n;this.o&&(i=L.b.get(this.o.id));const l=R.MarkdownString.fromStrict(this.l);Te(this,k,"f").$setEntry(this.c,C,this.e?.identifier.value,w,this.k,l,this.r?.internal,i,this.o,this.g===b.StatusBarAlignment.Left,this.h,this.t),this.q.clear()},0))}dispose(){this.hide(),this.i=!0}}e.$M$b=L,k=new WeakMap,m=new WeakMap,L.a=0,L.b=new Map([["statusBarItem.errorBackground",new b.$9J("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new b.$9J("statusBarItem.warningForeground")]]);class I{constructor(C){this.b=[],this.a=C.createStatusBarEntry(void 0,"status.extensionMessage",b.StatusBarAlignment.Left,Number.MIN_VALUE),this.a.name=(0,h.localize)(1,null)}dispose(){this.b.length=0,this.a.dispose()}setMessage(C){const w={message:C};return this.b.unshift(w),this.c(),new b.$aJ(()=>{const i=this.b.indexOf(w);i>=0&&(this.b.splice(i,1),this.c())})}c(){this.b.length>0?(this.a.text=this.b[0].message,this.a.show()):this.a.hide()}}class v{constructor(C,w){this.e=new Map,this.a=C.getProxy(A.$$I.MainThreadStatusBar),this.b=w,this.c=new I(this)}$acceptStaticEntries(C){for(const w of C)this.e.set(w.entryId,w)}createStatusBarEntry(C,w,i,l){return new L(this.a,this.b,this.e,C,w,i,l)}setStatusBarMessage(C,w){const i=this.c.setMessage(C);let l;return typeof w=="number"?l=setTimeout(()=>i.dispose(),w):typeof w<"u"&&w.then(()=>i.dispose(),()=>i.dispose()),new b.$aJ(()=>{i.dispose(),clearTimeout(l)})}}e.$N$b=v}),define(De[109],Ce([1,0,6,3,5]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$f$b=e.$e$b=void 0;class F{constructor(g,k){this.c=k,this.b=new A.$5c,this.onDidChangeStorage=this.b.event,this.a=g.getProxy(b.$$I.MainThreadStorage)}registerExtensionStorageKeysToSync(g,k){this.a.$registerExtensionStorageKeysToSync(g,k)}async initializeExtensionStorage(g,k,m){const L=await this.a.$initializeExtensionStorage(g,k);let I;return L&&(I=this.d(g,k,L)),I||m}setValue(g,k,m){return this.a.$setValue(g,k,m)}$acceptValue(g,k,m){const L=this.d(g,k,m);L&&this.b.fire({shared:g,key:k,value:L})}d(g,k,m){try{return JSON.parse(m)}catch(L){this.c.error(`[extHostStorage] unexpected error parsing storage contents (extensionId: ${k}, global: ${g}): ${L}`)}}}e.$e$b=F,e.$f$b=(0,h.$lh)("IExtHostStorage")}),define(De[84],Ce([1,0,5,26,18,64,2]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$l$b=e.$k$b=void 0,e.$k$b=(0,b.$lh)("IExtensionStoragePaths");let g=e.$l$b=class{constructor(m,L,I){this.d=L,this.f=I,this.a=m.workspace??void 0,this.b=m.environment,this.whenReady=this.h().then(v=>this.c=v)}async g(m){return R.URI.joinPath(this.b.workspaceStorageHome,m)}async h(){if(!this.a)return Promise.resolve(void 0);const m=this.a.id,L=await this.g(m);try{return await this.f.value.stat(L),this.d.trace("[ExtHostStorage] storage dir already exists",L),L}catch{}try{return this.d.trace("[ExtHostStorage] creating dir and metadata-file",L),await this.f.value.createDirectory(L),await this.f.value.writeFile(R.URI.joinPath(L,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this.a.id,configuration:R.URI.revive(this.a.configuration)?.toString(),name:this.a.name},void 0,2))),L}catch(I){this.d.error("[ExtHostStorage]",I);return}}workspaceValue(m){if(this.c)return R.URI.joinPath(this.c,m.identifier.value)}globalValue(m){return R.URI.joinPath(this.b.globalStorageHome,m.identifier.value.toLowerCase())}onWillDeactivateAll(){}};e.$l$b=g=He([We(0,A.$qL),We(1,h.$Ni),We(2,F.$j$b)],g)}),define(De[43],Ce([1,0,3,6,5,2,20,4,7,196,8,236,21,32,237,55,12,17,15,27]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$p$b=e.$o$b=e.$n$b=e.$m$b=void 0,e.$m$b=(0,h.$lh)("IExtHostTerminalService");class f{constructor(c,r,P,N){this.j=c,this._id=r,this.k=P,this.l=N,this.a=!1,this.i={isInteractedWith:!1},this.isOpen=!1,this.k=Object.freeze(this.k),this.b=new Promise(q=>this.f=q);const U=this;this.value={get name(){return U.l||""},get processId(){return U.b},get creationOptions(){return U.k},get exitStatus(){return U.h},get state(){return U.i},sendText(q,W=!0){U.n(),U.j.$sendText(U._id,q,W)},show(q){U.n(),U.j.$show(U._id,q)},hide(){U.n(),U.j.$hide(U._id)},dispose(){U.a||(U.a=!0,U.j.$dispose(U._id))},get dimensions(){if(!(U.d===void 0||U.g===void 0))return{columns:U.d,rows:U.g}}}}async create(c,r){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this.j.$createTerminal(this._id,{name:c.name,shellPath:(0,i.$ye)(c.shellPath),shellArgs:(0,i.$ye)(c.shellArgs),cwd:(0,i.$ye)(c.cwd),env:(0,i.$ye)(c.env),icon:(0,i.$ye)($(c.iconPath)),color:w.ThemeColor.isThemeColor(c.color)?c.color.id:void 0,initialText:(0,i.$ye)(c.message),strictEnv:(0,i.$ye)(c.strictEnv),hideFromUser:(0,i.$ye)(c.hideFromUser),isFeatureTerminal:(0,i.$ye)(r?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,i.$ye)(r?.useShellEnvironment),location:r?.location||this.m(c.location,r?.resolvedExtHostIdentifier),isTransient:(0,i.$ye)(c.isTransient)})}async createExtensionTerminal(c,r,P,N){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this.j.$createTerminal(this._id,{name:this.l,isExtensionCustomPtyTerminal:!0,icon:P,color:w.ThemeColor.isThemeColor(N)?N.id:void 0,location:this.m(c,r),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}m(c,r){return typeof c=="object"?"parentTerminal"in c&&c.parentTerminal&&r?{parentTerminal:r}:"viewColumn"in c?{viewColumn:a.ViewColumn.from(c.viewColumn),preserveFocus:c.preserveFocus}:void 0:c}n(){if(this.a)throw new Error("Terminal has already been disposed")}set name(c){this.l=c}setExitStatus(c,r){this.h=Object.freeze({code:c,reason:r})}setDimensions(c,r){return c===this.d&&r===this.g||c===0||r===0?!1:(this.d=c,this.g=r,!0)}setInteractedWith(){return this.i.isInteractedWith?!1:(this.i={isInteractedWith:!0},!0)}_setProcessId(c){this.f?(this.f(c),this.f=void 0):this.b.then(r=>{r!==c&&(this.b=Promise.resolve(c))})}}e.$n$b=f;class E{get onProcessReady(){return this.b.event}constructor(c){this.g=c,this.id=0,this.shouldPersist=!1,this.a=new b.$5c,this.onProcessData=this.a.event,this.b=new b.$5c,this.d=new b.$5c,this.onDidChangeProperty=this.d.event,this.f=new b.$5c,this.onProcessExit=this.f.event}refreshProperty(c){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${c}`)}updateProperty(c,r){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${c}, value: ${r}`)}async start(){}shutdown(){this.g.close()}input(c){this.g.handleInput?.(c)}resize(c,r){this.g.setDimensions?.({columns:c,rows:r})}clearBuffer(){}async processBinary(c){}acknowledgeDataEvent(c){}async setUnicodeVersion(c){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(c){this.g.onDidWrite(r=>this.a.fire(r)),this.g.onDidClose?.((r=void 0)=>{this.f.fire(r===void 0?void 0:r)}),this.g.onDidOverrideDimensions?.(r=>{r&&this.d.fire({type:"overrideDimensions",value:{cols:r.columns,rows:r.rows}})}),this.g.onDidChangeName?.(r=>{this.d.fire({type:"title",value:r})}),this.g.open(c||void 0),c&&this.g.setDimensions?.(c),this.b.fire({pid:-1,cwd:"",windowsPty:void 0})}}let n=1,o=e.$o$b=class extends g.$kb{get activeTerminal(){return this.b?.value}get terminals(){return this.f.map(c=>c.value)}get onDidWriteTerminalData(){return this.H.event}constructor(c,r){super(),this.f=[],this.g=new Map,this.h={},this.i={},this.j={},this.k=new Map,this.s=new Set,this.u=new Map,this.v=new Map,this.w=new Map,this.y=new Map,this.z=new b.$5c,this.onDidCloseTerminal=this.z.event,this.C=new b.$5c,this.onDidOpenTerminal=this.C.event,this.D=new b.$5c,this.onDidChangeActiveTerminal=this.D.event,this.F=new b.$5c,this.onDidChangeTerminalDimensions=this.F.event,this.G=new b.$5c,this.onDidChangeTerminalState=this.G.event,this.I=new b.$5c,this.onDidChangeShell=this.I.event,this.a=r.getProxy(A.$$I.MainThreadTerminalService),this.n=new C.$Jhb(this.a.$sendProcessData),this.H=new b.$5c({onWillAddFirstListener:()=>this.a.$startSendingDataEvents(),onDidRemoveLastListener:()=>this.a.$stopSendingDataEvents()}),this.a.$registerProcessSupport(c),this.B({dispose:()=>{for(const[P,N]of this.g)N.shutdown(!0)}})}getDefaultShell(c){return(c?this.m:this.l)?.path||""}getDefaultShellArgs(c){return(c?this.m:this.l)?.args||[]}createExtensionTerminal(c,r){const P=new f(this.a,(0,D.$3e)(),c,c.name),N=new E(c.pty);return P.createExtensionTerminal(c.location,this.J(c,r).resolvedExtHostIdentifier,$(c.iconPath),d(c.color)).then(U=>{const q=this.L(U,N);this.h[U]=q}),this.f.push(P),P.value}J(c,r){if(r=r||{},c.location&&typeof c.location=="object"&&"parentTerminal"in c.location){const P=c.location.parentTerminal;if(P){const N=this.f.find(U=>U.value===P);N&&(r.resolvedExtHostIdentifier=N._id)}}else c.location&&typeof c.location!="object"?r.location=c.location:r.location&&typeof r.location=="object"&&"splitActiveTerminal"in r.location&&(r.location={splitActiveTerminal:!0});return r}attachPtyToTerminal(c,r){if(!this.N(c))throw new Error(`Cannot resolve terminal with id ${c} for virtual process`);const N=new E(r),U=this.L(c,N);this.h[c]=U}async $acceptActiveTerminalChanged(c){const r=this.b;if(c===null){this.b=void 0,r!==this.b&&this.D.fire(this.b);return}const P=this.N(c);P&&(this.b=P,r!==this.b&&this.D.fire(this.b.value))}async $acceptTerminalProcessData(c,r){const P=this.N(c);P&&this.H.fire({terminal:P.value,data:r})}async $acceptTerminalDimensions(c,r,P){const N=this.N(c);N&&N.setDimensions(r,P)&&this.F.fire({terminal:N.value,dimensions:N.value.dimensions})}async $acceptTerminalMaximumDimensions(c,r,P){this.g.get(c)?.resize(r,P)}async $acceptTerminalTitleChange(c,r){const P=this.N(c);P&&(P.name=r)}async $acceptTerminalClosed(c,r,P){const N=this.P(this.f,c);if(N!==null){const U=this.f.splice(N,1)[0];U.setExitStatus(r,P),this.z.fire(U.value)}}$acceptTerminalOpened(c,r,P,N){if(r){const W=this.P(this.f,r);if(W!==null){this.f[W]._id=c,this.C.fire(this.terminals[W]),this.f[W].isOpen=!0;return}}const U={name:N.name,shellPath:N.executable,shellArgs:N.args,cwd:typeof N.cwd=="string"?N.cwd:F.URI.revive(N.cwd),env:N.env,hideFromUser:N.hideFromUser},q=new f(this.a,c,U,P);this.f.push(q),this.C.fire(q.value),q.isOpen=!0}async $acceptTerminalProcessId(c,r){this.N(c)?._setProcessId(r)}async $startExtensionTerminal(c,r){const P=this.N(c);if(!P)return{message:(0,m.localize)(0,null,c)};P.isOpen||await new Promise(U=>{const q=this.onDidOpenTerminal(async W=>{W===P.value&&(q.dispose(),U())})});const N=this.g.get(c);N?N.startSendingEvents(r):this.i[c]={initialDimensions:r}}L(c,r){const P=new g.$jb;P.add(r.onProcessReady(U=>this.a.$sendProcessReady(c,U.pid,U.cwd,U.windowsPty))),P.add(r.onDidChangeProperty(U=>this.a.$sendProcessProperty(c,U))),this.n.startBuffering(c,r.onProcessData),P.add(r.onProcessExit(U=>this.M(c,U))),this.g.set(c,r);const N=this.i[c];return N&&r instanceof E&&(r.startSendingEvents(N.initialDimensions),delete this.i[c]),P}$acceptProcessAckDataEvent(c,r){this.g.get(c)?.acknowledgeDataEvent(r)}$acceptProcessInput(c,r){this.g.get(c)?.input(r)}$acceptTerminalInteraction(c){const r=this.N(c);r?.setInteractedWith()&&this.G.fire(r.value)}$acceptProcessResize(c,r,P){try{this.g.get(c)?.resize(r,P)}catch(N){if(N.code!=="EPIPE"&&N.code!=="ERR_IPC_CHANNEL_CLOSED")throw N}}$acceptProcessShutdown(c,r){this.g.get(c)?.shutdown(r)}$acceptProcessRequestInitialCwd(c){this.g.get(c)?.getInitialCwd().then(r=>this.a.$sendProcessProperty(c,{type:"initialCwd",value:r}))}$acceptProcessRequestCwd(c){this.g.get(c)?.getCwd().then(r=>this.a.$sendProcessProperty(c,{type:"cwd",value:r}))}$acceptProcessRequestLatency(c){return Promise.resolve(c)}registerLinkProvider(c){return this.s.add(c),this.s.size===1&&this.a.$startLinkProvider(),new k.$aJ(()=>{this.s.delete(c),this.s.size===0&&this.a.$stopLinkProvider()})}registerProfileProvider(c,r,P){if(this.u.has(r))throw new Error(`Terminal profile provider "${r}" already registered`);return this.u.set(r,P),this.a.$registerProfileProvider(r,c.identifier.value),new k.$aJ(()=>{this.u.delete(r),this.a.$unregisterProfileProvider(r)})}registerTerminalQuickFixProvider(c,r,P){if(this.v.has(c))throw new Error(`Terminal quick fix provider "${c}" is already registered`);return this.v.set(c,P),this.a.$registerQuickFixProvider(c,r),new k.$aJ(()=>{this.v.delete(c),this.a.$unregisterQuickFixProvider(c)})}async $provideTerminalQuickFixes(c,r){const P=new v.$bd().token;if(P.isCancellationRequested)return;const N=this.v.get(c);if(!N)return;const U=await N.provideTerminalQuickFixes(r,P);if(U!==null)return U}async $createContributedProfileTerminal(c,r){const P=new v.$bd().token;let N=await this.u.get(c)?.provideTerminalProfile(P);if(!P.isCancellationRequested){if(N&&!("options"in N)&&(N={options:N}),!N||!("options"in N))throw new Error(`No terminal profile options provided for id "${c}"`);if("pty"in N.options){this.createExtensionTerminal(N.options,r);return}this.createTerminalFromOptions(N.options,r)}}async $provideLinks(c,r){const P=this.N(c);if(!P)return[];this.w.delete(c),this.y.get(c)?.dispose(!0);const U=new v.$bd;this.y.set(c,U);const q=[],W={terminal:P.value,line:r},O=[];for(const j of this.s)O.push(l.Promises.withAsyncBody(async he=>{U.token.onCancellationRequested(()=>he({provider:j,links:[]}));const ie=await j.provideTerminalLinks(W,U.token)||[];U.token.isCancellationRequested||he({provider:j,links:ie})}));const J=await Promise.all(O);if(U.token.isCancellationRequested)return[];const z=new Map;for(const j of J)j&&j.links.length>0&&q.push(...j.links.map(he=>{const ie={id:n++,startIndex:he.startIndex,length:he.length,label:he.tooltip};return z.set(ie.id,{provider:j.provider,link:he}),ie}));return this.w.set(c,z),q}$activateLink(c,r){const P=this.w.get(c)?.get(r);P&&P.provider.handleTerminalLink(P.link)}M(c,r){this.n.stopBuffering(c),this.g.delete(c),delete this.i[c];const P=this.h[c];P&&(P.dispose(),delete this.h[c]),this.a.$sendProcessExit(c,r)}N(c){return this.O(this.f,c)}O(c,r){const P=this.P(c,r);return P!==null?c[P]:null}P(c,r){const P=c.findIndex(N=>N._id===r);return P===-1?null:P}getEnvironmentVariableCollection(c){let r=this.k.get(c.identifier.value);return r||(r=new s(c),this.R(c.identifier.value,r)),r.getScopedEnvironmentVariableCollection(void 0)}Q(c,r){const P=(0,I.$Vq)(r.map),N=(0,I.$Wq)(r.descriptionMap);this.a.$setEnvironmentVariableCollection(c,r.persistent,P.length===0?void 0:P,N)}$initEnvironmentVariableCollections(c){c.forEach(r=>{const P=r[0],N=new s(void 0,r[1]);this.R(P,N)})}$acceptDefaultProfile(c,r){const P=this.l;this.l=c,this.m=r,P?.path!==c.path&&this.I.fire(c.path)}R(c,r){this.k.set(c,r),r.onDidChangeCollection(()=>{this.Q(c,r)})}};e.$o$b=o=He([We(1,R.$aL)],o);class s{get persistent(){return this.b}set persistent(c){this.b=c,this.d.fire()}get onDidChangeCollection(){return this.d&&this.d.event}constructor(c,r){this.f=c,this.map=new Map,this.a=new Map,this.descriptionMap=new Map,this.b=!0,this.d=new b.$5c,this.map=new Map(r)}getScopedEnvironmentVariableCollection(c){this.f&&c&&(0,p.$$E)(this.f,"envCollectionWorkspace");const r=this.i(c);let P=this.a.get(r);return P||(P=new t(this,c),this.a.set(r,P),P.onDidChangeCollection(()=>this.d.fire())),P}replace(c,r,P,N){this.f&&P&&(0,p.$$E)(this.f,"envCollectionOptions"),this.g(c,{value:r,type:k.EnvironmentVariableMutatorType.Replace,options:P??{},scope:N})}append(c,r,P,N){this.f&&P&&(0,p.$$E)(this.f,"envCollectionOptions"),this.g(c,{value:r,type:k.EnvironmentVariableMutatorType.Append,options:P??{},scope:N})}prepend(c,r,P,N){this.f&&P&&(0,p.$$E)(this.f,"envCollectionOptions"),this.g(c,{value:r,type:k.EnvironmentVariableMutatorType.Prepend,options:P??{},scope:N})}g(c,r){if(r.options&&r.options.applyAtProcessCreation===!1&&!r.options.applyAtShellIntegration)throw new Error("EnvironmentVariableMutatorOptions must apply at either process creation or shell integration");const P=this.h(c,r.scope),N=this.map.get(P);if(!N||N.value!==r.value||N.type!==r.type||N.options?.applyAtProcessCreation!==(r.options.applyAtProcessCreation??!0)||N.options?.applyAtShellIntegration!==(r.options.applyAtShellIntegration??!1)||N.scope?.workspaceFolder?.index!==r.scope?.workspaceFolder?.index){const U=this.h(c,r.scope),q={variable:c,...r,options:{applyAtProcessCreation:r.options.applyAtProcessCreation??!0,applyAtShellIntegration:r.options.applyAtShellIntegration??!1}};this.map.set(U,q),this.d.fire()}}get(c,r){const P=this.h(c,r),N=this.map.get(P);return N?S(N):void 0}h(c,r){const P=this.i(r);return P.length?`${c}:::${P}`:c}i(c){return this.j(c?.workspaceFolder)??""}j(c){return c?c.uri.toString():void 0}getVariableMap(c){const r=new Map;for(const[P,N]of this.map)this.i(N.scope)===this.i(c)&&r.set(P,S(N));return r}delete(c,r){const P=this.h(c,r);this.map.delete(P),this.d.fire()}clear(c){if(c?.workspaceFolder){for(const[r,P]of this.map)P.scope?.workspaceFolder?.index===c.workspaceFolder.index&&this.map.delete(r);this.k(c)}else this.map.clear(),this.descriptionMap.clear();this.d.fire()}setDescription(c,r){const P=this.i(r),N=this.descriptionMap.get(P);if(!N||N.description!==c){let U;typeof c=="string"?U=c:U=c?.value.split(`

`)[0];const q={description:U,scope:r};this.descriptionMap.set(P,q),this.d.fire()}}getDescription(c){const r=this.i(c);return this.descriptionMap.get(r)?.description}k(c){const r=this.i(c);this.descriptionMap.delete(r)}}class t{get persistent(){return this.b.persistent}set persistent(c){this.b.persistent=c}get onDidChangeCollection(){return this.a&&this.a.event}constructor(c,r){this.b=c,this.d=r,this.a=new b.$5c}getScopedEnvironmentVariableCollection(c){return this.b.getScopedEnvironmentVariableCollection(c)}replace(c,r,P){this.b.replace(c,r,P,this.d)}append(c,r,P){this.b.append(c,r,P,this.d)}prepend(c,r,P){this.b.prepend(c,r,P,this.d)}get(c){return this.b.get(c,this.d)}forEach(c,r){this.b.getVariableMap(this.d).forEach((P,N)=>c.call(r,N,P,this),this.d)}[Symbol.iterator](){return this.b.getVariableMap(this.d).entries()}delete(c){this.b.delete(c,this.d),this.a.fire(void 0)}clear(){this.b.clear(this.d)}set description(c){this.b.setDescription(c,this.d)}get description(){return this.b.getDescription(this.d)}}let u=e.$p$b=class extends o{constructor(c){super(!1,c)}createTerminal(c,r,P){throw new L.$0}createTerminalFromOptions(c,r){throw new L.$0}};e.$p$b=u=He([We(0,R.$aL)],u);function $(y){if(!(!y||typeof y=="string"))return"id"in y?{id:y.id,color:y.color}:y}function d(y){return w.ThemeColor.isThemeColor(y)?y:void 0}function S(y){const c={...y};return delete c.scope,c.options=c.options??void 0,delete c.variable,c}});var Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)},Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b};define(De[304],Ce([1,0,19,17,22,21,3,67,70,4,24,12,32,6,20,139,15,7,60,103,81,27]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E){"use strict";var n,o;Object.defineProperty(e,"__esModule",{value:!0}),e.$z_b=e.$y_b=e.$x_b=e.$w_b=void 0;let s=e.$w_b=class{constructor(O,J,z){this.j=z,this.c=new R.$5c,this.d=new Map,this.onResultsChanged=this.c.event,this.results=[],this.f=O.getProxy(D.$$I.MainThreadTesting),this.h=new N(this.f),this.g=new d(this.f),J.registerArgumentProcessor({processArgument:j=>{if(j?.$mid!==15)return j;const he=j,ie=he.tests[he.tests.length-1].item.extId;return this.d.get(a.$WH.root(ie))?.collection.tree.get(ie)?.actual??(0,w.$mL)(j)}}),J.registerCommand(!1,"testing.getExplorerSelection",async()=>{const j=await J.executeCommand("_testing.getExplorerSelection"),he=ie=>{const ne=this.d.get(a.$WH.root(ie));if(ne)return a.$WH.isRoot(ie)?ne.controller:ne.collection.tree.get(ie)?.actual};return{include:j?.include.map(he).filter(I.$oe)||[],exclude:j?.exclude.map(he).filter(I.$oe)||[]}})}createTestController(O,J,z,j){if(this.d.has(J))throw new Error(`Attempt to insert a duplicate controller with ID "${J}"`);const he=new m.$jb,ie=he.add(new w.$pL(J,z,this.j));ie.root.label=z;const ne=new Map,V=this.f,H={items:ie.root.children,get label(){return z},set label(pe){z=pe,ie.root.label=pe,V.$updateController(J,{label:z})},get refreshHandler(){return j},set refreshHandler(pe){j=pe,V.$updateController(J,{canRefresh:!!pe})},get id(){return J},createRunProfile:(pe,ye,ge,M,Q,ve)=>{let Se=(0,k.$_h)(pe);for(;ne.has(Se);)Se++;return new U(this.f,ne,J,Se,pe,ye,ge,M,Q,ve)},createTestItem(pe,ye,ge){return new w.$nL(J,pe,ye,ge)},createTestRun:(pe,ye,ge=!0)=>this.g.createTestRun(J,ie,pe,ye,ge),invalidateTestResults:pe=>{(0,E.$$E)(O,"testInvalidateResults");for(const ye of pe instanceof Array?pe:[pe]){const ge=ye?a.$WH.fromExtHostTestItem(ye,J).toString():J;this.f.$markTestRetired(ge)}},set resolveHandler(pe){ie.resolveHandler=pe},get resolveHandler(){return ie.resolveHandler},dispose:()=>{he.dispose()}};V.$registerTestController(J,z,!!j),he.add((0,m.$ib)(()=>V.$unregisterTestController(J)));const ce={controller:H,collection:ie,profiles:ne};return this.d.set(J,ce),he.add((0,m.$ib)(()=>this.d.delete(J))),he.add(ie.onDidGenerateDiff(pe=>V.$publishDiff(J,pe.map(f.TestsDiffOp.serialize)))),H}createTestObserver(){return this.h.checkout()}async runTests(O,J=F.CancellationToken.None){const z=S(O);if(!z)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const j=this.d.get(z.controllerId);if(!j)throw new Error("Controller not found");await this.f.$runTests({isUiTriggered:!1,targets:[{testIds:O.include?.map(he=>a.$WH.fromExtHostTestItem(he,j.collection.root.id).toString())??[j.collection.root.id],profileGroup:q[z.kind],profileId:z.profileId,controllerId:z.controllerId}],exclude:O.exclude?.map(he=>he.id)},J)}$syncTests(){for(const{collection:O}of this.d.values())O.flushDiff();return Promise.resolve()}$provideFileCoverage(O,J,z){return(0,b.$If)(this.g.trackers,he=>he.id===O?he.getCoverage(J):void 0)?.provideFileCoverage(z)??Promise.resolve([])}$resolveFileCoverage(O,J,z,j){return(0,b.$If)(this.g.trackers,ie=>ie.id===O?ie.getCoverage(J):void 0)?.resolveFileCoverage(z,j)??Promise.resolve([])}$configureRunProfile(O,J){this.d.get(O)?.profiles.get(J)?.configureHandler?.()}async $refreshTests(O,J){await this.d.get(O)?.controller.refreshHandler?.(J)}$publishTestResults(O){this.results=Object.freeze(O.map(J=>(0,L.$Em)(i.TestResults.to(J))).concat(this.results).sort((J,z)=>z.completedAt-J.completedAt).slice(0,32)),this.c.fire()}async $expandTest(O,J){const z=this.d.get(a.$WH.fromString(O).controllerId)?.collection;z&&(await z.expand(O,J<0?1/0:J),z.flushDiff())}$acceptDiff(O){this.h.applyDiff(O.map(f.TestsDiffOp.deserialize))}async $runControllerTests(O,J){return Promise.all(O.map(z=>this.k(z,!1,J)))}async $startContinuousRun(O,J){const z=new F.$bd(J),j=await Promise.all(O.map(he=>this.k(he,!0,z.token)));return!J.isCancellationRequested&&!j.some(he=>he.error)&&await new Promise(he=>J.onCancellationRequested(he)),z.dispose(!0),j}async k(O,J,z){const j=this.d.get(O.controllerId);if(!j)return{};const{collection:he,profiles:ie}=j,ne=ie.get(O.profileId);if(!ne)return{};const V=O.testIds.map(ye=>he.tree.get(ye)).filter(I.$oe),H=O.excludeExtIds.map(ye=>j.collection.tree.get(ye)).filter(I.$oe).filter(ye=>V.some(ge=>ge.fullId.compare(ye.fullId)===2));if(!V.length)return{};const ce=new l.$JK(V.some(ye=>ye.actual instanceof w.$oL)?void 0:V.map(ye=>ye.actual),H.map(ye=>ye.actual),ne,J),pe=(0,f.$YH)(O)&&this.g.prepareForMainThreadTestRun(ce,y.fromInternal(O,j.collection),z);try{return await ne.runHandler(ce,z),{}}catch(ye){return{error:String(ye)}}finally{pe&&(pe.hasRunningTasks&&!z.isCancellationRequested&&await R.Event.toPromise(pe.onEnd),pe.dispose())}}$cancelExtensionTestRun(O){O===void 0?this.g.cancelAllRuns():this.g.cancelRunById(O)}};e.$w_b=s=He([We(0,C.$aL)],s);const t=1e4;var u;(function(W){W[W.Running=0]="Running",W[W.Cancelling=1]="Cancelling",W[W.Ended=2]="Ended"})(u||(u={}));class $ extends m.$kb{get hasRunningTasks(){return this.f.size>0}get id(){return this.k.id}constructor(O,J,z){super(),this.k=O,this.l=J,this.c=0,this.f=new Map,this.g=new Set,this.j=this.B(new R.$5c),this.onEnd=this.j.event,this.h=this.B(new F.$bd(z));const j=this.B(new A.$Cg(()=>this.m(),t));this.B(this.h.token.onCancellationRequested(()=>j.schedule()))}cancel(){this.c===0?(this.h.cancel(),this.c=1):this.c===1&&this.m()}getCoverage(O){return this.f.get(O)?.coverage}createRun(O){const J=this.k.id,z=this.k.controllerId,j=(0,v.$3e)(),he=new c(this.l,J,j),ie=ce=>(pe,...ye)=>{if(V){console.warn(`Setting the state of test "${pe.id}" is a no-op after the run ends.`);return}this.k.isIncluded(pe)&&(this.s(pe),ce(pe,...ye))},ne=(ce,pe)=>{const ye=pe instanceof Array?pe.map(i.TestMessage.from):[i.TestMessage.from(pe)];if(ce.uri&&ce.range){const ge={range:i.Range.from(ce.range),uri:ce.uri};for(const M of ye)M.location=M.location||ge}this.l.$appendTestMessagesInRun(J,j,a.$WH.fromExtHostTestItem(ce,z).toString(),ye)};let V=!1;const H={isPersisted:this.k.isPersisted,token:this.h.token,name:O,get coverageProvider(){return he.coverageProvider},set coverageProvider(ce){he.coverageProvider=ce},enqueued:ie(ce=>{this.l.$updateTestStateInRun(J,j,a.$WH.fromExtHostTestItem(ce,z).toString(),1)}),skipped:ie(ce=>{this.l.$updateTestStateInRun(J,j,a.$WH.fromExtHostTestItem(ce,z).toString(),5)}),started:ie(ce=>{this.l.$updateTestStateInRun(J,j,a.$WH.fromExtHostTestItem(ce,z).toString(),2)}),errored:ie((ce,pe,ye)=>{ne(ce,pe),this.l.$updateTestStateInRun(J,j,a.$WH.fromExtHostTestItem(ce,z).toString(),6,ye)}),failed:ie((ce,pe,ye)=>{ne(ce,pe),this.l.$updateTestStateInRun(J,j,a.$WH.fromExtHostTestItem(ce,z).toString(),4,ye)}),passed:ie((ce,pe)=>{this.l.$updateTestStateInRun(J,j,a.$WH.fromExtHostTestItem(ce,this.k.controllerId).toString(),3,pe)}),appendOutput:(ce,pe,ye)=>{V||(ye&&(this.k.isIncluded(ye)?this.s(ye):ye=void 0),this.l.$appendOutputToRun(J,j,h.$Ib.fromString(ce),pe&&i.location.from(pe),ye&&a.$WH.fromExtHostTestItem(ye,z).toString()))},end:()=>{V||(V=!0,this.l.$finishedTestRunTask(J,j),this.f.delete(j),this.f.size||this.p())}};return this.f.set(j,{run:H,coverage:he}),this.l.$startedTestRunTask(J,{id:j,name:O,running:!0}),H}m(){for(const{run:O}of this.f.values())O.end()}p(){this.c!==2&&(this.c=2,this.j.fire())}s(O){if(!(O instanceof w.$nL))throw new p.$5K(O.id);if(this.g.has(a.$WH.fromExtHostTestItem(O,this.k.controllerId).toString()))return;const J=[],z=this.k.colllection.root;for(;;){const j=i.TestItem.from(O);if(J.unshift(j),this.g.has(j.extId)||(this.g.add(j.extId),O===z))break;O=O.parent||z}this.l.$addTestsToRun(this.k.controllerId,this.k.id,J)}}class d{get trackers(){return this.c.values()}constructor(O){this.d=O,this.c=new Map}prepareForMainThreadTestRun(O,J,z){return this.f(O,J,z)}cancelRunById(O){for(const J of this.c.values())if(J.id===O){J.cancel();return}}cancelAllRuns(){for(const O of this.c.values())O.cancel()}createTestRun(O,J,z,j,he){const ie=this.c.get(z);if(ie)return ie.createRun(j);const ne=y.fromPublic(O,J,z,he),V=S(z);this.d.$startedExtensionTestRun({controllerId:O,continuous:!!z.continuous,profile:V&&{group:q[V.kind],id:V.profileId},exclude:z.exclude?.map(ce=>a.$WH.fromExtHostTestItem(ce,J.root.id).toString())??[],id:ne.id,include:z.include?.map(ce=>a.$WH.fromExtHostTestItem(ce,J.root.id).toString())??[J.root.id],persist:he});const H=this.f(z,ne);return H.onEnd(()=>{this.d.$finishedExtensionTestRun(ne.id),H.dispose()}),H.createRun(j)}f(O,J,z){const j=new $(J,this.d,z);return this.c.set(O,j),j.onEnd(()=>this.c.delete(O)),j}}e.$x_b=d;const S=W=>{if(W.profile){if(!(W.profile instanceof U))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return W.profile}};class y{static fromPublic(O,J,z,j){return new y(O,(0,v.$3e)(),z.include?.map(he=>a.$WH.fromExtHostTestItem(he,O).toString())??[O],z.exclude?.map(he=>a.$WH.fromExtHostTestItem(he,O).toString())??[],j,J)}static fromInternal(O,J){return new y(O.controllerId,O.runId,O.testIds,O.excludeExtIds,!0,J)}constructor(O,J,z,j,he,ie){this.controllerId=O,this.id=J,this.isPersisted=he,this.colllection=ie,this.c=z.map(ne=>ne+"\0"),this.d=j.map(ne=>ne+"\0")}isIncluded(O){const J=a.$WH.fromExtHostTestItem(O,this.controllerId).toString()+"\0";for(const z of this.d)if(J===z||J.startsWith(z))return!1;for(const z of this.c)if(J===z||J.startsWith(z))return!0;return!1}}e.$y_b=y;class c{set coverageProvider(O){if(this.c)throw new Error("The TestCoverageProvider cannot be replaced after being provided");O&&(this.c=O,this.f.$signalCoverageAvailable(this.g,this.h))}get coverageProvider(){return this.c}constructor(O,J,z){this.f=O,this.g=J,this.h=z}async provideFileCoverage(O){if(!this.c)return[];this.d||(this.d=(async()=>this.c.provideFileCoverage(O))());try{return(await this.d)?.map(i.TestCoverage.fromFile)??[]}catch(J){throw this.d=void 0,J}}async resolveFileCoverage(O,J){const z=await this.d;let j=z?.[O];return!this.c||!z||!j?[]:(j.detailedCoverage||(j=z[O]=await this.c.resolveFileCoverage?.(j,J)??j),j.detailedCoverage?.map(i.TestCoverage.fromDetailed)??[])}}class r{get isEmpty(){return this.c.size===0&&this.f.size===0&&this.d.size===0}constructor(O){this.h=O,this.c=new Set,this.d=new Set,this.f=new Set,this.g=new Set}add(O){this.c.add(O)}update(O){Object.assign(O.revived,i.TestItem.toPlain(O.item)),this.c.has(O)||this.d.add(O)}remove(O){if(this.c.has(O)){this.c.delete(O);return}this.d.delete(O);const J=a.$WH.parentId(O.item.extId);if(J&&this.g.has(J.toString())){this.g.add(O.item.extId);return}this.f.add(O)}getChangeEvent(){const{c:O,d:J,f:z}=this;return{get added(){return[...O].map(j=>j.revived)},get updated(){return[...J].map(j=>j.revived)},get removed(){return[...z].map(j=>j.revived)}}}complete(){this.isEmpty||this.h.fire(this.getChangeEvent())}}class P extends f.$4H{constructor(){super(...arguments),this.q=new R.$5c,this.onDidChangeTests=this.q.event}get rootTests(){return super.f}getMirroredTestDataById(O){return this.d.get(O)}getMirroredTestDataByReference(O){return this.d.get(O.id)}p(O,J){return{...O,revived:i.TestItem.toPlain(O.item),depth:J?J.depth+1:0,children:new Set}}o(){return new r(this.q)}}class N{constructor(O){this.d=O}checkout(){this.c||(this.c=this.f());const O=this.c;return O.observers++,{onDidChangeTest:O.tests.onDidChangeTests,get tests(){return[...O.tests.rootTests].map(J=>J.revived)},dispose:(0,g.$bb)(()=>{--O.observers===0&&(this.d.$unsubscribeFromDiffs(),this.c=void 0)})}}getMirroredTestDataByReference(O){return this.c?.tests.getMirroredTestDataByReference(O)}applyDiff(O){this.c?.tests.apply(O)}f(){const O=new P;return this.d.$subscribeToDiffs(),{observers:0,tests:O}}}class U{get label(){return this.d}set label(O){O!==this.d&&(this.d=O,Te(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:O}))}get supportsContinuousRun(){return this.g}set supportsContinuousRun(O){O!==this.g&&(this.g=O,Te(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{supportsContinuousRun:O}))}get isDefault(){return this.f}set isDefault(O){O!==this.f&&(this.f=O,Te(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:O}))}get tag(){return this._tag}set tag(O){O?.id!==this._tag?.id&&(this._tag=O,Te(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:O?i.TestTag.namespace(this.controllerId,O.id):null}))}get configureHandler(){return this.c}set configureHandler(O){O!==this.c&&(this.c=O,Te(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!O}))}constructor(O,J,z,j,he,ie,ne,V=!1,H=void 0,ce=!1){this.controllerId=z,this.profileId=j,this.d=he,this.kind=ie,this.runHandler=ne,this.f=V,this._tag=H,this.g=ce,n.set(this,void 0),o.set(this,void 0),Xe(this,n,O,"f"),Xe(this,o,J,"f"),J.set(j,this);const pe=q[ie];if(typeof pe!="number")throw new Error(`Unknown TestRunProfile.group ${ie}`);Te(this,n,"f").$publishTestRunProfile({profileId:j,controllerId:z,tag:H?i.TestTag.namespace(this.controllerId,H.id):null,label:he,group:pe,isDefault:V,hasConfigurationHandler:!1,supportsContinuousRun:ce})}dispose(){Te(this,o,"f")?.delete(this.profileId)&&(Xe(this,o,void 0,"f"),Te(this,n,"f").$removeTestProfile(this.controllerId,this.profileId))}}e.$z_b=U,n=new WeakMap,o=new WeakMap;const q={[l.TestRunProfileKind.Coverage]:8,[l.TestRunProfileKind.Debug]:4,[l.TestRunProfileKind.Run]:2}}),define(De[305],Ce([1,0,19,8,3,6,140,15,7]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$O$b=void 0;class m{constructor(I,v){this.i=v,this.a=new h.$5c({onListenerError:A.$Y}),this.b=new h.$5c({onListenerError:A.$Y}),this.c=new h.$5c({onListenerError:A.$Y}),this.d=new h.$5c({onListenerError:A.$Y}),this.f=new h.$5c({onListenerError:A.$Y}),this.g=new h.$5c({onListenerError:A.$Y}),this.onDidChangeTextEditorSelection=this.a.event,this.onDidChangeTextEditorOptions=this.b.event,this.onDidChangeTextEditorVisibleRanges=this.c.event,this.onDidChangeTextEditorViewColumn=this.d.event,this.onDidChangeActiveTextEditor=this.f.event,this.onDidChangeVisibleTextEditors=this.g.event,this.h=I.getProxy(F.$$I.MainThreadTextEditors),this.i.onDidChangeVisibleTextEditors(D=>this.g.fire(D)),this.i.onDidChangeActiveTextEditor(D=>this.f.fire(D))}getActiveTextEditor(){return this.i.activeEditor()}getVisibleTextEditors(I){const v=this.i.allEditors();return I?v:v.map(D=>D.value)}async showTextDocument(I,v,D){let C;typeof v=="number"?C={position:g.ViewColumn.from(v),preserveFocus:D}:typeof v=="object"?C={position:g.ViewColumn.from(v.viewColumn),preserveFocus:v.preserveFocus,selection:typeof v.selection=="object"?g.Range.from(v.selection):void 0,pinned:typeof v.preview=="boolean"?!v.preview:void 0}:C={preserveFocus:!1};const w=await this.h.$tryShowTextDocument(I.uri,C),i=w&&this.i.getEditor(w);if(i)return i.value;throw w?new Error(`Could NOT open editor for "${I.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${I.uri.toString()}".`)}createTextEditorDecorationType(I,v){return new R.$hL(this.h,I,v).value}$acceptEditorPropertiesChanged(I,v){const D=this.i.getEditor(I);if(!D)throw new Error("unknown text editor");if(v.options&&D._acceptOptions(v.options),v.selections){const C=v.selections.selections.map(g.Selection.to);D._acceptSelections(C)}if(v.visibleRanges){const C=b.$jf(v.visibleRanges.map(g.Range.to));D._acceptVisibleRanges(C)}if(v.options&&this.b.fire({textEditor:D.value,options:{...v.options,lineNumbers:g.TextEditorLineNumbersStyle.to(v.options.lineNumbers)}}),v.selections){const C=k.TextEditorSelectionChangeKind.fromValue(v.selections.source),w=v.selections.selections.map(g.Selection.to);this.a.fire({textEditor:D.value,selections:w,kind:C})}if(v.visibleRanges){const C=b.$jf(v.visibleRanges.map(g.Range.to));this.c.fire({textEditor:D.value,visibleRanges:C})}}$acceptEditorPositionData(I){for(const v in I){const D=this.i.getEditor(v);if(!D)throw new Error("Unknown text editor");const C=g.ViewColumn.to(I[v]);D.value.viewColumn!==C&&(D._acceptViewColumn(C),this.d.fire({textEditor:D.value,viewColumn:C}))}}getDiffInformation(I){return Promise.resolve(this.h.$getDiffInformation(I))}}e.$O$b=m}),define(De[306],Ce([1,0,2,5,6,4,7,15,25,12]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$r_b=e.$q_b=void 0,e.$q_b=(0,A.$lh)("IExtHostTimeline");class L{constructor(D,C){this.b=new Map,this.c=new Map,this.a=D.getProxy(h.$$I.MainThreadTimeline),C.registerArgumentProcessor({processArgument:(w,i)=>{if(w&&w.$mid===12)if(this.b.get(w.source)&&k.$Dl.equals(i,this.b.get(w.source)?.extension)){const l=w.uri===void 0?void 0:b.URI.revive(w.uri);return this.c.get(w.source)?.get(I(l))?.get(w.handle)}else return;return w}})}async $getTimeline(D,C,w,i){return this.b.get(D)?.provider.provideTimeline(b.URI.revive(C),w,i)}registerTimelineProvider(D,C,w,i){const l=new F.$jb,a=this.d(C.id,i,l).bind(this);let p;C.onDidChange&&(p=C.onDidChange(E=>this.a.$emitTimelineChangeEvent({uri:void 0,reset:!0,...E,id:C.id}),this));const f=this.c;return this.f({...C,scheme:D,onDidChange:void 0,async provideTimeline(E,n,o){n?.resetCache&&(l.clear(),f.get(C.id)?.clear());const s=await C.provideTimeline(E,n,o);if(s==null)return;const t=a(E,n);return{...s,source:C.id,items:s.items.map(t)}},dispose(){for(const E of f.values())E.get(C.id)?.clear();p?.dispose(),l.dispose()}},w)}d(D,C,w){return(i,l)=>{let a;if(l?.cacheResults){let p=this.c.get(D);p===void 0&&(p=new Map,this.c.set(D,p));const f=I(i);a=p.get(f),a===void 0&&(a=new Map,p.set(f,a))}return p=>{const{iconPath:f,...E}=p,n=`${D}|${p.id??p.timestamp}`;a?.set(n,p);let o,s,t;p.iconPath&&(f instanceof R.$8J?t={id:f.id,color:f.color}:b.URI.isUri(f)?(o=f,s=f):{light:o,dark:s}=f);let u;return R.$BJ.isMarkdownString(E.tooltip)?u=g.MarkdownString.from(E.tooltip):(0,m.$ge)(E.tooltip)?u=E.tooltip:R.$BJ.isMarkdownString(E.detail)?(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),u=g.MarkdownString.from(E.detail)):(0,m.$ge)(E.detail)&&(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),u=E.detail),{...E,id:E.id??void 0,handle:n,source:D,command:p.command?C.toInternal(p.command,w):void 0,icon:o,iconDark:s,themeIcon:t,tooltip:u,accessibilityInformation:p.accessibilityInformation}}}}f(D,C){if(this.b.get(D.id))throw new Error(`Timeline Provider ${D.id} already exists.`);return this.a.$registerTimelineProvider({id:D.id,label:D.label,scheme:D.scheme}),this.b.set(D.id,{provider:D,extension:C}),(0,F.$ib)(()=>{for(const i of this.c.values())i.get(D.id)?.clear();this.b.delete(D.id),this.a.$unregisterTimelineProvider(D.id),D.dispose()})}}e.$r_b=L;function I(v){return v?.toString()}}),define(De[307],Ce([1,0,4,16,2,6]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$A_b=void 0;class R{constructor(k){this.c=new Map,this.b=k.getProxy(F.$$I.MainThreadUriOpeners)}registerExternalUriOpener(k,m,L,I){if(this.c.has(m))throw new Error(`Opener with id '${m}' already registered`);const v=I.schemes.find(D=>!R.a.has(D));if(v)throw new Error(`Scheme '${v}' is not supported. Only http and https are currently supported.`);return this.c.set(m,L),this.b.$registerUriOpener(m,I.schemes,k,I.label),(0,b.$ib)(()=>{this.c.delete(m),this.b.$unregisterUriOpener(m)})}async $canOpenUri(k,m,L){const I=this.c.get(k);if(!I)throw new Error(`Unknown opener with id: ${k}`);const v=h.URI.revive(m);return I.canOpenExternalUri(v,L)}async $openUri(k,m,L){const I=this.c.get(k);if(!I)throw new Error(`Unknown opener id: '${k}'`);return I.openExternalUri(h.URI.revive(m.resolvedUri),{sourceUri:h.URI.revive(m.sourceUri)},L)}}e.$A_b=R,R.a=new Set([A.Schemas.http,A.Schemas.https])}),define(De[308],Ce([1,0,6,2,4,8,25]),function(re,e,b,A,h,F,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Q$b=void 0;class g{constructor(m){this.c=new R.$El,this.d=new Map,this.b=m.getProxy(b.$$I.MainThreadUrls)}registerUriHandler(m,L){const I=m.identifier;if(this.c.has(I))throw new Error(`Protocol handler already registered for extension ${I}`);const v=g.a++;return this.c.add(I),this.d.set(v,L),this.b.$registerUriHandler(v,I,m.displayName||m.name),(0,h.$ib)(()=>{this.c.delete(I),this.d.delete(v),this.b.$unregisterUriHandler(v)})}$handleExternalUri(m,L){const I=this.d.get(m);if(!I)return Promise.resolve(void 0);try{I.handleUri(A.URI.revive(L))}catch(v){(0,F.$X)(v)}return Promise.resolve(void 0)}async createAppUri(m){return A.URI.revive(await this.b.$createAppUri(m))}}e.$Q$b=g,g.a=0});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[85],Ce([1,0,3,16,24,2,212,245,104,6]),function(re,e,b,A,h,F,R,g,k,m){"use strict";var L,I,v,D,C,w,i,l,a,p,f,E,n;Object.defineProperty(e,"__esModule",{value:!0}),e.$V$b=e.$U$b=e.$T$b=e.$S$b=e.$R$b=void 0;class o{constructor(r,P,N,U,q,W,O){L.set(this,void 0),I.set(this,void 0),v.set(this,void 0),D.set(this,void 0),C.set(this,void 0),w.set(this,void 0),i.set(this,""),l.set(this,void 0),a.set(this,!1),p.set(this,!1),f.set(this,void 0),E.set(this,void 0),this._onMessageEmitter=new b.$5c,this.onDidReceiveMessage=this._onMessageEmitter.event,n.set(this,new b.$5c),this._onDidDispose=Te(this,n,"f").event,Xe(this,L,r,"f"),Xe(this,I,P,"f"),Xe(this,l,N,"f"),Xe(this,D,U,"f"),Xe(this,C,q,"f"),Xe(this,w,W,"f"),Xe(this,f,s(W),"f"),Xe(this,E,t(W),"f"),Xe(this,v,O,"f")}dispose(){Xe(this,a,!0,"f"),Te(this,n,"f").fire(),Te(this,n,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(r){return Xe(this,p,!0,"f"),(0,k.$Rlb)(r,Te(this,D,"f"))}get cspSource(){const r=Te(this,w,"f").extensionLocation;if(r.scheme===A.Schemas.https||r.scheme===A.Schemas.http){let P=r.toString();return P.endsWith("/")||(P+="/"),P+" "+k.$Qlb}return k.$Qlb}get html(){return this.a(),Te(this,i,"f")}set html(r){this.a(),Te(this,i,"f")!==r&&(Xe(this,i,r,"f"),Te(this,E,"f")&&!Te(this,p,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(r)&&(Xe(this,p,!0,"f"),Te(this,v,"f").report("Webview vscode-resource: uris",Te(this,w,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Te(this,I,"f").$setHtml(Te(this,L,"f"),this.b(r)))}get options(){return this.a(),Te(this,l,"f")}set options(r){this.a(),h.$Hm(Te(this,l,"f"),r)||Te(this,I,"f").$setOptions(Te(this,L,"f"),d(Te(this,w,"f"),Te(this,C,"f"),r)),Xe(this,l,r,"f")}async postMessage(r){if(Te(this,a,"f"))return!1;const P=(0,g.$E9)(r,{serializeBuffersForPostMessage:Te(this,f,"f")});return Te(this,I,"f").$postMessage(Te(this,L,"f"),P.message,...P.buffers)}a(){if(Te(this,a,"f"))throw new Error("Webview is disposed")}b(r){if(!Te(this,E,"f"))return r;const P=Te(this,w,"f").extensionLocation?.scheme===A.Schemas.vscodeRemote,N=Te(this,w,"f").extensionLocation.scheme===A.Schemas.vscodeRemote?Te(this,w,"f").extensionLocation.authority:void 0;return r.replace(/(["'])(?:vscode-resource):(\/\/([^\s\/'"]+?)(?=\/))?([^\s'"]+?)(["'])/gi,(U,q,W,O,J,z)=>{const j=F.URI.from({scheme:O||"file",path:decodeURIComponent(J)}),he=(0,k.$Rlb)(j,{isRemote:P,authority:N}).toString();return`${q}${he}${z}`}).replace(/(["'])(?:vscode-webview-resource):(\/\/[^\s\/'"]+\/([^\s\/'"]+?)(?=\/))?([^\s'"]+?)(["'])/gi,(U,q,W,O,J,z)=>{const j=F.URI.from({scheme:O||"file",path:decodeURIComponent(J)}),he=(0,k.$Rlb)(j,{isRemote:P,authority:N}).toString();return`${q}${he}${z}`})}}e.$R$b=o,L=new WeakMap,I=new WeakMap,v=new WeakMap,D=new WeakMap,C=new WeakMap,w=new WeakMap,i=new WeakMap,l=new WeakMap,a=new WeakMap,p=new WeakMap,f=new WeakMap,E=new WeakMap,n=new WeakMap;function s(c){try{const r=(0,R.$po)((0,R.$oo)(c.engines.vscode));return!!r&&r.majorBase>=1&&r.minorBase>=57}catch{return!1}}e.$S$b=s;function t(c){try{const r=(0,R.$po)((0,R.$oo)(c.engines.vscode));return r?r.majorBase<1||r.majorBase===1&&r.minorBase<60:!1}catch{return!1}}class u{constructor(r,P,N,U,q){this.c=P,this.d=N,this.e=U,this.f=q,this.b=new Map,this.a=r.getProxy(m.$$I.MainThreadWebviews)}$onMessage(r,P,N){const U=this.g(r);if(U){const{message:q}=(0,g.$F9)(P,N.value);U._onMessageEmitter.fire(q)}}$onMissingCsp(r,P){this.e.warn(`${P} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(r,P,N){const U=new o(r,this.a,S(P),this.c,this.d,N,this.f);return this.b.set(r,U),U._onDidDispose(()=>{this.b.delete(r)}),U}deleteWebview(r){this.b.delete(r)}g(r){return this.b.get(r)}}e.$T$b=u;function $(c){return{id:c.identifier,location:c.extensionLocation}}e.$U$b=$;function d(c,r,P){return{enableCommandUris:P.enableCommandUris,enableScripts:P.enableScripts,enableForms:P.enableForms,portMapping:P.portMapping,localResourceRoots:P.localResourceRoots||y(c,r)}}e.$V$b=d;function S(c){return{enableCommandUris:c.enableCommandUris,enableScripts:c.enableScripts,enableForms:c.enableForms,portMapping:c.portMapping,localResourceRoots:c.localResourceRoots?.map(r=>F.URI.from(r))}}function y(c,r){return[...(r?.getWorkspaceFolders()||[]).map(P=>P.uri),c.extensionLocation]}}),define(De[309],Ce([1,0,21,70,4,16,23,2,15,85,80,6,7]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$u_b=void 0;class D{constructor(o,s){this.document=o,this.b=s,this.a=1,this.c=new L.$N0b("custom documents")}addEdit(o){return this.c.add([o])}async undo(o,s){await this.f(o).undo(),s||this.disposeBackup()}async redo(o,s){await this.f(o).redo(),s||this.disposeBackup()}disposeEdits(o){for(const s of o)this.c.delete(s)}getNewBackupUri(){if(!this.b)throw new Error("Backup requires a valid storage path");const o=E(this.document.uri)+this.a++;return(0,R.$6f)(this.b,o)}updateBackup(o){this.d?.delete(),this.d=o}disposeBackup(){this.d?.delete(),this.d=void 0}f(o){const s=this.c.get(o,0);if(!s)throw new Error("No edit found");return s}}class C{constructor(){this.a=new Map}get(o,s){return this.a.get(this.b(o,s))}add(o,s,t){const u=this.b(o,s.uri);if(this.a.has(u))throw new Error(`Document already exists for viewType:${o} resource:${s.uri}`);const $=new D(s,t);return this.a.set(u,$),$}delete(o,s){const t=this.b(o,s.uri);this.a.delete(t)}b(o,s){return`${o}@@@${s}`}}var w;(function(n){n[n.Text=0]="Text",n[n.Custom=1]="Custom"})(w||(w={}));class i{constructor(){this.a=new Map}addTextProvider(o,s,t){return this.b(0,o,s,t)}addCustomProvider(o,s,t){return this.b(1,o,s,t)}get(o){return this.a.get(o)}b(o,s,t,u){if(this.a.has(s))throw new Error(`Provider for viewType:${s} already registered`);return this.a.set(s,{type:o,extension:t,provider:u}),new v.$aJ(()=>this.a.delete(s))}}class l{constructor(o,s,t,u,$){this.d=s,this.f=t,this.g=u,this.h=$,this.b=new i,this.c=new C,this.a=o.getProxy(I.$$I.MainThreadCustomEditors)}registerCustomEditorProvider(o,s,t,u){const $=new h.$jb;return p(t)?($.add(this.b.addTextProvider(s,o,t)),this.a.$registerTextEditorProvider((0,m.$U$b)(o),s,u.webviewOptions||{},{supportsMove:!!t.moveCustomTextEditor},(0,m.$S$b)(o))):($.add(this.b.addCustomProvider(s,o,t)),a(t)&&$.add(t.onDidChangeCustomDocument(d=>{const S=this.i(s,d.document.uri);if(f(d)){const y=S.addEdit(d);this.a.$onDidEdit(d.document.uri,s,y,d.label)}else this.a.$onContentChange(d.document.uri,s)})),this.a.$registerCustomEditorProvider((0,m.$U$b)(o),s,u.webviewOptions||{},!!u.supportsMultipleEditorsPerDocument,(0,m.$S$b)(o))),v.$aJ.from($,new v.$aJ(()=>{this.a.$unregisterEditorProvider(s)}))}async $createCustomDocument(o,s,t,u,$){const d=this.b.get(s);if(!d)throw new Error(`No provider found for '${s}'`);if(d.type!==1)throw new Error(`Invalid provide type for '${s}'`);const S=g.URI.revive(o),y=await d.provider.openCustomDocument(S,{backupId:t,untitledDocumentData:u?.buffer},$);let c;return a(d.provider)&&this.f&&(c=this.f.workspaceValue(d.extension)??this.f.globalValue(d.extension)),this.c.add(s,y,c),{editable:a(d.provider)}}async $disposeCustomDocument(o,s){const t=this.b.get(s);if(!t)throw new Error(`No provider found for '${s}'`);if(t.type!==1)throw new Error(`Invalid provider type for '${s}'`);const u=g.URI.revive(o),{document:$}=this.i(s,u);this.c.delete(s,$),$.dispose()}async $resolveCustomEditor(o,s,t,u,$,d){const S=this.b.get(t);if(!S)throw new Error(`No provider found for '${t}'`);const y=k.ViewColumn.to($),c=this.g.createNewWebview(s,u.contentOptions,S.extension),r=this.h.createNewWebviewPanel(s,t,u.title,y,u.options,c,u.active),P=g.URI.revive(o);switch(S.type){case 1:{const{document:N}=this.i(t,P);return S.provider.resolveCustomEditor(N,r,d)}case 0:{const N=this.d.getDocument(P);return S.provider.resolveCustomTextEditor(N,r,d)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(o,s,t){this.i(s,o).disposeEdits(t)}async $onMoveCustomEditor(o,s,t){const u=this.b.get(t);if(!u)throw new Error(`No provider found for '${t}'`);if(!u.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${t}'`);const $=this.h.getWebviewPanel(o);if(!$)throw new Error("No webview found");const d=g.URI.revive(s),S=this.d.getDocument(d);await u.provider.moveCustomTextEditor(S,$,b.CancellationToken.None)}async $undo(o,s,t,u){return this.i(s,o).undo(t,u)}async $redo(o,s,t,u){return this.i(s,o).redo(t,u)}async $revert(o,s,t){const u=this.i(s,o);await this.j(s).revertCustomDocument(u.document,t),u.disposeBackup()}async $onSave(o,s,t){const u=this.i(s,o);await this.j(s).saveCustomDocument(u.document,t),u.disposeBackup()}async $onSaveAs(o,s,t,u){const $=this.i(s,o);return this.j(s).saveCustomDocumentAs($.document,g.URI.revive(t),u)}async $backup(o,s,t){const u=this.i(s,o),d=await this.j(s).backupCustomDocument(u.document,{destination:u.getNewBackupUri()},t);return u.updateBackup(d),d.id}i(o,s){const t=this.c.get(o,g.URI.revive(s));if(!t)throw new Error("No custom document found");return t}j(o){const t=this.b.get(o)?.provider;if(!t||!a(t))throw new Error("Custom document is not editable");return t}}e.$u_b=l;function a(n){return!!n.onDidChangeCustomDocument}function p(n){return typeof n.resolveCustomTextEditor=="function"}function f(n){return typeof n.undo=="function"&&typeof n.redo=="function"}function E(n){const o=n.scheme===F.Schemas.file||n.scheme===F.Schemas.untitled?n.fsPath:n.toString();return(0,A.$_h)(o)+""}});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[310],Ce([1,0,3,4,2,32,15,85,6,7]),function(re,e,b,A,h,F,R,g,k,m){"use strict";var L,I,v,D,C,w,i,l,a,p,f,E,n;Object.defineProperty(e,"__esModule",{value:!0}),e.$t_b=void 0;class o extends A.$kb{constructor($,d,S,y){super(),L.set(this,void 0),I.set(this,void 0),v.set(this,void 0),D.set(this,void 0),C.set(this,void 0),w.set(this,void 0),i.set(this,void 0),l.set(this,void 0),a.set(this,!0),p.set(this,void 0),f.set(this,!1),E.set(this,this.B(new b.$5c)),this.onDidDispose=Te(this,E,"f").event,n.set(this,this.B(new b.$5c)),this.onDidChangeViewState=Te(this,n,"f").event,Xe(this,L,$,"f"),Xe(this,I,d,"f"),Xe(this,D,S,"f"),Xe(this,v,y.viewType,"f"),Xe(this,C,y.panelOptions,"f"),Xe(this,l,y.viewColumn,"f"),Xe(this,w,y.title,"f"),Xe(this,p,y.active,"f")}dispose(){Te(this,f,"f")||(Xe(this,f,!0,"f"),Te(this,E,"f").fire(),Te(this,I,"f").$disposeWebview(Te(this,L,"f")),Te(this,D,"f").dispose(),super.dispose())}get webview(){return this.c(),Te(this,D,"f")}get viewType(){return this.c(),Te(this,v,"f")}get title(){return this.c(),Te(this,w,"f")}set title($){this.c(),Te(this,w,"f")!==$&&(Xe(this,w,$,"f"),Te(this,I,"f").$setTitle(Te(this,L,"f"),$))}get iconPath(){return this.c(),Te(this,i,"f")}set iconPath($){this.c(),Te(this,i,"f")!==$&&(Xe(this,i,$,"f"),Te(this,I,"f").$setIconPath(Te(this,L,"f"),h.URI.isUri($)?{light:$,dark:$}:$))}get options(){return Te(this,C,"f")}get viewColumn(){if(this.c(),!(typeof Te(this,l,"f")=="number"&&Te(this,l,"f")<0))return Te(this,l,"f")}get active(){return this.c(),Te(this,p,"f")}get visible(){return this.c(),Te(this,a,"f")}_updateViewState($){Te(this,f,"f")||(this.active!==$.active||this.visible!==$.visible||this.viewColumn!==$.viewColumn)&&(Xe(this,p,$.active,"f"),Xe(this,a,$.visible,"f"),Xe(this,l,$.viewColumn,"f"),Te(this,n,"f").fire({webviewPanel:this}))}reveal($,d){this.c(),Te(this,I,"f").$reveal(Te(this,L,"f"),{viewColumn:typeof $>"u"?void 0:R.ViewColumn.from($),preserveFocus:!!d})}c(){if(Te(this,f,"f"))throw new Error("Webview is disposed")}}L=new WeakMap,I=new WeakMap,v=new WeakMap,D=new WeakMap,C=new WeakMap,w=new WeakMap,i=new WeakMap,l=new WeakMap,a=new WeakMap,p=new WeakMap,f=new WeakMap,E=new WeakMap,n=new WeakMap;class s{static c(){return(0,F.$3e)()}constructor($,d,S){this.g=d,this.h=S,this.e=new Map,this.f=new Map,this.d=$.getProxy(k.$$I.MainThreadWebviewPanels)}createWebviewPanel($,d,S,y,c={}){const r=typeof y=="object"?y.viewColumn:y,P={viewColumn:R.ViewColumn.from(r),preserveFocus:typeof y=="object"&&!!y.preserveFocus},N=(0,g.$S$b)($),U=s.c();this.d.$createWebviewPanel((0,g.$U$b)($),U,d,{title:S,panelOptions:t(c),webviewOptions:(0,g.$V$b)($,this.h,c),serializeBuffersForPostMessage:N},P);const q=this.g.createNewWebview(U,c,$);return this.createNewWebviewPanel(U,d,S,r,c,q,!0)}$onDidChangeWebviewPanelViewStates($){const d=Object.keys($);d.sort((S,y)=>{const c=$[S],r=$[y];return c.active?1:r.active?-1:+c.visible-+r.visible});for(const S of d){const y=this.getWebviewPanel(S);if(!y)continue;const c=$[S];y._updateViewState({active:c.active,visible:c.visible,viewColumn:R.ViewColumn.to(c.position)})}}async $onDidDisposeWebviewPanel($){this.getWebviewPanel($)?.dispose(),this.e.delete($),this.g.deleteWebview($)}registerWebviewPanelSerializer($,d,S){if(this.f.has(d))throw new Error(`Serializer for '${d}' already registered`);return this.f.set(d,{serializer:S,extension:$}),this.d.$registerSerializer(d,{serializeBuffersForPostMessage:(0,g.$S$b)($)}),new m.$aJ(()=>{this.f.delete(d),this.d.$unregisterSerializer(d)})}async $deserializeWebviewPanel($,d,S,y){const c=this.f.get(d);if(!c)throw new Error(`No serializer found for '${d}'`);const{serializer:r,extension:P}=c,N=this.g.createNewWebview($,S.webviewOptions,P),U=this.createNewWebviewPanel($,d,S.title,y,S.panelOptions,N,S.active);await r.deserializeWebviewPanel(U,S.state)}createNewWebviewPanel($,d,S,y,c,r,P){const N=new o($,this.d,r,{viewType:d,title:S,viewColumn:y,panelOptions:c,active:P});return this.e.set($,N),N}getWebviewPanel($){return this.e.get($)}}e.$t_b=s;function t(u){return{enableFindWidget:u.enableFindWidget,retainContextWhenHidden:u.retainContextWhenHidden}}});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[311],Ce([1,0,3,4,85,15,6,7]),function(re,e,b,A,h,F,R,g){"use strict";var k,m,L,I,v,D,C,w,i,l,a;Object.defineProperty(e,"__esModule",{value:!0}),e.$s_b=void 0;class p extends A.$kb{constructor(n,o,s,t,u,$){super(),k.set(this,void 0),m.set(this,void 0),L.set(this,void 0),I.set(this,void 0),v.set(this,!1),D.set(this,void 0),C.set(this,void 0),w.set(this,void 0),i.set(this,void 0),l.set(this,this.B(new b.$5c)),this.onDidChangeVisibility=Te(this,l,"f").event,a.set(this,this.B(new b.$5c)),this.onDidDispose=Te(this,a,"f").event,Xe(this,L,s,"f"),Xe(this,C,t,"f"),Xe(this,k,n,"f"),Xe(this,m,o,"f"),Xe(this,I,u,"f"),Xe(this,D,$,"f")}dispose(){Te(this,v,"f")||(Xe(this,v,!0,"f"),Te(this,a,"f").fire(),Te(this,I,"f").dispose(),super.dispose())}get title(){return this.a(),Te(this,C,"f")}set title(n){this.a(),Te(this,C,"f")!==n&&(Xe(this,C,n,"f"),Te(this,m,"f").$setWebviewViewTitle(Te(this,k,"f"),n))}get description(){return this.a(),Te(this,w,"f")}set description(n){this.a(),Te(this,w,"f")!==n&&(Xe(this,w,n,"f"),Te(this,m,"f").$setWebviewViewDescription(Te(this,k,"f"),n))}get visible(){return Te(this,D,"f")}get webview(){return Te(this,I,"f")}get viewType(){return Te(this,L,"f")}_setVisible(n){n===Te(this,D,"f")||Te(this,v,"f")||(Xe(this,D,n,"f"),Te(this,l,"f").fire())}get badge(){return this.a(),Te(this,i,"f")}set badge(n){this.a(),!(n?.value===Te(this,i,"f")?.value&&n?.tooltip===Te(this,i,"f")?.tooltip)&&(Xe(this,i,F.ViewBadge.from(n),"f"),Te(this,m,"f").$setWebviewViewBadge(Te(this,k,"f"),n))}show(n){this.a(),Te(this,m,"f").$show(Te(this,k,"f"),!!n)}a(){if(Te(this,v,"f"))throw new Error("Webview is disposed")}}k=new WeakMap,m=new WeakMap,L=new WeakMap,I=new WeakMap,v=new WeakMap,D=new WeakMap,C=new WeakMap,w=new WeakMap,i=new WeakMap,l=new WeakMap,a=new WeakMap;class f{constructor(n,o){this.d=o,this.b=new Map,this.c=new Map,this.a=n.getProxy(R.$$I.MainThreadWebviewViews)}registerWebviewViewProvider(n,o,s,t){if(this.b.has(o))throw new Error(`View provider for '${o}' already registered`);return this.b.set(o,{provider:s,extension:n}),this.a.$registerWebviewViewProvider((0,h.$U$b)(n),o,{retainContextWhenHidden:t?.retainContextWhenHidden,serializeBuffersForPostMessage:(0,h.$S$b)(n)}),new g.$aJ(()=>{this.b.delete(o),this.a.$unregisterWebviewViewProvider(o)})}async $resolveWebviewView(n,o,s,t,u){const $=this.b.get(o);if(!$)throw new Error(`No view provider found for '${o}'`);const{provider:d,extension:S}=$,y=this.d.createNewWebview(n,{},S),c=new p(n,this.a,o,s,y,!0);this.c.set(n,c),await d.resolveWebviewView(c,{state:t},u)}async $onDidChangeWebviewViewVisibility(n,o){this.e(n)._setVisible(o)}async $disposeWebviewView(n){const o=this.e(n);this.c.delete(n),o.dispose(),this.d.deleteWebview(n)}e(n){const o=this.c.get(n);if(!o)throw new Error("No webview found");return o}}e.$s_b=f}),define(De[144],Ce([1,0,3,6,2,16,9,5,20,27]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$X$b=e.$W$b=void 0;let L=e.$W$b=class Rn{getState(v){const D=this.d;return{get focused(){return D.focused},get active(){return(0,m.$$E)(v,"windowActivity"),D.active}}}constructor(v){this.c=new b.$5c,this.onDidChangeWindowState=this.c.event,this.d=Rn.a,this.b=v.getProxy(A.$$I.MainThreadWindow),this.b.$getInitialState().then(({isFocused:D,isActive:C})=>{this.onDidChangeWindowProperty("focused",D),this.onDidChangeWindowProperty("active",C)})}$onDidChangeWindowFocus(v){this.onDidChangeWindowProperty("focused",v)}$onDidChangeWindowActive(v){this.onDidChangeWindowProperty("active",v)}onDidChangeWindowProperty(v,D){D!==this.d[v]&&(this.d={...this.d,[v]:D},this.c.fire(this.d))}openUri(v,D){let C;if(typeof v=="string"){C=v;try{v=h.URI.parse(v)}catch{return Promise.reject(`Invalid uri - '${v}'`)}}return(0,R.$hd)(v.scheme)?Promise.reject("Invalid scheme - cannot be empty"):v.scheme===F.Schemas.command?Promise.reject(`Invalid scheme '${v.scheme}'`):this.b.$openUri(v,C,D)}async asExternalUri(v,D){if((0,R.$hd)(v.scheme))return Promise.reject("Invalid scheme - cannot be empty");const C=await this.b.$asExternalUri(v,D);return h.URI.from(C)}};L.a={focused:!0,active:!0},e.$W$b=L=He([We(0,k.$aL)],L),e.$X$b=(0,g.$lh)("IExtHostWindow")}),define(De[312],Ce([1,0,280,26,20]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qac=void 0;const F=1024*1024;let R=e.$qac=class extends b.$R_b{constructor(k,m){super(k,m),this.g=!1,this.j("stderr","error"),this.j("stdout","log")}f(k,m,L){const I=k==="error"||k==="warn"?process.stderr:process.stdout;this.g=!0,I.write(`
START_NATIVE_LOG
`),m.apply(console,L),I.write(`
END_NATIVE_LOG
`),this.g=!1}j(k,m){const L=process[k],I=L.write;let v="";Object.defineProperty(L,"write",{set:()=>{},get:()=>(D,C,w)=>{if(!this.g){v+=D.toString(C);const i=v.length>F?v.length:v.lastIndexOf(`
`);i!==-1&&(console[m](v.slice(0,i)),v=v.slice(i+1))}I.call(L,D,C,w)}})}};e.$qac=R=He([We(0,h.$aL),We(1,A.$qL)],R)}),define(De[313],Ce([1,0,64,16,18,224,30,10]),function(re,e,b,A,h,F,R,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rac=void 0;let k=e.$rac=class{constructor(I,v){I.addFileSystemProvider(A.Schemas.file,new m(v),{isCaseSensitive:g.$k})}};e.$rac=k=He([We(0,b.$j$b),We(1,h.$Ni)],k);class m{constructor(I){this.b=I,this.a=new F.$Np(this.b)}async stat(I){const v=await this.a.stat(I);return{type:v.type,ctime:v.ctime,mtime:v.mtime,size:v.size,permissions:v.permissions===R.FilePermission.Readonly?1:void 0}}readDirectory(I){return this.a.readdir(I)}createDirectory(I){return this.a.mkdir(I)}readFile(I){return this.a.readFile(I)}writeFile(I,v,D){return this.a.writeFile(I,v,{...D,unlock:!1,atomic:!1})}delete(I,v){return this.a.delete(I,{...v,useTrash:!1,atomic:!1})}rename(I,v,D){return this.a.rename(I,v,D)}copy(I,v,D){return this.a.copy(I,v,D)}get onDidChangeFile(){throw new Error("Method not implemented.")}watch(I,v){throw new Error("Method not implemented.")}}}),define(De[314],Ce([1,0,11,74,32,36,4,6,2,20]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pac=void 0;let L=e.$pac=class extends R.$kb{constructor(v,D){super();const C=v.getProxy(g.$$I.MainThreadDownloadService);D.registerCommand(!1,"_workbench.downloadResource",async w=>{const i=k.URI.file((0,b.$$b)((0,A.tmpdir)(),(0,h.$3e)()));return await C.$download(w,i),i})}};e.$pac=L=He([We(0,m.$aL),We(1,F.$wL)],L)}),define(De[315],Ce([1,0,143,16,226,32]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cac=void 0;class R extends b.$Q_b{m(k,m,L){return k.scheme===A.Schemas.file?new h.$lM(L?.name||(0,F.$3e)(),k.fsPath,!L?.donotRotate,!!L?.donotUseFormatters,m):super.m(k,m,L)}registerLogger(k){super.registerLogger(k),this.n.$registerLogger(k)}deregisterLogger(k){super.deregisterLogger(k),this.n.$deregisterLogger(k)}}e.$Cac=R}),define(De[316],Ce([1,0,49,11,2,84,4,16,17,29]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bac=void 0;class L extends F.$l$b{constructor(){super(...arguments),this.i=null}async g(n){const o=await super.g(n);if(o.scheme!==g.Schemas.file)return o;if(this.b.skipWorkspaceStorageLock)return this.d.info(`Skipping acquiring lock for ${o.fsPath}.`),o;const s=o.fsPath;let t=0;do{let u;t===0?u=s:u=/[/\\]$/.test(s)?`${s.substr(0,s.length-1)}-${t}`:`${s}-${t}`,await I(u);const $=A.$$b(u,"vscode.lock"),d=await w(this.d,$,!1);if(d)return this.i=d,process.on("exit",()=>{d.dispose()}),h.URI.file(u);t++}while(t<10);return o}onWillDeactivateAll(){this.i?.setWillRelease(6e3)}}e.$Bac=L;async function I(E){try{await m.Promises.stat(E);return}catch{}try{await m.Promises.mkdir(E,{recursive:!0})}catch{}}const v=1e3,D=10*60*1e3;class C extends R.$kb{constructor(n,o){super(),this.b=n,this.c=o,this.a=this.B(new k.$Bg),this.a.cancelAndSet(async()=>{const s=await i(n,o);(!s||s.pid!==process.pid)&&(n.info(`Lock '${o}': The lock was lost unexpectedly.`),this.a.cancel());try{await m.Promises.utimes(o,new Date,new Date)}catch(t){n.error(t),n.info(`Lock '${o}': Could not update mtime.`)}},v)}dispose(){super.dispose();try{b.unlinkSync(this.c)}catch{}}async setWillRelease(n){this.b.info(`Lock '${this.c}': Marking the lockfile as scheduled to be released in ${n} ms.`);try{const o={pid:process.pid,willReleaseAt:Date.now()+n};await m.Promises.writeFile(this.c,JSON.stringify(o),{flag:"w"})}catch(o){this.b.error(o)}}}async function w(E,n,o){try{const t={pid:process.pid,willReleaseAt:0};await m.Promises.writeFile(n,JSON.stringify(t),{flag:"wx"})}catch(t){E.error(t)}const s=await i(E,n);return!s||s.pid!==process.pid?o?(E.info(`Lock '${n}': Could not acquire lock, giving up.`),null):(E.info(`Lock '${n}': Could not acquire lock, checking if the file is stale.`),p(E,n)):(E.info(`Lock '${n}': Lock acquired.`),new C(E,n))}async function i(E,n){let o;try{o=await m.Promises.readFile(n)}catch(s){return E.error(s),null}try{return JSON.parse(String(o))}catch(s){return E.error(s),null}}async function l(E,n){let o;try{o=await m.Promises.stat(n)}catch(s){return E.error(s),0}return o.mtime.getTime()}function a(E){try{return process.kill(E,0),!0}catch{return!1}}async function p(E,n){const o=await i(E,n);if(!o)return E.info(`Lock '${n}': Could not read pid of lock holder.`),f(E,n);if(o.willReleaseAt){let d=o.willReleaseAt-Date.now();if(d<5e3){for(d>0?E.info(`Lock '${n}': The lockfile is scheduled to be released in ${d} ms.`):E.info(`Lock '${n}': The lockfile is scheduled to have been released.`);d>0;){if(await(0,k.$sg)(Math.min(100,d)),await l(E,n)===0)return f(E,n);d=o.willReleaseAt-Date.now()}return f(E,n)}}if(!a(o.pid))return E.info(`Lock '${n}': The pid ${o.pid} appears to be gone.`),f(E,n);const s=await l(E,n),t=Date.now()-s;if(t<=D)return E.info(`Lock '${n}': The lock does not look stale, elapsed: ${t} ms, giving up.`),null;E.info(`Lock '${n}': The lock looks stale, waiting for 2s.`),await(0,k.$sg)(2e3);const u=await l(E,n),$=Date.now()-u;return $<=D?(E.info(`Lock '${n}': The lock does not look stale, elapsed: ${$} ms, giving up.`),null):(E.info(`Lock '${n}': The lock looks stale even after waiting for 2s.`),f(E,n))}async function f(E,n){E.info(`Lock '${n}': Deleting a stale lock.`);try{await m.Promises.unlink(n)}catch{}return w(E,n,!0)}}),define(De[317],Ce([1,0,32,20,43]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$W_b=void 0;let F=e.$W_b=class extends h.$o$b{constructor(g){super(!0,g)}createTerminal(g,k,m){return this.createTerminalFromOptions({name:g,shellPath:k,shellArgs:m})}createTerminalFromOptions(g,k){const m=new h.$n$b(this.a,(0,b.$3e)(),g,g.name);return this.f.push(m),m.create(g,this.J(g,k)),m.value}};e.$W_b=F=He([We(0,A.$aL)],F)}),define(De[318],Ce([1,0,6,20,200,4,26,2,46,23,29,7,10,58,3,132,112,18]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Aac=e.$zac=e.$yac=e.$xac=e.$wac=e.$vac=e.$uac=e.$tac=void 0;class a extends w.$Cz{}function p(d){const S=d.trim().split(`
`),y=[];return S.forEach(r=>{const P=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(r);P&&P.length>=3&&y.push({pid:parseInt(P[1],10),socket:parseInt(P[2],10)})}),y.reduce((r,P)=>(r[P.socket]=P,r),{})}e.$tac=p;function f(...d){const S=[].concat(...d.map(n));return[...new Map(S.filter(y=>y.st==="0A").map(y=>{const c=y.local_address.split(":");return{socket:parseInt(y.inode,10),ip:E(c[0]),port:parseInt(c[1],16)}}).map(y=>[y.ip+":"+y.port,y])).values()]}e.$uac=f;function E(d){let S="";if(d.length===8)for(let y=d.length-2;y>=0;y-=2)S+=parseInt(d.substr(y,2),16),y!==0&&(S+=".");else for(let y=0;y<d.length;y+=8){const c=d.substring(y,y+8);let r="";for(let P=8;P>=2;P-=2)r+=c.substring(P-2,P),(P===6||P===2)&&(r=parseInt(r,16).toString(16),S+=`${r}`,r="",y+P!==d.length-6&&(S+=":"))}return S}e.$vac=E;function n(d){const S=d.trim().split(`
`),y=S.shift().trim().split(/\s+/).filter(r=>r!=="rx_queue"&&r!=="tm->when");return S.map(r=>r.trim().split(/\s+/).reduce((P,N,U)=>(P[y[U]||U]=N,P),{}))}e.$wac=n;function o(d){return!!d.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||d.indexOf("out/server-main.js")!==-1||d.indexOf("_productName=VSCode")!==-1}function s(d){const S=d.trim().split(`
`),y=[];return S.forEach(c=>{const r=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(c);r&&r.length>=4&&y.push({pid:parseInt(r[1],10),ppid:parseInt(r[2]),cmd:r[3]})}),y}e.$xac=s;async function t(d,S,y){const c=y.reduce((P,N)=>(P[N.pid]=N,P),{}),r=[];return d.forEach(({socket:P,ip:N,port:U})=>{const q=S[P]?S[P].pid:void 0,W=q?c[q]?.cmd:void 0;q&&W&&!o(W)&&r.push({host:N,port:U,detail:W,pid:q})}),r}e.$yac=t;function u(d,S,y){const c=new Map,r=s(S);for(const P of d){const N=y.get(P.port);if(N){c.set(P.port,N);continue}const U=r.find(q=>q.cmd.includes(`${P.port}`));if(U){let q=U,W;do W=r.find(O=>O.ppid===q.pid),W&&(q=W);while(W);c.set(P.port,{host:P.ip,port:P.port,pid:q.pid,detail:q.cmd,ppid:q.ppid})}else c.set(P.port,{host:P.ip,port:P.port,ppid:Number.MAX_VALUE})}return c}e.$zac=u;let $=e.$Aac=class extends F.$kb{constructor(S,y,c){super(),this.s=c,this.f=()=>Promise.resolve(!0),this.g=new Map,this.h=new C.$5c,this.onDidChangeTunnels=this.h.event,this.k=!1,this.l=new Map,this.n=void 0,this.p=0,this.r=new Map,this.a=S.getProxy(b.$$I.MainThreadTunnelService),v.$k&&y.remote.isRemote&&y.remote.authority&&(this.a.$setRemoteTunnelService(process.pid),this.t())}async openTunnel(S,y){this.s.trace(`ForwardedPorts: (ExtHostTunnelService) ${S.identifier.value} called openTunnel API for ${y.remoteAddress.host}:${y.remoteAddress.port}.`);const c=await this.a.$openTunnel(y,S.displayName);if(c){const r=new a(c.remoteAddress,c.localAddress,()=>this.a.$closeTunnel(c.remoteAddress));return this.B(r),r}}async t(){this.n=await this.w(),this.s.trace(`ForwardedPorts: (ExtHostTunnelService) Initial candidates found: ${this.n.map(S=>S.port).join(", ")}`)}async getTunnels(){return this.a.$getTunnels()}u(S){return Math.max(S*20,2e3)}v(){return this.p++}registerPortsAttributesProvider(S,y){const c=this.v();return this.r.set(c,{selector:S,provider:y}),this.a.$registerPortsAttributesProvider(S,c),new I.$aJ(()=>{this.r.delete(c),this.a.$unregisterPortsAttributesProvider(c)})}async $providePortAttributes(S,y,c,r,P){const N=[];for(const q of S){const W=this.r.get(q);if(!W)return[];N.push(...await Promise.all(y.map(async O=>({providedAttributes:await W.provider.providePortAttributes(O,c,r,P),port:O}))))}const U=N.filter(q=>!!q.providedAttributes);return U.length>0?U.map(q=>({autoForwardAction:q.providedAttributes.autoForwardAction,port:q.port})):[]}async $registerCandidateFinder(S){if(S&&this.k)return;this.k=S;let y;this.n&&(y=this.n,await this.a.$onFoundNewCandidates(this.n));const c=new i.$sl;let r=0;for(;this.k;){const P=new Date().getTime(),N=(await this.w()).filter(W=>(0,w.$yz)(W.host)||(0,w.$Az)(W.host));this.s.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${N.map(W=>W.port).join(", ")}`);const U=new Date().getTime()-P;this.s.trace(`ForwardedPorts: (ExtHostTunnelService) candidate port scan took ${U} ms.`),r++>3&&c.update(U),(!y||JSON.stringify(y)!==JSON.stringify(N))&&(y=N,await this.a.$onFoundNewCandidates(y));const q=this.u(c.value);this.s.trace(`ForwardedPorts: (ExtHostTunnelService) next candidate port scan in ${q} ms.`),await new Promise(W=>setTimeout(()=>W(),q))}}async setTunnelFactory(S){if(S){if(S.candidatePortSource!==void 0&&this.a.$setCandidatePortSource(S.candidatePortSource),S.showCandidatePort&&(this.f=S.showCandidatePort,this.a.$setCandidateFilter()),S.tunnelFactory){this.b=S.tunnelFactory;let y=S.tunnelFeatures?.privacyOptions??[];S.tunnelFeatures?.public&&y.length===0&&(y=[{id:"private",label:h.localize(0,null),themeIcon:"lock"},{id:"public",label:h.localize(1,null),themeIcon:"eye"}]);const c=S.tunnelFeatures?{elevation:!!S.tunnelFeatures?.elevation,public:!!S.tunnelFeatures?.public,privacyOptions:y}:void 0;this.a.$setTunnelProvider(c)}}else this.b=void 0;return(0,F.$ib)(()=>{this.b=void 0})}async $closeTunnel(S,y){if(this.g.has(S.host)){const c=this.g.get(S.host);c.has(S.port)&&(y&&c.get(S.port).disposeListener.dispose(),await c.get(S.port).tunnel.dispose(),c.delete(S.port))}}async $onDidTunnelsChange(){this.h.fire()}async $forwardPort(S,y){if(this.b)try{this.s.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const c=this.b(S,y);if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),c!==void 0){const r=await c;this.s.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this.g.has(S.remoteAddress.host)||this.g.set(S.remoteAddress.host,new Map);const P=this.B(r.onDidDispose(()=>(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this.a.$closeTunnel(r.remoteAddress))));return this.g.get(S.remoteAddress.host).set(S.remoteAddress.port,{tunnel:r,disposeListener:P}),D.TunnelDtoConverter.fromApiTunnel(r)}else this.s.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch{this.s.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(S){const y=await Promise.all(S.map(r=>this.f(r.host,r.port,r.detail??""))),c=S.filter((r,P)=>y[P]);return this.s.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${S.map(r=>r.port).join(", ")} to ${c.map(r=>r.port).join(", ")}`),c}async w(){let S="",y="";try{S=await L.Promises.readFile("/proc/net/tcp","utf8"),y=await L.Promises.readFile("/proc/net/tcp6","utf8")}catch{}const c=f(S,y),r=await new Promise(z=>{(0,k.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(j,he,ie)=>{z(he)})}),P=p(r),N=await L.Promises.readdir("/proc"),U=[];for(const z of N)try{const j=Number(z),he=m.$6f(g.URI.file("/proc"),z);if((await L.Promises.stat(he.fsPath)).isDirectory()&&!isNaN(j)){const ne=await L.Promises.readlink(m.$6f(he,"cwd").fsPath),V=await L.Promises.readFile(m.$6f(he,"cmdline").fsPath,"utf8");U.push({pid:j,cwd:ne,cmd:V})}}catch{}const q=[],W=c.filter(z=>{const j=P[z.socket];return j||q.push(z),j}),O=t(W,P,U);let J;if(this.s.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${q.length}`),q.length>0){const z=await new Promise(j=>{(0,k.exec)("ps -F -A -l | grep root",(he,ie,ne)=>{j(ie)})});this.l=u(q,z,this.l),J=Array.from(this.l.values()),this.s.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${J.map(j=>j.port).join(", ")}`)}return O.then(z=>J?z.concat(J):z)}};e.$Aac=$=He([We(0,A.$aL),We(1,R.$qL),We(2,l.$Ni)],$)}),define(De[319],Ce([1,0,17,22,21,8,3,4,121,273,61]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.$xZb=e.ResponsiveState=e.RequestInitiator=e.$wZb=e.$vZb=void 0;function v(c,r){try{return JSON.stringify(c,r)}catch{return"null"}}const D="$$ref$$",C={[D]:-1};class w{constructor(r,P){this.jsonString=r,this.referencedBuffers=P}}function i(c,r=null,P=!1){const N=[];return{jsonString:(P?v:JSON.stringify)(c,(q,W)=>{if(typeof W>"u")return C;if(typeof W=="object"){if(W instanceof A.$Ib){const O=N.push(W)-1;return{[D]:O}}if(r)return r(q,W)}return W}),referencedBuffers:N}}e.$vZb=i;function l(c,r,P){return JSON.parse(c,(N,U)=>{if(U){const q=U[D];if(typeof q=="number")return r[q];if(P&&U.$mid===1)return P.transformIncoming(U)}return U})}e.$wZb=l;function a(c,r){return JSON.stringify(c,r)}function p(c){return c?(r,P)=>P&&P.$mid===1?c.transformOutgoing(P):P:null}var f;(function(c){c[c.LocalSide=0]="LocalSide",c[c.OtherSide=1]="OtherSide"})(f||(e.RequestInitiator=f={}));var E;(function(c){c[c.Responsive=0]="Responsive",c[c.Unresponsive=1]="Unresponsive"})(E||(e.ResponsiveState=E={}));const n=()=>{},o=Symbol.for("rpcProtocol"),s=Symbol.for("rpcProxy");class t extends g.$kb{constructor(r,P=null,N=null){super(),this[I]=!0,this.b=this.B(new R.$5c),this.onDidChangeResponsiveState=this.b.event,this.c=r,this.f=P,this.g=N,this.h=p(this.g),this.j=!1,this.k=[],this.l=[];for(let U=0,q=L.$Jz.count;U<q;U++)this.k[U]=null,this.l[U]=null;this.m=0,this.p=Object.create(null),this.s={},this.t=0,this.u=0,this.v=0,this.w=this.B(new b.$Cg(()=>this.C(),1e3)),this.c.onMessage(U=>this.G(U))}dispose(){this.j=!0,Object.keys(this.s).forEach(r=>{this.s[r].resolveErr(F.$3())})}drain(){return typeof this.c.drain=="function"?this.c.drain():Promise.resolve()}y(r){this.u===0&&(this.v=Date.now()+t.a),this.u++,this.w.isScheduled()||this.w.schedule()}z(r){this.v=Date.now()+t.a,this.u--,this.u===0&&this.w.cancel(),this.D(0)}C(){this.u!==0&&(Date.now()>this.v?this.D(1):this.w.schedule())}D(r){this.t!==r&&(this.t=r,this.b.fire(this.t))}get responsiveState(){return this.t}transformIncomingURIs(r){return this.g?(0,k.$mm)(r,this.g):r}getProxy(r){const{nid:P,sid:N}=r;return this.l[P]||(this.l[P]=this.F(P,N)),this.l[P]}F(r,P){const N={get:(U,q)=>(typeof q=="string"&&!U[q]&&q.charCodeAt(0)===36&&(U[q]=(...W)=>this.O(r,q,W)),q===s?P:U[q])};return new Proxy(Object.create(null),N)}set(r,P){return this.k[r.nid]=P,P}assertRegistered(r){for(let P=0,N=r.length;P<N;P++){const U=r[P];if(!this.k[U.nid])throw new Error(`Missing proxy instance ${U.sid}`)}}G(r){if(this.j)return;const P=r.byteLength,N=u.read(r,0),U=N.readUInt8(),q=N.readUInt32();switch(U){case 1:case 2:{let{rpcId:W,method:O,args:J}=d.deserializeRequestJSONArgs(N);this.g&&(J=(0,k.$mm)(J,this.g)),this.H(P,q,W,O,J,U===2);break}case 3:case 4:{let{rpcId:W,method:O,args:J}=d.deserializeRequestMixedArgs(N);this.g&&(J=(0,k.$mm)(J,this.g)),this.H(P,q,W,O,J,U===4);break}case 5:{this.f?.logIncoming(P,q,0,"ack"),this.z(q);break}case 6:{this.I(P,q);break}case 7:{this.J(P,q,void 0);break}case 9:{let W=d.deserializeReplyOKJSON(N);this.g&&(W=(0,k.$mm)(W,this.g)),this.J(P,q,W);break}case 10:{const W=d.deserializeReplyOKJSONWithBuffers(N,this.g);this.J(P,q,W);break}case 8:{const W=d.deserializeReplyOKVSBuffer(N);this.J(P,q,W);break}case 11:{let W=d.deserializeReplyErrError(N);this.g&&(W=(0,k.$mm)(W,this.g)),this.L(P,q,W);break}case 12:{this.L(P,q,void 0);break}default:console.error("received unexpected message"),console.error(r)}}H(r,P,N,U,q,W){this.f?.logIncoming(r,P,1,`receiveRequest ${(0,L.$Lz)(N)}.${U}(`,q);const O=String(P);let J,z;if(W){const he=new h.$bd;q.push(he.token),J=this.M(N,U,q),z=()=>he.cancel()}else J=this.M(N,U,q),z=n;this.p[O]=z;const j=d.serializeAcknowledged(P);this.f?.logOutgoing(j.byteLength,P,1,"ack"),this.c.send(j),J.then(he=>{delete this.p[O];const ie=d.serializeReplyOK(P,he,this.h);this.f?.logOutgoing(ie.byteLength,P,1,"reply:",he),this.c.send(ie)},he=>{delete this.p[O];const ie=d.serializeReplyErr(P,he);this.f?.logOutgoing(ie.byteLength,P,1,"replyErr:",he),this.c.send(ie)})}I(r,P){this.f?.logIncoming(r,P,1,"receiveCancel");const N=String(P);this.p[N]?.()}J(r,P,N){this.f?.logIncoming(r,P,0,"receiveReply:",N);const U=String(P);if(!this.s.hasOwnProperty(U))return;const q=this.s[U];delete this.s[U],q.resolveOk(N)}L(r,P,N){this.f?.logIncoming(r,P,0,"receiveReplyErr:",N);const U=String(P);if(!this.s.hasOwnProperty(U))return;const q=this.s[U];delete this.s[U];let W;N&&(N.$isError?(W=new Error,W.name=N.name,W.message=N.message,W.stack=N.stack):W=N),q.resolveErr(W)}M(r,P,N){try{return Promise.resolve(this.N(r,P,N))}catch(U){return Promise.reject(U)}}N(r,P,N){const U=this.k[r];if(!U)throw new Error("Unknown actor "+(0,L.$Lz)(r));const q=U[P];if(typeof q!="function")throw new Error("Unknown method "+P+" on actor "+(0,L.$Lz)(r));return q.apply(U,N)}O(r,P,N){if(this.j)return new m.$uZb;let U=null;if(N.length>0&&h.CancellationToken.isCancellationToken(N[N.length-1])&&(U=N.pop()),U&&U.isCancellationRequested)return Promise.reject(F.$3());const q=d.serializeRequestArguments(N,this.h),W=++this.m,O=String(W),J=new m.$tZb;U&&U.onCancellationRequested(()=>{const j=d.serializeCancel(W);this.f?.logOutgoing(j.byteLength,W,0,"cancel"),this.c.send(d.serializeCancel(W))}),this.s[O]=J,this.y(W);const z=d.serializeRequest(W,r,P,q,!!U);return this.f?.logOutgoing(z.byteLength,W,0,`request: ${(0,L.$Lz)(r)}.${P}(`,N),this.c.send(z),J}}e.$xZb=t,I=o,t.a=3*1e3;class u{static alloc(r,P,N){const U=new u(A.$Ib.alloc(N+1+4),0);return U.writeUInt8(r),U.writeUInt32(P),U}static read(r,P){return new u(r,P)}get buffer(){return this.a}constructor(r,P){this.a=r,this.b=P}static sizeUInt8(){return 1}writeUInt8(r){this.a.writeUInt8(r,this.b),this.b+=1}readUInt8(){const r=this.a.readUInt8(this.b);return this.b+=1,r}writeUInt32(r){this.a.writeUInt32BE(r,this.b),this.b+=4}readUInt32(){const r=this.a.readUInt32BE(this.b);return this.b+=4,r}static sizeShortString(r){return 1+r.byteLength}writeShortString(r){this.a.writeUInt8(r.byteLength,this.b),this.b+=1,this.a.set(r,this.b),this.b+=r.byteLength}readShortString(){const r=this.a.readUInt8(this.b);this.b+=1;const N=this.a.slice(this.b,this.b+r).toString();return this.b+=r,N}static sizeLongString(r){return 4+r.byteLength}writeLongString(r){this.a.writeUInt32BE(r.byteLength,this.b),this.b+=4,this.a.set(r,this.b),this.b+=r.byteLength}readLongString(){const r=this.a.readUInt32BE(this.b);this.b+=4;const N=this.a.slice(this.b,this.b+r).toString();return this.b+=r,N}writeBuffer(r){this.a.writeUInt32BE(r.byteLength,this.b),this.b+=4,this.a.set(r,this.b),this.b+=r.byteLength}static sizeVSBuffer(r){return 4+r.byteLength}writeVSBuffer(r){this.a.writeUInt32BE(r.byteLength,this.b),this.b+=4,this.a.set(r,this.b),this.b+=r.byteLength}readVSBuffer(){const r=this.a.readUInt32BE(this.b);this.b+=4;const P=this.a.slice(this.b,this.b+r);return this.b+=r,P}static sizeMixedArray(r){let P=0;P+=1;for(let N=0,U=r.length;N<U;N++){const q=r[N];switch(P+=1,q.type){case 1:P+=this.sizeLongString(q.value);break;case 2:P+=this.sizeVSBuffer(q.value);break;case 3:P+=this.sizeUInt32,P+=this.sizeLongString(q.value);for(let W=0;W<q.buffers.length;++W)P+=this.sizeVSBuffer(q.buffers[W]);break;case 4:break}}return P}writeMixedArray(r){this.a.writeUInt8(r.length,this.b),this.b+=1;for(let P=0,N=r.length;P<N;P++){const U=r[P];switch(U.type){case 1:this.writeUInt8(1),this.writeLongString(U.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(U.value);break;case 3:this.writeUInt8(3),this.writeUInt32(U.buffers.length),this.writeLongString(U.value);for(let q=0;q<U.buffers.length;++q)this.writeBuffer(U.buffers[q]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const r=this.a.readUInt8(this.b);this.b+=1;const P=new Array(r);for(let N=0;N<r;N++)switch(this.readUInt8()){case 1:P[N]=this.readLongString();break;case 2:P[N]=this.readVSBuffer();break;case 3:{const q=this.readUInt32(),W=this.readLongString(),O=[];for(let J=0;J<q;++J)O.push(this.readVSBuffer());P[N]=new L.$Mz(l(W,O,null));break}case 4:P[N]=void 0;break}return P}}u.sizeUInt32=4;var $;(function(c){c[c.Simple=0]="Simple",c[c.Mixed=1]="Mixed"})($||($={}));class d{static a(r){for(let P=0,N=r.length;P<N;P++)if(r[P]instanceof A.$Ib||r[P]instanceof L.$Mz||typeof r[P]>"u")return!0;return!1}static serializeRequestArguments(r,P){if(this.a(r)){const N=[];for(let U=0,q=r.length;U<q;U++){const W=r[U];if(W instanceof A.$Ib)N[U]={type:2,value:W};else if(typeof W>"u")N[U]={type:4};else if(W instanceof L.$Mz){const{jsonString:O,referencedBuffers:J}=i(W.value,P);N[U]={type:3,value:A.$Ib.fromString(O),buffers:J}}else N[U]={type:1,value:A.$Ib.fromString(a(W,P))}}return{type:1,args:N}}return{type:0,args:a(r,P)}}static serializeRequest(r,P,N,U,q){switch(U.type){case 0:return this.b(r,P,N,U.args,q);case 1:return this.c(r,P,N,U.args,q)}}static b(r,P,N,U,q){const W=A.$Ib.fromString(N),O=A.$Ib.fromString(U);let J=0;J+=u.sizeUInt8(),J+=u.sizeShortString(W),J+=u.sizeLongString(O);const z=u.alloc(q?2:1,r,J);return z.writeUInt8(P),z.writeShortString(W),z.writeLongString(O),z.buffer}static deserializeRequestJSONArgs(r){const P=r.readUInt8(),N=r.readShortString(),U=r.readLongString();return{rpcId:P,method:N,args:JSON.parse(U)}}static c(r,P,N,U,q){const W=A.$Ib.fromString(N);let O=0;O+=u.sizeUInt8(),O+=u.sizeShortString(W),O+=u.sizeMixedArray(U);const J=u.alloc(q?4:3,r,O);return J.writeUInt8(P),J.writeShortString(W),J.writeMixedArray(U),J.buffer}static deserializeRequestMixedArgs(r){const P=r.readUInt8(),N=r.readShortString(),U=r.readMixedArray(),q=new Array(U.length);for(let W=0,O=U.length;W<O;W++){const J=U[W];typeof J=="string"?q[W]=JSON.parse(J):q[W]=J}return{rpcId:P,method:N,args:q}}static serializeAcknowledged(r){return u.alloc(5,r,0).buffer}static serializeCancel(r){return u.alloc(6,r,0).buffer}static serializeReplyOK(r,P,N){if(typeof P>"u")return this.d(r);if(P instanceof A.$Ib)return this.e(r,P);if(P instanceof L.$Mz){const{jsonString:U,referencedBuffers:q}=i(P.value,N,!0);return this.g(r,U,q)}else return this.f(r,v(P,N))}static d(r){return u.alloc(7,r,0).buffer}static e(r,P){let N=0;N+=u.sizeVSBuffer(P);const U=u.alloc(8,r,N);return U.writeVSBuffer(P),U.buffer}static deserializeReplyOKVSBuffer(r){return r.readVSBuffer()}static f(r,P){const N=A.$Ib.fromString(P);let U=0;U+=u.sizeLongString(N);const q=u.alloc(9,r,U);return q.writeLongString(N),q.buffer}static g(r,P,N){const U=A.$Ib.fromString(P);let q=0;q+=u.sizeUInt32,q+=u.sizeLongString(U);for(const O of N)q+=u.sizeVSBuffer(O);const W=u.alloc(10,r,q);W.writeUInt32(N.length),W.writeLongString(U);for(const O of N)W.writeBuffer(O);return W.buffer}static deserializeReplyOKJSON(r){const P=r.readLongString();return JSON.parse(P)}static deserializeReplyOKJSONWithBuffers(r,P){const N=r.readUInt32(),U=r.readLongString(),q=[];for(let W=0;W<N;++W)q.push(r.readVSBuffer());return new L.$Mz(l(U,q,P))}static serializeReplyErr(r,P){const N=P?v(F.$Z(P),null):void 0;if(typeof N!="string")return this.h(r);const U=A.$Ib.fromString(N);let q=0;q+=u.sizeLongString(U);const W=u.alloc(11,r,q);return W.writeLongString(U),W.buffer}static deserializeReplyErrError(r){const P=r.readLongString();return JSON.parse(P)}static h(r){return u.alloc(12,r,0).buffer}}var S;(function(c){c[c.RequestJSONArgs=1]="RequestJSONArgs",c[c.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",c[c.RequestMixedArgs=3]="RequestMixedArgs",c[c.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",c[c.Acknowledged=5]="Acknowledged",c[c.Cancel=6]="Cancel",c[c.ReplyOKEmpty=7]="ReplyOKEmpty",c[c.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",c[c.ReplyOKJSON=9]="ReplyOKJSON",c[c.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",c[c.ReplyErrError=11]="ReplyErrError",c[c.ReplyErrEmpty=12]="ReplyErrEmpty"})(S||(S={}));var y;(function(c){c[c.String=1]="String",c[c.VSBuffer=2]="VSBuffer",c[c.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",c[c.Undefined=4]="Undefined"})(y||(y={}))}),define(De[320],Ce([1,0,3,42,47,5]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nI=e.$mI=e.OutputChannelUpdateMode=e.$lI=e.$kI=e.$jI=e.$iI=e.$hI=e.$gI=e.$fI=e.$eI=e.$dI=e.$cI=e.$bI=void 0,e.$bI="text/x-code-output",e.$cI="output",e.$dI="Log",e.$eI="text/x-code-log-output",e.$fI="log",e.$gI="log",e.$hI="workbench.panel.output",e.$iI=new h.$Ki("inOutput",!1),e.$jI=new h.$Ki("activeLogOutput",!1),e.$kI=new h.$Ki("outputView.scrollLock",!1),e.$lI=(0,F.$lh)("outputService");var R;(function(k){k[k.Append=1]="Append",k[k.Replace=2]="Replace",k[k.Clear=3]="Clear"})(R||(e.OutputChannelUpdateMode=R={})),e.$mI={OutputChannels:"workbench.contributions.outputChannels"};class g{constructor(){this.a=new Map,this.b=new b.$5c,this.onDidRegisterChannel=this.b.event,this.c=new b.$5c,this.onDidRemoveChannel=this.c.event}registerChannel(m){this.a.has(m.id)||(this.a.set(m.id,m),this.b.fire(m.id))}getChannels(){const m=[];return this.a.forEach(L=>m.push(L)),m}getChannel(m){return this.a.get(m)}removeChannel(m){this.a.delete(m),this.c.fire(m)}}A.$Pm.add(e.$mI.OutputChannels,new g),e.$nI=new h.$Ki("activeOutputChannel","")}),define(De[145],Ce([1,0,6,5,20,25,18,320,64,26,51,169,22,12,30,3,4]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$H$b=e.$G$b=void 0;class l extends R.$Ti{get disposed(){return this.l}constructor(E,n,o,s,t){super(),this.id=E,this.name=n,this.m=o,this.n=s,this.extension=t,this.k=0,this.l=!1,this.visible=!1,this.setLevel(o.getLevel()),this.B(o.onDidChangeLogLevel(u=>this.setLevel(u)))}get logLevel(){return this.getLevel()}appendLine(E){this.append(E+`
`)}append(E){this.info(E)}clear(){const E=this.k;this.m.flush(),this.n.$update(this.id,g.OutputChannelUpdateMode.Clear,E)}replace(E){const n=this.k;this.info(E),this.n.$update(this.id,g.OutputChannelUpdateMode.Replace,n),this.visible&&this.m.flush()}show(E,n){this.m.flush(),this.n.$reveal(this.id,!!(typeof E=="boolean"?E:n))}hide(){this.n.$close(this.id)}g(E,n){this.k+=v.$Ib.fromString(n).byteLength,(0,R.log)(this.m,E,n),this.visible&&(this.m.flush(),this.n.$update(this.id,g.OutputChannelUpdateMode.Append))}dispose(){super.dispose(),this.l||(this.n.$dispose(this.id),this.l=!0)}}class a extends l{appendLine(E){this.append(E)}}let p=e.$G$b=class{constructor(E,n,o,s,t,u){this.i=n,this.j=o,this.k=s,this.l=t,this.m=u,this.d=new Map,this.f=1,this.g=new Map,this.h=null,this.a=E.getProxy(b.$$I.MainThreadOutputService),this.b=this.k.extUri.joinPath(n.logsLocation,`output_logging_${(0,I.$Ol)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(E){this.h=E;for(const[n,o]of this.g)o.visible=n===this.h}createOutputChannel(E,n,o){if(E=E.trim(),!E)throw new Error("illegal argument `name`. must not be falsy");const s=typeof n=="object"&&n.log,t=(0,D.$ge)(n)?n:void 0;if((0,D.$ge)(t)&&!t.trim())throw new Error("illegal argument `languageId`. must not be empty");let u;const $=this.i.environment.extensionLogLevel?.find(([S])=>F.$Dl.equals(o.identifier,S))?.[1];$&&(u=(0,R.$4i)($));const d=s?this.o(E,u,o):this.n(E,t,o);return d.then(S=>{this.g.set(S.id,S),S.visible=S.id===this.h}),s?this.r(E,u??this.m.getLevel(),d):this.q(E,d)}async n(E,n,o){this.c||(this.c=this.j.value.createDirectory(this.b).then(()=>this.b));const s=await this.c,t=this.k.extUri.joinPath(s,`${this.f++}-${E.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),u=this.l.createLogger(t,{logLevel:"always",donotRotate:!0,donotUseFormatters:!0,hidden:!0}),$=await this.a.$register(E,t,n,o.identifier.value);return new l($,E,u,this.a,o)}async o(E,n,o){const s=await this.p(o),t=E.replace(/[\\/:\*\?"<>\|]/g,""),u=this.k.extUri.joinPath(s,`${t}.log`),$=`${o.identifier.value}.${t}`,d=this.l.createLogger(u,{id:$,name:E,logLevel:n,extensionId:o.identifier.value});return new a($,E,d,this.a,o)}p(E){let n=this.d.get(E.identifier.value);if(!n){const o=this.k.extUri.joinPath(this.i.logsLocation,E.identifier.value);this.d.set(E.identifier.value,n=(async()=>{try{await this.j.value.createDirectory(o)}catch(s){if((0,C.$4j)(s)!==C.FileSystemProviderErrorCode.FileExists)throw s}return o})())}return n}q(E,n){let o=!1;const s=()=>{if(o)throw new Error("Channel has been closed")};return{get name(){return E},append(t){s(),n.then(u=>u.append(t))},appendLine(t){s(),n.then(u=>u.appendLine(t))},clear(){s(),n.then(t=>t.clear())},replace(t){s(),n.then(u=>u.replace(t))},show(t,u){s(),n.then($=>$.show(t,u))},hide(){s(),n.then(t=>t.hide())},dispose(){o=!0,n.then(t=>t.dispose())}}}r(E,n,o){const s=new i.$jb,t=()=>{if(s.isDisposed)throw new Error("Channel has been closed")},u=s.add(new w.$5c);function $(d){n=d,u.fire(d)}return o.then(d=>{s.add(d),d.logLevel!==n&&$(d.logLevel),s.add(d.onDidChangeLogLevel(S=>$(S)))}),{...this.q(E,o),get logLevel(){return n},onDidChangeLogLevel:u.event,trace(d,...S){t(),o.then(y=>y.trace(d,...S))},debug(d,...S){t(),o.then(y=>y.debug(d,...S))},info(d,...S){t(),o.then(y=>y.info(d,...S))},warn(d,...S){t(),o.then(y=>y.warn(d,...S))},error(d,...S){t(),o.then(y=>y.error(d,...S))},dispose(){s.dispose()}}}};e.$G$b=p=He([We(0,h.$aL),We(1,m.$qL),We(2,k.$j$b),We(3,L.$Q0b),We(4,R.$Oi),We(5,R.$Ni)],p),e.$H$b=(0,A.$lh)("IExtHostOutputService")});var Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)},Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b};define(De[321],Ce([1,0,5,17]),function(re,e,b,A){"use strict";var h,F,R,g,k,m,L,I,v,D,C;Object.defineProperty(e,"__esModule",{value:!0}),e.$5l=e.$4l=void 0,e.$4l=(0,b.$lh)("remoteAgentService"),e.$5l=new(C=class{constructor(){h.set(this,5),F.set(this,2e3),R.set(this,[]),g.set(this,3),k.set(this,[]),m.set(this,100),L.set(this,2),I.set(this,500),v.set(this,1500),D.set(this,void 0)}get latency(){return Te(this,D,"f")}async measure(w){let i=1/0;for(let a=0;a<Te(this,h,"f");a++){const p=await w.getRoundTripTime();if(p===void 0)return;i=Math.min(i,p/2),await(0,A.$sg)(Te(this,F,"f"))}Te(this,k,"f").push(i),Te(this,k,"f").length>Te(this,m,"f")&&Te(this,k,"f").shift();let l;return Te(this,R,"f").length<Te(this,g,"f")?Te(this,R,"f").push(i):l=Te(this,R,"f").reduce((a,p)=>a+p,0)/Te(this,R,"f").length,Xe(this,D,{initial:l,current:i,average:Te(this,k,"f").reduce((a,p)=>a+p,0)/Te(this,k,"f").length,high:(()=>typeof l>"u"?!1:i>Te(this,v,"f")||i>Te(this,I,"f")&&i>l*Te(this,L,"f"))()},"f"),Te(this,D,"f")}},h=new WeakMap,F=new WeakMap,R=new WeakMap,g=new WeakMap,k=new WeakMap,m=new WeakMap,L=new WeakMap,I=new WeakMap,v=new WeakMap,D=new WeakMap,C)}),define(De[322],Ce([1,0,31,16,11,10,23,2,5,240,50,266,321]),function(re,e,b,A,h,F,R,g,k,m,L,I,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$NI=e.$MI=void 0,e.$MI=(0,k.$lh)("pathService");let D=e.$NI=class Fn{constructor(w,i,l,a){this.d=w,this.e=i,this.f=l,this.g=a,this.a=(async()=>(await this.e.getEnvironment())?.os||F.OS)(),this.b=(async()=>{const p=await this.e.getEnvironment();return this.c=p?.userHome??w})()}hasValidBasename(w,i,l){return typeof i=="string"||typeof i>"u"?this.a.then(a=>this.h(w,a,i)):this.h(w,i,l)}h(w,i,l){return w.scheme===A.Schemas.file||w.scheme===A.Schemas.vscodeRemote?(0,b.$Fe)(l??(0,R.$3f)(w),i===1):!0}get defaultUriScheme(){return Fn.findDefaultUriScheme(this.f,this.g)}static findDefaultUriScheme(w,i){if(w.remoteAuthority)return A.Schemas.vscodeRemote;const l=(0,m.$JI)(i.getWorkspace());if(l)return l;const a=i.getWorkspace().folders[0];if(a)return a.uri.scheme;const p=i.getWorkspace().configuration;return p?p.scheme:A.Schemas.file}userHome(w){return w?.preferLocal?this.d:this.b}get resolvedUserHome(){return this.c}get path(){return this.a.then(w=>w===1?h.$7b:h.$8b)}async fileURI(w){let i="";if(await this.a===1&&(w=w.replace(/\\/g,"/")),w[0]==="/"&&w[1]==="/"){const a=w.indexOf("/",2);a===-1?(i=w.substring(2),w="/"):(i=w.substring(2,a),w=w.substring(a)||"/")}return g.URI.from({scheme:A.Schemas.file,authority:i,path:w,query:"",fragment:""})}};e.$NI=D=He([We(1,v.$4l),We(2,I.$oI),We(3,L.$uh)],D)}),define(De[86],Ce([1,0]),function(re,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.$qH=e.$pH=void 0;class b{constructor(R,g){this.line=R,this.character=g}isBefore(R){return!1}isBeforeOrEqual(R){return!1}isAfter(R){return!1}isAfterOrEqual(R){return!1}isEqual(R){return!1}compareTo(R){return 0}translate(R,g){return new b(0,0)}with(R){return new b(0,0)}}e.$pH=b;class A{constructor(R,g,k,m){this.isEmpty=!1,this.isSingleLine=!1,this.start=new b(R,g),this.end=new b(k,m)}contains(R){return!1}isEqual(R){return!1}intersection(R){}union(R){return new A(0,0,0,0)}with(R){return new A(0,0,0,0)}}e.$qH=A;var h;(function(F){F[F.Information=1]="Information",F[F.Warning=2]="Warning"})(h||(e.TextSearchCompleteMessageType=h={}))}),define(De[34],Ce([1,0,19,33,24,31,9,5,11,8,86,17]),function(re,e,b,A,h,F,R,g,k,m,L,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$QH=e.$PH=e.$OH=e.$NH=e.$MH=e.$LH=e.$KH=e.$JH=e.$IH=e.$HH=e.$GH=e.$FH=e.SearchErrorCode=e.$EH=e.$DH=e.SearchSortOrder=e.ViewMode=e.$CH=e.$BH=e.$AH=e.$zH=e.SearchCompletionExitCode=e.$yH=e.$xH=e.$wH=e.QueryType=e.SearchProviderType=e.$vH=e.$uH=e.$tH=e.$sH=e.$rH=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return L.TextSearchCompleteMessageType}}),e.$rH="workbench.view.search",e.$sH="workbench.panel.search",e.$tH="workbench.view.search",e.$uH="search.exclude";const v="\u27EA ",D=" characters skipped \u27EB",C=(v.length+D.length+5)*2;e.$vH=(0,g.$lh)("searchService");var w;(function(V){V[V.file=0]="file",V[V.text=1]="text"})(w||(e.SearchProviderType=w={}));var i;(function(V){V[V.File=1]="File",V[V.Text=2]="Text"})(i||(e.QueryType=i={}));function l(V){return!!V.preview}e.$wH=l;function a(V){return!!V.resource}e.$xH=a;function p(V){return!!V.message}e.$yH=p;var f;(function(V){V[V.Normal=0]="Normal",V[V.NewSearchStarted=1]="NewSearchStarted"})(f||(e.SearchCompletionExitCode=f={}));class E{constructor(H){this.resource=H,this.results=[]}}e.$zH=E;class n{constructor(H,ce,pe,ye){this.ranges=ce,this.webviewIndex=ye;const ge=Array.isArray(ce)?ce:[ce];if(pe&&pe.matchLines===1&&o(ge)){H=(0,R.$_d)(H,pe.matchLines);let M="",Q=0,ve=0;const Se=Math.floor(pe.charsPerLine/5),ee=[];for(const te of ge){const ue=Math.max(te.startColumn-Se,0),Z=te.startColumn+pe.charsPerLine;if(ue>ve+Se+C){const le=v+(ue-ve)+D;M+=le+H.slice(ue,Z),Q+=ue-(ve+le.length)}else M+=H.slice(ve,Z);ee.push(new t(0,te.startColumn-Q,te.endColumn-Q)),ve=Z}this.preview={text:M,matches:Array.isArray(this.ranges)?ee:ee[0]}}else{const M=Array.isArray(ce)?ce[0].startLineNumber:ce.startLineNumber;this.preview={text:H,matches:(0,b.$Ff)(ce,Q=>new s(Q.startLineNumber-M,Q.startColumn,Q.endLineNumber-M,Q.endColumn))}}}}e.$AH=n;function o(V){const H=V[0].startLineNumber;for(const ce of V)if(ce.startLineNumber!==H||ce.endLineNumber!==H)return!1;return!0}class s{constructor(H,ce,pe,ye){this.startLineNumber=H,this.startColumn=ce,this.endLineNumber=pe,this.endColumn=ye}}e.$BH=s;class t extends s{constructor(H,ce,pe){super(H,ce,H,pe)}}e.$CH=t;var u;(function(V){V.List="list",V.Tree="tree"})(u||(e.ViewMode=u={}));var $;(function(V){V.Default="default",V.FileNames="fileNames",V.Type="type",V.Modified="modified",V.CountDescending="countDescending",V.CountAscending="countAscending"})($||(e.SearchSortOrder=$={}));function d(V,H=!0){const ce=V&&V.files&&V.files.exclude,pe=H&&V&&V.search&&V.search.exclude;if(!ce&&!pe)return;if(!ce||!pe)return ce||pe;let ye=Object.create(null);return ye=h.$Gm(ye,h.$Dm(ce)),ye=h.$Gm(ye,h.$Dm(pe),!0),ye}e.$DH=d;function S(V,H){return V.excludePattern&&A.$_i(V.excludePattern,H)?!1:V.includePattern||V.usingSearchPaths?V.includePattern&&A.$_i(V.includePattern,H)?!0:V.usingSearchPaths?!!V.folderQueries&&V.folderQueries.some(ce=>{const pe=ce.folder.fsPath;if(F.$He(H,pe)){const ye=k.$ac(pe,H);return!ce.includePattern||!!A.$_i(ce.includePattern,ye)}else return!1}):!1:!0}e.$EH=S;var y;(function(V){V[V.unknownEncoding=1]="unknownEncoding",V[V.regexParseError=2]="regexParseError",V[V.globParseError=3]="globParseError",V[V.invalidLiteral=4]="invalidLiteral",V[V.rgProcessError=5]="rgProcessError",V[V.other=6]="other",V[V.canceled=7]="canceled"})(y||(e.SearchErrorCode=y={}));class c extends Error{constructor(H,ce){super(H),this.code=ce}}e.$FH=c;function r(V){const H=V.message;if((0,m.$1)(V))return new c(H,y.canceled);try{const ce=JSON.parse(H);return new c(ce.message,ce.code)}catch{return new c(H,y.other)}}e.$GH=r;function P(V){const H={message:V.message,code:V.code};return new Error(JSON.stringify(H))}e.$HH=P;function N(V){return V.type==="error"?!0:V.type==="success"}e.$IH=N;function U(V){return V.type==="success"}e.$JH=U;function q(V){return!!V.path}e.$KH=q;function W(V,H){const ce=V.searchPath?V.searchPath:V.relativePath;return(0,R.$9d)(ce,H)}e.$LH=W;class O{constructor(H){this.path=H,this.results=[]}addMatch(H){this.results.push(H)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.$MH=O;function J(V,H){const ce={...V||{},...H||{}};return Object.keys(ce).filter(pe=>{const ye=ce[pe];return typeof ye=="boolean"&&ye})}e.$NH=J;class z{constructor(H,ce){this.c=null,this.a={...H.excludePattern||{},...ce.excludePattern||{}},this.b=A.$aj(this.a);let pe=H.includePattern;ce.includePattern&&(pe?pe={...pe,...ce.includePattern}:pe=ce.includePattern),pe&&(this.c=A.$aj(pe))}matchesExcludesSync(H,ce,pe){return!!(this.b&&this.b(H,ce,pe))}includedInQuerySync(H,ce,pe){return!(this.b&&this.b(H,ce,pe)||this.c&&!this.c(H,ce,pe))}includedInQuery(H,ce,pe){const ye=this.b(H,ce,pe),ge=()=>this.c?!!this.c(H,ce,pe):!0;return(0,I.$eg)(ye)?ye.then(M=>M?!1:ge()):ge()}hasSiblingExcludeClauses(){return j(this.a)}}e.$OH=z;function j(V){for(const H in V)if(typeof V[H]!="boolean")return!0;return!1}function he(V){if(!V)return;let H;return ce=>(H||(H=(V()||Promise.resolve([])).then(pe=>pe?ne(pe):{})),H.then(pe=>!!pe[ce]))}e.$PH=he;function ie(V){if(!V)return;let H;return ce=>{if(!H){const pe=V();H=pe?ne(pe):{}}return!!H[ce]}}e.$QH=ie;function ne(V){const H={};for(const ce of V)H[ce]=!0;return H}}),define(De[37],Ce([1,0,19,17,21,3,4,71,16,112,23,9,12,2,198,5,18,227,50,51,26,20,15,7,59,34,6]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n,o,s,t,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$40b=e.$30b=void 0;function $(U,q,W){return new L.$Uf(O=>c(O,W)).isEqual(U,q)}function d(U,q,W){return $(U.uri,q.uri,W)?0:(0,I.$Cd)(U.uri.toString(),q.uri.toString())}function S(U,q,W){return U.index!==q.index?U.index<q.index?-1:1:$(U.uri,q.uri,W)?(0,I.$Cd)(U.name,q.name):(0,I.$Cd)(U.uri.toString(),q.uri.toString())}function y(U,q,W,O){const J=U.slice(0).sort((j,he)=>W(j,he,O)),z=q.slice(0).sort((j,he)=>W(j,he,O));return(0,b.$gf)(J,z,(j,he)=>W(j,he,O))}function c(U,q){const W=q.getCapabilities(U.scheme);return!(W&&W&1024)}class r extends a.$Eh{static toExtHostWorkspace(q,W,O,J){if(!q)return{workspace:null,added:[],removed:[]};const{id:z,name:j,folders:he,configuration:ie,transient:ne,isUntitled:V}=q,H=[],ce=W;W?he.forEach((M,Q)=>{const ve=D.URI.revive(M.uri),Se=r.o(O||W,ve,J);Se?(Se.name=M.name,Se.index=M.index,H.push(Se)):H.push({uri:ve,name:M.name,index:Q})}):H.push(...he.map(({uri:M,name:Q,index:ve})=>({uri:D.URI.revive(M),name:Q,index:ve}))),H.sort((M,Q)=>M.index<Q.index?-1:1);const pe=new r(z,j,H,!!ne,ie?D.URI.revive(ie):null,!!V,M=>c(M,J)),{added:ye,removed:ge}=y(ce?ce.workspaceFolders:[],pe.workspaceFolders,d,J);return{workspace:pe,added:ye,removed:ge}}static o(q,W,O){for(let J=0;J<q.folders.length;J++){const z=q.workspaceFolders[J];if($(z.uri,W,O))return z}}constructor(q,W,O,J,z,j,he){super(q,O.map(ie=>new a.$Fh(ie)),J,z,he),this.t=W,this.u=j,this.q=[],this.s=g.$rh.forUris(he),O.forEach(ie=>{this.q.push(ie),this.s.set(ie.uri,ie)})}get name(){return this.t}get isUntitled(){return this.u}get workspaceFolders(){return this.q.slice(0)}getWorkspaceFolder(q,W){return W&&this.s.get(q)&&(q=(0,L.$5f)(q)),this.s.findSubstr(q)}resolveWorkspaceFolder(q){return this.s.get(q)}}let P=e.$30b=class{constructor(q,W,O,J,z){this.c=new F.$5c,this.onDidChangeWorkspace=this.c.event,this.g=new F.$5c,this.onDidGrantWorkspaceTrust=this.g.event,this.u=[],this.v=!1,this.w=new Map,this.z=0,this.A=new F.$7c,this.B=new Map,this.h=J,this.s=O,this.t=z,this.j=new m.$rl,this.k=new A.$qg,this.o=q.getProxy(u.$$I.MainThreadWorkspace),this.q=q.getProxy(u.$$I.MainThreadMessageService);const j=W.workspace;this.l=j?new r(j.id,j.name,[],!!j.transient,j.configuration?D.URI.revive(j.configuration):null,!!j.isUntitled,he=>c(he,O)):void 0}$initializeWorkspace(q,W){this.v=W,this.$acceptWorkspaceData(q),this.k.open()}waitForInitializeCall(){return this.k.wait()}get workspace(){return this.x}get name(){return this.x?this.x.name:void 0}get workspaceFile(){if(this.x&&this.x.configuration)return this.x.isUntitled?D.URI.from({scheme:k.Schemas.untitled,path:(0,L.$3f)((0,L.$5f)(this.x.configuration))}):this.x.configuration}get x(){return this.n||this.l}getWorkspaceFolders(){if(this.x)return this.x.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this.k.wait(),!!this.x)return this.x.workspaceFolders.slice(0)}updateWorkspaceFolders(q,W,O,...J){const z=[];if(Array.isArray(J)&&J.forEach(V=>{D.URI.isUri(V.uri)&&!z.some(H=>$(H.uri,V.uri,this.s))&&z.push({uri:V.uri,name:V.name||(0,L.$2f)(V.uri)})}),this.n||[W,O].some(V=>typeof V!="number"||V<0)||O===0&&z.length===0)return!1;const j=this.x?this.x.workspaceFolders:[];if(W+O>j.length)return!1;const he=j.slice(0);he.splice(W,O,...z.map(V=>({uri:V.uri,name:V.name||(0,L.$2f)(V.uri),index:void 0})));for(let V=0;V<he.length;V++){const H=he[V];if(he.some((ce,pe)=>pe!==V&&$(H.uri,ce.uri,this.s)))return!1}he.forEach((V,H)=>V.index=H);const{added:ie,removed:ne}=y(j,he,S,this.s);if(ie.length===0&&ne.length===0)return!1;if(this.o){const V=q.displayName||q.name;this.o.$updateWorkspaceFolders(V,W,O,z).then(void 0,H=>{this.n=void 0;const ce={source:{identifier:q.identifier,label:q.displayName||q.name}};this.q.$showMessage(l.Severity.Error,(0,C.localize)(0,null,V,H.toString()),ce,[])})}return this.y(he),!0}getWorkspaceFolder(q,W){if(this.x)return this.x.getWorkspaceFolder(q,W)}async getWorkspaceFolder2(q,W){if(await this.k.wait(),!!this.x)return this.x.getWorkspaceFolder(q,W)}async resolveWorkspaceFolder(q){if(await this.k.wait(),!!this.x)return this.x.resolveWorkspaceFolder(q)}getPath(){if(!this.x)return;const{folders:q}=this.x;if(q.length!==0)return q[0].uri.fsPath}getRelativePath(q,W){let O,J="";if(typeof q=="string"?(O=D.URI.file(q),J=q):typeof q<"u"&&(O=q,J=q.fsPath),!O)return J;const z=this.getWorkspaceFolder(O,!0);if(!z)return J;typeof W>"u"&&this.x&&(W=this.x.folders.length>1);let j=(0,L.$8f)(z.uri,O);return W&&z.name&&(j=`${z.name}/${j}`),j}y(q){this.x&&(this.n=r.toExtHostWorkspace({id:this.x.id,name:this.x.name,configuration:this.x.configuration,folders:q,isUntitled:this.x.isUntitled},this.x,void 0,this.s).workspace||void 0)}$acceptWorkspaceData(q){const{workspace:W,added:O,removed:J}=r.toExtHostWorkspace(q,this.l,this.n,this.s);this.l=W||void 0,this.n=void 0,this.c.fire(Object.freeze({added:O,removed:J}))}findFiles(q,W,O,J,z=h.CancellationToken.None){this.h.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${J.value}, entryPoint: findFiles`);let j;if(W===null?j=!1:W&&(typeof W=="string"?j=W:j=W.pattern),z&&z.isCancellationRequested)return Promise.resolve([]);const{includePattern:he,folder:ie}=N(n.GlobPattern.from(q));return this.o.$startFileSearch((0,v.$ze)(he),(0,v.$ze)(ie),(0,v.$ze)(j),(0,v.$ze)(O),z).then(ne=>Array.isArray(ne)?ne.map(V=>D.URI.revive(V)):[])}async findTextInFiles(q,W,O,J,z=h.CancellationToken.None){this.h.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${J.value}, entryPoint: findTextInFiles`);const j=this.j.getNext(),he=typeof W.previewOptions>"u"?{matchLines:100,charsPerLine:1e4}:W.previewOptions,{includePattern:ie,folder:ne}=N(n.GlobPattern.from(W.include)),V=typeof W.exclude=="string"?W.exclude:W.exclude?W.exclude.pattern:void 0,H={ignoreSymlinks:typeof W.followSymlinks=="boolean"?!W.followSymlinks:void 0,disregardIgnoreFiles:typeof W.useIgnoreFiles=="boolean"?!W.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof W.useGlobalIgnoreFiles=="boolean"?!W.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof W.useParentIgnoreFiles=="boolean"?!W.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof W.useDefaultExcludes=="boolean"?!W.useDefaultExcludes:!0,fileEncoding:W.encoding,maxResults:W.maxResults,previewOptions:he,afterContext:W.afterContext,beforeContext:W.beforeContext,includePattern:ie,excludePattern:V},ce=!1;if(this.u[j]=pe=>{if(ce)return;const ye=D.URI.revive(pe.resource);pe.results.forEach(ge=>{(0,t.$wH)(ge)?O({uri:ye,preview:{text:ge.preview.text,matches:(0,b.$Ff)(ge.preview.matches,M=>new o.$cJ(M.startLineNumber,M.startColumn,M.endLineNumber,M.endColumn))},ranges:(0,b.$Ff)(ge.ranges,M=>new o.$cJ(M.startLineNumber,M.startColumn,M.endLineNumber,M.endColumn))}):O({uri:ye,text:ge.text,lineNumber:ge.lineNumber})})},z.isCancellationRequested)return{};try{const pe=await this.o.$startTextSearch(q,(0,v.$ze)(ne),H,j,z);return delete this.u[j],pe||{}}catch(pe){throw delete this.u[j],pe}}$handleTextSearchResult(q,W){this.u[W]?.(q)}async save(q){const W=await this.o.$save(q,{saveAs:!1});return D.URI.revive(W)}async saveAs(q){const W=await this.o.$save(q,{saveAs:!0});return D.URI.revive(W)}saveAll(q){return this.o.$saveAll(q)}resolveProxy(q){return this.o.$resolveProxy(q)}get trusted(){return this.v}requestWorkspaceTrust(q){return this.o.$requestWorkspaceTrust(q)}$onDidGrantWorkspaceTrust(){this.v||(this.v=!0,this.g.fire())}registerEditSessionIdentityProvider(q,W){if(this.w.has(q))throw new Error(`A provider has already been registered for scheme ${q}`);this.w.set(q,W);const O=this.t.transformOutgoingScheme(q),J=this.z++;return this.o.$registerEditSessionIdentityProvider(J,O),(0,R.$ib)(()=>{this.w.delete(q),this.o.$unregisterEditSessionIdentityProvider(J)})}async $getEditSessionIdentifier(q,W){this.h.info("Getting edit session identifier for workspaceFolder",q);const O=await this.resolveWorkspaceFolder(D.URI.revive(q));if(!O){this.h.warn("Unable to resolve workspace folder");return}this.h.info("Invoking #provideEditSessionIdentity for workspaceFolder",O);const J=this.w.get(O.uri.scheme);if(this.h.info(`Provider for scheme ${O.uri.scheme} is defined: `,!!J),!J)return;const z=await J.provideEditSessionIdentity(O,W);if(this.h.info("Provider returned edit session identifier: ",z),!!z)return z}async $provideEditSessionIdentityMatch(q,W,O,J){this.h.info("Getting edit session identifier for workspaceFolder",q);const z=await this.resolveWorkspaceFolder(D.URI.revive(q));if(!z){this.h.warn("Unable to resolve workspace folder");return}this.h.info("Invoking #provideEditSessionIdentity for workspaceFolder",z);const j=this.w.get(z.uri.scheme);if(this.h.info(`Provider for scheme ${z.uri.scheme} is defined: `,!!j),!j)return;const he=await j.provideEditSessionIdentityMatch?.(W,O,J);if(this.h.info("Provider returned edit session identifier match result: ",he),!!he)return he}getOnWillCreateEditSessionIdentityEvent(q){return(W,O,J)=>{const z=function(he){W.call(O,he)};return z.extension=q,this.A.event(z,void 0,J)}}async $onWillCreateEditSessionIdentity(q,W,O){const J=await this.resolveWorkspaceFolder(D.URI.revive(q));if(J===void 0)throw new Error("Unable to resolve workspace folder");await this.A.fireAsync({workspaceFolder:J},W,async(z,j)=>{const he=Date.now();await Promise.resolve(z),Date.now()-he>O&&this.h.warn("SLOW edit session create-participant",j.extension.identifier)}),W.isCancellationRequested}registerCanonicalUriProvider(q,W){if(this.B.has(q))throw new Error(`A provider has already been registered for scheme ${q}`);this.B.set(q,W);const O=this.t.transformOutgoingScheme(q),J=this.z++;return this.o.$registerCanonicalUriProvider(J,O),(0,R.$ib)(()=>{this.B.delete(q),this.o.$unregisterCanonicalUriProvider(J)})}async provideCanonicalUri(q,W,O){const J=this.B.get(q.scheme);if(!J)return;const z=await J.provideCanonicalUri?.(D.URI.revive(q),W,O);if(z)return z}async $provideCanonicalUri(q,W,O){return this.provideCanonicalUri(D.URI.revive(q),{targetScheme:W},O)}};e.$30b=P=He([We(0,E.$aL),We(1,f.$qL),We(2,p.$Q0b),We(3,i.$Ni),We(4,s.$10b)],P),e.$40b=(0,w.$lh)("IExtHostWorkspace");function N(U){let q,W;return U&&(typeof U=="string"?q=U:(q=U.pattern,W=D.URI.revive(U.baseUri))),{includePattern:q,folder:W}}}),define(De[38],Ce([1,0,24,3,37,6,7,230,129,12,17,5,20,18,2]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$70b=e.$60b=e.$50b=void 0;function w(o,s){if(s){const t=s.split(".");let u=o;for(let $=0;u&&$<t.length;$++)u=u[t[$]];return u}}function i(o){return o instanceof C.URI}function l(o){return o&&o.uri instanceof C.URI&&o.languageId&&typeof o.languageId=="string"}function a(o){return o&&!o.uri&&o.languageId&&typeof o.languageId=="string"}function p(o){return o&&o.uri instanceof C.URI&&(!o.name||typeof o.name=="string")&&(!o.index||typeof o.index=="number")}function f(o){if(i(o))return{resource:o};if(l(o))return{resource:o.uri,overrideIdentifier:o.languageId};if(a(o))return{overrideIdentifier:o.languageId};if(p(o))return{resource:o.uri};if(o===null)return{resource:null}}let E=e.$50b=class{constructor(s,t,u){this.a=s.getProxy(F.$$I.MainThreadConfiguration),this.c=t,this.b=u,this.d=new L.$qg,this.e=null}getConfigProvider(){return this.d.wait().then(s=>this.e)}$initializeConfiguration(s){this.e=new n(this.a,this.c,s,this.b),this.d.open()}$acceptConfigurationChanged(s,t){this.getConfigProvider().then(u=>u.$acceptConfigurationChanged(s,t))}};e.$50b=E=He([We(0,v.$aL),We(1,h.$40b),We(2,D.$Ni)],E);class n{constructor(s,t,u,$){this.a=new A.$5c,this.b=s,this.f=$,this.c=t,this.e=g.$bn.parse(u),this.d=this.k(u.configurationScopes)}get onDidChangeConfiguration(){return this.a&&this.a.event}$acceptConfigurationChanged(s,t){const u={data:this.e.toData(),workspace:this.c.workspace};this.e=g.$bn.parse(s),this.d=this.k(s.configurationScopes),this.a.fire(this.j(t,u))}getConfiguration(s,t,u){const $=f(t)||{},d=this.g(s?w(this.e.getValue(void 0,$,this.c.workspace),s):this.e.getValue(void 0,$,this.c.workspace));s&&this.h(s,$,u?.identifier);function S(c){if(c==null)return null;if(typeof c=="boolean")return c?2:5;switch(c){case R.ConfigurationTarget.Global:return 2;case R.ConfigurationTarget.Workspace:return 5;case R.ConfigurationTarget.WorkspaceFolder:return 6}}const y={has(c){return typeof w(d,c)<"u"},get:(c,r)=>{this.h(s?`${s}.${c}`:c,$,u?.identifier);let P=w(d,c);if(typeof P>"u")P=r;else{let N;const U=(q,W)=>{if((0,m.$ie)(q)){let O;const J=()=>{N=N||(0,b.$Dm)(d),O=O||w(N,W)};return new Proxy(q,{get:(z,j)=>{if(typeof j=="string"&&j.toLowerCase()==="tojson")return J(),()=>O;if(N)return O=O||w(N,W),O[j];const he=z[j];return typeof j=="string"?U(he,`${W}.${j}`):he},set:(z,j,he)=>(J(),O&&(O[j]=he),!0),deleteProperty:(z,j)=>(J(),O&&delete O[j],!0),defineProperty:(z,j,he)=>(J(),O&&Object.defineProperty(O,j,he),!0)})}return Array.isArray(q)?(0,b.$Dm)(q):q};P=U(P,c)}return P},update:(c,r,P,N)=>{c=s?`${s}.${c}`:c;const U=S(P);return r!==void 0?this.b.$updateConfigurationOption(U,c,r,$,N):this.b.$removeConfigurationOption(U,c,$,N)},inspect:c=>{c=s?`${s}.${c}`:c;const r=this.e.inspect(c,$,this.c.workspace);if(r)return{key:c,defaultValue:(0,b.$Dm)(r.policy?.value??r.default?.value),globalValue:(0,b.$Dm)(r.user?.value??r.application?.value),workspaceValue:(0,b.$Dm)(r.workspace?.value),workspaceFolderValue:(0,b.$Dm)(r.workspaceFolder?.value),defaultLanguageValue:(0,b.$Dm)(r.default?.override),globalLanguageValue:(0,b.$Dm)(r.user?.override??r.application?.override),workspaceLanguageValue:(0,b.$Dm)(r.workspace?.override),workspaceFolderLanguageValue:(0,b.$Dm)(r.workspaceFolder?.override),languageIds:(0,b.$Dm)(r.overrideIdentifiers)}}};return typeof d=="object"&&(0,b.$Gm)(y,d,!1),Object.freeze(y)}g(s){const t=u=>(0,m.$ie)(u)?new Proxy(u,{get:($,d)=>t($[d]),set:($,d,S)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(d)}' of object`)},deleteProperty:($,d)=>{throw new Error(`TypeError: Cannot delete read only property '${String(d)}' of object`)},defineProperty:($,d)=>{throw new Error(`TypeError: Cannot define property '${String(d)}' for a readonly object`)},setPrototypeOf:$=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):u;return t(s)}h(s,t,u){const $=k.$5m.test(s)?4:this.d.get(s),d=u?`[${u.value}] `:"";if($===4){typeof t?.resource>"u"&&this.f.warn(`${d}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${s}', provide the URI of a resource or 'null' for any resource.`);return}if($===3){t?.resource&&this.f.warn(`${d}Accessing a window scoped configuration for a resource is not expected. To associate '${s}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}j(s,t){const u=new g.$dn(s,t,this.e,this.c.workspace);return Object.freeze({affectsConfiguration:($,d)=>u.affectsConfiguration($,f(d))})}k(s){return s.reduce((t,u)=>(t.set(u[0],u[1]),t),new Map)}}e.$60b=n,e.$70b=(0,I.$lh)("IExtHostConfiguration")});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[87],Ce([1,0,2,17,3,6,7,37,62,38,21,43,20,26,5,16,10,18,83,272,8]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$5$b=e.$4$b=e.$3$b=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=void 0;var n;(function(q){function W(J){if(J!=null)return J}q.from=W;function O(J){if(J!=null)return J}q.to=O})(n||(n={}));var o;(function(q){function W(J){if(J!=null)return J}q.from=W;function O(J){if(J!=null)return J}q.to=O})(o||(o={}));var s;(function(q){function W(J){if(J!=null)return J}q.from=W;function O(J){if(J!=null)return J}q.to=O})(s||(s={}));var t;(function(q){function W(z){if(z){const j=z;return j&&!!j.process}else return!1}q.is=W;function O(z){if(z==null)return;const j={process:z.process,args:z.args};return z.options&&(j.options=s.from(z.options)),j}q.from=O;function J(z){if(z!=null)return new R.$VJ(z.process,z.args,z.options)}q.to=J})(t||(t={}));var u;(function(q){function W(J){if(J!=null)return J}q.from=W;function O(J){if(J!=null)return J}q.to=O})(u||(u={}));var $;(function(q){function W(z){if(z){const j=z;return j&&(!!j.commandLine||!!j.command)}else return!1}q.is=W;function O(z){if(z==null)return;const j={};return z.commandLine!==void 0?j.commandLine=z.commandLine:(j.command=z.command,j.args=z.args),z.options&&(j.options=u.from(z.options)),j}q.from=O;function J(z){if(!(z==null||z.command===void 0&&z.commandLine===void 0))return z.commandLine?new R.$WJ(z.commandLine,z.options):new R.$WJ(z.command,z.args?z.args:[],z.options)}q.to=J})($||($={}));var d;(function(q){function W(z){if(z){const j=z;return j&&j.customExecution==="customExecution"}else return!1}q.is=W;function O(z){return{customExecution:"customExecution"}}q.from=O;function J(z,j){return j.get(z)}q.to=J})(d||(e.CustomExecutionDTO=d={}));var S;(function(q){function W(O,J){let z;return O.scope!==void 0&&typeof O.scope!="number"?z=O.scope.uri:O.scope!==void 0&&typeof O.scope=="number"&&(O.scope===R.TaskScope.Workspace&&J&&J.workspaceFile?z=J.workspaceFile:z=p.$tF),{id:O._id,workspaceFolder:z}}q.from=W})(S||(e.TaskHandleDTO=S={}));var y;(function(q){function W(O){if(O!=null)return{_id:O.id,isDefault:O.isDefault}}q.from=W})(y||(y={}));var c;(function(q){function W(z,j){if(z==null)return[];const he=[];for(const ie of z){const ne=O(ie,j);ne&&he.push(ne)}return he}q.fromMany=W;function O(z,j){if(z==null)return;let he;z.execution instanceof R.$VJ?he=t.from(z.execution):z.execution instanceof R.$WJ?he=$.from(z.execution):z.execution&&z.execution instanceof R.$XJ&&(he=d.from(z.execution));const ie=n.from(z.definition);let ne;return z.scope?typeof z.scope=="number"?ne=z.scope:ne=z.scope.uri:ne=R.TaskScope.Workspace,!ie||!ne?void 0:{_id:z._id,definition:ie,name:z.name,source:{extensionId:j.identifier.value,label:z.source,scope:ne},execution:he,isBackground:z.isBackground,group:y.from(z.group),presentationOptions:o.from(z.presentationOptions),problemMatchers:z.problemMatchers,hasDefinedMatchers:z.hasDefinedMatchers,runOptions:z.runOptions?z.runOptions:{reevaluateOnRerun:!0},detail:z.detail}}q.from=O;async function J(z,j,he){if(z==null)return;let ie;t.is(z.execution)?ie=t.to(z.execution):$.is(z.execution)?ie=$.to(z.execution):d.is(z.execution)&&(ie=d.to(z._id,he));const ne=n.to(z.definition);let V;if(z.source&&(z.source.scope!==void 0?typeof z.source.scope=="number"?V=z.source.scope:V=await j.resolveWorkspaceFolder(b.URI.revive(z.source.scope)):V=R.TaskScope.Workspace),!ne||!V)return;const H=new R.$YJ(ne,V,z.name,z.source.label,ie,z.problemMatchers);return z.isBackground!==void 0&&(H.isBackground=z.isBackground),z.group!==void 0&&(H.group=R.$UJ.from(z.group._id),H.group&&z.group.isDefault&&(H.group=new R.$UJ(H.group.id,H.group.label),z.group.isDefault===!0&&(H.group.isDefault=z.group.isDefault))),z.presentationOptions&&(H.presentationOptions=o.to(z.presentationOptions)),z._id&&(H._id=z._id),z.detail&&(H.detail=z.detail),H}q.to=J})(c||(e.TaskDTO=c={}));var r;(function(q){function W(J){return J}q.from=W;function O(J){if(J)return Object.assign(Object.create(null),J)}q.to=O})(r||(r={}));class P{constructor(W,O,J){this._id=O,this.a=J,E.set(this,void 0),Xe(this,E,W,"f")}get task(){return this.a}terminate(){Te(this,E,"f").terminateTask(this)}fireDidStartProcess(W){}fireDidEndProcess(W){}}E=new WeakMap;let N=e.$3$b=class{constructor(W,O,J,z,j,he,ie,ne){this.q=new h.$5c,this.r=new h.$5c,this.s=new h.$5c,this.t=new h.$5c,this.a=W.getProxy(F.$$I.MainThreadTask),this.b=J,this.c=z,this.d=j,this.e=he,this.h=0,this.j=new Map,this.k=new Map,this.l=new Map,this.m=new Map,this.n=new Set,this.o=new Map,this.f=ie,this.g=ne,this.a.$registerSupportedExecutions(!0)}registerTaskProvider(W,O,J){if(!J)return new R.$aJ(()=>{});const z=this.w();return this.j.set(z,{type:O,provider:J,extension:W}),this.a.$registerTaskProvider(z,O),new R.$aJ(()=>{this.j.delete(z),this.a.$unregisterTaskProvider(z)})}registerTaskSystem(W,O){this.a.$registerTaskSystem(W,O)}fetchTasks(W){return this.a.$fetchTasks(r.from(W)).then(async O=>{const J=[];for(const z of O){const j=await c.to(z,this.b,this.m);j&&J.push(j)}return J})}get taskExecutions(){const W=[];return this.k.forEach(O=>W.push(O)),W}terminateTask(W){if(!(W instanceof P))throw new Error("No valid task execution provided");return this.a.$terminateTask(W._id)}get onDidStartTask(){return this.q.event}async $onDidStartTask(W,O,J){const z=this.m.get(W.id);z&&(this.o.set(W.id,z),this.e.attachPtyToTerminal(O,await z.callback(J))),this.p=W.id,this.q.fire({execution:await this.y(W)})}get onDidEndTask(){return this.r.event}async $OnDidEndTask(W){const O=await this.y(W);this.l.delete(W.id),this.k.delete(W.id),this.A(W),this.r.fire({execution:O})}get onDidStartTaskProcess(){return this.s.event}async $onDidStartTaskProcess(W){const O=await this.y(W.id);this.s.fire({execution:O,processId:W.processId})}get onDidEndTaskProcess(){return this.t.event}async $onDidEndTaskProcess(W){const O=await this.y(W.id);this.t.fire({execution:O,exitCode:W.exitCode})}$provideTasks(W,O){const J=this.j.get(W);if(!J)return Promise.reject(new Error("no handler found"));const z=[],j=(0,A.$kg)(()=>J.provider.provideTasks(L.CancellationToken.None)).then(he=>this.u(O,z,J,he));return new Promise(he=>{j.then(ie=>{Promise.all(z).then(()=>{he(ie)})})})}async $resolveTask(W,O){const J=this.j.get(W);if(!J)return Promise.reject(new Error("no handler found"));if(O.definition.type!==J.type)throw new Error(`Unexpected: Task of type [${O.definition.type}] cannot be resolved by provider of type [${J.type}].`);const z=await c.to(O,this.b,this.m);if(!z)throw new Error("Unexpected: Task cannot be resolved.");const j=await J.provider.resolveTask(z,L.CancellationToken.None);if(!j)return;this.z(j,J);const he=c.from(j,J.extension);if(!he)throw new Error("Unexpected: Task cannot be resolved.");if(j.definition!==z.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return d.is(he.execution)&&await this.x(he,j,!0),await this.v(he)}w(){return this.h++}async x(W,O,J){const z=await this.a.$createTaskId(W);!J&&!this.m.has(z)&&(this.n.add(z),this.o.set(z,O.execution)),this.m.set(z,O.execution)}async y(W,O){if(typeof W=="string"){const j=this.l.get(W);if(!j)throw new f.$_("Unexpected: The specified task is missing an execution");return j}const J=this.l.get(W.id);if(J)return J;const z=new Promise((j,he)=>{function ie(ne,V,H){H?j(new P(ne,V.id,H)):he("Unexpected: Task does not exist.")}O?ie(this,W,O):c.to(W.task,this.b,this.m).then(ne=>ie(this,W,ne))});return this.l.set(W.id,z),z.then(j=>(this.k.set(W.id,j),j),j=>Promise.reject(j))}z(W,O){W._deprecated&&this.g.report("Task.constructor",O.extension,"Use the Task constructor that takes a `scope` instead.")}A(W){this.o.get(W.id)&&this.o.delete(W.id),this.n.has(W.id)&&this.p!==W.id&&(this.m.delete(W.id),this.n.delete(W.id));const J=this.n.values();let z=J.next();for(;!z.done;)!this.o.has(z.value)&&this.p!==z.value&&(this.m.delete(z.value),this.n.delete(z.value)),z=J.next()}};e.$3$b=N=He([We(0,v.$aL),We(1,D.$qL),We(2,g.$40b),We(3,k.$lL),We(4,m.$70b),We(5,I.$m$b),We(6,l.$Ni),We(7,a.$T0b)],N);let U=e.$4$b=class extends N{constructor(W,O,J,z,j,he,ie,ne){super(W,O,J,z,j,he,ie,ne),this.registerTaskSystem(w.Schemas.vscodeRemote,{scheme:w.Schemas.vscodeRemote,authority:"",platform:i.$h(0)})}async executeTask(W,O){if(!O.execution)throw new Error("Tasks to execute must include an execution");const J=c.from(O,W);if(J===void 0)throw new Error("Task is not valid");if(d.is(J.execution))await this.x(J,O,!1);else throw new f.$0;const z=await this.y(await this.a.$getTaskExecution(J),O);return this.a.$executeTask(J).catch(j=>{throw new Error(j)}),z}u(W,O,J,z){const j=[];if(z)for(const he of z){this.z(he,J),(!he.definition||!W[he.definition.type])&&this.f.warn(`The task [${he.source}, ${he.name}] uses an undefined task type. The task will be ignored in the future.`);const ie=c.from(he,J.extension);ie&&d.is(ie.execution)?(j.push(ie),O.push(this.x(ie,he,!0))):this.f.warn("Only custom execution tasks supported.")}return{tasks:j,extension:J.extension}}async v(W){if(d.is(W.execution))return W;this.f.warn("Only custom execution tasks supported.")}async $resolveVariables(W,O){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(W,O,J){}};e.$4$b=U=He([We(0,v.$aL),We(1,D.$qL),We(2,g.$40b),We(3,k.$lL),We(4,m.$70b),We(5,I.$m$b),We(6,l.$Ni),We(7,a.$T0b)],U),e.$5$b=(0,C.$lh)("IExtHostTask")}),define(De[323],Ce([1,0,11,21,45,33,23,39,34]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$c_b=void 0;class m{constructor(v,D,C){this.k=v,this.l=D,this.o=C,this.e=!1,this.f=0,this.g=!1,this.a=v.filePattern,this.b=v.includePattern&&F.$aj(v.includePattern),this.c=v.maxResults||void 0,this.d=v.exists,this.h=new Set,this.j=v.excludePattern&&F.$aj(v.excludePattern)}cancel(){this.g=!0,this.h.forEach(v=>v.cancel()),this.h=new Set}search(v){const D=this.k.folderQueries||[];return new Promise((C,w)=>{const i=l=>{this.f++,v(l)};if(this.g)return C({limitHit:this.e});this.k.extraFileResources&&this.k.extraFileResources.forEach(l=>{const a=l.toString(),p=b.$cc(a);this.j&&this.j(a,p)||this.v(i,{base:l,basename:p})}),Promise.all(D.map(l=>this.p(l,i))).then(l=>{C({limitHit:this.e,stats:l[0]||void 0})},l=>{w(new Error((0,h.$9h)(l)))})})}async p(v,D){const C=new A.$bd,w=this.q(v),i=this.r(),l=new k.$OH(this.k,v),a=!l.hasSiblingExcludeClauses();let p;try{this.h.add(C),p=g.$1c.create();const f=await this.l.provideFileSearchResults({pattern:this.k.filePattern||""},w,C.token),E=p.elapsed(),n=g.$1c.create();return this.g&&!this.e||(f&&f.forEach(o=>{const s=b.$8b.relative(v.folder.path,o.path);if(a){const t=b.$cc(o.path);this.v(D,{base:v.folder,relativePath:s,basename:t});return}this.s(i,v.folder,s,D)}),this.g&&!this.e)?null:(this.u(i,l,D),{providerTime:E,postProcessTime:n.elapsed()})}finally{C.dispose(),this.h.delete(C)}}q(v){const D=(0,k.$NH)(this.k.includePattern,v.includePattern),C=(0,k.$NH)(this.k.excludePattern,v.excludePattern);return{folder:v.folder,excludes:C,includes:D,useIgnoreFiles:!v.disregardIgnoreFiles,useGlobalIgnoreFiles:!v.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!v.disregardParentIgnoreFiles,followSymlinks:!v.ignoreSymlinks,maxResults:this.k.maxResults,session:this.o}}r(){const v={rootEntries:[],pathToEntries:Object.create(null)};return v.pathToEntries["."]=v.rootEntries,v}s({pathToEntries:v},D,C,w){if(C===this.a){const l=b.$cc(this.a);this.v(w,{base:D,relativePath:this.a,basename:l})}function i(l){const a=b.$cc(l),p=b.$bc(l);let f=v[p];f||(f=v[p]=[],i(p)),f.push({base:D,relativePath:l,basename:a})}i(C)}u({rootEntries:v,pathToEntries:D},C,w){const i=this,l=this.a;function a(p){const f=(0,k.$QH)(()=>p.map(E=>E.basename));for(let E=0,n=p.length;E<n;E++){const o=p[E],{relativePath:s,basename:t}=o;if(C.matchesExcludesSync(s,t,l!==t?f:void 0))continue;const u=D[s];if(u)a(u);else{if(s===l)continue;i.v(w,o)}if(i.e)break}}a(v)}v(v,D){(!this.b||D.relativePath&&this.b(D.relativePath,D.basename))&&((this.d||this.c&&this.f>=this.c)&&(this.e=!0,this.cancel()),this.e||v(D))}}class L{constructor(){this.b=new Map}fileSearch(v,D,C,w){const i=this.c(v.cacheKey),l=new m(v,D,i&&i.token);let a=0;const p=f=>{a+=f.length,C(f.map(E=>this.d(E)))};return this.e(l,L.a,p,w).then(f=>({limitHit:f.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:a,detailStats:f.stats}}))}clearCache(v){this.c(v)?.cancel()}c(v){if(v)return this.b.has(v)||this.b.set(v,new A.$bd),this.b.get(v)}d(v){return v.relativePath?{resource:R.$6f(v.base,v.relativePath)}:{resource:v.base}}e(v,D,C,w){w.onCancellationRequested(()=>{v.cancel()});const i=a=>{a&&(l.push(a),D>0&&l.length>=D&&(C(l),l=[]))};let l=[];return v.search(i).then(a=>(l.length&&C(l),a),a=>(l.length&&C(l),Promise.reject(a)))}}e.$c_b=L,L.a=512}),define(De[324],Ce([1,0,19,65,33,120,28,16,11,23,9,12,2,163,210,57,18,50,137,322,34]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$PI=e.$OI=void 0;let E=e.$OI=class{constructor(c,r,P,N,U){this.a=c,this.b=r,this.c=P,this.d=N,this.e=U}text(c,r,P={}){c=this.f(c,P);const N=this.a.getValue(),U=r&&r.some(W=>!this.a.getValue({resource:W}).search.useRipgrep);return{...this.h(r?.map(l.$Gh),P),type:2,contentPattern:c,previewOptions:P.previewOptions,maxFileSize:P.maxFileSize,usePCRE2:N.search.usePCRE2||U||!1,beforeContext:P.beforeContext,afterContext:P.afterContext,userDisabledExcludesAndIgnoreFiles:P.disregardExcludeSettings&&P.disregardIgnoreFiles}}f(c,r){const P=this.a.getValue();c.isRegExp&&(c.pattern=c.pattern.replace(/\r?\n/g,"\\n"));const N={...c,wordSeparators:P.editor.wordSeparators};return this.j(c,r)&&(N.isCaseSensitive=!0),this.k(c)&&(N.isMultiline=!0),r.notebookSearchConfig?.includeMarkupInput&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookMarkdownInput=r.notebookSearchConfig.includeMarkupInput),r.notebookSearchConfig?.includeMarkupPreview&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookMarkdownPreview=r.notebookSearchConfig.includeMarkupPreview),r.notebookSearchConfig?.includeCodeInput&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookCellInput=r.notebookSearchConfig.includeCodeInput),r.notebookSearchConfig?.includeOutput&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookCellOutput=r.notebookSearchConfig.includeOutput),N}file(c,r={}){return{...this.h(c,r),type:1,filePattern:r.filePattern?r.filePattern.trim():r.filePattern,exists:r.exists,sortByScore:r.sortByScore,cacheKey:r.cacheKey}}g(c,r){return c?(c=Array.isArray(c)?c.map(u):u(c),r?this.parseSearchPaths(c):{pattern:o(...Array.isArray(c)?c:[c])}):{}}h(c=[],r={}){const P=this.g(r.includePattern,r.expandPatterns),N=this.g(r.excludePattern,r.expandPatterns),U=c.length>1,q=(P.searchPaths&&P.searchPaths.length?P.searchPaths.map(J=>this.q(J,r,N)):c.map(J=>this.r(J,r,N,U))).filter(J=>!!J),W={_reason:r._reason,folderQueries:q,usingSearchPaths:!!(P.searchPaths&&P.searchPaths.length),extraFileResources:r.extraFileResources,excludePattern:N.pattern,includePattern:P.pattern,onlyOpenEditors:r.onlyOpenEditors,maxResults:r.maxResults};if(r.onlyOpenEditors){const J=b.$jf(b.$vf(this.c.groups.map(he=>he.editors.map(ie=>ie.resource))));this.d.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(J));const z=J.filter(he=>(0,f.$EH)(W,he.fsPath)),j=this.i(z);return this.d.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(j)),{...W,...j}}const O=r.extraFileResources&&r.extraFileResources.filter(J=>(0,f.$EH)(W,J.fsPath));return W.extraFileResources=O&&O.length?O:void 0,W}i(c){const r=[],P=new R.$ji,N={};let U=!1;return c.forEach(q=>{if(q.scheme===g.Schemas.walkThrough)return;if((0,m.$0f)(q)){const O=this.b.getWorkspaceFolder(q)?.uri??q.with({path:k.$bc(q.fsPath)});let J=P.get(O);J||(U=!0,J={folder:O,includePattern:{}},r.push(J),P.set(O,J));const z=k.$ac(O.fsPath,q.fsPath);(0,I.$re)(J.includePattern)[z.replace(/\\/g,"/")]=!0}else q.fsPath&&(U=!0,N[q.fsPath]=!0)}),{folderQueries:r,includePattern:N,usingSearchPaths:!0,excludePattern:U?void 0:{"**/*":!0}}}j(c,r){if(r.isSmartCase){if(c.isRegExp){if(L.$0d(c.pattern,!0))return!0}else if(L.$0d(c.pattern))return!0}return!!c.isCaseSensitive}k(c){return c.isMultiline||c.isRegExp&&(0,D.$FB)(c.pattern)||c.pattern.indexOf(`
`)>=0?!0:!!c.isMultiline}parseSearchPaths(c){const r=j=>k.$0b(j)||/^\.\.?([\/\\]|$)/.test(j),N=(Array.isArray(c)?c:s(c)).map(j=>{const he=this.e.resolvedUserHome;return he?(0,F.$Qz)(j,he.scheme===g.Schemas.file?he.fsPath:he.path):j}),U=A.$I(N,j=>r(j)?"searchPaths":"exprSegments"),q=(U.exprSegments||[]).map(j=>L.$qd(j,"/")).map(j=>L.$qd(j,"\\")).map(j=>(j[0]==="."&&(j="*"+j),t(j))),W={},O=this.m(U.searchPaths||[]);O&&O.length&&(W.searchPaths=O);const J=b.$vf(q),z=o(...J);return z&&(W.pattern=z),W}l(c,r){return r.disregardExcludeSettings?void 0:(0,f.$DH)(c,!r.disregardSearchExcludeSettings)}m(c){if(!c||!c.length)return[];const r=c.flatMap(N=>{let{pathPortion:U,globPortion:q}=n(N);return q&&(q=$(q)),this.n(U).flatMap(O=>this.o(O,q))}),P=new Map;return r.forEach(N=>{const U=N.searchPath.toString(),q=P.get(U);q?N.pattern&&(q.pattern=q.pattern||{},q.pattern[N.pattern]=!0):P.set(U,{searchPath:N.searchPath,pattern:N.pattern?o(N.pattern):void 0})}),Array.from(P.values())}n(c){if(k.$0b(c)){const r=this.b.getWorkspace().folders;return r[0]&&r[0].uri.scheme!==g.Schemas.file?[{searchPath:r[0].uri.with({path:c})}]:[{searchPath:v.URI.file(k.$9b(c))}]}if(this.b.getWorkbenchState()===2){const r=this.b.getWorkspace().folders[0].uri;if(c=u(c),c.startsWith("../")||c===".."){const N=k.$8b.resolve(r.path,c);return[{searchPath:r.with({path:N})}]}const P=$(c);return[{searchPath:r,pattern:P}]}else{if(c==="./"||c===".\\")return[];{const r=c.replace(/^\.[\/\\]/,""),N=this.b.getWorkspace().folders.map(U=>{const q=r.match(new RegExp(`^${L.$ld(U.name)}(?:/(.*)|$)`));return q?{match:q,folder:U}:null}).filter(I.$oe);if(N.length)return N.map(U=>{const q=U.match[1];return{searchPath:U.folder.uri,pattern:q&&$(q)}});{const U=c.match(/\.[\/\\](.+)[\/\\]?/),q=U?U[1]:c,W=C.localize(0,null,q);throw new Error(W)}}}}o(c,r){const P=c.pattern&&r?`${c.pattern}/${r}`:c.pattern||r,N=[{searchPath:c.searchPath,pattern:P}];return P&&!P.endsWith("**")&&N.push({searchPath:c.searchPath,pattern:P+"/**"}),N}q(c,r,P){const N=this.r((0,l.$Gh)(c.searchPath),r,P,!1);return N?{...N,includePattern:c.pattern}:null}r(c,r,P,N){let U;const q=v.URI.isUri(c)?c:c.uri;if(P.searchPaths){const j=P.searchPaths.filter(he=>(0,m.$Yf)(he.searchPath,q))[0];if(j&&!j.pattern)return null;j&&(U=j.pattern)}const W=this.a.getValue({resource:q}),J={...this.l(W,r)||{},...U||{}},z=v.URI.isUri(c)?(0,m.$3f)(c):c.name;return{folder:q,folderName:N?z:void 0,excludePattern:Object.keys(J).length>0?J:void 0,fileEncoding:W.files&&W.files.encoding,disregardIgnoreFiles:typeof r.disregardIgnoreFiles=="boolean"?r.disregardIgnoreFiles:!W.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof r.disregardGlobalIgnoreFiles=="boolean"?r.disregardGlobalIgnoreFiles:!W.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof r.disregardParentIgnoreFiles=="boolean"?r.disregardParentIgnoreFiles:!W.search.useParentIgnoreFiles,ignoreSymlinks:typeof r.ignoreSymlinks=="boolean"?r.ignoreSymlinks:!W.search.followSymlinks}}};e.$OI=E=He([We(0,w.$Rh),We(1,l.$uh),We(2,a.$qC),We(3,i.$Ni),We(4,p.$MI)],E);function n(y){const c=y.match(/[\*\{\}\(\)\[\]\?]/);if(c){const r=c.index,P=y.substr(0,r).match(/[/|\\][^/\\]*$/);if(P){let N=y.substr(0,P.index);return N.match(/[/\\]/)||(N+="/"),{pathPortion:N,globPortion:y.substr((P.index||0)+1)}}}return{pathPortion:y}}function o(...y){return y.length?y.reduce((c,r)=>(c[r]=!0,c),Object.create(null)):void 0}function s(y){return h.$$i(y,",").map(c=>c.trim()).filter(c=>!!c.length)}function t(y){return[`**/${y}/**`,`**/${y}`].map(r=>r.replace(/\*\*\/\*\*/g,"**"))}function u(y){return y.replace(/\\/g,"/")}function $(y){return u(y).replace(/^\.\//,"").replace(/\/+$/g,"")}function d(y){return y.replace(/([?*[\]])/g,"[$1]")}function S(y,c){y=b.$of(y,N=>N.toString());const r=[],P=c.getWorkspace();return y&&y.forEach(N=>{let U;if(c.getWorkbenchState()===2)U=(0,m.$8f)(P.folders[0].uri,N),U&&U!=="."&&(U="./"+U);else{const q=c.getWorkspaceFolder(N);if(q){const W=q.name;if(P.folders.filter(J=>J.name===W).length===1){const J=(0,m.$8f)(q.uri,N);J===""?U=`./${q.name}`:U=`./${q.name}/${J}`}else U=N.fsPath}}U&&r.push(d(U))}),r}e.$PI=S}),define(De[325],Ce([1,0,23,2,21,8,5,324,34,50]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sib=e.$rib=void 0;const L=7e3;function I(w,i){const l=i.activationEvents;if(!l)return Promise.resolve(void 0);const a=[],p=[];for(const t of l)if(/^workspaceContains:/.test(t)){const u=t.substr(18);u.indexOf("*")>=0||u.indexOf("?")>=0||w.forceUsingSearch?p.push(u):a.push(u)}if(a.length===0&&p.length===0)return Promise.resolve(void 0);let f;const E=new Promise((t,u)=>{f=t}),n=t=>f({activationEvent:t}),o=Promise.all(a.map(t=>v(w,t,n))).then(()=>{}),s=D(w,i.identifier,p,n);return Promise.all([o,s]).then(()=>{f(void 0)}),E}e.$rib=I;async function v(w,i,l){for(const a of w.folders)if(await w.exists(b.$6f(A.URI.revive(a),i))){l(`workspaceContains:${i}`);return}}async function D(w,i,l,a){if(l.length===0)return Promise.resolve(void 0);const p=new h.$bd,f=w.checkExists(w.folders,l,p.token),E=setTimeout(async()=>{p.cancel(),w.logService.info(`Not activating extension '${i.value}': Timed out while searching for 'workspaceContains' pattern ${l.join(",")}`)},L);let n=!1;try{n=await f}catch(o){F.$1(o)||F.$X(o)}p.dispose(),clearTimeout(E),n&&a(`workspaceContains:${l.join(",")}`)}function C(w,i,l,a){const p=w.get(R.$kh),f=w.get(k.$vH),n=p.createInstance(g.$OI).file(i.map(o=>(0,m.$Gh)(A.URI.revive(o))),{_reason:"checkExists",includePattern:l,exists:!0});return f.fileSearch(n,a).then(o=>!!o.limitHit,o=>F.$1(o)?!1:Promise.reject(o))}e.$sib=C});var Xe=this&&this.__classPrivateFieldSet||function(re,e,b,A,h){if(A==="m")throw new TypeError("Private method is not writable");if(A==="a"&&!h)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?re!==e||!h:!e.has(re))throw new TypeError("Cannot write private member to an object whose class did not declare it");return A==="a"?h.call(re,b):h?h.value=b:e.set(re,b),b},Te=this&&this.__classPrivateFieldGet||function(re,e,b,A){if(b==="a"&&!A)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?re!==e||!A:!e.has(re))throw new TypeError("Cannot read private member from an object whose class did not declare it");return b==="m"?A:b==="a"?A.call(re):A?A.value:e.get(re)};define(De[44],Ce([1,0,190,11,88,23,17,4,71,2,18,6,38,268,109,37,27,141,8,25,22,242,7,130,5,26,84,20,99,58,43,3,325,108,244,16,106,39,10,107]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n,o,s,t,u,$,d,S,y,c,r,P,N,U,q,W,O,J){"use strict";var z,j,he;Object.defineProperty(e,"__esModule",{value:!0}),e.$B$b=e.$A$b=e.$z$b=e.$y$b=e.$x$b=void 0,e.$x$b=(0,s.$lh)("IHostUtils");let ie=e.$y$b=class Tn extends g.$kb{constructor(M,Q,ve,Se,ee,te,ue,Z,le,se,oe,T){super(),this.R=T,this.a=this.B(new c.$5c),this.onDidChangeRemoteConnectionData=this.a.event,this.P=!1,this.c=Q,this.g=ve,this.f=ue,this.j=Se,this.k=ee,this.l=te,this.m=le,this.p=se,this.s=oe,this.t=this.g.getProxy(I.$$I.MainThreadWorkspace),this.u=this.g.getProxy(I.$$I.MainThreadTelemetry),this.v=this.g.getProxy(I.$$I.MainThreadExtensionService),this.w=new R.$qg,this.y=new R.$qg,this.z=new R.$qg,this.C=new R.$qg,this.D=new ye(this.f.activationEvents),this.G=new l.$pZb(this.D,this.f.allExtensions);const K=new p.$El(this.f.myExtensions);this.F=new l.$pZb(this.D,ce(this.G,K)),this.H=new C.$e$b(this.g,this.l),this.I=new P.$q$b(this.g),this.J=Z,this.h=M.createChild(new d.$jh([C.$f$b,this.H],[P.$r$b,this.I])),this.L=this.B(new D.$d$b(this.F,this.G,{onExtensionActivationError:(X,x,me)=>{this.v.$onExtensionActivationError(X,a.$Z(x),me)},actualActivateExtension:async(X,x)=>{if(l.$pZb.isHostExtension(X,this.F,this.G))return await this.v.$activateExtension(X,x),new D.$c$b;const me=this.F.getExtensionDescription(X);return this.$(me,x)}},this.l)),this.M=null,this.N=Object.create(null),this.O=!1,this.Q=this.f.remote.connectionData}getRemoteConnectionData(){return this.Q}async initialize(){try{await this.pb(),this.w.open(),await this.j.waitForInitializeCall(),h.mark("code/extHost/ready"),this.y.open(),this.f.autoStart&&this.nb()}catch(M){a.$X(M)}}async S(){this.J.onWillDeactivateAll();let M=[];try{M=this.F.getAllExtensionDescriptions().map(ee=>ee.identifier).filter(ee=>this.isActivated(ee)).map(ee=>this.Z(ee))}catch{}await Promise.all(M)}terminate(M,Q=0){if(this.P)return;this.P=!0,this.l.info(`Extension host terminating: ${M}`),this.l.flush(),this.p.dispose(),this.L.dispose(),a.setUnexpectedErrorHandler(Se=>{this.l.error(Se)}),this.g.dispose();const ve=this.S();Promise.race([(0,R.$sg)(5e3),ve]).finally(()=>{this.c.pid?this.l.info(`Extension host with pid ${this.c.pid} exiting with code ${Q}`):this.l.info(`Extension host exiting with code ${Q}`),this.l.flush(),this.l.dispose(),this.c.exit(Q)})}isActivated(M){return this.z.isOpen()?this.L.isActivated(M):!1}async getExtension(M){const Q=await this.v.$getExtension(M);return Q&&{...Q,identifier:new p.$Dl(Q.identifier.value),extensionLocation:m.URI.revive(Q.extensionLocation)}}U(M,Q){return this.L.activateByEvent(M,Q)}W(M,Q){return this.L.activateById(M,Q)}activateByIdWithErrors(M,Q){return this.W(M,Q).then(()=>{const ve=this.L.getActivatedExtension(M);if(ve.activationFailed)return Promise.reject(ve.activationFailedError)})}getExtensionRegistry(){return this.z.wait().then(M=>this.F)}getExtensionExports(M){if(this.z.isOpen())return this.L.getActivatedExtension(M).exports;try{return this.L.getActivatedExtension(M).exports}catch{return null}}async X(M){if(M.scheme!==U.Schemas.file)return M;const Q=await this.c.realpath(M.fsPath);return m.URI.file(Q)}async getExtensionPathIndex(){return this.M||(this.M=this.Y(this.F.getAllExtensionDescriptions()).then(M=>new pe(M))),this.M}async Y(M){const Q=k.$rh.forUris(ve=>F.$Wf.ignorePathCasing(ve));return await Promise.all(M.map(async ve=>{if(this.qb(ve)){const Se=await this.X(ve.extensionLocation);Q.set(Se,ve)}})),Q}Z(M){let Q=Promise.resolve(void 0);if(!this.z.isOpen()||!this.L.isActivated(M))return Q;const ve=this.L.getActivatedExtension(M);if(!ve)return Q;try{typeof ve.module.deactivate=="function"&&(Q=Promise.resolve(ve.module.deactivate()).then(void 0,Se=>(this.l.error(Se),Promise.resolve(void 0))))}catch(Se){this.l.error(`An error occurred when deactivating the extension '${M.value}':`),this.l.error(Se)}try{(0,g.$fb)(ve.subscriptions)}catch(Se){this.l.error(`An error occurred when deactivating the subscriptions for extension '${M.value}':`),this.l.error(Se)}return Q}async $(M,Q){return this.f.remote.isRemote?this.v.$onWillActivateExtension(M.identifier):await this.v.$onWillActivateExtension(M.identifier),this.bb(M,Q).then(ve=>{const Se=ve.activationTimes;return this.v.$onDidActivateExtension(M.identifier,Se.codeLoadingTime,Se.activateCallTime,Se.activateResolvedTime,Q),this.ab(M,Q,"success",Se),ve},ve=>{throw this.ab(M,Q,"failure"),ve})}ab(M,Q,ve,Se){const ee=V(M,Q);this.u.$publicLog2("extensionActivationTimes",{...ee,...Se||{},outcome:ve})}bb(M,Q){const ve=V(M,Q);this.u.$publicLog2("activatePlugin",ve);const Se=this.qb(M);if(!Se)return Promise.resolve(new D.$b$b(D.$$0b.NONE));this.l.info(`ExtensionService#_doActivateExtension ${M.identifier.value}, startup: ${Q.startup}, activationEvent: '${Q.activationEvent}'${M.identifier.value!==Q.extensionId.value?`, root cause: ${Q.extensionId.value}`:""}`),this.l.flush();const ee=new D.$_0b(Q.startup);return Promise.all([this.rb(M,(0,F.$6f)(M.extensionLocation,Se),ee),this.cb(M)]).then(te=>(h.mark(`code/extHost/willActivateExtension/${M.identifier.value}`),Tn.db(this.l,M.identifier,te[0],te[1],ee))).then(te=>(h.mark(`code/extHost/didActivateExtension/${M.identifier.value}`),te))}cb(M){const Q=new E.$h$b(M,this.H),ve=new E.$g$b(M.identifier.value,!1,this.H),Se=new N.$s$b(M,this.I),ee=M.isUnderDevelopment?this.f.environment.extensionTestsLocationURI?n.ExtensionMode.Test:n.ExtensionMode.Development:n.ExtensionMode.Production,te=this.f.remote.isRemote?n.ExtensionKind.Workspace:n.ExtensionKind.UI;return this.l.trace(`ExtensionService#loadExtensionContext ${M.identifier.value}`),Promise.all([Q.whenReady,ve.whenReady,this.J.whenReady]).then(()=>{const ue=this;let Z,le;const se=(0,i.$0E)(M,"ipc")?this.f.messagePorts?.get(p.$Dl.toKey(M.identifier)):void 0;return Object.freeze({globalState:Q,workspaceState:ve,secrets:Se,subscriptions:[],get extensionUri(){return M.extensionLocation},get extensionPath(){return M.extensionLocation.fsPath},asAbsolutePath(oe){return A.$$b(M.extensionLocation.fsPath,oe)},get storagePath(){return ue.J.workspaceValue(M)?.fsPath},get globalStoragePath(){return ue.J.globalValue(M).fsPath},get logPath(){return A.$$b(ue.f.logsLocation.fsPath,M.identifier.value)},get logUri(){return m.URI.joinPath(ue.f.logsLocation,M.identifier.value)},get storageUri(){return ue.J.workspaceValue(M)},get globalStorageUri(){return ue.J.globalValue(M)},get extensionMode(){return ee},get extension(){return Z===void 0&&(Z=new H(ue,M.identifier,M,te,!1)),Z},get extensionRuntime(){return(0,i.$$E)(M,"extensionRuntime"),ue.extensionRuntime},get environmentVariableCollection(){return ue.p.getEnvironmentVariableCollection(M)},get messagePassingProtocol(){if(!le){if(!se)return;const oe=c.Event.buffer(c.Event.fromDOMEventEmitter(se,"message",T=>T.data));se.start(),le={onDidReceiveMessage:oe,postMessage:se.postMessage.bind(se)}}return le}})})}static db(M,Q,ve,Se,ee){return ve=ve||{activate:void 0,deactivate:void 0},this.eb(M,Q,ve,Se,ee).then(te=>new D.$a$b(!1,null,ee.build(),ve,te,Se.subscriptions))}static eb(M,Q,ve,Se,ee){if(typeof ve.activate=="function")try{ee.activateCallStart(),M.trace(`ExtensionService#_callActivateOptional ${Q.value}`);const te=typeof global=="object"?global:self,ue=ve.activate.apply(te,[Se]);return ee.activateCallStop(),ee.activateResolveStart(),Promise.resolve(ue).then(Z=>(ee.activateResolveStop(),Z))}catch(te){return Promise.reject(te)}else return Promise.resolve(ve)}fb(M,Q){this.W(M.identifier,{startup:!1,extensionId:M.identifier,activationEvent:Q}).then(void 0,ve=>{this.l.error(ve)})}gb(M,Q=0){const Se=Date.now();(0,O.$A)(()=>{for(let ee=Q;ee<M.length;ee+=1){const te=M[ee];for(const ue of te.activationEvents??[])if(ue==="onStartupFinished")if(Date.now()-Se>50){this.gb(M,ee);break}else this.fb(te,ue)}})}hb(){this.v.$setPerformanceMarks(h.getMarks()),this.k.getConfigProvider().then(M=>{const Q=M.getConfiguration("extensions.experimental").get("deferredStartupFinishedActivation"),ve=this.F.getAllExtensionDescriptions();if(Q)this.gb(ve);else for(const Se of ve)if(Se.activationEvents)for(const ee of Se.activationEvents)ee==="onStartupFinished"&&this.fb(Se,ee)})}ib(){const M=this.U("*",!0).then(void 0,te=>{this.l.error(te)});this.B(this.j.onDidChangeWorkspace(te=>this.jb(te.added)));const Q=this.j.workspace?this.j.workspace.folders:[],ve=this.jb(Q),Se=this.lb(),ee=Promise.all([Se,M,ve]).then(()=>{});return Promise.race([ee,(0,R.$sg)(1e4)]).then(()=>{this.hb()}),ee}jb(M){return M.length===0?Promise.resolve(void 0):Promise.all(this.F.getAllExtensionDescriptions().map(Q=>this.kb(M,Q))).then(()=>{})}async kb(M,Q){if(this.isActivated(Q.identifier))return;const ve=!this.f.remote.isRemote&&!!this.f.remote.authority,Se={logService:this.l,folders:M.map(te=>te.uri),forceUsingSearch:ve,exists:te=>this.c.exists(te.fsPath),checkExists:(te,ue,Z)=>this.t.$checkExists(te,ue,Z)},ee=await(0,r.$rib)(Se,Q);if(ee)return this.W(Q.identifier,{startup:!0,extensionId:Q.identifier,activationEvent:ee.activationEvent}).then(void 0,te=>this.l.error(te))}async lb(){if(this.f.remote.authority)return this.U(`onResolveRemoteAuthority:${this.f.remote.authority}`,!1)}async $extensionTestsExecute(){await this.C.wait();try{return await this.mb()}catch(M){throw console.error(M),M}}async mb(){const{extensionDevelopmentLocationURI:M,extensionTestsLocationURI:Q}=this.f.environment;if(!M||!Q)throw new Error(b.localize(0,null));const ve=await this.rb(null,Q,new D.$_0b(!1));if(!ve||typeof ve.run!="function")throw new Error(b.localize(1,null,Q.toString()));return new Promise((Se,ee)=>{const te=(le,se)=>{le?ee(le):Se(typeof se=="number"&&se>0?1:0)},ue=(0,F.$Tf)(Q),Z=ve.run(ue,te);Z&&Z.then&&Z.then(()=>{Se(0)}).catch(le=>{ee(le instanceof Error&&le.stack?le.stack:String(le))})})}nb(){if(this.O)throw new Error("Extension host is already started!");return this.O=!0,this.y.wait().then(()=>this.z.open()).then(()=>Promise.race([this.L.waitForActivatingExtensions(),(0,R.$sg)(1e3)])).then(()=>this.ib()).then(()=>{this.C.open(),this.l.info("Eager extensions activated")})}registerRemoteAuthorityResolver(M,Q){return this.N[M]=Q,(0,g.$ib)(()=>{delete this.N[M]})}async getRemoteExecServer(M){const{resolver:Q}=await this.ob(M);return Q?.resolveExecServer?.(M,{resolveAttempt:0})}async ob(M){const Q=M.indexOf("+");if(Q===-1)throw new Error("Not an authority that can be resolved!");const ve=M.substr(0,Q);return await this.w.wait(),await this.U(`onResolveRemoteAuthority:${ve}`,!1),{authorityPrefix:ve,resolver:this.N[ve]}}async $resolveAuthority(M,Q){const ve=W.$1c.create(!1),Se=()=>`[resolveAuthority(${(0,o.$wk)(M)},${Q})][${ve.elapsed()}ms] `,ee=me=>this.l.info(`${Se()}${me}`),te=(me,Ee=void 0)=>this.l.error(`${Se()}${me}`,Ee),ue=me=>{if(me instanceof n.$gJ)return{type:"error",error:{code:me._code,message:me._message,detail:me._detail}};throw me},Z=M.split(/@|%40/g).reverse();ee(`activating remote resolvers ${Z.join(" -> ")}`);let le;try{le=await Promise.all(Z.map(async me=>{ee("activating resolver...");const{resolver:Ee,authorityPrefix:fe}=await this.ob(me);if(!Ee)throw te("no resolver"),new n.$gJ(`No remote extension installed to resolve ${fe}.`,o.RemoteAuthorityResolverErrorCode.NoResolverFound);return{resolver:Ee,authorityPrefix:fe,remoteAuthority:me}}))}catch(me){return ue(me)}const se=new R.$Bg;se.cancelAndSet(()=>ee("waiting..."),1e3);let oe,T;for(const[me,{authorityPrefix:Ee,resolver:fe,remoteAuthority:Ie}]of le.entries())try{if(me===le.length-1)ee("invoking final resolve()..."),h.mark(`code/extHost/willResolveAuthority/${Ee}`),oe=await fe.resolve(Ie,{resolveAttempt:Q,execServer:T}),h.mark(`code/extHost/didResolveAuthorityOK/${Ee}`),ee("setting tunnel factory..."),this.B(await this.m.setTunnelFactory(fe));else{if(ee(`invoking resolveExecServer() for ${Ie}`),h.mark(`code/extHost/willResolveExecServer/${Ee}`),T=await fe.resolveExecServer?.(Ie,{resolveAttempt:Q,execServer:T}),!T)throw new n.$gJ(`Exec server was not available for ${Ie}`,o.RemoteAuthorityResolverErrorCode.NoResolverFound);h.mark(`code/extHost/didResolveExecServerOK/${Ee}`)}}catch(Pe){return h.mark(`code/extHost/didResolveAuthorityError/${Ee}`),te("returned an error",Pe),se.dispose(),ue(Pe)}se.dispose();const K={environmentTunnels:oe.environmentTunnels,features:oe.tunnelFeatures},X={extensionHostEnv:oe.extensionHostEnv,isTrusted:oe.isTrusted,authenticationSession:oe.authenticationSessionForInitializingExtensions?{id:oe.authenticationSessionForInitializingExtensions.id,providerId:oe.authenticationSessionForInitializingExtensions.providerId}:void 0};ee(`returned ${n.$fJ.isManagedResolvedAuthority(oe)?"managed authority":`${oe.host}:${oe.port}`}`);let x;if(n.$fJ.isManagedResolvedAuthority(oe)){const me=Q;this.R.setFactory(me,oe.makeConnection),x={authority:M,connectTo:new o.$tk(me),connectionToken:oe.connectionToken}}else x={authority:M,connectTo:new o.$uk(oe.host,oe.port),connectionToken:oe.connectionToken};return{type:"ok",value:{authority:x,options:X,tunnelInformation:K}}}async $getCanonicalURI(M,Q){this.l.info(`$getCanonicalURI invoked for authority (${(0,o.$wk)(M)})`);const{resolver:ve}=await this.ob(M);if(!ve)return null;const Se=m.URI.revive(Q);if(typeof ve.getCanonicalURI>"u")return Se;const ee=await(0,R.$kg)(()=>ve.getCanonicalURI(Se));return ee||Se}$startExtensionHost(M){M.toAdd.forEach(Se=>Se.extensionLocation=m.URI.revive(Se.extensionLocation));const{globalRegistry:Q,myExtensions:ve}=ne(this.D,this.G,this.F,M);return this.G.set(Q.getAllExtensionDescriptions()),this.F.set(ve),this.nb()}$activateByEvent(M,Q){return Q===1?this.U(M,!1):this.z.wait().then(ve=>this.U(M,!1))}async $activate(M,Q){return await this.z.wait(),this.F.getExtensionDescription(M)?(await this.W(M,Q),!0):!1}async $deltaExtensions(M){M.toAdd.forEach(te=>te.extensionLocation=m.URI.revive(te.extensionLocation));const{globalRegistry:Q,myExtensions:ve}=ne(this.D,this.G,this.F,M),Se=await this.Y(ve);return(await this.getExtensionPathIndex()).setSearchTree(Se),this.G.set(Q.getAllExtensionDescriptions()),this.F.set(ve),Promise.resolve(void 0)}async $test_latency(M){return M}async $test_up(M){return M.byteLength}async $test_down(M){const Q=f.$Ib.alloc(M),ve=Math.random()%256;for(let Se=0;Se<M;Se++)Q.writeUInt8(ve,Se);return Q}async $updateRemoteConnectionData(M){this.Q=M,this.a.fire()}};e.$y$b=ie=He([We(0,s.$kh),We(1,e.$x$b),We(2,$.$aL),We(3,w.$40b),We(4,v.$70b),We(5,L.$Ni),We(6,t.$qL),We(7,u.$k$b),We(8,S.$job),We(9,y.$m$b),We(10,q.$u$b),We(11,J.$v$b)],ie);function ne(ge,M,Q,ve){ge.addActivationEvents(ve.addActivationEvents);const Se=new l.$pZb(ge,M.getAllExtensionDescriptions());Se.deltaExtensions(ve.toAdd,ve.toRemove);const ee=new p.$El(Q.getAllExtensionDescriptions().map(ue=>ue.identifier));for(const ue of ve.myToRemove)ee.delete(ue);for(const ue of ve.myToAdd)ee.add(ue);const te=ce(Se,ee);return{globalRegistry:Se,myExtensions:te}}function V(ge,M){return{id:ge.identifier.value,name:ge.name,extensionVersion:ge.version,publisherDisplayName:ge.publisher,activationEvents:ge.activationEvents?ge.activationEvents.join(","):null,isBuiltin:ge.isBuiltin,reason:M.activationEvent,reasonId:M.extensionId.value}}e.$z$b=(0,s.$lh)("IExtHostExtensionService");class H{constructor(M,Q,ve,Se,ee){z.set(this,void 0),j.set(this,void 0),he.set(this,void 0),Xe(this,z,M,"f"),Xe(this,j,Q,"f"),Xe(this,he,ve.identifier,"f"),this.id=ve.identifier.value,this.extensionUri=ve.extensionLocation,this.extensionPath=A.$9b((0,F.$Tf)(ve.extensionLocation)),this.packageJSON=ve,this.extensionKind=Se,this.isFromDifferentExtensionHost=ee}get isActive(){return Te(this,z,"f").isActivated(Te(this,he,"f"))}get exports(){if(!(this.packageJSON.api==="none"||this.isFromDifferentExtensionHost))return Te(this,z,"f").getExtensionExports(Te(this,he,"f"))}async activate(){if(this.isFromDifferentExtensionHost)throw new Error("Cannot activate foreign extension");return await Te(this,z,"f").activateByIdWithErrors(Te(this,he,"f"),{startup:!1,extensionId:Te(this,j,"f"),activationEvent:"api"}),this.exports}}e.$A$b=H,z=new WeakMap,j=new WeakMap,he=new WeakMap;function ce(ge,M){return ge.getAllExtensionDescriptions().filter(Q=>M.has(Q.identifier))}class pe{constructor(M){this.a=M}setSearchTree(M){this.a=M}findSubstr(M){return this.a.findSubstr(M)}forEach(M){return this.a.forEach(M)}}e.$B$b=pe;class ye{constructor(M){this.a=new p.$Fl,this.addActivationEvents(M)}readActivationEvents(M){return this.a.get(M.identifier)}addActivationEvents(M){for(const Q of Object.keys(M))this.a.set(Q,M[Q])}}}),define(De[326],Ce([1,0,88,2,6,38,27,25,20,26,5,44,41,18,9]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$T_b=void 0;let w=e.$T_b=class{constructor(E,n,o,s,t,u,$){this.c=E,this.d=n,this.e=o,this.f=s,this.g=t,this.h=u,this.i=$,this.a=new Map,this.b=[]}async install(){this.j(),b.mark("code/extHost/willWaitForConfig");const E=await this.f.getConfigProvider();b.mark("code/extHost/didWaitForConfig");const n=await this.g.getExtensionPathIndex();this.register(new l(this.c,n,this.d,E,this.i)),this.register(this.e.createInstance(a,n)),this.register(this.e.createInstance(i)),this.h.remote.isRemote&&this.register(this.e.createInstance(p,n,this.h.environment.appUriScheme))}register(E){if("nodeModuleName"in E)if(Array.isArray(E.nodeModuleName))for(const n of E.nodeModuleName)this.a.set(n,E);else this.a.set(E.nodeModuleName,E);typeof E.alternativeModuleName=="function"&&this.b.push(n=>E.alternativeModuleName(n))}};e.$T_b=w=He([We(2,L.$kh),We(3,F.$70b),We(4,I.$z$b),We(5,m.$qL),We(6,D.$Ni)],w);let i=class fn{constructor(E){if(E.environment.appRoot&&fn.a.size){const n=(0,C.$ld)(this.c(E.environment.appRoot.fsPath)),o="[a-z0-9_.-]",s=`@${o}+\\/${o}+|${o}+`,t="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.b=new RegExp(`^(${n}/${t}\\/)(${s})(.*)$`,"i")}}alternativeModuleName(E){if(!this.b)return;const n=this.b.exec(this.c(E));if(!n)return;const[,o,s,t]=n,u=fn.a.get(s);if(u!==void 0)return console.warn(`${s} as been renamed to ${u}, please update your imports`),o+u+t}c(E){return E.replace(/\\/g,"/")}};i.a=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]]),i=He([We(0,m.$qL)],i);class l{constructor(E,n,o,s,t){this.c=E,this.d=n,this.e=o,this.f=s,this.g=t,this.nodeModuleName="vscode",this.a=new g.$Fl}load(E,n){const o=this.d.findSubstr(n);if(o){let s=this.a.get(o.identifier);return s||(s=this.c(o,this.e,this.f),this.a.set(o.identifier,s)),s}if(!this.b){let s="";this.d.forEach((t,u)=>s+=`	${u} -> ${t.identifier.value}
`),this.g.warn(`Could not identify extension for 'vscode' require call from ${n}. These are the extension path mappings: 
${s}`),this.b=this.c(R.$5E,this.e,this.f)}return this.b}}let a=class{constructor(E,n,o){this.d=E,this.nodeModuleName="keytar",this.a=n.getProxy(h.$$I.MainThreadTelemetry);const{environment:s}=o,t=n.getProxy(h.$$I.MainThreadKeytar);if(s.appRoot){let u=s.appRoot.fsPath;v.$5b==="win32"&&(u=u.replace(/\\/g,"/")),u[u.length-1]==="/"&&(u=u.substr(0,u.length-1)),this.b=new Set,this.b.add(`${u}/node_modules.asar/keytar`),this.b.add(`${u}/node_modules/keytar`)}this.c={getPassword:(u,$)=>t.$getPassword(u,$),setPassword:(u,$,d)=>t.$setPassword(u,$,d),deletePassword:(u,$)=>t.$deletePassword(u,$),findPassword:u=>t.$findPassword(u),findCredentials(u){return t.$findCredentials(u)}}}load(E,n){const o=this.d.findSubstr(n);return this.a.$publicLog2("shimming.keytar",{extension:o?.identifier.value??"unknown_extension"}),this.c}alternativeModuleName(E){const n=E.length;if(n<=7||!this.b)return;const o=n-7;if((E.charAt(o)==="/"||E.charAt(o)==="\\")&&E.endsWith("keytar")&&(E=E.replace(/\\/g,"/"),this.b.has(E)))return"keytar"}};a=He([We(1,k.$aL),We(2,m.$qL)],a);let p=class{constructor(E,n,o){this.e=E,this.f=n,this.nodeModuleName=["open","opn"],this.d=o.getProxy(h.$$I.MainThreadTelemetry);const s=o.getProxy(h.$$I.MainThreadWindow);this.c=(t,u)=>{const $=A.URI.parse(t);return u?this.g(t,u):$.scheme==="http"||$.scheme==="https"?s.$openUri($,t,{allowTunneling:!0}):$.scheme==="mailto"||$.scheme===this.f?s.$openUri($,t,{}):this.g(t,u)}}load(E,n,o){const s=this.e.findSubstr(n);return s&&(this.a=s.identifier.value,this.h()),this.b=o(E),this.c}g(E,n){return this.i(),this.b(E,n)}h(){this.a&&this.d.$publicLog2("shimming.open",{extension:this.a})}i(){this.a&&this.d.$publicLog2("shimming.open.call.noForward",{extension:this.a})}};p=He([We(2,k.$aL)],p)}),define(De[52],Ce([1,0,54,4,11,41,5,62,63,44,7,37,258,38]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9$b=e.$8$b=void 0,e.$8$b=(0,R.$lh)("IExtHostVariableResolverProvider");class C extends v.$cM{constructor(l,a,p,f,E,n,o){function s(){if(p){const t=p.activeEditor();if(t)return t.document.uri;const u=f.tabGroups.all.find($=>$.isActive)?.activeTab;if(u!==void 0){if(u.input instanceof L.$UK||u.input instanceof L.$ZK)return u.input.modified;if(u.input instanceof L.$TK||u.input instanceof L.$YK||u.input instanceof L.$WK)return u.input.uri}}}super({getFolderUri:t=>{const u=n.folders.filter($=>$.name===t);if(u&&u.length>0)return u[0].uri},getWorkspaceFolderCount:()=>n.folders.length,getConfigurationValue:(t,u)=>E.getConfiguration(void 0,t).get(u),getAppRoot:()=>F.cwd(),getExecPath:()=>F.env.VSCODE_EXEC_PATH,getFilePath:()=>{const t=s();if(t)return h.$9b(t.fsPath)},getWorkspaceFolderPathForFile:()=>{if(a){const t=s();if(t){const u=a.getWorkspaceFolder(t);if(u)return h.$9b(u.uri.fsPath)}}},getSelectedText:()=>{if(p){const t=p.activeEditor();if(t&&!t.selection.isEmpty)return t.document.getText(t.selection)}},getLineNumber:()=>{if(p){const t=p.activeEditor();if(t)return String(t.selection.end.line+1)}},getExtension:t=>l.getExtension(t)},void 0,o?Promise.resolve(o):void 0,Promise.resolve(F.env))}}let w=e.$9$b=class extends A.$kb{constructor(l,a,p,f,E){super(),this.b=l,this.c=a,this.g=p,this.h=f,this.i=E,this.a=new b.$S(async()=>{const n=await this.h.getConfigProvider(),s={folders:await this.c.getWorkspaceFolders2()||[]};return this.B(this.c.onDidChangeWorkspace(async t=>{s.folders=await this.c.getWorkspaceFolders2()||[]})),new C(this.b,this.c,this.g,this.i,n,s,this.j())})}getResolver(){return this.a.value}j(){}};e.$9$b=w=He([We(0,m.$z$b),We(1,I.$40b),We(2,g.$lL),We(3,D.$70b),We(4,k.$6$b)],w)}),define(De[89],Ce([1,0,17,3,12,2,5,6,63,44,20,7,37,134,251,38,52]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$b_b=e.$a_b=e.$_$b=e.$$$b=e.$0$b=void 0,e.$0$b=(0,R.$lh)("IExtHostDebugService");let l=e.$$$b=class{get onDidStartDebugSession(){return this.m.event}get onDidTerminateDebugSession(){return this.n.event}get onDidChangeActiveDebugSession(){return this.o.event}get activeDebugSession(){return this.q}get onDidReceiveDebugSessionCustomEvent(){return this.u.event}get activeDebugConsole(){return this.v.value}constructor(s,t,u,$,d,S){this.F=t,this.G=u,this.H=$,this.I=d,this.J=S,this.l=new Map,this.d=0,this.f=[],this.g=0,this.h=[],this.i=0,this.j=[],this.C=new Map,this.D=new Map,this.m=new A.$5c,this.n=new A.$5c,this.o=new A.$5c,this.u=new A.$5c,this.k=s.getProxy(g.$$I.MainThreadDebugService),this.z=new A.$5c({onWillAddFirstListener:()=>{this.V()}}),this.B=new A.$5c,this.v=new p(this.k),this.w=new Map,this.y=!1,this.G.getExtensionRegistry().then(y=>{y.onDidChange(c=>{this.K(y)}),this.K(y)})}asDebugSourceUri(s,t){const u=s;if(typeof u.sourceReference=="number"&&u.sourceReference>0){let $=`debug:${encodeURIComponent(u.path||"")}`,d="?";return t&&($+=`${d}session=${encodeURIComponent(t.id)}`,d="&"),$+=`${d}ref=${u.sourceReference}`,F.URI.parse($)}else{if(u.path)return F.URI.file(u.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}K(s){const t=[];for(const u of s.getAllExtensionDescriptions())if(u.contributes){const $=u.contributes.debuggers;if($&&$.length>0)for(const d of $)(0,C.$HE)(d)&&t.push(d.type)}this.k.$registerDebugTypes(t)}get stackFrameFocus(){return this.A}get onDidChangeStackFrameFocus(){return this.B.event}get onDidChangeBreakpoints(){return this.z.event}get breakpoints(){this.V();const s=[];return this.w.forEach(t=>s.push(t)),s}addBreakpoints(s){this.V();const t=s.filter(d=>{const S=d.id;return this.w.has(S)?!1:(this.w.set(S,d),!0)});this.W(t,[],[]);const u=[],$=new Map;for(const d of t)if(d instanceof I.$aK){let S=$.get(d.location.uri.toString());S||(S={type:"sourceMulti",uri:d.location.uri,lines:[]},$.set(d.location.uri.toString(),S),u.push(S)),S.lines.push({id:d.id,enabled:d.enabled,condition:d.condition,hitCondition:d.hitCondition,logMessage:d.logMessage,line:d.location.range.start.line,character:d.location.range.start.character})}else d instanceof I.$bK&&u.push({type:"function",id:d.id,enabled:d.enabled,hitCondition:d.hitCondition,logMessage:d.logMessage,condition:d.condition,functionName:d.functionName});return this.k.$registerBreakpoints(u)}removeBreakpoints(s){this.V();const t=s.filter(S=>this.w.delete(S.id));this.W([],t,[]);const u=t.filter(S=>S instanceof I.$aK).map(S=>S.id),$=t.filter(S=>S instanceof I.$bK).map(S=>S.id),d=t.filter(S=>S instanceof I.$cK).map(S=>S.id);return this.k.$unregisterBreakpoints(u,$,d)}startDebugging(s,t,u){return this.k.$startDebugging(s?s.uri:void 0,t,{parentSessionID:u.parentSession?u.parentSession.id:void 0,lifecycleManagedByParent:u.lifecycleManagedByParent,repl:u.consoleMode===I.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:u.noDebug,compact:u.compact,suppressSaveBeforeStart:u.suppressSaveBeforeStart,suppressDebugStatusbar:u.suppressDebugStatusbar??u.debugUI?.simple,suppressDebugToolbar:u.suppressDebugToolbar??u.debugUI?.simple,suppressDebugView:u.suppressDebugView??u.debugUI?.simple})}stopDebugging(s){return this.k.$stopDebugging(s?s.id:void 0)}registerDebugConfigurationProvider(s,t,u){if(!t)return new I.$aJ(()=>{});const $=this.d++;return this.f.push({type:s,handle:$,provider:t}),this.k.$registerDebugConfigurationProvider(s,u,!!t.provideDebugConfigurations,!!t.resolveDebugConfiguration,!!t.resolveDebugConfigurationWithSubstitutedVariables,$),new I.$aJ(()=>{this.f=this.f.filter(d=>d.provider!==t),this.k.$unregisterDebugConfigurationProvider($)})}registerDebugAdapterDescriptorFactory(s,t,u){if(!u)return new I.$aJ(()=>{});if(!this.R(s,t))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${t}' debugger.`);if(this.O(t))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const $=this.g++;return this.h.push({type:t,handle:$,factory:u}),this.k.$registerDebugAdapterDescriptorFactory(t,$),new I.$aJ(()=>{this.h=this.h.filter(d=>d.factory!==u),this.k.$unregisterDebugAdapterDescriptorFactory($)})}registerDebugAdapterTrackerFactory(s,t){if(!t)return new I.$aJ(()=>{});const u=this.i++;return this.j.push({type:s,handle:u,factory:t}),new I.$aJ(()=>{this.j=this.j.filter($=>$.factory!==t)})}async $runInTerminal(s,t){return Promise.resolve(void 0)}async $substituteVariables(s,t){let u;const $=await this.Y(s);return $&&(u={uri:$.uri,name:$.name,index:$.index,toResource:()=>{throw new Error("Not implemented")}}),(await this.J.getResolver()).resolveAnyAsync(u,t)}L(s,t){if(s.type==="implementation")return new E(s.implementation)}M(){}async $startDASession(s,t){const u=this,$=await this.X(t);return this.T(this.O($.type),$).then(d=>{if(!d)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${$.type}' (extension might have failed to activate)`);const S=this.N(d),y=this.L(S,$);if(!y)throw new Error(`Couldn't create a debug adapter for type '${$.type}'.`);const c=y;return this.C.set(s,c),this.S($).then(r=>(r&&this.D.set(s,r),c.onMessage(async P=>{if(P.type==="request"&&P.command==="handshake"){const N=P,U={type:"response",seq:0,command:N.command,request_seq:N.seq,success:!0};this.E||(this.E=this.M());try{if(this.E){const q=await this.E.sign(N.arguments.value);U.body={signature:q},c.sendResponse(U)}else throw new Error("no signer")}catch(q){U.success=!1,U.message=q.message,c.sendResponse(U)}}else r&&r.onDidSendMessage&&r.onDidSendMessage(P),P=(0,C.$ME)(P,!0),u.k.$acceptDAMessage(s,P)}),c.onError(P=>{r&&r.onError&&r.onError(P),this.k.$acceptDAError(s,P.name,P.message,P.stack)}),c.onExit(P=>{r&&r.onExit&&r.onExit((0,h.$ye)(P),void 0),this.k.$acceptDAExit(s,(0,h.$ye)(P),void 0)}),r&&r.onWillStartSession&&r.onWillStartSession(),c.startSession()))})}$sendDAMessage(s,t){t=(0,C.$LE)(t,!1);const u=this.D.get(s);u&&u.onWillReceiveMessage&&u.onWillReceiveMessage(t),this.C.get(s)?.sendMessage(t)}$stopDASession(s){const t=this.D.get(s);this.D.delete(s),t&&t.onWillStopSession&&t.onWillStopSession();const u=this.C.get(s);return this.C.delete(s),u?u.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(s){const t=[],u=[],$=[];if(s.added)for(const d of s.added){const S=d.id;if(S&&!this.w.has(S)){let y;if(d.type==="function")y=new I.$bK(d.functionName,d.enabled,d.condition,d.hitCondition,d.logMessage);else if(d.type==="data")y=new I.$cK(d.label,d.dataId,d.canPersist,d.enabled,d.hitCondition,d.condition,d.logMessage);else{const c=F.URI.revive(d.uri);y=new I.$aK(new I.$mJ(c,new I.$bJ(d.line,d.character)),d.enabled,d.condition,d.hitCondition,d.logMessage)}(0,I.$$J)(y,S),this.w.set(S,y),t.push(y)}}if(s.removed)for(const d of s.removed){const S=this.w.get(d);S&&(this.w.delete(d),u.push(S))}if(s.changed){for(const d of s.changed)if(d.id){const S=this.w.get(d.id);if(S){if(S instanceof I.$bK&&d.type==="function"){const y=S;y.enabled=d.enabled,y.condition=d.condition,y.hitCondition=d.hitCondition,y.logMessage=d.logMessage,y.functionName=d.functionName}else if(S instanceof I.$aK&&d.type==="source"){const y=S;y.enabled=d.enabled,y.condition=d.condition,y.hitCondition=d.hitCondition,y.logMessage=d.logMessage,y.location=new I.$mJ(F.URI.revive(d.uri),new I.$bJ(d.line,d.character))}$.push(S)}}}this.W(t,u,$)}async $acceptStackFrameFocus(s){let t;const u=s.sessionId?await this.X(s.sessionId):void 0;if(!u)throw new Error("no DebugSession found for debug focus context");s.kind==="thread"?t=new I.$iK(u,s.threadId):t=new I.$hK(u,s.threadId,s.frameId),this.A=t,this.B.fire(this.A)}$provideDebugConfigurations(s,t,u){return(0,b.$kg)(async()=>{const $=this.Q(s);if(!$)throw new Error("no DebugConfigurationProvider found");if(!$.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const d=await this.Y(t);return $.provideDebugConfigurations(d,u)}).then($=>{if(!$)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return $})}$resolveDebugConfiguration(s,t,u,$){return(0,b.$kg)(async()=>{const d=this.Q(s);if(!d)throw new Error("no DebugConfigurationProvider found");if(!d.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const S=await this.Y(t);return d.resolveDebugConfiguration(S,u,$)})}$resolveDebugConfigurationWithSubstitutedVariables(s,t,u,$){return(0,b.$kg)(async()=>{const d=this.Q(s);if(!d)throw new Error("no DebugConfigurationProvider found");if(!d.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const S=await this.Y(t);return d.resolveDebugConfigurationWithSubstitutedVariables(S,u,$)})}async $provideDebugAdapter(s,t){const u=this.P(s);if(!u)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const $=await this.X(t);return this.T(u,$).then(d=>{if(!d)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${$.type}'`);return this.N(d)})}async $acceptDebugSessionStarted(s){const t=await this.X(s);this.m.fire(t)}async $acceptDebugSessionTerminated(s){const t=await this.X(s);t&&(this.n.fire(t),this.l.delete(t.id))}async $acceptDebugSessionActiveChanged(s){this.q=s?await this.X(s):void 0,this.o.fire(this.q)}async $acceptDebugSessionNameChanged(s,t){(await this.X(s))?._acceptNameChanged(t)}async $acceptDebugSessionCustomEvent(s,t){const $={session:await this.X(s),event:t.event,body:t.body};this.u.fire($)}N(s){if(s instanceof I.$dK)return{type:"executable",command:s.command,args:s.args,options:s.options};if(s instanceof I.$eK)return{type:"server",port:s.port,host:s.host};if(s instanceof I.$fK)return{type:"pipeServer",path:s.path};if(s instanceof I.$gK)return{type:"implementation",implementation:s.implementation};throw new Error("convertToDto unexpected type")}O(s){const t=this.h.filter(u=>u.type===s);if(t.length>0)return t[0].factory}P(s){const t=this.h.filter(u=>u.handle===s);if(t.length>0)return t[0].factory}Q(s){const t=this.f.filter(u=>u.handle===s);if(t.length>0)return t[0].provider}R(s,t){if(s.contributes){const u=s.contributes.debuggers;if(u&&u.length>0){for(const $ of u)if($.label&&$.type&&$.type===t)return!0}}return!1}S(s){const u=s.configuration.type,$=this.j.filter(d=>d.type===u||d.type==="*").map(d=>(0,b.$kg)(()=>d.factory.createDebugAdapterTracker(s)).then(S=>S,S=>null));return Promise.race([Promise.all($).then(d=>{const S=d.filter(y=>!!y);if(S.length>0)return new f(S)}),new Promise(d=>setTimeout(()=>d(void 0),1e3))]).catch(d=>{})}async T(s,t){const u=t.configuration.debugServer;if(typeof u=="number")return Promise.resolve(new I.$eK(u));if(s){const d=await this.G.getExtensionRegistry();return(0,b.$kg)(()=>s.createDebugAdapterDescriptor(t,this.U(t,d))).then(S=>{if(S)return S})}const $=await this.G.getExtensionRegistry();return Promise.resolve(this.U(t,$))}U(s,t){}V(){this.y||(this.y=!0,this.k.$startBreakpointEvents())}W(s,t,u){(s.length>0||t.length>0||u.length>0)&&this.z.fire(Object.freeze({added:s,removed:t,changed:u}))}async X(s){if(s)if(typeof s=="string"){const t=this.l.get(s);if(t)return t}else{let t=this.l.get(s.id);if(!t){const u=await this.Y(s.folderUri),$=s.parent?this.l.get(s.parent):void 0;t=new a(this.k,s.id,s.type,s.name,u,s.configuration,$),this.l.set(t.id,t),this.k.$sessionCached(t.id)}return t}throw new Error("cannot find session")}Y(s){if(s){const t=F.URI.revive(s);return this.F.resolveWorkspaceFolder(t)}return Promise.resolve(void 0)}};e.$$$b=l=He([We(0,L.$aL),We(1,v.$40b),We(2,m.$z$b),We(3,w.$70b),We(4,k.$6$b),We(5,i.$8$b)],l);class a{constructor(s,t,u,$,d,S,y){this.d=s,this.f=t,this.g=u,this.h=$,this.i=d,this.j=S,this.k=y}get id(){return this.f}get type(){return this.g}get name(){return this.h}set name(s){this.h=s,this.d.$setDebugSessionName(this.f,s)}get parentSession(){return this.k}_acceptNameChanged(s){this.h=s}get workspaceFolder(){return this.i}get configuration(){return this.j}customRequest(s,t){return this.d.$customDebugAdapterRequest(this.f,s,t)}getDebugProtocolBreakpoint(s){return this.d.$getDebugProtocolBreakpoint(this.f,s.id)}}e.$_$b=a;class p{constructor(s){this.value=Object.freeze({append(t){s.$appendDebugConsole(t)},appendLine(t){this.append(t+`
`)}})}}e.$a_b=p;class f{constructor(s){this.d=s}onWillStartSession(){this.d.forEach(s=>s.onWillStartSession?s.onWillStartSession():void 0)}onWillReceiveMessage(s){this.d.forEach(t=>t.onWillReceiveMessage?t.onWillReceiveMessage(s):void 0)}onDidSendMessage(s){this.d.forEach(t=>t.onDidSendMessage?t.onDidSendMessage(s):void 0)}onWillStopSession(){this.d.forEach(s=>s.onWillStopSession?s.onWillStopSession():void 0)}onError(s){this.d.forEach(t=>t.onError?t.onError(s):void 0)}onExit(s,t){this.d.forEach(u=>u.onExit?u.onExit(s,t):void 0)}}class E extends D.$$9{constructor(s){super(),this.h=s,s.onDidSendMessage(t=>{this.acceptMessage(t)})}startSession(){return Promise.resolve(void 0)}sendMessage(s){this.h.handleMessage(s)}stopSession(){return this.h.dispose(),Promise.resolve(void 0)}}let n=e.$b_b=class extends l{constructor(s,t,u,$,d,S){super(s,t,u,$,d,S)}};e.$b_b=n=He([We(0,L.$aL),We(1,v.$40b),We(2,m.$z$b),We(3,w.$70b),We(4,k.$6$b),We(5,i.$8$b)],n)}),define(De[327],Ce([1,0,8,88,2,6,319,18,98,99,26,222,20,59,44,82]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$V_b=e.$U_b=void 0;class i{static async installEarlyHandler(p){const f=p.get(g.$Ni),n=p.get(v.$aL).getProxy(F.$$I.MainThreadErrors);b.setUnexpectedErrorHandler(o=>{f.error(o);const s=b.$Z(o);n.$onUnexpectedError(s)})}static async installFullHandler(p){const f=p.get(g.$Ni),E=p.get(v.$aL),n=p.get(C.$z$b),o=p.get(w.$uL),s=E.getProxy(F.$$I.MainThreadExtensionService),t=E.getProxy(F.$$I.MainThreadErrors),u=await n.getExtensionPathIndex(),$=new WeakMap;function d(c,r){if($.has(c))return $.get(c).stack;let P="",N,U;for(const W of r)P+=`
	at ${W.toString()}`,U=W.getFileName(),!N&&U&&(N=u.findSubstr(h.URI.file(U)));const q=`${c.name||"Error"}: ${c.message||""}${P}`;return $.set(c,{extensionIdentifier:N?.identifier,stack:q}),q}const S=Symbol("prepareStackTrace wrapped");let y=d;Object.defineProperty(Error,"prepareStackTrace",{configurable:!1,get(){return y},set(c){if(c===d||c[S]){y=c;return}y=function(r,P){return d(r,P),c.call(Error,r,P)},Object.assign(y,{[S]:!0})}}),b.setUnexpectedErrorHandler(c=>{f.error(c);const r=b.$Z(c),P=$.get(c);if(!P?.extensionIdentifier){t.$onUnexpectedError(r);return}s.$onExtensionRuntimeError(P.extensionIdentifier,r);const N=o.onExtensionError(P.extensionIdentifier,c);f.trace("forwarded error to extension?",N,P)})}}e.$U_b=i,Error.stackTraceLimit=100;class l{constructor(p,f,E,n,o){this.a=E,this.b=new R.$xZb(p,null,n),f=l.e(f,this.b);const s=new m.$jh(...(0,k.$9q)());s.set(L.$qL,{_serviceBrand:void 0,...f,messagePorts:o}),s.set(v.$aL,new v.$bL(this.b)),s.set(D.$10b,new D.$20b(n)),s.set(C.$x$b,E);const t=new I.$Qp(s,!0);t.invokeFunction(i.installEarlyHandler),this.d=t.invokeFunction(u=>u.get(g.$Ni)),A.mark("code/extHost/didCreateServices"),this.a.pid?this.d.info(`Extension host with pid ${this.a.pid} started`):this.d.info("Extension host started"),this.d.trace("initData",f),this.c=t.invokeFunction(u=>u.get(C.$z$b)),this.c.initialize(),t.invokeFunction(i.installFullHandler)}async asBrowserUri(p){const f=this.b.getProxy(F.$$I.MainThreadExtensionService);return h.URI.revive(await f.$asBrowserUri(p))}terminate(p){this.c.terminate(p)}static e(p,f){p.allExtensions.forEach(n=>{n.extensionLocation=h.URI.revive(f.transformIncomingURIs(n.extensionLocation))}),p.environment.appRoot=h.URI.revive(f.transformIncomingURIs(p.environment.appRoot));const E=p.environment.extensionDevelopmentLocationURI;return E&&(p.environment.extensionDevelopmentLocationURI=E.map(n=>h.URI.revive(f.transformIncomingURIs(n)))),p.environment.extensionTestsLocationURI=h.URI.revive(f.transformIncomingURIs(p.environment.extensionTestsLocationURI)),p.environment.globalStorageHome=h.URI.revive(f.transformIncomingURIs(p.environment.globalStorageHome)),p.environment.workspaceStorageHome=h.URI.revive(f.transformIncomingURIs(p.environment.workspaceStorageHome)),p.environment.extensionTelemetryLogResource=h.URI.revive(f.transformIncomingURIs(p.environment.extensionTelemetryLogResource)),p.nlsBaseUrl=h.URI.revive(f.transformIncomingURIs(p.nlsBaseUrl)),p.logsLocation=h.URI.revive(f.transformIncomingURIs(p.logsLocation)),p.workspace=f.transformIncomingURIs(p.workspace),p}}e.$V_b=l}),define(De[328],Ce([1,0,17,10,199,216,232,89,63,44,20,43,7,52,37,252,253,38]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6_b=void 0;let a=e.$6_b=class extends g.$$$b{constructor(o,s,t,u,$,d,S){super(o,s,t,u,d,S),this.ab=$,this.Z=new E}L(o,s){switch(o.type){case"server":return new w.$1_b(o);case"pipeServer":return new w.$2_b(o);case"executable":return new w.$3_b(o,s.type)}return super.L(o,s)}U(o,s){const t=w.$3_b.platformAdapterExecutable(s.getAllExtensionDescriptions(),o.type);if(t)return new v.$dK(t.command,t.args,t.options)}M(){return new R.$03b}async $runInTerminal(o,s){if(o.kind==="integrated"){this.$||(this.$=this.ab.onDidCloseTerminal(q=>{this.Z.onTerminalClosed(q)}));const t=await this.H.getConfigProvider(),u=this.ab.getDefaultShell(!0),$=this.ab.getDefaultShellArgs(!0),d=o.title||h.localize(0,null),S=JSON.stringify({shell:u,shellArgs:$});let y=await this.Z.checkout(S,d),c,r=!1;if(y)c=o.cwd;else{const q={shellPath:u,shellArgs:$,cwd:o.cwd,name:d,iconPath:new v.$8J("debug")};r=!0,y=this.ab.createTerminalFromOptions(q,{isFeatureTerminal:!0,useShellEnvironment:!0}),this.Z.insert(y,S)}y.show(!0);const P=await y.processId;r?await new Promise(q=>setTimeout(q,1e3)):t.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(u.indexOf("powershell")>=0||u.indexOf("pwsh")>=0||u.indexOf("cmd.exe")>=0?y.sendText("cls"):u.indexOf("bash")>=0?y.sendText("clear"):A.$i?y.sendText("cls"):y.sendText("clear"));const N=(0,i.$5_b)(u,o.args,!!o.argsCanBeInterpretedByShell,c,o.env);y.sendText(N);const U=this.onDidTerminateDebugSession(q=>{q.id===s&&(this.Z.free(y),U.dispose())});return P}else if(o.kind==="external")return f(o,await this.H.getConfigProvider());return super.$runInTerminal(o,s)}};e.$6_b=a=He([We(0,L.$aL),We(1,C.$40b),We(2,m.$z$b),We(3,l.$70b),We(4,I.$m$b),We(5,k.$6$b),We(6,D.$8$b)],a);let p;function f(n,o){if(!p)if(A.$i)p=new F.$N2b;else if(A.$j)p=new F.$O2b;else if(A.$k)p=new F.$P2b;else throw new Error("external terminals not supported on this platform");const s=o.getConfiguration("terminal");return p.runInTerminal(n.title,n.cwd,n.args,n.env||{},s.external||{})}class E{constructor(){this.b=new Map}async checkout(o,s){const u=[...this.b.entries()].map(([$,d])=>(0,b.$fg)(async S=>{if($.name!==s||d.lastUsedAt!==-1&&await(0,i.$4_b)(await $.processId))return null;const y=Date.now();return d.lastUsedAt+E.a>y||S.isCancellationRequested||d.config!==o?null:(d.lastUsedAt=y,$)}));return await(0,b.$wg)(u,$=>!!$)}insert(o,s){this.b.set(o,{lastUsedAt:Date.now(),config:s})}free(o){const s=this.b.get(o);s&&(s.lastUsedAt=-1)}onTerminalClosed(o){this.b.delete(o)}}E.a=1e3}),define(De[329],Ce([1,0,11,2,96,37,62,38,50,43,20,26,87,16,18,83,23,74,52]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$X_b=void 0;let p=e.$X_b=class extends v.$3$b{constructor(E,n,o,s,t,u,$,d,S){super(E,n,o,s,t,u,$,d),this.B=o,this.C=S,n.remote.isRemote&&n.remote.authority?this.registerTaskSystem(D.Schemas.vscodeRemote,{scheme:D.Schemas.vscodeRemote,authority:n.remote.authority,platform:process.platform}):this.registerTaskSystem(D.Schemas.file,{scheme:D.Schemas.file,authority:"",platform:process.platform}),this.a.$registerSupportedExecutions(!0,!0,!0)}async executeTask(E,n){const o=n;if(!n.execution&&o._id===void 0)throw new Error("Tasks to execute must include an execution");if(o._id!==void 0){const s=v.TaskHandleDTO.from(o,this.B),t=await this.a.$getTaskExecution(s);if(t.task===void 0)throw new Error("Task from execution DTO is undefined");const u=await this.y(t,n);return this.a.$executeTask(s).catch(()=>{}),u}else{const s=v.TaskDTO.from(n,E);if(s===void 0)return Promise.reject(new Error("Task is not valid"));v.CustomExecutionDTO.is(s.execution)&&await this.x(s,n,!1);const t=await this.y(await this.a.$getTaskExecution(s),n);return this.a.$executeTask(s).catch(()=>{}),t}}u(E,n,o,s){const t=[];if(s)for(const u of s){this.z(u,o),(!u.definition||!E[u.definition.type])&&this.f.warn(`The task [${u.source}, ${u.name}] uses an undefined task type. The task will be ignored in the future.`);const $=v.TaskDTO.from(u,o.extension);$&&(t.push($),v.CustomExecutionDTO.is($.execution)&&n.push(this.x($,u,!0)))}return{tasks:t,extension:o.extension}}async v(E){return E}async F(E){let n=E&&E.length>0?E[0]:void 0;if(!n){const o=A.URI.file((0,l.homedir)());n=new k.$Fh({uri:o,name:i.$3f(o),index:0})}return{uri:n.uri,name:n.name,index:n.index,toResource:()=>{throw new Error("Not implemented")}}}async $resolveVariables(E,n){const o=A.URI.revive(E),s={process:void 0,variables:Object.create(null)},t=await this.b.resolveWorkspaceFolder(o),u=await this.b.getWorkspaceFolders2()??[],$=await this.C.getResolver(),d=t?{uri:t.uri,name:t.name,index:t.index,toResource:()=>{throw new Error("Not implemented")}}:await this.F(u);for(const S of n.variables)s.variables[S]=await $.resolveAsync(d,S);if(n.process!==void 0){let S;if(n.process.path!==void 0){S=n.process.path.split(b.$ic);for(let y=0;y<S.length;y++)S[y]=await $.resolveAsync(d,S[y])}s.process=await h.win32.findExecutable(await $.resolveAsync(d,n.process.name),n.process.cwd!==void 0?await $.resolveAsync(d,n.process.cwd):void 0,S)}return s}async $jsonTasksSupported(){return!0}async $findExecutable(E,n,o){return h.win32.findExecutable(E,n,o)}};e.$X_b=p=He([We(0,L.$aL),We(1,I.$qL),We(2,F.$40b),We(3,R.$lL),We(4,g.$70b),We(5,m.$m$b),We(6,C.$Ni),We(7,w.$T0b),We(8,a.$8$b)],p)}),define(De[330],Ce([1,0,74,52]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dac=void 0;class h extends A.$9$b{j(){return(0,b.homedir)()}}e.$Dac=h}),define(De[146],Ce([1,0,19,17,21,45,16,11,23,2,34]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$g_b=e.$f_b=e.$e_b=e.$d_b=void 0;class I{constructor(a,p,f,E){this.d=a,this.e=p,this.f=f,this.g=E,this.a=null,this.b=!1,this.c=0}search(a,p){const f=this.d.folderQueries||[],E=new h.$bd;return p.onCancellationRequested(()=>E.cancel()),new Promise((n,o)=>{this.a=new D(a);let s=!1;const t=(u,$)=>{if(!s&&!this.b){const d=this.h(u);w(u)&&typeof this.d.maxResults=="number"&&this.c+d>this.d.maxResults&&(this.b=!0,s=!0,E.cancel(),u=this.j(u,this.d.maxResults-this.c));const S=this.h(u);this.c+=S,(S>0||!w(u))&&this.a.add(u,$)}};Promise.all(f.map((u,$)=>this.k(u,d=>t(d,$),E.token))).then(u=>{E.dispose(),this.a.flush();const $=u.some(d=>!!d&&!!d.limitHit);n({limitHit:this.b||$,messages:(0,b.$vf)(u.map(d=>d?.message?Array.isArray(d.message)?d.message:[d.message]:[])),stats:{type:this.g}})},u=>{E.dispose();const $=(0,F.$9h)(u);o(new Error($))})})}h(a){return w(a)?Array.isArray(a.ranges)?a.ranges.length:1:0}j(a,p){const f=Array.isArray(a.ranges)?a.ranges:[a.ranges],E=Array.isArray(a.preview.matches)?a.preview.matches:[a.preview.matches];return{ranges:f.slice(0,p),preview:{matches:E.slice(0,p),text:a.preview.text},uri:a.uri}}async k(a,p,f){const E=new L.$OH(this.d,a),n=[],o={report:u=>{if(!this.l(u))return;const $=a.folder.scheme===R.Schemas.file?(0,L.$PH)(()=>this.f.readdir(k.$5f(u.uri))):void 0,d=k.$8f(a.folder,u.uri);if(d){const S=E.includedInQuery(d,g.$cc(d),$);(0,A.$eg)(S)?n.push(S.then(y=>{y&&p(u)})):S&&p(u)}}},s=this.n(a),t=await this.e.provideTextSearchResults(v(this.d.contentPattern),s,o,f);return n.length&&await Promise.all(n),t}l(a){if(w(a)){if(Array.isArray(a.ranges)){if(!Array.isArray(a.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(a.preview.matches.length!==a.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(a.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}n(a){const p=(0,L.$NH)(this.d.includePattern,a.includePattern),f=(0,L.$NH)(this.d.excludePattern,a.excludePattern),E={folder:m.URI.from(a.folder),excludes:f,includes:p,useIgnoreFiles:!a.disregardIgnoreFiles,useGlobalIgnoreFiles:!a.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!a.disregardParentIgnoreFiles,followSymlinks:!a.ignoreSymlinks,encoding:a.fileEncoding&&this.f.toCanonicalName(a.fileEncoding),maxFileSize:this.d.maxFileSize,maxResults:this.d.maxResults,previewOptions:this.d.previewOptions,afterContext:this.d.afterContext,beforeContext:this.d.beforeContext};return E.usePCRE2=this.d.usePCRE2,E}}e.$d_b=I;function v(l){return{isCaseSensitive:l.isCaseSensitive||!1,isRegExp:l.isRegExp||!1,isWordMatch:l.isWordMatch||!1,isMultiline:l.isMultiline||!1,pattern:l.pattern}}class D{constructor(a){this.e=a,this.b=-1,this.d=null,this.a=new i(512,p=>this.g(p))}add(a,p){this.d&&(this.b!==p||!k.$Yf(this.c,a.uri))&&(this.f(),this.d=null),this.d||(this.b=p,this.d={resource:a.uri,results:[]}),this.d.results.push(C(a))}f(){const a=this.d&&this.d.results?this.d.results.length:0;this.a.addItem(this.d,a)}flush(){this.f(),this.a.flush()}g(a){this.e(a)}}e.$e_b=D;function C(l){return w(l)?{preview:{matches:(0,b.$Ff)(l.preview.matches,a=>({startLineNumber:a.start.line,startColumn:a.start.character,endLineNumber:a.end.line,endColumn:a.end.character})),text:l.preview.text},ranges:(0,b.$Ff)(l.ranges,a=>({startLineNumber:a.start.line,startColumn:a.start.character,endLineNumber:a.end.line,endColumn:a.end.character}))}:{text:l.text,lineNumber:l.lineNumber}}function w(l){return!!l.preview}e.$f_b=w;class i{constructor(a,p){this.g=a,this.h=p,this.c=0,this.d=[],this.e=0}addItem(a,p){a&&this.j(a,p)}addItems(a,p){a&&this.k(a,p)}j(a,p){this.d.push(a),this.e+=p,this.l()}k(a,p){this.d=this.d.concat(a),this.e+=p,this.l()}l(){this.c<i.b?this.flush():this.e>=this.g?this.flush():this.f||(this.f=setTimeout(()=>{this.flush()},i.a))}flush(){this.e&&(this.c+=this.e,this.h(this.d),this.d=[],this.e=0,this.f&&(clearTimeout(this.f),this.f=0))}}e.$g_b=i,i.a=4e3,i.b=50}),define(De[90],Ce([1,0,4,6,5,323,20,59,18,2,146]),function(re,e,b,A,h,F,R,g,k,m,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$j_b=e.$i_b=e.$h_b=void 0,e.$h_b=(0,h.$lh)("IExtHostSearch");let I=e.$i_b=class{constructor(w,i,l){this.k=w,this.l=i,this.n=l,this.c=this.k.getProxy(A.$$I.MainThreadSearch),this.d=0,this.e=new Map,this.g=new Set,this.h=new Map,this.i=new Set,this.j=new F.$c_b}o(w){return this.l.transformOutgoingScheme(w)}registerTextSearchProvider(w,i){if(this.g.has(w))throw new Error(`a text search provider for the scheme '${w}' is already registered`);this.g.add(w);const l=this.d++;return this.e.set(l,i),this.c.$registerTextSearchProvider(l,this.o(w)),(0,b.$ib)(()=>{this.g.delete(w),this.e.delete(l),this.c.$unregisterProvider(l)})}registerFileSearchProvider(w,i){if(this.i.has(w))throw new Error(`a file search provider for the scheme '${w}' is already registered`);this.i.add(w);const l=this.d++;return this.h.set(l,i),this.c.$registerFileSearchProvider(l,this.o(w)),(0,b.$ib)(()=>{this.i.delete(w),this.h.delete(l),this.c.$unregisterProvider(l)})}$provideFileSearchResults(w,i,l,a){const p=v(l),f=this.h.get(w);if(f)return this.j.fileSearch(p,f,E=>{this.c.$handleFileMatch(w,i,E.map(n=>n.resource))},a);throw new Error("unknown provider: "+w)}$clearCache(w){return this.j.clearCache(w),Promise.resolve(void 0)}$provideTextSearchResults(w,i,l,a){const p=this.e.get(w);if(!p||!p.provideTextSearchResults)throw new Error(`Unknown provider ${w}`);const f=v(l);return this.q(f,p).search(n=>this.c.$handleTextMatch(w,i,n),a)}$enableExtensionHostSearch(){}q(w,i){return new L.$d_b(w,i,{readdir:l=>Promise.resolve([]),toCanonicalName:l=>l},"textSearchProvider")}};e.$i_b=I=He([We(0,R.$aL),We(1,g.$10b),We(2,k.$Ni)],I);function v(C){return{...C,folderQueries:C.folderQueries&&C.folderQueries.map(D),extraFileResources:C.extraFileResources&&C.extraFileResources.map(w=>m.URI.revive(w))}}e.$j_b=v;function D(C){return{...C,folder:m.URI.revive(C.folder)}}}),define(De[331],Ce([1,0,21,8,3,40,2,124,117,159,174,30,6,105,278,277,36,279,38,281,282,283,260,284,62,44,285,286,291,292,293,145,264,299,300,303,109,43,305,265,15,7,79,308,85,144,37,25,256,290,78,142,87,89,90,18,59,20,26,294,254,58,83,274,306,84,64,311,309,310,275,51,304,307,108,63,82,295,86,296,16,127,263,243,288,4,27,250,106,239,297,298,276,287,262,301,289,107,302]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n,o,s,t,u,$,d,S,y,c,r,P,N,U,q,W,O,J,z,j,he,ie,ne,V,H,ce,pe,ye,ge,M,Q,ve,Se,ee,te,ue,Z,le,se,oe,T,K,X,x,me,Ee,fe,Ie,Pe,qe,Ve,tt,Ge,Qe,st,at,xe,rt,de,Me,_,Y,we,je,Oe,Ze,et,nt,ft,vt,Nt,Tt,Et,Bt,Ot,jt,Vt){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$P_b=void 0;function Ht(lt){const gt=lt.get(Z.$qL),Wt=lt.get(qe.$Q0b),Rt=lt.get(me.$j$b),Ct=lt.get(t.$z$b),ut=lt.get(H.$40b),Pt=lt.get(st.$uL),Mt=lt.get(a.$70b),Fe=lt.get(te.$10b),Le=lt.get(ue.$aL),Ae=lt.get(q.$f$b),ae=lt.get(x.$k$b),Ne=lt.get(ee.$Oi),Be=lt.get(ee.$Ni),Ye=lt.get(oe.$job),Ke=lt.get(T.$T0b),it=lt.get(V.$X$b),kt=lt.get(Ge.$r$b),It=lt.get(Qe.$6$b),At=lt.get(jt.$v$b);Le.set(v.$_I.ExtHostFileSystemInfo,Wt),Le.set(v.$_I.ExtHostLogLevelServiceShape,Ne),Le.set(v.$_I.ExtHostWorkspace,ut),Le.set(v.$_I.ExtHostConfiguration,Mt),Le.set(v.$_I.ExtHostExtensionService,Ct),Le.set(v.$_I.ExtHostStorage,Ae),Le.set(v.$_I.ExtHostTunnelService,Ye),Le.set(v.$_I.ExtHostWindow,it),Le.set(v.$_I.ExtHostSecretState,kt),Le.set(v.$_I.ExtHostTelemetry,Pt),Le.set(v.$_I.ExtHostEditorTabs,It),Le.set(v.$_I.ExtHostManagedSockets,At);const bt=Le.set(v.$_I.ExtHostDecorations,lt.get(M.$2$b)),pt=Le.set(v.$_I.ExtHostDocumentsAndEditors,lt.get(s.$lL)),mt=Le.set(v.$_I.ExtHostCommands,lt.get(i.$wL)),yt=Le.set(v.$_I.ExtHostTerminalService,lt.get(W.$m$b)),wt=Le.set(v.$_I.ExtHostDebugService,lt.get(ve.$0$b)),Zt=Le.set(v.$_I.ExtHostSearch,lt.get(Se.$h_b)),qt=Le.set(v.$_I.ExtHostTask,lt.get(Q.$5$b)),ni=Le.set(v.$_I.ExtHostOutputService,lt.get(c.$H$b)),ai=Le.set(v.$_I.ExtHostLocalization,lt.get(et.$u$b)),yi=Le.set(v.$_I.ExtHostUrls,new ie.$Q$b(Le)),Lt=Le.set(v.$_I.ExtHostDocuments,new o.$O0b(Le,pt)),ci=Le.set(v.$_I.ExtHostDocumentContentProviders,new E.$90b(Le,pt,Be)),fi=Le.set(v.$_I.ExtHostDocumentSaveParticipant,new n.$00b(Be,Lt,Le.getProxy(v.$$I.MainThreadBulkEdits))),Dt=Le.set(v.$_I.ExtHostNotebook,new le.$n_b(Le,mt,pt,Lt,Rt)),Ei=Le.set(v.$_I.ExtHostNotebookDocuments,new Y.$F_b(Dt)),Fi=Le.set(v.$_I.ExtHostNotebookEditors,new _.$E_b(Be,Dt)),mi=Le.set(v.$_I.ExtHostNotebookKernels,new at.$B_b(Le,gt,Dt,mt,Be)),Ti=Le.set(v.$_I.ExtHostNotebookRenderers,new rt.$D_b(Le,Dt)),Mi=Le.set(v.$_I.ExtHostNotebookDocumentSaveParticipant,new Et.$L_b(Be,Dt,Le.getProxy(v.$$I.MainThreadBulkEdits))),zt=Le.set(v.$_I.ExtHostEditors,new O.$O$b(Le,pt)),Qt=Le.set(v.$_I.ExtHostTreeViews,new J.$P$b(Le.getProxy(v.$$I.MainThreadTreeViews),mt,Be)),Ni=Le.set(v.$_I.ExtHostEditorInsets,new pe.$Y$b(Le.getProxy(v.$$I.MainThreadEditorInsets),zt,gt.remote)),li=Le.set(v.$_I.ExtHostDiagnostics,new p.$S0b(Le,Be,Wt,pt)),ui=Le.set(v.$_I.ExtHostLanguages,new S.$E$b(Le,Lt,mt.converter,Fe)),ht=Le.set(v.$_I.ExtHostLanguageFeatures,new d.$W0b(Le,Fe,Lt,mt,li,Be,Ke,Pt)),an=Le.set(v.$_I.ExtHostFileSystem,new u.$C$b(Le,ht)),Kt=Le.set(v.$_I.ExtHostFileSystemEventService,new $.$D$b(Le,Be,pt)),ri=Le.set(v.$_I.ExtHostQuickOpen,(0,P.$J$b)(Le,ut,mt)),ki=Le.set(v.$_I.ExtHostSCM,new N.$L$b(Le,mt,Lt,Be)),Oi=Le.set(v.$_I.ExtHostQuickDiff,new vt.$I_b(Le,Fe)),zi=Le.set(v.$_I.ExtHostShare,new Vt.$O_b(Le,Fe)),ji=Le.set(v.$_I.ExtHostComments,(0,l.$Z0b)(Le,mt,Lt)),Si=Le.set(v.$_I.ExtHostProgress,new r.$I$b(Le.getProxy(v.$$I.MainThreadProgress))),Ui=Le.set(v.$_I.ExtHosLabelService,new ye.$Z$b(Le)),Di=Le.set(v.$_I.ExtHostTheming,new se.$o_b(Le)),si=Le.set(v.$_I.ExtHostAuthentication,new K.$p_b(Le)),Bi=Le.set(v.$_I.ExtHostTimeline,new X.$r_b(Le,mt)),gi=Le.set(v.$_I.ExtHostWebviews,new ne.$T$b(Le,gt.remote,ut,Be,Ke)),$i=Le.set(v.$_I.ExtHostWebviewPanels,new Ie.$t_b(Le,gi,ut)),Wi=Le.set(v.$_I.ExtHostCustomEditors,new fe.$u_b(Le,Lt,ae,gi,$i)),qi=Le.set(v.$_I.ExtHostWebviewViews,new Ee.$s_b(Le,gi)),oi=Le.set(v.$_I.ExtHostTesting,new Ve.$w_b(Le,mt,pt)),Vi=Le.set(v.$_I.ExtHostUriOpeners,new tt.$A_b(Le)),Hi=Le.set(v.$_I.ExtHostProfileContentHandlers,new ft.$H_b(Le));Le.set(v.$_I.ExtHostInteractive,new we.$G_b(Le,Dt,pt,mt,Be));const Ki=Le.set(v.$_I.ExtHostInlineChat,new Tt.$K_b(Le,mt,Lt,Be)),ei=Le.set(v.$_I.ExtHostChat,new Nt.$J_b(Le,Be)),Ji=Le.set(v.$_I.ExtHostSemanticSimilarity,new Bt.$M_b(Le)),Gi=Le.set(v.$_I.ExtHostIssueReporter,new Ot.$N_b(Le)),Ci=Le.set(v.$_I.ExtHostStatusBar,new U.$N$b(Le,mt.converter)),Qi=Object.values(v.$_I);Le.assertRegistered(Qi);const cn=new Pe.$v_b(Le,pt),ln=new w.$Y0b(Le),hi=new y.$F$b(Le,Be),bi=new f.$80b(Le);return C.$X0b.register(mt),function(Ue,Xt,Ii){const $t=function(){let $e=!Ue.isUnderDevelopment;function ke(){$e||(Be.info(`Extension '${Ue.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),$e=!0)}return function ze(ot){if(Array.isArray(ot))ot.forEach(ze);else if(typeof ot=="string")ke();else{const St=ot;typeof St.scheme>"u"&&ke(),typeof St.exclusive=="boolean"&&(0,Oe.$$E)(Ue,"documentFiltersExclusive")}return ot}}(),Yi={getSession($e,ke,ze){return si.getSession(Ue,$e,ke,ze)},getSessions($e,ke){return(0,Oe.$$E)(Ue,"authGetSessions"),si.getSessions(Ue,$e,ke)},async hasSession($e,ke){return(0,Oe.$$E)(Ue,"authSession"),!!await si.getSession(Ue,$e,ke,{silent:!0})},get onDidChangeSessions(){return si.onDidChangeSessions},registerAuthenticationProvider($e,ke,ze,ot){return si.registerAuthenticationProvider($e,ke,ze,ot)}},Zi={registerCommand($e,ke,ze){return mt.registerCommand(!0,$e,ke,ze,void 0,Ue)},registerTextEditorCommand($e,ke,ze){return mt.registerCommand(!0,$e,(...ot)=>{const St=zt.getActiveTextEditor();if(!St){Be.warn("Cannot execute "+$e+" because there is no active text editor.");return}return St.edit(Ft=>{ke.apply(ze,[St,Ft,...ot])}).then(Ft=>{Ft||Be.warn("Edits from command "+$e+" were not applied.")},Ft=>{Be.warn("An error occurred while running command "+$e,Ft)})},void 0,void 0,Ue)},registerDiffInformationCommand:($e,ke,ze)=>((0,Oe.$$E)(Ue,"diffCommand"),mt.registerCommand(!0,$e,async(...ot)=>{const St=pt.activeEditor(!0);if(!St){Be.warn("Cannot execute "+$e+" because there is no active text editor.");return}const Ft=await zt.getDiffInformation(St.id);ke.apply(ze,[Ft,...ot])},void 0,void 0,Ue)),executeCommand($e,...ke){return mt.executeCommand($e,...ke)},getCommands($e=!1){return mt.getCommands($e)}},Pi={get machineId(){return gt.telemetryInfo.machineId},get sessionId(){return gt.telemetryInfo.sessionId},get language(){return gt.environment.appLanguage},get appName(){return gt.environment.appName},get appRoot(){return gt.environment.appRoot?.fsPath??""},get appHost(){return gt.environment.appHost},get uriScheme(){return gt.environment.appUriScheme},get clipboard(){return ln.value},get shell(){return yt.getDefaultShell(!1)},get onDidChangeShell(){return(0,Oe.$$E)(Ue,"envShellEvent"),yt.onDidChangeShell},get isTelemetryEnabled(){return Pt.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return Pt.onDidChangeTelemetryEnabled},get telemetryConfiguration(){return(0,Oe.$$E)(Ue,"telemetry"),Pt.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,Oe.$$E)(Ue,"telemetry"),Pt.onDidChangeTelemetryConfiguration},get isNewAppInstall(){return(0,st.$tL)(gt.telemetryInfo.firstSessionDate)},createTelemetryLogger($e,ke){return st.$sL.validateSender($e),Pt.instantiateLogger(Ue,$e,ke)},openExternal($e,ke){return it.openUri($e,{allowTunneling:!!gt.remote.authority,allowContributedOpeners:ke?.allowContributedOpeners})},async asExternalUri($e){if($e.scheme===gt.environment.appUriScheme)return yi.createAppUri($e);try{return await it.asExternalUri($e,{allowTunneling:!!gt.remote.authority})}catch(ke){if((0,Me.$vY)($e,de.Schemas.http)||(0,Me.$vY)($e,de.Schemas.https))return $e;throw ke}},get remoteName(){return(0,ge.$yk)(gt.remote.authority)},get remoteAuthority(){return(0,Oe.$$E)(Ue,"resolvers"),gt.remote.authority},get uiKind(){return gt.uiKind},get logLevel(){return Be.getLevel()},get onDidChangeLogLevel(){return Be.onDidChangeLogLevel},registerIssueUriRequestHandler($e){return(0,Oe.$$E)(Ue,"handleIssueUri"),Gi.registerIssueUriRequestHandler(Ue,$e)},get appQuality(){return(0,Oe.$$E)(Ue,"resolvers"),gt.quality},get appCommit(){return(0,Oe.$$E)(Ue,"resolvers"),gt.commit}};gt.environment.extensionTestsLocationURI||Object.freeze(Pi);const un={createTestController($e,ke,ze){return oi.createTestController(Ue,$e,ke,ze)},createTestObserver(){return(0,Oe.$$E)(Ue,"testObserver"),oi.createTestObserver()},runTests($e){return(0,Oe.$$E)(Ue,"testObserver"),oi.runTests($e)},get onDidChangeTestResults(){return(0,Oe.$$E)(Ue,"testObserver"),oi.onResultsChanged},get testResults(){return(0,Oe.$$E)(Ue,"testObserver"),oi.results}},di=gt.remote.isRemote?j.ExtensionKind.Workspace:j.ExtensionKind.UI,Xi={getExtension($e,ke){(0,Oe.$0E)(Ue,"extensionsAny")||(ke=!1);const ze=Xt.mine.getExtensionDescription($e);if(ze)return new t.$A$b(Ct,Ue.identifier,ze,di,!1);if(ke){const ot=Xt.all.getExtensionDescription($e);if(ot)return new t.$A$b(Ct,Ue.identifier,ot,di,!0)}},get all(){const $e=[];for(const ke of Xt.mine.getAllExtensionDescriptions())$e.push(new t.$A$b(Ct,Ue.identifier,ke,di,!1));return $e},get allAcrossExtensionHosts(){(0,Oe.$$E)(Ue,"extensionsAny");const $e=new ce.$El(Xt.mine.getAllExtensionDescriptions().map(ze=>ze.identifier)),ke=[];for(const ze of Xt.all.getAllExtensionDescriptions()){const ot=!$e.has(ze.identifier);ke.push(new t.$A$b(Ct,Ue.identifier,ze,di,ot))}return ke},get onDidChange(){return(0,Oe.$0E)(Ue,"extensionsAny")?h.Event.any(Xt.mine.onDidChange,Xt.all.onDidChange):Xt.mine.onDidChange}},_t={createDiagnosticCollection($e){return li.createDiagnosticCollection(Ue.identifier,$e)},get onDidChangeDiagnostics(){return li.onDidChangeDiagnostics},getDiagnostics:$e=>li.getDiagnostics($e),getLanguages(){return ui.getLanguages()},setTextDocumentLanguage($e,ke){return ui.changeLanguage($e.uri,ke)},match($e,ke){const ze=Lt.getDocumentData(ke.uri)?.notebook;return(0,L.$xE)(z.LanguageSelector.from($e),ke.uri,ke.languageId,!0,ze?.uri,ze?.notebookType)},registerCodeActionsProvider($e,ke,ze){return ht.registerCodeActionProvider(Ue,$t($e),ke,ze)},registerDocumentPasteEditProvider($e,ke,ze){return(0,Oe.$$E)(Ue,"documentPaste"),ht.registerDocumentPasteEditProvider(Ue,$t($e),ke,ze)},registerCodeLensProvider($e,ke){return ht.registerCodeLensProvider(Ue,$t($e),ke)},registerDefinitionProvider($e,ke){return ht.registerDefinitionProvider(Ue,$t($e),ke)},registerDeclarationProvider($e,ke){return ht.registerDeclarationProvider(Ue,$t($e),ke)},registerImplementationProvider($e,ke){return ht.registerImplementationProvider(Ue,$t($e),ke)},registerTypeDefinitionProvider($e,ke){return ht.registerTypeDefinitionProvider(Ue,$t($e),ke)},registerHoverProvider($e,ke){return ht.registerHoverProvider(Ue,$t($e),ke,Ue.identifier)},registerEvaluatableExpressionProvider($e,ke){return ht.registerEvaluatableExpressionProvider(Ue,$t($e),ke,Ue.identifier)},registerInlineValuesProvider($e,ke){return ht.registerInlineValuesProvider(Ue,$t($e),ke,Ue.identifier)},registerDocumentHighlightProvider($e,ke){return ht.registerDocumentHighlightProvider(Ue,$t($e),ke)},registerLinkedEditingRangeProvider($e,ke){return ht.registerLinkedEditingRangeProvider(Ue,$t($e),ke)},registerReferenceProvider($e,ke){return ht.registerReferenceProvider(Ue,$t($e),ke)},registerRenameProvider($e,ke){return ht.registerRenameProvider(Ue,$t($e),ke)},registerDocumentSymbolProvider($e,ke,ze){return ht.registerDocumentSymbolProvider(Ue,$t($e),ke,ze)},registerWorkspaceSymbolProvider($e){return ht.registerWorkspaceSymbolProvider(Ue,$e)},registerDocumentFormattingEditProvider($e,ke){return ht.registerDocumentFormattingEditProvider(Ue,$t($e),ke)},registerDocumentRangeFormattingEditProvider($e,ke){return ht.registerDocumentRangeFormattingEditProvider(Ue,$t($e),ke)},registerOnTypeFormattingEditProvider($e,ke,ze,...ot){return ht.registerOnTypeFormattingEditProvider(Ue,$t($e),ke,[ze].concat(ot))},registerDocumentSemanticTokensProvider($e,ke,ze){return ht.registerDocumentSemanticTokensProvider(Ue,$t($e),ke,ze)},registerDocumentRangeSemanticTokensProvider($e,ke,ze){return ht.registerDocumentRangeSemanticTokensProvider(Ue,$t($e),ke,ze)},registerSignatureHelpProvider($e,ke,ze,...ot){return typeof ze=="object"?ht.registerSignatureHelpProvider(Ue,$t($e),ke,ze):ht.registerSignatureHelpProvider(Ue,$t($e),ke,typeof ze>"u"?[]:[ze,...ot])},registerCompletionItemProvider($e,ke,...ze){return ht.registerCompletionItemProvider(Ue,$t($e),ke,ze)},registerInlineCompletionItemProvider($e,ke){return ke.handleDidShowCompletionItem&&(0,Oe.$$E)(Ue,"inlineCompletionsAdditions"),ke.handleDidPartiallyAcceptCompletionItem&&(0,Oe.$$E)(Ue,"inlineCompletionsAdditions"),ht.registerInlineCompletionsProvider(Ue,$t($e),ke)},registerDocumentLinkProvider($e,ke){return ht.registerDocumentLinkProvider(Ue,$t($e),ke)},registerColorProvider($e,ke){return ht.registerColorProvider(Ue,$t($e),ke)},registerFoldingRangeProvider($e,ke){return ht.registerFoldingRangeProvider(Ue,$t($e),ke)},registerSelectionRangeProvider($e,ke){return ht.registerSelectionRangeProvider(Ue,$e,ke)},registerCallHierarchyProvider($e,ke){return ht.registerCallHierarchyProvider(Ue,$e,ke)},registerTypeHierarchyProvider($e,ke){return ht.registerTypeHierarchyProvider(Ue,$e,ke)},setLanguageConfiguration:($e,ke)=>ht.setLanguageConfiguration(Ue,$e,ke),getTokenInformationAtPosition($e,ke){return(0,Oe.$$E)(Ue,"tokenInformation"),ui.tokenAtPosition($e,ke)},registerInlayHintsProvider($e,ke){return ht.registerInlayHintsProvider(Ue,$e,ke)},createLanguageStatusItem($e,ke){return ui.createLanguageStatusItem(Ue,$e,ke)},registerDocumentDropEditProvider($e,ke,ze){return ht.registerDocumentOnDropEditProvider(Ue,$e,ke,(0,Oe.$0E)(Ue,"dropMetadata")?ze:void 0)}},pi={get activeTextEditor(){return zt.getActiveTextEditor()},get visibleTextEditors(){return zt.getVisibleTextEditors()},get activeTerminal(){return yt.activeTerminal},get terminals(){return yt.terminals},async showTextDocument($e,ke,ze){const ot=await(R.URI.isUri($e)?Promise.resolve(_i.openTextDocument($e)):Promise.resolve($e));return zt.showTextDocument(ot,ke,ze)},createTextEditorDecorationType($e){return zt.createTextEditorDecorationType(Ue,$e)},onDidChangeActiveTextEditor($e,ke,ze){return zt.onDidChangeActiveTextEditor($e,ke,ze)},onDidChangeVisibleTextEditors($e,ke,ze){return zt.onDidChangeVisibleTextEditors($e,ke,ze)},onDidChangeTextEditorSelection($e,ke,ze){return zt.onDidChangeTextEditorSelection($e,ke,ze)},onDidChangeTextEditorOptions($e,ke,ze){return zt.onDidChangeTextEditorOptions($e,ke,ze)},onDidChangeTextEditorVisibleRanges($e,ke,ze){return zt.onDidChangeTextEditorVisibleRanges($e,ke,ze)},onDidChangeTextEditorViewColumn($e,ke,ze){return zt.onDidChangeTextEditorViewColumn($e,ke,ze)},onDidCloseTerminal($e,ke,ze){return yt.onDidCloseTerminal($e,ke,ze)},onDidOpenTerminal($e,ke,ze){return yt.onDidOpenTerminal($e,ke,ze)},onDidChangeActiveTerminal($e,ke,ze){return yt.onDidChangeActiveTerminal($e,ke,ze)},onDidChangeTerminalDimensions($e,ke,ze){return(0,Oe.$$E)(Ue,"terminalDimensions"),yt.onDidChangeTerminalDimensions($e,ke,ze)},onDidChangeTerminalState($e,ke,ze){return yt.onDidChangeTerminalState($e,ke,ze)},onDidWriteTerminalData($e,ke,ze){return(0,Oe.$$E)(Ue,"terminalDataWriteEvent"),yt.onDidWriteTerminalData($e,ke,ze)},get state(){return it.getState(Ue)},onDidChangeWindowState($e,ke,ze){return it.onDidChangeWindowState($e,ke,ze)},showInformationMessage($e,...ke){return hi.showMessage(Ue,F.default.Info,$e,ke[0],ke.slice(1))},showWarningMessage($e,...ke){return hi.showMessage(Ue,F.default.Warning,$e,ke[0],ke.slice(1))},showErrorMessage($e,...ke){return hi.showMessage(Ue,F.default.Error,$e,ke[0],ke.slice(1))},showQuickPick($e,ke,ze){return ri.showQuickPick(Ue,$e,ke,ze)},showWorkspaceFolderPick($e){return ri.showWorkspaceFolderPick($e)},showInputBox($e,ke){return ri.showInput($e,ke)},showOpenDialog($e){return bi.showOpenDialog(Ue,$e)},showSaveDialog($e){return bi.showSaveDialog($e)},createStatusBarItem($e,ke,ze){let ot,St,Ft;return typeof $e=="string"?(ot=$e,St=ke,Ft=ze):(St=$e,Ft=ke),Ci.createStatusBarEntry(Ue,ot,St,Ft)},setStatusBarMessage($e,ke){return Ci.setStatusBarMessage($e,ke)},withScmProgress($e){return Ke.report("window.withScmProgress",Ue,"Use 'withProgress' instead."),Si.withProgress(Ue,{location:j.ProgressLocation.SourceControl},(ke,ze)=>$e({report(ot){}}))},withProgress($e,ke){return Si.withProgress(Ue,$e,ke)},createOutputChannel($e,ke){return ni.createOutputChannel($e,ke,Ue)},createWebviewPanel($e,ke,ze,ot){return $i.createWebviewPanel(Ue,$e,ke,ze,ot)},createWebviewTextEditorInset($e,ke,ze,ot){return(0,Oe.$$E)(Ue,"editorInsets"),Ni.createWebviewEditorInset($e,ke,ze,ot,Ue)},createTerminal($e,ke,ze){return typeof $e=="object"?"pty"in $e?yt.createExtensionTerminal($e):yt.createTerminalFromOptions($e):yt.createTerminal($e,ke,ze)},registerTerminalLinkProvider($e){return yt.registerLinkProvider($e)},registerTerminalProfileProvider($e,ke){return yt.registerProfileProvider(Ue,$e,ke)},registerTerminalQuickFixProvider($e,ke){return(0,Oe.$$E)(Ue,"terminalQuickFixProvider"),yt.registerTerminalQuickFixProvider($e,Ue.identifier.value,ke)},registerTreeDataProvider($e,ke){return Qt.registerTreeDataProvider($e,ke,Ue)},createTreeView($e,ke){return Qt.createTreeView($e,ke,Ue)},registerWebviewPanelSerializer:($e,ke)=>$i.registerWebviewPanelSerializer(Ue,$e,ke),registerCustomEditorProvider:($e,ke,ze={})=>Wi.registerCustomEditorProvider(Ue,$e,ke,ze),registerFileDecorationProvider($e){return bt.registerFileDecorationProvider($e,Ue)},registerUriHandler($e){return yi.registerUriHandler(Ue,$e)},createQuickPick(){return ri.createQuickPick(Ue)},createInputBox(){return ri.createInputBox(Ue)},get activeColorTheme(){return Di.activeColorTheme},onDidChangeActiveColorTheme($e,ke,ze){return Di.onDidChangeActiveColorTheme($e,ke,ze)},registerWebviewViewProvider($e,ke,ze){return qi.registerWebviewViewProvider(Ue,$e,ke,ze?.webviewOptions)},get activeNotebookEditor(){return Dt.activeNotebookEditor},onDidChangeActiveNotebookEditor($e,ke,ze){return Dt.onDidChangeActiveNotebookEditor($e,ke,ze)},get visibleNotebookEditors(){return Dt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return Dt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection($e,ke,ze){return Fi.onDidChangeNotebookEditorSelection($e,ke,ze)},onDidChangeNotebookEditorVisibleRanges($e,ke,ze){return Fi.onDidChangeNotebookEditorVisibleRanges($e,ke,ze)},showNotebookDocument($e,ke){return Dt.showNotebookDocument($e,ke)},registerExternalUriOpener($e,ke,ze){return(0,Oe.$$E)(Ue,"externalUriOpener"),Vi.registerExternalUriOpener(Ue.identifier,$e,ke,ze)},registerProfileContentHandler($e,ke){return(0,Oe.$$E)(Ue,"profileContentHandlers"),Hi.registrProfileContentHandler(Ue,$e,ke)},registerQuickDiffProvider($e,ke,ze,ot){return(0,Oe.$$E)(Ue,"quickDiffProvider"),Oi.registerQuickDiffProvider($t($e),ke,ze,ot)},get tabGroups(){return It.tabGroups},registerShareProvider($e,ke){return(0,Oe.$$E)(Ue,"shareProvider"),zi.registerShareProvider($t($e),ke)}},_i={get rootPath(){return Ke.report("workspace.rootPath",Ue,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),ut.getPath()},set rootPath($e){throw A.$6()},getWorkspaceFolder($e){return ut.getWorkspaceFolder($e)},get workspaceFolders(){return ut.getWorkspaceFolders()},get name(){return ut.name},set name($e){throw A.$6()},get workspaceFile(){return ut.workspaceFile},set workspaceFile($e){throw A.$6()},updateWorkspaceFolders:($e,ke,...ze)=>ut.updateWorkspaceFolders(Ue,$e,ke||0,...ze),onDidChangeWorkspaceFolders:function($e,ke,ze){return ut.onDidChangeWorkspace($e,ke,ze)},asRelativePath:($e,ke)=>ut.getRelativePath($e,ke),findFiles:($e,ke,ze,ot)=>ut.findFiles($e,ke,ze,Ue.identifier,ot),findTextInFiles:($e,ke,ze,ot)=>{(0,Oe.$$E)(Ue,"findTextInFiles");let St,Ft;return typeof ke=="object"?(St=ke,Ft=ze):(St={},Ft=ke,ot=ze),ut.findTextInFiles($e,St||{},Ft,Ue.identifier,ot)},save:$e=>((0,Oe.$$E)(Ue,"saveEditor"),ut.save($e)),saveAs:$e=>((0,Oe.$$E)(Ue,"saveEditor"),ut.saveAs($e)),saveAll:$e=>ut.saveAll($e),applyEdit($e,ke){return cn.applyWorkspaceEdit($e,Ue,ke)},createFileSystemWatcher:($e,ke,ze,ot)=>Kt.createFileSystemWatcher(ut,Ue,$e,ke,ze,ot),get textDocuments(){return Lt.getAllDocumentData().map($e=>$e.document)},set textDocuments($e){throw A.$6()},openTextDocument($e){let ke;const ze=$e;if(typeof $e=="string")ke=Promise.resolve(R.URI.file($e));else if(R.URI.isUri($e))ke=Promise.resolve($e);else if(!ze||typeof ze=="object")ke=Lt.createDocumentData(ze);else throw new Error("illegal argument - uriOrFileNameOrOptions");return ke.then(ot=>Lt.ensureDocumentData(ot).then(St=>St.document))},onDidOpenTextDocument:($e,ke,ze)=>Lt.onDidAddDocument($e,ke,ze),onDidCloseTextDocument:($e,ke,ze)=>Lt.onDidRemoveDocument($e,ke,ze),onDidChangeTextDocument:($e,ke,ze)=>Lt.onDidChangeDocument($e,ke,ze),onDidSaveTextDocument:($e,ke,ze)=>Lt.onDidSaveDocument($e,ke,ze),onWillSaveTextDocument:($e,ke,ze)=>fi.getOnWillSaveTextDocumentEvent(Ue)($e,ke,ze),get notebookDocuments(){return Dt.notebookDocuments.map($e=>$e.apiNotebook)},async openNotebookDocument($e,ke){let ze;if(R.URI.isUri($e))ze=$e,await Dt.openNotebookDocument($e);else if(typeof $e=="string")ze=R.URI.revive(await Dt.createNotebookDocument({viewType:$e,content:ke}));else throw new Error("Invalid arguments");return Dt.getNotebookDocument(ze).apiNotebook},onDidSaveNotebookDocument($e,ke,ze){return Ei.onDidSaveNotebookDocument($e,ke,ze)},onDidChangeNotebookDocument($e,ke,ze){return Ei.onDidChangeNotebookDocument($e,ke,ze)},onWillSaveNotebookDocument($e,ke,ze){return Mi.getOnWillSaveNotebookDocumentEvent(Ue)($e,ke,ze)},get onDidOpenNotebookDocument(){return Dt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return Dt.onDidCloseNotebookDocument},registerNotebookSerializer($e,ke,ze,ot){return Dt.registerNotebookSerializer(Ue,$e,ke,ze,(0,Oe.$0E)(Ue,"notebookLiveShare")?ot:void 0)},onDidChangeConfiguration:($e,ke,ze)=>Ii.onDidChangeConfiguration($e,ke,ze),getConfiguration($e,ke){return ke=arguments.length===1?void 0:ke,Ii.getConfiguration($e,ke,Ue)},registerTextDocumentContentProvider($e,ke){return ci.registerTextDocumentContentProvider($e,ke)},registerTaskProvider:($e,ke)=>(Ke.report("window.registerTaskProvider",Ue,"Use the corresponding function on the 'tasks' namespace instead"),qt.registerTaskProvider(Ue,$e,ke)),registerFileSystemProvider($e,ke,ze){return(0,je.$hb)(an.registerFileSystemProvider(Ue,$e,ke,ze),Rt.addFileSystemProvider($e,ke,ze))},get fs(){return Rt.value},registerFileSearchProvider:($e,ke)=>((0,Oe.$$E)(Ue,"fileSearchProvider"),Zt.registerFileSearchProvider($e,ke)),registerTextSearchProvider:($e,ke)=>((0,Oe.$$E)(Ue,"textSearchProvider"),Zt.registerTextSearchProvider($e,ke)),registerRemoteAuthorityResolver:($e,ke)=>((0,Oe.$$E)(Ue,"resolvers"),Ct.registerRemoteAuthorityResolver($e,ke)),registerResourceLabelFormatter:$e=>((0,Oe.$$E)(Ue,"resolvers"),Ui.$registerResourceLabelFormatter($e)),getRemoteExecServer:$e=>((0,Oe.$$E)(Ue,"resolvers"),Ct.getRemoteExecServer($e)),onDidCreateFiles:($e,ke,ze)=>Kt.onDidCreateFile($e,ke,ze),onDidDeleteFiles:($e,ke,ze)=>Kt.onDidDeleteFile($e,ke,ze),onDidRenameFiles:($e,ke,ze)=>Kt.onDidRenameFile($e,ke,ze),onWillCreateFiles:($e,ke,ze)=>Kt.getOnWillCreateFileEvent(Ue)($e,ke,ze),onWillDeleteFiles:($e,ke,ze)=>Kt.getOnWillDeleteFileEvent(Ue)($e,ke,ze),onWillRenameFiles:($e,ke,ze)=>Kt.getOnWillRenameFileEvent(Ue)($e,ke,ze),openTunnel:$e=>((0,Oe.$$E)(Ue,"tunnels"),Ye.openTunnel(Ue,$e).then(ke=>{if(!ke)throw new Error("cannot open tunnel");return ke})),get tunnels(){return(0,Oe.$$E)(Ue,"tunnels"),Ye.getTunnels()},onDidChangeTunnels:($e,ke,ze)=>((0,Oe.$$E)(Ue,"tunnels"),Ye.onDidChangeTunnels($e,ke,ze)),registerPortAttributesProvider:($e,ke)=>((0,Oe.$$E)(Ue,"portsAttributes"),Ye.registerPortsAttributesProvider($e,ke)),registerTimelineProvider:($e,ke)=>((0,Oe.$$E)(Ue,"timeline"),Bi.registerTimelineProvider($e,ke,Ue.identifier,mt.converter)),get isTrusted(){return ut.trusted},requestWorkspaceTrust:$e=>((0,Oe.$$E)(Ue,"workspaceTrust"),ut.requestWorkspaceTrust($e)),onDidGrantWorkspaceTrust:($e,ke,ze)=>ut.onDidGrantWorkspaceTrust($e,ke,ze),registerEditSessionIdentityProvider:($e,ke)=>((0,Oe.$$E)(Ue,"editSessionIdentityProvider"),ut.registerEditSessionIdentityProvider($e,ke)),onWillCreateEditSessionIdentity:($e,ke,ze)=>((0,Oe.$$E)(Ue,"editSessionIdentityProvider"),ut.getOnWillCreateEditSessionIdentityEvent(Ue)($e,ke,ze)),registerCanonicalUriProvider:($e,ke)=>((0,Oe.$$E)(Ue,"canonicalUriProvider"),ut.registerCanonicalUriProvider($e,ke)),getCanonicalUri:($e,ke,ze)=>((0,Oe.$$E)(Ue,"canonicalUriProvider"),ut.provideCanonicalUri($e,ke,ze))},Jt={get inputBox(){return Ke.report("scm.inputBox",Ue,"Use 'SourceControl.inputBox' instead"),ki.getLastInputBox(Ue)},createSourceControl($e,ke,ze){return ki.createSourceControl(Ue,$e,ke,ze)}},wi={createCommentController($e,ke){return ji.createCommentController(Ue,$e,ke)}},xi={get activeDebugSession(){return wt.activeDebugSession},get activeDebugConsole(){return wt.activeDebugConsole},get breakpoints(){return wt.breakpoints},get stackFrameFocus(){return wt.stackFrameFocus},onDidStartDebugSession($e,ke,ze){return wt.onDidStartDebugSession($e,ke,ze)},onDidTerminateDebugSession($e,ke,ze){return wt.onDidTerminateDebugSession($e,ke,ze)},onDidChangeActiveDebugSession($e,ke,ze){return wt.onDidChangeActiveDebugSession($e,ke,ze)},onDidReceiveDebugSessionCustomEvent($e,ke,ze){return wt.onDidReceiveDebugSessionCustomEvent($e,ke,ze)},onDidChangeBreakpoints($e,ke,ze){return wt.onDidChangeBreakpoints($e,ke,ze)},onDidChangeStackFrameFocus($e,ke,ze){return(0,Oe.$$E)(Ue,"debugFocus"),wt.onDidChangeStackFrameFocus($e,ke,ze)},registerDebugConfigurationProvider($e,ke,ze){return wt.registerDebugConfigurationProvider($e,ke,ze||Ze.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory($e,ke){return wt.registerDebugAdapterDescriptorFactory(Ue,$e,ke)},registerDebugAdapterTrackerFactory($e,ke){return wt.registerDebugAdapterTrackerFactory($e,ke)},startDebugging($e,ke,ze){return!ze||typeof ze=="object"&&"configuration"in ze?wt.startDebugging($e,ke,{parentSession:ze}):wt.startDebugging($e,ke,ze||{})},stopDebugging($e){return wt.stopDebugging($e)},addBreakpoints($e){return wt.addBreakpoints($e)},removeBreakpoints($e){return wt.removeBreakpoints($e)},asDebugSourceUri($e,ke){return wt.asDebugSourceUri($e,ke)}},en={registerTaskProvider:($e,ke)=>qt.registerTaskProvider(Ue,$e,ke),fetchTasks:$e=>qt.fetchTasks($e),executeTask:$e=>qt.executeTask(Ue,$e),get taskExecutions(){return qt.taskExecutions},onDidStartTask:($e,ke,ze)=>qt.onDidStartTask($e,ke,ze),onDidEndTask:($e,ke,ze)=>qt.onDidEndTask($e,ke,ze),onDidStartTaskProcess:($e,ke,ze)=>qt.onDidStartTaskProcess($e,ke,ze),onDidEndTaskProcess:($e,ke,ze)=>qt.onDidEndTaskProcess($e,ke,ze)},tn={createNotebookController($e,ke,ze,ot,St){return mi.createNotebookController(Ue,$e,ke,ze,ot,(0,Oe.$0E)(Ue,"notebookMessaging")?St:void 0)},registerNotebookCellStatusBarItemProvider:($e,ke)=>Dt.registerNotebookCellStatusBarItemProvider(Ue,$e,ke),createRendererMessaging($e){return Ti.createRendererMessaging(Ue,$e)},createNotebookControllerDetectionTask($e){return(0,Oe.$$E)(Ue,"notebookKernelSource"),mi.createNotebookControllerDetectionTask(Ue,$e)},registerKernelSourceActionProvider($e,ke){return(0,Oe.$$E)(Ue,"notebookKernelSource"),mi.registerKernelSourceActionProvider(Ue,$e,ke)},onDidChangeNotebookCellExecutionState($e,ke,ze){return(0,Oe.$$E)(Ue,"notebookCellExecutionState"),mi.onDidChangeNotebookCellExecutionState($e,ke,ze)}},nn={t(...$e){if(typeof $e[0]=="string"){const ke=$e.shift(),ze=!$e||typeof $e[0]!="object"?$e:$e[0];return ai.getMessage(Ue.identifier.value,{message:ke,args:ze})}return ai.getMessage(Ue.identifier.value,$e[0])},get bundle(){return ai.getBundle(Ue.identifier.value)},get uri(){return ai.getBundleUri(Ue.identifier.value)}},hn={_version:1,registerInteractiveEditorSessionProvider($e){return(0,Oe.$$E)(Ue,"interactive"),Ki.registerProvider(Ue,$e)},registerInteractiveSessionProvider($e,ke){return(0,Oe.$$E)(Ue,"interactive"),ei.registerChatProvider(Ue,$e,ke)},addInteractiveRequest($e){return(0,Oe.$$E)(Ue,"interactive"),ei.addChatRequest($e)},sendInteractiveRequestToProvider($e,ke){return(0,Oe.$$E)(Ue,"interactive"),ei.sendInteractiveRequestToProvider($e,ke)},get onDidPerformUserAction(){return(0,Oe.$$E)(Ue,"interactiveUserActions"),ei.onDidPerformUserAction},transferChatSession($e,ke){return(0,Oe.$$E)(Ue,"interactive"),ei.transferChatSession($e,ke)}},rn={registerSlashCommandProvider($e,ke){return(0,Oe.$$E)(Ue,"interactiveSlashCommands"),ei.registerSlashCommandProvider(Ue,$e,ke)}},sn={registerSemanticSimilarityProvider($e){return(0,Oe.$$E)(Ue,"semanticSimilarity"),Ji.registerSemanticSimilarityProvider(Ue,$e)}};return{version:gt.version,ai:sn,authentication:Yi,commands:Zi,comments:wi,debug:xi,env:Pi,extensions:Xi,interactive:hn,interactiveSlashCommands:rn,l10n:nn,languages:_t,notebooks:tn,scm:Jt,tasks:en,tests:un,window:pi,workspace:_i,Breakpoint:j.$_J,TerminalOutputAnchor:j.TerminalOutputAnchor,CallHierarchyIncomingCall:j.$yJ,CallHierarchyItem:j.$xJ,CallHierarchyOutgoingCall:j.$zJ,CancellationError:A.$2,CancellationTokenSource:b.$bd,CandidatePortSource:v.CandidatePortSource,CodeAction:j.$tJ,CodeActionKind:j.$uJ,CodeActionTriggerKind:j.CodeActionTriggerKind,CodeLens:j.$AJ,Color:j.$NJ,ColorInformation:j.$OJ,ColorPresentation:j.$PJ,ColorThemeKind:j.ColorThemeKind,CommentMode:j.CommentMode,CommentState:j.CommentState,CommentThreadCollapsibleState:j.CommentThreadCollapsibleState,CommentThreadState:j.CommentThreadState,CompletionItem:j.$HJ,CompletionItemKind:j.CompletionItemKind,CompletionItemTag:j.CompletionItemTag,CompletionList:j.$IJ,CompletionTriggerKind:j.CompletionTriggerKind,ConfigurationTarget:j.ConfigurationTarget,CustomExecution:j.$XJ,DebugAdapterExecutable:j.$dK,DebugAdapterInlineImplementation:j.$gK,DebugAdapterNamedPipeServer:j.$fK,DebugAdapterServer:j.$eK,DebugConfigurationProviderTriggerKind:Ze.DebugConfigurationProviderTriggerKind,DebugConsoleMode:j.DebugConsoleMode,DecorationRangeBehavior:j.DecorationRangeBehavior,Diagnostic:j.$oJ,DiagnosticRelatedInformation:j.$nJ,DiagnosticSeverity:j.DiagnosticSeverity,DiagnosticTag:j.DiagnosticTag,Disposable:j.$aJ,DocumentHighlight:j.$qJ,DocumentHighlightKind:j.DocumentHighlightKind,DocumentLink:j.$MJ,DocumentSymbol:j.$sJ,EndOfLine:j.EndOfLine,EnvironmentVariableMutatorType:j.EnvironmentVariableMutatorType,EvaluatableExpression:j.$jK,InlineValueText:j.$kK,InlineValueVariableLookup:j.$lK,InlineValueEvaluatableExpression:j.$mK,InlineCompletionTriggerKind:j.InlineCompletionTriggerKind,EventEmitter:h.$5c,ExtensionKind:j.ExtensionKind,ExtensionMode:j.ExtensionMode,ExternalUriOpenerPriority:j.ExternalUriOpenerPriority,FileChangeType:j.FileChangeType,FileDecoration:j.$wK,FileDecoration2:j.$wK,FileSystemError:j.$oK,FileType:I.FileType,FilePermission:I.FilePermission,FoldingRange:j.$pK,FoldingRangeKind:j.FoldingRangeKind,FunctionBreakpoint:j.$bK,InlineCompletionItem:j.$JJ,InlineCompletionList:j.$KJ,Hover:j.$pJ,IndentAction:m.IndentAction,Location:j.$mJ,MarkdownString:j.$BJ,OverviewRulerLane:k.OverviewRulerLane,ParameterInformation:j.$CJ,PortAutoForwardAction:j.PortAutoForwardAction,Position:j.$bJ,ProcessExecution:j.$VJ,ProgressLocation:j.ProgressLocation,QuickInputButtons:j.$vK,Range:j.$cJ,RelativePattern:j.$0J,Selection:j.$dJ,SelectionRange:j.$wJ,SemanticTokens:j.$sK,SemanticTokensBuilder:j.$rK,SemanticTokensEdit:j.$tK,SemanticTokensEdits:j.$uK,SemanticTokensLegend:j.$qK,ShellExecution:j.$WJ,ShellQuoting:j.ShellQuoting,SignatureHelp:j.$EJ,SignatureHelpTriggerKind:j.SignatureHelpTriggerKind,SignatureInformation:j.$DJ,SnippetString:j.$lJ,SourceBreakpoint:j.$aK,StandardTokenType:j.StandardTokenType,StatusBarAlignment:j.StatusBarAlignment,SymbolInformation:j.$rJ,SymbolKind:j.SymbolKind,SymbolTag:j.SymbolTag,Task:j.$YJ,TaskGroup:j.$UJ,TaskPanelKind:j.TaskPanelKind,TaskRevealKind:j.TaskRevealKind,TaskScope:j.TaskScope,TerminalLink:j.$QJ,TerminalQuickFixCommand:j.$SJ,TerminalQuickFixOpener:j.$RJ,TerminalLocation:j.TerminalLocation,TerminalProfile:j.$TJ,TerminalExitReason:j.TerminalExitReason,TerminalQuickFixType:j.TerminalQuickFixType,TextDocumentSaveReason:j.TextDocumentSaveReason,TextEdit:j.$hJ,SnippetTextEdit:j.$jJ,TextEditorCursorStyle:g.TextEditorCursorStyle,TextEditorLineNumbersStyle:j.TextEditorLineNumbersStyle,TextEditorRevealType:j.TextEditorRevealType,TextEditorSelectionChangeKind:j.TextEditorSelectionChangeKind,TextDocumentChangeReason:j.TextDocumentChangeReason,ThemeColor:j.$9J,ThemeIcon:j.$8J,TreeItem:j.$ZJ,TreeItemCheckboxState:j.TreeItemCheckboxState,TreeItemCollapsibleState:j.TreeItemCollapsibleState,TypeHierarchyItem:j.$SK,UIKind:D.UIKind,Uri:R.URI,ViewColumn:j.ViewColumn,WorkspaceEdit:j.$kJ,DocumentDropEdit:j.$6J,DocumentPasteEdit:j.$7J,InlayHint:j.$GJ,InlayHintLabelPart:j.$FJ,InlayHintKind:j.InlayHintKind,RemoteAuthorityResolverError:j.$gJ,ResolvedAuthority:j.$eJ,ManagedResolvedAuthority:j.$fJ,SourceControlInputBoxValidationType:j.SourceControlInputBoxValidationType,ExtensionRuntime:j.ExtensionRuntime,TimelineItem:j.$GK,NotebookRange:j.$yK,NotebookCellKind:j.NotebookCellKind,NotebookCellExecutionState:j.NotebookCellExecutionState,NotebookCellData:j.$zK,NotebookData:j.$AK,NotebookRendererScript:j.$EK,NotebookCellStatusBarAlignment:j.NotebookCellStatusBarAlignment,NotebookEditorRevealType:j.NotebookEditorRevealType,NotebookCellOutput:j.$CK,NotebookCellOutputItem:j.$BK,NotebookCellStatusBarItem:j.$DK,NotebookControllerAffinity:j.NotebookControllerAffinity,NotebookControllerAffinity2:j.NotebookControllerAffinity2,NotebookEdit:j.$iJ,NotebookKernelSourceAction:j.$FK,PortAttributes:j.$IK,LinkedEditingRanges:j.$HK,TestResultState:j.TestResultState,TestRunRequest:j.$JK,TestRunRequest2:j.$KK,TestMessage:j.$LK,TestTag:j.$MK,TestRunProfileKind:j.TestRunProfileKind,TextSearchCompleteMessageType:xe.TextSearchCompleteMessageType,DataTransfer:j.$5J,DataTransferItem:j.$1J,CoveredCount:j.$NK,FileCoverage:j.$OK,StatementCoverage:j.$PK,BranchCoverage:j.$QK,FunctionCoverage:j.$RK,WorkspaceTrustState:j.WorkspaceTrustState,LanguageStatusSeverity:j.LanguageStatusSeverity,QuickPickItemKind:j.QuickPickItemKind,InputBoxValidationSeverity:j.InputBoxValidationSeverity,TabInputText:j.$TK,TabInputTextDiff:j.$UK,TabInputTextMerge:j.$VK,TabInputCustom:j.$WK,TabInputNotebook:j.$YK,TabInputNotebookDiff:j.$ZK,TabInputWebview:j.$XK,TabInputTerminal:j.$1K,TabInputInteractiveWindow:j.$2K,TelemetryTrustedValue:he.$Xn,LogLevel:ee.LogLevel,EditSessionIdentityMatch:nt.EditSessionIdentityMatch,InteractiveSessionVoteDirection:j.InteractiveSessionVoteDirection,InteractiveSessionCopyKind:j.InteractiveSessionCopyKind,InteractiveEditorResponseFeedbackKind:j.InteractiveEditorResponseFeedbackKind,StackFrameFocus:j.$hK,ThreadFocus:j.$iK,NotebookCodeActionKind:j.$vJ}}}e.$P_b=Ht}),define(De[332],Ce([1,0,98,145,37,142,38,36,62,43,87,89,90,109,58,83,144,64,51,108,82,63,143,18,52,106,107]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n,o,s,t,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,b.$8q)(t.$u$b,t.$t$b,1),(0,b.$8q)(o.$Oi,n.$Q_b,1),(0,b.$8q)(w.$T0b,w.$U0b,1),(0,b.$8q)(g.$wL,g.$vL,0),(0,b.$8q)(R.$70b,R.$50b,0),(0,b.$8q)(l.$j$b,l.$i$b,0),(0,b.$8q)(I.$0$b,I.$b_b,0),(0,b.$8q)(F.$2$b,F.$1$b,0),(0,b.$8q)(k.$lL,k.$kL,0),(0,b.$8q)(u.$v$b,u.$w$b,0),(0,b.$8q)(a.$Q0b,a.$P0b,0),(0,b.$8q)(A.$H$b,A.$G$b,1),(0,b.$8q)(v.$h_b,v.$i_b,0),(0,b.$8q)(D.$f$b,D.$e$b,0),(0,b.$8q)(L.$5$b,L.$4$b,0),(0,b.$8q)(m.$m$b,m.$p$b,0),(0,b.$8q)(C.$job,C.$kob,0),(0,b.$8q)(i.$X$b,i.$W$b,0),(0,b.$8q)(h.$40b,h.$30b,0),(0,b.$8q)(p.$r$b,p.$q$b,0),(0,b.$8q)(f.$uL,f.$rL,0),(0,b.$8q)(E.$6$b,E.$7$b,0),(0,b.$8q)(s.$8$b,s.$9$b,0)}),define(De[110],Ce([1,0,19,18,34,86]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9_b=e.$8_b=e.$7_b=void 0;function R(I){return I.startsWith("**")||I.startsWith("/")?I:`/${I}`}e.$7_b=R;function g(I,v,D,C){const w=(0,b.$Ff)(D,k),i=new h.$AH(v,w,C),l=i.preview.matches;return{ranges:(0,b.$Ff)(w,m),uri:I,preview:{text:i.preview.text,matches:(0,b.$Ff)(l,m)}}}e.$8_b=g;function k(I){return new h.$BH(I.start.line,I.start.character,I.end.line,I.end.character)}function m(I){return new F.$qH(I.startLineNumber,I.startColumn,I.endLineNumber,I.endColumn)}let L=e.$9_b=class{constructor(v,D){this.a=v,this.b=D}appendLine(v){this.b.debug(`${this.a}#search`,v)}};e.$9_b=L=He([We(1,A.$Ni)],L)}),define(De[333],Ce([1,0,46,11,69,31,10,9,110,334]),function(re,e,b,A,h,F,R,g,k,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$__b=e.$$_b=e.$0_b=void 0;const L=m.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function I(p,f,E,n){const o=v(p,f,E,n),s=f.folder.fsPath;return{cmd:b.spawn(L,o.args,{cwd:s}),rgDiskPath:L,siblingClauses:o.siblingClauses,rgArgs:o,cwd:s}}e.$0_b=I;function v(p,f,E,n){const o=["--files","--hidden","--case-sensitive","--no-require-git"];C([f],E,!1).forEach(t=>{const u=(0,k.$7_b)(t);if(o.push("-g",u),R.$j){const $=(0,h.$4k)(u);$!==u&&o.push("-g",$)}});const s=D([f],n,void 0,!1);return s.globArgs.forEach(t=>{const u=`!${(0,k.$7_b)(t)}`;if(o.push("-g",u),R.$j){const $=(0,h.$4k)(u);$!==u&&o.push("-g",$)}}),f.disregardIgnoreFiles!==!1?o.push("--no-ignore"):f.disregardParentIgnoreFiles!==!1&&o.push("--no-ignore-parent"),f.ignoreSymlinks||o.push("--follow"),p.exists&&o.push("--quiet"),o.push("--no-config"),f.disregardGlobalIgnoreFiles&&o.push("--no-ignore-global"),{args:o,siblingClauses:s.siblingClauses}}function D(p,f,E,n=!0){const o=[];let s={};return p.forEach(t=>{const u=Object.assign({},t.excludePattern||{},f||{}),$=w(u,n?t.folder.fsPath:void 0,E);o.push(...$.globArgs),$.siblingClauses&&(s=Object.assign(s,$.siblingClauses))}),{globArgs:o,siblingClauses:s}}function C(p,f,E=!0){const n=[];return p.forEach(o=>{const s=Object.assign({},f||{},o.includePattern||{}),t=w(s,E?o.folder.fsPath:void 0);n.push(...t.globArgs)}),n}function w(p,f,E){const n=[],o={};return Object.keys(p).forEach(s=>{if(E&&E.has(s)||!s)return;const t=p[s];s=l(f?i(f,s):s),s.startsWith("\\\\")?s="\\\\"+s.substr(2).replace(/\\/g,"/"):s=s.replace(/\\/g,"/"),typeof t=="boolean"&&t?(s.startsWith("\\\\")&&(s+="**"),n.push(a(s))):t&&t.when&&(o[s]=t)}),{globArgs:n,siblingClauses:o}}function i(p,f){return A.$0b(f)?f:A.$$b(p,f)}e.$$_b=i;function l(p){return p=g.$qd(p,"\\"),g.$qd(p,"/")}function a(p){return F.$De(p).toLowerCase()==="c:/"?p.replace(/^c:[/\\]/i,"/"):p}e.$__b=a}),define(De[335],Ce([1,0,46,49,11,336,19,45,33,69,31,10,39,9,12,29,34,333,119]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bac=e.$aac=void 0;const p=new Set;process.on("exit",()=>{p.forEach(s=>s())});class f{constructor(t){this.c=null,this.h=null,this.l=!1,this.m=null,this.r=null,this.s=0,this.a=t,this.b=t.filePattern||"",this.d=t.includePattern&&k.$aj(t.includePattern),this.f=t.maxResults||null,this.g=!!t.exists,this.v=Object.create(null),this.k=0,this.j=!1,this.o=0,this.p=0,this.q=[],this.b&&(this.c=(0,a.$_p)(this.b).normalizedLowercase),this.u=t.excludePattern&&k.$aj(t.excludePattern),this.t=new Map,t.folderQueries.forEach(u=>{const $=Object.assign({},u.excludePattern||{},this.a.excludePattern||{}),d=u.folder.fsPath;t.folderQueries.map(S=>S.folder.fsPath).filter(S=>S!==d).forEach(S=>{(0,L.$He)(S,d)&&($[h.$ac(d,S)]=!0)}),this.t.set(d,new n($,d))})}cancel(){this.l=!0,p.forEach(t=>t())}walk(t,u,$,d,S){if(this.m=v.$1c.create(!1),this.l)return S(null,this.j);u.forEach(y=>{const c=h.$cc(y.fsPath);this.u&&this.u(y.fsPath,c)||this.J($,{relativePath:y.fsPath,searchPath:void 0})}),this.r=v.$1c.create(!1),this.w(t,(y,c)=>{this.x(this.y,this,y,$,d,r=>{if(r){const P=(0,g.$9h)(r);console.error(P),this.q.push(P),c(r,void 0)}else c(null,void 0)})},(y,c)=>{this.m.stop();const r=y?R.$jf(y)[0]:null;S(r,this.j)})}w(t,u,$){const d=new Array(t.length),S=new Array(t.length);let y=!1,c=0;if(t.length===0)return $(null,[]);t.forEach((r,P)=>{u(r,(N,U)=>{if(N?(y=!0,d[P]=null,S[P]=N):(d[P]=U,S[P]=null),++c===t.length)return $(y?S:null,d)})})}x(t,u,...$){try{t.apply(u,$)}catch(d){$[$.length-1](d)}}y(t,u,$,d){const S=t.folder.fsPath,y=I.$j,c=()=>q&&q.kill();p.add(c);let r=z=>{p.delete(c),r=()=>{},d(z)},P="";const N=this.D(),U=(0,l.$0_b)(this.a,t,this.a.includePattern,this.t.get(t.folder.fsPath).expression),q=U.cmd,W=!Object.keys(U.siblingClauses).length,O=U.rgArgs.args.map(z=>z.match(/^-/)?z:`'${z}'`).join(" ");let J=`${U.rgDiskPath} ${O}
 - cwd: ${U.cwd}`;U.rgArgs.siblingClauses&&(J+=`
 - Sibling clauses: ${JSON.stringify(U.rgArgs.siblingClauses)}`),$({message:J}),this.s=0,this.z(q,"utf8",$,(z,j,he)=>{if(z){r(z);return}if(this.j){r();return}const ne=(P+(y?m.$3k(j||""):j)).split(`
`);if(he){const V=ne.length;ne[V-1]=ne[V-1].trim(),ne[V-1]||ne.pop()}else P=ne.pop()||"";if(ne.length&&ne[0].indexOf(`
`)!==-1){r(new Error("Splitting up files failed"));return}if(this.s+=ne.length,W){for(const V of ne)if(this.J(u,{base:S,relativePath:V,searchPath:this.N(t,V)}),this.j){c();break}(he||this.j)&&r();return}this.G(t,N,S,ne,u),he&&(this.H(N,S,u),r())})}spawnFindCmd(t){const u=this.t.get(t.folder.fsPath),$=u.getBasenameTerms(),d=u.getPathTerms(),S=["-L","."];if($.length||d.length){S.push("-not","(","(");for(const y of $)S.push("-name",y),S.push("-o");for(const y of d)S.push("-path",y),S.push("-o");S.pop(),S.push(")","-prune",")")}return S.push("-type","f"),b.spawn("find",S,{cwd:t.folder.fsPath})}readStdout(t,u,$){let d="";this.z(t,u,()=>{},(S,y,c)=>{if(S){$(S);return}d+=y,c&&$(null,d)})}z(t,u,$,d){let S=(r,P,N)=>{(r||N)&&(S=()=>{},this.r?.stop()),d(r,P,N)},y=!1;t.stdout?(this.A(t.stdout,u,S),t.stdout.once("data",()=>y=!0)):$({message:"stdout is null"});let c;t.stderr?c=this.B(t.stderr):$({message:"stderr is null"}),t.on("error",r=>{S(r)}),t.on("close",r=>{let P;!y&&(P=this.C(c,u))&&o(P)?S(new Error(`command failed with error code ${r}: ${this.C(c,u)}`)):(this.g&&r===0&&(this.j=!0),S(null,"",!0))})}A(t,u,$){const d=new F.StringDecoder(u);return t.on("data",S=>{$(null,d.write(S))}),d}B(t){const u=[];return t.on("data",$=>{u.push($)}),u}C(t,u){const $=new F.StringDecoder(u);return t.map(d=>$.write(d)).join("")}D(){const t={rootEntries:[],pathToEntries:Object.create(null)};return t.pathToEntries["."]=t.rootEntries,t}G(t,{pathToEntries:u},$,d,S){d.indexOf(this.b)!==-1&&this.J(S,{base:$,relativePath:this.b,searchPath:this.N(t,this.b)});const y=c=>{const r=h.$cc(c),P=h.$bc(c);let N=u[P];N||(N=u[P]=[],y(P)),N.push({base:$,relativePath:c,basename:r,searchPath:this.N(t,c)})};d.forEach(y)}H({rootEntries:t,pathToEntries:u},$,d){const S=this,y=this.t.get($),c=this.b;function r(P){S.o++;const N=(0,i.$QH)(()=>P.map(U=>U.basename));for(let U=0,q=P.length;U<q;U++){const W=P[U],{relativePath:O,basename:J}=W;if(y.test(O,J,c!==J?N:void 0))continue;const z=u[O];if(z)r(z);else{if(S.p++,O===c)continue;S.J(d,W)}if(S.j)break}}r(t)}getStats(){return{cmdTime:this.r.elapsed(),fileWalkTime:this.m.elapsed(),directoriesWalked:this.o,filesWalked:this.p,cmdResultCount:this.s}}I(t,u,$,d,S){const y=t.folder,c=(0,i.$QH)(()=>$);this.w($,(r,P)=>{if(this.l||this.j)return P(null);const N=u?[u,r].join(h.sep):r;if(this.t.get(t.folder.fsPath).test(N,r,this.a.filePattern!==r?c:void 0))return P(null);const U=[y.fsPath,N].join(h.sep);A.lstat(U,(q,W)=>{if(q||this.l||this.j)return P(null);this.L(U,W,(O,J)=>O||this.l||this.j?P(null):J.isDirectory()?(this.o++,this.M(U,W,(z,j)=>z||this.l||this.j||(j=j||"",this.v[j])?P(null):(this.v[j]=!0,w.Promises.readdir(U).then(he=>{if(this.l||this.j)return P(null);this.I(t,N,he,d,ie=>P(ie||null))},he=>{P(null)})))):(this.p++,N===this.b||this.h&&C.$ke(J.size)&&J.size>this.h||this.J(d,{base:y.fsPath,relativePath:N,searchPath:this.N(t,N)}),P(null,void 0)))})},r=>{const P=r&&R.$jf(r);return S(P&&P.length>0?P[0]:void 0)})}J(t,u){this.K(u)&&(!this.d||this.d(u.relativePath,h.$cc(u.relativePath)))&&(this.k++,(this.g||this.f&&this.k>this.f)&&(this.j=!0),this.j||t(u))}K(t){if(this.b){if(this.b==="*")return!0;if(this.c)return(0,i.$LH)(t,this.c)}return!0}L(t,u,$){return u.isSymbolicLink()?A.stat(t,$):$(null,u)}M(t,u,$){return u.isSymbolicLink()?A.realpath(t,(d,S)=>d?$(d):$(null,S)):$(null,t)}N(t,u){return t.folderName?h.$$b(t.folderName,u):u}}e.$aac=f;class E{constructor(t){this.a=t.folderQueries,this.b=t.extraFileResources||[],this.c=new f(t)}search(t,u,$){this.c.walk(this.a,this.b,t,u,(d,S)=>{$(d,{limitHit:S,stats:this.c.getStats(),messages:[]})})}cancel(){this.c.cancel()}}e.$bac=E;class n{constructor(t,u){this.expression=t,this.c=u,this.d(t)}d(t){let u,$;Object.keys(t).filter(d=>t[d]).forEach(d=>{h.$0b(d)?(u=u||k.$8i(),u[d]=t[d]):($=$||k.$8i(),$[d]=t[d])}),this.a=u&&k.$aj(u,{trimForExclusions:!0}),this.b=$&&k.$aj($,{trimForExclusions:!0})}test(t,u,$){return this.b&&this.b(t,u,$)||this.a&&this.a(h.$$b(this.c,t),u,$)}getBasenameTerms(){const t=[];return this.a&&t.push(...k.$cj(this.a)),this.b&&t.push(...k.$cj(this.b)),t}getPathTerms(){const t=[];return this.a&&t.push(...k.$dj(this.a)),this.b&&t.push(...k.$dj(this.b)),t}}function o(s){const t=s.trim().split(`
`),u=t[0].trim();if(u.startsWith("Error parsing regex"))return u;if(u.startsWith("regex parse error"))return D.$$d(t[t.length-1].trim());if(u.startsWith("error parsing glob")||u.startsWith("unsupported encoding"))return u.charAt(0).toUpperCase()+u.substr(1);if(u==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(u.startsWith("Literal "))return u}}),define(De[337],Ce([1,0,91,22]),function(re,e,b,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$OC=e.$NC=e.$MC=e.$LC=e.$KC=e.$JC=e.$IC=e.$HC=e.$GC=e.DecodeStreamErrorKind=e.$FC=e.$EC=e.$DC=e.$CC=e.$BC=e.$AC=e.$zC=e.$yC=void 0,e.$yC="utf8",e.$zC="utf8bom",e.$AC="utf16be",e.$BC="utf16le";function h(s){return[e.$yC,e.$zC,e.$AC,e.$BC].some(t=>t===s)}e.$CC=h,e.$DC=[254,255],e.$EC=[255,254],e.$FC=[239,187,191];const F=512,R=512,g=512*8,k=512*128;var m;(function(s){s[s.STREAM_IS_BINARY=1]="STREAM_IS_BINARY"})(m||(e.DecodeStreamErrorKind=m={}));class L extends Error{constructor(t,u){super(t),this.decodeStreamErrorKind=u}}e.$GC=L;class I{static async create(t){let u;if(t!==e.$yC)u=(await new Promise((d,S)=>{re(["@vscode/iconv-lite-umd"],d,S)})).getDecoder(w(t));else{const $=new TextDecoder;u={write(d){return $.decode(d,{stream:!0})},end(){return $.decode()}}}return new I(u)}constructor(t){this.a=t}write(t){return this.a.write(t)}end(){return this.a.end()}}function v(s,t){const u=t.minBytesRequiredForDetection??t.guessEncoding?g:R;return new Promise(($,d)=>{const S=(0,b.$wb)(U=>U.join("")),y=[];let c=0,r;const P=async()=>{try{const U=await o({buffer:A.$Ib.concat(y),bytesRead:c},t.guessEncoding);if(U.seemsBinary&&t.acceptTextOnly)throw new L("Stream is binary but only text is accepted for decoding",1);U.encoding=await t.overwriteEncoding(U.encoding),r=await I.create(U.encoding);const q=r.write(A.$Ib.concat(y).buffer);S.write(q),y.length=0,c=0,$({stream:S,detected:U})}catch(U){N?.dispose(),S.destroy(),d(U)}},N=(0,b.$Ab)(s,{onData:async U=>{r?S.write(r.write(U.buffer)):(y.push(U),c+=U.byteLength,c>=u&&(s.pause(),await P(),setTimeout(()=>s.resume())))},onError:U=>S.error(U),onEnd:async()=>{r||await P(),S.end(r?.end())}})})}e.$HC=v;async function D(s,t,u){const d=(await new Promise((c,r)=>{re(["@vscode/iconv-lite-umd"],c,r)})).getEncoder(w(t),u);let S=!1,y=!1;return{read(){if(y)return null;const c=s.read();if(typeof c!="string"){if(y=!0,!S&&u?.addBOM)switch(t){case e.$yC:case e.$zC:return A.$Ib.wrap(Uint8Array.from(e.$FC));case e.$AC:return A.$Ib.wrap(Uint8Array.from(e.$DC));case e.$BC:return A.$Ib.wrap(Uint8Array.from(e.$EC))}const r=d.end();return r&&r.length>0?(S=!0,A.$Ib.wrap(r)):null}return S=!0,A.$Ib.wrap(d.write(c))}}}e.$IC=D;async function C(s){return(await new Promise((u,$)=>{re(["@vscode/iconv-lite-umd"],u,$)})).encodingExists(w(s))}e.$JC=C;function w(s){return s===e.$zC||s===null?e.$yC:s}e.$KC=w;function i(s,t){if(!s||t<e.$DC.length)return null;const u=s.readUInt8(0),$=s.readUInt8(1);if(u===e.$DC[0]&&$===e.$DC[1])return e.$AC;if(u===e.$EC[0]&&$===e.$EC[1])return e.$BC;if(t<e.$FC.length)return null;const d=s.readUInt8(2);return u===e.$FC[0]&&$===e.$FC[1]&&d===e.$FC[2]?e.$zC:null}e.$LC=i;const l=["ascii","utf-16","utf-32"];async function a(s){const t=await new Promise((y,c)=>{re(["jschardet"],y,c)}),u=s.slice(0,k),$=E(u.buffer),d=t.detect($);if(!d||!d.encoding)return null;const S=d.encoding.toLowerCase();return 0<=l.indexOf(S)?null:f(d.encoding)}const p={ibm866:"cp866",big5:"cp950"};function f(s){const t=s.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return p[t]||t}function E(s){let t="";for(let u=0;u<s.length;u++)t+=String.fromCharCode(s[u]);return t}function n(s){switch(s){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:{const t=s.match(/windows(\d+)/);return t?"windows-"+t[1]:s}}}e.$MC=n;function o({buffer:s,bytesRead:t},u){let $=i(s,t),d=!1;if($!==e.$AC&&$!==e.$BC&&s){let S=!0,y=!0,c=!1;for(let r=0;r<t&&r<F;r++){const P=r%2===1,N=s.readUInt8(r)===0;if(N&&(c=!0),S&&(P&&!N||!P&&N)&&(S=!1),y&&(P&&N||!P&&!N)&&(y=!1),N&&!S&&!y)break}c&&(S?$=e.$BC:y?$=e.$AC:d=!0)}return u&&!d&&!$&&s?a(s.slice(0,t)).then(S=>({seemsBinary:!1,encoding:S})):{seemsBinary:d,encoding:$}}e.$NC=o,e.$OC={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(De[147],Ce([1,0,337,29,146]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jac=void 0;class F extends h.$d_b{constructor(g,k,m=A,L="searchProcess"){super(g,k,{readdir:I=>m.Promises.readdir(I.fsPath),toCanonicalName:I=>(0,b.$MC)(I)},L)}}e.$jac=F}),define(De[148],Ce([1,0,46,351,336,19,65,33,11,9,2,34,86,352,334,110]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$iac=e.$hac=e.$gac=e.$fac=e.$eac=e.$dac=e.$cac=void 0;const i=C.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class l{constructor(r){this.a=r}provideTextSearchResults(r,P,N,U){return this.a.appendLine(`provideTextSearchResults ${r.pattern}, ${JSON.stringify({...P,folder:P.folder.toString()})}`),new Promise((q,W)=>{U.onCancellationRequested(()=>V());const O=o(r,P),J=P.folder.fsPath,z=O.map(ge=>ge.match(/^-/)?ge:`'${ge}'`).join(" ");this.a.appendLine(`${i} ${z}
 - cwd: ${J}`);let j=b.spawn(i,O,{cwd:J});j.on("error",ge=>{console.error(ge),this.a.appendLine("Error: "+(ge&&ge.message)),W((0,I.$HH)(new I.$FH(ge&&ge.message,I.SearchErrorCode.rgProcessError)))});let he=!1;const ie=new f(P.maxResults,J,P.previewOptions);ie.on("result",ge=>{he=!0,ce="",N.report(ge)});let ne=!1;const V=()=>{ne=!0,j?.kill(),ie?.cancel()};let H=!1;ie.on("hitLimit",()=>{H=!0,V()});let ce="";j.stdout.on("data",ge=>{ie.handleData(ge),he||(ce+=ge)});let pe=!1;j.stdout.once("data",()=>pe=!0);let ye="";j.stderr.on("data",ge=>{const M=ge.toString();this.a.appendLine(M),ye.length+M.length<1e6&&(ye+=M)}),j.on("close",()=>{if(this.a.appendLine(pe?"Got data from stdout":"No data from stdout"),this.a.appendLine(he?"Got result from parser":"No result from parser"),ce&&this.a.appendLine(`Got data without result: ${ce}`),this.a.appendLine(""),ne)q({limitHit:H});else{ie.flush(),j=null;let ge;ye&&!pe&&(ge=a(ye))?W((0,I.$HH)(new I.$FH(ge.message,ge.code))):q({limitHit:H})}})})}}e.$cac=l;function a(c){const r=c.split(`
`),P=r[0].trim();if(r.some(U=>U.startsWith("regex parse error")))return new I.$FH(p(r),I.SearchErrorCode.regexParseError);const N=P.match(/grep config error: unknown encoding: (.*)/);if(N)return new I.$FH(`Unknown encoding: ${N[1]}`,I.SearchErrorCode.unknownEncoding);if(P.startsWith("error parsing glob"))return new I.$FH(P.charAt(0).toUpperCase()+P.substr(1),I.SearchErrorCode.globParseError);if(P.startsWith("the literal"))return new I.$FH(P.charAt(0).toUpperCase()+P.substr(1),I.SearchErrorCode.invalidLiteral);if(P.startsWith("PCRE2: error compiling pattern"))return new I.$FH(P,I.SearchErrorCode.regexParseError)}function p(c){const r=["Regex parse error"],P=c.filter(N=>N.startsWith("PCRE2:"));if(P.length>=1){const N=P[0].replace("PCRE2:","");if(N.indexOf(":")!==-1&&N.split(":").length>=2){const U=N.split(":")[1];r.push(":"+U)}}return r.join("")}class f extends A.EventEmitter{constructor(r,P,N){super(),this.g=r,this.h=P,this.j=N,this.a="",this.b=!1,this.c=!1,this.f=0,this.d=new h.StringDecoder}cancel(){this.b=!0}flush(){this.k(this.d.end())}on(r,P){return super.on(r,P),this}handleData(r){if(this.b)return;const P=typeof r=="string"?r:this.d.write(r);this.k(P)}k(r){let P=r.indexOf(`
`);const N=this.a+r;if(P>=0)P+=this.a.length;else{this.a=N;return}let U=0;for(;P>=0;)this.m(N.substring(U,P).trim()),U=P+1,P=N.indexOf(`
`,U);this.a=N.substring(U)}m(r){if(this.b||!r)return;let P;try{P=JSON.parse(r)}catch{throw new Error(`malformed line from rg: ${r}`)}if(P.type==="match"){const N=E(P.data.path),U=L.URI.file(k.$$b(this.h,N)),q=this.n(P.data,U);this.p(q),this.c&&(this.cancel(),this.emit("hitLimit"))}else if(P.type==="context"){const N=E(P.data.path),U=L.URI.file(k.$$b(this.h,N));this.o(P.data,U).forEach(W=>this.p(W))}}n(r,P){const N=r.line_number-1,U=E(r.lines),q=Buffer.from(U);let W=0,O=0,J=N;r.submatches.length===0&&r.submatches.push(U.length?{start:0,end:1,match:{text:U[0]}}:{start:0,end:0,match:{text:""}});const z=(0,F.$jf)(r.submatches.map((j,he)=>{if(this.c)return null;this.f++,this.f>=this.g&&(this.c=!0);const ie=E(j.match),ne=q.slice(W,j.start).toString(),V=n(ne),H=V.numLines>0?V.lastLineLength:V.lastLineLength+O,ce=n(ie),pe=V.numLines+J,ye=ce.numLines+pe,ge=ce.numLines>0?ce.lastLineLength:ce.lastLineLength+H;return W=j.end,O=ge,J=ye,new v.$qH(pe,H,ye,ge)}));return(0,w.$8_b)(P,U,z,this.j)}o(r,P){const N=E(r.lines),U=r.line_number;return N.replace(/\r?\n$/,"").split(`
`).map((q,W)=>({text:q,uri:P,lineNumber:U+W}))}p(r){this.emit("result",r)}}e.$dac=f;function E(c){return c.bytes?Buffer.from(c.bytes,"base64").toString():c.text}function n(c){const r=/\n/g;let P=0,N=-1,U;for(;U=r.exec(c);)P++,N=U.index;const q=N>=0?c.length-N-1:c.length;return{numLines:P,lastLineLength:q}}function o(c,r){const P=["--hidden","--no-require-git"];P.push(c.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:N,otherIncludes:U}=(0,R.$I)(r.includes,W=>W.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(U&&U.length){const W=new Set;U.forEach(O=>{W.add(O)}),P.push("-g","!*"),W.forEach(O=>{s(O).map(w.$7_b).forEach(J=>{P.push("-g",J)})})}N&&N.length&&N.forEach(W=>{P.push("-g",W)}),r.excludes.map(w.$7_b).forEach(W=>P.push("-g",`!${W}`)),r.maxFileSize&&P.push("--max-filesize",r.maxFileSize+""),r.useIgnoreFiles?r.useParentIgnoreFiles||P.push("--no-ignore-parent"):P.push("--no-ignore"),r.followSymlinks&&P.push("--follow"),r.encoding&&r.encoding!=="utf8"&&P.push("--encoding",r.encoding),c.pattern==="--"&&(c.isRegExp=!0,c.pattern="\\-\\-"),c.isMultiline&&!c.isRegExp&&(c.pattern=(0,m.$ld)(c.pattern),c.isRegExp=!0),r.usePCRE2&&P.push("--pcre2"),P.push("--crlf"),c.isRegExp&&(c.pattern=t(c.pattern),P.push("--engine","auto"));let q;if(c.isWordMatch){const O=(0,m.$td)(c.pattern,!!c.isRegExp,{wholeWord:c.isWordMatch}).source.replace(/\\\//g,"/");P.push("--regexp",O)}else if(c.isRegExp){let W=$(c.pattern);W=d(W),P.push("--regexp",W)}else q=c.pattern,P.push("--fixed-strings");return P.push("--no-config"),r.useGlobalIgnoreFiles||P.push("--no-ignore-global"),P.push("--json"),c.isMultiline&&P.push("--multiline"),r.beforeContext&&P.push("--before-context",r.beforeContext+""),r.afterContext&&P.push("--after-context",r.afterContext+""),P.push("--"),q&&P.push(q),P.push("."),P}e.$eac=o;function s(c){return y(c).flatMap(P=>{const N=(0,g.$$i)(P,"/");return N.map((U,q)=>N.slice(0,q+1).join("/"))})}function t(c){const r=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;c.match(r);)c=c.replace(r,"$1\\x{$2}");const P=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;c.match(P);)c=c.replace(P,"$1\\x{$2}");return c}e.$fac=t;const u=c=>c.type==="Assertion"&&c.kind==="lookbehind";function $(c){let r;try{r=new D.RegExpParser().parsePattern(c)}catch{return c}let P="",N=0;const U=(O,J,z)=>{P+=c.slice(N,O)+z,N=J},q=[];return new D.RegExpVisitor({onCharacterEnter(O){if(O.raw!=="\\n")return;const J=q[0];if(!J)U(O.start,O.end,"\\r?\\n");else if(!q.some(u))if(J.type==="CharacterClass")if(J.negate){const z=c.slice(J.start+2,O.start)+c.slice(O.end,J.end-1);J.parent?.type==="Quantifier"?U(J.start,J.end,z?`[^${z}]`:"."):U(J.start,J.end,"(?!\\r?\\n"+(z?`|[${z}]`:"")+")")}else{const z=c.slice(J.start+1,O.start)+c.slice(O.end,J.end-1);U(J.start,J.end,z===""?"\\r?\\n":`(?:[${z}]|\\r?\\n)`)}else J.type==="Quantifier"&&U(O.start,O.end,"(?:\\r?\\n)")},onQuantifierEnter(O){q.unshift(O)},onQuantifierLeave(){q.shift()},onCharacterClassRangeEnter(O){q.unshift(O)},onCharacterClassRangeLeave(){q.shift()},onCharacterClassEnter(O){q.unshift(O)},onCharacterClassLeave(){q.shift()},onAssertionEnter(O){u(O)&&q.push(O)},onAssertionLeave(O){q[0]===O&&q.shift()}}).visit(r),P+=c.slice(N),P}e.$gac=$;function d(c){return c.replace(/\n/g,"\\r?\\n")}e.$hac=d;function S(c){let r=!1,P=!1,N="",U="";for(let q=0;q<c.length;q++){const W=c[q];switch(W){case"\\":P?(r?U+="\\"+W:N+="\\"+W,P=!1):P=!0;break;case"{":if(P)r?U+=W:N+=W,P=!1;else{if(r)return{strInBraces:N+"{"+U+"{"+c.substring(q+1)};r=!0}break;case"}":if(P)r?U+=W:N+=W,P=!1;else{if(r)return{fixedStart:N,strInBraces:U,fixedEnd:c.substring(q+1)};N+=W}break;default:r?U+=(P?"\\":"")+W:N+=(P?"\\":"")+W,P=!1;break}}return{strInBraces:N+(r?"{"+U:"")}}function y(c){const{fixedStart:r,strInBraces:P,fixedEnd:N}=S(c);if(r===void 0||N===void 0)return[P];let U=(0,g.$$i)(P,",");U.length||(U=[""]);const q=y(N);return U.flatMap(W=>{const O=r+W;return q.map(J=>O+J)})}e.$iac=y}),define(De[338],Ce([1,0,21,148,128,16]),function(re,e,b,A,h,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mac=void 0;class R{constructor(m){this.b=m,this.a=new Set,process.once("exit",()=>this.d())}provideTextSearchResults(m,L,I,v){const D=new A.$cac(this.b);if(L.folder.scheme===F.Schemas.vscodeUserData){const C={...L,folder:L.folder.with({scheme:F.Schemas.file})},w=new h.$qz(i=>I.report({...i,uri:i.uri.with({scheme:L.folder.scheme})}));return this.c(v,i=>D.provideTextSearchResults(m,C,w,i))}else return this.c(v,C=>D.provideTextSearchResults(m,L,I,C))}async c(m,L){const I=g(m);this.a.add(I);const v=await L(I.token);return this.a.delete(I),v}d(){this.a.forEach(m=>m.cancel())}}e.$mac=R;function g(k){const m=new b.$bd;return k.onCancellationRequested(()=>m.cancel()),m}}),define(De[339],Ce([1,0,29,148,147]),function(re,e,b,A,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kac=void 0;class F{constructor(k){this.a=k}search(k,m,L){if((!this.a.folderQueries||!this.a.folderQueries.length)&&(!this.a.extraFileResources||!this.a.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const I={appendLine(D){L({message:D})}},v=new h.$jac(this.a,new A.$cac(I),b);return new Promise((D,C)=>v.search(w=>{m(w.map(R))},k).then(w=>D({limitHit:w.limitHit,type:"success",stats:w.stats}),C))}}e.$kac=F;function R(g){return{path:g.resource&&g.resource.fsPath,results:g.results,numMatches:(g.results||[]).reduce((k,m)=>{if(m.ranges){const L=m;return k+(Array.isArray(L.ranges)?L.ranges.length:1)}else return k+1},0)}}}),define(De[340],Ce([1,0,19,17,8,3,119,11,39,2,30,34,335,339]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lac=void 0;class C{constructor(f="searchProcess"){this.d=f,this.b=Object.create(null)}fileSearch(f){let E;const n=l(f),o=new F.$5c({onDidAddFirstListener:()=>{E=(0,A.$fg)(s=>this.doFileSearchWithEngine(v.$bac,n,t=>o.fire(t),s)),E.then(s=>o.fire(s),s=>o.fire({type:"error",error:{message:s.message,stack:s.stack}}))},onDidRemoveLastListener:()=>{E.cancel()}});return o.event}textSearch(f){let E;const n=l(f),o=new F.$5c({onDidAddFirstListener:()=>{E=(0,A.$fg)(s=>this.f(n,t=>o.fire(t),s)),E.then(s=>o.fire(s),s=>o.fire({type:"error",error:{message:s.message,stack:s.stack}}))},onDidRemoveLastListener:()=>{E.cancel()}});return o.event}f(f,E,n){return f.maxFileSize=this.g().maxFileSize,new D.$kac(f).search(n,E,E)}g(){return{maxFileSize:process.arch==="ia32"?300*L.$jk.MB:16*L.$jk.GB}}doFileSearch(f,E,n){return this.doFileSearchWithEngine(v.$bac,f,E,n)}doFileSearchWithEngine(f,E,n,o,s=C.a){let t=0;const u=d=>{Array.isArray(d)?(t+=d.length,n(d.map(S=>this.h(S)))):d.relativePath?(t++,n(this.h(d))):n(d)};if(E.sortByScore){let d=this.l(E,u,o);if(!d){const S=E.maxResults?Object.assign({},E,{maxResults:null}):E,y=new f(S);d=this.j(y,E,n,u,o)}return new Promise((S,y)=>{d.then(([c,r])=>{const P=r.map(N=>this.h(N));this.o(P,n,s),S(c)},y)})}const $=new f(E);return this.r($,u,s,o).then(d=>({limitHit:d.limitHit,type:"success",stats:{detailStats:d.stats,type:this.d,fromCache:!1,resultCount:t,sortingTime:void 0}}))}h(f){return{path:f.base?(0,g.$$b)(f.base,f.relativePath):f.relativePath}}j(f,E,n,o,s){const t=new F.$5c;let u=(0,A.$fg)(d=>{let S=[];const y=c=>{Array.isArray(c)?S=c:(o(c),t.fire(c))};return this.r(f,y,-1,d).then(c=>[c,S])}),$;if(E.cacheKey){$=this.k(E.cacheKey);const d={promise:u,event:t.event,resolved:!1};$.resultsToSearchCache[E.filePattern||""]=d,u.then(()=>{d.resolved=!0},S=>{delete $.resultsToSearchCache[E.filePattern||""]}),u=this.s(u)}return u.then(([d,S])=>{const y=$?$.scorerCache:Object.create(null),c=(typeof E.maxResults!="number"||E.maxResults>0)&&k.$1c.create(!1);return this.n(E,S,y,s).then(r=>{const P=c?c.elapsed():-1;return[{type:"success",stats:{detailStats:d.stats,sortingTime:P,fromCache:!1,type:this.d,workspaceFolderCount:E.folderQueries.length,resultCount:r.length},messages:d.messages,limitHit:d.limitHit||typeof E.maxResults=="number"&&S.length>E.maxResults},r]})})}k(f){const E=this.b[f];return E||(this.b[f]=new w)}l(f,E,n){const o=f.cacheKey&&this.b[f.cacheKey];if(!o)return;const s=this.q(o,f.filePattern||"",E,n);if(s)return s.then(([t,u,$])=>{const d=k.$1c.create(!1);return this.n(f,u,o.scorerCache,n).then(S=>{const y=d.elapsed(),c={fromCache:!0,detailStats:$,type:this.d,resultCount:u.length,sortingTime:y};return[{type:"success",limitHit:t.limitHit||typeof f.maxResults=="number"&&u.length>f.maxResults,stats:c},S]})})}n(f,E,n,o){const s=(0,R.$_p)(f.filePattern||""),t=($,d)=>(0,R.$$p)($,d,s,!0,i,n),u=typeof f.maxResults=="number"?f.maxResults:Number.MAX_VALUE;return b.$if(E,t,u,1e4,o)}o(f,E,n){if(n&&n>0)for(let o=0;o<f.length;o+=n)E(f.slice(o,o+n));else E(f)}q(f,E,n,o){const s=k.$1c.create(!1),t=E.indexOf(g.sep)>=0;let u;for(const y in f.resultsToSearchCache)if(E.startsWith(y)){if(t&&y.indexOf(g.sep)<0&&y!=="")continue;const c=f.resultsToSearchCache[y];u={promise:this.s(c.promise),event:c.event,resolved:c.resolved};break}if(!u)return null;const $=s.elapsed(),d=k.$1c.create(!1),S=u.event(n);return o&&o.onCancellationRequested(()=>{S.dispose()}),u.promise.then(([y,c])=>{if(o&&o.isCancellationRequested)throw(0,h.$3)();const r=[],P=(0,R.$_p)(E).normalizedLowercase;for(const N of c)(0,I.$LH)(N,P)&&r.push(N);return[y,r,{cacheWasResolved:u.resolved,cacheLookupTime:$,cacheFilterTime:d.elapsed(),cacheEntryCount:c.length}]})}r(f,E,n,o){return new Promise((s,t)=>{let u=[];o?.onCancellationRequested(()=>f.cancel()),f.search($=>{$&&(n?(u.push($),n>0&&u.length>=n&&(E(u),u=[])):E($))},$=>{E($)},($,d)=>{u.length&&E(u),$?t($):s(d)})})}clearCache(f){return delete this.b[f],Promise.resolve(void 0)}s(f){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(E,n){return f.then(E,n)}catch(E){return this.then(void 0,E)}finally(E){return f.finally(E)}}}}e.$lac=C,C.a=512;class w{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const i=new class{getItemLabel(p){return(0,g.$cc)(p.relativePath)}getItemDescription(p){return(0,g.$bc)(p.relativePath)}getItemPath(p){return p.relativePath}};function l(p){return{...p,folderQueries:p.folderQueries&&p.folderQueries.map(a),extraFileResources:p.extraFileResources&&p.extraFileResources.map(f=>m.URI.revive(f))}}function a(p){return{...p,folder:m.URI.revive(p.folder)}}}),define(De[341],Ce([1,0,4,16,2,29,18,26,20,90,59,34,340,338,110,147]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nac=void 0;let i=e.$nac=class extends m.$i_b{constructor(a,p,f,E){super(a,f,E),this.s=F,this.t=-1,this.v=null,this.w=!1;const n=new C.$9_b("RipgrepSearchUD",this.n);this.registerTextSearchProvider(A.Schemas.vscodeUserData,new D.$mac(n)),p.remote.isRemote&&p.remote.authority&&this.x()}$enableExtensionHostSearch(){this.x()}x(){if(this.w)return;this.w=!0;const a=new C.$9_b("RipgrepSearchEH",this.n);this.registerTextSearchProvider(A.Schemas.file,new D.$mac(a)),this.y(A.Schemas.file,new v.$lac("fileSearchProvider"))}y(a,p){const f=this.d++;return this.v=p,this.t=f,this.c.$registerFileSearchProvider(f,this.o(a)),(0,b.$ib)(()=>{this.v=null,this.c.$unregisterProvider(f)})}$provideFileSearchResults(a,p,f,E){const n=(0,m.$j_b)(f);return a===this.t?this.z(a,p,n,E):super.$provideFileSearchResults(a,p,f,E)}z(a,p,f,E){const n=o=>{if((0,I.$KH)(o)&&(o=[o]),Array.isArray(o)){this.c.$handleFileMatch(a,p,o.map(s=>h.URI.file(s.path)));return}o.message&&this.n.debug("ExtHostSearch",o.message)};if(!this.v)throw new Error("No internal file search handler");return this.v.doFileSearch(f,n,E)}$clearCache(a){return this.v?.clearCache(a),super.$clearCache(a)}q(a,p){return new w.$jac(a,p,void 0,"textSearchProvider")}};e.$nac=i=He([We(0,k.$aL),We(1,g.$qL),We(2,L.$10b),We(3,R.$Ni)],i)}),define(De[149],Ce([1,0,353,101,74,354,22,8,3,4,11,10,32,75,122]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hh=e.$gh=e.$fh=e.$eh=e.$dh=e.$ch=e.$bh=e.$ah=void 0;class w{traceSocketEvent(c,r){C.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,c,r)}constructor(c,r=""){this.f=!0,this.debugLabel=r,this.socket=c,this.traceSocketEvent("created",{type:"NodeSocket"}),this.a=P=>{if(this.traceSocketEvent("error",{code:P?.code,message:P?.message}),P){if(P.code==="EPIPE")return;(0,g.$X)(P)}},this.socket.on("error",this.a),this.b=P=>{this.traceSocketEvent("close",{hadError:P}),this.f=!1},this.socket.on("close",this.b),this.d=()=>{this.traceSocketEvent("nodeEndReceived"),this.f=!1},this.socket.on("end",this.d)}dispose(){this.socket.off("error",this.a),this.socket.off("close",this.b),this.socket.off("end",this.d),this.socket.destroy()}onData(c){const r=P=>{this.traceSocketEvent("read",P),c(R.$Ib.wrap(P))};return this.socket.on("data",r),{dispose:()=>this.socket.off("data",r)}}onClose(c){const r=P=>{c({type:0,hadError:P,error:void 0})};return this.socket.on("close",r),{dispose:()=>this.socket.off("close",r)}}onEnd(c){const r=()=>{c()};return this.socket.on("end",r),{dispose:()=>this.socket.off("end",r)}}write(c){if(!(this.socket.destroyed||!this.f))try{this.traceSocketEvent("write",c),this.socket.write(c.buffer,r=>{if(r){if(r.code==="EPIPE")return;(0,g.$X)(r)}})}catch(r){if(r.code==="EPIPE")return;(0,g.$X)(r)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((c,r)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),c();return}const P=()=>{this.socket.off("close",P),this.socket.off("end",P),this.socket.off("error",P),this.socket.off("timeout",P),this.socket.off("drain",P),this.traceSocketEvent("nodeDrainEnd"),c()};this.socket.on("close",P),this.socket.on("end",P),this.socket.on("error",P),this.socket.on("timeout",P),this.socket.on("drain",P)})}}e.$ah=w;var i;(function(y){y[y.MinHeaderByteSize=2]="MinHeaderByteSize",y[y.MaxWebSocketMessageLength=262144]="MaxWebSocketMessageLength"})(i||(i={}));var l;(function(y){y[y.PeekHeader=1]="PeekHeader",y[y.ReadHeader=2]="ReadHeader",y[y.ReadBody=3]="ReadBody",y[y.Fin=4]="Fin"})(l||(l={}));class a extends m.$kb{get permessageDeflate(){return this.a.permessageDeflate}get recordedInflateBytes(){return this.a.recordedInflateBytes}traceSocketEvent(c,r){this.socket.traceSocketEvent(c,r)}constructor(c,r,P,N){super(),this.f=this.B(new k.$5c),this.g=this.B(new k.$5c),this.h=!1,this.j={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=c,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:r,inflateBytesLength:P?.byteLength||0,recordInflateBytes:N}),this.a=this.B(new p(this,r,P,N,this.f,(U,q)=>this.k(U,q))),this.B(this.a.onError(U=>{console.error(U),(0,g.$X)(U),this.g.fire({type:0,hadError:!0,error:U})})),this.b=new C.$8g,this.B(this.socket.onData(U=>this.l(U))),this.B(this.socket.onClose(async U=>{this.a.isProcessingReadQueue()&&await k.Event.toPromise(this.a.onDidFinishProcessingReadQueue),this.g.fire(U)}))}dispose(){this.a.isProcessingWriteQueue()?this.B(this.a.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(c){return this.f.event(c)}onClose(c){return this.g.event(c)}onEnd(c){return this.socket.onEnd(c)}write(c){let r=0;for(;r<c.byteLength;)this.a.writeMessage(c.slice(r,Math.min(r+262144,c.byteLength))),r+=262144}k(c,r){if(this.h)return;this.traceSocketEvent("webSocketNodeSocketWrite",c);let P=2;c.byteLength<126?P+=0:c.byteLength<2**16?P+=2:P+=8;const N=R.$Ib.alloc(P);if(r?N.writeUInt8(194,0):N.writeUInt8(130,0),c.byteLength<126)N.writeUInt8(c.byteLength,1);else if(c.byteLength<2**16){N.writeUInt8(126,1);let U=1;N.writeUInt8(c.byteLength>>>8&255,++U),N.writeUInt8(c.byteLength>>>0&255,++U)}else{N.writeUInt8(127,1);let U=1;N.writeUInt8(0,++U),N.writeUInt8(0,++U),N.writeUInt8(0,++U),N.writeUInt8(0,++U),N.writeUInt8(c.byteLength>>>24&255,++U),N.writeUInt8(c.byteLength>>>16&255,++U),N.writeUInt8(c.byteLength>>>8&255,++U),N.writeUInt8(c.byteLength>>>0&255,++U)}this.socket.write(R.$Ib.concat([N,c]))}end(){this.h=!0,this.socket.end()}l(c){if(c.byteLength!==0){for(this.b.acceptChunk(c);this.b.byteLength>=this.j.readLen;)if(this.j.state===1){const r=this.b.peek(this.j.readLen),P=r.readUInt8(0),N=(P&128)>>>7,U=(P&64)>>>6,q=r.readUInt8(1),W=(q&128)>>>7,O=q&127;this.j.state=2,this.j.readLen=2+(W?4:0)+(O===126?2:0)+(O===127?8:0),this.j.fin=N,this.j.firstFrameOfMessage&&(this.j.compressed=!!U),this.j.firstFrameOfMessage=!!N,this.j.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin})}else if(this.j.state===2){const r=this.b.read(this.j.readLen),P=r.readUInt8(1),N=(P&128)>>>7;let U=P&127,q=1;U===126?U=r.readUInt8(++q)*2**8+r.readUInt8(++q):U===127&&(U=r.readUInt8(++q)*0+r.readUInt8(++q)*0+r.readUInt8(++q)*0+r.readUInt8(++q)*0+r.readUInt8(++q)*2**24+r.readUInt8(++q)*2**16+r.readUInt8(++q)*2**8+r.readUInt8(++q));let W=0;N&&(W=r.readUInt8(++q)*2**24+r.readUInt8(++q)*2**16+r.readUInt8(++q)*2**8+r.readUInt8(++q)),this.j.state=3,this.j.readLen=U,this.j.mask=W,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,mask:this.j.mask})}else if(this.j.state===3){const r=this.b.read(this.j.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",r),n(r,this.j.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",r),this.j.state=1,this.j.readLen=2,this.j.mask=0,this.a.acceptFrame(r,this.j.compressed,!!this.j.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this.a.isProcessingWriteQueue()&&await k.Event.toPromise(this.a.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.$bh=a;class p extends m.$kb{get permessageDeflate(){return!!(this.b&&this.f)}get recordedInflateBytes(){return this.b?this.b.recordedInflateBytes:R.$Ib.alloc(0)}constructor(c,r,P,N,U,q){super(),this.l=c,this.m=U,this.n=q,this.a=this.B(new k.$5c),this.onError=this.a.event,this.g=[],this.h=[],this.j=this.B(new k.$5c),this.onDidFinishProcessingReadQueue=this.j.event,this.k=this.B(new k.$5c),this.onDidFinishProcessingWriteQueue=this.k.event,this.p=!1,this.t=!1,r?(this.b=this.B(new f(this.l,N,P,{windowBits:15})),this.f=this.B(new E(this.l,{windowBits:15})),this.B(this.b.onError(W=>this.a.fire(W))),this.B(this.f.onError(W=>this.a.fire(W)))):(this.b=null,this.f=null)}writeMessage(c){this.g.push(c),this.r()}async r(){if(!this.p){for(this.p=!0;this.g.length>0;){const c=this.g.shift();if(this.f){const r=await this.s(this.f,c);this.n(r,!0)}else this.n(c,!1)}this.p=!1,this.k.fire()}}isProcessingWriteQueue(){return this.p}s(c,r){return new Promise((P,N)=>{c.write(r),c.flush(U=>P(U))})}acceptFrame(c,r,P){this.h.push({data:c,isCompressed:r,isLastFrameOfMessage:P}),this.u()}async u(){if(!this.t){for(this.t=!0;this.h.length>0;){const c=this.h.shift();if(this.b&&c.isCompressed){const r=await this.w(this.b,c.data,c.isLastFrameOfMessage);this.m.fire(r)}else this.m.fire(c.data)}this.t=!1,this.j.fire()}}isProcessingReadQueue(){return this.t}w(c,r,P){return new Promise((N,U)=>{c.write(r),P&&c.write(R.$Ib.fromByteArray([0,0,255,255])),c.flush(q=>N(q))})}}class f extends m.$kb{get recordedInflateBytes(){return this.j?R.$Ib.concat(this.f):R.$Ib.alloc(0)}constructor(c,r,P,N){super(),this.h=c,this.j=r,this.a=this.B(new k.$5c),this.onError=this.a.event,this.f=[],this.g=[],this.b=(0,F.createInflateRaw)(N),this.b.on("error",U=>{this.h.traceSocketEvent("zlibInflateError",{message:U?.message,code:U?.code}),this.a.fire(U)}),this.b.on("data",U=>{this.h.traceSocketEvent("zlibInflateData",U),this.g.push(R.$Ib.wrap(U))}),P&&(this.h.traceSocketEvent("zlibInflateInitialWrite",P.buffer),this.b.write(P.buffer),this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateInitialFlushFired"),this.g.length=0}))}write(c){this.j&&this.f.push(c.clone()),this.h.traceSocketEvent("zlibInflateWrite",c),this.b.write(c.buffer)}flush(c){this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateFlushFired");const r=R.$Ib.concat(this.g);this.g.length=0,c(r)})}}class E extends m.$kb{constructor(c,r){super(),this.g=c,this.a=this.B(new k.$5c),this.onError=this.a.event,this.f=[],this.b=(0,F.createDeflateRaw)({windowBits:15}),this.b.on("error",P=>{this.g.traceSocketEvent("zlibDeflateError",{message:P?.message,code:P?.code}),this.a.fire(P)}),this.b.on("data",P=>{this.g.traceSocketEvent("zlibDeflateData",P),this.f.push(R.$Ib.wrap(P))})}write(c){this.g.traceSocketEvent("zlibDeflateWrite",c.buffer),this.b.write(c.buffer)}flush(c){this.b.flush(2,()=>{this.g.traceSocketEvent("zlibDeflateFlushFired");let r=R.$Ib.concat(this.f);this.f.length=0,r=r.slice(0,r.byteLength-4),c(r)})}}function n(y,c){if(c===0)return;const r=y.byteLength>>>2;for(let O=0;O<r;O++){const J=y.readUInt32BE(O*4);y.writeUInt32BE(J^c,O*4)}const P=r*4,N=y.byteLength-P,U=c>>>24&255,q=c>>>16&255,W=c>>>8&255;N>=1&&y.writeUInt8(y.readUInt8(P)^U,P),N>=2&&y.writeUInt8(y.readUInt8(P+1)^q,P+1),N>=3&&y.writeUInt8(y.readUInt8(P+2)^W,P+2)}e.$ch=process.env.XDG_RUNTIME_DIR;const o={[2]:107,[1]:103};function s(){const y=(0,v.$3e)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${y}-sock`;const c=process.platform!=="darwin"&&e.$ch?e.$ch:(0,h.tmpdir)(),r=(0,L.$$b)(c,`vscode-ipc-${y}.sock`);return u(r),r}e.$dh=s;function t(y,c,r){const P=(0,b.createHash)("md5").update(y).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${P}-${r}-${c}-sock`;const N=r.substr(0,4),U=c.substr(0,6),q=P.substr(0,8);let W;return process.platform!=="darwin"&&e.$ch&&!process.env.VSCODE_PORTABLE?W=(0,L.$$b)(e.$ch,`vscode-${q}-${N}-${U}.sock`):W=(0,L.$$b)(y,`${N}-${U}.sock`),u(W),W}e.$eh=t;function u(y){const c=o[I.$t];typeof c=="number"&&y.length>=c&&console.warn(`WARNING: IPC handle "${y}" is longer than ${c} chars, try a shorter --user-data-dir`)}class $ extends D.$2g{static b(c){const r=k.Event.fromNodeEventEmitter(c,"connection");return k.Event.map(r,P=>({protocol:new C.$9g(new w(P,"ipc-server-connection")),onDidClientDisconnect:k.Event.once(k.Event.fromNodeEventEmitter(P,"close"))}))}constructor(c){super($.b(c)),this.d=c}dispose(){super.dispose(),this.d&&(this.d.close(),this.d=null)}}e.$fh=$;function d(y){return new Promise((c,r)=>{const P=(0,A.createServer)();P.on("error",r),P.listen(y,()=>{P.removeListener("error",r),c(new $(P))})})}e.$gh=d;function S(y,c){return new Promise((r,P)=>{const N=(0,A.createConnection)(y,()=>{N.removeListener("error",P),r(C.$0g.fromSocket(new w(N,`ipc-client${c}`),c))});N.once("error",P)})}e.$hh=S}),define(De[342],Ce([1,0,149,247,49,36,2,18,50]),function(re,e,b,A,h,F,R,g,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$CL=e.$BL=void 0;class m{constructor(v,D,C){this.b=v,this.c=D,this.f=C,this.a=A.createServer((w,i)=>this.h(w,i)),this.g().catch(w=>(D.error(w),""))}get ipcHandlePath(){return this.f}async g(){try{this.a.listen(this.ipcHandlePath),this.a.on("error",v=>this.c.error(v))}catch{this.c.error("Could not start open from terminal server.")}return this.f}h(v,D){const C=(i,l)=>{D.writeHead(i,{"content-type":"application/json"}),D.end(JSON.stringify(l||null),a=>a&&this.c.error(a))},w=[];v.setEncoding("utf8"),v.on("data",i=>w.push(i)),v.on("end",async()=>{try{const i=JSON.parse(w.join(""));let l;switch(i.type){case"open":l=await this.i(i);break;case"openExternal":l=await this.j(i);break;case"status":l=await this.l(i);break;case"extensionManagement":l=await this.k(i);break;default:C(404,`Unknown message type: ${i.type}`);break}C(200,l)}catch(i){const l=i instanceof Error?i.message:JSON.stringify(i);C(500,l),this.c.error("Error while processing pipe request",i)}})}async i(v){const{fileURIs:D,folderURIs:C,forceNewWindow:w,diffMode:i,mergeMode:l,addMode:a,forceReuseWindow:p,gotoLineMode:f,waitMarkerFilePath:E,remoteAuthority:n}=v,o=[];if(Array.isArray(C))for(const $ of C)try{o.push({folderUri:R.URI.parse($)})}catch{}if(Array.isArray(D))for(const $ of D)try{(0,k.$Qh)($)?o.push({workspaceUri:R.URI.parse($)}):o.push({fileUri:R.URI.parse($)})}catch{}const s=E?R.URI.file(E):void 0,u={forceNewWindow:w,diffMode:i,mergeMode:l,addMode:a,gotoLineMode:f,forceReuseWindow:p,preferNewWindow:!p&&!s&&!a,waitMarkerFileURI:s,remoteAuthority:n};this.b.executeCommand("_remoteCLI.windowOpen",o,u)}async j(v){for(const D of v.uris){const C=R.URI.parse(D),w=C.scheme==="file"?C:D;await this.b.executeCommand("_remoteCLI.openExternal",w)}}async k(v){const D=w=>w?.map(i=>/\.vsix$/i.test(i)?R.URI.parse(i):i),C={list:v.list,install:D(v.install),uninstall:D(v.uninstall),force:v.force};return await this.b.executeCommand("_remoteCLI.manageExtensions",C)}async l(v){return await this.b.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this.a.close(),this.f&&process.platform!=="win32"&&h.existsSync(this.f)&&h.unlinkSync(this.f)}}e.$BL=m;let L=e.$CL=class extends m{constructor(v,D){super(v,D,(0,b.$dh)())}};e.$CL=L=He([We(0,F.$wL),We(1,g.$Ni)],L)}),define(De[343],Ce([1,0,88,331,326,246,44,314,2,16,7,342,95,312,313]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sac=void 0;class w extends h.$T_b{j(){const a=this,p=globalThis._VSCODE_NODE_MODULES.module,f=p._load;p._load=function(s,t,u){return s=n(s),a.a.has(s)?a.a.get(s).load(s,k.URI.file((0,v.$Ip)(t.filename)),$=>f.apply(this,[$,t,u])):f.apply(this,arguments)};const E=p._resolveLookupPaths;p._resolveLookupPaths=(o,s)=>E.call(this,n(o),s);const n=o=>{for(const s of a.b){const t=s(o);if(t){o=t;break}}return o}}}class i extends R.$y$b{constructor(){super(...arguments),this.extensionRuntime=L.ExtensionRuntime.Node}async pb(){this.h.createInstance(D.$qac);const a=this.h.invokeFunction(A.$P_b);if(this.h.createInstance(g.$pac),this.f.remote.isRemote&&this.f.remote.authority){const E=this.h.createInstance(I.$CL);process.env.VSCODE_IPC_HOOK_CLI=E.ipcHandlePath}this.h.createInstance(C.$rac),await this.h.createInstance(w,a,{mine:this.F,all:this.G}).install(),b.mark("code/extHost/didInitAPI");const f=await this.k.getConfigProvider();await(0,F.$oac)(this.j,f,this,this.l,this.u,this.f),b.mark("code/extHost/didInitProxyResolver")}qb(a){return a.main}async rb(a,p,f){if(p.scheme!==m.Schemas.file)throw new Error(`Cannot load URI: '${p}', must be of file-scheme`);let E=null;f.codeLoadingStart(),this.l.trace(`ExtensionService#loadCommonJSModule ${p.toString(!0)}`),this.l.flush();const n=a?.identifier.value;a&&await this.s.initializeLocalizedMessages(a);try{n&&b.mark(`code/extHost/willLoadExtensionCode/${n}`),E=re.__$__nodeRequire(p.fsPath)}finally{n&&b.mark(`code/extHost/didLoadExtensionCode/${n}`),f.codeLoadingStop()}return E}async $setRemoteEnvironment(a){if(this.f.remote.isRemote)for(const p in a){const f=a[p];f===null?delete process.env[p]:process.env[p]=f}}}e.$sac=i}),define(De[344],Ce([1,0,98,317,329,328,341,343,318,89,44,90,87,43,58,84,316,315,18,330,52,241,97]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l,a,p,f,E,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,b.$8q)(L.$z$b,g.$sac,0),(0,b.$8q)(a.$Oi,l.$Cac,1),(0,b.$8q)(a.$Ni,new n.$ih(E.$S_b,[!1],!0)),(0,b.$8q)(w.$k$b,i.$Bac,0),(0,b.$8q)(m.$0$b,F.$6_b,0),(0,b.$8q)(I.$h_b,R.$nac,0),(0,b.$8q)(v.$5$b,h.$X_b,0),(0,b.$8q)(D.$m$b,A.$W_b,0),(0,b.$8q)(C.$job,k.$Aac,0),(0,b.$8q)(f.$8$b,p.$Dac,0)}),define(De[355],Ce([1,0,101,356,88,8,122,149,228,105,327,22,29,95,17,124,248,267,332,344]),function(re,e,b,A,h,F,R,g,k,m,L,I,v,D,C,w,i,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),function(){for(let $=0;$<process.execArgv.length;$++)process.execArgv[$]==="--inspect-port=0"&&(process.execArgv.splice($,1),$--)}();const a=A(process.argv.slice(2),{boolean:["transformURIs","skipWorkspaceStorageLock"],string:["useHostProxy"]});(function(){const u=globalThis._VSCODE_NODE_MODULES.module,$=u._load;u._load=function(d){if(d==="natives")throw new Error('Either the extension or an NPM dependency is using the [unsupported "natives" node module](https://go.microsoft.com/fwlink/?linkid=871887).');return $.apply(this,arguments)}})();const p=process.exit.bind(process);function f(u){process.exit=function($){if(u)p($);else{const d=new Error("An extension called process.exit() and this was prevented.");console.warn(d.stack)}},process.crash=function(){const $=new Error("An extension called process.crash() and this was prevented.");console.warn($.stack)},process.env.ELECTRON_RUN_AS_NODE="1"}let E=function(u){p()};function n(){const u=(0,l.$_l)(process.env);if(u.type===3)return new Promise(($,d)=>{const S=y=>{const c=y[0],r=new R.$$g;c.on("message",P=>r.fire(I.$Ib.wrap(P.data))),c.on("close",()=>{E("renderer closed the MessagePort")}),c.start(),$({onMessage:r.event,send:P=>c.postMessage(P.buffer)})};process.parentPort.on("message",y=>S(y.ports))});if(u.type===2)return new Promise(($,d)=>{let S=null;const y=setTimeout(()=>{E("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4),c=108e5,r=3e5,P=new C.$Dg(()=>E("renderer disconnected for too long (1)"),c),N=new C.$Dg(()=>E("renderer disconnected for too long (2)"),r);process.on("message",(q,W)=>{if(q&&q.type==="VSCODE_EXTHOST_IPC_SOCKET"){W.setNoDelay(!0);const O=I.$Ib.wrap(Buffer.from(q.initialDataChunk,"base64"));let J;if(q.skipWebSocketFrames)J=new g.$ah(W,"extHost-socket");else{const z=I.$Ib.wrap(Buffer.from(q.inflateBytes,"base64"));J=new g.$bh(new g.$ah(W,"extHost-socket"),q.permessageDeflate,z,!1)}S?(P.cancel(),N.cancel(),S.beginAcceptReconnection(J,O),S.endAcceptReconnection(),S.sendResume()):(clearTimeout(y),S=new R.$_g({socket:J,initialChunk:O}),S.sendResume(),S.onDidDispose(()=>E("renderer disconnected")),$(S),S.onSocketClose(()=>{P.schedule()}))}if(q&&q.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(N.isScheduled())return;P.isScheduled()&&N.schedule()}});const U={type:"VSCODE_EXTHOST_IPC_READY"};process.send?.(U)});{const $=u.pipeName;return new Promise((d,S)=>{const y=b.createConnection($,()=>{y.removeListener("error",S);const c=new R.$_g({socket:new g.$ah(y,"extHost-renderer")});c.sendResume(),d(c)});y.once("error",S),y.on("close",()=>{E("renderer closed the socket")})})}}async function o(){const u=await n();return new class{constructor(){this.a=new R.$$g,this.onMessage=this.a.event,this.b=!1,u.onMessage($=>{(0,m.$Ml)($,2)?(this.b=!0,E("received terminate message from renderer")):this.a.fire($)})}send($){this.b||u.send($)}async drain(){if(u.drain)return u.drain()}}}function s(u){return new Promise($=>{const d=u.onMessage(S=>{d.dispose();const y=JSON.parse(S.toString()),c=y.commit,r=k.default.commit;if(c&&r&&c!==r&&p(55),y.parentPid){let P=0;setInterval(function(){try{process.kill(y.parentPid,0),P=0}catch(U){U&&U.code==="EPERM"?(P++,P>=3&&E(`parent process ${y.parentPid} does not exist anymore (3 x EPERM): ${U.message} (code: ${U.code}) (errno: ${U.errno})`)):E(`parent process ${y.parentPid} does not exist anymore: ${U.message} (code: ${U.code}) (errno: ${U.errno})`)}},1e3);let N;try{N=globalThis._VSCODE_NODE_MODULES["native-watchdog"],N.start(y.parentPid)}catch(U){(0,F.$X)(U)}}u.send((0,m.$Ll)(0)),$({protocol:u,initData:y})});u.send((0,m.$Ll)(1))})}async function t(){const u=[];process.on("unhandledRejection",(P,N)=>{u.push(N),setTimeout(()=>{const U=u.indexOf(N);U>=0&&N.catch(q=>{u.splice(U,1),(0,F.$1)(q)||(console.warn(`rejected promise not handled within 1 second: ${q}`),q&&q.stack&&console.warn(`stack trace: ${q.stack}`),P&&(0,F.$X)(P))})},1e3)}),process.on("rejectionHandled",P=>{const N=u.indexOf(P);N>=0&&u.splice(N,1)}),process.on("uncaughtException",function(P){(0,F.$W)(P)||(0,F.$X)(P)}),h.mark("code/extHost/willConnectToRenderer");const $=await o();h.mark("code/extHost/didConnectToRenderer");const d=await s($);h.mark("code/extHost/didWaitForInitData");const{initData:S}=d;f(!!S.environment.extensionTestsLocationURI),S.environment.useHostProxy=a.useHostProxy!==void 0?a.useHostProxy!=="false":void 0,S.environment.skipWorkspaceStorageLock=(0,w.boolean)(a.skipWorkspaceStorageLock,!1);const y=new class{constructor(){this.pid=process.pid}exit(N){p(N)}exists(N){return v.Promises.exists(N)}realpath(N){return(0,D.$Hp)(N)}};let c=null;S.remote.authority&&a.transformURIs&&(c=(0,i.$_q)(S.remote.authority));const r=new L.$V_b(d.protocol,S,y,c);E=P=>r.terminate(P)}t().catch(u=>console.log(u))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/2ccd690cbff1569e4a83d7c43d45101f817401dc/core/vs/workbench/api/node/extensionHostProcess.js.map
